(*

This notebook forms part of the supporting material for the book

Elasticity with Mathematica (r)
by A. Constantinescu and A.M. Korsunsky
published by Cambridge University Press, 2007
(ISBN-13: 9780521842013)

Copyright (c) 2007 A. Constantinescu and A.M. Korsunsky

Please acknowledge the use of this material in teaching, research and 
further development.

Authors accept no responsibility for the results obtained and 
conclusions drawn on the basis of using this material.

*)


IntegrateStrain[strain_, opt___?OptionQ] := 
  Module[{theta, omega}, (
  
      Crule = Thread[ {C,C} -> (Constants /. {opt} /. Constants -> {R,T}) ]; 
  
      theta = IntegrateGrad[-Curl[strain]] /. Crule[[1]];
      omega = 
          Table[Sum[Signature[{i, j, k}] theta[[k]], {k, 3}], {i, 3}, {j, 
              3}];
      IntegrateGrad[
          strain + omega] /. Crule[[2]] ) /; (Inc[
            strain] === {{0, 0, 0}, {0, 0, 0}, {0, 0, 0}})]


