(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    611462,      18001]
NotebookOptionsPosition[    609416,      17937]
NotebookOutlinePosition[    609858,      17955]
CellTagsIndexPosition[    609815,      17952]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[Cell[TextData[{
  "This notebook forms part of the supporting material for the book\n\n",
  StyleBox[
  "Elasticity with Mathematica (r)\nby A. Constantinescu and A.M. Korsunsky\n\
published by Cambridge University Press, 2007\n(ISBN-13: 9780521842013)\n",
   FontSlant->"Italic"],
  "\nCopyright (c) 2007 A. Constantinescu and A.M. Korsunsky\n\nPlease \
acknowledge the use of this material in teaching, research and \nfurther \
development.\n\nAuthors accept no responsibility for the results obtained and \
\nconclusions drawn on the basis of using this material."
 }], "Text",
  CellChangeTimes->{{3.402067937883517*^9, 3.402067938554608*^9}, {
   3.402067978596741*^9, 3.402067984940596*^9}, {3.402068090073731*^9, 
   3.402068091731965*^9}}]], "Input",
 CellChangeTimes->{{3.402069546034582*^9, 3.402069552474302*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"a", " ", "=", " ", 
  RowBox[{
   SqrtBox[
    RowBox[{"3", "/", "2"}]], 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], "/", "3"}], ",", " ", 
     RowBox[{"1", "/", "3"}], ",", " ", 
     RowBox[{"1", "/", "3"}]}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"b", " ", "=", " ", 
  RowBox[{
   SqrtBox["2"], 
   RowBox[{"{", 
    RowBox[{"0", ",", " ", 
     RowBox[{
      RowBox[{"-", " ", "1"}], "/", "2"}], ",", " ", 
     RowBox[{"1", "/", "2"}]}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"mises", " ", "=", " ", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"p", ",", "p", ",", "p"}], "}"}], " ", "+", " ", 
   RowBox[{"a", " ", 
    RowBox[{"Cos", "[", "\[Theta]", "]"}]}], " ", "+", " ", 
   RowBox[{"b", " ", 
    RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"misesplot", " ", "=", " ", 
  RowBox[{"ParametricPlot3D", "[", " ", 
   RowBox[{"mises", " ", ",", " ", 
    RowBox[{"{", 
     RowBox[{"p", ",", "0", ",", "4"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", " ", "0", ",", " ", 
      RowBox[{"2", "Pi"}]}], "}"}], ",", " ", 
    RowBox[{"ViewPoint", " ", "\[Rule]", " ", 
     RowBox[{"{", 
      RowBox[{"1", ",", "4", ",", "2"}], "}"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"mises2D", " ", "=", " ", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"mises", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
     RowBox[{"mises", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], "}"}], " ", "/.", " ", 
   RowBox[{
    RowBox[{"Solve", "[", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"mises", "[", 
        RowBox[{"[", "3", "]"}], "]"}], " ", "\[Equal]", " ", "0"}], ",", " ",
       "p"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"ParametricPlot", "[", " ", 
  RowBox[{"mises2D", " ", ",", "  ", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", " ", "0", ",", " ", 
     RowBox[{"2", " ", "Pi"}]}], "}"}]}], " ", "]"}]}], "Input",
 CellChangeTimes->{{3.402069533936461*^9, 3.402069536016693*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    SqrtBox[
     FractionBox["2", "3"]]}], ",", 
   FractionBox["1", 
    SqrtBox["6"]], ",", 
   FractionBox["1", 
    SqrtBox["6"]]}], "}"}]], "Output"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", 
   RowBox[{"-", 
    FractionBox["1", 
     SqrtBox["2"]]}], ",", 
   FractionBox["1", 
    SqrtBox["2"]]}], "}"}]], "Output"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"p", "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], ",", 
   RowBox[{"p", "+", 
    FractionBox[
     RowBox[{"Cos", "[", "\[Theta]", "]"}], 
     SqrtBox["6"]], "-", 
    FractionBox[
     RowBox[{"Sin", "[", "\[Theta]", "]"}], 
     SqrtBox["2"]]}], ",", 
   RowBox[{"p", "+", 
    FractionBox[
     RowBox[{"Cos", "[", "\[Theta]", "]"}], 
     SqrtBox["6"]], "+", 
    FractionBox[
     RowBox[{"Sin", "[", "\[Theta]", "]"}], 
     SqrtBox["2"]]}]}], "}"}]], "Output"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParametricPlot3D", "::", "\<\"ppcom\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Function \\!\\(mises\\) cannot be compiled; plotting will \
proceed with the uncompiled function.\"\>"}]], "Message"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1.12238 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.138775 1.20253 0 1.20253 [
[.82382 .08124 -3.15795 -9 ]
[.82382 .08124 2.84205 0 ]
[.56103 .04327 -3.04332 -9 ]
[.56103 .04327 2.95668 0 ]
[.2892 .00402 -2.92339 -9 ]
[.2892 .00402 3.07661 0 ]
[.04057 .34146 -6 -5.04985 ]
[.04057 .34146 0 3.95015 ]
[.07762 .2157 -6 -5.08581 ]
[.07762 .2157 0 3.91419 ]
[.11965 .07304 -6 -5.12679 ]
[.11965 .07304 0 3.87321 ]
[.9702 .22617 0 -3.88333 ]
[.9702 .22617 6 5.11667 ]
[.98734 .46917 0 -3.95367 ]
[.98734 .46917 6 5.04633 ]
[1.00571 .72966 0 -4.02924 ]
[1.00571 .72966 6 4.97076 ]
[ 0 0 0 0 ]
[ 1 1.12238 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.94756 .11397 m
.15668 0 L
s
.82461 .09625 m
.82501 .10376 L
s
[(0)] .82382 .08124 .05265 1 Mshowa
.56125 .0583 m
.56136 .06582 L
s
[(2)] .56103 .04327 .01444 1 Mshowa
.28882 .01904 m
.28863 .02656 L
s
[(4)] .2892 .00402 -0.02554 1 Mshowa
.125 Mabswid
.7596 .08688 m
.75979 .09139 L
s
.69404 .07744 m
.69419 .08194 L
s
.62792 .06791 m
.62803 .07242 L
s
.49401 .04861 m
.49403 .05312 L
s
.4262 .03884 m
.42617 .04335 L
s
.3578 .02898 m
.35773 .03349 L
s
.88909 .10554 m
.88937 .11005 L
s
.21924 .00902 m
.21908 .01352 L
s
.25 Mabswid
.03936 .39802 m
.15668 0 L
s
.05549 .34329 m
.06295 .3442 L
s
[(0)] .04057 .34146 1 .12219 Mshowa
.09253 .21765 m
.09998 .21862 L
s
[(2)] .07762 .2157 1 .13018 Mshowa
.13454 .07512 m
.14198 .07615 L
s
[(4)] .11965 .07304 1 .13929 Mshowa
.125 Mabswid
.06433 .31329 m
.06881 .31385 L
s
.07344 .28238 m
.07792 .28295 L
s
.08284 .25052 m
.08731 .25109 L
s
.10253 .18372 m
.107 .18431 L
s
.11285 .1487 m
.11732 .1493 L
s
.12351 .11251 m
.12798 .11313 L
s
.04691 .37241 m
.05139 .37294 L
s
.14594 .03644 m
.1504 .03707 L
s
.25 Mabswid
.94756 .11397 m
1 .85945 L
s
.95531 .22413 m
.94786 .22311 L
s
[(0)] .9702 .22617 -1 -0.13704 Mshowa
.97242 .46736 m
.96496 .46646 L
s
[(2)] .98734 .46917 -1 -0.12141 Mshowa
.99076 .72809 m
.98328 .72731 L
s
[(4)] 1.00571 .72966 -1 -0.10461 Mshowa
.125 Mabswid
.95948 .28339 m
.95501 .2828 L
s
.96372 .34367 m
.95924 .34309 L
s
.96803 .40498 m
.96356 .40442 L
s
.97688 .53083 m
.9724 .53031 L
s
.98143 .59542 m
.97695 .59492 L
s
.98605 .66117 m
.98157 .66068 L
s
.95121 .16585 m
.94674 .16522 L
s
.99555 .79623 m
.99107 .79578 L
s
.25 Mabswid
.7059 .47715 m
.72754 1.12238 L
s
.72754 1.12238 m
1 .85945 L
s
1 .85945 m
.94756 .11397 L
s
.94756 .11397 m
.7059 .47715 L
s
.03936 .39802 m
.15668 0 L
s
.15668 0 m
.12173 .77502 L
s
.12173 .77502 m
0 1.06587 L
s
0 1.06587 m
.03936 .39802 L
s
.7059 .47715 m
.72754 1.12238 L
s
.72754 1.12238 m
0 1.06587 L
s
0 1.06587 m
.03936 .39802 L
s
.03936 .39802 m
.7059 .47715 L
s
.94756 .11397 m
.15668 0 L
s
.15668 0 m
.12173 .77502 L
s
.12173 .77502 m
1 .85945 L
s
1 .85945 m
.94756 .11397 L
s
0 0 m
1 0 L
1 1.12238 L
0 1.12238 L
closepath
clip
newpath
.5 Mabswid
.51346 .54611 m .53086 .53756 L .54671 .57267 L p .891 .646 .561 r
F P
0 g
s
.54671 .57267 m .52949 .58159 L .51346 .54611 L p .891 .646 .561 r
F P
0 g
s
.52949 .58159 m .54671 .57267 L .57199 .60144 L p .842 .537 .473 r
F P
0 g
s
.5086 .50792 m .52608 .49975 L .53086 .53756 L p .924 .745 .642 r
F P
0 g
s
.53086 .53756 m .51346 .54611 L .5086 .50792 L p .924 .745 .642 r
F P
0 g
s
.57199 .60144 m .55501 .61068 L .52949 .58159 L p .842 .537 .473 r
F P
0 g
s
.55501 .61068 m .57199 .60144 L .60411 .62087 L p .765 .4 .363 r
F P
0 g
s
.51547 .47097 m .53293 .46317 L .52608 .49975 L p .938 .846 .726 r
F P
0 g
s
.52608 .49975 m .5086 .50792 L .51547 .47097 L p .938 .846 .726 r
F P
0 g
s
.60411 .62087 m .58742 .63034 L .55501 .61068 L p .765 .4 .363 r
F P
0 g
s
.58742 .63034 m .60411 .62087 L .63975 .62882 L p .628 .194 .198 r
F P
0 g
s
.53346 .43917 m .55082 .43167 L .53293 .46317 L p .91 .95 .813 r
F P
0 g
s
.53293 .46317 m .51547 .47097 L .53346 .43917 L p .91 .95 .813 r
F P
0 g
s
.63975 .62882 m .62337 .63842 L .58742 .63034 L p .628 .194 .198 r
F P
0 g
s
.62337 .63842 m .63975 .62882 L .67517 .62433 L p .335 0 0 r
F P
0 g
s
.56081 .41598 m .57796 .40869 L .55082 .43167 L p .725 .99 .846 r
F P
0 g
s
.55082 .43167 m .53346 .43917 L .56081 .41598 L p .725 .99 .846 r
F P
0 g
s
.49569 .55485 m .51346 .54611 L .52949 .58159 L p .891 .646 .561 r
F P
0 g
s
.52949 .58159 m .5119 .5907 L .49569 .55485 L p .891 .646 .561 r
F P
0 g
s
.5119 .5907 m .52949 .58159 L .55501 .61068 L p .842 .537 .473 r
F P
0 g
s
.49074 .51626 m .5086 .50792 L .51346 .54611 L p .924 .745 .642 r
F P
0 g
s
.51346 .54611 m .49569 .55485 L .49074 .51626 L p .924 .745 .642 r
F P
0 g
s
.55501 .61068 m .53767 .62012 L .5119 .5907 L p .842 .537 .473 r
F P
0 g
s
.53767 .62012 m .55501 .61068 L .58742 .63034 L p .765 .4 .363 r
F P
0 g
s
.49762 .47894 m .51547 .47097 L .5086 .50792 L p .938 .846 .726 r
F P
0 g
s
.5086 .50792 m .49074 .51626 L .49762 .47894 L p .938 .846 .726 r
F P
0 g
s
.67517 .62433 m .6591 .63393 L .62337 .63842 L p .335 0 0 r
F P
0 g
s
.6591 .63393 m .67517 .62433 L .70656 .60769 L p 0 0 0 r
F P
0 g
s
.58742 .63034 m .57038 .64002 L .53767 .62012 L p .765 .4 .363 r
F P
0 g
s
.57038 .64002 m .58742 .63034 L .62337 .63842 L p .628 .194 .198 r
F P
0 g
s
.59469 .40403 m .61156 .39683 L .57796 .40869 L p 0 0 0 r
F P
0 g
s
.57796 .40869 m .56081 .41598 L .59469 .40403 L p 0 0 0 r
F P
0 g
s
.51573 .44683 m .53346 .43917 L .51547 .47097 L p .91 .95 .813 r
F P
0 g
s
.51547 .47097 m .49762 .47894 L .51573 .44683 L p .91 .95 .813 r
F P
0 g
s
.70656 .60769 m .69074 .61716 L .6591 .63393 L p 0 0 0 r
F P
0 g
s
.69074 .61716 m .70656 .60769 L .73042 .58054 L p .797 .997 .791 r
F P
0 g
s
.62337 .63842 m .60665 .64823 L .57038 .64002 L p .628 .194 .198 r
F P
0 g
s
.60665 .64823 m .62337 .63842 L .6591 .63393 L p .335 0 0 r
F P
0 g
s
.63148 .4048 m .64803 .39756 L .61156 .39683 L p .419 0 0 r
F P
0 g
s
.61156 .39683 m .59469 .40403 L .63148 .4048 L p .419 0 0 r
F P
0 g
s
.54329 .42343 m .56081 .41598 L .53346 .43917 L p .725 .99 .846 r
F P
0 g
s
.53346 .43917 m .51573 .44683 L .54329 .42343 L p .725 .99 .846 r
F P
0 g
s
.47753 .56377 m .49569 .55485 L .5119 .5907 L p .891 .646 .561 r
F P
0 g
s
.5119 .5907 m .49392 .60001 L .47753 .56377 L p .891 .646 .561 r
F P
0 g
s
.49392 .60001 m .5119 .5907 L .53767 .62012 L p .842 .537 .473 r
F P
0 g
s
.47249 .52478 m .49074 .51626 L .49569 .55485 L p .924 .745 .642 r
F P
0 g
s
.49569 .55485 m .47753 .56377 L .47249 .52478 L p .924 .745 .642 r
F P
0 g
s
.53767 .62012 m .51995 .62977 L .49392 .60001 L p .842 .537 .473 r
F P
0 g
s
.51995 .62977 m .53767 .62012 L .57038 .64002 L p .765 .4 .363 r
F P
0 g
s
.73042 .58054 m .71478 .58976 L .69074 .61716 L p .797 .997 .791 r
F P
0 g
s
.71478 .58976 m .73042 .58054 L .744 .54575 L p .946 .934 .753 r
F P
0 g
s
.47939 .48708 m .49762 .47894 L .49074 .51626 L p .938 .846 .726 r
F P
0 g
s
.49074 .51626 m .47249 .52478 L .47939 .48708 L p .938 .846 .726 r
F P
0 g
s
.6591 .63393 m .64267 .64373 L .60665 .64823 L p .335 0 0 r
F P
0 g
s
.64267 .64373 m .6591 .63393 L .69074 .61716 L p 0 0 0 r
F P
0 g
s
.66712 .41839 m .68335 .41098 L .64803 .39756 L p .687 .247 .198 r
F P
0 g
s
.64803 .39756 m .63148 .4048 L .66712 .41839 L p .687 .247 .198 r
F P
0 g
s
.57038 .64002 m .55296 .64991 L .51995 .62977 L p .765 .4 .363 r
F P
0 g
s
.55296 .64991 m .57038 .64002 L .60665 .64823 L p .628 .194 .198 r
F P
0 g
s
.57745 .41138 m .59469 .40403 L .56081 .41598 L p 0 0 0 r
F P
0 g
s
.56081 .41598 m .54329 .42343 L .57745 .41138 L p 0 0 0 r
F P
0 g
s
.49762 .45466 m .51573 .44683 L .49762 .47894 L p .91 .95 .813 r
F P
0 g
s
.49762 .47894 m .47939 .48708 L .49762 .45466 L p .91 .95 .813 r
F P
0 g
s
.72845 .55463 m .744 .54575 L .74566 .50713 L p .956 .818 .666 r
F P
0 g
s
.744 .54575 m .72845 .55463 L .71478 .58976 L p .946 .934 .753 r
F P
0 g
s
.69759 .4434 m .71352 .4357 L .68335 .41098 L p .813 .449 .368 r
F P
0 g
s
.68335 .41098 m .66712 .41839 L .69759 .4434 L p .813 .449 .368 r
F P
0 g
s
.69074 .61716 m .67458 .62683 L .64267 .64373 L p 0 0 0 r
F P
0 g
s
.67458 .62683 m .69074 .61716 L .71478 .58976 L p .797 .997 .791 r
F P
0 g
s
.60665 .64823 m .58955 .65825 L .55296 .64991 L p .628 .194 .198 r
F P
0 g
s
.58955 .65825 m .60665 .64823 L .64267 .64373 L p .335 0 0 r
F P
0 g
s
.74566 .50713 m .73008 .5156 L .72845 .55463 L p .956 .818 .666 r
F P
0 g
s
.73008 .5156 m .74566 .50713 L .73512 .469 L p .93 .705 .578 r
F P
0 g
s
.71941 .47707 m .73512 .469 L .71352 .4357 L p .884 .589 .483 r
F P
0 g
s
.71352 .4357 m .69759 .4434 L .71941 .47707 L p .884 .589 .483 r
F P
0 g
s
.61456 .4122 m .63148 .4048 L .59469 .40403 L p .419 0 0 r
F P
0 g
s
.59469 .40403 m .57745 .41138 L .61456 .4122 L p .419 0 0 r
F P
0 g
s
.73512 .469 m .71941 .47707 L .73008 .5156 L p .93 .705 .578 r
F P
0 g
s
.52538 .43104 m .54329 .42343 L .51573 .44683 L p .725 .99 .846 r
F P
0 g
s
.51573 .44683 m .49762 .45466 L .52538 .43104 L p .725 .99 .846 r
F P
0 g
s
.45898 .57289 m .47753 .56377 L .49392 .60001 L p .891 .646 .561 r
F P
0 g
s
.49392 .60001 m .47555 .60953 L .45898 .57289 L p .891 .646 .561 r
F P
0 g
s
.47555 .60953 m .49392 .60001 L .51995 .62977 L p .842 .537 .473 r
F P
0 g
s
.45385 .53349 m .47249 .52478 L .47753 .56377 L p .924 .745 .642 r
F P
0 g
s
.47753 .56377 m .45898 .57289 L .45385 .53349 L p .924 .745 .642 r
F P
0 g
s
.51995 .62977 m .50184 .63962 L .47555 .60953 L p .842 .537 .473 r
F P
0 g
s
.50184 .63962 m .51995 .62977 L .55296 .64991 L p .765 .4 .363 r
F P
0 g
s
.71478 .58976 m .6988 .59918 L .67458 .62683 L p .797 .997 .791 r
F P
0 g
s
.6988 .59918 m .71478 .58976 L .72845 .55463 L p .946 .934 .753 r
F P
0 g
s
.46076 .49541 m .47939 .48708 L .47249 .52478 L p .938 .846 .726 r
F P
0 g
s
.47249 .52478 m .45385 .53349 L .46076 .49541 L p .938 .846 .726 r
F P
0 g
s
.64267 .64373 m .62589 .65376 L .58955 .65825 L p .335 0 0 r
F P
0 g
s
.62589 .65376 m .64267 .64373 L .67458 .62683 L p 0 0 0 r
F P
0 g
s
.65053 .42597 m .66712 .41839 L .63148 .4048 L p .687 .247 .198 r
F P
0 g
s
.63148 .4048 m .61456 .4122 L .65053 .42597 L p .687 .247 .198 r
F P
0 g
s
.55296 .64991 m .53516 .66002 L .50184 .63962 L p .765 .4 .363 r
F P
0 g
s
.53516 .66002 m .55296 .64991 L .58955 .65825 L p .628 .194 .198 r
F P
0 g
s
.55982 .4189 m .57745 .41138 L .54329 .42343 L p 0 0 0 r
F P
0 g
s
.54329 .42343 m .52538 .43104 L .55982 .4189 L p 0 0 0 r
F P
0 g
s
.4791 .46266 m .49762 .45466 L .47939 .48708 L p .91 .95 .813 r
F P
0 g
s
.47939 .48708 m .46076 .49541 L .4791 .46266 L p .91 .95 .813 r
F P
0 g
s
.72845 .55463 m .71255 .5637 L .6988 .59918 L p .946 .934 .753 r
F P
0 g
s
.71255 .5637 m .72845 .55463 L .73008 .5156 L p .956 .818 .666 r
F P
0 g
s
.6813 .45127 m .69759 .4434 L .66712 .41839 L p .813 .449 .368 r
F P
0 g
s
.66712 .41839 m .65053 .42597 L .6813 .45127 L p .813 .449 .368 r
F P
0 g
s
.67458 .62683 m .65805 .63672 L .62589 .65376 L p 0 0 0 r
F P
0 g
s
.65805 .63672 m .67458 .62683 L .6988 .59918 L p .797 .997 .791 r
F P
0 g
s
.58955 .65825 m .57208 .66849 L .53516 .66002 L p .628 .194 .198 r
F P
0 g
s
.57208 .66849 m .58955 .65825 L .62589 .65376 L p .335 0 0 r
F P
0 g
s
.73008 .5156 m .71416 .52427 L .71255 .5637 L p .956 .818 .666 r
F P
0 g
s
.71416 .52427 m .73008 .5156 L .71941 .47707 L p .93 .705 .578 r
F P
0 g
s
.70335 .48532 m .71941 .47707 L .69759 .4434 L p .884 .589 .483 r
F P
0 g
s
.69759 .4434 m .6813 .45127 L .70335 .48532 L p .884 .589 .483 r
F P
0 g
s
.59726 .41977 m .61456 .4122 L .57745 .41138 L p .419 0 0 r
F P
0 g
s
.57745 .41138 m .55982 .4189 L .59726 .41977 L p .419 0 0 r
F P
0 g
s
.71941 .47707 m .70335 .48532 L .71416 .52427 L p .93 .705 .578 r
F P
0 g
s
.50707 .43882 m .52538 .43104 L .49762 .45466 L p .725 .99 .846 r
F P
0 g
s
.49762 .45466 m .4791 .46266 L .50707 .43882 L p .725 .99 .846 r
F P
0 g
s
.44001 .58221 m .45898 .57289 L .47555 .60953 L p .891 .646 .561 r
F P
0 g
s
.47555 .60953 m .45677 .61926 L .44001 .58221 L p .891 .646 .561 r
F P
0 g
s
.45677 .61926 m .47555 .60953 L .50184 .63962 L p .842 .537 .473 r
F P
0 g
s
.43479 .54239 m .45385 .53349 L .45898 .57289 L p .924 .745 .642 r
F P
0 g
s
.45898 .57289 m .44001 .58221 L .43479 .54239 L p .924 .745 .642 r
F P
0 g
s
.50184 .63962 m .48333 .6497 L .45677 .61926 L p .842 .537 .473 r
F P
0 g
s
.48333 .6497 m .50184 .63962 L .53516 .66002 L p .765 .4 .363 r
F P
0 g
s
.6988 .59918 m .68247 .60882 L .65805 .63672 L p .797 .997 .791 r
F P
0 g
s
.68247 .60882 m .6988 .59918 L .71255 .5637 L p .946 .934 .753 r
F P
0 g
s
.4417 .50392 m .46076 .49541 L .45385 .53349 L p .938 .846 .726 r
F P
0 g
s
.45385 .53349 m .43479 .54239 L .4417 .50392 L p .938 .846 .726 r
F P
0 g
s
.62589 .65376 m .60873 .664 L .57208 .66849 L p .335 0 0 r
F P
0 g
s
.60873 .664 m .62589 .65376 L .65805 .63672 L p 0 0 0 r
F P
0 g
s
.63357 .43372 m .65053 .42597 L .61456 .4122 L p .687 .247 .198 r
F P
0 g
s
.61456 .4122 m .59726 .41977 L .63357 .43372 L p .687 .247 .198 r
F P
0 g
s
.53516 .66002 m .51696 .67035 L .48333 .6497 L p .765 .4 .363 r
F P
0 g
s
.51696 .67035 m .53516 .66002 L .57208 .66849 L p .628 .194 .198 r
F P
0 g
s
.5418 .42659 m .55982 .4189 L .52538 .43104 L p 0 0 0 r
F P
0 g
s
.52538 .43104 m .50707 .43882 L .5418 .42659 L p 0 0 0 r
F P
0 g
s
.46016 .47085 m .4791 .46266 L .46076 .49541 L p .91 .95 .813 r
F P
0 g
s
.46076 .49541 m .4417 .50392 L .46016 .47085 L p .91 .95 .813 r
F P
0 g
s
.6963 .57298 m .71255 .5637 L .71416 .52427 L p .956 .818 .666 r
F P
0 g
s
.71255 .5637 m .6963 .57298 L .68247 .60882 L p .946 .934 .753 r
F P
0 g
s
.66464 .45932 m .6813 .45127 L .65053 .42597 L p .813 .449 .368 r
F P
0 g
s
.65053 .42597 m .63357 .43372 L .66464 .45932 L p .813 .449 .368 r
F P
0 g
s
.65805 .63672 m .64116 .64683 L .60873 .664 L p 0 0 0 r
F P
0 g
s
.64116 .64683 m .65805 .63672 L .68247 .60882 L p .797 .997 .791 r
F P
0 g
s
.57208 .66849 m .55421 .67897 L .51696 .67035 L p .628 .194 .198 r
F P
0 g
s
.55421 .67897 m .57208 .66849 L .60873 .664 L p .335 0 0 r
F P
0 g
s
.71416 .52427 m .69788 .53313 L .6963 .57298 L p .956 .818 .666 r
F P
0 g
s
.69788 .53313 m .71416 .52427 L .70335 .48532 L p .93 .705 .578 r
F P
0 g
s
.68693 .49376 m .70335 .48532 L .6813 .45127 L p .884 .589 .483 r
F P
0 g
s
.6813 .45127 m .66464 .45932 L .68693 .49376 L p .884 .589 .483 r
F P
0 g
s
.57957 .4275 m .59726 .41977 L .55982 .4189 L p .419 0 0 r
F P
0 g
s
.55982 .4189 m .5418 .42659 L .57957 .4275 L p .419 0 0 r
F P
0 g
s
.70335 .48532 m .68693 .49376 L .69788 .53313 L p .93 .705 .578 r
F P
0 g
s
.48835 .44678 m .50707 .43882 L .4791 .46266 L p .725 .99 .846 r
F P
0 g
s
.4791 .46266 m .46016 .47085 L .48835 .44678 L p .725 .99 .846 r
F P
0 g
s
.42062 .59174 m .44001 .58221 L .45677 .61926 L p .891 .646 .561 r
F P
0 g
s
.45677 .61926 m .43758 .6292 L .42062 .59174 L p .891 .646 .561 r
F P
0 g
s
.43758 .6292 m .45677 .61926 L .48333 .6497 L p .842 .537 .473 r
F P
0 g
s
.4153 .55149 m .43479 .54239 L .44001 .58221 L p .924 .745 .642 r
F P
0 g
s
.44001 .58221 m .42062 .59174 L .4153 .55149 L p .924 .745 .642 r
F P
0 g
s
.48333 .6497 m .4644 .66 L .43758 .6292 L p .842 .537 .473 r
F P
0 g
s
.4644 .66 m .48333 .6497 L .51696 .67035 L p .765 .4 .363 r
F P
0 g
s
.68247 .60882 m .66576 .61867 L .64116 .64683 L p .797 .997 .791 r
F P
0 g
s
.66576 .61867 m .68247 .60882 L .6963 .57298 L p .946 .934 .753 r
F P
0 g
s
.42222 .51262 m .4417 .50392 L .43479 .54239 L p .938 .846 .726 r
F P
0 g
s
.43479 .54239 m .4153 .55149 L .42222 .51262 L p .938 .846 .726 r
F P
0 g
s
.60873 .664 m .59118 .67448 L .55421 .67897 L p .335 0 0 r
F P
0 g
s
.59118 .67448 m .60873 .664 L .64116 .64683 L p 0 0 0 r
F P
0 g
s
.61622 .44164 m .63357 .43372 L .59726 .41977 L p .687 .247 .198 r
F P
0 g
s
.59726 .41977 m .57957 .4275 L .61622 .44164 L p .687 .247 .198 r
F P
0 g
s
.51696 .67035 m .49835 .68092 L .4644 .66 L p .765 .4 .363 r
F P
0 g
s
.49835 .68092 m .51696 .67035 L .55421 .67897 L p .628 .194 .198 r
F P
0 g
s
.52337 .43445 m .5418 .42659 L .50707 .43882 L p 0 0 0 r
F P
0 g
s
.50707 .43882 m .48835 .44678 L .52337 .43445 L p 0 0 0 r
F P
0 g
s
.4408 .47921 m .46016 .47085 L .4417 .50392 L p .91 .95 .813 r
F P
0 g
s
.4417 .50392 m .42222 .51262 L .4408 .47921 L p .91 .95 .813 r
F P
0 g
s
.67969 .58246 m .6963 .57298 L .69788 .53313 L p .956 .818 .666 r
F P
0 g
s
.6963 .57298 m .67969 .58246 L .66576 .61867 L p .946 .934 .753 r
F P
0 g
s
.64761 .46755 m .66464 .45932 L .63357 .43372 L p .813 .449 .368 r
F P
0 g
s
.63357 .43372 m .61622 .44164 L .64761 .46755 L p .813 .449 .368 r
F P
0 g
s
.64116 .64683 m .62389 .65717 L .59118 .67448 L p 0 0 0 r
F P
0 g
s
.62389 .65717 m .64116 .64683 L .66576 .61867 L p .797 .997 .791 r
F P
0 g
s
.55421 .67897 m .53594 .68968 L .49835 .68092 L p .628 .194 .198 r
F P
0 g
s
.53594 .68968 m .55421 .67897 L .59118 .67448 L p .335 0 0 r
F P
0 g
s
.69788 .53313 m .68124 .54219 L .67969 .58246 L p .956 .818 .666 r
F P
0 g
s
.68124 .54219 m .69788 .53313 L .68693 .49376 L p .93 .705 .578 r
F P
0 g
s
.67014 .50238 m .68693 .49376 L .66464 .45932 L p .884 .589 .483 r
F P
0 g
s
.66464 .45932 m .64761 .46755 L .67014 .50238 L p .884 .589 .483 r
F P
0 g
s
.56149 .43541 m .57957 .4275 L .5418 .42659 L p .419 0 0 r
F P
0 g
s
.5418 .42659 m .52337 .43445 L .56149 .43541 L p .419 0 0 r
F P
0 g
s
.68693 .49376 m .67014 .50238 L .68124 .54219 L p .93 .705 .578 r
F P
0 g
s
.4692 .45492 m .48835 .44678 L .46016 .47085 L p .725 .99 .846 r
F P
0 g
s
.46016 .47085 m .4408 .47921 L .4692 .45492 L p .725 .99 .846 r
F P
0 g
s
.40079 .60149 m .42062 .59174 L .43758 .6292 L p .891 .646 .561 r
F P
0 g
s
.43758 .6292 m .41794 .63937 L .40079 .60149 L p .891 .646 .561 r
F P
0 g
s
.41794 .63937 m .43758 .6292 L .4644 .66 L p .842 .537 .473 r
F P
0 g
s
.39536 .5608 m .4153 .55149 L .42062 .59174 L p .924 .745 .642 r
F P
0 g
s
.42062 .59174 m .40079 .60149 L .39536 .5608 L p .924 .745 .642 r
F P
0 g
s
.4644 .66 m .44504 .67053 L .41794 .63937 L p .842 .537 .473 r
F P
0 g
s
.44504 .67053 m .4644 .66 L .49835 .68092 L p .765 .4 .363 r
F P
0 g
s
.66576 .61867 m .64868 .62874 L .62389 .65717 L p .797 .997 .791 r
F P
0 g
s
.64868 .62874 m .66576 .61867 L .67969 .58246 L p .946 .934 .753 r
F P
0 g
s
.4023 .52152 m .42222 .51262 L .4153 .55149 L p .938 .846 .726 r
F P
0 g
s
.4153 .55149 m .39536 .5608 L .4023 .52152 L p .938 .846 .726 r
F P
0 g
s
.59118 .67448 m .57324 .6852 L .53594 .68968 L p .335 0 0 r
F P
0 g
s
.57324 .6852 m .59118 .67448 L .62389 .65717 L p 0 0 0 r
F P
0 g
s
.59848 .44974 m .61622 .44164 L .57957 .4275 L p .687 .247 .198 r
F P
0 g
s
.57957 .4275 m .56149 .43541 L .59848 .44974 L p .687 .247 .198 r
F P
0 g
s
.49835 .68092 m .47932 .69172 L .44504 .67053 L p .765 .4 .363 r
F P
0 g
s
.47932 .69172 m .49835 .68092 L .53594 .68968 L p .628 .194 .198 r
F P
0 g
s
.50452 .4425 m .52337 .43445 L .48835 .44678 L p 0 0 0 r
F P
0 g
s
.48835 .44678 m .4692 .45492 L .50452 .4425 L p 0 0 0 r
F P
0 g
s
.42099 .48777 m .4408 .47921 L .42222 .51262 L p .91 .95 .813 r
F P
0 g
s
.42222 .51262 m .4023 .52152 L .42099 .48777 L p .91 .95 .813 r
F P
0 g
s
.66269 .59217 m .67969 .58246 L .68124 .54219 L p .956 .818 .666 r
F P
0 g
s
.67969 .58246 m .66269 .59217 L .64868 .62874 L p .946 .934 .753 r
F P
0 g
s
.63019 .47597 m .64761 .46755 L .61622 .44164 L p .813 .449 .368 r
F P
0 g
s
.61622 .44164 m .59848 .44974 L .63019 .47597 L p .813 .449 .368 r
F P
0 g
s
.62389 .65717 m .60622 .66775 L .57324 .6852 L p 0 0 0 r
F P
0 g
s
.60622 .66775 m .62389 .65717 L .64868 .62874 L p .797 .997 .791 r
F P
0 g
s
.53594 .68968 m .51726 .70063 L .47932 .69172 L p .628 .194 .198 r
F P
0 g
s
.51726 .70063 m .53594 .68968 L .57324 .6852 L p .335 0 0 r
F P
0 g
s
.68124 .54219 m .66421 .55146 L .66269 .59217 L p .956 .818 .666 r
F P
0 g
s
.66421 .55146 m .68124 .54219 L .67014 .50238 L p .93 .705 .578 r
F P
0 g
s
.65296 .5112 m .67014 .50238 L .64761 .46755 L p .884 .589 .483 r
F P
0 g
s
.64761 .46755 m .63019 .47597 L .65296 .5112 L p .884 .589 .483 r
F P
0 g
s
.54298 .44351 m .56149 .43541 L .52337 .43445 L p .419 0 0 r
F P
0 g
s
.52337 .43445 m .50452 .4425 L .54298 .44351 L p .419 0 0 r
F P
0 g
s
.67014 .50238 m .65296 .5112 L .66421 .55146 L p .93 .705 .578 r
F P
0 g
s
.44962 .46324 m .4692 .45492 L .4408 .47921 L p .725 .99 .846 r
F P
0 g
s
.4408 .47921 m .42099 .48777 L .44962 .46324 L p .725 .99 .846 r
F P
0 g
s
.3805 .61146 m .40079 .60149 L .41794 .63937 L p .891 .646 .561 r
F P
0 g
s
.41794 .63937 m .39786 .64977 L .3805 .61146 L p .891 .646 .561 r
F P
0 g
s
.39786 .64977 m .41794 .63937 L .44504 .67053 L p .842 .537 .473 r
F P
0 g
s
.37497 .57033 m .39536 .5608 L .40079 .60149 L p .924 .745 .642 r
F P
0 g
s
.40079 .60149 m .3805 .61146 L .37497 .57033 L p .924 .745 .642 r
F P
0 g
s
.44504 .67053 m .42524 .68131 L .39786 .64977 L p .842 .537 .473 r
F P
0 g
s
.42524 .68131 m .44504 .67053 L .47932 .69172 L p .765 .4 .363 r
F P
0 g
s
.64868 .62874 m .6312 .63904 L .60622 .66775 L p .797 .997 .791 r
F P
0 g
s
.6312 .63904 m .64868 .62874 L .66269 .59217 L p .946 .934 .753 r
F P
0 g
s
.38191 .53062 m .4023 .52152 L .39536 .5608 L p .938 .846 .726 r
F P
0 g
s
.39536 .5608 m .37497 .57033 L .38191 .53062 L p .938 .846 .726 r
F P
0 g
s
.57324 .6852 m .55488 .69616 L .51726 .70063 L p .335 0 0 r
F P
0 g
s
.55488 .69616 m .57324 .6852 L .60622 .66775 L p 0 0 0 r
F P
0 g
s
.58033 .45803 m .59848 .44974 L .56149 .43541 L p .687 .247 .198 r
F P
0 g
s
.56149 .43541 m .54298 .44351 L .58033 .45803 L p .687 .247 .198 r
F P
0 g
s
.47932 .69172 m .45985 .70278 L .42524 .68131 L p .765 .4 .363 r
F P
0 g
s
.45985 .70278 m .47932 .69172 L .51726 .70063 L p .628 .194 .198 r
F P
0 g
s
.48523 .45072 m .50452 .4425 L .4692 .45492 L p 0 0 0 r
F P
0 g
s
.4692 .45492 m .44962 .46324 L .48523 .45072 L p 0 0 0 r
F P
0 g
s
.40072 .49653 m .42099 .48777 L .4023 .52152 L p .91 .95 .813 r
F P
0 g
s
.4023 .52152 m .38191 .53062 L .40072 .49653 L p .91 .95 .813 r
F P
0 g
s
.6453 .60209 m .66269 .59217 L .66421 .55146 L p .956 .818 .666 r
F P
0 g
s
.66269 .59217 m .6453 .60209 L .6312 .63904 L p .946 .934 .753 r
F P
0 g
s
.61236 .48458 m .63019 .47597 L .59848 .44974 L p .813 .449 .368 r
F P
0 g
s
.59848 .44974 m .58033 .45803 L .61236 .48458 L p .813 .449 .368 r
F P
0 g
s
.60622 .66775 m .58814 .67857 L .55488 .69616 L p 0 0 0 r
F P
0 g
s
.58814 .67857 m .60622 .66775 L .6312 .63904 L p .797 .997 .791 r
F P
0 g
s
.51726 .70063 m .49814 .71184 L .45985 .70278 L p .628 .194 .198 r
F P
0 g
s
.49814 .71184 m .51726 .70063 L .55488 .69616 L p .335 0 0 r
F P
0 g
s
.66421 .55146 m .64679 .56095 L .6453 .60209 L p .956 .818 .666 r
F P
0 g
s
.64679 .56095 m .66421 .55146 L .65296 .5112 L p .93 .705 .578 r
F P
0 g
s
.63539 .52023 m .65296 .5112 L .63019 .47597 L p .884 .589 .483 r
F P
0 g
s
.63019 .47597 m .61236 .48458 L .63539 .52023 L p .884 .589 .483 r
F P
0 g
s
.52404 .45179 m .54298 .44351 L .50452 .4425 L p .419 0 0 r
F P
0 g
s
.50452 .4425 m .48523 .45072 L .52404 .45179 L p .419 0 0 r
F P
0 g
s
.65296 .5112 m .63539 .52023 L .64679 .56095 L p .93 .705 .578 r
F P
0 g
s
.42957 .47176 m .44962 .46324 L .42099 .48777 L p .725 .99 .846 r
F P
0 g
s
.42099 .48777 m .40072 .49653 L .42957 .47176 L p .725 .99 .846 r
F P
0 g
s
.35975 .62167 m .3805 .61146 L .39786 .64977 L p .891 .646 .561 r
F P
0 g
s
.39786 .64977 m .37731 .66042 L .35975 .62167 L p .891 .646 .561 r
F P
0 g
s
.37731 .66042 m .39786 .64977 L .42524 .68131 L p .842 .537 .473 r
F P
0 g
s
.35411 .58007 m .37497 .57033 L .3805 .61146 L p .924 .745 .642 r
F P
0 g
s
.3805 .61146 m .35975 .62167 L .35411 .58007 L p .924 .745 .642 r
F P
0 g
s
.42524 .68131 m .40497 .69234 L .37731 .66042 L p .842 .537 .473 r
F P
0 g
s
.40497 .69234 m .42524 .68131 L .45985 .70278 L p .765 .4 .363 r
F P
0 g
s
.6312 .63904 m .61332 .64959 L .58814 .67857 L p .797 .997 .791 r
F P
0 g
s
.61332 .64959 m .6312 .63904 L .6453 .60209 L p .946 .934 .753 r
F P
0 g
s
.36105 .53994 m .38191 .53062 L .37497 .57033 L p .938 .846 .726 r
F P
0 g
s
.37497 .57033 m .35411 .58007 L .36105 .53994 L p .938 .846 .726 r
F P
0 g
s
.55488 .69616 m .5361 .70737 L .49814 .71184 L p .335 0 0 r
F P
0 g
s
.5361 .70737 m .55488 .69616 L .58814 .67857 L p 0 0 0 r
F P
0 g
s
.56176 .46651 m .58033 .45803 L .54298 .44351 L p .687 .247 .198 r
F P
0 g
s
.54298 .44351 m .52404 .45179 L .56176 .46651 L p .687 .247 .198 r
F P
0 g
s
.45985 .70278 m .43992 .71409 L .40497 .69234 L p .765 .4 .363 r
F P
0 g
s
.43992 .71409 m .45985 .70278 L .49814 .71184 L p .628 .194 .198 r
F P
0 g
s
.46549 .45915 m .48523 .45072 L .44962 .46324 L p 0 0 0 r
F P
0 g
s
.44962 .46324 m .42957 .47176 L .46549 .45915 L p 0 0 0 r
F P
0 g
s
.37998 .5055 m .40072 .49653 L .38191 .53062 L p .91 .95 .813 r
F P
0 g
s
.38191 .53062 m .36105 .53994 L .37998 .5055 L p .91 .95 .813 r
F P
0 g
s
.62751 .61225 m .6453 .60209 L .64679 .56095 L p .956 .818 .666 r
F P
0 g
s
.6453 .60209 m .62751 .61225 L .61332 .64959 L p .946 .934 .753 r
F P
0 g
s
.59412 .4934 m .61236 .48458 L .58033 .45803 L p .813 .449 .368 r
F P
0 g
s
.58033 .45803 m .56176 .46651 L .59412 .4934 L p .813 .449 .368 r
F P
0 g
s
.58814 .67857 m .56964 .68965 L .5361 .70737 L p 0 0 0 r
F P
0 g
s
.56964 .68965 m .58814 .67857 L .61332 .64959 L p .797 .997 .791 r
F P
0 g
s
.49814 .71184 m .47857 .72331 L .43992 .71409 L p .628 .194 .198 r
F P
0 g
s
.47857 .72331 m .49814 .71184 L .5361 .70737 L p .335 0 0 r
F P
0 g
s
.64679 .56095 m .62896 .57065 L .62751 .61225 L p .956 .818 .666 r
F P
0 g
s
.62896 .57065 m .64679 .56095 L .63539 .52023 L p .93 .705 .578 r
F P
0 g
s
.61741 .52947 m .63539 .52023 L .61236 .48458 L p .884 .589 .483 r
F P
0 g
s
.61236 .48458 m .59412 .4934 L .61741 .52947 L p .884 .589 .483 r
F P
0 g
s
.50466 .46026 m .52404 .45179 L .48523 .45072 L p .419 0 0 r
F P
0 g
s
.48523 .45072 m .46549 .45915 L .50466 .46026 L p .419 0 0 r
F P
0 g
s
.63539 .52023 m .61741 .52947 L .62896 .57065 L p .93 .705 .578 r
F P
0 g
s
.40905 .48049 m .42957 .47176 L .40072 .49653 L p .725 .99 .846 r
F P
0 g
s
.40072 .49653 m .37998 .5055 L .40905 .48049 L p .725 .99 .846 r
F P
0 g
s
.3385 .63211 m .35975 .62167 L .37731 .66042 L p .891 .646 .561 r
F P
0 g
s
.37731 .66042 m .35627 .67131 L .3385 .63211 L p .891 .646 .561 r
F P
0 g
s
.35627 .67131 m .37731 .66042 L .40497 .69234 L p .842 .537 .473 r
F P
0 g
s
.33275 .59005 m .35411 .58007 L .35975 .62167 L p .924 .745 .642 r
F P
0 g
s
.35975 .62167 m .3385 .63211 L .33275 .59005 L p .924 .745 .642 r
F P
0 g
s
.40497 .69234 m .38423 .70363 L .35627 .67131 L p .842 .537 .473 r
F P
0 g
s
.38423 .70363 m .40497 .69234 L .43992 .71409 L p .765 .4 .363 r
F P
0 g
s
.61332 .64959 m .59502 .66038 L .56964 .68965 L p .797 .997 .791 r
F P
0 g
s
.59502 .66038 m .61332 .64959 L .62751 .61225 L p .946 .934 .753 r
F P
0 g
s
.33969 .54948 m .36105 .53994 L .35411 .58007 L p .938 .846 .726 r
F P
0 g
s
.35411 .58007 m .33275 .59005 L .33969 .54948 L p .938 .846 .726 r
F P
0 g
s
.5361 .70737 m .51687 .71886 L .47857 .72331 L p .335 0 0 r
F P
0 g
s
.51687 .71886 m .5361 .70737 L .56964 .68965 L p 0 0 0 r
F P
0 g
s
.54275 .4752 m .56176 .46651 L .52404 .45179 L p .687 .247 .198 r
F P
0 g
s
.52404 .45179 m .50466 .46026 L .54275 .4752 L p .687 .247 .198 r
F P
0 g
s
.43992 .71409 m .41952 .72568 L .38423 .70363 L p .765 .4 .363 r
F P
0 g
s
.41952 .72568 m .43992 .71409 L .47857 .72331 L p .628 .194 .198 r
F P
0 g
s
.44529 .46777 m .46549 .45915 L .42957 .47176 L p 0 0 0 r
F P
0 g
s
.42957 .47176 m .40905 .48049 L .44529 .46777 L p 0 0 0 r
F P
0 g
s
.35874 .51467 m .37998 .5055 L .36105 .53994 L p .91 .95 .813 r
F P
0 g
s
.36105 .53994 m .33969 .54948 L .35874 .51467 L p .91 .95 .813 r
F P
0 g
s
.60929 .62265 m .62751 .61225 L .62896 .57065 L p .956 .818 .666 r
F P
0 g
s
.62751 .61225 m .60929 .62265 L .59502 .66038 L p .946 .934 .753 r
F P
0 g
s
.57544 .50242 m .59412 .4934 L .56176 .46651 L p .813 .449 .368 r
F P
0 g
s
.56176 .46651 m .54275 .4752 L .57544 .50242 L p .813 .449 .368 r
F P
0 g
s
.56964 .68965 m .5507 .70098 L .51687 .71886 L p 0 0 0 r
F P
0 g
s
.5507 .70098 m .56964 .68965 L .59502 .66038 L p .797 .997 .791 r
F P
0 g
s
.47857 .72331 m .45854 .73506 L .41952 .72568 L p .628 .194 .198 r
F P
0 g
s
.45854 .73506 m .47857 .72331 L .51687 .71886 L p .335 0 0 r
F P
0 g
s
.62896 .57065 m .6107 .58059 L .60929 .62265 L p .956 .818 .666 r
F P
0 g
s
.6107 .58059 m .62896 .57065 L .61741 .52947 L p .93 .705 .578 r
F P
0 g
s
.59899 .53893 m .61741 .52947 L .59412 .4934 L p .884 .589 .483 r
F P
0 g
s
.59412 .4934 m .57544 .50242 L .59899 .53893 L p .884 .589 .483 r
F P
0 g
s
.48481 .46894 m .50466 .46026 L .46549 .45915 L p .419 0 0 r
F P
0 g
s
.46549 .45915 m .44529 .46777 L .48481 .46894 L p .419 0 0 r
F P
0 g
s
.61741 .52947 m .59899 .53893 L .6107 .58059 L p .93 .705 .578 r
F P
0 g
s
.38804 .48942 m .40905 .48049 L .37998 .5055 L p .725 .99 .846 r
F P
0 g
s
.37998 .5055 m .35874 .51467 L .38804 .48942 L p .725 .99 .846 r
F P
0 g
s
.31675 .6428 m .3385 .63211 L .35627 .67131 L p .891 .646 .561 r
F P
0 g
s
.35627 .67131 m .33474 .68247 L .31675 .6428 L p .891 .646 .561 r
F P
0 g
s
.33474 .68247 m .35627 .67131 L .38423 .70363 L p .842 .537 .473 r
F P
0 g
s
.31088 .60026 m .33275 .59005 L .3385 .63211 L p .924 .745 .642 r
F P
0 g
s
.3385 .63211 m .31675 .6428 L .31088 .60026 L p .924 .745 .642 r
F P
0 g
s
.38423 .70363 m .363 .71518 L .33474 .68247 L p .842 .537 .473 r
F P
0 g
s
.363 .71518 m .38423 .70363 L .41952 .72568 L p .765 .4 .363 r
F P
0 g
s
.59502 .66038 m .57628 .67143 L .5507 .70098 L p .797 .997 .791 r
F P
0 g
s
.57628 .67143 m .59502 .66038 L .60929 .62265 L p .946 .934 .753 r
F P
0 g
s
.31783 .55925 m .33969 .54948 L .33275 .59005 L p .938 .846 .726 r
F P
0 g
s
.33275 .59005 m .31088 .60026 L .31783 .55925 L p .938 .846 .726 r
F P
0 g
s
.51687 .71886 m .49719 .73061 L .45854 .73506 L p .335 0 0 r
F P
0 g
s
.49719 .73061 m .51687 .71886 L .5507 .70098 L p 0 0 0 r
F P
0 g
s
.52328 .48409 m .54275 .4752 L .50466 .46026 L p .687 .247 .198 r
F P
0 g
s
.50466 .46026 m .48481 .46894 L .52328 .48409 L p .687 .247 .198 r
F P
0 g
s
.41952 .72568 m .39864 .73753 L .363 .71518 L p .765 .4 .363 r
F P
0 g
s
.39864 .73753 m .41952 .72568 L .45854 .73506 L p .628 .194 .198 r
F P
0 g
s
.42459 .4766 m .44529 .46777 L .40905 .48049 L p 0 0 0 r
F P
0 g
s
.40905 .48049 m .38804 .48942 L .42459 .4766 L p 0 0 0 r
F P
0 g
s
.337 .52407 m .35874 .51467 L .33969 .54948 L p .91 .95 .813 r
F P
0 g
s
.33969 .54948 m .31783 .55925 L .337 .52407 L p .91 .95 .813 r
F P
0 g
s
.59064 .63329 m .60929 .62265 L .6107 .58059 L p .956 .818 .666 r
F P
0 g
s
.60929 .62265 m .59064 .63329 L .57628 .67143 L p .946 .934 .753 r
F P
0 g
s
.55632 .51167 m .57544 .50242 L .54275 .4752 L p .813 .449 .368 r
F P
0 g
s
.54275 .4752 m .52328 .48409 L .55632 .51167 L p .813 .449 .368 r
F P
0 g
s
.5507 .70098 m .53131 .71259 L .49719 .73061 L p 0 0 0 r
F P
0 g
s
.53131 .71259 m .5507 .70098 L .57628 .67143 L p .797 .997 .791 r
F P
0 g
s
.45854 .73506 m .43802 .74708 L .39864 .73753 L p .628 .194 .198 r
F P
0 g
s
.43802 .74708 m .45854 .73506 L .49719 .73061 L p .335 0 0 r
F P
0 g
s
.6107 .58059 m .59201 .59076 L .59064 .63329 L p .956 .818 .666 r
F P
0 g
s
.59201 .59076 m .6107 .58059 L .59899 .53893 L p .93 .705 .578 r
F P
0 g
s
.58014 .54862 m .59899 .53893 L .57544 .50242 L p .884 .589 .483 r
F P
0 g
s
.57544 .50242 m .55632 .51167 L .58014 .54862 L p .884 .589 .483 r
F P
0 g
s
.46449 .47783 m .48481 .46894 L .44529 .46777 L p .419 0 0 r
F P
0 g
s
.44529 .46777 m .42459 .4766 L .46449 .47783 L p .419 0 0 r
F P
0 g
s
.59899 .53893 m .58014 .54862 L .59201 .59076 L p .93 .705 .578 r
F P
0 g
s
.36652 .49856 m .38804 .48942 L .35874 .51467 L p .725 .99 .846 r
F P
0 g
s
.35874 .51467 m .337 .52407 L .36652 .49856 L p .725 .99 .846 r
F P
0 g
s
.29447 .65375 m .31675 .6428 L .33474 .68247 L p .891 .646 .561 r
F P
0 g
s
.33474 .68247 m .31269 .69389 L .29447 .65375 L p .891 .646 .561 r
F P
0 g
s
.31269 .69389 m .33474 .68247 L .363 .71518 L p .842 .537 .473 r
F P
0 g
s
.28849 .61072 m .31088 .60026 L .31675 .6428 L p .924 .745 .642 r
F P
0 g
s
.31675 .6428 m .29447 .65375 L .28849 .61072 L p .924 .745 .642 r
F P
0 g
s
.363 .71518 m .34125 .72702 L .31269 .69389 L p .842 .537 .473 r
F P
0 g
s
.34125 .72702 m .363 .71518 L .39864 .73753 L p .765 .4 .363 r
F P
0 g
s
.57628 .67143 m .55709 .68274 L .53131 .71259 L p .797 .997 .791 r
F P
0 g
s
.55709 .68274 m .57628 .67143 L .59064 .63329 L p .946 .934 .753 r
F P
0 g
s
.29543 .56925 m .31783 .55925 L .31088 .60026 L p .938 .846 .726 r
F P
0 g
s
.31088 .60026 m .28849 .61072 L .29543 .56925 L p .938 .846 .726 r
F P
0 g
s
.49719 .73061 m .47703 .74265 L .43802 .74708 L p .335 0 0 r
F P
0 g
s
.47703 .74265 m .49719 .73061 L .53131 .71259 L p 0 0 0 r
F P
0 g
s
.50333 .4932 m .52328 .48409 L .48481 .46894 L p .687 .247 .198 r
F P
0 g
s
.48481 .46894 m .46449 .47783 L .50333 .4932 L p .687 .247 .198 r
F P
0 g
s
.39864 .73753 m .37725 .74968 L .34125 .72702 L p .765 .4 .363 r
F P
0 g
s
.37725 .74968 m .39864 .73753 L .43802 .74708 L p .628 .194 .198 r
F P
0 g
s
.40339 .48564 m .42459 .4766 L .38804 .48942 L p 0 0 0 r
F P
0 g
s
.38804 .48942 m .36652 .49856 L .40339 .48564 L p 0 0 0 r
F P
0 g
s
.31472 .5337 m .337 .52407 L .31783 .55925 L p .91 .95 .813 r
F P
0 g
s
.31783 .55925 m .29543 .56925 L .31472 .5337 L p .91 .95 .813 r
F P
0 g
s
.57153 .6442 m .59064 .63329 L .59201 .59076 L p .956 .818 .666 r
F P
0 g
s
.59064 .63329 m .57153 .6442 L .55709 .68274 L p .946 .934 .753 r
F P
0 g
s
.53673 .52113 m .55632 .51167 L .52328 .48409 L p .813 .449 .368 r
F P
0 g
s
.52328 .48409 m .50333 .4932 L .53673 .52113 L p .813 .449 .368 r
F P
0 g
s
.53131 .71259 m .51144 .72448 L .47703 .74265 L p 0 0 0 r
F P
0 g
s
.51144 .72448 m .53131 .71259 L .55709 .68274 L p .797 .997 .791 r
F P
0 g
s
.43802 .74708 m .41701 .7594 L .37725 .74968 L p .628 .194 .198 r
F P
0 g
s
.41701 .7594 m .43802 .74708 L .47703 .74265 L p .335 0 0 r
F P
0 g
s
.59201 .59076 m .57287 .60118 L .57153 .6442 L p .956 .818 .666 r
F P
0 g
s
.57287 .60118 m .59201 .59076 L .58014 .54862 L p .93 .705 .578 r
F P
0 g
s
.56082 .55854 m .58014 .54862 L .55632 .51167 L p .884 .589 .483 r
F P
0 g
s
.55632 .51167 m .53673 .52113 L .56082 .55854 L p .884 .589 .483 r
F P
0 g
s
.44367 .48694 m .46449 .47783 L .42459 .4766 L p .419 0 0 r
F P
0 g
s
.42459 .4766 m .40339 .48564 L .44367 .48694 L p .419 0 0 r
F P
0 g
s
.58014 .54862 m .56082 .55854 L .57287 .60118 L p .93 .705 .578 r
F P
0 g
s
.34448 .50793 m .36652 .49856 L .337 .52407 L p .725 .99 .846 r
F P
0 g
s
.337 .52407 m .31472 .5337 L .34448 .50793 L p .725 .99 .846 r
F P
0 g
s
.27166 .66496 m .29447 .65375 L .31269 .69389 L p .891 .646 .561 r
F P
0 g
s
.31269 .69389 m .2901 .70559 L .27166 .66496 L p .891 .646 .561 r
F P
0 g
s
.2901 .70559 m .31269 .69389 L .34125 .72702 L p .842 .537 .473 r
F P
0 g
s
.26555 .62144 m .28849 .61072 L .29447 .65375 L p .924 .745 .642 r
F P
0 g
s
.29447 .65375 m .27166 .66496 L .26555 .62144 L p .924 .745 .642 r
F P
0 g
s
.34125 .72702 m .31897 .73914 L .2901 .70559 L p .842 .537 .473 r
F P
0 g
s
.31897 .73914 m .34125 .72702 L .37725 .74968 L p .765 .4 .363 r
F P
0 g
s
.55709 .68274 m .53743 .69434 L .51144 .72448 L p .797 .997 .791 r
F P
0 g
s
.53743 .69434 m .55709 .68274 L .57153 .6442 L p .946 .934 .753 r
F P
0 g
s
.27249 .5795 m .29543 .56925 L .28849 .61072 L p .938 .846 .726 r
F P
0 g
s
.28849 .61072 m .26555 .62144 L .27249 .5795 L p .938 .846 .726 r
F P
0 g
s
.47703 .74265 m .45637 .75498 L .41701 .7594 L p .335 0 0 r
F P
0 g
s
.45637 .75498 m .47703 .74265 L .51144 .72448 L p 0 0 0 r
F P
0 g
s
.4829 .50253 m .50333 .4932 L .46449 .47783 L p .687 .247 .198 r
F P
0 g
s
.46449 .47783 m .44367 .48694 L .4829 .50253 L p .687 .247 .198 r
F P
0 g
s
.37725 .74968 m .35534 .76212 L .31897 .73914 L p .765 .4 .363 r
F P
0 g
s
.35534 .76212 m .37725 .74968 L .41701 .7594 L p .628 .194 .198 r
F P
0 g
s
.38167 .4949 m .40339 .48564 L .36652 .49856 L p 0 0 0 r
F P
0 g
s
.36652 .49856 m .34448 .50793 L .38167 .4949 L p 0 0 0 r
F P
0 g
s
.2919 .54356 m .31472 .5337 L .29543 .56925 L p .91 .95 .813 r
F P
0 g
s
.29543 .56925 m .27249 .5795 L .2919 .54356 L p .91 .95 .813 r
F P
0 g
s
.55196 .65537 m .57153 .6442 L .57287 .60118 L p .956 .818 .666 r
F P
0 g
s
.57153 .6442 m .55196 .65537 L .53743 .69434 L p .946 .934 .753 r
F P
0 g
s
.51665 .53083 m .53673 .52113 L .50333 .4932 L p .813 .449 .368 r
F P
0 g
s
.50333 .4932 m .4829 .50253 L .51665 .53083 L p .813 .449 .368 r
F P
0 g
s
.51144 .72448 m .49109 .73666 L .45637 .75498 L p 0 0 0 r
F P
0 g
s
.49109 .73666 m .51144 .72448 L .53743 .69434 L p .797 .997 .791 r
F P
0 g
s
.41701 .7594 m .39549 .77202 L .35534 .76212 L p .628 .194 .198 r
F P
0 g
s
.39549 .77202 m .41701 .7594 L .45637 .75498 L p .335 0 0 r
F P
0 g
s
.57287 .60118 m .55325 .61186 L .55196 .65537 L p .956 .818 .666 r
F P
0 g
s
.55325 .61186 m .57287 .60118 L .56082 .55854 L p .93 .705 .578 r
F P
0 g
s
.54104 .56871 m .56082 .55854 L .53673 .52113 L p .884 .589 .483 r
F P
0 g
s
.53673 .52113 m .51665 .53083 L .54104 .56871 L p .884 .589 .483 r
F P
0 g
s
.42233 .49627 m .44367 .48694 L .40339 .48564 L p .419 0 0 r
F P
0 g
s
.40339 .48564 m .38167 .4949 L .42233 .49627 L p .419 0 0 r
F P
0 g
s
.56082 .55854 m .54104 .56871 L .55325 .61186 L p .93 .705 .578 r
F P
0 g
s
.32189 .51753 m .34448 .50793 L .31472 .5337 L p .725 .99 .846 r
F P
0 g
s
.31472 .5337 m .2919 .54356 L .32189 .51753 L p .725 .99 .846 r
F P
0 g
s
.24828 .67646 m .27166 .66496 L .2901 .70559 L p .891 .646 .561 r
F P
0 g
s
.2901 .70559 m .26696 .71758 L .24828 .67646 L p .891 .646 .561 r
F P
0 g
s
.26696 .71758 m .2901 .70559 L .31897 .73914 L p .842 .537 .473 r
F P
0 g
s
.24204 .63242 m .26555 .62144 L .27166 .66496 L p .924 .745 .642 r
F P
0 g
s
.27166 .66496 m .24828 .67646 L .24204 .63242 L p .924 .745 .642 r
F P
0 g
s
.31897 .73914 m .29615 .75156 L .26696 .71758 L p .842 .537 .473 r
F P
0 g
s
.29615 .75156 m .31897 .73914 L .35534 .76212 L p .765 .4 .363 r
F P
0 g
s
.53743 .69434 m .51728 .70621 L .49109 .73666 L p .797 .997 .791 r
F P
0 g
s
.51728 .70621 m .53743 .69434 L .55196 .65537 L p .946 .934 .753 r
F P
0 g
s
.24898 .59 m .27249 .5795 L .26555 .62144 L p .938 .846 .726 r
F P
0 g
s
.26555 .62144 m .24204 .63242 L .24898 .59 L p .938 .846 .726 r
F P
0 g
s
.45637 .75498 m .43521 .76762 L .39549 .77202 L p .335 0 0 r
F P
0 g
s
.43521 .76762 m .45637 .75498 L .49109 .73666 L p 0 0 0 r
F P
0 g
s
.46196 .5121 m .4829 .50253 L .44367 .48694 L p .687 .247 .198 r
F P
0 g
s
.44367 .48694 m .42233 .49627 L .46196 .5121 L p .687 .247 .198 r
F P
0 g
s
.35534 .76212 m .33289 .77487 L .29615 .75156 L p .765 .4 .363 r
F P
0 g
s
.33289 .77487 m .35534 .76212 L .39549 .77202 L p .628 .194 .198 r
F P
0 g
s
.35941 .5044 m .38167 .4949 L .34448 .50793 L p 0 0 0 r
F P
0 g
s
.34448 .50793 m .32189 .51753 L .35941 .5044 L p 0 0 0 r
F P
0 g
s
.2685 .55367 m .2919 .54356 L .27249 .5795 L p .91 .95 .813 r
F P
0 g
s
.27249 .5795 m .24898 .59 L .2685 .55367 L p .91 .95 .813 r
F P
0 g
s
.53191 .66682 m .55196 .65537 L .55325 .61186 L p .956 .818 .666 r
F P
0 g
s
.55196 .65537 m .53191 .66682 L .51728 .70621 L p .946 .934 .753 r
F P
0 g
s
.49608 .54077 m .51665 .53083 L .4829 .50253 L p .813 .449 .368 r
F P
0 g
s
.4829 .50253 m .46196 .5121 L .49608 .54077 L p .813 .449 .368 r
F P
0 g
s
.49109 .73666 m .47023 .74915 L .43521 .76762 L p 0 0 0 r
F P
0 g
s
.47023 .74915 m .49109 .73666 L .51728 .70621 L p .797 .997 .791 r
F P
0 g
s
.39549 .77202 m .37342 .78496 L .33289 .77487 L p .628 .194 .198 r
F P
0 g
s
.37342 .78496 m .39549 .77202 L .43521 .76762 L p .335 0 0 r
F P
0 g
s
.55325 .61186 m .53315 .62281 L .53191 .66682 L p .956 .818 .666 r
F P
0 g
s
.53315 .62281 m .55325 .61186 L .54104 .56871 L p .93 .705 .578 r
F P
0 g
s
.52075 .57913 m .54104 .56871 L .51665 .53083 L p .884 .589 .483 r
F P
0 g
s
.51665 .53083 m .49608 .54077 L .52075 .57913 L p .884 .589 .483 r
F P
0 g
s
.40046 .50583 m .42233 .49627 L .38167 .4949 L p .419 0 0 r
F P
0 g
s
.38167 .4949 m .35941 .5044 L .40046 .50583 L p .419 0 0 r
F P
0 g
s
.54104 .56871 m .52075 .57913 L .53315 .62281 L p .93 .705 .578 r
F P
0 g
s
.29874 .52737 m .32189 .51753 L .2919 .54356 L p .725 .99 .846 r
F P
0 g
s
.2919 .54356 m .2685 .55367 L .29874 .52737 L p .725 .99 .846 r
F P
0 g
s
.22432 .68823 m .24828 .67646 L .26696 .71758 L p .891 .646 .561 r
F P
0 g
s
.26696 .71758 m .24323 .72987 L .22432 .68823 L p .891 .646 .561 r
F P
0 g
s
.24323 .72987 m .26696 .71758 L .29615 .75156 L p .842 .537 .473 r
F P
0 g
s
.21795 .64367 m .24204 .63242 L .24828 .67646 L p .924 .745 .642 r
F P
0 g
s
.24828 .67646 m .22432 .68823 L .21795 .64367 L p .924 .745 .642 r
F P
0 g
s
.29615 .75156 m .27275 .7643 L .24323 .72987 L p .842 .537 .473 r
F P
0 g
s
.27275 .7643 m .29615 .75156 L .33289 .77487 L p .765 .4 .363 r
F P
0 g
s
.51728 .70621 m .49664 .71839 L .47023 .74915 L p .797 .997 .791 r
F P
0 g
s
.49664 .71839 m .51728 .70621 L .53191 .66682 L p .946 .934 .753 r
F P
0 g
s
.22487 .60077 m .24898 .59 L .24204 .63242 L p .938 .846 .726 r
F P
0 g
s
.24204 .63242 m .21795 .64367 L .22487 .60077 L p .938 .846 .726 r
F P
0 g
s
.43521 .76762 m .41352 .78057 L .37342 .78496 L p .335 0 0 r
F P
0 g
s
.41352 .78057 m .43521 .76762 L .47023 .74915 L p 0 0 0 r
F P
0 g
s
.4405 .5219 m .46196 .5121 L .42233 .49627 L p .687 .247 .198 r
F P
0 g
s
.42233 .49627 m .40046 .50583 L .4405 .5219 L p .687 .247 .198 r
F P
0 g
s
.33289 .77487 m .30987 .78794 L .27275 .7643 L p .765 .4 .363 r
F P
0 g
s
.30987 .78794 m .33289 .77487 L .37342 .78496 L p .628 .194 .198 r
F P
0 g
s
.33659 .51414 m .35941 .5044 L .32189 .51753 L p 0 0 0 r
F P
0 g
s
.32189 .51753 m .29874 .52737 L .33659 .51414 L p 0 0 0 r
F P
0 g
s
.24452 .56403 m .2685 .55367 L .24898 .59 L p .91 .95 .813 r
F P
0 g
s
.24898 .59 m .22487 .60077 L .24452 .56403 L p .91 .95 .813 r
F P
0 g
s
.51134 .67856 m .53191 .66682 L .53315 .62281 L p .956 .818 .666 r
F P
0 g
s
.53191 .66682 m .51134 .67856 L .49664 .71839 L p .946 .934 .753 r
F P
0 g
s
.47499 .55097 m .49608 .54077 L .46196 .5121 L p .813 .449 .368 r
F P
0 g
s
.46196 .5121 m .4405 .5219 L .47499 .55097 L p .813 .449 .368 r
F P
0 g
s
.47023 .74915 m .44885 .76195 L .41352 .78057 L p 0 0 0 r
F P
0 g
s
.44885 .76195 m .47023 .74915 L .49664 .71839 L p .797 .997 .791 r
F P
0 g
s
.37342 .78496 m .3508 .79822 L .30987 .78794 L p .628 .194 .198 r
F P
0 g
s
.3508 .79822 m .37342 .78496 L .41352 .78057 L p .335 0 0 r
F P
0 g
s
.53315 .62281 m .51254 .63402 L .51134 .67856 L p .956 .818 .666 r
F P
0 g
s
.51254 .63402 m .53315 .62281 L .52075 .57913 L p .93 .705 .578 r
F P
0 g
s
.49996 .58981 m .52075 .57913 L .49608 .54077 L p .884 .589 .483 r
F P
0 g
s
.49608 .54077 m .47499 .55097 L .49996 .58981 L p .884 .589 .483 r
F P
0 g
s
.37803 .51564 m .40046 .50583 L .35941 .5044 L p .419 0 0 r
F P
0 g
s
.35941 .5044 m .33659 .51414 L .37803 .51564 L p .419 0 0 r
F P
0 g
s
.52075 .57913 m .49996 .58981 L .51254 .63402 L p .93 .705 .578 r
F P
0 g
s
.27499 .53747 m .29874 .52737 L .2685 .55367 L p .725 .99 .846 r
F P
0 g
s
.2685 .55367 m .24452 .56403 L .27499 .53747 L p .725 .99 .846 r
F P
0 g
s
.19975 .70031 m .22432 .68823 L .24323 .72987 L p .891 .646 .561 r
F P
0 g
s
.24323 .72987 m .21891 .74247 L .19975 .70031 L p .891 .646 .561 r
F P
0 g
s
.21891 .74247 m .24323 .72987 L .27275 .7643 L p .842 .537 .473 r
F P
0 g
s
.19324 .65521 m .21795 .64367 L .22432 .68823 L p .924 .745 .642 r
F P
0 g
s
.22432 .68823 m .19975 .70031 L .19324 .65521 L p .924 .745 .642 r
F P
0 g
s
.27275 .7643 m .24876 .77735 L .21891 .74247 L p .842 .537 .473 r
F P
0 g
s
.24876 .77735 m .27275 .7643 L .30987 .78794 L p .765 .4 .363 r
F P
0 g
s
.49664 .71839 m .47546 .73087 L .44885 .76195 L p .797 .997 .791 r
F P
0 g
s
.47546 .73087 m .49664 .71839 L .51134 .67856 L p .946 .934 .753 r
F P
0 g
s
.20016 .61181 m .22487 .60077 L .21795 .64367 L p .938 .846 .726 r
F P
0 g
s
.21795 .64367 m .19324 .65521 L .20016 .61181 L p .938 .846 .726 r
F P
0 g
s
.41352 .78057 m .39127 .79386 L .3508 .79822 L p .335 0 0 r
F P
0 g
s
.39127 .79386 m .41352 .78057 L .44885 .76195 L p 0 0 0 r
F P
0 g
s
.41849 .53196 m .4405 .5219 L .40046 .50583 L p .687 .247 .198 r
F P
0 g
s
.40046 .50583 m .37803 .51564 L .41849 .53196 L p .687 .247 .198 r
F P
0 g
s
.30987 .78794 m .28627 .80134 L .24876 .77735 L p .765 .4 .363 r
F P
0 g
s
.28627 .80134 m .30987 .78794 L .3508 .79822 L p .628 .194 .198 r
F P
0 g
s
.31319 .52412 m .33659 .51414 L .29874 .52737 L p 0 0 0 r
F P
0 g
s
.29874 .52737 m .27499 .53747 L .31319 .52412 L p 0 0 0 r
F P
0 g
s
.21992 .57466 m .24452 .56403 L .22487 .60077 L p .91 .95 .813 r
F P
0 g
s
.22487 .60077 m .20016 .61181 L .21992 .57466 L p .91 .95 .813 r
F P
0 g
s
.49026 .69059 m .51134 .67856 L .51254 .63402 L p .956 .818 .666 r
F P
0 g
s
.51134 .67856 m .49026 .69059 L .47546 .73087 L p .946 .934 .753 r
F P
0 g
s
.45336 .56142 m .47499 .55097 L .4405 .5219 L p .813 .449 .368 r
F P
0 g
s
.4405 .5219 m .41849 .53196 L .45336 .56142 L p .813 .449 .368 r
F P
0 g
s
.44885 .76195 m .42692 .77508 L .39127 .79386 L p 0 0 0 r
F P
0 g
s
.42692 .77508 m .44885 .76195 L .47546 .73087 L p .797 .997 .791 r
F P
0 g
s
.3508 .79822 m .32761 .81182 L .28627 .80134 L p .628 .194 .198 r
F P
0 g
s
.32761 .81182 m .3508 .79822 L .39127 .79386 L p .335 0 0 r
F P
0 g
s
.51254 .63402 m .4914 .64553 L .49026 .69059 L p .956 .818 .666 r
F P
0 g
s
.4914 .64553 m .51254 .63402 L .49996 .58981 L p .93 .705 .578 r
F P
0 g
s
.47863 .60077 m .49996 .58981 L .47499 .55097 L p .884 .589 .483 r
F P
0 g
s
.47499 .55097 m .45336 .56142 L .47863 .60077 L p .884 .589 .483 r
F P
0 g
s
.35503 .5257 m .37803 .51564 L .33659 .51414 L p .419 0 0 r
F P
0 g
s
.33659 .51414 m .31319 .52412 L .35503 .5257 L p .419 0 0 r
F P
0 g
s
.49996 .58981 m .47863 .60077 L .4914 .64553 L p .93 .705 .578 r
F P
0 g
s
.25064 .54782 m .27499 .53747 L .24452 .56403 L p .725 .99 .846 r
F P
0 g
s
.24452 .56403 m .21992 .57466 L .25064 .54782 L p .725 .99 .846 r
F P
0 g
s
.17455 .7127 m .19975 .70031 L .21891 .74247 L p .891 .646 .561 r
F P
0 g
s
.21891 .74247 m .19397 .75539 L .17455 .7127 L p .891 .646 .561 r
F P
0 g
s
.19397 .75539 m .21891 .74247 L .24876 .77735 L p .842 .537 .473 r
F P
0 g
s
.1679 .66705 m .19324 .65521 L .19975 .70031 L p .924 .745 .642 r
F P
0 g
s
.19975 .70031 m .17455 .7127 L .1679 .66705 L p .924 .745 .642 r
F P
0 g
s
.24876 .77735 m .22416 .79074 L .19397 .75539 L p .842 .537 .473 r
F P
0 g
s
.22416 .79074 m .24876 .77735 L .28627 .80134 L p .765 .4 .363 r
F P
0 g
s
.47546 .73087 m .45375 .74368 L .42692 .77508 L p .797 .997 .791 r
F P
0 g
s
.45375 .74368 m .47546 .73087 L .49026 .69059 L p .946 .934 .753 r
F P
0 g
s
.1748 .62313 m .20016 .61181 L .19324 .65521 L p .938 .846 .726 r
F P
0 g
s
.19324 .65521 m .1679 .66705 L .1748 .62313 L p .938 .846 .726 r
F P
0 g
s
.39127 .79386 m .36846 .80748 L .32761 .81182 L p .335 0 0 r
F P
0 g
s
.36846 .80748 m .39127 .79386 L .42692 .77508 L p 0 0 0 r
F P
0 g
s
.39591 .54227 m .41849 .53196 L .37803 .51564 L p .687 .247 .198 r
F P
0 g
s
.37803 .51564 m .35503 .5257 L .39591 .54227 L p .687 .247 .198 r
F P
0 g
s
.28627 .80134 m .26206 .81508 L .22416 .79074 L p .765 .4 .363 r
F P
0 g
s
.26206 .81508 m .28627 .80134 L .32761 .81182 L p .628 .194 .198 r
F P
0 g
s
.28917 .53437 m .31319 .52412 L .27499 .53747 L p 0 0 0 r
F P
0 g
s
.27499 .53747 m .25064 .54782 L .28917 .53437 L p 0 0 0 r
F P
0 g
s
.19469 .58557 m .21992 .57466 L .20016 .61181 L p .91 .95 .813 r
F P
0 g
s
.20016 .61181 m .1748 .62313 L .19469 .58557 L p .91 .95 .813 r
F P
0 g
s
.46863 .70294 m .49026 .69059 L .4914 .64553 L p .956 .818 .666 r
F P
0 g
s
.49026 .69059 m .46863 .70294 L .45375 .74368 L p .946 .934 .753 r
F P
0 g
s
.43117 .57214 m .45336 .56142 L .41849 .53196 L p .813 .449 .368 r
F P
0 g
s
.41849 .53196 m .39591 .54227 L .43117 .57214 L p .813 .449 .368 r
F P
0 g
s
.42692 .77508 m .40442 .78854 L .36846 .80748 L p 0 0 0 r
F P
0 g
s
.40442 .78854 m .42692 .77508 L .45375 .74368 L p .797 .997 .791 r
F P
0 g
s
.32761 .81182 m .30381 .82577 L .26206 .81508 L p .628 .194 .198 r
F P
0 g
s
.30381 .82577 m .32761 .81182 L .36846 .80748 L p .335 0 0 r
F P
0 g
s
.4914 .64553 m .46972 .65733 L .46863 .70294 L p .956 .818 .666 r
F P
0 g
s
.46972 .65733 m .4914 .64553 L .47863 .60077 L p .93 .705 .578 r
F P
0 g
s
.45675 .61201 m .47863 .60077 L .45336 .56142 L p .884 .589 .483 r
F P
0 g
s
.45336 .56142 m .43117 .57214 L .45675 .61201 L p .884 .589 .483 r
F P
0 g
s
.33143 .53602 m .35503 .5257 L .31319 .52412 L p .419 0 0 r
F P
0 g
s
.31319 .52412 m .28917 .53437 L .33143 .53602 L p .419 0 0 r
F P
0 g
s
.47863 .60077 m .45675 .61201 L .46972 .65733 L p .93 .705 .578 r
F P
0 g
s
.22565 .55844 m .25064 .54782 L .21992 .57466 L p .725 .99 .846 r
F P
0 g
s
.21992 .57466 m .19469 .58557 L .22565 .55844 L p .725 .99 .846 r
F P
0 g
s
.1487 .7254 m .17455 .7127 L .19397 .75539 L p .891 .646 .561 r
F P
0 g
s
.19397 .75539 m .16838 .76864 L .1487 .7254 L p .891 .646 .561 r
F P
0 g
s
.16838 .76864 m .19397 .75539 L .22416 .79074 L p .842 .537 .473 r
F P
0 g
s
.14191 .67919 m .1679 .66705 L .17455 .7127 L p .924 .745 .642 r
F P
0 g
s
.17455 .7127 m .1487 .7254 L .14191 .67919 L p .924 .745 .642 r
F P
0 g
s
.22416 .79074 m .19892 .80448 L .16838 .76864 L p .842 .537 .473 r
F P
0 g
s
.19892 .80448 m .22416 .79074 L .26206 .81508 L p .765 .4 .363 r
F P
0 g
s
.45375 .74368 m .43147 .75681 L .40442 .78854 L p .797 .997 .791 r
F P
0 g
s
.43147 .75681 m .45375 .74368 L .46863 .70294 L p .946 .934 .753 r
F P
0 g
s
.14879 .63475 m .1748 .62313 L .1679 .66705 L p .938 .846 .726 r
F P
0 g
s
.1679 .66705 m .14191 .67919 L .14879 .63475 L p .938 .846 .726 r
F P
0 g
s
.36846 .80748 m .34505 .82146 L .30381 .82577 L p .335 0 0 r
F P
0 g
s
.34505 .82146 m .36846 .80748 L .40442 .78854 L p 0 0 0 r
F P
0 g
s
.37273 .55285 m .39591 .54227 L .35503 .5257 L p .687 .247 .198 r
F P
0 g
s
.35503 .5257 m .33143 .53602 L .37273 .55285 L p .687 .247 .198 r
F P
0 g
s
.26206 .81508 m .23722 .82919 L .19892 .80448 L p .765 .4 .363 r
F P
0 g
s
.23722 .82919 m .26206 .81508 L .30381 .82577 L p .628 .194 .198 r
F P
0 g
s
.26453 .54488 m .28917 .53437 L .25064 .54782 L p 0 0 0 r
F P
0 g
s
.25064 .54782 m .22565 .55844 L .26453 .54488 L p 0 0 0 r
F P
0 g
s
.16879 .59676 m .19469 .58557 L .1748 .62313 L p .91 .95 .813 r
F P
0 g
s
.1748 .62313 m .14879 .63475 L .16879 .59676 L p .91 .95 .813 r
F P
0 g
s
.44644 .71561 m .46863 .70294 L .46972 .65733 L p .956 .818 .666 r
F P
0 g
s
.46863 .70294 m .44644 .71561 L .43147 .75681 L p .946 .934 .753 r
F P
0 g
s
.4084 .58314 m .43117 .57214 L .39591 .54227 L p .813 .449 .368 r
F P
0 g
s
.39591 .54227 m .37273 .55285 L .4084 .58314 L p .813 .449 .368 r
F P
0 g
s
.40442 .78854 m .38134 .80236 L .34505 .82146 L p 0 0 0 r
F P
0 g
s
.38134 .80236 m .40442 .78854 L .43147 .75681 L p .797 .997 .791 r
F P
0 g
s
.30381 .82577 m .27939 .84008 L .23722 .82919 L p .628 .194 .198 r
F P
0 g
s
.27939 .84008 m .30381 .82577 L .34505 .82146 L p .335 0 0 r
F P
0 g
s
.46972 .65733 m .44746 .66945 L .44644 .71561 L p .956 .818 .666 r
F P
0 g
s
.44746 .66945 m .46972 .65733 L .45675 .61201 L p .93 .705 .578 r
F P
0 g
s
.4343 .62354 m .45675 .61201 L .43117 .57214 L p .884 .589 .483 r
F P
0 g
s
.43117 .57214 m .4084 .58314 L .4343 .62354 L p .884 .589 .483 r
F P
0 g
s
.30721 .54662 m .33143 .53602 L .28917 .53437 L p .419 0 0 r
F P
0 g
s
.28917 .53437 m .26453 .54488 L .30721 .54662 L p .419 0 0 r
F P
0 g
s
.45675 .61201 m .4343 .62354 L .44746 .66945 L p .93 .705 .578 r
F P
0 g
s
.2 .56934 m .22565 .55844 L .19469 .58557 L p .725 .99 .846 r
F P
0 g
s
.19469 .58557 m .16879 .59676 L .2 .56934 L p .725 .99 .846 r
F P
0 g
s
.12217 .73844 m .1487 .7254 L .16838 .76864 L p .891 .646 .561 r
F P
0 g
s
.16838 .76864 m .14211 .78225 L .12217 .73844 L p .891 .646 .561 r
F P
0 g
s
.14211 .78225 m .16838 .76864 L .19892 .80448 L p .842 .537 .473 r
F P
0 g
s
.11522 .69165 m .14191 .67919 L .1487 .7254 L p .924 .745 .642 r
F P
0 g
s
.1487 .7254 m .12217 .73844 L .11522 .69165 L p .924 .745 .642 r
F P
0 g
s
.19892 .80448 m .17301 .81858 L .14211 .78225 L p .842 .537 .473 r
F P
0 g
s
.17301 .81858 m .19892 .80448 L .23722 .82919 L p .765 .4 .363 r
F P
0 g
s
.43147 .75681 m .4086 .7703 L .38134 .80236 L p .797 .997 .791 r
F P
0 g
s
.4086 .7703 m .43147 .75681 L .44644 .71561 L p .946 .934 .753 r
F P
0 g
s
.12209 .64668 m .14879 .63475 L .14191 .67919 L p .938 .846 .726 r
F P
0 g
s
.14191 .67919 m .11522 .69165 L .12209 .64668 L p .938 .846 .726 r
F P
0 g
s
.34505 .82146 m .32103 .8358 L .27939 .84008 L p .335 0 0 r
F P
0 g
s
.32103 .8358 m .34505 .82146 L .38134 .80236 L p 0 0 0 r
F P
0 g
s
.34895 .56372 m .37273 .55285 L .33143 .53602 L p .687 .247 .198 r
F P
0 g
s
.33143 .53602 m .30721 .54662 L .34895 .56372 L p .687 .247 .198 r
F P
0 g
s
.23722 .82919 m .21173 .84366 L .17301 .81858 L p .765 .4 .363 r
F P
0 g
s
.21173 .84366 m .23722 .82919 L .27939 .84008 L p .628 .194 .198 r
F P
0 g
s
.23924 .55567 m .26453 .54488 L .22565 .55844 L p 0 0 0 r
F P
0 g
s
.22565 .55844 m .2 .56934 L .23924 .55567 L p 0 0 0 r
F P
0 g
s
.14221 .60825 m .16879 .59676 L .14879 .63475 L p .91 .95 .813 r
F P
0 g
s
.14879 .63475 m .12209 .64668 L .14221 .60825 L p .91 .95 .813 r
F P
0 g
s
.42366 .72861 m .44644 .71561 L .44746 .66945 L p .956 .818 .666 r
F P
0 g
s
.44644 .71561 m .42366 .72861 L .4086 .7703 L p .946 .934 .753 r
F P
0 g
s
.38502 .59444 m .4084 .58314 L .37273 .55285 L p .813 .449 .368 r
F P
0 g
s
.37273 .55285 m .34895 .56372 L .38502 .59444 L p .813 .449 .368 r
F P
0 g
s
.38134 .80236 m .35764 .81655 L .32103 .8358 L p 0 0 0 r
F P
0 g
s
.35764 .81655 m .38134 .80236 L .4086 .7703 L p .797 .997 .791 r
F P
0 g
s
.27939 .84008 m .25432 .85478 L .21173 .84366 L p .628 .194 .198 r
F P
0 g
s
.25432 .85478 m .27939 .84008 L .32103 .8358 L p .335 0 0 r
F P
0 g
s
.44746 .66945 m .42462 .68188 L .42366 .72861 L p .956 .818 .666 r
F P
0 g
s
.42462 .68188 m .44746 .66945 L .4343 .62354 L p .93 .705 .578 r
F P
0 g
s
.41125 .63538 m .4343 .62354 L .4084 .58314 L p .884 .589 .483 r
F P
0 g
s
.4084 .58314 m .38502 .59444 L .41125 .63538 L p .884 .589 .483 r
F P
0 g
s
.28233 .55749 m .30721 .54662 L .26453 .54488 L p .419 0 0 r
F P
0 g
s
.26453 .54488 m .23924 .55567 L .28233 .55749 L p .419 0 0 r
F P
0 g
s
.4343 .62354 m .41125 .63538 L .42462 .68188 L p .93 .705 .578 r
F P
0 g
s
.17366 .58054 m .2 .56934 L .16879 .59676 L p .725 .99 .846 r
F P
0 g
s
.16879 .59676 m .14221 .60825 L .17366 .58054 L p .725 .99 .846 r
F P
0 g
s
.4086 .7703 m .38513 .78414 L .35764 .81655 L p .797 .997 .791 r
F P
0 g
s
.38513 .78414 m .4086 .7703 L .42366 .72861 L p .946 .934 .753 r
F P
0 g
s
.32103 .8358 m .29636 .85053 L .25432 .85478 L p .335 0 0 r
F P
0 g
s
.29636 .85053 m .32103 .8358 L .35764 .81655 L p 0 0 0 r
F P
0 g
s
.32453 .57487 m .34895 .56372 L .30721 .54662 L p .687 .247 .198 r
F P
0 g
s
.30721 .54662 m .28233 .55749 L .32453 .57487 L p .687 .247 .198 r
F P
0 g
s
.21326 .56675 m .23924 .55567 L .2 .56934 L p 0 0 0 r
F P
0 g
s
.2 .56934 m .17366 .58054 L .21326 .56675 L p 0 0 0 r
F P
0 g
s
.40027 .74197 m .42366 .72861 L .42462 .68188 L p .956 .818 .666 r
F P
0 g
s
.42366 .72861 m .40027 .74197 L .38513 .78414 L p .946 .934 .753 r
F P
0 g
s
.36101 .60604 m .38502 .59444 L .34895 .56372 L p .813 .449 .368 r
F P
0 g
s
.34895 .56372 m .32453 .57487 L .36101 .60604 L p .813 .449 .368 r
F P
0 g
s
.35764 .81655 m .33331 .83111 L .29636 .85053 L p 0 0 0 r
F P
0 g
s
.33331 .83111 m .35764 .81655 L .38513 .78414 L p .797 .997 .791 r
F P
0 g
s
.42462 .68188 m .40116 .69465 L .40027 .74197 L p .956 .818 .666 r
F P
0 g
s
.40116 .69465 m .42462 .68188 L .41125 .63538 L p .93 .705 .578 r
F P
0 g
s
.38758 .64754 m .41125 .63538 L .38502 .59444 L p .884 .589 .483 r
F P
0 g
s
.38502 .59444 m .36101 .60604 L .38758 .64754 L p .884 .589 .483 r
F P
0 g
s
.25679 .56867 m .28233 .55749 L .23924 .55567 L p .419 0 0 r
F P
0 g
s
.23924 .55567 m .21326 .56675 L .25679 .56867 L p .419 0 0 r
F P
0 g
s
.41125 .63538 m .38758 .64754 L .40116 .69465 L p .93 .705 .578 r
F P
0 g
s
.38513 .78414 m .36102 .79836 L .33331 .83111 L p .797 .997 .791 r
F P
0 g
s
.36102 .79836 m .38513 .78414 L .40027 .74197 L p .946 .934 .753 r
F P
0 g
s
.29944 .58633 m .32453 .57487 L .28233 .55749 L p .687 .247 .198 r
F P
0 g
s
.28233 .55749 m .25679 .56867 L .29944 .58633 L p .687 .247 .198 r
F P
0 g
s
.37624 .75568 m .40027 .74197 L .40116 .69465 L p .956 .818 .666 r
F P
0 g
s
.40027 .74197 m .37624 .75568 L .36102 .79836 L p .946 .934 .753 r
F P
0 g
s
.33635 .61796 m .36101 .60604 L .32453 .57487 L p .813 .449 .368 r
F P
0 g
s
.32453 .57487 m .29944 .58633 L .33635 .61796 L p .813 .449 .368 r
F P
0 g
s
.40116 .69465 m .37707 .70777 L .37624 .75568 L p .956 .818 .666 r
F P
0 g
s
.37707 .70777 m .40116 .69465 L .38758 .64754 L p .93 .705 .578 r
F P
0 g
s
.36326 .66004 m .38758 .64754 L .36101 .60604 L p .884 .589 .483 r
F P
0 g
s
.36101 .60604 m .33635 .61796 L .36326 .66004 L p .884 .589 .483 r
F P
0 g
s
.38758 .64754 m .36326 .66004 L .37707 .70777 L p .93 .705 .578 r
F P
0 g
s
.25 Mabswid
.03936 .39802 m
.15668 0 L
s
.15668 0 m
.12173 .77502 L
s
.12173 .77502 m
0 1.06587 L
s
0 1.06587 m
.03936 .39802 L
s
.94756 .11397 m
.15668 0 L
s
.15668 0 m
.12173 .77502 L
s
.12173 .77502 m
1 .85945 L
s
1 .85945 m
.94756 .11397 L
s
.94756 .11397 m
.15668 0 L
s
.82461 .09625 m
.82501 .10376 L
s
[(0)] .82382 .08124 .05265 1 Mshowa
.56125 .0583 m
.56136 .06582 L
s
[(2)] .56103 .04327 .01444 1 Mshowa
.28882 .01904 m
.28863 .02656 L
s
[(4)] .2892 .00402 -0.02554 1 Mshowa
.125 Mabswid
.7596 .08688 m
.75979 .09139 L
s
.69404 .07744 m
.69419 .08194 L
s
.62792 .06791 m
.62803 .07242 L
s
.49401 .04861 m
.49403 .05312 L
s
.4262 .03884 m
.42617 .04335 L
s
.3578 .02898 m
.35773 .03349 L
s
.88909 .10554 m
.88937 .11005 L
s
.21924 .00902 m
.21908 .01352 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
 ImageSize->{408, 457.875},
 ImageMargins->{{43, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],
 ImageRangeCache->{{{0, 407}, {456.875, 0}} -> {0.115398, -0.017475, \
0.00208563, 0.00208563}}],

Cell[BoxData[
 TagBox[
  RowBox[{"\[SkeletonIndicator]", "Graphics3D", "\[SkeletonIndicator]"}],
  False,
  Editable->False]], "Output"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      SqrtBox[
       FractionBox["2", "3"]]}], " ", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "-", 
    FractionBox[
     RowBox[{"Cos", "[", "\[Theta]", "]"}], 
     SqrtBox["6"]], "-", 
    FractionBox[
     RowBox[{"Sin", "[", "\[Theta]", "]"}], 
     SqrtBox["2"]]}], ",", 
   RowBox[{
    RowBox[{"-", 
     SqrtBox["2"]}], " ", 
    RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]], "Output"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParametricPlot", "::", "\<\"ppcom\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Function \\!\\(mises2D\\) cannot be compiled; plotting \
will proceed with the uncompiled function.\"\>"}]], "Message"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.336718 0.309018 0.208104 [
[.16328 .29652 -6 -9 ]
[.16328 .29652 6 0 ]
[.33164 .29652 -12 -9 ]
[.33164 .29652 12 0 ]
[.66836 .29652 -9 -9 ]
[.66836 .29652 9 0 ]
[.83672 .29652 -3 -9 ]
[.83672 .29652 3 0 ]
[.4875 .10091 -12 -4.5 ]
[.4875 .10091 0 4.5 ]
[.4875 .20497 -24 -4.5 ]
[.4875 .20497 0 4.5 ]
[.4875 .41307 -18 -4.5 ]
[.4875 .41307 0 4.5 ]
[.4875 .51712 -6 -4.5 ]
[.4875 .51712 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.16328 .30902 m
.16328 .31527 L
s
[(-1)] .16328 .29652 0 1 Mshowa
.33164 .30902 m
.33164 .31527 L
s
[(-0.5)] .33164 .29652 0 1 Mshowa
.66836 .30902 m
.66836 .31527 L
s
[(0.5)] .66836 .29652 0 1 Mshowa
.83672 .30902 m
.83672 .31527 L
s
[(1)] .83672 .29652 0 1 Mshowa
.125 Mabswid
.0286 .30902 m
.0286 .31277 L
s
.06227 .30902 m
.06227 .31277 L
s
.09594 .30902 m
.09594 .31277 L
s
.12961 .30902 m
.12961 .31277 L
s
.19695 .30902 m
.19695 .31277 L
s
.23063 .30902 m
.23063 .31277 L
s
.2643 .30902 m
.2643 .31277 L
s
.29797 .30902 m
.29797 .31277 L
s
.36531 .30902 m
.36531 .31277 L
s
.39898 .30902 m
.39898 .31277 L
s
.43266 .30902 m
.43266 .31277 L
s
.46633 .30902 m
.46633 .31277 L
s
.53367 .30902 m
.53367 .31277 L
s
.56734 .30902 m
.56734 .31277 L
s
.60102 .30902 m
.60102 .31277 L
s
.63469 .30902 m
.63469 .31277 L
s
.70203 .30902 m
.70203 .31277 L
s
.7357 .30902 m
.7357 .31277 L
s
.76937 .30902 m
.76937 .31277 L
s
.80305 .30902 m
.80305 .31277 L
s
.87039 .30902 m
.87039 .31277 L
s
.90406 .30902 m
.90406 .31277 L
s
.93773 .30902 m
.93773 .31277 L
s
.9714 .30902 m
.9714 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.5 .10091 m
.50625 .10091 L
s
[(-1)] .4875 .10091 1 0 Mshowa
.5 .20497 m
.50625 .20497 L
s
[(-0.5)] .4875 .20497 1 0 Mshowa
.5 .41307 m
.50625 .41307 L
s
[(0.5)] .4875 .41307 1 0 Mshowa
.5 .51712 m
.50625 .51712 L
s
[(1)] .4875 .51712 1 0 Mshowa
.125 Mabswid
.5 .01767 m
.50375 .01767 L
s
.5 .03848 m
.50375 .03848 L
s
.5 .05929 m
.50375 .05929 L
s
.5 .0801 m
.50375 .0801 L
s
.5 .12172 m
.50375 .12172 L
s
.5 .14253 m
.50375 .14253 L
s
.5 .16334 m
.50375 .16334 L
s
.5 .18416 m
.50375 .18416 L
s
.5 .22578 m
.50375 .22578 L
s
.5 .24659 m
.50375 .24659 L
s
.5 .2674 m
.50375 .2674 L
s
.5 .28821 m
.50375 .28821 L
s
.5 .32983 m
.50375 .32983 L
s
.5 .35064 m
.50375 .35064 L
s
.5 .37145 m
.50375 .37145 L
s
.5 .39226 m
.50375 .39226 L
s
.5 .43388 m
.50375 .43388 L
s
.5 .45469 m
.50375 .45469 L
s
.5 .4755 m
.50375 .4755 L
s
.5 .49631 m
.50375 .49631 L
s
.5 .53793 m
.50375 .53793 L
s
.5 .55874 m
.50375 .55874 L
s
.5 .57955 m
.50375 .57955 L
s
.5 .60036 m
.50375 .60036 L
s
.25 Mabswid
.5 0 m
.5 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.08761 .30902 m
.06131 .27259 L
.0409 .23481 L
.0333 .21544 L
.02821 .19779 L
.02615 .18785 L
.02541 .18321 L
.02484 .17895 L
.02434 .17409 L
.02415 .17154 L
.02399 .16886 L
.02393 .16774 L
.02389 .16654 L
.02383 .16439 L
.02381 .16307 L
.02381 .16183 L
.02381 .16072 L
.02383 .15951 L
.02385 .15843 L
.02389 .15729 L
.02397 .15526 L
.0241 .15309 L
.02428 .15072 L
.02471 .1465 L
.02523 .14261 L
.02654 .13546 L
.02841 .12796 L
.03118 .11946 L
.03441 .11165 L
.04202 .09769 L
.05125 .08508 L
.06304 .07268 L
.08921 .05316 L
.10487 .04467 L
.12345 .03664 L
.14252 .03017 L
.16125 .02521 L
.17188 .02291 L
.18359 .02077 L
.194 .01917 L
.20556 .01772 L
.21278 .01697 L
.21953 .01637 L
.22594 .0159 L
.23307 .01547 L
.23954 .01516 L
.24566 .01495 L
.24906 .01486 L
.25218 .0148 L
.25391 .01477 L
Mistroke
.2558 .01475 L
.25926 .01472 L
.26102 .01472 L
.26289 .01472 L
.26624 .01473 L
.26986 .01477 L
.27192 .0148 L
.27385 .01484 L
.28057 .01501 L
.28437 .01514 L
.28783 .01528 L
.30148 .016 L
.31457 .01696 L
.34406 .02001 L
.37687 .02476 L
.43788 .03713 L
.50374 .05531 L
.62116 .09997 L
.73778 .16167 L
.83436 .23086 L
.87546 .26827 L
.9131 .30989 L
.94134 .3497 L
.96032 .38602 L
.96769 .40559 L
.97048 .41503 L
.97256 .42362 L
.97404 .43133 L
.97519 .43938 L
.97562 .44351 L
.97591 .44734 L
.97603 .44952 L
.97611 .4515 L
.97614 .4526 L
.97617 .45378 L
.97619 .45593 L
.97618 .45797 L
.97614 .45983 L
.97607 .46187 L
.97596 .464 L
.97584 .46585 L
.9757 .46756 L
.97531 .47143 L
.97473 .47565 L
.97409 .47945 L
.97221 .48782 L
.96984 .4957 L
.96664 .50401 L
.9592 .51839 L
.95046 .53087 L
Mistroke
.93881 .54361 L
.92444 .55573 L
.909 .56594 L
.89134 .57516 L
.87285 .58278 L
.85491 .58862 L
.83395 .59391 L
.82183 .59632 L
.81006 .59827 L
.79907 .59977 L
.78717 .60107 L
.78086 .60163 L
.77384 .60215 L
.76731 .60255 L
.76129 .60284 L
.7541 .60309 L
.75011 .60319 L
.74827 .60323 L
.74631 .60326 L
.74278 .6033 L
.7395 .60332 L
.73595 .60332 L
.73393 .60331 L
.73202 .60329 L
.72878 .60325 L
.72531 .60318 L
.72202 .6031 L
.71901 .60301 L
.7116 .60273 L
.70455 .60239 L
.69034 .60146 L
.67472 .60011 L
.64623 .59676 L
.61946 .59266 L
.56158 .58078 L
.49689 .56293 L
.37171 .51482 L
.25966 .45478 L
.1579 .3806 L
.08761 .30902 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
 ImageSize->{407.813, 252.063},
 ImageMargins->{{43, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],
 ImageRangeCache->{{{0, 406.812}, {251.062, 0}} -> {-1.48705, -1.48492, \
0.00731074, 0.011829}}],

Cell[BoxData[
 TagBox[
  RowBox[{"\[SkeletonIndicator]", "Graphics", "\[SkeletonIndicator]"}],
  False,
  Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"mises2D", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"mises", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
       RowBox[{"mises", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}], " ", "/.", " ", 
     RowBox[{
      RowBox[{"Solve", "[", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"mises", "[", 
          RowBox[{"[", "3", "]"}], "]"}], " ", "\[Equal]", " ", "0"}], ",", 
        " ", "p"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"ParametricPlot", "[", " ", 
    RowBox[{"mises2D", " ", ",", "  ", 
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", " ", "0", ",", " ", 
       RowBox[{"2", " ", "Pi"}]}], "}"}]}], " ", "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      SqrtBox[
       FractionBox["2", "3"]]}], " ", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "-", 
    FractionBox[
     RowBox[{"Cos", "[", "\[Theta]", "]"}], 
     SqrtBox["6"]], "-", 
    FractionBox[
     RowBox[{"Sin", "[", "\[Theta]", "]"}], 
     SqrtBox["2"]]}], ",", 
   RowBox[{
    RowBox[{"-", 
     SqrtBox["2"]}], " ", 
    RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[" "], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.336718 0.309018 0.208104 [
[.16328 .29652 -6 -9 ]
[.16328 .29652 6 0 ]
[.33164 .29652 -12 -9 ]
[.33164 .29652 12 0 ]
[.66836 .29652 -9 -9 ]
[.66836 .29652 9 0 ]
[.83672 .29652 -3 -9 ]
[.83672 .29652 3 0 ]
[.4875 .10091 -12 -4.5 ]
[.4875 .10091 0 4.5 ]
[.4875 .20497 -24 -4.5 ]
[.4875 .20497 0 4.5 ]
[.4875 .41307 -18 -4.5 ]
[.4875 .41307 0 4.5 ]
[.4875 .51712 -6 -4.5 ]
[.4875 .51712 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.16328 .30902 m
.16328 .31527 L
s
[(-1)] .16328 .29652 0 1 Mshowa
.33164 .30902 m
.33164 .31527 L
s
[(-0.5)] .33164 .29652 0 1 Mshowa
.66836 .30902 m
.66836 .31527 L
s
[(0.5)] .66836 .29652 0 1 Mshowa
.83672 .30902 m
.83672 .31527 L
s
[(1)] .83672 .29652 0 1 Mshowa
.125 Mabswid
.0286 .30902 m
.0286 .31277 L
s
.06227 .30902 m
.06227 .31277 L
s
.09594 .30902 m
.09594 .31277 L
s
.12961 .30902 m
.12961 .31277 L
s
.19695 .30902 m
.19695 .31277 L
s
.23063 .30902 m
.23063 .31277 L
s
.2643 .30902 m
.2643 .31277 L
s
.29797 .30902 m
.29797 .31277 L
s
.36531 .30902 m
.36531 .31277 L
s
.39898 .30902 m
.39898 .31277 L
s
.43266 .30902 m
.43266 .31277 L
s
.46633 .30902 m
.46633 .31277 L
s
.53367 .30902 m
.53367 .31277 L
s
.56734 .30902 m
.56734 .31277 L
s
.60102 .30902 m
.60102 .31277 L
s
.63469 .30902 m
.63469 .31277 L
s
.70203 .30902 m
.70203 .31277 L
s
.7357 .30902 m
.7357 .31277 L
s
.76937 .30902 m
.76937 .31277 L
s
.80305 .30902 m
.80305 .31277 L
s
.87039 .30902 m
.87039 .31277 L
s
.90406 .30902 m
.90406 .31277 L
s
.93773 .30902 m
.93773 .31277 L
s
.9714 .30902 m
.9714 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.5 .10091 m
.50625 .10091 L
s
[(-1)] .4875 .10091 1 0 Mshowa
.5 .20497 m
.50625 .20497 L
s
[(-0.5)] .4875 .20497 1 0 Mshowa
.5 .41307 m
.50625 .41307 L
s
[(0.5)] .4875 .41307 1 0 Mshowa
.5 .51712 m
.50625 .51712 L
s
[(1)] .4875 .51712 1 0 Mshowa
.125 Mabswid
.5 .01767 m
.50375 .01767 L
s
.5 .03848 m
.50375 .03848 L
s
.5 .05929 m
.50375 .05929 L
s
.5 .0801 m
.50375 .0801 L
s
.5 .12172 m
.50375 .12172 L
s
.5 .14253 m
.50375 .14253 L
s
.5 .16334 m
.50375 .16334 L
s
.5 .18416 m
.50375 .18416 L
s
.5 .22578 m
.50375 .22578 L
s
.5 .24659 m
.50375 .24659 L
s
.5 .2674 m
.50375 .2674 L
s
.5 .28821 m
.50375 .28821 L
s
.5 .32983 m
.50375 .32983 L
s
.5 .35064 m
.50375 .35064 L
s
.5 .37145 m
.50375 .37145 L
s
.5 .39226 m
.50375 .39226 L
s
.5 .43388 m
.50375 .43388 L
s
.5 .45469 m
.50375 .45469 L
s
.5 .4755 m
.50375 .4755 L
s
.5 .49631 m
.50375 .49631 L
s
.5 .53793 m
.50375 .53793 L
s
.5 .55874 m
.50375 .55874 L
s
.5 .57955 m
.50375 .57955 L
s
.5 .60036 m
.50375 .60036 L
s
.25 Mabswid
.5 0 m
.5 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.08761 .30902 m
.06131 .27259 L
.0409 .23481 L
.0333 .21544 L
.02821 .19779 L
.02615 .18785 L
.02541 .18321 L
.02484 .17895 L
.02434 .17409 L
.02415 .17154 L
.02399 .16886 L
.02393 .16774 L
.02389 .16654 L
.02383 .16439 L
.02381 .16307 L
.02381 .16183 L
.02381 .16072 L
.02383 .15951 L
.02385 .15843 L
.02389 .15729 L
.02397 .15526 L
.0241 .15309 L
.02428 .15072 L
.02471 .1465 L
.02523 .14261 L
.02654 .13546 L
.02841 .12796 L
.03118 .11946 L
.03441 .11165 L
.04202 .09769 L
.05125 .08508 L
.06304 .07268 L
.08921 .05316 L
.10487 .04467 L
.12345 .03664 L
.14252 .03017 L
.16125 .02521 L
.17188 .02291 L
.18359 .02077 L
.194 .01917 L
.20556 .01772 L
.21278 .01697 L
.21953 .01637 L
.22594 .0159 L
.23307 .01547 L
.23954 .01516 L
.24566 .01495 L
.24906 .01486 L
.25218 .0148 L
.25391 .01477 L
Mistroke
.2558 .01475 L
.25926 .01472 L
.26102 .01472 L
.26289 .01472 L
.26624 .01473 L
.26986 .01477 L
.27192 .0148 L
.27385 .01484 L
.28057 .01501 L
.28437 .01514 L
.28783 .01528 L
.30148 .016 L
.31457 .01696 L
.34406 .02001 L
.37687 .02476 L
.43788 .03713 L
.50374 .05531 L
.62116 .09997 L
.73778 .16167 L
.83436 .23086 L
.87546 .26827 L
.9131 .30989 L
.94134 .3497 L
.96032 .38602 L
.96769 .40559 L
.97048 .41503 L
.97256 .42362 L
.97404 .43133 L
.97519 .43938 L
.97562 .44351 L
.97591 .44734 L
.97603 .44952 L
.97611 .4515 L
.97614 .4526 L
.97617 .45378 L
.97619 .45593 L
.97618 .45797 L
.97614 .45983 L
.97607 .46187 L
.97596 .464 L
.97584 .46585 L
.9757 .46756 L
.97531 .47143 L
.97473 .47565 L
.97409 .47945 L
.97221 .48782 L
.96984 .4957 L
.96664 .50401 L
.9592 .51839 L
.95046 .53087 L
Mistroke
.93881 .54361 L
.92444 .55573 L
.909 .56594 L
.89134 .57516 L
.87285 .58278 L
.85491 .58862 L
.83395 .59391 L
.82183 .59632 L
.81006 .59827 L
.79907 .59977 L
.78717 .60107 L
.78086 .60163 L
.77384 .60215 L
.76731 .60255 L
.76129 .60284 L
.7541 .60309 L
.75011 .60319 L
.74827 .60323 L
.74631 .60326 L
.74278 .6033 L
.7395 .60332 L
.73595 .60332 L
.73393 .60331 L
.73202 .60329 L
.72878 .60325 L
.72531 .60318 L
.72202 .6031 L
.71901 .60301 L
.7116 .60273 L
.70455 .60239 L
.69034 .60146 L
.67472 .60011 L
.64623 .59676 L
.61946 .59266 L
.56158 .58078 L
.49689 .56293 L
.37171 .51482 L
.25966 .45478 L
.1579 .3806 L
.08761 .30902 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
 ImageSize->{288, 177.938},
 ImageMargins->{{43, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],
 ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-1.48861, -1.48494, \
0.0103736, 0.0167847}}],

Cell[BoxData[
 TagBox[
  RowBox[{"\[SkeletonIndicator]", "Graphics", "\[SkeletonIndicator]"}],
  False,
  Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"e", " ", "=", " ", 
  RowBox[{"IdentityMatrix", "[", "3", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ep", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"1", "/", 
     SqrtBox["3"]}], ",", " ", 
    RowBox[{"1", "/", 
     SqrtBox["3"]}], ",", 
    RowBox[{"1", "/", 
     SqrtBox["3"]}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"g", " ", "=", " ", 
  RowBox[{"Map", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"#", " ", "-", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"#", " ", ".", " ", "ep"}], ")"}], " ", "ep"}]}], " ", "&"}], 
    " ", ",", " ", "e"}], " ", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"h", " ", "=", " ", 
  RowBox[{"Map", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{
       SqrtBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"#", " ", ".", " ", "#"}], ")"}], " "}]], "#"}], "  ", 
      "]"}], "&"}], ",", " ", "g"}], " ", "]"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", 
    SqrtBox["3"]], ",", 
   FractionBox["1", 
    SqrtBox["3"]], ",", 
   FractionBox["1", 
    SqrtBox["3"]]}], "}"}]], "Output"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["2", "3"], ",", 
     RowBox[{"-", 
      FractionBox["1", "3"]}], ",", 
     RowBox[{"-", 
      FractionBox["1", "3"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", "3"]}], ",", 
     FractionBox["2", "3"], ",", 
     RowBox[{"-", 
      FractionBox["1", "3"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", "3"]}], ",", 
     RowBox[{"-", 
      FractionBox["1", "3"]}], ",", 
     FractionBox["2", "3"]}], "}"}]}], "}"}]], "Output"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{"2", " ", 
       SqrtBox[
        FractionBox["2", "3"]]}], "3"], ",", 
     RowBox[{"-", 
      FractionBox[
       SqrtBox[
        FractionBox["2", "3"]], "3"]}], ",", 
     RowBox[{"-", 
      FractionBox[
       SqrtBox[
        FractionBox["2", "3"]], "3"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       SqrtBox[
        FractionBox["2", "3"]], "3"]}], ",", 
     FractionBox[
      RowBox[{"2", " ", 
       SqrtBox[
        FractionBox["2", "3"]]}], "3"], ",", 
     RowBox[{"-", 
      FractionBox[
       SqrtBox[
        FractionBox["2", "3"]], "3"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       SqrtBox[
        FractionBox["2", "3"]], "3"]}], ",", 
     RowBox[{"-", 
      FractionBox[
       SqrtBox[
        FractionBox["2", "3"]], "3"]}], ",", 
     FractionBox[
      RowBox[{"2", " ", 
       SqrtBox[
        FractionBox["2", "3"]]}], "3"]}], "}"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "DiscreteMath`Combinatorica`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"trescalist", " ", "=", 
   RowBox[{"Flatten", "[", " ", 
    RowBox[{
     RowBox[{"Map", "[", "  ", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             SqrtBox["3"], "p", " ", "ep"}], " ", "+", " ", 
            RowBox[{"#", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "  ", "+", " ", 
            RowBox[{"t", "  ", 
             RowBox[{"#", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}]}], " ", "}"}], ",", "  ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             SqrtBox["3"], "p", " ", "ep"}], " ", "+", " ", 
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "  ", "+", " ", 
            RowBox[{"t", "  ", 
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], " ", "}"}]}], "}"}], "&"}], 
       " ", ",", " ", 
       RowBox[{"KSubsets", "[", 
        RowBox[{"h", ",", " ", "2"}], "]"}]}], " ", "]"}], ",", " ", "2"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"trescaplot", " ", "=", " ", 
  RowBox[{"Show", "[", " ", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Graphics3D", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"EdgeForm", "[", "]"}], ",", "  ", 
          RowBox[{"First", "[", 
           RowBox[{"ParametricPlot3D", "[", " ", 
            RowBox[{"#", " ", ",", "   ", 
             RowBox[{"{", 
              RowBox[{"p", ",", "0", ",", "4"}], "}"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"t", ",", " ", "0", ",", " ", "1"}], "}"}], ",", " ", 
             "\[IndentingNewLine]", 
             RowBox[{"ViewPoint", " ", "\[Rule]", " ", 
              RowBox[{"{", 
               RowBox[{"1", ",", "4", ",", "2"}], "}"}]}], ",", " ", 
             RowBox[{"DisplayFunction", " ", "\[Rule]", " ", "Identity"}]}], 
            "]"}], "]"}]}], " ", "}"}], "]"}], "&"}], " ", ",", " ", 
      "trescalist"}], " ", "]"}], " ", ",", "\[IndentingNewLine]", 
    RowBox[{"DisplayFunction", " ", "\[Rule]", " ", "$DisplayFunction"}]}], 
   "]"}]}]}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1.0855 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0567234 1.16608 0 1.16608 [
[ 0 0 0 0 ]
[ 1 1.0855 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.08846 .24555 m
0 .80374 L
s
0 .80374 m
.40037 1.0855 L
s
.40037 1.0855 m
.41799 .58158 L
s
.41799 .58158 m
.08846 .24555 L
s
.67245 0 m
.92713 .41497 L
s
.92713 .41497 m
1 .94814 L
s
1 .94814 m
.70644 .58546 L
s
.70644 .58546 m
.67245 0 L
s
.08846 .24555 m
0 .80374 L
s
0 .80374 m
.70644 .58546 L
s
.70644 .58546 m
.67245 0 L
s
.67245 0 m
.08846 .24555 L
s
.41799 .58158 m
.92713 .41497 L
s
.92713 .41497 m
1 .94814 L
s
1 .94814 m
.40037 1.0855 L
s
.40037 1.0855 m
.41799 .58158 L
s
0 0 m
1 0 L
1 1.0855 L
0 1.0855 L
closepath
clip
newpath
.20892 .3531 m .23913 .38055 L .20627 .35516 L .761 .504 .545 r
F
.20892 .3531 m .24175 .37844 L .23913 .38055 L F
.20892 .3531 m .24374 .37511 L .21088 .34975 L .628 .549 .746 r
F
.20892 .3531 m .24175 .37844 L .24374 .37511 L F
.21088 .34975 m .24572 .37176 L .21284 .3464 L F
.21088 .34975 m .24374 .37511 L .24572 .37176 L F
.20627 .35516 m .23651 .38265 L .20362 .35724 L .761 .504 .545 r
F
.20627 .35516 m .23913 .38055 L .23651 .38265 L F
.21284 .3464 m .24772 .36841 L .2148 .34305 L .628 .549 .746 r
F
.21284 .3464 m .24572 .37176 L .24772 .36841 L F
.2148 .34305 m .24971 .36506 L .21677 .33969 L F
.2148 .34305 m .24772 .36841 L .24971 .36506 L F
.20362 .35724 m .23387 .38476 L .20096 .35931 L .761 .504 .545 r
F
.20362 .35724 m .23651 .38265 L .23387 .38476 L F
.21677 .33969 m .25171 .36171 L .21874 .33632 L .628 .549 .746 r
F
.21677 .33969 m .24971 .36506 L .25171 .36171 L F
.24175 .37844 m .27218 .40608 L .23913 .38055 L .761 .504 .545 r
F
.24175 .37844 m .27477 .40394 L .27218 .40608 L F
.24175 .37844 m .27679 .40061 L .24374 .37511 L .628 .549 .746 r
F
.24175 .37844 m .27477 .40394 L .27679 .40061 L F
.21874 .33632 m .2537 .35835 L .22071 .33296 L F
.21874 .33632 m .25171 .36171 L .2537 .35835 L F
.20096 .35931 m .23124 .38688 L .19829 .3614 L .761 .504 .545 r
F
.20096 .35931 m .23387 .38476 L .23124 .38688 L F
.24374 .37511 m .2788 .39727 L .24572 .37176 L .628 .549 .746 r
F
.24374 .37511 m .27679 .40061 L .2788 .39727 L F
.22071 .33296 m .25571 .35498 L .22268 .32958 L F
.22071 .33296 m .2537 .35835 L .25571 .35498 L F
.23913 .38055 m .26959 .40822 L .23651 .38265 L .761 .504 .545 r
F
.23913 .38055 m .27218 .40608 L .26959 .40822 L F
.24572 .37176 m .28082 .39393 L .24772 .36841 L .628 .549 .746 r
F
.24572 .37176 m .2788 .39727 L .28082 .39393 L F
.19829 .3614 m .22859 .389 L .19562 .36348 L .761 .504 .545 r
F
.19829 .3614 m .23124 .38688 L .22859 .389 L F
.22268 .32958 m .25771 .35161 L .22466 .32621 L .628 .549 .746 r
F
.22268 .32958 m .25571 .35498 L .25771 .35161 L F
.24772 .36841 m .28284 .39059 L .24971 .36506 L F
.24772 .36841 m .28082 .39393 L .28284 .39059 L F
.23651 .38265 m .26699 .41037 L .23387 .38476 L .761 .504 .545 r
F
.23651 .38265 m .26959 .40822 L .26699 .41037 L F
.22466 .32621 m .25972 .34824 L .22664 .32283 L .628 .549 .746 r
F
.22466 .32621 m .25771 .35161 L .25972 .34824 L F
.24971 .36506 m .28487 .38724 L .25171 .36171 L F
.24971 .36506 m .28284 .39059 L .28487 .38724 L F
.19562 .36348 m .22594 .39113 L .19294 .36557 L .761 .504 .545 r
F
.19562 .36348 m .22859 .389 L .22594 .39113 L F
.27477 .40394 m .30543 .43176 L .27218 .40608 L F
.27477 .40394 m .30799 .42958 L .30543 .43176 L F
.27477 .40394 m .31003 .42626 L .27679 .40061 L .628 .549 .746 r
F
.27477 .40394 m .30799 .42958 L .31003 .42626 L F
.22664 .32283 m .26173 .34486 L .22862 .31944 L F
.22664 .32283 m .25972 .34824 L .26173 .34486 L F
.25171 .36171 m .28689 .38388 L .2537 .35835 L F
.25171 .36171 m .28487 .38724 L .28689 .38388 L F
.23387 .38476 m .26438 .41252 L .23124 .38688 L .761 .504 .545 r
F
.23387 .38476 m .26699 .41037 L .26438 .41252 L F
.27679 .40061 m .31207 .42293 L .2788 .39727 L .628 .549 .746 r
F
.27679 .40061 m .31003 .42626 L .31207 .42293 L F
.22862 .31944 m .26374 .34147 L .23061 .31605 L F
.22862 .31944 m .26173 .34486 L .26374 .34147 L F
.19294 .36557 m .22329 .39326 L .19025 .36767 L .761 .504 .545 r
F
.19294 .36557 m .22594 .39113 L .22329 .39326 L F
.2537 .35835 m .28892 .38053 L .25571 .35498 L .628 .549 .746 r
F
.2537 .35835 m .28689 .38388 L .28892 .38053 L F
.27218 .40608 m .30286 .43393 L .26959 .40822 L .761 .504 .545 r
F
.27218 .40608 m .30543 .43176 L .30286 .43393 L F
.2788 .39727 m .31412 .4196 L .28082 .39393 L .628 .549 .746 r
F
.2788 .39727 m .31207 .42293 L .31412 .4196 L F
.23061 .31605 m .26575 .33809 L .23259 .31265 L F
.23061 .31605 m .26374 .34147 L .26575 .33809 L F
.23124 .38688 m .26176 .41467 L .22859 .389 L .761 .504 .545 r
F
.23124 .38688 m .26438 .41252 L .26176 .41467 L F
.25571 .35498 m .29096 .37716 L .25771 .35161 L .628 .549 .746 r
F
.25571 .35498 m .28892 .38053 L .29096 .37716 L F
.28082 .39393 m .31617 .41626 L .28284 .39059 L F
.28082 .39393 m .31412 .4196 L .31617 .41626 L F
.19025 .36767 m .22063 .3954 L .18756 .36977 L .761 .504 .545 r
F
.19025 .36767 m .22329 .39326 L .22063 .3954 L F
.23259 .31265 m .26777 .33469 L .23458 .30926 L .628 .549 .746 r
F
.23259 .31265 m .26575 .33809 L .26777 .33469 L F
.26959 .40822 m .30029 .43612 L .26699 .41037 L .761 .504 .545 r
F
.26959 .40822 m .30286 .43393 L .30029 .43612 L F
.25771 .35161 m .29299 .3738 L .25972 .34824 L .628 .549 .746 r
F
.25771 .35161 m .29096 .37716 L .29299 .3738 L F
.28284 .39059 m .31822 .41292 L .28487 .38724 L F
.28284 .39059 m .31617 .41626 L .31822 .41292 L F
.22859 .389 m .25914 .41684 L .22594 .39113 L .761 .504 .545 r
F
.22859 .389 m .26176 .41467 L .25914 .41684 L F
.23458 .30926 m .26979 .3313 L .23657 .30585 L .628 .549 .746 r
F
.23458 .30926 m .26777 .33469 L .26979 .3313 L F
.30799 .42958 m .33887 .45759 L .30543 .43176 L .761 .504 .545 r
F
.30799 .42958 m .3414 .45538 L .33887 .45759 L F
.30799 .42958 m .34347 .45206 L .31003 .42626 L .628 .549 .746 r
F
.30799 .42958 m .3414 .45538 L .34347 .45206 L F
.25972 .34824 m .29503 .37042 L .26173 .34486 L F
.25972 .34824 m .29299 .3738 L .29503 .37042 L F
.18756 .36977 m .21796 .39754 L .18486 .37187 L .761 .504 .545 r
F
.18756 .36977 m .22063 .3954 L .21796 .39754 L F
.28487 .38724 m .32028 .40957 L .28689 .38388 L .628 .549 .746 r
F
.28487 .38724 m .31822 .41292 L .32028 .40957 L F
.26699 .41037 m .29771 .4383 L .26438 .41252 L .761 .504 .545 r
F
.26699 .41037 m .30029 .43612 L .29771 .4383 L F
.23657 .30585 m .27182 .3279 L .23857 .30244 L .628 .549 .746 r
F
.23657 .30585 m .26979 .3313 L .27182 .3279 L F
.31003 .42626 m .34554 .44874 L .31207 .42293 L F
.31003 .42626 m .34347 .45206 L .34554 .44874 L F
.26173 .34486 m .29707 .36705 L .26374 .34147 L F
.26173 .34486 m .29503 .37042 L .29707 .36705 L F
.22594 .39113 m .25652 .419 L .22329 .39326 L .761 .504 .545 r
F
.22594 .39113 m .25914 .41684 L .25652 .419 L F
.28689 .38388 m .32234 .40622 L .28892 .38053 L .628 .549 .746 r
F
.28689 .38388 m .32028 .40957 L .32234 .40622 L F
.30543 .43176 m .33634 .4598 L .30286 .43393 L .761 .504 .545 r
F
.30543 .43176 m .33887 .45759 L .33634 .4598 L F
.23857 .30244 m .27384 .32449 L .24057 .29903 L .628 .549 .746 r
F
.23857 .30244 m .27182 .3279 L .27384 .32449 L F
.31207 .42293 m .34762 .44542 L .31412 .4196 L F
.31207 .42293 m .34554 .44874 L .34762 .44542 L F
.18486 .37187 m .21529 .39968 L .18216 .37398 L .761 .504 .545 r
F
.18486 .37187 m .21796 .39754 L .21529 .39968 L F
.26374 .34147 m .29911 .36367 L .26575 .33809 L .628 .549 .746 r
F
.26374 .34147 m .29707 .36705 L .29911 .36367 L F
.26438 .41252 m .29513 .4405 L .26176 .41467 L .761 .504 .545 r
F
.26438 .41252 m .29771 .4383 L .29513 .4405 L F
.28892 .38053 m .3244 .40287 L .29096 .37716 L .628 .549 .746 r
F
.28892 .38053 m .32234 .40622 L .3244 .40287 L F
.24057 .29903 m .27587 .32108 L .24257 .29561 L F
.24057 .29903 m .27384 .32449 L .27587 .32108 L F
.31412 .4196 m .3497 .44209 L .31617 .41626 L F
.31412 .4196 m .34762 .44542 L .3497 .44209 L F
.22329 .39326 m .25389 .42117 L .22063 .3954 L .761 .504 .545 r
F
.22329 .39326 m .25652 .419 L .25389 .42117 L F
.26575 .33809 m .30116 .36028 L .26777 .33469 L .628 .549 .746 r
F
.26575 .33809 m .29911 .36367 L .30116 .36028 L F
.30286 .43393 m .33379 .46202 L .30029 .43612 L .761 .504 .545 r
F
.30286 .43393 m .33634 .4598 L .33379 .46202 L F
.29096 .37716 m .32646 .39951 L .29299 .3738 L .628 .549 .746 r
F
.29096 .37716 m .3244 .40287 L .32646 .39951 L F
.24257 .29561 m .2779 .31766 L .24457 .29219 L F
.24257 .29561 m .27587 .32108 L .2779 .31766 L F
.18216 .37398 m .21261 .40183 L .17945 .3761 L .761 .504 .545 r
F
.18216 .37398 m .21529 .39968 L .21261 .40183 L F
.31617 .41626 m .35178 .43875 L .31822 .41292 L .628 .549 .746 r
F
.31617 .41626 m .3497 .44209 L .35178 .43875 L F
.26176 .41467 m .29254 .44269 L .25914 .41684 L .761 .504 .545 r
F
.26176 .41467 m .29513 .4405 L .29254 .44269 L F
.26777 .33469 m .30321 .35689 L .26979 .3313 L .628 .549 .746 r
F
.26777 .33469 m .30116 .36028 L .30321 .35689 L F
.3414 .45538 m .37251 .48357 L .33887 .45759 L .761 .504 .545 r
F
.3414 .45538 m .37501 .48133 L .37251 .48357 L F
.3414 .45538 m .37711 .47802 L .34347 .45206 L .628 .549 .746 r
F
.3414 .45538 m .37501 .48133 L .37711 .47802 L F
.29299 .3738 m .32853 .39614 L .29503 .37042 L F
.29299 .3738 m .32646 .39951 L .32853 .39614 L F
.24457 .29219 m .27994 .31424 L .24658 .28876 L F
.24457 .29219 m .2779 .31766 L .27994 .31424 L F
.22063 .3954 m .25125 .42335 L .21796 .39754 L .761 .504 .545 r
F
.22063 .3954 m .25389 .42117 L .25125 .42335 L F
.31822 .41292 m .35386 .43541 L .32028 .40957 L .628 .549 .746 r
F
.31822 .41292 m .35178 .43875 L .35386 .43541 L F
.30029 .43612 m .33125 .46424 L .29771 .4383 L .761 .504 .545 r
F
.30029 .43612 m .33379 .46202 L .33125 .46424 L F
.26979 .3313 m .30526 .3535 L .27182 .3279 L .628 .549 .746 r
F
.26979 .3313 m .30321 .35689 L .30526 .3535 L F
.34347 .45206 m .37921 .47471 L .34554 .44874 L F
.34347 .45206 m .37711 .47802 L .37921 .47471 L F
.17945 .3761 m .20992 .40399 L .17674 .37822 L .761 .504 .545 r
F
.17945 .3761 m .21261 .40183 L .20992 .40399 L F
.29503 .37042 m .3306 .39277 L .29707 .36705 L .628 .549 .746 r
F
.29503 .37042 m .32853 .39614 L .3306 .39277 L F
.24595 .28735 m .27994 .31424 L .24658 .28876 L 0 .374 .838 r
F
.25914 .41684 m .28995 .4449 L .25652 .419 L .761 .504 .545 r
F
.25914 .41684 m .29254 .44269 L .28995 .4449 L F
.32028 .40957 m .35595 .43207 L .32234 .40622 L .628 .549 .746 r
F
.32028 .40957 m .35386 .43541 L .35595 .43207 L F
.33887 .45759 m .37001 .48582 L .33634 .4598 L .761 .504 .545 r
F
.33887 .45759 m .37251 .48357 L .37001 .48582 L F
.27182 .3279 m .30731 .3501 L .27384 .32449 L .628 .549 .746 r
F
.27182 .3279 m .30526 .3535 L .30731 .3501 L F
.34554 .44874 m .38131 .47139 L .34762 .44542 L F
.34554 .44874 m .37921 .47471 L .38131 .47139 L F
.21796 .39754 m .24861 .42553 L .21529 .39968 L .761 .504 .545 r
F
.21796 .39754 m .25125 .42335 L .24861 .42553 L F
.29707 .36705 m .33267 .3894 L .29911 .36367 L .628 .549 .746 r
F
.29707 .36705 m .3306 .39277 L .33267 .3894 L F
.29771 .4383 m .32869 .46647 L .29513 .4405 L .761 .504 .545 r
F
.29771 .4383 m .33125 .46424 L .32869 .46647 L F
.32234 .40622 m .35804 .42872 L .3244 .40287 L .628 .549 .746 r
F
.32234 .40622 m .35595 .43207 L .35804 .42872 L F
.17674 .37822 m .20723 .40615 L .17402 .38034 L .761 .504 .545 r
F
.17674 .37822 m .20992 .40399 L .20723 .40615 L F
.27384 .32449 m .30937 .3467 L .27587 .32108 L .628 .549 .746 r
F
.27384 .32449 m .30731 .3501 L .30937 .3467 L F
.34762 .44542 m .38342 .46807 L .3497 .44209 L F
.34762 .44542 m .38131 .47139 L .38342 .46807 L F
.25652 .419 m .28735 .4471 L .25389 .42117 L .761 .504 .545 r
F
.25652 .419 m .28995 .4449 L .28735 .4471 L F
.29911 .36367 m .33474 .38602 L .30116 .36028 L .628 .549 .746 r
F
.29911 .36367 m .33267 .3894 L .33474 .38602 L F
.33634 .4598 m .3675 .48808 L .33379 .46202 L .761 .504 .545 r
F
.33634 .4598 m .37001 .48582 L .3675 .48808 L F
.3244 .40287 m .36013 .42537 L .32646 .39951 L .628 .549 .746 r
F
.3244 .40287 m .35804 .42872 L .36013 .42537 L F
.21529 .39968 m .24596 .42772 L .21261 .40183 L .761 .504 .545 r
F
.21529 .39968 m .24861 .42553 L .24596 .42772 L F
.27587 .32108 m .31143 .34329 L .2779 .31766 L .628 .549 .746 r
F
.27587 .32108 m .30937 .3467 L .31143 .34329 L F
.3497 .44209 m .38553 .46474 L .35178 .43875 L F
.3497 .44209 m .38342 .46807 L .38553 .46474 L F
.24595 .28735 m .27936 .31287 L .27994 .31424 L 0 .374 .838 r
F
.24531 .28593 m .27936 .31287 L .24595 .28735 L F
.29513 .4405 m .32614 .46871 L .29254 .44269 L .761 .504 .545 r
F
.29513 .4405 m .32869 .46647 L .32614 .46871 L F
.30116 .36028 m .33682 .38264 L .30321 .35689 L .628 .549 .746 r
F
.30116 .36028 m .33474 .38602 L .33682 .38264 L F
.37501 .48133 m .40635 .50971 L .37251 .48357 L .761 .504 .545 r
F
.37501 .48133 m .40882 .50743 L .40635 .50971 L F
.37501 .48133 m .41094 .50413 L .37711 .47802 L .628 .549 .746 r
F
.37501 .48133 m .40882 .50743 L .41094 .50413 L F
.17402 .38034 m .20453 .40831 L .17129 .38247 L .761 .504 .545 r
F
.17402 .38034 m .20723 .40615 L .20453 .40831 L F
.32646 .39951 m .36222 .42201 L .32853 .39614 L .628 .549 .746 r
F
.32646 .39951 m .36013 .42537 L .36222 .42201 L F
.2779 .31766 m .31349 .33988 L .27994 .31424 L F
.2779 .31766 m .31143 .34329 L .31349 .33988 L F
.25389 .42117 m .28474 .44932 L .25125 .42335 L .761 .504 .545 r
F
.25389 .42117 m .28735 .4471 L .28474 .44932 L F
.35178 .43875 m .38764 .46141 L .35386 .43541 L .628 .549 .746 r
F
.35178 .43875 m .38553 .46474 L .38764 .46141 L F
.33379 .46202 m .36498 .49034 L .33125 .46424 L .761 .504 .545 r
F
.33379 .46202 m .3675 .48808 L .36498 .49034 L F
.30321 .35689 m .3389 .37925 L .30526 .3535 L .628 .549 .746 r
F
.30321 .35689 m .33682 .38264 L .3389 .37925 L F
.37711 .47802 m .41307 .50082 L .37921 .47471 L F
.37711 .47802 m .41094 .50413 L .41307 .50082 L F
.21261 .40183 m .2433 .42991 L .20992 .40399 L .761 .504 .545 r
F
.21261 .40183 m .24596 .42772 L .2433 .42991 L F
.32853 .39614 m .36432 .41865 L .3306 .39277 L .628 .549 .746 r
F
.32853 .39614 m .36222 .42201 L .36432 .41865 L F
.27936 .31287 m .31349 .33988 L .27994 .31424 L 0 .374 .838 r
F
.29254 .44269 m .32357 .47094 L .28995 .4449 L .761 .504 .545 r
F
.29254 .44269 m .32614 .46871 L .32357 .47094 L F
.35386 .43541 m .38976 .45807 L .35595 .43207 L .628 .549 .746 r
F
.35386 .43541 m .38764 .46141 L .38976 .45807 L F
.37251 .48357 m .40388 .512 L .37001 .48582 L .761 .504 .545 r
F
.37251 .48357 m .40635 .50971 L .40388 .512 L F
.17129 .38247 m .20183 .41048 L .16855 .38461 L F
.17129 .38247 m .20453 .40831 L .20183 .41048 L F
.30526 .3535 m .34098 .37586 L .30731 .3501 L .628 .549 .746 r
F
.30526 .3535 m .3389 .37925 L .34098 .37586 L F
.37921 .47471 m .41521 .49751 L .38131 .47139 L F
.37921 .47471 m .41307 .50082 L .41521 .49751 L F
.25125 .42335 m .28213 .45153 L .24861 .42553 L .761 .504 .545 r
F
.25125 .42335 m .28474 .44932 L .28213 .45153 L F
.3306 .39277 m .36642 .41528 L .33267 .3894 L .628 .549 .746 r
F
.3306 .39277 m .36432 .41865 L .36642 .41528 L F
.24531 .28593 m .27879 .3115 L .27936 .31287 L 0 .374 .838 r
F
.24468 .28451 m .27879 .3115 L .24531 .28593 L F
.33125 .46424 m .36246 .4926 L .32869 .46647 L .761 .504 .545 r
F
.33125 .46424 m .36498 .49034 L .36246 .4926 L F
.35595 .43207 m .39188 .45473 L .35804 .42872 L .628 .549 .746 r
F
.35595 .43207 m .38976 .45807 L .39188 .45473 L F
.20992 .40399 m .24064 .4321 L .20723 .40615 L .761 .504 .545 r
F
.20992 .40399 m .2433 .42991 L .24064 .4321 L F
.30731 .3501 m .34307 .37246 L .30937 .3467 L .628 .549 .746 r
F
.30731 .3501 m .34098 .37586 L .34307 .37246 L F
.38131 .47139 m .41734 .4942 L .38342 .46807 L F
.38131 .47139 m .41521 .49751 L .41734 .4942 L F
.28995 .4449 m .321 .47319 L .28735 .4471 L .761 .504 .545 r
F
.28995 .4449 m .32357 .47094 L .321 .47319 L F
.33267 .3894 m .36853 .41191 L .33474 .38602 L .628 .549 .746 r
F
.33267 .3894 m .36642 .41528 L .36853 .41191 L F
.37001 .48582 m .4014 .51429 L .3675 .48808 L .761 .504 .545 r
F
.37001 .48582 m .40388 .512 L .4014 .51429 L F
.16855 .38461 m .19912 .41266 L .16581 .38675 L F
.16855 .38461 m .20183 .41048 L .19912 .41266 L F
.35804 .42872 m .394 .45139 L .36013 .42537 L .628 .549 .746 r
F
.35804 .42872 m .39188 .45473 L .394 .45139 L F
.30937 .3467 m .34516 .36906 L .31143 .34329 L F
.30937 .3467 m .34307 .37246 L .34516 .36906 L F
.24861 .42553 m .27951 .45376 L .24596 .42772 L .761 .504 .545 r
F
.24861 .42553 m .28213 .45153 L .27951 .45376 L F
.38342 .46807 m .41948 .49088 L .38553 .46474 L .628 .549 .746 r
F
.38342 .46807 m .41734 .4942 L .41948 .49088 L F
.27936 .31287 m .31298 .33855 L .31349 .33988 L 0 .374 .838 r
F
.27879 .3115 m .31298 .33855 L .27936 .31287 L F
.32869 .46647 m .35993 .49487 L .32614 .46871 L .761 .504 .545 r
F
.32869 .46647 m .36246 .4926 L .35993 .49487 L F
.33474 .38602 m .37063 .40854 L .33682 .38264 L .628 .549 .746 r
F
.33474 .38602 m .36853 .41191 L .37063 .40854 L F
.40882 .50743 m .44039 .53601 L .40635 .50971 L .761 .504 .545 r
F
.40882 .50743 m .44282 .53369 L .44039 .53601 L F
.40882 .50743 m .44498 .53039 L .41094 .50413 L .628 .549 .746 r
F
.40882 .50743 m .44282 .53369 L .44498 .53039 L F
.20723 .40615 m .23797 .43431 L .20453 .40831 L .761 .504 .545 r
F
.20723 .40615 m .24064 .4321 L .23797 .43431 L F
.36013 .42537 m .39612 .44804 L .36222 .42201 L .628 .549 .746 r
F
.36013 .42537 m .394 .45139 L .39612 .44804 L F
.31143 .34329 m .34725 .36566 L .31349 .33988 L F
.31143 .34329 m .34516 .36906 L .34725 .36566 L F
.28735 .4471 m .31843 .47544 L .28474 .44932 L .761 .504 .545 r
F
.28735 .4471 m .321 .47319 L .31843 .47544 L F
.38553 .46474 m .42162 .48756 L .38764 .46141 L .628 .549 .746 r
F
.38553 .46474 m .41948 .49088 L .42162 .48756 L F
.24468 .28451 m .27821 .31012 L .27879 .3115 L 0 .374 .838 r
F
.24404 .28308 m .27821 .31012 L .24468 .28451 L F
.3675 .48808 m .39891 .51658 L .36498 .49034 L .761 .504 .545 r
F
.3675 .48808 m .4014 .51429 L .39891 .51658 L F
.16581 .38675 m .1964 .41484 L .16307 .38889 L F
.16581 .38675 m .19912 .41266 L .1964 .41484 L F
.33682 .38264 m .37274 .40516 L .3389 .37925 L .628 .549 .746 r
F
.33682 .38264 m .37063 .40854 L .37274 .40516 L F
.41094 .50413 m .44714 .5271 L .41307 .50082 L F
.41094 .50413 m .44498 .53039 L .44714 .5271 L F
.24596 .42772 m .27688 .45598 L .2433 .42991 L .761 .504 .545 r
F
.24596 .42772 m .27951 .45376 L .27688 .45598 L F
.36222 .42201 m .39825 .44468 L .36432 .41865 L .628 .549 .746 r
F
.36222 .42201 m .39612 .44804 L .39825 .44468 L F
.31298 .33855 m .34725 .36566 L .31349 .33988 L 0 .374 .838 r
F
.32614 .46871 m .3574 .49715 L .32357 .47094 L .761 .504 .545 r
F
.32614 .46871 m .35993 .49487 L .3574 .49715 L F
.38764 .46141 m .42377 .48423 L .38976 .45807 L .628 .549 .746 r
F
.38764 .46141 m .42162 .48756 L .42377 .48423 L F
.40635 .50971 m .43795 .53833 L .40388 .512 L .761 .504 .545 r
F
.40635 .50971 m .44039 .53601 L .43795 .53833 L F
.20453 .40831 m .2353 .43651 L .20183 .41048 L F
.20453 .40831 m .23797 .43431 L .2353 .43651 L F
.3389 .37925 m .37485 .40178 L .34098 .37586 L .628 .549 .746 r
F
.3389 .37925 m .37274 .40516 L .37485 .40178 L F
.41307 .50082 m .4493 .52379 L .41521 .49751 L F
.41307 .50082 m .44714 .5271 L .4493 .52379 L F
.28474 .44932 m .31584 .47769 L .28213 .45153 L .761 .504 .545 r
F
.28474 .44932 m .31843 .47544 L .31584 .47769 L F
.36432 .41865 m .40038 .44132 L .36642 .41528 L .628 .549 .746 r
F
.36432 .41865 m .39825 .44468 L .40038 .44132 L F
.27879 .3115 m .31246 .33721 L .31298 .33855 L 0 .374 .838 r
F
.27821 .31012 m .31246 .33721 L .27879 .3115 L F
.36498 .49034 m .39642 .51889 L .36246 .4926 L .761 .504 .545 r
F
.36498 .49034 m .39891 .51658 L .39642 .51889 L F
.16307 .38889 m .19368 .41702 L .16031 .39104 L F
.16307 .38889 m .1964 .41484 L .19368 .41702 L F
.38976 .45807 m .42592 .48089 L .39188 .45473 L .628 .549 .746 r
F
.38976 .45807 m .42377 .48423 L .42592 .48089 L F
.2433 .42991 m .27425 .45822 L .24064 .4321 L .761 .504 .545 r
F
.2433 .42991 m .27688 .45598 L .27425 .45822 L F
.34098 .37586 m .37697 .39839 L .34307 .37246 L .628 .549 .746 r
F
.34098 .37586 m .37485 .40178 L .37697 .39839 L F
.41521 .49751 m .45147 .52049 L .41734 .4942 L F
.41521 .49751 m .4493 .52379 L .45147 .52049 L F
.32357 .47094 m .35486 .49943 L .321 .47319 L .761 .504 .545 r
F
.32357 .47094 m .3574 .49715 L .35486 .49943 L F
.36642 .41528 m .40251 .43796 L .36853 .41191 L .628 .549 .746 r
F
.36642 .41528 m .40038 .44132 L .40251 .43796 L F
.24404 .28308 m .27763 .30873 L .27821 .31012 L 0 .374 .838 r
F
.2434 .28165 m .27763 .30873 L .24404 .28308 L F
.40388 .512 m .4355 .54066 L .4014 .51429 L .761 .504 .545 r
F
.40388 .512 m .43795 .53833 L .4355 .54066 L F
.20183 .41048 m .23262 .43872 L .19912 .41266 L F
.20183 .41048 m .2353 .43651 L .23262 .43872 L F
.39188 .45473 m .42807 .47756 L .394 .45139 L .628 .549 .746 r
F
.39188 .45473 m .42592 .48089 L .42807 .47756 L F
.34307 .37246 m .37909 .39499 L .34516 .36906 L F
.34307 .37246 m .37697 .39839 L .37909 .39499 L F
.28213 .45153 m .31326 .47995 L .27951 .45376 L .761 .504 .545 r
F
.28213 .45153 m .31584 .47769 L .31326 .47995 L F
.41734 .4942 m .45364 .51718 L .41948 .49088 L .628 .549 .746 r
F
.41734 .4942 m .45147 .52049 L .45364 .51718 L F
.31298 .33855 m .3468 .36437 L .34725 .36566 L 0 .374 .838 r
F
.31246 .33721 m .3468 .36437 L .31298 .33855 L F
.36246 .4926 m .39393 .52119 L .35993 .49487 L .761 .504 .545 r
F
.36246 .4926 m .39642 .51889 L .39393 .52119 L F
.16031 .39104 m .19095 .41921 L .15756 .39319 L F
.16031 .39104 m .19368 .41702 L .19095 .41921 L F
.36853 .41191 m .40465 .43459 L .37063 .40854 L .628 .549 .746 r
F
.36853 .41191 m .40251 .43796 L .40465 .43459 L F
.44282 .53369 m .47463 .56246 L .44039 .53601 L .761 .504 .545 r
F
.44282 .53369 m .47704 .5601 L .47463 .56246 L F
.44282 .53369 m .47922 .55682 L .44498 .53039 L .628 .549 .746 r
F
.44282 .53369 m .47704 .5601 L .47922 .55682 L F
.24064 .4321 m .27161 .46045 L .23797 .43431 L .761 .504 .545 r
F
.24064 .4321 m .27425 .45822 L .27161 .46045 L F
.394 .45139 m .43022 .47422 L .39612 .44804 L .628 .549 .746 r
F
.394 .45139 m .42807 .47756 L .43022 .47422 L F
.34516 .36906 m .38121 .3916 L .34725 .36566 L F
.34516 .36906 m .37909 .39499 L .38121 .3916 L F
.321 .47319 m .35231 .50171 L .31843 .47544 L .761 .504 .545 r
F
.321 .47319 m .35486 .49943 L .35231 .50171 L F
.41948 .49088 m .45581 .51386 L .42162 .48756 L .628 .549 .746 r
F
.41948 .49088 m .45364 .51718 L .45581 .51386 L F
.27821 .31012 m .31195 .33588 L .31246 .33721 L 0 .374 .838 r
F
.27763 .30873 m .31195 .33588 L .27821 .31012 L F
.4014 .51429 m .43305 .54299 L .39891 .51658 L .761 .504 .545 r
F
.4014 .51429 m .4355 .54066 L .43305 .54299 L F
.19912 .41266 m .22993 .44094 L .1964 .41484 L F
.19912 .41266 m .23262 .43872 L .22993 .44094 L F
.37063 .40854 m .40678 .43122 L .37274 .40516 L .628 .549 .746 r
F
.37063 .40854 m .40465 .43459 L .40678 .43122 L F
.44498 .53039 m .48141 .55353 L .44714 .5271 L F
.44498 .53039 m .47922 .55682 L .48141 .55353 L F
.27951 .45376 m .31066 .48221 L .27688 .45598 L .761 .504 .545 r
F
.27951 .45376 m .31326 .47995 L .31066 .48221 L F
.39612 .44804 m .43238 .47087 L .39825 .44468 L .628 .549 .746 r
F
.39612 .44804 m .43022 .47422 L .43238 .47087 L F
.3468 .36437 m .38121 .3916 L .34725 .36566 L 0 .374 .838 r
F
.35993 .49487 m .39142 .52351 L .3574 .49715 L .761 .504 .545 r
F
.35993 .49487 m .39393 .52119 L .39142 .52351 L F
.15676 .39196 m .19095 .41921 L .15756 .39319 L 0 .291 .77 r
F
.42162 .48756 m .45798 .51054 L .42377 .48423 L .628 .549 .746 r
F
.42162 .48756 m .45581 .51386 L .45798 .51054 L F
.2434 .28165 m .27705 .30734 L .27763 .30873 L 0 .374 .838 r
F
.24276 .28021 m .27705 .30734 L .2434 .28165 L F
.44039 .53601 m .47222 .56482 L .43795 .53833 L .761 .504 .545 r
F
.44039 .53601 m .47463 .56246 L .47222 .56482 L F
.23797 .43431 m .26897 .4627 L .2353 .43651 L F
.23797 .43431 m .27161 .46045 L .26897 .4627 L F
.37274 .40516 m .40893 .42784 L .37485 .40178 L .628 .549 .746 r
F
.37274 .40516 m .40678 .43122 L .40893 .42784 L F
.44714 .5271 m .4836 .55023 L .4493 .52379 L F
.44714 .5271 m .48141 .55353 L .4836 .55023 L F
.31843 .47544 m .34976 .504 L .31584 .47769 L .761 .504 .545 r
F
.31843 .47544 m .35231 .50171 L .34976 .504 L F
.39825 .44468 m .43454 .46752 L .40038 .44132 L .628 .549 .746 r
F
.39825 .44468 m .43238 .47087 L .43454 .46752 L F
.31246 .33721 m .34634 .36308 L .3468 .36437 L 0 .374 .838 r
F
.31195 .33588 m .34634 .36308 L .31246 .33721 L F
.39891 .51658 m .43059 .54533 L .39642 .51889 L .761 .504 .545 r
F
.39891 .51658 m .43305 .54299 L .43059 .54533 L F
.1964 .41484 m .22724 .44316 L .19368 .41702 L F
.1964 .41484 m .22993 .44094 L .22724 .44316 L F
.42377 .48423 m .46016 .50721 L .42592 .48089 L .628 .549 .746 r
F
.42377 .48423 m .45798 .51054 L .46016 .50721 L F
.27688 .45598 m .30806 .48448 L .27425 .45822 L .761 .504 .545 r
F
.27688 .45598 m .31066 .48221 L .30806 .48448 L F
.37485 .40178 m .41107 .42446 L .37697 .39839 L .628 .549 .746 r
F
.37485 .40178 m .40893 .42784 L .41107 .42446 L F
.4493 .52379 m .4858 .54693 L .45147 .52049 L F
.4493 .52379 m .4836 .55023 L .4858 .54693 L F
.3574 .49715 m .38892 .52582 L .35486 .49943 L .761 .504 .545 r
F
.3574 .49715 m .39142 .52351 L .38892 .52582 L F
.40038 .44132 m .4367 .46416 L .40251 .43796 L .628 .549 .746 r
F
.40038 .44132 m .43454 .46752 L .4367 .46416 L F
.27763 .30873 m .31143 .33453 L .31195 .33588 L 0 .374 .838 r
F
.27705 .30734 m .31143 .33453 L .27763 .30873 L F
.43795 .53833 m .46981 .56718 L .4355 .54066 L .761 .504 .545 r
F
.43795 .53833 m .47222 .56482 L .46981 .56718 L F
.2353 .43651 m .26632 .46494 L .23262 .43872 L F
.2353 .43651 m .26897 .4627 L .26632 .46494 L F
.42592 .48089 m .46234 .50388 L .42807 .47756 L .628 .549 .746 r
F
.42592 .48089 m .46016 .50721 L .46234 .50388 L F
.37697 .39839 m .41322 .42108 L .37909 .39499 L F
.37697 .39839 m .41107 .42446 L .41322 .42108 L F
.31584 .47769 m .34721 .5063 L .31326 .47995 L .761 .504 .545 r
F
.31584 .47769 m .34976 .504 L .34721 .5063 L F
.45147 .52049 m .488 .54363 L .45364 .51718 L .628 .549 .746 r
F
.45147 .52049 m .4858 .54693 L .488 .54363 L F
.3468 .36437 m .38081 .39035 L .38121 .3916 L 0 .374 .838 r
F
.34634 .36308 m .38081 .39035 L .3468 .36437 L F
.39642 .51889 m .42812 .54767 L .39393 .52119 L .761 .504 .545 r
F
.39642 .51889 m .43059 .54533 L .42812 .54767 L F
.15676 .39196 m .19021 .41802 L .19095 .41921 L 0 .291 .77 r
F
.15596 .39072 m .19021 .41802 L .15676 .39196 L F
.19368 .41702 m .22454 .44539 L .19095 .41921 L .761 .504 .545 r
F
.19368 .41702 m .22724 .44316 L .22454 .44539 L F
.40251 .43796 m .43886 .4608 L .40465 .43459 L .628 .549 .746 r
F
.40251 .43796 m .4367 .46416 L .43886 .4608 L F
.24276 .28021 m .27647 .30594 L .27705 .30734 L 0 .374 .838 r
F
.24211 .27877 m .27647 .30594 L .24276 .28021 L F
.47704 .5601 m .50908 .58906 L .47463 .56246 L .761 .504 .545 r
F
.47704 .5601 m .51145 .58667 L .50908 .58906 L F
.47704 .5601 m .51367 .58339 L .47922 .55682 L .628 .549 .746 r
F
.47704 .5601 m .51145 .58667 L .51367 .58339 L F
.27425 .45822 m .30546 .48676 L .27161 .46045 L .761 .504 .545 r
F
.27425 .45822 m .30806 .48448 L .30546 .48676 L F
.42807 .47756 m .46452 .50055 L .43022 .47422 L .628 .549 .746 r
F
.42807 .47756 m .46234 .50388 L .46452 .50055 L F
.37909 .39499 m .41537 .41769 L .38121 .3916 L F
.37909 .39499 m .41322 .42108 L .41537 .41769 L F
.35486 .49943 m .3864 .52815 L .35231 .50171 L .761 .504 .545 r
F
.35486 .49943 m .38892 .52582 L .3864 .52815 L F
.45364 .51718 m .4902 .54032 L .45581 .51386 L .628 .549 .746 r
F
.45364 .51718 m .488 .54363 L .4902 .54032 L F
.31195 .33588 m .34588 .36179 L .34634 .36308 L 0 .374 .838 r
F
.31143 .33453 m .34588 .36179 L .31195 .33588 L F
.4355 .54066 m .46739 .56955 L .43305 .54299 L .761 .504 .545 r
F
.4355 .54066 m .46981 .56718 L .46739 .56955 L F
.23262 .43872 m .26367 .4672 L .22993 .44094 L F
.23262 .43872 m .26632 .46494 L .26367 .4672 L F
.40465 .43459 m .44103 .45744 L .40678 .43122 L .628 .549 .746 r
F
.40465 .43459 m .43886 .4608 L .44103 .45744 L F
.47922 .55682 m .51588 .58011 L .48141 .55353 L F
.47922 .55682 m .51367 .58339 L .51588 .58011 L F
.31326 .47995 m .34464 .5086 L .31066 .48221 L .761 .504 .545 r
F
.31326 .47995 m .34721 .5063 L .34464 .5086 L F
.43022 .47422 m .46671 .49721 L .43238 .47087 L .628 .549 .746 r
F
.43022 .47422 m .46452 .50055 L .46671 .49721 L F
.38081 .39035 m .41537 .41769 L .38121 .3916 L 0 .374 .838 r
F
.39393 .52119 m .42565 .55002 L .39142 .52351 L .761 .504 .545 r
F
.39393 .52119 m .42812 .54767 L .42565 .55002 L F
.19021 .41802 m .22454 .44539 L .19095 .41921 L 0 .291 .77 r
F
.45581 .51386 m .4924 .53701 L .45798 .51054 L .628 .549 .746 r
F
.45581 .51386 m .4902 .54032 L .4924 .53701 L F
.27705 .30734 m .31091 .33318 L .31143 .33453 L 0 .374 .838 r
F
.27647 .30594 m .31091 .33318 L .27705 .30734 L F
.47463 .56246 m .5067 .59146 L .47222 .56482 L .761 .504 .545 r
F
.47463 .56246 m .50908 .58906 L .5067 .59146 L F
.27161 .46045 m .30284 .48904 L .26897 .4627 L F
.27161 .46045 m .30546 .48676 L .30284 .48904 L F
.40678 .43122 m .4432 .45407 L .40893 .42784 L .628 .549 .746 r
F
.40678 .43122 m .44103 .45744 L .4432 .45407 L F
.48141 .55353 m .51811 .57683 L .4836 .55023 L F
.48141 .55353 m .51588 .58011 L .51811 .57683 L F
.35231 .50171 m .38388 .53047 L .34976 .504 L .761 .504 .545 r
F
.35231 .50171 m .3864 .52815 L .38388 .53047 L F
.43238 .47087 m .4689 .49387 L .43454 .46752 L .628 .549 .746 r
F
.43238 .47087 m .46671 .49721 L .4689 .49387 L F
.34634 .36308 m .38042 .38911 L .38081 .39035 L 0 .374 .838 r
F
.34588 .36179 m .38042 .38911 L .34634 .36308 L F
.43305 .54299 m .46496 .57193 L .43059 .54533 L .761 .504 .545 r
F
.43305 .54299 m .46739 .56955 L .46496 .57193 L F
.15596 .39072 m .18947 .41682 L .19021 .41802 L 0 .291 .77 r
F
.15515 .38947 m .18947 .41682 L .15596 .39072 L F
.22993 .44094 m .26101 .46946 L .22724 .44316 L .761 .504 .545 r
F
.22993 .44094 m .26367 .4672 L .26101 .46946 L F
.45798 .51054 m .49461 .53369 L .46016 .50721 L .628 .549 .746 r
F
.45798 .51054 m .4924 .53701 L .49461 .53369 L F
.24211 .27877 m .27589 .30454 L .27647 .30594 L 0 .374 .838 r
F
.24147 .27732 m .27589 .30454 L .24211 .27877 L F
.31066 .48221 m .34207 .51091 L .30806 .48448 L .761 .504 .545 r
F
.31066 .48221 m .34464 .5086 L .34207 .51091 L F
.40893 .42784 m .44537 .4507 L .41107 .42446 L .628 .549 .746 r
F
.40893 .42784 m .4432 .45407 L .44537 .4507 L F
.4836 .55023 m .52033 .57353 L .4858 .54693 L F
.4836 .55023 m .51811 .57683 L .52033 .57353 L F
.39142 .52351 m .42318 .55238 L .38892 .52582 L .761 .504 .545 r
F
.39142 .52351 m .42565 .55002 L .42318 .55238 L F
.43454 .46752 m .47109 .49052 L .4367 .46416 L .628 .549 .746 r
F
.43454 .46752 m .4689 .49387 L .47109 .49052 L F
.31143 .33453 m .34543 .36049 L .34588 .36179 L 0 .374 .838 r
F
.31091 .33318 m .34543 .36049 L .31143 .33453 L F
.47222 .56482 m .50432 .59386 L .46981 .56718 L .761 .504 .545 r
F
.47222 .56482 m .5067 .59146 L .50432 .59386 L F
.26897 .4627 m .30023 .49132 L .26632 .46494 L F
.26897 .4627 m .30284 .48904 L .30023 .49132 L F
.46016 .50721 m .49682 .53037 L .46234 .50388 L .628 .549 .746 r
F
.46016 .50721 m .49461 .53369 L .49682 .53037 L F
.41107 .42446 m .44755 .44732 L .41322 .42108 L F
.41107 .42446 m .44537 .4507 L .44755 .44732 L F
.34976 .504 m .38136 .53281 L .34721 .5063 L .761 .504 .545 r
F
.34976 .504 m .38388 .53047 L .38136 .53281 L F
.4858 .54693 m .52256 .57024 L .488 .54363 L .628 .549 .746 r
F
.4858 .54693 m .52033 .57353 L .52256 .57024 L F
.38081 .39035 m .41504 .41649 L .41537 .41769 L 0 .374 .838 r
F
.38042 .38911 m .41504 .41649 L .38081 .39035 L F
.43059 .54533 m .46253 .57431 L .42812 .54767 L .761 .504 .545 r
F
.43059 .54533 m .46496 .57193 L .46253 .57431 L F
.19021 .41802 m .22386 .44424 L .22454 .44539 L 0 .291 .77 r
F
.18947 .41682 m .22386 .44424 L .19021 .41802 L F
.22724 .44316 m .25834 .47172 L .22454 .44539 L .761 .504 .545 r
F
.22724 .44316 m .26101 .46946 L .25834 .47172 L F
.4367 .46416 m .47328 .48717 L .43886 .4608 L .628 .549 .746 r
F
.4367 .46416 m .47109 .49052 L .47328 .48717 L F
.27647 .30594 m .31039 .33183 L .31091 .33318 L 0 .374 .838 r
F
.27589 .30454 m .31039 .33183 L .27647 .30594 L F
.51145 .58667 m .54373 .61583 L .50908 .58906 L .761 .504 .545 r
F
.51145 .58667 m .54607 .6134 L .54373 .61583 L F
.51145 .58667 m .54832 .61013 L .51367 .58339 L .628 .549 .746 r
F
.51145 .58667 m .54607 .6134 L .54832 .61013 L F
.30806 .48448 m .3395 .51322 L .30546 .48676 L .761 .504 .545 r
F
.30806 .48448 m .34207 .51091 L .3395 .51322 L F
.46234 .50388 m .49903 .52704 L .46452 .50055 L .628 .549 .746 r
F
.46234 .50388 m .49682 .53037 L .49903 .52704 L F
.41322 .42108 m .44973 .44394 L .41537 .41769 L F
.41322 .42108 m .44755 .44732 L .44973 .44394 L F
.38892 .52582 m .4207 .55474 L .3864 .52815 L .761 .504 .545 r
F
.38892 .52582 m .42318 .55238 L .4207 .55474 L F
.488 .54363 m .52479 .56694 L .4902 .54032 L .628 .549 .746 r
F
.488 .54363 m .52256 .57024 L .52479 .56694 L F
.34588 .36179 m .38002 .38786 L .38042 .38911 L 0 .374 .838 r
F
.34543 .36049 m .38002 .38786 L .34588 .36179 L F
.46981 .56718 m .50193 .59627 L .46739 .56955 L .761 .504 .545 r
F
.46981 .56718 m .50432 .59386 L .50193 .59627 L F
.15515 .38947 m .18872 .41562 L .18947 .41682 L 0 .291 .77 r
F
.15434 .38822 m .18872 .41562 L .15515 .38947 L F
.26632 .46494 m .2976 .49361 L .26367 .4672 L .761 .504 .545 r
F
.26632 .46494 m .30023 .49132 L .2976 .49361 L F
.43886 .4608 m .47548 .48381 L .44103 .45744 L .628 .549 .746 r
F
.43886 .4608 m .47328 .48717 L .47548 .48381 L F
.24147 .27732 m .2753 .30314 L .27589 .30454 L 0 .374 .838 r
F
.24082 .27586 m .2753 .30314 L .24147 .27732 L F
.51367 .58339 m .55057 .60686 L .51588 .58011 L .628 .549 .746 r
F
.51367 .58339 m .54832 .61013 L .55057 .60686 L F
.34721 .5063 m .37883 .53515 L .34464 .5086 L .761 .504 .545 r
F
.34721 .5063 m .38136 .53281 L .37883 .53515 L F
.46452 .50055 m .50125 .52371 L .46671 .49721 L .628 .549 .746 r
F
.46452 .50055 m .49903 .52704 L .50125 .52371 L F
.41504 .41649 m .44973 .44394 L .41537 .41769 L 0 .374 .838 r
F
.42812 .54767 m .46009 .5767 L .42565 .55002 L .761 .504 .545 r
F
.42812 .54767 m .46253 .57431 L .46009 .5767 L F
.22386 .44424 m .25834 .47172 L .22454 .44539 L 0 .291 .77 r
F
.4902 .54032 m .52703 .56364 L .4924 .53701 L .628 .549 .746 r
F
.4902 .54032 m .52479 .56694 L .52703 .56364 L F
.31091 .33318 m .34497 .35918 L .34543 .36049 L 0 .374 .838 r
F
.31039 .33183 m .34497 .35918 L .31091 .33318 L F
.50908 .58906 m .54139 .61827 L .5067 .59146 L .761 .504 .545 r
F
.50908 .58906 m .54373 .61583 L .54139 .61827 L F
.30546 .48676 m .33692 .51554 L .30284 .48904 L F
.30546 .48676 m .3395 .51322 L .33692 .51554 L F
.44103 .45744 m .47768 .48045 L .4432 .45407 L .628 .549 .746 r
F
.44103 .45744 m .47548 .48381 L .47768 .48045 L F
.51588 .58011 m .55282 .60358 L .51811 .57683 L F
.51588 .58011 m .55057 .60686 L .55282 .60358 L F
.3864 .52815 m .41821 .5571 L .38388 .53047 L .761 .504 .545 r
F
.3864 .52815 m .4207 .55474 L .41821 .5571 L F
.46671 .49721 m .50347 .52038 L .4689 .49387 L .628 .549 .746 r
F
.46671 .49721 m .50125 .52371 L .50347 .52038 L F
.38042 .38911 m .4147 .41529 L .41504 .41649 L 0 .374 .838 r
F
.38002 .38786 m .4147 .41529 L .38042 .38911 L F
.46739 .56955 m .49954 .59869 L .46496 .57193 L .761 .504 .545 r
F
.46739 .56955 m .50193 .59627 L .49954 .59869 L F
.18947 .41682 m .22318 .44309 L .22386 .44424 L 0 .291 .77 r
F
.18872 .41562 m .22318 .44309 L .18947 .41682 L F
.26367 .4672 m .29497 .49591 L .26101 .46946 L .761 .504 .545 r
F
.26367 .4672 m .2976 .49361 L .29497 .49591 L F
.4924 .53701 m .52926 .56033 L .49461 .53369 L .628 .549 .746 r
F
.4924 .53701 m .52703 .56364 L .52926 .56033 L F
.27589 .30454 m .30986 .33047 L .31039 .33183 L 0 .374 .838 r
F
.2753 .30314 m .30986 .33047 L .27589 .30454 L F
.34464 .5086 m .37629 .53749 L .34207 .51091 L .761 .504 .545 r
F
.34464 .5086 m .37883 .53515 L .37629 .53749 L F
.4432 .45407 m .47989 .47709 L .44537 .4507 L .628 .549 .746 r
F
.4432 .45407 m .47768 .48045 L .47989 .47709 L F
.51811 .57683 m .55507 .6003 L .52033 .57353 L F
.51811 .57683 m .55282 .60358 L .55507 .6003 L F
.42565 .55002 m .45765 .57909 L .42318 .55238 L .761 .504 .545 r
F
.42565 .55002 m .46009 .5767 L .45765 .57909 L F
.4689 .49387 m .50569 .51704 L .47109 .49052 L .628 .549 .746 r
F
.4689 .49387 m .50347 .52038 L .50569 .51704 L F
.34543 .36049 m .37963 .3866 L .38002 .38786 L 0 .374 .838 r
F
.34497 .35918 m .37963 .3866 L .34543 .36049 L F
.5067 .59146 m .53904 .62071 L .50432 .59386 L .761 .504 .545 r
F
.5067 .59146 m .54139 .61827 L .53904 .62071 L F
.15434 .38822 m .18797 .41442 L .18872 .41562 L 0 .291 .77 r
F
.15353 .38697 m .18797 .41442 L .15434 .38822 L F
.30284 .48904 m .33433 .51786 L .30023 .49132 L .761 .504 .545 r
F
.30284 .48904 m .33692 .51554 L .33433 .51786 L F
.49461 .53369 m .5315 .55701 L .49682 .53037 L .628 .549 .746 r
F
.49461 .53369 m .52926 .56033 L .5315 .55701 L F
.24082 .27586 m .27471 .30172 L .2753 .30314 L 0 .374 .838 r
F
.24016 .2744 m .27471 .30172 L .24082 .27586 L F
.44537 .4507 m .48209 .47372 L .44755 .44732 L .628 .549 .746 r
F
.44537 .4507 m .47989 .47709 L .48209 .47372 L F
.38388 .53047 m .41572 .55948 L .38136 .53281 L .761 .504 .545 r
F
.38388 .53047 m .41821 .5571 L .41572 .55948 L F
.52033 .57353 m .55733 .59701 L .52256 .57024 L .628 .549 .746 r
F
.52033 .57353 m .55507 .6003 L .55733 .59701 L F
.41504 .41649 m .44946 .44278 L .44973 .44394 L 0 .374 .838 r
F
.4147 .41529 m .44946 .44278 L .41504 .41649 L F
.46496 .57193 m .49714 .60111 L .46253 .57431 L .761 .504 .545 r
F
.46496 .57193 m .49954 .59869 L .49714 .60111 L F
.22386 .44424 m .25772 .47062 L .25834 .47172 L 0 .291 .77 r
F
.22318 .44309 m .25772 .47062 L .22386 .44424 L F
.26101 .46946 m .29234 .49821 L .25834 .47172 L .761 .504 .545 r
F
.26101 .46946 m .29497 .49591 L .29234 .49821 L F
.47109 .49052 m .50791 .5137 L .47328 .48717 L .628 .549 .746 r
F
.47109 .49052 m .50569 .51704 L .50791 .5137 L F
.31039 .33183 m .34451 .35788 L .34497 .35918 L 0 .374 .838 r
F
.30986 .33047 m .34451 .35788 L .31039 .33183 L F
.54607 .6134 m .57859 .64276 L .54373 .61583 L .761 .504 .545 r
F
.54607 .6134 m .5809 .64029 L .57859 .64276 L F
.54607 .6134 m .58318 .63703 L .54832 .61013 L .628 .549 .746 r
F
.54607 .6134 m .5809 .64029 L .58318 .63703 L F
.34207 .51091 m .37375 .53984 L .3395 .51322 L .761 .504 .545 r
F
.34207 .51091 m .37629 .53749 L .37375 .53984 L F
.49682 .53037 m .53375 .5537 L .49903 .52704 L .628 .549 .746 r
F
.49682 .53037 m .5315 .55701 L .53375 .5537 L F
.44755 .44732 m .4843 .47034 L .44973 .44394 L F
.44755 .44732 m .48209 .47372 L .4843 .47034 L F
.42318 .55238 m .4552 .58149 L .4207 .55474 L .761 .504 .545 r
F
.42318 .55238 m .45765 .57909 L .4552 .58149 L F
.52256 .57024 m .55959 .59372 L .52479 .56694 L .628 .549 .746 r
F
.52256 .57024 m .55733 .59701 L .55959 .59372 L F
.38002 .38786 m .41437 .41408 L .4147 .41529 L 0 .374 .838 r
F
.37963 .3866 m .41437 .41408 L .38002 .38786 L F
.50432 .59386 m .53668 .62316 L .50193 .59627 L .761 .504 .545 r
F
.50432 .59386 m .53904 .62071 L .53668 .62316 L F
.18872 .41562 m .22249 .44193 L .22318 .44309 L 0 .291 .77 r
F
.18797 .41442 m .22249 .44193 L .18872 .41562 L F
.30023 .49132 m .33174 .52019 L .2976 .49361 L .761 .504 .545 r
F
.30023 .49132 m .33433 .51786 L .33174 .52019 L F
.47328 .48717 m .51014 .51035 L .47548 .48381 L .628 .549 .746 r
F
.47328 .48717 m .50791 .5137 L .51014 .51035 L F
.2753 .30314 m .30934 .32911 L .30986 .33047 L 0 .374 .838 r
F
.27471 .30172 m .30934 .32911 L .2753 .30314 L F
.54832 .61013 m .58546 .63377 L .55057 .60686 L .628 .549 .746 r
F
.54832 .61013 m .58318 .63703 L .58546 .63377 L F
.38136 .53281 m .41322 .56185 L .37883 .53515 L .761 .504 .545 r
F
.38136 .53281 m .41572 .55948 L .41322 .56185 L F
.49903 .52704 m .53599 .55037 L .50125 .52371 L .628 .549 .746 r
F
.49903 .52704 m .53375 .5537 L .53599 .55037 L F
.44946 .44278 m .4843 .47034 L .44973 .44394 L 0 .374 .838 r
F
.46253 .57431 m .49473 .60353 L .46009 .5767 L .761 .504 .545 r
F
.46253 .57431 m .49714 .60111 L .49473 .60353 L F
.25772 .47062 m .29234 .49821 L .25834 .47172 L 0 .291 .77 r
F
.52479 .56694 m .56186 .59042 L .52703 .56364 L .628 .549 .746 r
F
.52479 .56694 m .55959 .59372 L .56186 .59042 L F
.34497 .35918 m .37923 .38534 L .37963 .3866 L 0 .374 .838 r
F
.34451 .35788 m .37923 .38534 L .34497 .35918 L F
.54373 .61583 m .57628 .64523 L .54139 .61827 L .761 .504 .545 r
F
.54373 .61583 m .57859 .64276 L .57628 .64523 L F
.15353 .38697 m .18722 .41321 L .18797 .41442 L 0 .291 .77 r
F
.15272 .38571 m .18722 .41321 L .15353 .38697 L F
.3395 .51322 m .3712 .5422 L .33692 .51554 L .761 .504 .545 r
F
.3395 .51322 m .37375 .53984 L .3712 .5422 L F
.47548 .48381 m .51237 .50699 L .47768 .48045 L .628 .549 .746 r
F
.47548 .48381 m .51014 .51035 L .51237 .50699 L F
.24016 .2744 m .27412 .30031 L .27471 .30172 L 0 .374 .838 r
F
.23951 .27294 m .27412 .30031 L .24016 .2744 L F
.55057 .60686 m .58774 .6305 L .55282 .60358 L .628 .549 .746 r
F
.55057 .60686 m .58546 .63377 L .58774 .6305 L F
.4207 .55474 m .45274 .58389 L .41821 .5571 L .761 .504 .545 r
F
.4207 .55474 m .4552 .58149 L .45274 .58389 L F
.50125 .52371 m .53824 .54705 L .50347 .52038 L .628 .549 .746 r
F
.50125 .52371 m .53599 .55037 L .53824 .54705 L F
.4147 .41529 m .44919 .44162 L .44946 .44278 L 0 .374 .838 r
F
.41437 .41408 m .44919 .44162 L .4147 .41529 L F
.50193 .59627 m .53432 .62561 L .49954 .59869 L .761 .504 .545 r
F
.50193 .59627 m .53668 .62316 L .53432 .62561 L F
.22318 .44309 m .25709 .46951 L .25772 .47062 L 0 .291 .77 r
F
.22249 .44193 m .25709 .46951 L .22318 .44309 L F
.2976 .49361 m .32914 .52252 L .29497 .49591 L .761 .504 .545 r
F
.2976 .49361 m .33174 .52019 L .32914 .52252 L F
.52703 .56364 m .56413 .58712 L .52926 .56033 L .628 .549 .746 r
F
.52703 .56364 m .56186 .59042 L .56413 .58712 L F
.30986 .33047 m .34404 .35656 L .34451 .35788 L 0 .374 .838 r
F
.30934 .32911 m .34404 .35656 L .30986 .33047 L F
.37883 .53515 m .41072 .56423 L .37629 .53749 L .761 .504 .545 r
F
.37883 .53515 m .41322 .56185 L .41072 .56423 L F
.47768 .48045 m .51461 .50364 L .47989 .47709 L .628 .549 .746 r
F
.47768 .48045 m .51237 .50699 L .51461 .50364 L F
.55282 .60358 m .59002 .62722 L .55507 .6003 L F
.55282 .60358 m .58774 .6305 L .59002 .62722 L F
.46009 .5767 m .49232 .60597 L .45765 .57909 L .761 .504 .545 r
F
.46009 .5767 m .49473 .60353 L .49232 .60597 L F
.50347 .52038 m .54049 .54372 L .50569 .51704 L .628 .549 .746 r
F
.50347 .52038 m .53824 .54705 L .54049 .54372 L F
.37963 .3866 m .41404 .41287 L .41437 .41408 L 0 .374 .838 r
F
.37923 .38534 m .41404 .41287 L .37963 .3866 L F
.54139 .61827 m .57397 .64772 L .53904 .62071 L .761 .504 .545 r
F
.54139 .61827 m .57628 .64523 L .57397 .64772 L F
.18797 .41442 m .22181 .44077 L .22249 .44193 L 0 .291 .77 r
F
.18722 .41321 m .22181 .44077 L .18797 .41442 L F
.33692 .51554 m .36865 .54456 L .33433 .51786 L .761 .504 .545 r
F
.33692 .51554 m .3712 .5422 L .36865 .54456 L F
.52926 .56033 m .5664 .58382 L .5315 .55701 L .628 .549 .746 r
F
.52926 .56033 m .56413 .58712 L .5664 .58382 L F
.27471 .30172 m .30881 .32774 L .30934 .32911 L 0 .374 .838 r
F
.27412 .30031 m .30881 .32774 L .27471 .30172 L F
.41821 .5571 m .45028 .5863 L .41572 .55948 L .761 .504 .545 r
F
.41821 .5571 m .45274 .58389 L .45028 .5863 L F
.47989 .47709 m .51684 .50027 L .48209 .47372 L .628 .549 .746 r
F
.47989 .47709 m .51461 .50364 L .51684 .50027 L F
.55507 .6003 m .59231 .62394 L .55733 .59701 L F
.55507 .6003 m .59002 .62722 L .59231 .62394 L F
.44946 .44278 m .4841 .46923 L .4843 .47034 L 0 .374 .838 r
F
.44919 .44162 m .4841 .46923 L .44946 .44278 L F
.49954 .59869 m .53196 .62807 L .49714 .60111 L .761 .504 .545 r
F
.49954 .59869 m .53432 .62561 L .53196 .62807 L F
.25772 .47062 m .29178 .49715 L .29234 .49821 L 0 .291 .77 r
F
.25709 .46951 m .29178 .49715 L .25772 .47062 L F
.29497 .49591 m .32654 .52486 L .29234 .49821 L .761 .504 .545 r
F
.29497 .49591 m .32914 .52252 L .32654 .52486 L F
.50569 .51704 m .54275 .54038 L .50791 .5137 L .628 .549 .746 r
F
.50569 .51704 m .54049 .54372 L .54275 .54038 L F
.34451 .35788 m .37883 .38408 L .37923 .38534 L 0 .374 .838 r
F
.34404 .35656 m .37883 .38408 L .34451 .35788 L F
.5809 .64029 m .61367 .66985 L .57859 .64276 L .761 .504 .545 r
F
.5809 .64029 m .61594 .66734 L .61367 .66985 L F
.5809 .64029 m .61825 .66409 L .58318 .63703 L .628 .549 .746 r
F
.5809 .64029 m .61594 .66734 L .61825 .66409 L F
.15272 .38571 m .18647 .412 L .18722 .41321 L 0 .291 .77 r
F
.1519 .38445 m .18647 .412 L .15272 .38571 L F
.37629 .53749 m .40821 .56662 L .37375 .53984 L .761 .504 .545 r
F
.37629 .53749 m .41072 .56423 L .40821 .56662 L F
.5315 .55701 m .56867 .58051 L .53375 .5537 L .628 .549 .746 r
F
.5315 .55701 m .5664 .58382 L .56867 .58051 L F
.23951 .27294 m .27353 .29889 L .27412 .30031 L 0 .374 .838 r
F
.23885 .27147 m .27353 .29889 L .23951 .27294 L F
.48209 .47372 m .51908 .49691 L .4843 .47034 L .628 .549 .746 r
F
.48209 .47372 m .51684 .50027 L .51908 .49691 L F
.45765 .57909 m .48991 .6084 L .4552 .58149 L .761 .504 .545 r
F
.45765 .57909 m .49232 .60597 L .48991 .6084 L F
.55733 .59701 m .59461 .62066 L .55959 .59372 L .628 .549 .746 r
F
.55733 .59701 m .59231 .62394 L .59461 .62066 L F
.41437 .41408 m .44892 .44046 L .44919 .44162 L 0 .374 .838 r
F
.41404 .41287 m .44892 .44046 L .41437 .41408 L F
.53904 .62071 m .57165 .6502 L .53668 .62316 L .761 .504 .545 r
F
.53904 .62071 m .57397 .64772 L .57165 .6502 L F
.22249 .44193 m .25647 .4684 L .25709 .46951 L 0 .291 .77 r
F
.22181 .44077 m .25647 .4684 L .22249 .44193 L F
.33433 .51786 m .36609 .54692 L .33174 .52019 L .761 .504 .545 r
F
.33433 .51786 m .36865 .54456 L .36609 .54692 L F
.50791 .5137 m .54501 .53704 L .51014 .51035 L .628 .549 .746 r
F
.50791 .5137 m .54275 .54038 L .54501 .53704 L F
.30934 .32911 m .34358 .35524 L .34404 .35656 L 0 .374 .838 r
F
.30881 .32774 m .34358 .35524 L .30934 .32911 L F
.58318 .63703 m .62056 .66084 L .58546 .63377 L .628 .549 .746 r
F
.58318 .63703 m .61825 .66409 L .62056 .66084 L F
.41572 .55948 m .44782 .58872 L .41322 .56185 L .761 .504 .545 r
F
.41572 .55948 m .45028 .5863 L .44782 .58872 L F
.53375 .5537 m .57095 .5772 L .53599 .55037 L .628 .549 .746 r
F
.53375 .5537 m .56867 .58051 L .57095 .5772 L F
.4841 .46923 m .51908 .49691 L .4843 .47034 L 0 .374 .838 r
F
.49714 .60111 m .52959 .63053 L .49473 .60353 L .761 .504 .545 r
F
.49714 .60111 m .53196 .62807 L .52959 .63053 L F
.29178 .49715 m .32654 .52486 L .29234 .49821 L 0 .291 .77 r
F
.55959 .59372 m .5969 .61737 L .56186 .59042 L .628 .549 .746 r
F
.55959 .59372 m .59461 .62066 L .5969 .61737 L F
.37923 .38534 m .4137 .41165 L .41404 .41287 L 0 .374 .838 r
F
.37883 .38408 m .4137 .41165 L .37923 .38534 L F
.57859 .64276 m .61139 .67236 L .57628 .64523 L .761 .504 .545 r
F
.57859 .64276 m .61367 .66985 L .61139 .67236 L F
.18722 .41321 m .22111 .43961 L .22181 .44077 L 0 .291 .77 r
F
.18647 .412 m .22111 .43961 L .18722 .41321 L F
.37375 .53984 m .40569 .56902 L .3712 .5422 L .761 .504 .545 r
F
.37375 .53984 m .40821 .56662 L .40569 .56902 L F
.51014 .51035 m .54727 .53369 L .51237 .50699 L .628 .549 .746 r
F
.51014 .51035 m .54501 .53704 L .54727 .53369 L F
.27412 .30031 m .30828 .32637 L .30881 .32774 L 0 .374 .838 r
F
.27353 .29889 m .30828 .32637 L .27412 .30031 L F
.58546 .63377 m .62287 .65757 L .58774 .6305 L .628 .549 .746 r
F
.58546 .63377 m .62056 .66084 L .62287 .65757 L F
.4552 .58149 m .48749 .61085 L .45274 .58389 L .761 .504 .545 r
F
.4552 .58149 m .48991 .6084 L .48749 .61085 L F
.53599 .55037 m .57323 .57388 L .53824 .54705 L .628 .549 .746 r
F
.53599 .55037 m .57095 .5772 L .57323 .57388 L F
.44919 .44162 m .48389 .46812 L .4841 .46923 L 0 .374 .838 r
F
.44892 .44046 m .48389 .46812 L .44919 .44162 L F
.53668 .62316 m .56932 .65269 L .53432 .62561 L .761 .504 .545 r
F
.53668 .62316 m .57165 .6502 L .56932 .65269 L F
.25709 .46951 m .29121 .49609 L .29178 .49715 L 0 .291 .77 r
F
.25647 .4684 m .29121 .49609 L .25709 .46951 L F
.33174 .52019 m .36352 .5493 L .32914 .52252 L .761 .504 .545 r
F
.33174 .52019 m .36609 .54692 L .36352 .5493 L F
.56186 .59042 m .5992 .61408 L .56413 .58712 L .628 .549 .746 r
F
.56186 .59042 m .5969 .61737 L .5992 .61408 L F
.34404 .35656 m .37843 .38281 L .37883 .38408 L 0 .374 .838 r
F
.34358 .35524 m .37843 .38281 L .34404 .35656 L F
.1519 .38445 m .18571 .41078 L .18647 .412 L 0 .291 .77 r
F
.15108 .38318 m .18571 .41078 L .1519 .38445 L F
.41322 .56185 m .44535 .59114 L .41072 .56423 L .761 .504 .545 r
F
.41322 .56185 m .44782 .58872 L .44535 .59114 L F
.51237 .50699 m .54953 .53035 L .51461 .50364 L .628 .549 .746 r
F
.51237 .50699 m .54727 .53369 L .54953 .53035 L F
.23885 .27147 m .27293 .29746 L .27353 .29889 L 0 .374 .838 r
F
.23819 .26999 m .27293 .29746 L .23885 .27147 L F
.58774 .6305 m .62519 .65431 L .59002 .62722 L .628 .549 .746 r
F
.58774 .6305 m .62287 .65757 L .62519 .65431 L F
.49473 .60353 m .52721 .633 L .49232 .60597 L .761 .504 .545 r
F
.49473 .60353 m .52959 .63053 L .52721 .633 L F
.53824 .54705 m .57551 .57055 L .54049 .54372 L .628 .549 .746 r
F
.53824 .54705 m .57323 .57388 L .57551 .57055 L F
.41404 .41287 m .44865 .4393 L .44892 .44046 L 0 .374 .838 r
F
.4137 .41165 m .44865 .4393 L .41404 .41287 L F
.57628 .64523 m .60911 .67488 L .57397 .64772 L .761 .504 .545 r
F
.57628 .64523 m .61139 .67236 L .60911 .67488 L F
.22181 .44077 m .25584 .46729 L .25647 .4684 L 0 .291 .77 r
F
.22111 .43961 m .25584 .46729 L .22181 .44077 L F
.3712 .5422 m .40317 .57142 L .36865 .54456 L .761 .504 .545 r
F
.3712 .5422 m .40569 .56902 L .40317 .57142 L F
.56413 .58712 m .6015 .61079 L .5664 .58382 L .628 .549 .746 r
F
.56413 .58712 m .5992 .61408 L .6015 .61079 L F
.30881 .32774 m .34311 .35392 L .34358 .35524 L 0 .374 .838 r
F
.30828 .32637 m .34311 .35392 L .30881 .32774 L F
.45274 .58389 m .48506 .61329 L .45028 .5863 L .761 .504 .545 r
F
.45274 .58389 m .48749 .61085 L .48506 .61329 L F
.51461 .50364 m .5518 .52699 L .51684 .50027 L .628 .549 .746 r
F
.51461 .50364 m .54953 .53035 L .5518 .52699 L F
.59002 .62722 m .62751 .65104 L .59231 .62394 L F
.59002 .62722 m .62519 .65431 L .62751 .65104 L F
.4841 .46923 m .51894 .49584 L .51908 .49691 L 0 .374 .838 r
F
.48389 .46812 m .51894 .49584 L .4841 .46923 L F
.53432 .62561 m .56699 .65519 L .53196 .62807 L .761 .504 .545 r
F
.53432 .62561 m .56932 .65269 L .56699 .65519 L F
.29178 .49715 m .32604 .52385 L .32654 .52486 L 0 .291 .77 r
F
.29121 .49609 m .32604 .52385 L .29178 .49715 L F
.32914 .52252 m .36095 .55167 L .32654 .52486 L .761 .504 .545 r
F
.32914 .52252 m .36352 .5493 L .36095 .55167 L F
.54049 .54372 m .5778 .56723 L .54275 .54038 L .628 .549 .746 r
F
.54049 .54372 m .57551 .57055 L .5778 .56723 L F
.37883 .38408 m .41336 .41043 L .4137 .41165 L 0 .374 .838 r
F
.37843 .38281 m .41336 .41043 L .37883 .38408 L F
.61594 .66734 m .64895 .69711 L .61367 .66985 L .761 .504 .545 r
F
.61594 .66734 m .65119 .69456 L .64895 .69711 L F
.61594 .66734 m .65353 .69132 L .61825 .66409 L .628 .549 .746 r
F
.61594 .66734 m .65119 .69456 L .65353 .69132 L F
.18647 .412 m .22042 .43844 L .22111 .43961 L 0 .291 .77 r
F
.18571 .41078 m .22042 .43844 L .18647 .412 L F
.41072 .56423 m .44287 .59357 L .40821 .56662 L .761 .504 .545 r
F
.41072 .56423 m .44535 .59114 L .44287 .59357 L F
.5664 .58382 m .60381 .60748 L .56867 .58051 L .628 .549 .746 r
F
.5664 .58382 m .6015 .61079 L .60381 .60748 L F
.27353 .29889 m .30775 .32499 L .30828 .32637 L 0 .374 .838 r
F
.27293 .29746 m .30775 .32499 L .27353 .29889 L F
.51684 .50027 m .55407 .52363 L .51908 .49691 L .628 .549 .746 r
F
.51684 .50027 m .5518 .52699 L .55407 .52363 L F
.49232 .60597 m .52483 .63548 L .48991 .6084 L .761 .504 .545 r
F
.49232 .60597 m .52721 .633 L .52483 .63548 L F
.59231 .62394 m .62983 .64777 L .59461 .62066 L .628 .549 .746 r
F
.59231 .62394 m .62751 .65104 L .62983 .64777 L F
.44892 .44046 m .48368 .46701 L .48389 .46812 L 0 .374 .838 r
F
.44865 .4393 m .48368 .46701 L .44892 .44046 L F
.57397 .64772 m .60682 .67741 L .57165 .6502 L .761 .504 .545 r
F
.57397 .64772 m .60911 .67488 L .60682 .67741 L F
.25647 .4684 m .29065 .49503 L .29121 .49609 L 0 .291 .77 r
F
.25584 .46729 m .29065 .49503 L .25647 .4684 L F
.36865 .54456 m .40064 .57382 L .36609 .54692 L .761 .504 .545 r
F
.36865 .54456 m .40317 .57142 L .40064 .57382 L F
.54275 .54038 m .58009 .56389 L .54501 .53704 L .628 .549 .746 r
F
.54275 .54038 m .5778 .56723 L .58009 .56389 L F
.34358 .35524 m .37803 .38153 L .37843 .38281 L 0 .374 .838 r
F
.34311 .35392 m .37803 .38153 L .34358 .35524 L F
.15108 .38318 m .18495 .40956 L .18571 .41078 L 0 .291 .77 r
F
.15026 .38191 m .18495 .40956 L .15108 .38318 L F
.61825 .66409 m .65587 .68807 L .62056 .66084 L .628 .549 .746 r
F
.61825 .66409 m .65353 .69132 L .65587 .68807 L F
.45028 .5863 m .48263 .61575 L .44782 .58872 L .761 .504 .545 r
F
.45028 .5863 m .48506 .61329 L .48263 .61575 L F
.56867 .58051 m .60611 .60418 L .57095 .5772 L .628 .549 .746 r
F
.56867 .58051 m .60381 .60748 L .60611 .60418 L F
.23819 .26999 m .27233 .29603 L .27293 .29746 L 0 .374 .838 r
F
.23753 .26851 m .27233 .29603 L .23819 .26999 L F
.51894 .49584 m .55407 .52363 L .51908 .49691 L F
.53196 .62807 m .56465 .65769 L .52959 .63053 L .761 .504 .545 r
F
.53196 .62807 m .56699 .65519 L .56465 .65769 L F
.32604 .52385 m .36095 .55167 L .32654 .52486 L 0 .291 .77 r
F
.59461 .62066 m .63216 .64449 L .5969 .61737 L .628 .549 .746 r
F
.59461 .62066 m .62983 .64777 L .63216 .64449 L F
.4137 .41165 m .44838 .43813 L .44865 .4393 L 0 .374 .838 r
F
.41336 .41043 m .44838 .43813 L .4137 .41165 L F
.61367 .66985 m .64671 .69966 L .61139 .67236 L .761 .504 .545 r
F
.61367 .66985 m .64895 .69711 L .64671 .69966 L F
.22111 .43961 m .25521 .46617 L .25584 .46729 L 0 .291 .77 r
F
.22042 .43844 m .25521 .46617 L .22111 .43961 L F
.40821 .56662 m .44039 .596 L .40569 .56902 L .761 .504 .545 r
F
.40821 .56662 m .44287 .59357 L .44039 .596 L F
.54501 .53704 m .58238 .56056 L .54727 .53369 L .628 .549 .746 r
F
.54501 .53704 m .58009 .56389 L .58238 .56056 L F
.30828 .32637 m .34264 .35259 L .34311 .35392 L 0 .374 .838 r
F
.30775 .32499 m .34264 .35259 L .30828 .32637 L F
.62056 .66084 m .65821 .68482 L .62287 .65757 L .628 .549 .746 r
F
.62056 .66084 m .65587 .68807 L .65821 .68482 L F
.48991 .6084 m .52244 .63796 L .48749 .61085 L .761 .504 .545 r
F
.48991 .6084 m .52483 .63548 L .52244 .63796 L F
.57095 .5772 m .60843 .60087 L .57323 .57388 L .628 .549 .746 r
F
.57095 .5772 m .60611 .60418 L .60843 .60087 L F
.48389 .46812 m .5188 .49478 L .51894 .49584 L 0 .374 .838 r
F
.48368 .46701 m .5188 .49478 L .48389 .46812 L F
.57165 .6502 m .60453 .67994 L .56932 .65269 L .761 .504 .545 r
F
.57165 .6502 m .60682 .67741 L .60453 .67994 L F
.29121 .49609 m .32554 .52284 L .32604 .52385 L 0 .291 .77 r
F
.29065 .49503 m .32554 .52284 L .29121 .49609 L F
.36609 .54692 m .39811 .57623 L .36352 .5493 L .761 .504 .545 r
F
.36609 .54692 m .40064 .57382 L .39811 .57623 L F
.5969 .61737 m .63449 .6412 L .5992 .61408 L .628 .549 .746 r
F
.5969 .61737 m .63216 .64449 L .63449 .6412 L F
.37843 .38281 m .41302 .40921 L .41336 .41043 L 0 .374 .838 r
F
.37803 .38153 m .41302 .40921 L .37843 .38281 L F
.18571 .41078 m .21973 .43727 L .22042 .43844 L 0 .291 .77 r
F
.18495 .40956 m .21973 .43727 L .18571 .41078 L F
.44782 .58872 m .48019 .61821 L .44535 .59114 L .761 .504 .545 r
F
.44782 .58872 m .48263 .61575 L .48019 .61821 L F
.54727 .53369 m .58467 .55722 L .54953 .53035 L .628 .549 .746 r
F
.54727 .53369 m .58238 .56056 L .58467 .55722 L F
.27293 .29746 m .30721 .32361 L .30775 .32499 L 0 .374 .838 r
F
.27233 .29603 m .30721 .32361 L .27293 .29746 L F
.62287 .65757 m .66056 .68156 L .62519 .65431 L .628 .549 .746 r
F
.62287 .65757 m .65821 .68482 L .66056 .68156 L F
.52959 .63053 m .56231 .6602 L .52721 .633 L .761 .504 .545 r
F
.52959 .63053 m .56465 .65769 L .56231 .6602 L F
.57323 .57388 m .61074 .59755 L .57551 .57055 L .628 .549 .746 r
F
.57323 .57388 m .60843 .60087 L .61074 .59755 L F
.44865 .4393 m .48348 .46589 L .48368 .46701 L 0 .374 .838 r
F
.44838 .43813 m .48348 .46589 L .44865 .4393 L F
.61139 .67236 m .64446 .70222 L .60911 .67488 L .761 .504 .545 r
F
.61139 .67236 m .64671 .69966 L .64446 .70222 L F
.25584 .46729 m .29008 .49396 L .29065 .49503 L 0 .291 .77 r
F
.25521 .46617 m .29008 .49396 L .25584 .46729 L F
.40569 .56902 m .4379 .59844 L .40317 .57142 L .761 .504 .545 r
F
.40569 .56902 m .44039 .596 L .4379 .59844 L F
.5992 .61408 m .63682 .63792 L .6015 .61079 L .628 .549 .746 r
F
.5992 .61408 m .63449 .6412 L .63682 .63792 L F
.34311 .35392 m .37762 .38025 L .37803 .38153 L 0 .374 .838 r
F
.34264 .35259 m .37762 .38025 L .34311 .35392 L F
.15026 .38191 m .18419 .40833 L .18495 .40956 L 0 .291 .77 r
F
.14944 .38063 m .18419 .40833 L .15026 .38191 L F
.54953 .53035 m .58697 .55387 L .5518 .52699 L .628 .549 .746 r
F
.54953 .53035 m .58467 .55722 L .58697 .55387 L F
.48749 .61085 m .52005 .64045 L .48506 .61329 L .761 .504 .545 r
F
.48749 .61085 m .52244 .63796 L .52005 .64045 L F
.23753 .26851 m .27173 .29459 L .27233 .29603 L 0 .374 .838 r
F
.23687 .26702 m .27173 .29459 L .23753 .26851 L F
.62519 .65431 m .66291 .6783 L .62751 .65104 L .628 .549 .746 r
F
.62519 .65431 m .66056 .68156 L .66291 .6783 L F
.51894 .49584 m .554 .52262 L .55407 .52363 L 0 .374 .838 r
F
.5188 .49478 m .554 .52262 L .51894 .49584 L F
.56932 .65269 m .60223 .68248 L .56699 .65519 L .761 .504 .545 r
F
.56932 .65269 m .60453 .67994 L .60223 .68248 L F
.32604 .52385 m .36051 .55071 L .36095 .55167 L 0 .291 .77 r
F
.32554 .52284 m .36051 .55071 L .32604 .52385 L F
.36352 .5493 m .39557 .57865 L .36095 .55167 L .761 .504 .545 r
F
.36352 .5493 m .39811 .57623 L .39557 .57865 L F
.57551 .57055 m .61306 .59424 L .5778 .56723 L .628 .549 .746 r
F
.57551 .57055 m .61074 .59755 L .61306 .59424 L F
.41336 .41043 m .4481 .43695 L .44838 .43813 L 0 .374 .838 r
F
.41302 .40921 m .4481 .43695 L .41336 .41043 L F
.65119 .69456 m .68445 .72453 L .64895 .69711 L .761 .504 .545 r
F
.65119 .69456 m .68665 .72194 L .68445 .72453 L F
.65119 .69456 m .68902 .71871 L .65353 .69132 L .628 .549 .746 r
F
.65119 .69456 m .68665 .72194 L .68902 .71871 L F
.22042 .43844 m .25458 .46505 L .25521 .46617 L 0 .291 .77 r
F
.21973 .43727 m .25458 .46505 L .22042 .43844 L F
.44535 .59114 m .47774 .62067 L .44287 .59357 L .761 .504 .545 r
F
.44535 .59114 m .48019 .61821 L .47774 .62067 L F
.6015 .61079 m .63916 .63462 L .60381 .60748 L .628 .549 .746 r
F
.6015 .61079 m .63682 .63792 L .63916 .63462 L F
.30775 .32499 m .34217 .35126 L .34264 .35259 L 0 .374 .838 r
F
.30721 .32361 m .34217 .35126 L .30775 .32499 L F
.5518 .52699 m .58928 .55052 L .55407 .52363 L .628 .549 .746 r
F
.5518 .52699 m .58697 .55387 L .58928 .55052 L F
.52721 .633 m .55996 .66272 L .52483 .63548 L .761 .504 .545 r
F
.52721 .633 m .56231 .6602 L .55996 .66272 L F
.62751 .65104 m .66527 .67503 L .62983 .64777 L .628 .549 .746 r
F
.62751 .65104 m .66291 .6783 L .66527 .67503 L F
.48368 .46701 m .51866 .49371 L .5188 .49478 L 0 .374 .838 r
F
.48348 .46589 m .51866 .49371 L .48368 .46701 L F
.60911 .67488 m .64221 .70478 L .60682 .67741 L .761 .504 .545 r
F
.60911 .67488 m .64446 .70222 L .64221 .70478 L F
.29065 .49503 m .32504 .52182 L .32554 .52284 L 0 .291 .77 r
F
.29008 .49396 m .32504 .52182 L .29065 .49503 L F
.40317 .57142 m .4354 .60088 L .40064 .57382 L .761 .504 .545 r
F
.40317 .57142 m .4379 .59844 L .4354 .60088 L F
.5778 .56723 m .61538 .59091 L .58009 .56389 L .628 .549 .746 r
F
.5778 .56723 m .61306 .59424 L .61538 .59091 L F
.37803 .38153 m .41269 .40798 L .41302 .40921 L 0 .374 .838 r
F
.37762 .38025 m .41269 .40798 L .37803 .38153 L F
.18495 .40956 m .21903 .43609 L .21973 .43727 L 0 .291 .77 r
F
.18419 .40833 m .21903 .43609 L .18495 .40956 L F
.65353 .69132 m .6914 .71547 L .65587 .68807 L .628 .549 .746 r
F
.65353 .69132 m .68902 .71871 L .6914 .71547 L F
.48506 .61329 m .51765 .64294 L .48263 .61575 L .761 .504 .545 r
F
.48506 .61329 m .52005 .64045 L .51765 .64294 L F
.60381 .60748 m .64149 .63133 L .60611 .60418 L .628 .549 .746 r
F
.60381 .60748 m .63916 .63462 L .64149 .63133 L F
.27233 .29603 m .30668 .32222 L .30721 .32361 L 0 .374 .838 r
F
.27173 .29459 m .30668 .32222 L .27233 .29603 L F
.554 .52262 m .58928 .55052 L .55407 .52363 L F
.56699 .65519 m .59993 .68502 L .56465 .65769 L .761 .504 .545 r
F
.56699 .65519 m .60223 .68248 L .59993 .68502 L F
.36051 .55071 m .39557 .57865 L .36095 .55167 L 0 .291 .77 r
F
.62983 .64777 m .66763 .67176 L .63216 .64449 L .628 .549 .746 r
F
.62983 .64777 m .66527 .67503 L .66763 .67176 L F
.44838 .43813 m .48327 .46476 L .48348 .46589 L 0 .374 .838 r
F
.4481 .43695 m .48327 .46476 L .44838 .43813 L F
.64895 .69711 m .68224 .72712 L .64671 .69966 L .761 .504 .545 r
F
.64895 .69711 m .68445 .72453 L .68224 .72712 L F
.25521 .46617 m .28952 .49289 L .29008 .49396 L 0 .291 .77 r
F
.25458 .46505 m .28952 .49289 L .25521 .46617 L F
.44287 .59357 m .47529 .62315 L .44039 .596 L .761 .504 .545 r
F
.44287 .59357 m .47774 .62067 L .47529 .62315 L F
.58009 .56389 m .6177 .58758 L .58238 .56056 L .628 .549 .746 r
F
.58009 .56389 m .61538 .59091 L .6177 .58758 L F
.34264 .35259 m .37722 .37897 L .37762 .38025 L 0 .374 .838 r
F
.34217 .35126 m .37722 .37897 L .34264 .35259 L F
.14944 .38063 m .18343 .4071 L .18419 .40833 L 0 .291 .77 r
F
.14861 .37935 m .18343 .4071 L .14944 .38063 L F
.65587 .68807 m .69377 .71222 L .65821 .68482 L .628 .549 .746 r
F
.65587 .68807 m .6914 .71547 L .69377 .71222 L F
.52483 .63548 m .5576 .66524 L .52244 .63796 L .761 .504 .545 r
F
.52483 .63548 m .55996 .66272 L .5576 .66524 L F
.60611 .60418 m .64384 .62803 L .60843 .60087 L .628 .549 .746 r
F
.60611 .60418 m .64149 .63133 L .64384 .62803 L F
.23687 .26702 m .27113 .29315 L .27173 .29459 L 0 .374 .838 r
F
.2362 .26553 m .27113 .29315 L .23687 .26702 L F
.5188 .49478 m .55392 .5216 L .554 .52262 L F
.51866 .49371 m .55392 .5216 L .5188 .49478 L F
.60682 .67741 m .63995 .70735 L .60453 .67994 L .761 .504 .545 r
F
.60682 .67741 m .64221 .70478 L .63995 .70735 L F
.32554 .52284 m .36008 .54974 L .36051 .55071 L 0 .291 .77 r
F
.32504 .52182 m .36008 .54974 L .32554 .52284 L F
.40064 .57382 m .4329 .60333 L .39811 .57623 L .761 .504 .545 r
F
.40064 .57382 m .4354 .60088 L .4329 .60333 L F
.63216 .64449 m .66999 .66849 L .63449 .6412 L .628 .549 .746 r
F
.63216 .64449 m .66763 .67176 L .66999 .66849 L F
.41302 .40921 m .44783 .43577 L .4481 .43695 L 0 .374 .838 r
F
.41269 .40798 m .44783 .43577 L .41302 .40921 L F
.21973 .43727 m .25395 .46392 L .25458 .46505 L 0 .291 .77 r
F
.21903 .43609 m .25395 .46392 L .21973 .43727 L F
.48263 .61575 m .51524 .64544 L .48019 .61821 L .761 .504 .545 r
F
.48263 .61575 m .51765 .64294 L .51524 .64544 L F
.58238 .56056 m .62003 .58425 L .58467 .55722 L .628 .549 .746 r
F
.58238 .56056 m .6177 .58758 L .62003 .58425 L F
.30721 .32361 m .3417 .34992 L .34217 .35126 L 0 .374 .838 r
F
.30668 .32222 m .3417 .34992 L .30721 .32361 L F
.65821 .68482 m .69615 .70898 L .66056 .68156 L .628 .549 .746 r
F
.65821 .68482 m .69377 .71222 L .69615 .70898 L F
.56465 .65769 m .59762 .68757 L .56231 .6602 L .761 .504 .545 r
F
.56465 .65769 m .59993 .68502 L .59762 .68757 L F
.60843 .60087 m .64618 .62472 L .61074 .59755 L .628 .549 .746 r
F
.60843 .60087 m .64384 .62803 L .64618 .62472 L F
.48348 .46589 m .51851 .49263 L .51866 .49371 L 0 .374 .838 r
F
.48327 .46476 m .51851 .49263 L .48348 .46589 L F
.64671 .69966 m .68003 .72972 L .64446 .70222 L .761 .504 .545 r
F
.64671 .69966 m .68224 .72712 L .68003 .72972 L F
.29008 .49396 m .32453 .5208 L .32504 .52182 L 0 .291 .77 r
F
.28952 .49289 m .32453 .5208 L .29008 .49396 L F
.44039 .596 m .47284 .62562 L .4379 .59844 L .761 .504 .545 r
F
.44039 .596 m .47529 .62315 L .47284 .62562 L F
.63449 .6412 m .67235 .66521 L .63682 .63792 L .628 .549 .746 r
F
.63449 .6412 m .66999 .66849 L .67235 .66521 L F
.37762 .38025 m .41234 .40675 L .41269 .40798 L 0 .374 .838 r
F
.37722 .37897 m .41234 .40675 L .37762 .38025 L F
.18419 .40833 m .21833 .43491 L .21903 .43609 L 0 .291 .77 r
F
.18343 .4071 m .21833 .43491 L .18419 .40833 L F
.58467 .55722 m .62236 .58091 L .58697 .55387 L .628 .549 .746 r
F
.58467 .55722 m .62003 .58425 L .62236 .58091 L F
.52244 .63796 m .55524 .66777 L .52005 .64045 L .761 .504 .545 r
F
.52244 .63796 m .5576 .66524 L .55524 .66777 L F
.27173 .29459 m .30614 .32083 L .30668 .32222 L 0 .374 .838 r
F
.27113 .29315 m .30614 .32083 L .27173 .29459 L F
.66056 .68156 m .69854 .70572 L .66291 .6783 L .628 .549 .746 r
F
.66056 .68156 m .69615 .70898 L .69854 .70572 L F
.554 .52262 m .58926 .54955 L .58928 .55052 L 0 .374 .838 r
F
.55392 .5216 m .58926 .54955 L .554 .52262 L F
.60453 .67994 m .63769 .70993 L .60223 .68248 L .761 .504 .545 r
F
.60453 .67994 m .63995 .70735 L .63769 .70993 L F
.36051 .55071 m .39519 .57773 L .39557 .57865 L 0 .291 .77 r
F
.36008 .54974 m .39519 .57773 L .36051 .55071 L F
.39811 .57623 m .4304 .60579 L .39557 .57865 L .761 .504 .545 r
F
.39811 .57623 m .4329 .60333 L .4304 .60579 L F
.61074 .59755 m .64853 .62141 L .61306 .59424 L .628 .549 .746 r
F
.61074 .59755 m .64618 .62472 L .64853 .62141 L F
.4481 .43695 m .48306 .46363 L .48327 .46476 L 0 .374 .838 r
F
.44783 .43577 m .48306 .46363 L .4481 .43695 L F
.68665 .72194 m .72016 .75211 L .68445 .72453 L .761 .504 .545 r
F
.68665 .72194 m .72233 .74949 L .72016 .75211 L F
.68665 .72194 m .72473 .74626 L .68902 .71871 L .628 .549 .746 r
F
.68665 .72194 m .72233 .74949 L .72473 .74626 L F
.25458 .46505 m .28895 .49181 L .28952 .49289 L 0 .291 .77 r
F
.25395 .46392 m .28895 .49181 L .25458 .46505 L F
.48019 .61821 m .51283 .64795 L .47774 .62067 L .761 .504 .545 r
F
.48019 .61821 m .51524 .64544 L .51283 .64795 L F
.63682 .63792 m .67472 .66193 L .63916 .63462 L .628 .549 .746 r
F
.63682 .63792 m .67235 .66521 L .67472 .66193 L F
.34217 .35126 m .37681 .37768 L .37722 .37897 L 0 .374 .838 r
F
.3417 .34992 m .37681 .37768 L .34217 .35126 L F
.14861 .37935 m .18266 .40586 L .18343 .4071 L 0 .291 .77 r
F
.14778 .37806 m .18266 .40586 L .14861 .37935 L F
.58697 .55387 m .62469 .57757 L .58928 .55052 L .628 .549 .746 r
F
.58697 .55387 m .62236 .58091 L .62469 .57757 L F
.56231 .6602 m .5953 .69013 L .55996 .66272 L .761 .504 .545 r
F
.56231 .6602 m .59762 .68757 L .5953 .69013 L F
.2362 .26553 m .27052 .2917 L .27113 .29315 L 0 .374 .838 r
F
.23553 .26403 m .27052 .2917 L .2362 .26553 L F
.66291 .6783 m .70092 .70247 L .66527 .67503 L .628 .549 .746 r
F
.66291 .6783 m .69854 .70572 L .70092 .70247 L F
.51866 .49371 m .55384 .52057 L .55392 .5216 L 0 .374 .838 r
F
.51851 .49263 m .55384 .52057 L .51866 .49371 L F
.64446 .70222 m .67781 .73232 L .64221 .70478 L .761 .504 .545 r
F
.64446 .70222 m .68003 .72972 L .67781 .73232 L F
.32504 .52182 m .35964 .54877 L .36008 .54974 L 0 .291 .77 r
F
.32453 .5208 m .35964 .54877 L .32504 .52182 L F
.4379 .59844 m .47038 .62811 L .4354 .60088 L .761 .504 .545 r
F
.4379 .59844 m .47284 .62562 L .47038 .62811 L F
.61306 .59424 m .65088 .61809 L .61538 .59091 L .628 .549 .746 r
F
.61306 .59424 m .64853 .62141 L .65088 .61809 L F
.41269 .40798 m .44755 .43459 L .44783 .43577 L 0 .374 .838 r
F
.41234 .40675 m .44755 .43459 L .41269 .40798 L F
.21903 .43609 m .25331 .46279 L .25395 .46392 L 0 .291 .77 r
F
.21833 .43491 m .25331 .46279 L .21903 .43609 L F
.68902 .71871 m .72714 .74303 L .6914 .71547 L .628 .549 .746 r
F
.68902 .71871 m .72473 .74626 L .72714 .74303 L F
.52005 .64045 m .55288 .6703 L .51765 .64294 L .761 .504 .545 r
F
.52005 .64045 m .55524 .66777 L .55288 .6703 L F
.63916 .63462 m .67709 .65864 L .64149 .63133 L .628 .549 .746 r
F
.63916 .63462 m .67472 .66193 L .67709 .65864 L F
.30668 .32222 m .34123 .34857 L .3417 .34992 L 0 .374 .838 r
F
.30614 .32083 m .34123 .34857 L .30668 .32222 L F
.58926 .54955 m .62469 .57757 L .58928 .55052 L F
.60223 .68248 m .63542 .71251 L .59993 .68502 L .761 .504 .545 r
F
.60223 .68248 m .63769 .70993 L .63542 .71251 L F
.39519 .57773 m .4304 .60579 L .39557 .57865 L 0 .291 .77 r
F
.66527 .67503 m .70331 .69921 L .66763 .67176 L .628 .549 .746 r
F
.66527 .67503 m .70092 .70247 L .70331 .69921 L F
.48327 .46476 m .51837 .49156 L .51851 .49263 L 0 .374 .838 r
F
.48306 .46363 m .51837 .49156 L .48327 .46476 L F
.68445 .72453 m .71799 .75475 L .68224 .72712 L .761 .504 .545 r
F
.68445 .72453 m .72016 .75211 L .71799 .75475 L F
.28952 .49289 m .32403 .51977 L .32453 .5208 L 0 .291 .77 r
F
.28895 .49181 m .32403 .51977 L .28952 .49289 L F
.47774 .62067 m .51042 .65046 L .47529 .62315 L .761 .504 .545 r
F
.47774 .62067 m .51283 .64795 L .51042 .65046 L F
.61538 .59091 m .65324 .61477 L .6177 .58758 L .628 .549 .746 r
F
.61538 .59091 m .65088 .61809 L .65324 .61477 L F
.37722 .37897 m .412 .40551 L .41234 .40675 L 0 .374 .838 r
F
.37681 .37768 m .412 .40551 L .37722 .37897 L F
.18343 .4071 m .21762 .43372 L .21833 .43491 L 0 .291 .77 r
F
.18266 .40586 m .21762 .43372 L .18343 .4071 L F
.6914 .71547 m .72955 .7398 L .69377 .71222 L .628 .549 .746 r
F
.6914 .71547 m .72714 .74303 L .72955 .7398 L F
.55996 .66272 m .59298 .69269 L .5576 .66524 L .761 .504 .545 r
F
.55996 .66272 m .5953 .69013 L .59298 .69269 L F
.64149 .63133 m .67946 .65535 L .64384 .62803 L .628 .549 .746 r
F
.64149 .63133 m .67709 .65864 L .67946 .65535 L F
.27113 .29315 m .3056 .31943 L .30614 .32083 L 0 .374 .838 r
F
.27052 .2917 m .3056 .31943 L .27113 .29315 L F
.55392 .5216 m .58925 .54858 L .58926 .54955 L F
.55384 .52057 m .58925 .54858 L .55392 .5216 L F
.64221 .70478 m .67559 .73494 L .63995 .70735 L .761 .504 .545 r
F
.64221 .70478 m .67781 .73232 L .67559 .73494 L F
.36008 .54974 m .39482 .57681 L .39519 .57773 L 0 .291 .77 r
F
.35964 .54877 m .39482 .57681 L .36008 .54974 L F
.4354 .60088 m .46791 .63059 L .4329 .60333 L .761 .504 .545 r
F
.4354 .60088 m .47038 .62811 L .46791 .63059 L F
.66763 .67176 m .7057 .69594 L .66999 .66849 L .628 .549 .746 r
F
.66763 .67176 m .70331 .69921 L .7057 .69594 L F
.44783 .43577 m .48285 .4625 L .48306 .46363 L 0 .374 .838 r
F
.44755 .43459 m .48285 .4625 L .44783 .43577 L F
.25395 .46392 m .28837 .49073 L .28895 .49181 L 0 .291 .77 r
F
.25331 .46279 m .28837 .49073 L .25395 .46392 L F
.51765 .64294 m .55051 .67284 L .51524 .64544 L .761 .504 .545 r
F
.51765 .64294 m .55288 .6703 L .55051 .67284 L F
.6177 .58758 m .6556 .61145 L .62003 .58425 L .628 .549 .746 r
F
.6177 .58758 m .65324 .61477 L .6556 .61145 L F
.3417 .34992 m .3764 .37639 L .37681 .37768 L 0 .374 .838 r
F
.34123 .34857 m .3764 .37639 L .3417 .34992 L F
.14778 .37806 m .18189 .40462 L .18266 .40586 L 0 .291 .77 r
F
.14694 .37677 m .18189 .40462 L .14778 .37806 L F
.69377 .71222 m .73196 .73656 L .69615 .70898 L .628 .549 .746 r
F
.69377 .71222 m .72955 .7398 L .73196 .73656 L F
.59993 .68502 m .63314 .7151 L .59762 .68757 L .761 .504 .545 r
F
.59993 .68502 m .63542 .71251 L .63314 .7151 L F
.23553 .26403 m .26992 .29024 L .27052 .2917 L 0 .374 .838 r
F
.23486 .26253 m .26992 .29024 L .23553 .26403 L F
.64384 .62803 m .68184 .65205 L .64618 .62472 L .628 .549 .746 r
F
.64384 .62803 m .67946 .65535 L .68184 .65205 L F
.51851 .49263 m .55376 .51955 L .55384 .52057 L 0 .374 .838 r
F
.51837 .49156 m .55376 .51955 L .51851 .49263 L F
.68224 .72712 m .71581 .75739 L .68003 .72972 L .761 .504 .545 r
F
.68224 .72712 m .71799 .75475 L .71581 .75739 L F
.32453 .5208 m .3592 .5478 L .35964 .54877 L 0 .291 .77 r
F
.32403 .51977 m .3592 .5478 L .32453 .5208 L F
.47529 .62315 m .50799 .65297 L .47284 .62562 L .761 .504 .545 r
F
.47529 .62315 m .51042 .65046 L .50799 .65297 L F
.66999 .66849 m .7081 .69267 L .67235 .66521 L .628 .549 .746 r
F
.66999 .66849 m .7057 .69594 L .7081 .69267 L F
.41234 .40675 m .44728 .4334 L .44755 .43459 L 0 .374 .838 r
F
.412 .40551 m .44728 .4334 L .41234 .40675 L F
.21833 .43491 m .25267 .46165 L .25331 .46279 L 0 .291 .77 r
F
.21762 .43372 m .25267 .46165 L .21833 .43491 L F
.62003 .58425 m .65796 .60812 L .62236 .58091 L .628 .549 .746 r
F
.62003 .58425 m .6556 .61145 L .65796 .60812 L F
.5576 .66524 m .59066 .69525 L .55524 .66777 L .761 .504 .545 r
F
.5576 .66524 m .59298 .69269 L .59066 .69525 L F
.30614 .32083 m .34075 .34723 L .34123 .34857 L 0 .374 .838 r
F
.3056 .31943 m .34075 .34723 L .30614 .32083 L F
.69615 .70898 m .73437 .73332 L .69854 .70572 L .628 .549 .746 r
F
.69615 .70898 m .73196 .73656 L .73437 .73332 L F
.58926 .54955 m .62475 .57665 L .62469 .57757 L 0 .374 .838 r
F
.58925 .54858 m .62475 .57665 L .58926 .54955 L F
.63995 .70735 m .67336 .73755 L .63769 .70993 L .761 .504 .545 r
F
.63995 .70735 m .67559 .73494 L .67336 .73755 L F
.39519 .57773 m .43009 .60492 L .4304 .60579 L 0 .291 .77 r
F
.39482 .57681 m .43009 .60492 L .39519 .57773 L F
.4329 .60333 m .46544 .63309 L .4304 .60579 L .761 .504 .545 r
F
.4329 .60333 m .46791 .63059 L .46544 .63309 L F
.64618 .62472 m .68422 .64875 L .64853 .62141 L .628 .549 .746 r
F
.64618 .62472 m .68184 .65205 L .68422 .64875 L F
.48306 .46363 m .51822 .49047 L .51837 .49156 L 0 .374 .838 r
F
.48285 .4625 m .51822 .49047 L .48306 .46363 L F
.72233 .74949 m .7561 .77987 L .72016 .75211 L .761 .504 .545 r
F
.72233 .74949 m .75823 .7772 L .7561 .77987 L F
.72233 .74949 m .76066 .77399 L .72473 .74626 L .628 .549 .746 r
F
.72233 .74949 m .75823 .7772 L .76066 .77399 L F
.28895 .49181 m .32352 .51874 L .32403 .51977 L 0 .291 .77 r
F
.28837 .49073 m .32352 .51874 L .28895 .49181 L F
.51524 .64544 m .54813 .67538 L .51283 .64795 L .761 .504 .545 r
F
.51524 .64544 m .55051 .67284 L .54813 .67538 L F
.67235 .66521 m .7105 .6894 L .67472 .66193 L .628 .549 .746 r
F
.67235 .66521 m .7081 .69267 L .7105 .6894 L F
.37681 .37768 m .41166 .40427 L .412 .40551 L 0 .374 .838 r
F
.3764 .37639 m .41166 .40427 L .37681 .37768 L F
.18266 .40586 m .21692 .43253 L .21762 .43372 L 0 .291 .77 r
F
.18189 .40462 m .21692 .43253 L .18266 .40586 L F
.62236 .58091 m .66033 .60479 L .62469 .57757 L .628 .549 .746 r
F
.62236 .58091 m .65796 .60812 L .66033 .60479 L F
.59762 .68757 m .63086 .7177 L .5953 .69013 L .761 .504 .545 r
F
.59762 .68757 m .63314 .7151 L .63086 .7177 L F
.27052 .2917 m .30506 .31803 L .3056 .31943 L 0 .374 .838 r
F
.26992 .29024 m .30506 .31803 L .27052 .2917 L F
.69854 .70572 m .73679 .73007 L .70092 .70247 L .628 .549 .746 r
F
.69854 .70572 m .73437 .73332 L .73679 .73007 L F
.55384 .52057 m .58924 .5476 L .58925 .54858 L 0 .374 .838 r
F
.55376 .51955 m .58924 .5476 L .55384 .52057 L F
.68003 .72972 m .71363 .76003 L .67781 .73232 L .761 .504 .545 r
F
.68003 .72972 m .71581 .75739 L .71363 .76003 L F
.35964 .54877 m .39444 .57589 L .39482 .57681 L 0 .291 .77 r
F
.3592 .5478 m .39444 .57589 L .35964 .54877 L F
.47284 .62562 m .50557 .6555 L .47038 .62811 L .761 .504 .545 r
F
.47284 .62562 m .50799 .65297 L .50557 .6555 L F
.64853 .62141 m .68661 .64544 L .65088 .61809 L .628 .549 .746 r
F
.64853 .62141 m .68422 .64875 L .68661 .64544 L F
.44755 .43459 m .48264 .46136 L .48285 .4625 L 0 .374 .838 r
F
.44728 .4334 m .48264 .46136 L .44755 .43459 L F
.25331 .46279 m .2878 .48965 L .28837 .49073 L 0 .291 .77 r
F
.25267 .46165 m .2878 .48965 L .25331 .46279 L F
.72473 .74626 m .7631 .77077 L .72714 .74303 L .628 .549 .746 r
F
.72473 .74626 m .76066 .77399 L .7631 .77077 L F
.55524 .66777 m .58833 .69783 L .55288 .6703 L .761 .504 .545 r
F
.55524 .66777 m .59066 .69525 L .58833 .69783 L F
.67472 .66193 m .7129 .68612 L .67709 .65864 L .628 .549 .746 r
F
.67472 .66193 m .7105 .6894 L .7129 .68612 L F
.34123 .34857 m .37599 .37509 L .3764 .37639 L 0 .374 .838 r
F
.34075 .34723 m .37599 .37509 L .34123 .34857 L F
.14694 .37677 m .18111 .40338 L .18189 .40462 L 0 .291 .77 r
F
.1461 .37548 m .18111 .40338 L .14694 .37677 L F
.62475 .57665 m .66033 .60479 L .62469 .57757 L 0 .374 .838 r
F
.63769 .70993 m .67113 .74018 L .63542 .71251 L .761 .504 .545 r
F
.63769 .70993 m .67336 .73755 L .67113 .74018 L F
.43009 .60492 m .46544 .63309 L .4304 .60579 L 0 .291 .77 r
F
.23486 .26253 m .26931 .28878 L .26992 .29024 L 0 .374 .838 r
F
.23419 .26102 m .26931 .28878 L .23486 .26253 L F
.70092 .70247 m .73921 .72682 L .70331 .69921 L .628 .549 .746 r
F
.70092 .70247 m .73679 .73007 L .73921 .72682 L F
.51837 .49156 m .55368 .51852 L .55376 .51955 L 0 .374 .838 r
F
.51822 .49047 m .55368 .51852 L .51837 .49156 L F
.72016 .75211 m .75396 .78254 L .71799 .75475 L .761 .504 .545 r
F
.72016 .75211 m .7561 .77987 L .75396 .78254 L F
.32403 .51977 m .35875 .54682 L .3592 .5478 L 0 .291 .77 r
F
.32352 .51874 m .35875 .54682 L .32403 .51977 L F
.51283 .64795 m .54575 .67794 L .51042 .65046 L .761 .504 .545 r
F
.51283 .64795 m .54813 .67538 L .54575 .67794 L F
.65088 .61809 m .68899 .64213 L .65324 .61477 L .628 .549 .746 r
F
.65088 .61809 m .68661 .64544 L .68899 .64213 L F
.412 .40551 m .447 .43221 L .44728 .4334 L 0 .374 .838 r
F
.41166 .40427 m .447 .43221 L .412 .40551 L F
.21762 .43372 m .25203 .46051 L .25267 .46165 L 0 .291 .77 r
F
.21692 .43253 m .25203 .46051 L .21762 .43372 L F
.72714 .74303 m .76554 .76754 L .72955 .7398 L .628 .549 .746 r
F
.72714 .74303 m .7631 .77077 L .76554 .76754 L F
.5953 .69013 m .62858 .7203 L .59298 .69269 L .761 .504 .545 r
F
.5953 .69013 m .63086 .7177 L .62858 .7203 L F
.67709 .65864 m .71531 .68284 L .67946 .65535 L .628 .549 .746 r
F
.67709 .65864 m .7129 .68612 L .71531 .68284 L F
.3056 .31943 m .34028 .34587 L .34075 .34723 L 0 .374 .838 r
F
.30506 .31803 m .34028 .34587 L .3056 .31943 L F
.58925 .54858 m .6248 .57573 L .62475 .57665 L F
.58924 .5476 m .6248 .57573 L .58925 .54858 L F
.67781 .73232 m .71144 .76268 L .67559 .73494 L .761 .504 .545 r
F
.67781 .73232 m .71363 .76003 L .71144 .76268 L F
.39482 .57681 m .42978 .60404 L .43009 .60492 L 0 .291 .77 r
F
.39444 .57589 m .42978 .60404 L .39482 .57681 L F
.47038 .62811 m .50313 .65803 L .46791 .63059 L .761 .504 .545 r
F
.47038 .62811 m .50557 .6555 L .50313 .65803 L F
.70331 .69921 m .74164 .72356 L .7057 .69594 L .628 .549 .746 r
F
.70331 .69921 m .73921 .72682 L .74164 .72356 L F
.48285 .4625 m .51808 .48939 L .51822 .49047 L 0 .374 .838 r
F
.48264 .46136 m .51808 .48939 L .48285 .4625 L F
.28837 .49073 m .32301 .51771 L .32352 .51874 L 0 .291 .77 r
F
.2878 .48965 m .32301 .51771 L .28837 .49073 L F
.55288 .6703 m .58599 .70041 L .55051 .67284 L .761 .504 .545 r
F
.55288 .6703 m .58833 .69783 L .58599 .70041 L F
.65324 .61477 m .69138 .63882 L .6556 .61145 L .628 .549 .746 r
F
.65324 .61477 m .68899 .64213 L .69138 .63882 L F
.3764 .37639 m .41131 .40302 L .41166 .40427 L 0 .374 .838 r
F
.37599 .37509 m .41131 .40302 L .3764 .37639 L F
.18189 .40462 m .21621 .43134 L .21692 .43253 L 0 .291 .77 r
F
.18111 .40338 m .21621 .43134 L .18189 .40462 L F
.72955 .7398 m .76798 .76431 L .73196 .73656 L .628 .549 .746 r
F
.72955 .7398 m .76554 .76754 L .76798 .76431 L F
.63542 .71251 m .66889 .74281 L .63314 .7151 L .761 .504 .545 r
F
.63542 .71251 m .67113 .74018 L .66889 .74281 L F
.26992 .29024 m .30451 .31662 L .30506 .31803 L 0 .374 .838 r
F
.26931 .28878 m .30451 .31662 L .26992 .29024 L F
.67946 .65535 m .71772 .67955 L .68184 .65205 L .628 .549 .746 r
F
.67946 .65535 m .71531 .68284 L .71772 .67955 L F
.55376 .51955 m .58923 .54662 L .58924 .5476 L 0 .374 .838 r
F
.55368 .51852 m .58923 .54662 L .55376 .51955 L F
.71799 .75475 m .75182 .78522 L .71581 .75739 L .761 .504 .545 r
F
.71799 .75475 m .75396 .78254 L .75182 .78522 L F
.3592 .5478 m .39407 .57496 L .39444 .57589 L 0 .291 .77 r
F
.35875 .54682 m .39407 .57496 L .3592 .5478 L F
.51042 .65046 m .54336 .68049 L .50799 .65297 L .761 .504 .545 r
F
.51042 .65046 m .54575 .67794 L .54336 .68049 L F
.7057 .69594 m .74407 .7203 L .7081 .69267 L .628 .549 .746 r
F
.7057 .69594 m .74164 .72356 L .74407 .7203 L F
.44728 .4334 m .48242 .46022 L .48264 .46136 L 0 .374 .838 r
F
.447 .43221 m .48242 .46022 L .44728 .4334 L F
.25267 .46165 m .28722 .48856 L .2878 .48965 L 0 .291 .77 r
F
.25203 .46051 m .28722 .48856 L .25267 .46165 L F
.6556 .61145 m .69378 .6355 L .65796 .60812 L .628 .549 .746 r
F
.6556 .61145 m .69138 .63882 L .69378 .6355 L F
.59298 .69269 m .62629 .72291 L .59066 .69525 L .761 .504 .545 r
F
.59298 .69269 m .62858 .7203 L .62629 .72291 L F
.34075 .34723 m .37558 .37379 L .37599 .37509 L 0 .374 .838 r
F
.34028 .34587 m .37558 .37379 L .34075 .34723 L F
.1461 .37548 m .18034 .40213 L .18111 .40338 L 0 .291 .77 r
F
.14526 .37418 m .18034 .40213 L .1461 .37548 L F
.73196 .73656 m .77043 .76108 L .73437 .73332 L .628 .549 .746 r
F
.73196 .73656 m .76798 .76431 L .77043 .76108 L F
.62475 .57665 m .66045 .60391 L .66033 .60479 L 0 .374 .838 r
F
.6248 .57573 m .66045 .60391 L .62475 .57665 L F
.67559 .73494 m .70925 .76534 L .67336 .73755 L .761 .504 .545 r
F
.67559 .73494 m .71144 .76268 L .70925 .76534 L F
.43009 .60492 m .46519 .63227 L .46544 .63309 L 0 .291 .77 r
F
.42978 .60404 m .46519 .63227 L .43009 .60492 L F
.46791 .63059 m .50069 .66056 L .46544 .63309 L .761 .504 .545 r
F
.46791 .63059 m .50313 .65803 L .50069 .66056 L F
.23419 .26102 m .26598 .28942 L .23144 .26308 L .763 .497 .531 r
F
.23419 .26102 m .2687 .28732 L .26931 .28878 L 0 .374 .838 r
F
.23419 .26102 m .2687 .28732 L .26598 .28942 L .763 .497 .531 r
F
.68184 .65205 m .72013 .67625 L .68422 .64875 L .628 .549 .746 r
F
.68184 .65205 m .71772 .67955 L .72013 .67625 L F
.51822 .49047 m .5536 .51748 L .55368 .51852 L 0 .374 .838 r
F
.51808 .48939 m .5536 .51748 L .51822 .49047 L F
.75823 .7772 m .79225 .8078 L .7561 .77987 L .761 .504 .545 r
F
.75823 .7772 m .79434 .80509 L .79225 .8078 L F
.75823 .7772 m .79681 .80188 L .76066 .77399 L .628 .549 .746 r
F
.75823 .7772 m .79434 .80509 L .79681 .80188 L F
.32352 .51874 m .35831 .54584 L .35875 .54682 L 0 .291 .77 r
F
.32301 .51771 m .35831 .54584 L .32352 .51874 L F
.55051 .67284 m .58365 .70299 L .54813 .67538 L .761 .504 .545 r
F
.55051 .67284 m .58599 .70041 L .58365 .70299 L F
.7081 .69267 m .7465 .71704 L .7105 .6894 L .628 .549 .746 r
F
.7081 .69267 m .74407 .7203 L .7465 .71704 L F
.41166 .40427 m .44672 .43101 L .447 .43221 L 0 .374 .838 r
F
.41131 .40302 m .44672 .43101 L .41166 .40427 L F
.21692 .43253 m .25138 .45937 L .25203 .46051 L 0 .291 .77 r
F
.21621 .43134 m .25138 .45937 L .21692 .43253 L F
.65796 .60812 m .69618 .63217 L .66033 .60479 L .628 .549 .746 r
F
.65796 .60812 m .69378 .6355 L .69618 .63217 L F
.63314 .7151 m .66664 .74544 L .63086 .7177 L .761 .504 .545 r
F
.63314 .7151 m .66889 .74281 L .66664 .74544 L F
.30506 .31803 m .3398 .34451 L .34028 .34587 L 0 .374 .838 r
F
.30451 .31662 m .3398 .34451 L .30506 .31803 L F
.73437 .73332 m .77288 .75784 L .73679 .73007 L .628 .549 .746 r
F
.73437 .73332 m .77043 .76108 L .77288 .75784 L F
.58924 .5476 m .62485 .5748 L .6248 .57573 L 0 .374 .838 r
F
.58923 .54662 m .62485 .5748 L .58924 .5476 L F
.71581 .75739 m .74967 .78791 L .71363 .76003 L .761 .504 .545 r
F
.71581 .75739 m .75182 .78522 L .74967 .78791 L F
.39444 .57589 m .42947 .60317 L .42978 .60404 L 0 .291 .77 r
F
.39407 .57496 m .42947 .60317 L .39444 .57589 L F
.50799 .65297 m .54097 .68306 L .50557 .6555 L .761 .504 .545 r
F
.50799 .65297 m .54336 .68049 L .54097 .68306 L F
.68422 .64875 m .72255 .67296 L .68661 .64544 L .628 .549 .746 r
F
.68422 .64875 m .72013 .67625 L .72255 .67296 L F
.48264 .46136 m .51793 .4883 L .51808 .48939 L 0 .374 .838 r
F
.48242 .46022 m .51793 .4883 L .48264 .46136 L F
.2878 .48965 m .3225 .51667 L .32301 .51771 L 0 .291 .77 r
F
.28722 .48856 m .3225 .51667 L .2878 .48965 L F
.76066 .77399 m .79928 .79867 L .7631 .77077 L .628 .549 .746 r
F
.76066 .77399 m .79681 .80188 L .79928 .79867 L F
.59066 .69525 m .62399 .72552 L .58833 .69783 L .761 .504 .545 r
F
.59066 .69525 m .62629 .72291 L .62399 .72552 L F
.7105 .6894 m .74894 .71377 L .7129 .68612 L .628 .549 .746 r
F
.7105 .6894 m .7465 .71704 L .74894 .71377 L F
.37599 .37509 m .41097 .40177 L .41131 .40302 L 0 .374 .838 r
F
.37558 .37379 m .41097 .40177 L .37599 .37509 L F
.18111 .40338 m .2155 .43014 L .21621 .43134 L 0 .291 .77 r
F
.18034 .40213 m .2155 .43014 L .18111 .40338 L F
.66045 .60391 m .69618 .63217 L .66033 .60479 L 0 .374 .838 r
F
.67336 .73755 m .70705 .76801 L .67113 .74018 L .761 .504 .545 r
F
.67336 .73755 m .70925 .76534 L .70705 .76801 L F
.46519 .63227 m .50069 .66056 L .46544 .63309 L 0 .291 .77 r
F
.23144 .26308 m .26326 .29152 L .22869 .26514 L .763 .497 .531 r
F
.23144 .26308 m .26598 .28942 L .26326 .29152 L F
.26931 .28878 m .30397 .3152 L .30451 .31662 L 0 .374 .838 r
F
.2687 .28732 m .30397 .3152 L .26931 .28878 L F
.73679 .73007 m .77534 .7546 L .73921 .72682 L .628 .549 .746 r
F
.73679 .73007 m .77288 .75784 L .77534 .7546 L F
.55368 .51852 m .58921 .54564 L .58923 .54662 L 0 .374 .838 r
F
.5536 .51748 m .58921 .54564 L .55368 .51852 L F
.7561 .77987 m .79015 .81051 L .75396 .78254 L .761 .504 .545 r
F
.7561 .77987 m .79225 .8078 L .79015 .81051 L F
.35875 .54682 m .39369 .57403 L .39407 .57496 L 0 .291 .77 r
F
.35831 .54584 m .39369 .57403 L .35875 .54682 L F
.54813 .67538 m .5813 .70558 L .54575 .67794 L .761 .504 .545 r
F
.54813 .67538 m .58365 .70299 L .5813 .70558 L F
.68661 .64544 m .72497 .66966 L .68899 .64213 L .628 .549 .746 r
F
.68661 .64544 m .72255 .67296 L .72497 .66966 L F
.447 .43221 m .48221 .45908 L .48242 .46022 L 0 .374 .838 r
F
.44672 .43101 m .48221 .45908 L .447 .43221 L F
.25203 .46051 m .28664 .48747 L .28722 .48856 L 0 .291 .77 r
F
.25138 .45937 m .28664 .48747 L .25203 .46051 L F
.7631 .77077 m .80175 .79545 L .76554 .76754 L .628 .549 .746 r
F
.7631 .77077 m .79928 .79867 L .80175 .79545 L F
.63086 .7177 m .66439 .74808 L .62858 .7203 L .761 .504 .545 r
F
.63086 .7177 m .66664 .74544 L .66439 .74808 L F
.7129 .68612 m .75137 .71049 L .71531 .68284 L .628 .549 .746 r
F
.7129 .68612 m .74894 .71377 L .75137 .71049 L F
.34028 .34587 m .37517 .37248 L .37558 .37379 L 0 .374 .838 r
F
.3398 .34451 m .37517 .37248 L .34028 .34587 L F
.14526 .37418 m .17956 .40087 L .18034 .40213 L 0 .291 .77 r
F
.14442 .37287 m .17956 .40087 L .14526 .37418 L F
.6248 .57573 m .66057 .60304 L .66045 .60391 L 0 .374 .838 r
F
.62485 .5748 m .66057 .60304 L .6248 .57573 L F
.71363 .76003 m .74752 .7906 L .71144 .76268 L .761 .504 .545 r
F
.71363 .76003 m .74967 .78791 L .74752 .7906 L F
.42978 .60404 m .46495 .63145 L .46519 .63227 L 0 .291 .77 r
F
.42947 .60317 m .46495 .63145 L .42978 .60404 L F
.50557 .6555 m .53857 .68562 L .50313 .65803 L .761 .504 .545 r
F
.50557 .6555 m .54097 .68306 L .53857 .68562 L F
.73921 .72682 m .7778 .75135 L .74164 .72356 L .628 .549 .746 r
F
.73921 .72682 m .77534 .7546 L .7778 .75135 L F
.51808 .48939 m .55352 .51644 L .5536 .51748 L 0 .374 .838 r
F
.51793 .4883 m .55352 .51644 L .51808 .48939 L F
.32301 .51771 m .35786 .54485 L .35831 .54584 L 0 .291 .77 r
F
.3225 .51667 m .35786 .54485 L .32301 .51771 L F
.58833 .69783 m .62169 .72814 L .58599 .70041 L .761 .504 .545 r
F
.58833 .69783 m .62399 .72552 L .62169 .72814 L F
.68899 .64213 m .72739 .66635 L .69138 .63882 L .628 .549 .746 r
F
.68899 .64213 m .72497 .66966 L .72739 .66635 L F
.41131 .40302 m .44644 .42981 L .44672 .43101 L 0 .374 .838 r
F
.41097 .40177 m .44644 .42981 L .41131 .40302 L F
.21621 .43134 m .25074 .45822 L .25138 .45937 L 0 .291 .77 r
F
.2155 .43014 m .25074 .45822 L .21621 .43134 L F
.76554 .76754 m .80423 .79224 L .76798 .76431 L .628 .549 .746 r
F
.76554 .76754 m .80175 .79545 L .80423 .79224 L F
.67113 .74018 m .70485 .77068 L .66889 .74281 L .761 .504 .545 r
F
.67113 .74018 m .70705 .76801 L .70485 .77068 L F
.22869 .26514 m .26053 .29363 L .22593 .26721 L .763 .497 .531 r
F
.22869 .26514 m .26326 .29152 L .26053 .29363 L F
.30451 .31662 m .33932 .34315 L .3398 .34451 L 0 .374 .838 r
F
.30397 .3152 m .33932 .34315 L .30451 .31662 L F
.71531 .68284 m .75382 .70721 L .71772 .67955 L .628 .549 .746 r
F
.71531 .68284 m .75137 .71049 L .75382 .70721 L F
.58923 .54662 m .62491 .57387 L .62485 .5748 L 0 .374 .838 r
F
.58921 .54564 m .62491 .57387 L .58923 .54662 L F
.75396 .78254 m .78804 .81323 L .75182 .78522 L .761 .504 .545 r
F
.75396 .78254 m .79015 .81051 L .78804 .81323 L F
.39407 .57496 m .42915 .60229 L .42947 .60317 L 0 .291 .77 r
F
.39369 .57403 m .42915 .60229 L .39407 .57496 L F
.54575 .67794 m .57895 .70818 L .54336 .68049 L .761 .504 .545 r
F
.54575 .67794 m .5813 .70558 L .57895 .70818 L F
.74164 .72356 m .78026 .7481 L .74407 .7203 L .628 .549 .746 r
F
.74164 .72356 m .7778 .75135 L .78026 .7481 L F
.48242 .46022 m .51779 .4872 L .51793 .4883 L 0 .374 .838 r
F
.48221 .45908 m .51779 .4872 L .48242 .46022 L F
.28722 .48856 m .32199 .51563 L .3225 .51667 L 0 .291 .77 r
F
.28664 .48747 m .32199 .51563 L .28722 .48856 L F
.69138 .63882 m .72982 .66304 L .69378 .6355 L .628 .549 .746 r
F
.69138 .63882 m .72739 .66635 L .72982 .66304 L F
.62858 .7203 m .66214 .75073 L .62629 .72291 L .761 .504 .545 r
F
.62858 .7203 m .66439 .74808 L .66214 .75073 L F
.37558 .37379 m .41062 .40051 L .41097 .40177 L 0 .374 .838 r
F
.37517 .37248 m .41062 .40051 L .37558 .37379 L F
.18034 .40213 m .21478 .42894 L .2155 .43014 L 0 .291 .77 r
F
.17956 .40087 m .21478 .42894 L .18034 .40213 L F
.76798 .76431 m .80671 .78901 L .77043 .76108 L .628 .549 .746 r
F
.76798 .76431 m .80423 .79224 L .80671 .78901 L F
.66045 .60391 m .69636 .63135 L .69618 .63217 L 0 .374 .838 r
F
.66057 .60304 m .69636 .63135 L .66045 .60391 L F
.71144 .76268 m .74536 .7933 L .70925 .76534 L .761 .504 .545 r
F
.71144 .76268 m .74752 .7906 L .74536 .7933 L F
.46519 .63227 m .50052 .65979 L .50069 .66056 L 0 .291 .77 r
F
.46495 .63145 m .50052 .65979 L .46519 .63227 L F
.50313 .65803 m .53617 .6882 L .50069 .66056 L .761 .504 .545 r
F
.50313 .65803 m .53857 .68562 L .53617 .6882 L F
.2687 .28732 m .30073 .31592 L .26598 .28942 L .763 .497 .531 r
F
.2687 .28732 m .30342 .31378 L .30397 .3152 L 0 .374 .838 r
F
.2687 .28732 m .30342 .31378 L .30073 .31592 L .763 .497 .531 r
F
.71772 .67955 m .75626 .70393 L .72013 .67625 L .628 .549 .746 r
F
.71772 .67955 m .75382 .70721 L .75626 .70393 L F
.5536 .51748 m .5892 .54465 L .58921 .54564 L 0 .374 .838 r
F
.55352 .51644 m .5892 .54465 L .5536 .51748 L F
.79434 .80509 m .82862 .83589 L .79225 .8078 L .761 .504 .545 r
F
.79434 .80509 m .83068 .83314 L .82862 .83589 L F
.79434 .80509 m .83318 .82995 L .79681 .80188 L .628 .549 .746 r
F
.79434 .80509 m .83068 .83314 L .83318 .82995 L F
.35831 .54584 m .39331 .5731 L .39369 .57403 L 0 .291 .77 r
F
.35786 .54485 m .39331 .5731 L .35831 .54584 L F
.58599 .70041 m .61939 .73077 L .58365 .70299 L .761 .504 .545 r
F
.58599 .70041 m .62169 .72814 L .61939 .73077 L F
.74407 .7203 m .78272 .74484 L .7465 .71704 L .628 .549 .746 r
F
.74407 .7203 m .78026 .7481 L .78272 .74484 L F
.44672 .43101 m .482 .45793 L .48221 .45908 L 0 .374 .838 r
F
.44644 .42981 m .482 .45793 L .44672 .43101 L F
.25138 .45937 m .28606 .48637 L .28664 .48747 L 0 .291 .77 r
F
.25074 .45822 m .28606 .48637 L .25138 .45937 L F
.69378 .6355 m .73225 .65972 L .69618 .63217 L .628 .549 .746 r
F
.69378 .6355 m .72982 .66304 L .73225 .65972 L F
.66889 .74281 m .70264 .77335 L .66664 .74544 L .761 .504 .545 r
F
.66889 .74281 m .70485 .77068 L .70264 .77335 L F
.22593 .26721 m .2578 .29574 L .22316 .26929 L .763 .497 .531 r
F
.22593 .26721 m .26053 .29363 L .2578 .29574 L F
.3398 .34451 m .37475 .37117 L .37517 .37248 L 0 .374 .838 r
F
.33932 .34315 m .37475 .37117 L .3398 .34451 L F
.14442 .37287 m .17878 .39961 L .17956 .40087 L 0 .291 .77 r
F
.14357 .37156 m .17878 .39961 L .14442 .37287 L F
.77043 .76108 m .8092 .78578 L .77288 .75784 L .628 .549 .746 r
F
.77043 .76108 m .80671 .78901 L .8092 .78578 L F
.62485 .5748 m .66069 .60216 L .66057 .60304 L 0 .374 .838 r
F
.62491 .57387 m .66069 .60216 L .62485 .5748 L F
.75182 .78522 m .78593 .81596 L .74967 .78791 L .761 .504 .545 r
F
.75182 .78522 m .78804 .81323 L .78593 .81596 L F
.42947 .60317 m .4647 .63062 L .46495 .63145 L 0 .291 .77 r
F
.42915 .60229 m .4647 .63062 L .42947 .60317 L F
.54336 .68049 m .57659 .71078 L .54097 .68306 L .761 .504 .545 r
F
.54336 .68049 m .57895 .70818 L .57659 .71078 L F
.72013 .67625 m .75871 .70064 L .72255 .67296 L .628 .549 .746 r
F
.72013 .67625 m .75626 .70393 L .75871 .70064 L F
.51793 .4883 m .55344 .5154 L .55352 .51644 L 0 .374 .838 r
F
.51779 .4872 m .55344 .5154 L .51793 .4883 L F
.3225 .51667 m .35742 .54386 L .35786 .54485 L 0 .291 .77 r
F
.32199 .51563 m .35742 .54386 L .3225 .51667 L F
.79681 .80188 m .83569 .82674 L .79928 .79867 L .628 .549 .746 r
F
.79681 .80188 m .83318 .82995 L .83569 .82674 L F
.62629 .72291 m .65988 .75339 L .62399 .72552 L .761 .504 .545 r
F
.62629 .72291 m .66214 .75073 L .65988 .75339 L F
.7465 .71704 m .78519 .74158 L .74894 .71377 L .628 .549 .746 r
F
.7465 .71704 m .78272 .74484 L .78519 .74158 L F
.41097 .40177 m .44616 .42861 L .44644 .42981 L 0 .374 .838 r
F
.41062 .40051 m .44616 .42861 L .41097 .40177 L F
.2155 .43014 m .25009 .45707 L .25074 .45822 L 0 .291 .77 r
F
.21478 .42894 m .25009 .45707 L .2155 .43014 L F
.69636 .63135 m .73225 .65972 L .69618 .63217 L 0 .374 .838 r
F
.70925 .76534 m .7432 .79601 L .70705 .76801 L .761 .504 .545 r
F
.70925 .76534 m .74536 .7933 L .7432 .79601 L F
.50052 .65979 m .53617 .6882 L .50069 .66056 L 0 .291 .77 r
F
.26598 .28942 m .29804 .31806 L .26326 .29152 L .763 .497 .531 r
F
.26598 .28942 m .30073 .31592 L .29804 .31806 L F
.30397 .3152 m .33883 .34178 L .33932 .34315 L 0 .374 .838 r
F
.30342 .31378 m .33883 .34178 L .30397 .3152 L F
.77288 .75784 m .81168 .78255 L .77534 .7546 L .628 .549 .746 r
F
.77288 .75784 m .8092 .78578 L .81168 .78255 L F
.58921 .54564 m .62496 .57293 L .62491 .57387 L 0 .374 .838 r
F
.5892 .54465 m .62496 .57293 L .58921 .54564 L F
.79225 .8078 m .82656 .83865 L .79015 .81051 L .761 .504 .545 r
F
.79225 .8078 m .82862 .83589 L .82656 .83865 L F
.39369 .57403 m .42884 .60141 L .42915 .60229 L 0 .291 .77 r
F
.39331 .5731 m .42884 .60141 L .39369 .57403 L F
.58365 .70299 m .61707 .7334 L .5813 .70558 L .761 .504 .545 r
F
.58365 .70299 m .61939 .73077 L .61707 .7334 L F
.72255 .67296 m .76116 .69735 L .72497 .66966 L .628 .549 .746 r
F
.72255 .67296 m .75871 .70064 L .76116 .69735 L F
.48221 .45908 m .51764 .48611 L .51779 .4872 L 0 .374 .838 r
F
.482 .45793 m .51764 .48611 L .48221 .45908 L F
.28664 .48747 m .32147 .51459 L .32199 .51563 L 0 .291 .77 r
F
.28606 .48637 m .32147 .51459 L .28664 .48747 L F
.79928 .79867 m .83819 .82354 L .80175 .79545 L .628 .549 .746 r
F
.79928 .79867 m .83569 .82674 L .83819 .82354 L F
.66664 .74544 m .70043 .77604 L .66439 .74808 L .761 .504 .545 r
F
.66664 .74544 m .70264 .77335 L .70043 .77604 L F
.22316 .26929 m .25505 .29786 L .22038 .27137 L .763 .497 .531 r
F
.22316 .26929 m .2578 .29574 L .25505 .29786 L F
.74894 .71377 m .78766 .73832 L .75137 .71049 L .628 .549 .746 r
F
.74894 .71377 m .78519 .74158 L .78766 .73832 L F
.37517 .37248 m .41027 .39925 L .41062 .40051 L 0 .374 .838 r
F
.37475 .37117 m .41027 .39925 L .37517 .37248 L F
.17956 .40087 m .21406 .42773 L .21478 .42894 L 0 .291 .77 r
F
.17878 .39961 m .21406 .42773 L .17956 .40087 L F
.66057 .60304 m .69655 .63052 L .69636 .63135 L 0 .374 .838 r
F
.66069 .60216 m .69655 .63052 L .66057 .60304 L F
.74967 .78791 m .78382 .81869 L .74752 .7906 L .761 .504 .545 r
F
.74967 .78791 m .78593 .81596 L .78382 .81869 L F
.46495 .63145 m .50034 .65902 L .50052 .65979 L 0 .291 .77 r
F
.4647 .63062 m .50034 .65902 L .46495 .63145 L F
.54097 .68306 m .57423 .71339 L .53857 .68562 L .761 .504 .545 r
F
.54097 .68306 m .57659 .71078 L .57423 .71339 L F
.77534 .7546 m .81417 .77931 L .7778 .75135 L .628 .549 .746 r
F
.77534 .7546 m .81168 .78255 L .81417 .77931 L F
.55352 .51644 m .58919 .54366 L .5892 .54465 L 0 .374 .838 r
F
.55344 .5154 m .58919 .54366 L .55352 .51644 L F
.35786 .54485 m .39293 .57216 L .39331 .5731 L 0 .291 .77 r
F
.35742 .54386 m .39293 .57216 L .35786 .54485 L F
.62399 .72552 m .65761 .75605 L .62169 .72814 L .761 .504 .545 r
F
.62399 .72552 m .65988 .75339 L .65761 .75605 L F
.72497 .66966 m .76362 .69405 L .72739 .66635 L .628 .549 .746 r
F
.72497 .66966 m .76116 .69735 L .76362 .69405 L F
.44644 .42981 m .48178 .45677 L .482 .45793 L 0 .374 .838 r
F
.44616 .42861 m .48178 .45677 L .44644 .42981 L F
.25074 .45822 m .28548 .48527 L .28606 .48637 L 0 .291 .77 r
F
.25009 .45707 m .28548 .48527 L .25074 .45822 L F
.80175 .79545 m .8407 .82033 L .80423 .79224 L .628 .549 .746 r
F
.80175 .79545 m .83819 .82354 L .8407 .82033 L F
.70705 .76801 m .74103 .79872 L .70485 .77068 L .761 .504 .545 r
F
.70705 .76801 m .7432 .79601 L .74103 .79872 L F
.26326 .29152 m .29535 .3202 L .26053 .29363 L .763 .497 .531 r
F
.26326 .29152 m .29804 .31806 L .29535 .3202 L F
.33932 .34315 m .37434 .36985 L .37475 .37117 L 0 .374 .838 r
F
.33883 .34178 m .37434 .36985 L .33932 .34315 L F
.75137 .71049 m .79014 .73505 L .75382 .70721 L .628 .549 .746 r
F
.75137 .71049 m .78766 .73832 L .79014 .73505 L F
.14357 .37156 m .17799 .39835 L .17878 .39961 L 0 .291 .77 r
F
.14272 .37025 m .17799 .39835 L .14357 .37156 L F
.62491 .57387 m .66081 .60128 L .66069 .60216 L 0 .374 .838 r
F
.62496 .57293 m .66081 .60128 L .62491 .57387 L F
.79015 .81051 m .82449 .84141 L .78804 .81323 L .761 .504 .545 r
F
.79015 .81051 m .82656 .83865 L .82449 .84141 L F
.42915 .60229 m .46446 .62979 L .4647 .63062 L 0 .291 .77 r
F
.42884 .60141 m .46446 .62979 L .42915 .60229 L F
.5813 .70558 m .61476 .73604 L .57895 .70818 L .761 .504 .545 r
F
.5813 .70558 m .61707 .7334 L .61476 .73604 L F
.7778 .75135 m .81667 .77607 L .78026 .7481 L .628 .549 .746 r
F
.7778 .75135 m .81417 .77931 L .81667 .77607 L F
.51779 .4872 m .55336 .51435 L .55344 .5154 L 0 .374 .838 r
F
.51764 .48611 m .55336 .51435 L .51779 .4872 L F
.32199 .51563 m .35697 .54287 L .35742 .54386 L 0 .291 .77 r
F
.32147 .51459 m .35697 .54287 L .32199 .51563 L F
.72739 .66635 m .76608 .69075 L .72982 .66304 L .628 .549 .746 r
F
.72739 .66635 m .76362 .69405 L .76608 .69075 L F
.66439 .74808 m .69821 .77873 L .66214 .75073 L .761 .504 .545 r
F
.66439 .74808 m .70043 .77604 L .69821 .77873 L F
.22038 .27137 m .25231 .29998 L .2176 .27345 L .763 .497 .531 r
F
.22038 .27137 m .25505 .29786 L .25231 .29998 L F
.41062 .40051 m .44588 .4274 L .44616 .42861 L 0 .374 .838 r
F
.41027 .39925 m .44588 .4274 L .41062 .40051 L F
.21478 .42894 m .24944 .45591 L .25009 .45707 L 0 .291 .77 r
F
.21406 .42773 m .24944 .45591 L .21478 .42894 L F
.80423 .79224 m .84321 .81712 L .80671 .78901 L .628 .549 .746 r
F
.80423 .79224 m .8407 .82033 L .84321 .81712 L F
.69636 .63135 m .7325 .65895 L .73225 .65972 L 0 .374 .838 r
F
.69655 .63052 m .7325 .65895 L .69636 .63135 L F
.74752 .7906 m .7817 .82144 L .74536 .7933 L .761 .504 .545 r
F
.74752 .7906 m .78382 .81869 L .7817 .82144 L F
.50052 .65979 m .53605 .68748 L .53617 .6882 L 0 .291 .77 r
F
.50034 .65902 m .53605 .68748 L .50052 .65979 L F
.53857 .68562 m .57186 .71601 L .53617 .6882 L .761 .504 .545 r
F
.53857 .68562 m .57423 .71339 L .57186 .71601 L F
.30342 .31378 m .3357 .34258 L .30073 .31592 L .763 .497 .531 r
F
.30342 .31378 m .33835 .34041 L .33883 .34178 L 0 .374 .838 r
F
.30342 .31378 m .33835 .34041 L .3357 .34258 L .763 .497 .531 r
F
.75382 .70721 m .79261 .73178 L .75626 .70393 L .628 .549 .746 r
F
.75382 .70721 m .79014 .73505 L .79261 .73178 L F
.5892 .54465 m .62502 .57199 L .62496 .57293 L 0 .374 .838 r
F
.58919 .54366 m .62502 .57199 L .5892 .54465 L F
.83068 .83314 m .86522 .86416 L .82862 .83589 L .761 .504 .545 r
F
.83068 .83314 m .86724 .86137 L .86522 .86416 L F
.83068 .83314 m .86978 .85818 L .83318 .82995 L .628 .549 .746 r
F
.83068 .83314 m .86724 .86137 L .86978 .85818 L F
.39331 .5731 m .42853 .60052 L .42884 .60141 L 0 .291 .77 r
F
.39293 .57216 m .42853 .60052 L .39331 .5731 L F
.62169 .72814 m .65534 .75872 L .61939 .73077 L .761 .504 .545 r
F
.62169 .72814 m .65761 .75605 L .65534 .75872 L F
.78026 .7481 m .81917 .77282 L .78272 .74484 L .628 .549 .746 r
F
.78026 .7481 m .81667 .77607 L .81917 .77282 L F
.482 .45793 m .51749 .485 L .51764 .48611 L 0 .374 .838 r
F
.48178 .45677 m .51749 .485 L .482 .45793 L F
.28606 .48637 m .32096 .51354 L .32147 .51459 L 0 .291 .77 r
F
.28548 .48527 m .32096 .51354 L .28606 .48637 L F
.72982 .66304 m .76854 .68744 L .73225 .65972 L .628 .549 .746 r
F
.72982 .66304 m .76608 .69075 L .76854 .68744 L F
.70485 .77068 m .73886 .80144 L .70264 .77335 L .761 .504 .545 r
F
.70485 .77068 m .74103 .79872 L .73886 .80144 L F
.26053 .29363 m .29265 .32235 L .2578 .29574 L .763 .497 .531 r
F
.26053 .29363 m .29535 .3202 L .29265 .32235 L F
.37475 .37117 m .40992 .39798 L .41027 .39925 L 0 .374 .838 r
F
.37434 .36985 m .40992 .39798 L .37475 .37117 L F
.17878 .39961 m .21334 .42652 L .21406 .42773 L 0 .291 .77 r
F
.17799 .39835 m .21334 .42652 L .17878 .39961 L F
.80671 .78901 m .84573 .8139 L .8092 .78578 L .628 .549 .746 r
F
.80671 .78901 m .84321 .81712 L .84573 .8139 L F
.66069 .60216 m .69674 .62969 L .69655 .63052 L 0 .374 .838 r
F
.66081 .60128 m .69674 .62969 L .66069 .60216 L F
.78804 .81323 m .82242 .84418 L .78593 .81596 L .761 .504 .545 r
F
.78804 .81323 m .82449 .84141 L .82242 .84418 L F
.4647 .63062 m .50016 .65824 L .50034 .65902 L 0 .291 .77 r
F
.46446 .62979 m .50016 .65824 L .4647 .63062 L F
.57895 .70818 m .61243 .73868 L .57659 .71078 L .761 .504 .545 r
F
.57895 .70818 m .61476 .73604 L .61243 .73868 L F
.75626 .70393 m .7951 .7285 L .75871 .70064 L .628 .549 .746 r
F
.75626 .70393 m .79261 .73178 L .7951 .7285 L F
.55344 .5154 m .58918 .54267 L .58919 .54366 L 0 .374 .838 r
F
.55336 .51435 m .58918 .54267 L .55344 .5154 L F
.35742 .54386 m .39255 .57122 L .39293 .57216 L 0 .291 .77 r
F
.35697 .54287 m .39255 .57122 L .35742 .54386 L F
.83318 .82995 m .87231 .85499 L .83569 .82674 L .628 .549 .746 r
F
.83318 .82995 m .86978 .85818 L .87231 .85499 L F
.66214 .75073 m .69598 .78142 L .65988 .75339 L .761 .504 .545 r
F
.66214 .75073 m .69821 .77873 L .69598 .78142 L F
.2176 .27345 m .24955 .3021 L .21482 .27554 L .763 .497 .531 r
F
.2176 .27345 m .25231 .29998 L .24955 .3021 L F
.78272 .74484 m .82167 .76957 L .78519 .74158 L .628 .549 .746 r
F
.78272 .74484 m .81917 .77282 L .82167 .76957 L F
.44616 .42861 m .48157 .45561 L .48178 .45677 L 0 .374 .838 r
F
.44588 .4274 m .48157 .45561 L .44616 .42861 L F
.25009 .45707 m .28489 .48416 L .28548 .48527 L 0 .291 .77 r
F
.24944 .45591 m .28489 .48416 L .25009 .45707 L F
.7325 .65895 m .76854 .68744 L .73225 .65972 L 0 .374 .838 r
F
.74536 .7933 m .77957 .82418 L .7432 .79601 L .761 .504 .545 r
F
.74536 .7933 m .7817 .82144 L .77957 .82418 L F
.53605 .68748 m .57186 .71601 L .53617 .6882 L 0 .291 .77 r
F
.30073 .31592 m .33304 .34476 L .29804 .31806 L .763 .497 .531 r
F
.30073 .31592 m .3357 .34258 L .33304 .34476 L F
.33883 .34178 m .37392 .36853 L .37434 .36985 L 0 .374 .838 r
F
.33835 .34041 m .37392 .36853 L .33883 .34178 L F
.14272 .37025 m .1772 .39708 L .17799 .39835 L 0 .291 .77 r
F
.14187 .36893 m .1772 .39708 L .14272 .37025 L F
.8092 .78578 m .84825 .81067 L .81168 .78255 L .628 .549 .746 r
F
.8092 .78578 m .84573 .8139 L .84825 .81067 L F
.62496 .57293 m .66093 .60039 L .66081 .60128 L 0 .374 .838 r
F
.62502 .57199 m .66093 .60039 L .62496 .57293 L F
.82862 .83589 m .8632 .86696 L .82656 .83865 L .761 .504 .545 r
F
.82862 .83589 m .86522 .86416 L .8632 .86696 L F
.42884 .60141 m .46421 .62896 L .46446 .62979 L 0 .291 .77 r
F
.42853 .60052 m .46421 .62896 L .42884 .60141 L F
.61939 .73077 m .65306 .76139 L .61707 .7334 L .761 .504 .545 r
F
.61939 .73077 m .65534 .75872 L .65306 .76139 L F
.75871 .70064 m .79758 .72521 L .76116 .69735 L .628 .549 .746 r
F
.75871 .70064 m .7951 .7285 L .79758 .72521 L F
.51764 .48611 m .55328 .5133 L .55336 .51435 L 0 .374 .838 r
F
.51749 .485 m .55328 .5133 L .51764 .48611 L F
.32147 .51459 m .35652 .54187 L .35697 .54287 L 0 .291 .77 r
F
.32096 .51354 m .35652 .54187 L .32147 .51459 L F
.83569 .82674 m .87485 .8518 L .83819 .82354 L .628 .549 .746 r
F
.83569 .82674 m .87231 .85499 L .87485 .8518 L F
.70264 .77335 m .73668 .80416 L .70043 .77604 L .761 .504 .545 r
F
.70264 .77335 m .73886 .80144 L .73668 .80416 L F
.2578 .29574 m .28994 .32451 L .25505 .29786 L .763 .497 .531 r
F
.2578 .29574 m .29265 .32235 L .28994 .32451 L F
.78519 .74158 m .82417 .76632 L .78766 .73832 L .628 .549 .746 r
F
.78519 .74158 m .82167 .76957 L .82417 .76632 L F
.41027 .39925 m .4456 .42618 L .44588 .4274 L 0 .374 .838 r
F
.40992 .39798 m .4456 .42618 L .41027 .39925 L F
.21406 .42773 m .24878 .45475 L .24944 .45591 L 0 .291 .77 r
F
.21334 .42652 m .24878 .45475 L .21406 .42773 L F
.69655 .63052 m .73276 .65817 L .7325 .65895 L 0 .374 .838 r
F
.69674 .62969 m .73276 .65817 L .69655 .63052 L F
.78593 .81596 m .82034 .84696 L .78382 .81869 L .761 .504 .545 r
F
.78593 .81596 m .82242 .84418 L .82034 .84696 L F
.50034 .65902 m .53594 .68675 L .53605 .68748 L 0 .291 .77 r
F
.50016 .65824 m .53594 .68675 L .50034 .65902 L F
.57659 .71078 m .6101 .74133 L .57423 .71339 L .761 .504 .545 r
F
.57659 .71078 m .61243 .73868 L .6101 .74133 L F
.81168 .78255 m .85078 .80745 L .81417 .77931 L .628 .549 .746 r
F
.81168 .78255 m .84825 .81067 L .85078 .80745 L F
.58919 .54366 m .62507 .57105 L .62502 .57199 L 0 .374 .838 r
F
.58918 .54267 m .62507 .57105 L .58919 .54366 L F
.39293 .57216 m .42821 .59964 L .42853 .60052 L 0 .291 .77 r
F
.39255 .57122 m .42821 .59964 L .39293 .57216 L F
.65988 .75339 m .69375 .78413 L .65761 .75605 L .761 .504 .545 r
F
.65988 .75339 m .69598 .78142 L .69375 .78413 L F
.76116 .69735 m .80007 .72193 L .76362 .69405 L .628 .549 .746 r
F
.76116 .69735 m .79758 .72521 L .80007 .72193 L F
.21482 .27554 m .24679 .30424 L .21202 .27763 L .763 .497 .531 r
F
.21482 .27554 m .24955 .3021 L .24679 .30424 L F
.48178 .45677 m .51734 .4839 L .51749 .485 L 0 .374 .838 r
F
.48157 .45561 m .51734 .4839 L .48178 .45677 L F
.28548 .48527 m .32044 .51248 L .32096 .51354 L 0 .291 .77 r
F
.28489 .48416 m .32044 .51248 L .28548 .48527 L F
.83819 .82354 m .8774 .8486 L .8407 .82033 L .628 .549 .746 r
F
.83819 .82354 m .87485 .8518 L .8774 .8486 L F
.7432 .79601 m .77744 .82694 L .74103 .79872 L .761 .504 .545 r
F
.7432 .79601 m .77957 .82418 L .77744 .82694 L F
.29804 .31806 m .33038 .34694 L .29535 .3202 L .763 .497 .531 r
F
.29804 .31806 m .33304 .34476 L .33038 .34694 L F
.37434 .36985 m .40957 .39671 L .40992 .39798 L 0 .374 .838 r
F
.37392 .36853 m .40957 .39671 L .37434 .36985 L F
.78766 .73832 m .82668 .76306 L .79014 .73505 L .628 .549 .746 r
F
.78766 .73832 m .82417 .76632 L .82668 .76306 L F
.17799 .39835 m .21262 .4253 L .21334 .42652 L 0 .291 .77 r
F
.1772 .39708 m .21262 .4253 L .17799 .39835 L F
.66081 .60128 m .69693 .62886 L .69674 .62969 L 0 .374 .838 r
F
.66093 .60039 m .69693 .62886 L .66081 .60128 L F
.82656 .83865 m .86116 .86977 L .82449 .84141 L .761 .504 .545 r
F
.82656 .83865 m .8632 .86696 L .86116 .86977 L F
.46446 .62979 m .49998 .65746 L .50016 .65824 L 0 .291 .77 r
F
.46421 .62896 m .49998 .65746 L .46446 .62979 L F
.61707 .7334 m .65078 .76407 L .61476 .73604 L .761 .504 .545 r
F
.61707 .7334 m .65306 .76139 L .65078 .76407 L F
.81417 .77931 m .8533 .80421 L .81667 .77607 L .628 .549 .746 r
F
.81417 .77931 m .85078 .80745 L .8533 .80421 L F
.55336 .51435 m .58916 .54167 L .58918 .54267 L 0 .374 .838 r
F
.55328 .5133 m .58916 .54167 L .55336 .51435 L F
.35697 .54287 m .39216 .57027 L .39255 .57122 L 0 .291 .77 r
F
.35652 .54187 m .39216 .57027 L .35697 .54287 L F
.76362 .69405 m .80256 .71863 L .76608 .69075 L .628 .549 .746 r
F
.76362 .69405 m .80007 .72193 L .80256 .71863 L F
.70043 .77604 m .7345 .8069 L .69821 .77873 L .761 .504 .545 r
F
.70043 .77604 m .73668 .80416 L .7345 .8069 L F
.25505 .29786 m .28722 .32667 L .25231 .29998 L .763 .497 .531 r
F
.25505 .29786 m .28994 .32451 L .28722 .32667 L F
.44588 .4274 m .48135 .45445 L .48157 .45561 L 0 .374 .838 r
F
.4456 .42618 m .48135 .45445 L .44588 .4274 L F
.24944 .45591 m .28431 .48306 L .28489 .48416 L 0 .291 .77 r
F
.24878 .45475 m .28431 .48306 L .24944 .45591 L F
.8407 .82033 m .87994 .84539 L .84321 .81712 L .628 .549 .746 r
F
.8407 .82033 m .8774 .8486 L .87994 .84539 L F
.7325 .65895 m .76887 .68672 L .76854 .68744 L 0 .374 .838 r
F
.73276 .65817 m .76887 .68672 L .7325 .65895 L F
.78382 .81869 m .81826 .84974 L .7817 .82144 L .761 .504 .545 r
F
.78382 .81869 m .82034 .84696 L .81826 .84974 L F
.53605 .68748 m .57181 .71534 L .57186 .71601 L 0 .291 .77 r
F
.53594 .68675 m .57181 .71534 L .53605 .68748 L F
.57423 .71339 m .60777 .74399 L .57186 .71601 L .761 .504 .545 r
F
.57423 .71339 m .6101 .74133 L .60777 .74399 L F
.33835 .34041 m .37088 .36941 L .3357 .34258 L .763 .497 .531 r
F
.33835 .34041 m .3735 .3672 L .37392 .36853 L 0 .374 .838 r
F
.33835 .34041 m .3735 .3672 L .37088 .36941 L .763 .497 .531 r
F
.79014 .73505 m .82919 .75979 L .79261 .73178 L .628 .549 .746 r
F
.79014 .73505 m .82668 .76306 L .82919 .75979 L F
.14187 .36893 m .17641 .3958 L .1772 .39708 L 0 .291 .77 r
F
.14187 .36893 m .17847 .39228 L .14389 .3654 L .622 .547 .748 r
F
.14187 .36893 m .17641 .3958 L .17847 .39228 L F
.62502 .57199 m .66106 .5995 L .66093 .60039 L 0 .374 .838 r
F
.62507 .57105 m .66106 .5995 L .62502 .57199 L F
.42853 .60052 m .46396 .62812 L .46421 .62896 L 0 .291 .77 r
F
.42821 .59964 m .46396 .62812 L .42853 .60052 L F
.65761 .75605 m .69152 .78684 L .65534 .75872 L .761 .504 .545 r
F
.65761 .75605 m .69375 .78413 L .69152 .78684 L F
.21202 .27763 m .24402 .30637 L .20922 .27973 L .763 .497 .531 r
F
.21202 .27763 m .24679 .30424 L .24402 .30637 L F
.81667 .77607 m .85583 .80098 L .81917 .77282 L .628 .549 .746 r
F
.81667 .77607 m .8533 .80421 L .85583 .80098 L F
.51749 .485 m .5532 .51225 L .55328 .5133 L 0 .374 .838 r
F
.51734 .4839 m .5532 .51225 L .51749 .485 L F
.32096 .51354 m .35606 .54087 L .35652 .54187 L 0 .291 .77 r
F
.32044 .51248 m .35606 .54087 L .32096 .51354 L F
.76608 .69075 m .80506 .71534 L .76854 .68744 L .628 .549 .746 r
F
.76608 .69075 m .80256 .71863 L .80506 .71534 L F
.74103 .79872 m .7753 .8297 L .73886 .80144 L .761 .504 .545 r
F
.74103 .79872 m .77744 .82694 L .7753 .8297 L F
.29535 .3202 m .32771 .34913 L .29265 .32235 L .763 .497 .531 r
F
.29535 .3202 m .33038 .34694 L .32771 .34913 L F
.40992 .39798 m .44531 .42496 L .4456 .42618 L 0 .374 .838 r
F
.40957 .39671 m .44531 .42496 L .40992 .39798 L F
.21334 .42652 m .24813 .45359 L .24878 .45475 L 0 .291 .77 r
F
.21262 .4253 m .24813 .45359 L .21334 .42652 L F
.84321 .81712 m .88249 .84218 L .84573 .8139 L .628 .549 .746 r
F
.84321 .81712 m .87994 .84539 L .88249 .84218 L F
.69674 .62969 m .73302 .65739 L .73276 .65817 L 0 .374 .838 r
F
.69693 .62886 m .73302 .65739 L .69674 .62969 L F
.82449 .84141 m .85913 .87258 L .82242 .84418 L .761 .504 .545 r
F
.82449 .84141 m .86116 .86977 L .85913 .87258 L F
.50016 .65824 m .53583 .68603 L .53594 .68675 L 0 .291 .77 r
F
.49998 .65746 m .53583 .68603 L .50016 .65824 L F
.61476 .73604 m .6485 .76676 L .61243 .73868 L .761 .504 .545 r
F
.61476 .73604 m .65078 .76407 L .6485 .76676 L F
.79261 .73178 m .83171 .75652 L .7951 .7285 L .628 .549 .746 r
F
.79261 .73178 m .82919 .75979 L .83171 .75652 L F
.14389 .3654 m .18053 .38876 L .14592 .36186 L .622 .547 .748 r
F
.14389 .3654 m .17847 .39228 L .18053 .38876 L F
.58918 .54267 m .62513 .5701 L .62507 .57105 L 0 .374 .838 r
F
.58916 .54167 m .62513 .5701 L .58918 .54267 L F
.39255 .57122 m .42789 .59874 L .42821 .59964 L 0 .291 .77 r
F
.39216 .57027 m .42789 .59874 L .39255 .57122 L F
.69821 .77873 m .73231 .80963 L .69598 .78142 L .761 .504 .545 r
F
.69821 .77873 m .7345 .8069 L .73231 .80963 L F
.25231 .29998 m .2845 .32883 L .24955 .3021 L .763 .497 .531 r
F
.25231 .29998 m .28722 .32667 L .2845 .32883 L F
.81917 .77282 m .85837 .79774 L .82167 .76957 L .628 .549 .746 r
F
.81917 .77282 m .85583 .80098 L .85837 .79774 L F
.48157 .45561 m .51719 .48279 L .51734 .4839 L 0 .374 .838 r
F
.48135 .45445 m .51719 .48279 L .48157 .45561 L F
.28489 .48416 m .31992 .51143 L .32044 .51248 L 0 .291 .77 r
F
.28431 .48306 m .31992 .51143 L .28489 .48416 L F
.76887 .68672 m .80506 .71534 L .76854 .68744 L 0 .374 .838 r
F
.7817 .82144 m .81617 .85253 L .77957 .82418 L .761 .504 .545 r
F
.7817 .82144 m .81826 .84974 L .81617 .85253 L F
.57181 .71534 m .60777 .74399 L .57186 .71601 L 0 .291 .77 r
F
.3357 .34258 m .36826 .37163 L .33304 .34476 L .763 .497 .531 r
F
.3357 .34258 m .37088 .36941 L .36826 .37163 L F
.37392 .36853 m .40922 .39543 L .40957 .39671 L 0 .374 .838 r
F
.3735 .3672 m .40922 .39543 L .37392 .36853 L F
.1772 .39708 m .2119 .42408 L .21262 .4253 L 0 .291 .77 r
F
.17641 .3958 m .2119 .42408 L .1772 .39708 L F
.84573 .8139 m .88505 .83897 L .84825 .81067 L .628 .549 .746 r
F
.84573 .8139 m .88249 .84218 L .88505 .83897 L F
.66093 .60039 m .69713 .62802 L .69693 .62886 L 0 .374 .838 r
F
.66106 .5995 m .69713 .62802 L .66093 .60039 L F
.46421 .62896 m .49979 .65668 L .49998 .65746 L 0 .291 .77 r
F
.46396 .62812 m .49979 .65668 L .46421 .62896 L F
.65534 .75872 m .68928 .78955 L .65306 .76139 L .761 .504 .545 r
F
.65534 .75872 m .69152 .78684 L .68928 .78955 L F
.7951 .7285 m .83422 .75325 L .79758 .72521 L .628 .549 .746 r
F
.7951 .7285 m .83171 .75652 L .83422 .75325 L F
.20922 .27973 m .24125 .30852 L .20642 .28184 L .763 .497 .531 r
F
.20922 .27973 m .24402 .30637 L .24125 .30852 L F
.14592 .36186 m .18259 .38522 L .14795 .35832 L .622 .547 .748 r
F
.14592 .36186 m .18053 .38876 L .18259 .38522 L F
.55328 .5133 m .58915 .54067 L .58916 .54167 L 0 .374 .838 r
F
.5532 .51225 m .58915 .54067 L .55328 .5133 L F
.35652 .54187 m .39178 .56933 L .39216 .57027 L 0 .291 .77 r
F
.35606 .54087 m .39178 .56933 L .35652 .54187 L F
.73886 .80144 m .77316 .83247 L .73668 .80416 L .761 .504 .545 r
F
.73886 .80144 m .7753 .8297 L .77316 .83247 L F
.29265 .32235 m .32504 .35133 L .28994 .32451 L .763 .497 .531 r
F
.29265 .32235 m .32771 .34913 L .32504 .35133 L F
.82167 .76957 m .86091 .79449 L .82417 .76632 L .628 .549 .746 r
F
.82167 .76957 m .85837 .79774 L .86091 .79449 L F
.4456 .42618 m .48114 .45328 L .48135 .45445 L 0 .374 .838 r
F
.44531 .42496 m .48114 .45328 L .4456 .42618 L F
.24878 .45475 m .28372 .48194 L .28431 .48306 L 0 .291 .77 r
F
.24813 .45359 m .28372 .48194 L .24878 .45475 L F
.73276 .65817 m .76919 .68599 L .76887 .68672 L 0 .374 .838 r
F
.73302 .65739 m .76919 .68599 L .73276 .65817 L F
.82242 .84418 m .85709 .8754 L .82034 .84696 L .761 .504 .545 r
F
.82242 .84418 m .85913 .87258 L .85709 .8754 L F
.53594 .68675 m .57177 .71467 L .57181 .71534 L 0 .291 .77 r
F
.53583 .68603 m .57177 .71467 L .53594 .68675 L F
.61243 .73868 m .6462 .76945 L .6101 .74133 L .761 .504 .545 r
F
.61243 .73868 m .6485 .76676 L .6462 .76945 L F
.84825 .81067 m .88761 .83575 L .85078 .80745 L .628 .549 .746 r
F
.84825 .81067 m .88505 .83897 L .88761 .83575 L F
.62507 .57105 m .66118 .59861 L .66106 .5995 L 0 .374 .838 r
F
.62513 .5701 m .66118 .59861 L .62507 .57105 L F
.42821 .59964 m .46371 .62728 L .46396 .62812 L 0 .291 .77 r
F
.42789 .59874 m .46371 .62728 L .42821 .59964 L F
.69598 .78142 m .73012 .81238 L .69375 .78413 L .761 .504 .545 r
F
.69598 .78142 m .73231 .80963 L .73012 .81238 L F
.79758 .72521 m .83675 .74997 L .80007 .72193 L .628 .549 .746 r
F
.79758 .72521 m .83422 .75325 L .83675 .74997 L F
.14795 .35832 m .18465 .38169 L .14999 .35478 L .622 .547 .748 r
F
.14795 .35832 m .18259 .38522 L .18465 .38169 L F
.24955 .3021 m .28177 .33101 L .24679 .30424 L .763 .497 .531 r
F
.24955 .3021 m .2845 .32883 L .28177 .33101 L F
.51734 .4839 m .55312 .51119 L .5532 .51225 L 0 .374 .838 r
F
.51719 .48279 m .55312 .51119 L .51734 .4839 L F
.32044 .51248 m .35561 .53987 L .35606 .54087 L 0 .291 .77 r
F
.31992 .51143 m .35561 .53987 L .32044 .51248 L F
.77957 .82418 m .81407 .85533 L .77744 .82694 L .761 .504 .545 r
F
.77957 .82418 m .81617 .85253 L .81407 .85533 L F
.33304 .34476 m .36563 .37385 L .33038 .34694 L .763 .497 .531 r
F
.33304 .34476 m .36826 .37163 L .36563 .37385 L F
.40957 .39671 m .44503 .42374 L .44531 .42496 L 0 .374 .838 r
F
.40922 .39543 m .44503 .42374 L .40957 .39671 L F
.82417 .76632 m .86345 .79124 L .82668 .76306 L .628 .549 .746 r
F
.82417 .76632 m .86091 .79449 L .86345 .79124 L F
.21262 .4253 m .24747 .45242 L .24813 .45359 L 0 .291 .77 r
F
.2119 .42408 m .24747 .45242 L .21262 .4253 L F
.69693 .62886 m .73328 .6566 L .73302 .65739 L 0 .374 .838 r
F
.69713 .62802 m .73328 .6566 L .69693 .62886 L F
.49998 .65746 m .53571 .6853 L .53583 .68603 L 0 .291 .77 r
F
.49979 .65668 m .53571 .6853 L .49998 .65746 L F
.65306 .76139 m .68703 .79227 L .65078 .76407 L .761 .504 .545 r
F
.65306 .76139 m .68928 .78955 L .68703 .79227 L F
.20642 .28184 m .23847 .31066 L .2036 .28395 L .763 .497 .531 r
F
.20642 .28184 m .24125 .30852 L .23847 .31066 L F
.85078 .80745 m .89017 .83253 L .8533 .80421 L .628 .549 .746 r
F
.85078 .80745 m .88761 .83575 L .89017 .83253 L F
.58916 .54167 m .62518 .56915 L .62513 .5701 L 0 .374 .838 r
F
.58915 .54067 m .62518 .56915 L .58916 .54167 L F
.39216 .57027 m .42757 .59785 L .42789 .59874 L 0 .291 .77 r
F
.39178 .56933 m .42757 .59785 L .39216 .57027 L F
.80007 .72193 m .83927 .74669 L .80256 .71863 L .628 .549 .746 r
F
.80007 .72193 m .83675 .74997 L .83927 .74669 L F
.73668 .80416 m .77102 .83524 L .7345 .8069 L .761 .504 .545 r
F
.73668 .80416 m .77316 .83247 L .77102 .83524 L F
.14999 .35478 m .18672 .37814 L .15202 .35123 L .622 .547 .748 r
F
.14999 .35478 m .18465 .38169 L .18672 .37814 L F
.28994 .32451 m .32236 .35353 L .28722 .32667 L .763 .497 .531 r
F
.28994 .32451 m .32504 .35133 L .32236 .35353 L F
.48135 .45445 m .51705 .48167 L .51719 .48279 L 0 .374 .838 r
F
.48114 .45328 m .51705 .48167 L .48135 .45445 L F
.28431 .48306 m .31939 .51037 L .31992 .51143 L 0 .291 .77 r
F
.28372 .48194 m .31939 .51037 L .28431 .48306 L F
.76887 .68672 m .80545 .71466 L .80506 .71534 L 0 .374 .838 r
F
.76919 .68599 m .80545 .71466 L .76887 .68672 L F
.82034 .84696 m .85504 .87822 L .81826 .84974 L .761 .504 .545 r
F
.82034 .84696 m .85709 .8754 L .85504 .87822 L F
.57181 .71534 m .60779 .74337 L .60777 .74399 L 0 .291 .77 r
F
.57177 .71467 m .60779 .74337 L .57181 .71534 L F
.6101 .74133 m .6439 .77215 L .60777 .74399 L .761 .504 .545 r
F
.6101 .74133 m .6462 .76945 L .6439 .77215 L F
.3735 .3672 m .40628 .3964 L .37088 .36941 L .763 .497 .531 r
F
.3735 .3672 m .40887 .39415 L .40922 .39543 L 0 .374 .838 r
F
.3735 .3672 m .40887 .39415 L .40628 .3964 L .763 .497 .531 r
F
.82668 .76306 m .86599 .78798 L .82919 .75979 L .628 .549 .746 r
F
.82668 .76306 m .86345 .79124 L .86599 .78798 L F
.17641 .3958 m .21117 .42285 L .2119 .42408 L 0 .291 .77 r
F
.17641 .3958 m .21326 .41934 L .17847 .39228 L .622 .547 .748 r
F
.17641 .3958 m .21117 .42285 L .21326 .41934 L F
.66106 .5995 m .69732 .62718 L .69713 .62802 L 0 .374 .838 r
F
.66118 .59861 m .69732 .62718 L .66106 .5995 L F
.46396 .62812 m .49961 .65589 L .49979 .65668 L 0 .291 .77 r
F
.46371 .62728 m .49961 .65589 L .46396 .62812 L F
.69375 .78413 m .72792 .81513 L .69152 .78684 L .761 .504 .545 r
F
.69375 .78413 m .73012 .81238 L .72792 .81513 L F
.24679 .30424 m .27904 .33318 L .24402 .30637 L .763 .497 .531 r
F
.24679 .30424 m .28177 .33101 L .27904 .33318 L F
.8533 .80421 m .89273 .8293 L .85583 .80098 L .628 .549 .746 r
F
.8533 .80421 m .89017 .83253 L .89273 .8293 L F
.5532 .51225 m .58914 .53966 L .58915 .54067 L 0 .374 .838 r
F
.55312 .51119 m .58914 .53966 L .5532 .51225 L F
.35606 .54087 m .39139 .56837 L .39178 .56933 L 0 .291 .77 r
F
.35561 .53987 m .39139 .56837 L .35606 .54087 L F
.80256 .71863 m .8418 .7434 L .80506 .71534 L .628 .549 .746 r
F
.80256 .71863 m .83927 .74669 L .8418 .7434 L F
.77744 .82694 m .81197 .85813 L .7753 .8297 L .761 .504 .545 r
F
.77744 .82694 m .81407 .85533 L .81197 .85813 L F
.15202 .35123 m .18879 .3746 L .15406 .34767 L .622 .547 .748 r
F
.15202 .35123 m .18672 .37814 L .18879 .3746 L F
.33038 .34694 m .363 .37608 L .32771 .34913 L .763 .497 .531 r
F
.33038 .34694 m .36563 .37385 L .363 .37608 L F
.44531 .42496 m .48092 .45211 L .48114 .45328 L 0 .374 .838 r
F
.44503 .42374 m .48092 .45211 L .44531 .42496 L F
.24813 .45359 m .28313 .48083 L .28372 .48194 L 0 .291 .77 r
F
.24747 .45242 m .28313 .48083 L .24813 .45359 L F
.73302 .65739 m .76952 .68526 L .76919 .68599 L 0 .374 .838 r
F
.73328 .6566 m .76952 .68526 L .73302 .65739 L F
.53583 .68603 m .57172 .71399 L .57177 .71467 L 0 .291 .77 r
F
.53571 .6853 m .57172 .71399 L .53583 .68603 L F
.65078 .76407 m .68478 .795 L .6485 .76676 L .761 .504 .545 r
F
.65078 .76407 m .68703 .79227 L .68478 .795 L F
.82919 .75979 m .86854 .78472 L .83171 .75652 L .628 .549 .746 r
F
.82919 .75979 m .86599 .78798 L .86854 .78472 L F
.2036 .28395 m .23568 .31282 L .20078 .28606 L .763 .497 .531 r
F
.2036 .28395 m .23847 .31066 L .23568 .31282 L F
.17847 .39228 m .21535 .41582 L .18053 .38876 L .622 .547 .748 r
F
.17847 .39228 m .21326 .41934 L .21535 .41582 L F
.62513 .5701 m .6613 .59771 L .66118 .59861 L 0 .374 .838 r
F
.62518 .56915 m .6613 .59771 L .62513 .5701 L F
.42789 .59874 m .46346 .62644 L .46371 .62728 L 0 .291 .77 r
F
.42757 .59785 m .46346 .62644 L .42789 .59874 L F
.7345 .8069 m .76887 .83802 L .73231 .80963 L .761 .504 .545 r
F
.7345 .8069 m .77102 .83524 L .76887 .83802 L F
.28722 .32667 m .31967 .35573 L .2845 .32883 L .763 .497 .531 r
F
.28722 .32667 m .32236 .35353 L .31967 .35573 L F
.85583 .80098 m .8953 .82607 L .85837 .79774 L .628 .549 .746 r
F
.85583 .80098 m .89273 .8293 L .8953 .82607 L F
.51719 .48279 m .55304 .51013 L .55312 .51119 L 0 .374 .838 r
F
.51705 .48167 m .55304 .51013 L .51719 .48279 L F
.31992 .51143 m .35515 .53886 L .35561 .53987 L 0 .291 .77 r
F
.31939 .51037 m .35515 .53886 L .31992 .51143 L F
.80545 .71466 m .8418 .7434 L .80506 .71534 L 0 .374 .838 r
F
.81826 .84974 m .85299 .88106 L .81617 .85253 L .761 .504 .545 r
F
.81826 .84974 m .85504 .87822 L .85299 .88106 L F
.15406 .34767 m .19087 .37105 L .15611 .34411 L .622 .547 .748 r
F
.15406 .34767 m .18879 .3746 L .19087 .37105 L F
.60779 .74337 m .6439 .77215 L .60777 .74399 L 0 .291 .77 r
F
.37088 .36941 m .4037 .39866 L .36826 .37163 L .763 .497 .531 r
F
.37088 .36941 m .40628 .3964 L .4037 .39866 L F
.40922 .39543 m .44474 .42251 L .44503 .42374 L 0 .374 .838 r
F
.40887 .39415 m .44474 .42251 L .40922 .39543 L F
.2119 .42408 m .24681 .45124 L .24747 .45242 L 0 .291 .77 r
F
.21117 .42285 m .24681 .45124 L .2119 .42408 L F
.69713 .62802 m .73354 .65582 L .73328 .6566 L 0 .374 .838 r
F
.69732 .62718 m .73354 .65582 L .69713 .62802 L F
.49979 .65668 m .5356 .68457 L .53571 .6853 L 0 .291 .77 r
F
.49961 .65589 m .5356 .68457 L .49979 .65668 L F
.69152 .78684 m .72572 .81789 L .68928 .78955 L .761 .504 .545 r
F
.69152 .78684 m .72792 .81513 L .72572 .81789 L F
.83171 .75652 m .8711 .78146 L .83422 .75325 L .628 .549 .746 r
F
.83171 .75652 m .86854 .78472 L .8711 .78146 L F
.24402 .30637 m .2763 .33536 L .24125 .30852 L .763 .497 .531 r
F
.24402 .30637 m .27904 .33318 L .2763 .33536 L F
.18053 .38876 m .21744 .41229 L .18259 .38522 L .622 .547 .748 r
F
.18053 .38876 m .21535 .41582 L .21744 .41229 L F
.58915 .54067 m .62524 .5682 L .62518 .56915 L 0 .374 .838 r
F
.58914 .53966 m .62524 .5682 L .58915 .54067 L F
.39178 .56933 m .42725 .59695 L .42757 .59785 L 0 .291 .77 r
F
.39139 .56837 m .42725 .59695 L .39178 .56933 L F
.7753 .8297 m .80987 .86094 L .77316 .83247 L .761 .504 .545 r
F
.7753 .8297 m .81197 .85813 L .80987 .86094 L F
.32771 .34913 m .36036 .37831 L .32504 .35133 L .763 .497 .531 r
F
.32771 .34913 m .363 .37608 L .36036 .37831 L F
.85837 .79774 m .89787 .82284 L .86091 .79449 L .628 .549 .746 r
F
.85837 .79774 m .8953 .82607 L .89787 .82284 L F
.48114 .45328 m .5169 .48055 L .51705 .48167 L 0 .374 .838 r
F
.48092 .45211 m .5169 .48055 L .48114 .45328 L F
.28372 .48194 m .31887 .5093 L .31939 .51037 L 0 .291 .77 r
F
.28313 .48083 m .31887 .5093 L .28372 .48194 L F
.76919 .68599 m .80585 .71398 L .80545 .71466 L 0 .374 .838 r
F
.76952 .68526 m .80585 .71398 L .76919 .68599 L F
.15611 .34411 m .19294 .36749 L .15815 .34055 L .622 .547 .748 r
F
.15611 .34411 m .19087 .37105 L .19294 .36749 L F
.57177 .71467 m .60782 .74275 L .60779 .74337 L 0 .291 .77 r
F
.57172 .71399 m .60782 .74275 L .57177 .71467 L F
.6485 .76676 m .68253 .79774 L .6462 .76945 L .761 .504 .545 r
F
.6485 .76676 m .68478 .795 L .68253 .79774 L F
.20078 .28606 m .23289 .31498 L .19795 .28818 L .763 .497 .531 r
F
.20078 .28606 m .23568 .31282 L .23289 .31498 L F
.66118 .59861 m .69751 .62634 L .69732 .62718 L 0 .374 .838 r
F
.6613 .59771 m .69751 .62634 L .66118 .59861 L F
.46371 .62728 m .49943 .6551 L .49961 .65589 L 0 .291 .77 r
F
.46346 .62644 m .49943 .6551 L .46371 .62728 L F
.73231 .80963 m .76671 .84081 L .73012 .81238 L .761 .504 .545 r
F
.73231 .80963 m .76887 .83802 L .76671 .84081 L F
.83422 .75325 m .87365 .77819 L .83675 .74997 L .628 .549 .746 r
F
.83422 .75325 m .8711 .78146 L .87365 .77819 L F
.18259 .38522 m .21954 .40876 L .18465 .38169 L .622 .547 .748 r
F
.18259 .38522 m .21744 .41229 L .21954 .40876 L F
.2845 .32883 m .31698 .35794 L .28177 .33101 L .763 .497 .531 r
F
.2845 .32883 m .31967 .35573 L .31698 .35794 L F
.55312 .51119 m .58913 .53865 L .58914 .53966 L 0 .374 .838 r
F
.55304 .51013 m .58913 .53865 L .55312 .51119 L F
.35561 .53987 m .391 .56742 L .39139 .56837 L 0 .291 .77 r
F
.35515 .53886 m .391 .56742 L .35561 .53987 L F
.81617 .85253 m .85093 .8839 L .81407 .85533 L .761 .504 .545 r
F
.81617 .85253 m .85299 .88106 L .85093 .8839 L F
.36826 .37163 m .4011 .40092 L .36563 .37385 L .763 .497 .531 r
F
.36826 .37163 m .4037 .39866 L .4011 .40092 L F
.44503 .42374 m .4807 .45094 L .48092 .45211 L 0 .374 .838 r
F
.44474 .42251 m .4807 .45094 L .44503 .42374 L F
.86091 .79449 m .90045 .8196 L .86345 .79124 L .628 .549 .746 r
F
.86091 .79449 m .89787 .82284 L .90045 .8196 L F
.24747 .45242 m .28253 .4797 L .28313 .48083 L 0 .291 .77 r
F
.24681 .45124 m .28253 .4797 L .24747 .45242 L F
.73328 .6566 m .76985 .68453 L .76952 .68526 L 0 .374 .838 r
F
.73354 .65582 m .76985 .68453 L .73328 .6566 L F
.53571 .6853 m .57168 .71331 L .57172 .71399 L 0 .291 .77 r
F
.5356 .68457 m .57168 .71331 L .53571 .6853 L F
.15815 .34055 m .19502 .36393 L .1602 .33698 L .622 .547 .748 r
F
.15815 .34055 m .19294 .36749 L .19502 .36393 L F
.68928 .78955 m .72351 .82065 L .68703 .79227 L .761 .504 .545 r
F
.68928 .78955 m .72572 .81789 L .72351 .82065 L F
.24125 .30852 m .27355 .33755 L .23847 .31066 L .763 .497 .531 r
F
.24125 .30852 m .2763 .33536 L .27355 .33755 L F
.62518 .56915 m .66143 .59681 L .6613 .59771 L 0 .374 .838 r
F
.62524 .5682 m .66143 .59681 L .62518 .56915 L F
.42757 .59785 m .46321 .6256 L .46346 .62644 L 0 .291 .77 r
F
.42725 .59695 m .46321 .6256 L .42757 .59785 L F
.83675 .74997 m .87621 .77492 L .83927 .74669 L .628 .549 .746 r
F
.83675 .74997 m .87365 .77819 L .87621 .77492 L F
.77316 .83247 m .80776 .86376 L .77102 .83524 L .761 .504 .545 r
F
.77316 .83247 m .80987 .86094 L .80776 .86376 L F
.18465 .38169 m .22163 .40523 L .18672 .37814 L .622 .547 .748 r
F
.18465 .38169 m .21954 .40876 L .22163 .40523 L F
.32504 .35133 m .35771 .38055 L .32236 .35353 L .763 .497 .531 r
F
.32504 .35133 m .36036 .37831 L .35771 .38055 L F
.51705 .48167 m .55296 .50906 L .55304 .51013 L 0 .374 .838 r
F
.5169 .48055 m .55296 .50906 L .51705 .48167 L F
.31939 .51037 m .3547 .53785 L .35515 .53886 L 0 .291 .77 r
F
.31887 .5093 m .3547 .53785 L .31939 .51037 L F
.80545 .71466 m .84227 .74278 L .8418 .7434 L 0 .374 .838 r
F
.80585 .71398 m .84227 .74278 L .80545 .71466 L F
.60779 .74337 m .644 .77158 L .6439 .77215 L 0 .291 .77 r
F
.60782 .74275 m .644 .77158 L .60779 .74337 L F
.6462 .76945 m .68026 .80048 L .6439 .77215 L .761 .504 .545 r
F
.6462 .76945 m .68253 .79774 L .68026 .80048 L F
.40887 .39415 m .44191 .42357 L .40628 .3964 L .763 .497 .531 r
F
.40887 .39415 m .44445 .42128 L .44474 .42251 L 0 .374 .838 r
F
.40887 .39415 m .44445 .42128 L .44191 .42357 L .763 .497 .531 r
F
.86345 .79124 m .90303 .81635 L .86599 .78798 L .628 .549 .746 r
F
.86345 .79124 m .90045 .8196 L .90303 .81635 L F
.19795 .28818 m .23009 .31714 L .19512 .2903 L .763 .497 .531 r
F
.19795 .28818 m .23289 .31498 L .23009 .31714 L F
.21117 .42285 m .24614 .45006 L .24681 .45124 L 0 .291 .77 r
F
.21117 .42285 m .24826 .44656 L .21326 .41934 L .622 .547 .748 r
F
.21117 .42285 m .24614 .45006 L .24826 .44656 L F
.69732 .62718 m .7338 .65503 L .73354 .65582 L 0 .374 .838 r
F
.69751 .62634 m .7338 .65503 L .69732 .62718 L F
.49961 .65589 m .53549 .68383 L .5356 .68457 L 0 .291 .77 r
F
.49943 .6551 m .53549 .68383 L .49961 .65589 L F
.1602 .33698 m .1971 .36036 L .16225 .3334 L .622 .547 .748 r
F
.1602 .33698 m .19502 .36393 L .1971 .36036 L F
.73012 .81238 m .76455 .8436 L .72792 .81513 L .761 .504 .545 r
F
.73012 .81238 m .76671 .84081 L .76455 .8436 L F
.28177 .33101 m .31427 .36015 L .27904 .33318 L .763 .497 .531 r
F
.28177 .33101 m .31698 .35794 L .31427 .36015 L F
.58914 .53966 m .6253 .56725 L .62524 .5682 L 0 .374 .838 r
F
.58913 .53865 m .6253 .56725 L .58914 .53966 L F
.39139 .56837 m .42693 .59605 L .42725 .59695 L 0 .291 .77 r
F
.391 .56742 m .42693 .59605 L .39139 .56837 L F
.83927 .74669 m .87877 .77164 L .8418 .7434 L .628 .549 .746 r
F
.83927 .74669 m .87621 .77492 L .87877 .77164 L F
.81407 .85533 m .84887 .88674 L .81197 .85813 L .761 .504 .545 r
F
.81407 .85533 m .85093 .8839 L .84887 .88674 L F
.18672 .37814 m .22374 .40169 L .18879 .3746 L .622 .547 .748 r
F
.18672 .37814 m .22163 .40523 L .22374 .40169 L F
.36563 .37385 m .3985 .40319 L .363 .37608 L .763 .497 .531 r
F
.36563 .37385 m .4011 .40092 L .3985 .40319 L F
.48092 .45211 m .51675 .47943 L .5169 .48055 L 0 .374 .838 r
F
.4807 .45094 m .51675 .47943 L .48092 .45211 L F
.28313 .48083 m .31834 .50823 L .31887 .5093 L 0 .291 .77 r
F
.28253 .4797 m .31834 .50823 L .28313 .48083 L F
.76952 .68526 m .80625 .7133 L .80585 .71398 L 0 .374 .838 r
F
.76985 .68453 m .80625 .7133 L .76952 .68526 L F
.57172 .71399 m .60784 .74212 L .60782 .74275 L 0 .291 .77 r
F
.57168 .71331 m .60784 .74212 L .57172 .71399 L F
.68703 .79227 m .72129 .82342 L .68478 .795 L .761 .504 .545 r
F
.68703 .79227 m .72351 .82065 L .72129 .82342 L F
.86599 .78798 m .90561 .8131 L .86854 .78472 L .628 .549 .746 r
F
.86599 .78798 m .90303 .81635 L .90561 .8131 L F
.23847 .31066 m .2708 .33974 L .23568 .31282 L .763 .497 .531 r
F
.23847 .31066 m .27355 .33755 L .2708 .33974 L F
.21326 .41934 m .25038 .44305 L .21535 .41582 L .622 .547 .748 r
F
.21326 .41934 m .24826 .44656 L .25038 .44305 L F
.6613 .59771 m .6977 .62549 L .69751 .62634 L 0 .374 .838 r
F
.66143 .59681 m .6977 .62549 L .6613 .59771 L F
.46346 .62644 m .49925 .65431 L .49943 .6551 L 0 .291 .77 r
F
.46321 .6256 m .49925 .65431 L .46346 .62644 L F
.16225 .3334 m .19919 .35679 L .16431 .32982 L .622 .547 .748 r
F
.16225 .3334 m .1971 .36036 L .19919 .35679 L F
.77102 .83524 m .80565 .86658 L .76887 .83802 L .761 .504 .545 r
F
.77102 .83524 m .80776 .86376 L .80565 .86658 L F
.32236 .35353 m .35506 .38279 L .31967 .35573 L .763 .497 .531 r
F
.32236 .35353 m .35771 .38055 L .35506 .38279 L F
.55304 .51013 m .58911 .53764 L .58913 .53865 L 0 .374 .838 r
F
.55296 .50906 m .58911 .53764 L .55304 .51013 L F
.35515 .53886 m .39061 .56646 L .391 .56742 L 0 .291 .77 r
F
.3547 .53785 m .39061 .56646 L .35515 .53886 L F
.84227 .74278 m .87877 .77164 L .8418 .7434 L 0 .374 .838 r
F
.18879 .3746 m .22584 .39815 L .19087 .37105 L .622 .547 .748 r
F
.18879 .3746 m .22374 .40169 L .22584 .39815 L F
.644 .77158 m .68026 .80048 L .6439 .77215 L 0 .291 .77 r
F
.40628 .3964 m .43935 .42586 L .4037 .39866 L .763 .497 .531 r
F
.40628 .3964 m .44191 .42357 L .43935 .42586 L F
.44474 .42251 m .48048 .44975 L .4807 .45094 L 0 .374 .838 r
F
.44445 .42128 m .48048 .44975 L .44474 .42251 L F
.19512 .2903 m .22728 .31931 L .19228 .29243 L .763 .497 .531 r
F
.19512 .2903 m .23009 .31714 L .22728 .31931 L F
.24681 .45124 m .28193 .47858 L .28253 .4797 L 0 .291 .77 r
F
.24614 .45006 m .28193 .47858 L .24681 .45124 L F
.73354 .65582 m .77018 .68379 L .76985 .68453 L 0 .374 .838 r
F
.7338 .65503 m .77018 .68379 L .73354 .65582 L F
.5356 .68457 m .57163 .71263 L .57168 .71331 L 0 .291 .77 r
F
.53549 .68383 m .57163 .71263 L .5356 .68457 L F
.72792 .81513 m .76238 .8464 L .72572 .81789 L .761 .504 .545 r
F
.72792 .81513 m .76455 .8436 L .76238 .8464 L F
.86854 .78472 m .9082 .80985 L .8711 .78146 L .628 .549 .746 r
F
.86854 .78472 m .90561 .8131 L .9082 .80985 L F
.27904 .33318 m .31157 .36237 L .2763 .33536 L .763 .497 .531 r
F
.27904 .33318 m .31427 .36015 L .31157 .36237 L F
.21535 .41582 m .25251 .43953 L .21744 .41229 L .622 .547 .748 r
F
.21535 .41582 m .25038 .44305 L .25251 .43953 L F
.62524 .5682 m .66155 .59591 L .66143 .59681 L 0 .374 .838 r
F
.6253 .56725 m .66155 .59591 L .62524 .5682 L F
.42725 .59695 m .46295 .62475 L .46321 .6256 L 0 .291 .77 r
F
.42693 .59605 m .46295 .62475 L .42725 .59695 L F
.16431 .32982 m .20128 .35321 L .16637 .32624 L .622 .547 .748 r
F
.16431 .32982 m .19919 .35679 L .20128 .35321 L F
.81197 .85813 m .84681 .8896 L .80987 .86094 L .761 .504 .545 r
F
.81197 .85813 m .84887 .88674 L .84681 .8896 L F
.363 .37608 m .39589 .40546 L .36036 .37831 L .763 .497 .531 r
F
.363 .37608 m .3985 .40319 L .39589 .40546 L F
.5169 .48055 m .55288 .50799 L .55296 .50906 L 0 .374 .838 r
F
.51675 .47943 m .55288 .50799 L .5169 .48055 L F
.31887 .5093 m .35424 .53683 L .3547 .53785 L 0 .291 .77 r
F
.31834 .50823 m .35424 .53683 L .31887 .5093 L F
.80585 .71398 m .84274 .74215 L .84227 .74278 L 0 .374 .838 r
F
.80625 .7133 m .84274 .74215 L .80585 .71398 L F
.19087 .37105 m .22795 .3946 L .19294 .36749 L .622 .547 .748 r
F
.19087 .37105 m .22584 .39815 L .22795 .3946 L F
.60782 .74275 m .64409 .77101 L .644 .77158 L 0 .291 .77 r
F
.60784 .74212 m .64409 .77101 L .60782 .74275 L F
.68478 .795 m .71907 .8262 L .68253 .79774 L .761 .504 .545 r
F
.68478 .795 m .72129 .82342 L .71907 .8262 L F
.23568 .31282 m .26804 .34194 L .23289 .31498 L .763 .497 .531 r
F
.23568 .31282 m .2708 .33974 L .26804 .34194 L F
.69751 .62634 m .73407 .65424 L .7338 .65503 L 0 .374 .838 r
F
.6977 .62549 m .73407 .65424 L .69751 .62634 L F
.49943 .6551 m .53537 .68309 L .53549 .68383 L 0 .291 .77 r
F
.49925 .65431 m .53537 .68309 L .49943 .6551 L F
.76887 .83802 m .80353 .86941 L .76671 .84081 L .761 .504 .545 r
F
.76887 .83802 m .80565 .86658 L .80353 .86941 L F
.8711 .78146 m .91079 .80659 L .87365 .77819 L .628 .549 .746 r
F
.8711 .78146 m .9082 .80985 L .91079 .80659 L F
.21744 .41229 m .25463 .43601 L .21954 .40876 L .622 .547 .748 r
F
.21744 .41229 m .25251 .43953 L .25463 .43601 L F
.31967 .35573 m .3524 .38504 L .31698 .35794 L .763 .497 .531 r
F
.31967 .35573 m .35506 .38279 L .3524 .38504 L F
.58913 .53865 m .62535 .56629 L .6253 .56725 L 0 .374 .838 r
F
.58911 .53764 m .62535 .56629 L .58913 .53865 L F
.391 .56742 m .42661 .59514 L .42693 .59605 L 0 .291 .77 r
F
.39061 .56646 m .42661 .59514 L .391 .56742 L F
.16637 .32624 m .20337 .34963 L .16843 .32265 L .622 .547 .748 r
F
.16637 .32624 m .20128 .35321 L .20337 .34963 L F
.4037 .39866 m .43679 .42816 L .4011 .40092 L .763 .497 .531 r
F
.4037 .39866 m .43935 .42586 L .43679 .42816 L F
.4807 .45094 m .5166 .4783 L .51675 .47943 L 0 .374 .838 r
F
.48048 .44975 m .5166 .4783 L .4807 .45094 L F
.19228 .29243 m .22446 .32148 L .18943 .29457 L .763 .497 .531 r
F
.19228 .29243 m .22728 .31931 L .22446 .32148 L F
.28253 .4797 m .31781 .50716 L .31834 .50823 L 0 .291 .77 r
F
.28193 .47858 m .31781 .50716 L .28253 .4797 L F
.76985 .68453 m .80665 .71262 L .80625 .7133 L 0 .374 .838 r
F
.77018 .68379 m .80665 .71262 L .76985 .68453 L F
.57168 .71331 m .60786 .7415 L .60784 .74212 L 0 .291 .77 r
F
.57163 .71263 m .60786 .7415 L .57168 .71331 L F
.19294 .36749 m .23006 .39105 L .19502 .36393 L .622 .547 .748 r
F
.19294 .36749 m .22795 .3946 L .23006 .39105 L F
.72572 .81789 m .76021 .84921 L .72351 .82065 L .761 .504 .545 r
F
.72572 .81789 m .76238 .8464 L .76021 .84921 L F
.2763 .33536 m .30885 .3646 L .27355 .33755 L .763 .497 .531 r
F
.2763 .33536 m .31157 .36237 L .30885 .3646 L F
.66143 .59681 m .6979 .62464 L .6977 .62549 L 0 .374 .838 r
F
.66155 .59591 m .6979 .62464 L .66143 .59681 L F
.46321 .6256 m .49906 .65351 L .49925 .65431 L 0 .291 .77 r
F
.46295 .62475 m .49906 .65351 L .46321 .6256 L F
.87365 .77819 m .91338 .80332 L .87621 .77492 L .628 .549 .746 r
F
.87365 .77819 m .91079 .80659 L .91338 .80332 L F
.80987 .86094 m .84474 .89245 L .80776 .86376 L .761 .504 .545 r
F
.80987 .86094 m .84681 .8896 L .84474 .89245 L F
.21954 .40876 m .25677 .43249 L .22163 .40523 L .622 .547 .748 r
F
.21954 .40876 m .25463 .43601 L .25677 .43249 L F
.36036 .37831 m .39328 .40774 L .35771 .38055 L .763 .497 .531 r
F
.36036 .37831 m .39589 .40546 L .39328 .40774 L F
.55296 .50906 m .5891 .53662 L .58911 .53764 L 0 .374 .838 r
F
.55288 .50799 m .5891 .53662 L .55296 .50906 L F
.3547 .53785 m .39022 .5655 L .39061 .56646 L 0 .291 .77 r
F
.35424 .53683 m .39022 .5655 L .3547 .53785 L F
.16843 .32265 m .20546 .34604 L .17049 .31905 L .622 .547 .748 r
F
.16843 .32265 m .20337 .34963 L .20546 .34604 L F
.84227 .74278 m .87931 .77107 L .87877 .77164 L 0 .374 .838 r
F
.84274 .74215 m .87931 .77107 L .84227 .74278 L F
.644 .77158 m .68042 .79996 L .68026 .80048 L 0 .291 .77 r
F
.64409 .77101 m .68042 .79996 L .644 .77158 L F
.68253 .79774 m .71685 .82899 L .68026 .80048 L .761 .504 .545 r
F
.68253 .79774 m .71907 .8262 L .71685 .82899 L F
.44445 .42128 m .47775 .4509 L .44191 .42357 L .763 .497 .531 r
F
.44445 .42128 m .48026 .44857 L .48048 .44975 L 0 .374 .838 r
F
.44445 .42128 m .48026 .44857 L .47775 .4509 L .763 .497 .531 r
F
.23289 .31498 m .26527 .34414 L .23009 .31714 L F
.23289 .31498 m .26804 .34194 L .26527 .34414 L F
.24614 .45006 m .28134 .47745 L .28193 .47858 L 0 .291 .77 r
F
.24614 .45006 m .28349 .47395 L .24826 .44656 L .622 .547 .748 r
F
.24614 .45006 m .28134 .47745 L .28349 .47395 L F
.7338 .65503 m .77052 .68305 L .77018 .68379 L 0 .374 .838 r
F
.73407 .65424 m .77052 .68305 L .7338 .65503 L F
.53549 .68383 m .57158 .71195 L .57163 .71263 L 0 .291 .77 r
F
.53537 .68309 m .57158 .71195 L .53549 .68383 L F
.19502 .36393 m .23217 .38749 L .1971 .36036 L .622 .547 .748 r
F
.19502 .36393 m .23006 .39105 L .23217 .38749 L F
.76671 .84081 m .80141 .87225 L .76455 .8436 L .761 .504 .545 r
F
.76671 .84081 m .80353 .86941 L .80141 .87225 L F
.31698 .35794 m .34973 .3873 L .31427 .36015 L .763 .497 .531 r
F
.31698 .35794 m .3524 .38504 L .34973 .3873 L F
.6253 .56725 m .66168 .595 L .66155 .59591 L 0 .374 .838 r
F
.62535 .56629 m .66168 .595 L .6253 .56725 L F
.42693 .59605 m .4627 .6239 L .46295 .62475 L 0 .291 .77 r
F
.42661 .59514 m .4627 .6239 L .42693 .59605 L F
.87621 .77492 m .91598 .80006 L .87877 .77164 L .628 .549 .746 r
F
.87621 .77492 m .91338 .80332 L .91598 .80006 L F
.22163 .40523 m .2589 .42896 L .22374 .40169 L .622 .547 .748 r
F
.22163 .40523 m .25677 .43249 L .2589 .42896 L F
.4011 .40092 m .43423 .43047 L .3985 .40319 L .763 .497 .531 r
F
.4011 .40092 m .43679 .42816 L .43423 .43047 L F
.51675 .47943 m .5528 .50692 L .55288 .50799 L 0 .374 .838 r
F
.5166 .4783 m .5528 .50692 L .51675 .47943 L F
.18943 .29457 m .22164 .32366 L .18658 .29671 L .763 .497 .531 r
F
.18943 .29457 m .22446 .32148 L .22164 .32366 L F
.31834 .50823 m .35378 .53581 L .35424 .53683 L 0 .291 .77 r
F
.31781 .50716 m .35378 .53581 L .31834 .50823 L F
.17049 .31905 m .20756 .34245 L .17255 .31545 L .622 .547 .748 r
F
.17049 .31905 m .20546 .34604 L .20756 .34245 L F
.80625 .7133 m .84321 .74152 L .84274 .74215 L 0 .374 .838 r
F
.80665 .71262 m .84321 .74152 L .80625 .7133 L F
.60784 .74212 m .64418 .77044 L .64409 .77101 L 0 .291 .77 r
F
.60786 .7415 m .64418 .77044 L .60784 .74212 L F
.72351 .82065 m .75803 .85202 L .72129 .82342 L .761 .504 .545 r
F
.72351 .82065 m .76021 .84921 L .75803 .85202 L F
.27355 .33755 m .30613 .36683 L .2708 .33974 L .763 .497 .531 r
F
.27355 .33755 m .30885 .3646 L .30613 .36683 L F
.24826 .44656 m .28564 .47045 L .25038 .44305 L .622 .547 .748 r
F
.24826 .44656 m .28349 .47395 L .28564 .47045 L F
.6977 .62549 m .73433 .65344 L .73407 .65424 L 0 .374 .838 r
F
.6979 .62464 m .73433 .65344 L .6977 .62549 L F
.49925 .65431 m .53526 .68235 L .53537 .68309 L 0 .291 .77 r
F
.49906 .65351 m .53526 .68235 L .49925 .65431 L F
.1971 .36036 m .23429 .38392 L .19919 .35679 L .622 .547 .748 r
F
.1971 .36036 m .23217 .38749 L .23429 .38392 L F
.80776 .86376 m .84266 .89532 L .80565 .86658 L .761 .504 .545 r
F
.80776 .86376 m .84474 .89245 L .84266 .89532 L F
.35771 .38055 m .39066 .41002 L .35506 .38279 L .763 .497 .531 r
F
.35771 .38055 m .39328 .40774 L .39066 .41002 L F
.58911 .53764 m .62541 .56532 L .62535 .56629 L 0 .374 .838 r
F
.5891 .53662 m .62541 .56532 L .58911 .53764 L F
.39061 .56646 m .42629 .59423 L .42661 .59514 L 0 .291 .77 r
F
.39022 .5655 m .42629 .59423 L .39061 .56646 L F
.87931 .77107 m .91598 .80006 L .87877 .77164 L 0 .374 .838 r
F
.22374 .40169 m .26103 .42542 L .22584 .39815 L .622 .547 .748 r
F
.22374 .40169 m .2589 .42896 L .26103 .42542 L F
.68042 .79996 m .71685 .82899 L .68026 .80048 L 0 .291 .77 r
F
.44191 .42357 m .47523 .45324 L .43935 .42586 L .763 .497 .531 r
F
.44191 .42357 m .47775 .4509 L .47523 .45324 L F
.48048 .44975 m .51644 .47717 L .5166 .4783 L 0 .374 .838 r
F
.48026 .44857 m .51644 .47717 L .48048 .44975 L F
.23009 .31714 m .2625 .34635 L .22728 .31931 L .763 .497 .531 r
F
.23009 .31714 m .26527 .34414 L .2625 .34635 L F
.28193 .47858 m .31728 .50608 L .31781 .50716 L 0 .291 .77 r
F
.28134 .47745 m .31728 .50608 L .28193 .47858 L F
.17255 .31545 m .20966 .33885 L .17462 .31185 L .622 .547 .748 r
F
.17255 .31545 m .20756 .34245 L .20966 .33885 L F
.77018 .68379 m .80706 .71194 L .80665 .71262 L 0 .374 .838 r
F
.77052 .68305 m .80706 .71194 L .77018 .68379 L F
.57163 .71263 m .60788 .74087 L .60786 .7415 L 0 .291 .77 r
F
.57158 .71195 m .60788 .74087 L .57163 .71263 L F
.76455 .8436 m .79928 .87509 L .76238 .8464 L .761 .504 .545 r
F
.76455 .8436 m .80141 .87225 L .79928 .87509 L F
.31427 .36015 m .34706 .38956 L .31157 .36237 L .763 .497 .531 r
F
.31427 .36015 m .34973 .3873 L .34706 .38956 L F
.25038 .44305 m .28779 .46694 L .25251 .43953 L .622 .547 .748 r
F
.25038 .44305 m .28564 .47045 L .28779 .46694 L F
.66155 .59591 m .69809 .62379 L .6979 .62464 L 0 .374 .838 r
F
.66168 .595 m .69809 .62379 L .66155 .59591 L F
.46295 .62475 m .49888 .65272 L .49906 .65351 L 0 .291 .77 r
F
.4627 .6239 m .49888 .65272 L .46295 .62475 L F
.19919 .35679 m .23641 .38035 L .20128 .35321 L .622 .547 .748 r
F
.19919 .35679 m .23429 .38392 L .23641 .38035 L F
.3985 .40319 m .43165 .43278 L .39589 .40546 L .763 .497 .531 r
F
.3985 .40319 m .43423 .43047 L .43165 .43278 L F
.55288 .50799 m .58909 .5356 L .5891 .53662 L 0 .374 .838 r
F
.5528 .50692 m .58909 .5356 L .55288 .50799 L F
.18658 .29671 m .21881 .32584 L .18372 .29885 L .763 .497 .531 r
F
.18658 .29671 m .22164 .32366 L .21881 .32584 L F
.35424 .53683 m .38983 .56453 L .39022 .5655 L 0 .291 .77 r
F
.35378 .53581 m .38983 .56453 L .35424 .53683 L F
.84274 .74215 m .87986 .7705 L .87931 .77107 L 0 .374 .838 r
F
.84321 .74152 m .87986 .7705 L .84274 .74215 L F
.22584 .39815 m .26317 .42188 L .22795 .3946 L .622 .547 .748 r
F
.22584 .39815 m .26103 .42542 L .26317 .42188 L F
.64409 .77101 m .68059 .79944 L .68042 .79996 L 0 .291 .77 r
F
.64418 .77044 m .68059 .79944 L .64409 .77101 L F
.72129 .82342 m .75585 .85484 L .71907 .8262 L .761 .504 .545 r
F
.72129 .82342 m .75803 .85202 L .75585 .85484 L F
.2708 .33974 m .30341 .36907 L .26804 .34194 L .763 .497 .531 r
F
.2708 .33974 m .30613 .36683 L .30341 .36907 L F
.17462 .31185 m .21176 .33525 L .1767 .30824 L .622 .547 .748 r
F
.17462 .31185 m .20966 .33885 L .21176 .33525 L F
.73407 .65424 m .77085 .68231 L .77052 .68305 L 0 .374 .838 r
F
.73433 .65344 m .77085 .68231 L .73407 .65424 L F
.53537 .68309 m .57154 .71126 L .57158 .71195 L 0 .291 .77 r
F
.53526 .68235 m .57154 .71126 L .53537 .68309 L F
.80565 .86658 m .84058 .8982 L .80353 .86941 L .761 .504 .545 r
F
.80565 .86658 m .84266 .89532 L .84058 .8982 L F
.25251 .43953 m .28995 .46343 L .25463 .43601 L .622 .547 .748 r
F
.25251 .43953 m .28779 .46694 L .28995 .46343 L F
.35506 .38279 m .38804 .41231 L .3524 .38504 L .763 .497 .531 r
F
.35506 .38279 m .39066 .41002 L .38804 .41231 L F
.62535 .56629 m .6618 .59409 L .66168 .595 L 0 .374 .838 r
F
.62541 .56532 m .6618 .59409 L .62535 .56629 L F
.42661 .59514 m .46245 .62304 L .4627 .6239 L 0 .291 .77 r
F
.42629 .59423 m .46245 .62304 L .42661 .59514 L F
.20128 .35321 m .23853 .37678 L .20337 .34963 L .622 .547 .748 r
F
.20128 .35321 m .23641 .38035 L .23853 .37678 L F
.43935 .42586 m .47271 .45558 L .43679 .42816 L .763 .497 .531 r
F
.43935 .42586 m .47523 .45324 L .47271 .45558 L F
.5166 .4783 m .55271 .50584 L .5528 .50692 L 0 .374 .838 r
F
.51644 .47717 m .55271 .50584 L .5166 .4783 L F
.22728 .31931 m .25971 .34856 L .22446 .32148 L .763 .497 .531 r
F
.22728 .31931 m .2625 .34635 L .25971 .34856 L F
.31781 .50716 m .35331 .53479 L .35378 .53581 L 0 .291 .77 r
F
.31728 .50608 m .35331 .53479 L .31781 .50716 L F
.80665 .71262 m .84368 .74089 L .84321 .74152 L 0 .374 .838 r
F
.80706 .71194 m .84368 .74089 L .80665 .71262 L F
.60786 .7415 m .64427 .76986 L .64418 .77044 L 0 .291 .77 r
F
.60788 .74087 m .64427 .76986 L .60786 .7415 L F
.22795 .3946 m .26532 .41833 L .23006 .39105 L .622 .547 .748 r
F
.22795 .3946 m .26317 .42188 L .26532 .41833 L F
.76238 .8464 m .79714 .87794 L .76021 .84921 L .761 .504 .545 r
F
.76238 .8464 m .79928 .87509 L .79714 .87794 L F
.31157 .36237 m .34438 .39182 L .30885 .3646 L .763 .497 .531 r
F
.31157 .36237 m .34706 .38956 L .34438 .39182 L F
.1767 .30824 m .21387 .33164 L .17877 .30462 L .622 .547 .748 r
F
.1767 .30824 m .21176 .33525 L .21387 .33164 L F
.6979 .62464 m .73459 .65264 L .73433 .65344 L 0 .374 .838 r
F
.69809 .62379 m .73459 .65264 L .6979 .62464 L F
.49906 .65351 m .53514 .68161 L .53526 .68235 L 0 .291 .77 r
F
.49888 .65272 m .53514 .68161 L .49906 .65351 L F
.25463 .43601 m .29212 .45991 L .25677 .43249 L .622 .547 .748 r
F
.25463 .43601 m .28995 .46343 L .29212 .45991 L F
.39589 .40546 m .42908 .4351 L .39328 .40774 L .763 .497 .531 r
F
.39589 .40546 m .43165 .43278 L .42908 .4351 L F
.5891 .53662 m .62546 .56435 L .62541 .56532 L 0 .374 .838 r
F
.58909 .5356 m .62546 .56435 L .5891 .53662 L F
.18372 .29885 m .21598 .32803 L .18085 .301 L .763 .497 .531 r
F
.18372 .29885 m .21881 .32584 L .21598 .32803 L F
.39022 .5655 m .42596 .59332 L .42629 .59423 L 0 .291 .77 r
F
.38983 .56453 m .42596 .59332 L .39022 .5655 L F
.20337 .34963 m .24066 .3732 L .20546 .34604 L .622 .547 .748 r
F
.20337 .34963 m .23853 .37678 L .24066 .3732 L F
.87931 .77107 m .91659 .79954 L .91598 .80006 L 0 .374 .838 r
F
.87986 .7705 m .91659 .79954 L .87931 .77107 L F
.68042 .79996 m .71708 .82852 L .71685 .82899 L 0 .291 .77 r
F
.68059 .79944 m .71708 .82852 L .68042 .79996 L F
.71907 .8262 m .75366 .85767 L .71685 .82899 L .761 .504 .545 r
F
.71907 .8262 m .75585 .85484 L .75366 .85767 L F
.48026 .44857 m .51382 .4784 L .47775 .4509 L .763 .497 .531 r
F
.48026 .44857 m .51629 .47603 L .51644 .47717 L 0 .374 .838 r
F
.48026 .44857 m .51629 .47603 L .51382 .4784 L .763 .497 .531 r
F
.26804 .34194 m .30067 .37131 L .26527 .34414 L F
.26804 .34194 m .30341 .36907 L .30067 .37131 L F
.28134 .47745 m .31675 .505 L .31728 .50608 L 0 .291 .77 r
F
.28134 .47745 m .31893 .50151 L .28349 .47395 L .622 .547 .748 r
F
.28134 .47745 m .31675 .505 L .31893 .50151 L F
.77052 .68305 m .80746 .71125 L .80706 .71194 L 0 .374 .838 r
F
.77085 .68231 m .80746 .71125 L .77052 .68305 L F
.57158 .71195 m .60791 .74024 L .60788 .74087 L 0 .291 .77 r
F
.57154 .71126 m .60791 .74024 L .57158 .71195 L F
.23006 .39105 m .26746 .41478 L .23217 .38749 L .622 .547 .748 r
F
.23006 .39105 m .26532 .41833 L .26746 .41478 L F
.80353 .86941 m .83849 .90108 L .80141 .87225 L .761 .504 .545 r
F
.80353 .86941 m .84058 .8982 L .83849 .90108 L F
.3524 .38504 m .38541 .41461 L .34973 .3873 L .763 .497 .531 r
F
.3524 .38504 m .38804 .41231 L .38541 .41461 L F
.17877 .30462 m .21598 .32803 L .18085 .301 L .622 .547 .748 r
F
.17877 .30462 m .21387 .33164 L .21598 .32803 L F
.66168 .595 m .69829 .62293 L .69809 .62379 L 0 .374 .838 r
F
.6618 .59409 m .69829 .62293 L .66168 .595 L F
.4627 .6239 m .49869 .65192 L .49888 .65272 L 0 .291 .77 r
F
.46245 .62304 m .49869 .65192 L .4627 .6239 L F
.25677 .43249 m .29428 .45639 L .2589 .42896 L .622 .547 .748 r
F
.25677 .43249 m .29212 .45991 L .29428 .45639 L F
.43679 .42816 m .47018 .45792 L .43423 .43047 L .763 .497 .531 r
F
.43679 .42816 m .47271 .45558 L .47018 .45792 L F
.5528 .50692 m .58907 .53457 L .58909 .5356 L 0 .374 .838 r
F
.55271 .50584 m .58907 .53457 L .5528 .50692 L F
.22446 .32148 m .25693 .35078 L .22164 .32366 L .763 .497 .531 r
F
.22446 .32148 m .25971 .34856 L .25693 .35078 L F
.35378 .53581 m .38943 .56356 L .38983 .56453 L 0 .291 .77 r
F
.35331 .53479 m .38943 .56356 L .35378 .53581 L F
.20546 .34604 m .24279 .36962 L .20756 .34245 L .622 .547 .748 r
F
.20546 .34604 m .24066 .3732 L .24279 .36962 L F
.84321 .74152 m .8804 .76992 L .87986 .7705 L 0 .374 .838 r
F
.84368 .74089 m .8804 .76992 L .84321 .74152 L F
.64418 .77044 m .68075 .79892 L .68059 .79944 L 0 .291 .77 r
F
.64427 .76986 m .68075 .79892 L .64418 .77044 L F
.76021 .84921 m .795 .8808 L .75803 .85202 L .761 .504 .545 r
F
.76021 .84921 m .79714 .87794 L .795 .8808 L F
.30885 .3646 m .34169 .39409 L .30613 .36683 L .763 .497 .531 r
F
.30885 .3646 m .34438 .39182 L .34169 .39409 L F
.28349 .47395 m .32111 .49802 L .28564 .47045 L .622 .547 .748 r
F
.28349 .47395 m .31893 .50151 L .32111 .49802 L F
.73433 .65344 m .77119 .68157 L .77085 .68231 L 0 .374 .838 r
F
.73459 .65264 m .77119 .68157 L .73433 .65344 L F
.53526 .68235 m .57149 .71057 L .57154 .71126 L 0 .291 .77 r
F
.53514 .68161 m .57149 .71057 L .53526 .68235 L F
.23217 .38749 m .26961 .41123 L .23429 .38392 L .622 .547 .748 r
F
.23217 .38749 m .26746 .41478 L .26961 .41123 L F
.39328 .40774 m .42649 .43743 L .39066 .41002 L .763 .497 .531 r
F
.39328 .40774 m .42908 .4351 L .42649 .43743 L F
.62541 .56532 m .66193 .59318 L .6618 .59409 L 0 .374 .838 r
F
.62546 .56435 m .66193 .59318 L .62541 .56532 L F
.42629 .59423 m .46219 .62218 L .46245 .62304 L 0 .291 .77 r
F
.42596 .59332 m .46219 .62218 L .42629 .59423 L F
.2589 .42896 m .29645 .45286 L .26103 .42542 L .622 .547 .748 r
F
.2589 .42896 m .29428 .45639 L .29645 .45286 L F
.71708 .82852 m .75366 .85767 L .71685 .82899 L 0 .291 .77 r
F
.47775 .4509 m .51133 .48078 L .47523 .45324 L .763 .497 .531 r
F
.47775 .4509 m .51382 .4784 L .51133 .48078 L F
.51644 .47717 m .55263 .50475 L .55271 .50584 L 0 .374 .838 r
F
.51629 .47603 m .55263 .50475 L .51644 .47717 L F
.26527 .34414 m .29793 .37356 L .2625 .34635 L .763 .497 .531 r
F
.26527 .34414 m .30067 .37131 L .29793 .37356 L F
.31728 .50608 m .35285 .53376 L .35331 .53479 L 0 .291 .77 r
F
.31675 .505 m .35285 .53376 L .31728 .50608 L F
.20756 .34245 m .24492 .36603 L .20966 .33885 L .622 .547 .748 r
F
.20756 .34245 m .24279 .36962 L .24492 .36603 L F
.80706 .71194 m .84416 .74026 L .84368 .74089 L 0 .374 .838 r
F
.80746 .71125 m .84416 .74026 L .80706 .71194 L F
.60788 .74087 m .64436 .76928 L .64427 .76986 L 0 .291 .77 r
F
.60791 .74024 m .64436 .76928 L .60788 .74087 L F
.80141 .87225 m .8364 .90396 L .79928 .87509 L .761 .504 .545 r
F
.80141 .87225 m .83849 .90108 L .8364 .90396 L F
.34973 .3873 m .38277 .41691 L .34706 .38956 L .763 .497 .531 r
F
.34973 .3873 m .38541 .41461 L .38277 .41691 L F
.28564 .47045 m .3233 .49452 L .28779 .46694 L .622 .547 .748 r
F
.28564 .47045 m .32111 .49802 L .3233 .49452 L F
.69809 .62379 m .73486 .65184 L .73459 .65264 L 0 .374 .838 r
F
.69829 .62293 m .73486 .65184 L .69809 .62379 L F
.49888 .65272 m .53502 .68086 L .53514 .68161 L 0 .291 .77 r
F
.49869 .65192 m .53502 .68086 L .49888 .65272 L F
.23429 .38392 m .27176 .40767 L .23641 .38035 L .622 .547 .748 r
F
.23429 .38392 m .26961 .41123 L .27176 .40767 L F
.43423 .43047 m .46764 .46028 L .43165 .43278 L .763 .497 .531 r
F
.43423 .43047 m .47018 .45792 L .46764 .46028 L F
.58909 .5356 m .62552 .56338 L .62546 .56435 L 0 .374 .838 r
F
.58907 .53457 m .62552 .56338 L .58909 .5356 L F
.22164 .32366 m .25413 .353 L .21881 .32584 L .763 .497 .531 r
F
.22164 .32366 m .25693 .35078 L .25413 .353 L F
.38983 .56453 m .42564 .59241 L .42596 .59332 L 0 .291 .77 r
F
.38943 .56356 m .42564 .59241 L .38983 .56453 L F
.87986 .7705 m .9172 .79902 L .91659 .79954 L 0 .374 .838 r
F
.8804 .76992 m .9172 .79902 L .87986 .7705 L F
.26103 .42542 m .29862 .44933 L .26317 .42188 L .622 .547 .748 r
F
.26103 .42542 m .29645 .45286 L .29862 .44933 L F
.68059 .79944 m .71731 .82806 L .71708 .82852 L 0 .291 .77 r
F
.68075 .79892 m .71731 .82806 L .68059 .79944 L F
.75803 .85202 m .79286 .88366 L .75585 .85484 L .761 .504 .545 r
F
.75803 .85202 m .795 .8808 L .79286 .88366 L F
.30613 .36683 m .339 .39637 L .30341 .36907 L .763 .497 .531 r
F
.30613 .36683 m .34169 .39409 L .339 .39637 L F
.20966 .33885 m .24705 .36243 L .21176 .33525 L .622 .547 .748 r
F
.20966 .33885 m .24492 .36603 L .24705 .36243 L F
.77085 .68231 m .80787 .71056 L .80746 .71125 L 0 .374 .838 r
F
.77119 .68157 m .80787 .71056 L .77085 .68231 L F
.57154 .71126 m .60793 .7396 L .60791 .74024 L 0 .291 .77 r
F
.57149 .71057 m .60793 .7396 L .57154 .71126 L F
.28779 .46694 m .32549 .49102 L .28995 .46343 L .622 .547 .748 r
F
.28779 .46694 m .3233 .49452 L .32549 .49102 L F
.39066 .41002 m .4239 .43976 L .38804 .41231 L .763 .497 .531 r
F
.39066 .41002 m .42649 .43743 L .4239 .43976 L F
.6618 .59409 m .69848 .62207 L .69829 .62293 L 0 .374 .838 r
F
.66193 .59318 m .69848 .62207 L .6618 .59409 L F
.46245 .62304 m .4985 .65111 L .49869 .65192 L 0 .291 .77 r
F
.46219 .62218 m .4985 .65111 L .46245 .62304 L F
.23641 .38035 m .27392 .4041 L .23853 .37678 L .622 .547 .748 r
F
.23641 .38035 m .27176 .40767 L .27392 .4041 L F
.47523 .45324 m .50884 .48316 L .47271 .45558 L .763 .497 .531 r
F
.47523 .45324 m .51133 .48078 L .50884 .48316 L F
.55271 .50584 m .58906 .53355 L .58907 .53457 L 0 .374 .838 r
F
.55263 .50475 m .58906 .53355 L .55271 .50584 L F
.2625 .34635 m .29519 .37581 L .25971 .34856 L .763 .497 .531 r
F
.2625 .34635 m .29793 .37356 L .29519 .37581 L F
.35331 .53479 m .38904 .56259 L .38943 .56356 L 0 .291 .77 r
F
.35285 .53376 m .38904 .56259 L .35331 .53479 L F
.84368 .74089 m .88094 .76934 L .8804 .76992 L 0 .374 .838 r
F
.84416 .74026 m .88094 .76934 L .84368 .74089 L F
.64427 .76986 m .68091 .7984 L .68075 .79892 L 0 .291 .77 r
F
.64436 .76928 m .68091 .7984 L .64427 .76986 L F
.26317 .42188 m .30079 .44579 L .26532 .41833 L .622 .547 .748 r
F
.26317 .42188 m .29862 .44933 L .30079 .44579 L F
.79928 .87509 m .83431 .90686 L .79714 .87794 L .761 .504 .545 r
F
.79928 .87509 m .8364 .90396 L .83431 .90686 L F
.34706 .38956 m .38012 .41921 L .34438 .39182 L .763 .497 .531 r
F
.34706 .38956 m .38277 .41691 L .38012 .41921 L F
.21176 .33525 m .24919 .35884 L .21387 .33164 L .622 .547 .748 r
F
.21176 .33525 m .24705 .36243 L .24919 .35884 L F
.73459 .65264 m .77152 .68082 L .77119 .68157 L 0 .374 .838 r
F
.73486 .65184 m .77152 .68082 L .73459 .65264 L F
.53514 .68161 m .57144 .70988 L .57149 .71057 L 0 .291 .77 r
F
.53502 .68086 m .57144 .70988 L .53514 .68161 L F
.28995 .46343 m .32769 .48751 L .29212 .45991 L .622 .547 .748 r
F
.28995 .46343 m .32549 .49102 L .32769 .48751 L F
.43165 .43278 m .4651 .46264 L .42908 .4351 L .763 .497 .531 r
F
.43165 .43278 m .46764 .46028 L .4651 .46264 L F
.62546 .56435 m .66206 .59226 L .66193 .59318 L 0 .374 .838 r
F
.62552 .56338 m .66206 .59226 L .62546 .56435 L F
.21881 .32584 m .25133 .35523 L .21598 .32803 L .763 .497 .531 r
F
.21881 .32584 m .25413 .353 L .25133 .35523 L F
.42596 .59332 m .46193 .62132 L .46219 .62218 L 0 .291 .77 r
F
.42564 .59241 m .46193 .62132 L .42596 .59332 L F
.23853 .37678 m .27607 .40053 L .24066 .3732 L .622 .547 .748 r
F
.23853 .37678 m .27392 .4041 L .27607 .40053 L F
.71708 .82852 m .75397 .85726 L .75366 .85767 L 0 .291 .77 r
F
.71731 .82806 m .75397 .85726 L .71708 .82852 L F
.75585 .85484 m .79071 .88654 L .75366 .85767 L .761 .504 .545 r
F
.75585 .85484 m .79286 .88366 L .79071 .88654 L F
.51629 .47603 m .55011 .50608 L .51382 .4784 L .763 .497 .531 r
F
.51629 .47603 m .55255 .50367 L .55263 .50475 L 0 .374 .838 r
F
.51629 .47603 m .55255 .50367 L .55011 .50608 L .763 .497 .531 r
F
.30341 .36907 m .3363 .39865 L .30067 .37131 L F
.30341 .36907 m .339 .39637 L .3363 .39865 L F
.31675 .505 m .35238 .53273 L .35285 .53376 L 0 .291 .77 r
F
.31675 .505 m .3546 .52925 L .31893 .50151 L .622 .547 .748 r
F
.31675 .505 m .35238 .53273 L .3546 .52925 L F
.80746 .71125 m .84463 .73963 L .84416 .74026 L 0 .374 .838 r
F
.80787 .71056 m .84463 .73963 L .80746 .71125 L F
.60791 .74024 m .64446 .7687 L .64436 .76928 L 0 .291 .77 r
F
.60793 .7396 m .64446 .7687 L .60791 .74024 L F
.26532 .41833 m .30297 .44225 L .26746 .41478 L .622 .547 .748 r
F
.26532 .41833 m .30079 .44579 L .30297 .44225 L F
.38804 .41231 m .42131 .44209 L .38541 .41461 L .763 .497 .531 r
F
.38804 .41231 m .4239 .43976 L .42131 .44209 L F
.21387 .33164 m .25133 .35523 L .21598 .32803 L .622 .547 .748 r
F
.21387 .33164 m .24919 .35884 L .25133 .35523 L F
.69829 .62293 m .73513 .65103 L .73486 .65184 L 0 .374 .838 r
F
.69848 .62207 m .73513 .65103 L .69829 .62293 L F
.49869 .65192 m .53491 .68011 L .53502 .68086 L 0 .291 .77 r
F
.4985 .65111 m .53491 .68011 L .49869 .65192 L F
.29212 .45991 m .32988 .484 L .29428 .45639 L .622 .547 .748 r
F
.29212 .45991 m .32769 .48751 L .32988 .484 L F
.47271 .45558 m .50635 .48555 L .47018 .45792 L .763 .497 .531 r
F
.47271 .45558 m .50884 .48316 L .50635 .48555 L F
.58907 .53457 m .62558 .56241 L .62552 .56338 L 0 .374 .838 r
F
.58906 .53355 m .62558 .56241 L .58907 .53457 L F
.25971 .34856 m .29243 .37807 L .25693 .35078 L .763 .497 .531 r
F
.25971 .34856 m .29519 .37581 L .29243 .37807 L F
.38943 .56356 m .42531 .59149 L .42564 .59241 L 0 .291 .77 r
F
.38904 .56259 m .42531 .59149 L .38943 .56356 L F
.24066 .3732 m .27823 .39696 L .24279 .36962 L .622 .547 .748 r
F
.24066 .3732 m .27607 .40053 L .27823 .39696 L F
.8804 .76992 m .91782 .79849 L .9172 .79902 L 0 .374 .838 r
F
.88094 .76934 m .91782 .79849 L .8804 .76992 L F
.68075 .79892 m .71755 .82759 L .71731 .82806 L 0 .291 .77 r
F
.68091 .7984 m .71755 .82759 L .68075 .79892 L F
.79714 .87794 m .83221 .90976 L .795 .8808 L .761 .504 .545 r
F
.79714 .87794 m .83431 .90686 L .83221 .90976 L F
.34438 .39182 m .37747 .42152 L .34169 .39409 L .763 .497 .531 r
F
.34438 .39182 m .38012 .41921 L .37747 .42152 L F
.31893 .50151 m .35681 .52576 L .32111 .49802 L .622 .547 .748 r
F
.31893 .50151 m .3546 .52925 L .35681 .52576 L F
.77119 .68157 m .80827 .70987 L .80787 .71056 L 0 .374 .838 r
F
.77152 .68082 m .80827 .70987 L .77119 .68157 L F
.57149 .71057 m .60795 .73896 L .60793 .7396 L 0 .291 .77 r
F
.57144 .70988 m .60795 .73896 L .57149 .71057 L F
.26746 .41478 m .30515 .4387 L .26961 .41123 L .622 .547 .748 r
F
.26746 .41478 m .30297 .44225 L .30515 .4387 L F
.42908 .4351 m .46255 .465 L .42649 .43743 L .763 .497 .531 r
F
.42908 .4351 m .4651 .46264 L .46255 .465 L F
.66193 .59318 m .69868 .62121 L .69848 .62207 L 0 .374 .838 r
F
.66206 .59226 m .69868 .62121 L .66193 .59318 L F
.46219 .62218 m .49832 .65031 L .4985 .65111 L 0 .291 .77 r
F
.46193 .62132 m .49832 .65031 L .46219 .62218 L F
.29428 .45639 m .33208 .48048 L .29645 .45286 L .622 .547 .748 r
F
.29428 .45639 m .32988 .484 L .33208 .48048 L F
.75397 .85726 m .79071 .88654 L .75366 .85767 L 0 .291 .77 r
F
.51382 .4784 m .54766 .5085 L .51133 .48078 L .763 .497 .531 r
F
.51382 .4784 m .55011 .50608 L .54766 .5085 L F
.55263 .50475 m .58905 .53251 L .58906 .53355 L 0 .374 .838 r
F
.55255 .50367 m .58905 .53251 L .55263 .50475 L F
.30067 .37131 m .33359 .40094 L .29793 .37356 L .763 .497 .531 r
F
.30067 .37131 m .3363 .39865 L .33359 .40094 L F
.35285 .53376 m .38864 .56161 L .38904 .56259 L 0 .291 .77 r
F
.35238 .53273 m .38864 .56161 L .35285 .53376 L F
.24279 .36962 m .2804 .39337 L .24492 .36603 L .622 .547 .748 r
F
.24279 .36962 m .27823 .39696 L .2804 .39337 L F
.84416 .74026 m .88149 .76876 L .88094 .76934 L 0 .374 .838 r
F
.84463 .73963 m .88149 .76876 L .84416 .74026 L F
.64436 .76928 m .68107 .79788 L .68091 .7984 L 0 .291 .77 r
F
.64446 .7687 m .68107 .79788 L .64436 .76928 L F
.38541 .41461 m .4187 .44443 L .38277 .41691 L .763 .497 .531 r
F
.38541 .41461 m .42131 .44209 L .4187 .44443 L F
.32111 .49802 m .35903 .52227 L .3233 .49452 L .622 .547 .748 r
F
.32111 .49802 m .35681 .52576 L .35903 .52227 L F
.73486 .65184 m .77186 .68007 L .77152 .68082 L 0 .374 .838 r
F
.73513 .65103 m .77186 .68007 L .73486 .65184 L F
.53502 .68086 m .5714 .70918 L .57144 .70988 L 0 .291 .77 r
F
.53491 .68011 m .5714 .70918 L .53502 .68086 L F
.26961 .41123 m .30733 .43515 L .27176 .40767 L .622 .547 .748 r
F
.26961 .41123 m .30515 .4387 L .30733 .43515 L F
.47018 .45792 m .50385 .48794 L .46764 .46028 L .763 .497 .531 r
F
.47018 .45792 m .50635 .48555 L .50385 .48794 L F
.62552 .56338 m .66218 .59134 L .66206 .59226 L 0 .374 .838 r
F
.62558 .56241 m .66218 .59134 L .62552 .56338 L F
.25693 .35078 m .28967 .38033 L .25413 .353 L .763 .497 .531 r
F
.25693 .35078 m .29243 .37807 L .28967 .38033 L F
.42564 .59241 m .46168 .62046 L .46193 .62132 L 0 .291 .77 r
F
.42531 .59149 m .46168 .62046 L .42564 .59241 L F
.29645 .45286 m .33429 .47695 L .29862 .44933 L .622 .547 .748 r
F
.29645 .45286 m .33208 .48048 L .33429 .47695 L F
.71731 .82806 m .75427 .85685 L .75397 .85726 L 0 .291 .77 r
F
.71755 .82759 m .75427 .85685 L .71731 .82806 L F
.795 .8808 m .8301 .91267 L .79286 .88366 L .761 .504 .545 r
F
.795 .8808 m .83221 .90976 L .8301 .91267 L F
.34169 .39409 m .37481 .42384 L .339 .39637 L .763 .497 .531 r
F
.34169 .39409 m .37747 .42152 L .37481 .42384 L F
.24492 .36603 m .28256 .38979 L .24705 .36243 L .622 .547 .748 r
F
.24492 .36603 m .2804 .39337 L .28256 .38979 L F
.80787 .71056 m .84511 .73899 L .84463 .73963 L 0 .374 .838 r
F
.80827 .70987 m .84511 .73899 L .80787 .71056 L F
.60793 .7396 m .64455 .76812 L .64446 .7687 L 0 .291 .77 r
F
.60795 .73896 m .64455 .76812 L .60793 .7396 L F
.3233 .49452 m .36126 .51878 L .32549 .49102 L .622 .547 .748 r
F
.3233 .49452 m .35903 .52227 L .36126 .51878 L F
.42649 .43743 m .45999 .46737 L .4239 .43976 L .763 .497 .531 r
F
.42649 .43743 m .46255 .465 L .45999 .46737 L F
.69848 .62207 m .7354 .65023 L .73513 .65103 L 0 .374 .838 r
F
.69868 .62121 m .7354 .65023 L .69848 .62207 L F
.4985 .65111 m .53479 .67936 L .53491 .68011 L 0 .291 .77 r
F
.49832 .65031 m .53479 .67936 L .4985 .65111 L F
.27176 .40767 m .30952 .43159 L .27392 .4041 L .622 .547 .748 r
F
.27176 .40767 m .30733 .43515 L .30952 .43159 L F
.51133 .48078 m .54521 .51092 L .50884 .48316 L .763 .497 .531 r
F
.51133 .48078 m .54766 .5085 L .54521 .51092 L F
.58906 .53355 m .62564 .56143 L .62558 .56241 L 0 .374 .838 r
F
.58905 .53251 m .62564 .56143 L .58906 .53355 L F
.29793 .37356 m .33088 .40323 L .29519 .37581 L .763 .497 .531 r
F
.29793 .37356 m .33359 .40094 L .33088 .40323 L F
.38904 .56259 m .42498 .59056 L .42531 .59149 L 0 .291 .77 r
F
.38864 .56161 m .42498 .59056 L .38904 .56259 L F
.88094 .76934 m .91844 .79797 L .91782 .79849 L 0 .374 .838 r
F
.88149 .76876 m .91844 .79797 L .88094 .76934 L F
.68091 .7984 m .71778 .82712 L .71755 .82759 L 0 .291 .77 r
F
.68107 .79788 m .71778 .82712 L .68091 .7984 L F
.29862 .44933 m .33649 .47343 L .30079 .44579 L .622 .547 .748 r
F
.29862 .44933 m .33429 .47695 L .33649 .47343 L F
.38277 .41691 m .41609 .44678 L .38012 .41921 L .763 .497 .531 r
F
.38277 .41691 m .4187 .44443 L .41609 .44678 L F
.24705 .36243 m .28473 .3862 L .24919 .35884 L .622 .547 .748 r
F
.24705 .36243 m .28256 .38979 L .28473 .3862 L F
.77152 .68082 m .80868 .70917 L .80827 .70987 L 0 .374 .838 r
F
.77186 .68007 m .80868 .70917 L .77152 .68082 L F
.57144 .70988 m .60798 .73833 L .60795 .73896 L 0 .291 .77 r
F
.5714 .70918 m .60798 .73833 L .57144 .70988 L F
.32549 .49102 m .36348 .51528 L .32769 .48751 L .622 .547 .748 r
F
.32549 .49102 m .36126 .51878 L .36348 .51528 L F
.46764 .46028 m .50134 .49034 L .4651 .46264 L .763 .497 .531 r
F
.46764 .46028 m .50385 .48794 L .50134 .49034 L F
.66206 .59226 m .69888 .62034 L .69868 .62121 L 0 .374 .838 r
F
.66218 .59134 m .69888 .62034 L .66206 .59226 L F
.25413 .353 m .28691 .3826 L .25133 .35523 L .763 .497 .531 r
F
.25413 .353 m .28967 .38033 L .28691 .3826 L F
.46193 .62132 m .49813 .6495 L .49832 .65031 L 0 .291 .77 r
F
.46168 .62046 m .49813 .6495 L .46193 .62132 L F
.27392 .4041 m .31171 .42803 L .27607 .40053 L .622 .547 .748 r
F
.27392 .4041 m .30952 .43159 L .31171 .42803 L F
.79286 .88366 m .82799 .91558 L .79071 .88654 L .761 .504 .545 r
F
.75397 .85726 m .79108 .88618 L .79071 .88654 L 0 .291 .77 r
F
.75427 .85685 m .79108 .88618 L .75397 .85726 L F
.79286 .88366 m .8301 .91267 L .82799 .91558 L .761 .504 .545 r
F
.55255 .50367 m .58663 .53393 L .55011 .50608 L .763 .497 .531 r
F
.55255 .50367 m .58903 .53148 L .58905 .53251 L 0 .374 .838 r
F
.55255 .50367 m .58903 .53148 L .58663 .53393 L .763 .497 .531 r
F
.339 .39637 m .37215 .42616 L .3363 .39865 L F
.339 .39637 m .37481 .42384 L .37215 .42616 L F
.35238 .53273 m .38824 .56063 L .38864 .56161 L 0 .291 .77 r
F
.35238 .53273 m .39049 .55716 L .3546 .52925 L .622 .547 .748 r
F
.35238 .53273 m .38824 .56063 L .39049 .55716 L F
.84463 .73963 m .88204 .76818 L .88149 .76876 L 0 .374 .838 r
F
.84511 .73899 m .88204 .76818 L .84463 .73963 L F
.64446 .7687 m .68124 .79735 L .68107 .79788 L 0 .291 .77 r
F
.64455 .76812 m .68124 .79735 L .64446 .7687 L F
.30079 .44579 m .3387 .46989 L .30297 .44225 L .622 .547 .748 r
F
.30079 .44579 m .33649 .47343 L .3387 .46989 L F
.4239 .43976 m .45743 .46975 L .42131 .44209 L .763 .497 .531 r
F
.4239 .43976 m .45999 .46737 L .45743 .46975 L F
.24919 .35884 m .28691 .3826 L .25133 .35523 L .622 .547 .748 r
F
.24919 .35884 m .28473 .3862 L .28691 .3826 L F
.73513 .65103 m .7722 .67932 L .77186 .68007 L 0 .374 .838 r
F
.7354 .65023 m .7722 .67932 L .73513 .65103 L F
.53491 .68011 m .57135 .70849 L .5714 .70918 L 0 .291 .77 r
F
.53479 .67936 m .57135 .70849 L .53491 .68011 L F
.32769 .48751 m .36571 .51178 L .32988 .484 L .622 .547 .748 r
F
.32769 .48751 m .36348 .51528 L .36571 .51178 L F
.50884 .48316 m .54275 .51335 L .50635 .48555 L .763 .497 .531 r
F
.50884 .48316 m .54521 .51092 L .54275 .51335 L F
.62558 .56241 m .66231 .59042 L .66218 .59134 L 0 .374 .838 r
F
.62564 .56143 m .66231 .59042 L .62558 .56241 L F
.29519 .37581 m .32816 .40553 L .29243 .37807 L .763 .497 .531 r
F
.29519 .37581 m .33088 .40323 L .32816 .40553 L F
.42531 .59149 m .46142 .61959 L .46168 .62046 L 0 .291 .77 r
F
.42498 .59056 m .46142 .61959 L .42531 .59149 L F
.27607 .40053 m .3139 .42446 L .27823 .39696 L .622 .547 .748 r
F
.27607 .40053 m .31171 .42803 L .3139 .42446 L F
.71755 .82759 m .75458 .85644 L .75427 .85685 L 0 .291 .77 r
F
.71778 .82712 m .75458 .85644 L .71755 .82759 L F
.38012 .41921 m .41348 .44913 L .37747 .42152 L .763 .497 .531 r
F
.38012 .41921 m .41609 .44678 L .41348 .44913 L F
.3546 .52925 m .39274 .55368 L .35681 .52576 L .622 .547 .748 r
F
.3546 .52925 m .39049 .55716 L .39274 .55368 L F
.80827 .70987 m .84559 .73835 L .84511 .73899 L 0 .374 .838 r
F
.80868 .70917 m .84559 .73835 L .80827 .70987 L F
.60795 .73896 m .64464 .76754 L .64455 .76812 L 0 .291 .77 r
F
.60798 .73833 m .64464 .76754 L .60795 .73896 L F
.30297 .44225 m .34092 .46635 L .30515 .4387 L .622 .547 .748 r
F
.30297 .44225 m .3387 .46989 L .34092 .46635 L F
.4651 .46264 m .49883 .49275 L .46255 .465 L .763 .497 .531 r
F
.4651 .46264 m .50134 .49034 L .49883 .49275 L F
.69868 .62121 m .73566 .64941 L .7354 .65023 L 0 .374 .838 r
F
.69888 .62034 m .73566 .64941 L .69868 .62121 L F
.49832 .65031 m .53467 .67861 L .53479 .67936 L 0 .291 .77 r
F
.49813 .6495 m .53467 .67861 L .49832 .65031 L F
.32988 .484 m .36794 .50827 L .33208 .48048 L .622 .547 .748 r
F
.32988 .484 m .36571 .51178 L .36794 .50827 L F
.79108 .88618 m .82799 .91558 L .79071 .88654 L 0 .291 .77 r
F
.55011 .50608 m .58422 .53639 L .54766 .5085 L .763 .497 .531 r
F
.55011 .50608 m .58663 .53393 L .58422 .53639 L F
.58905 .53251 m .62569 .56045 L .62564 .56143 L 0 .374 .838 r
F
.58903 .53148 m .62569 .56045 L .58905 .53251 L F
.3363 .39865 m .36948 .42849 L .33359 .40094 L .763 .497 .531 r
F
.3363 .39865 m .37215 .42616 L .36948 .42849 L F
.38864 .56161 m .42465 .58964 L .42498 .59056 L 0 .291 .77 r
F
.38824 .56063 m .42465 .58964 L .38864 .56161 L F
.27823 .39696 m .3161 .42089 L .2804 .39337 L .622 .547 .748 r
F
.27823 .39696 m .3139 .42446 L .3161 .42089 L F
.88149 .76876 m .91906 .79744 L .91844 .79797 L 0 .374 .838 r
F
.88204 .76818 m .91906 .79744 L .88149 .76876 L F
.68107 .79788 m .71802 .82665 L .71778 .82712 L 0 .291 .77 r
F
.68124 .79735 m .71802 .82665 L .68107 .79788 L F
.35681 .52576 m .39499 .5502 L .35903 .52227 L .622 .547 .748 r
F
.35681 .52576 m .39274 .55368 L .39499 .5502 L F
.42131 .44209 m .45486 .47213 L .4187 .44443 L .763 .497 .531 r
F
.42131 .44209 m .45743 .46975 L .45486 .47213 L F
.77186 .68007 m .80909 .70848 L .80868 .70917 L 0 .374 .838 r
F
.7722 .67932 m .80909 .70848 L .77186 .68007 L F
.5714 .70918 m .608 .73768 L .60798 .73833 L 0 .291 .77 r
F
.57135 .70849 m .608 .73768 L .5714 .70918 L F
.30515 .4387 m .34313 .46281 L .30733 .43515 L .622 .547 .748 r
F
.30515 .4387 m .34092 .46635 L .34313 .46281 L F
.50635 .48555 m .54029 .51578 L .50385 .48794 L .763 .497 .531 r
F
.50635 .48555 m .54275 .51335 L .54029 .51578 L F
.66218 .59134 m .69908 .61947 L .69888 .62034 L 0 .374 .838 r
F
.66231 .59042 m .69908 .61947 L .66218 .59134 L F
.29243 .37807 m .32544 .40783 L .28967 .38033 L .763 .497 .531 r
F
.29243 .37807 m .32816 .40553 L .32544 .40783 L F
.46168 .62046 m .49794 .64868 L .49813 .6495 L 0 .291 .77 r
F
.46142 .61959 m .49794 .64868 L .46168 .62046 L F
.33208 .48048 m .37018 .50475 L .33429 .47695 L .622 .547 .748 r
F
.33208 .48048 m .36794 .50827 L .37018 .50475 L F
.75427 .85685 m .79146 .88582 L .79108 .88618 L 0 .291 .77 r
F
.75458 .85644 m .79146 .88582 L .75427 .85685 L F
.37747 .42152 m .41086 .45149 L .37481 .42384 L .763 .497 .531 r
F
.37747 .42152 m .41348 .44913 L .41086 .45149 L F
.2804 .39337 m .3183 .41731 L .28256 .38979 L .622 .547 .748 r
F
.2804 .39337 m .3161 .42089 L .3183 .41731 L F
.84511 .73899 m .88259 .7676 L .88204 .76818 L 0 .374 .838 r
F
.84559 .73835 m .88259 .7676 L .84511 .73899 L F
.64455 .76812 m .6814 .79682 L .68124 .79735 L 0 .291 .77 r
F
.64464 .76754 m .6814 .79682 L .64455 .76812 L F
.35903 .52227 m .39724 .54672 L .36126 .51878 L .622 .547 .748 r
F
.35903 .52227 m .39499 .5502 L .39724 .54672 L F
.46255 .465 m .49631 .49516 L .45999 .46737 L .763 .497 .531 r
F
.46255 .465 m .49883 .49275 L .49631 .49516 L F
.7354 .65023 m .77254 .67856 L .7722 .67932 L 0 .374 .838 r
F
.73566 .64941 m .77254 .67856 L .7354 .65023 L F
.53479 .67936 m .5713 .70779 L .57135 .70849 L 0 .291 .77 r
F
.53467 .67861 m .5713 .70779 L .53479 .67936 L F
.30733 .43515 m .34535 .45926 L .30952 .43159 L .622 .547 .748 r
F
.30733 .43515 m .34313 .46281 L .34535 .45926 L F
.54766 .5085 m .58181 .53885 L .54521 .51092 L .763 .497 .531 r
F
.54766 .5085 m .58422 .53639 L .58181 .53885 L F
.62564 .56143 m .66244 .58949 L .66231 .59042 L 0 .374 .838 r
F
.62569 .56045 m .66244 .58949 L .62564 .56143 L F
.33359 .40094 m .3668 .43083 L .33088 .40323 L .763 .497 .531 r
F
.33359 .40094 m .36948 .42849 L .3668 .43083 L F
.42498 .59056 m .46116 .61872 L .46142 .61959 L 0 .291 .77 r
F
.42465 .58964 m .46116 .61872 L .42498 .59056 L F
.71778 .82712 m .75488 .85602 L .75458 .85644 L F
.71802 .82665 m .75488 .85602 L .71778 .82712 L F
.33429 .47695 m .37242 .50123 L .33649 .47343 L .622 .547 .748 r
F
.33429 .47695 m .37018 .50475 L .37242 .50123 L F
.4187 .44443 m .45229 .47452 L .41609 .44678 L .763 .497 .531 r
F
.4187 .44443 m .45486 .47213 L .45229 .47452 L F
.28256 .38979 m .3205 .41373 L .28473 .3862 L .622 .547 .748 r
F
.28256 .38979 m .3183 .41731 L .3205 .41373 L F
.80868 .70917 m .84608 .73771 L .84559 .73835 L 0 .374 .838 r
F
.80909 .70848 m .84608 .73771 L .80868 .70917 L F
.60798 .73833 m .64474 .76695 L .64464 .76754 L 0 .291 .77 r
F
.608 .73768 m .64474 .76695 L .60798 .73833 L F
.36126 .51878 m .3995 .54323 L .36348 .51528 L .622 .547 .748 r
F
.36126 .51878 m .39724 .54672 L .3995 .54323 L F
.50385 .48794 m .53782 .51822 L .50134 .49034 L .763 .497 .531 r
F
.50385 .48794 m .54029 .51578 L .53782 .51822 L F
.69888 .62034 m .73593 .6486 L .73566 .64941 L 0 .374 .838 r
F
.69908 .61947 m .73593 .6486 L .69888 .62034 L F
.28967 .38033 m .32271 .41014 L .28691 .3826 L .763 .497 .531 r
F
.28967 .38033 m .32544 .40783 L .32271 .41014 L F
.49813 .6495 m .53455 .67785 L .53467 .67861 L 0 .291 .77 r
F
.49794 .64868 m .53455 .67785 L .49813 .6495 L F
.30952 .43159 m .34757 .45571 L .31171 .42803 L .622 .547 .748 r
F
.30952 .43159 m .34535 .45926 L .34757 .45571 L F
.79108 .88618 m .82844 .91528 L .82799 .91558 L 0 .291 .77 r
F
.79146 .88582 m .82844 .91528 L .79108 .88618 L F
.58903 .53148 m .62338 .56195 L .58663 .53393 L .763 .497 .531 r
F
.58903 .53148 m .62575 .55946 L .62569 .56045 L 0 .374 .838 r
F
.58903 .53148 m .62575 .55946 L .62338 .56195 L .763 .497 .531 r
F
.37481 .42384 m .40823 .45385 L .37215 .42616 L F
.37481 .42384 m .41086 .45149 L .40823 .45385 L F
.38824 .56063 m .42432 .58871 L .42465 .58964 L 0 .291 .77 r
F
.38824 .56063 m .4266 .58525 L .39049 .55716 L .622 .547 .748 r
F
.38824 .56063 m .42432 .58871 L .4266 .58525 L F
.88204 .76818 m .91969 .79691 L .91906 .79744 L 0 .374 .838 r
F
.88259 .7676 m .91969 .79691 L .88204 .76818 L F
.68124 .79735 m .71825 .82618 L .71802 .82665 L 0 .291 .77 r
F
.6814 .79682 m .71825 .82618 L .68124 .79735 L F
.33649 .47343 m .37466 .49771 L .3387 .46989 L .622 .547 .748 r
F
.33649 .47343 m .37242 .50123 L .37466 .49771 L F
.45999 .46737 m .49379 .49758 L .45743 .46975 L .763 .497 .531 r
F
.45999 .46737 m .49631 .49516 L .49379 .49758 L F
.28473 .3862 m .32271 .41014 L .28691 .3826 L .622 .547 .748 r
F
.28473 .3862 m .3205 .41373 L .32271 .41014 L F
.7722 .67932 m .8095 .70777 L .80909 .70848 L 0 .374 .838 r
F
.77254 .67856 m .8095 .70777 L .7722 .67932 L F
.57135 .70849 m .60802 .73704 L .608 .73768 L 0 .291 .77 r
F
.5713 .70779 m .60802 .73704 L .57135 .70849 L F
.36348 .51528 m .40177 .53973 L .36571 .51178 L .622 .547 .748 r
F
.36348 .51528 m .3995 .54323 L .40177 .53973 L F
.54521 .51092 m .57938 .54132 L .54275 .51335 L .763 .497 .531 r
F
.54521 .51092 m .58181 .53885 L .57938 .54132 L F
.66231 .59042 m .69928 .6186 L .69908 .61947 L 0 .374 .838 r
F
.66244 .58949 m .69928 .6186 L .66231 .59042 L F
.33088 .40323 m .36412 .43316 L .32816 .40553 L .763 .497 .531 r
F
.33088 .40323 m .3668 .43083 L .36412 .43316 L F
.46142 .61959 m .49775 .64787 L .49794 .64868 L 0 .291 .77 r
F
.46116 .61872 m .49775 .64787 L .46142 .61959 L F
.31171 .42803 m .3498 .45215 L .3139 .42446 L .622 .547 .748 r
F
.31171 .42803 m .34757 .45571 L .3498 .45215 L F
.75458 .85644 m .79184 .88547 L .79146 .88582 L 0 .291 .77 r
F
.75488 .85602 m .79184 .88547 L .75458 .85644 L F
.41609 .44678 m .44971 .47691 L .41348 .44913 L .763 .497 .531 r
F
.41609 .44678 m .45229 .47452 L .44971 .47691 L F
.39049 .55716 m .42889 .58178 L .39274 .55368 L .622 .547 .748 r
F
.39049 .55716 m .4266 .58525 L .42889 .58178 L F
.84559 .73835 m .88315 .76701 L .88259 .7676 L 0 .374 .838 r
F
.84608 .73771 m .88315 .76701 L .84559 .73835 L F
.64464 .76754 m .68157 .79629 L .6814 .79682 L 0 .291 .77 r
F
.64474 .76695 m .68157 .79629 L .64464 .76754 L F
.3387 .46989 m .37691 .49418 L .34092 .46635 L .622 .547 .748 r
F
.3387 .46989 m .37466 .49771 L .37691 .49418 L F
.50134 .49034 m .53534 .52067 L .49883 .49275 L .763 .497 .531 r
F
.50134 .49034 m .53782 .51822 L .53534 .52067 L F
.73566 .64941 m .77288 .6778 L .77254 .67856 L 0 .374 .838 r
F
.73593 .6486 m .77288 .6778 L .73566 .64941 L F
.53467 .67861 m .57125 .70708 L .5713 .70779 L 0 .291 .77 r
F
.53455 .67785 m .57125 .70708 L .53467 .67861 L F
.36571 .51178 m .40403 .53623 L .36794 .50827 L .622 .547 .748 r
F
.36571 .51178 m .40177 .53973 L .40403 .53623 L F
.58663 .53393 m .62101 .56446 L .58422 .53639 L .763 .497 .531 r
F
.58663 .53393 m .62338 .56195 L .62101 .56446 L F
.62569 .56045 m .66257 .58856 L .66244 .58949 L 0 .374 .838 r
F
.62575 .55946 m .66257 .58856 L .62569 .56045 L F
.37215 .42616 m .40559 .45622 L .36948 .42849 L .763 .497 .531 r
F
.37215 .42616 m .40823 .45385 L .40559 .45622 L F
.42465 .58964 m .4609 .61784 L .46116 .61872 L 0 .291 .77 r
F
.42432 .58871 m .4609 .61784 L .42465 .58964 L F
.3139 .42446 m .35203 .44858 L .3161 .42089 L .622 .547 .748 r
F
.3139 .42446 m .3498 .45215 L .35203 .44858 L F
.71802 .82665 m .75519 .85561 L .75488 .85602 L 0 .291 .77 r
F
.71825 .82618 m .75519 .85561 L .71802 .82665 L F
.45743 .46975 m .49126 .5 L .45486 .47213 L .763 .497 .531 r
F
.45743 .46975 m .49379 .49758 L .49126 .5 L F
.39274 .55368 m .43117 .57831 L .39499 .5502 L .622 .547 .748 r
F
.39274 .55368 m .42889 .58178 L .43117 .57831 L F
.80909 .70848 m .84656 .73706 L .84608 .73771 L 0 .374 .838 r
F
.8095 .70777 m .84656 .73706 L .80909 .70848 L F
.608 .73768 m .64483 .76636 L .64474 .76695 L 0 .291 .77 r
F
.60802 .73704 m .64483 .76636 L .608 .73768 L F
.34092 .46635 m .37916 .49064 L .34313 .46281 L .622 .547 .748 r
F
.34092 .46635 m .37691 .49418 L .37916 .49064 L F
.54275 .51335 m .57696 .5438 L .54029 .51578 L .763 .497 .531 r
F
.54275 .51335 m .57938 .54132 L .57696 .5438 L F
.69908 .61947 m .73621 .64778 L .73593 .6486 L 0 .374 .838 r
F
.69928 .6186 m .73621 .64778 L .69908 .61947 L F
.32816 .40553 m .36143 .43551 L .32544 .40783 L .763 .497 .531 r
F
.32816 .40553 m .36412 .43316 L .36143 .43551 L F
.49794 .64868 m .53443 .67709 L .53455 .67785 L 0 .291 .77 r
F
.49775 .64787 m .53443 .67709 L .49794 .64868 L F
.36794 .50827 m .4063 .53272 L .37018 .50475 L .622 .547 .748 r
F
.36794 .50827 m .40403 .53623 L .4063 .53272 L F
.79146 .88582 m .82889 .91498 L .82844 .91528 L 0 .291 .77 r
F
.79184 .88547 m .82889 .91498 L .79146 .88582 L F
.41348 .44913 m .44712 .47931 L .41086 .45149 L .763 .497 .531 r
F
.41348 .44913 m .44971 .47691 L .44712 .47931 L F
.3161 .42089 m .35426 .44501 L .3183 .41731 L .622 .547 .748 r
F
.3161 .42089 m .35203 .44858 L .35426 .44501 L F
.88259 .7676 m .92031 .79638 L .91969 .79691 L 0 .374 .838 r
F
.88315 .76701 m .92031 .79638 L .88259 .7676 L F
.6814 .79682 m .71849 .8257 L .71825 .82618 L 0 .291 .77 r
F
.68157 .79629 m .71849 .8257 L .6814 .79682 L F
.39499 .5502 m .43346 .57483 L .39724 .54672 L .622 .547 .748 r
F
.39499 .5502 m .43117 .57831 L .43346 .57483 L F
.49883 .49275 m .53286 .52312 L .49631 .49516 L .763 .497 .531 r
F
.49883 .49275 m .53534 .52067 L .53286 .52312 L F
.77254 .67856 m .80992 .70707 L .8095 .70777 L 0 .374 .838 r
F
.77288 .6778 m .80992 .70707 L .77254 .67856 L F
.5713 .70779 m .60805 .73639 L .60802 .73704 L 0 .291 .77 r
F
.57125 .70708 m .60805 .73639 L .5713 .70779 L F
.34313 .46281 m .38141 .4871 L .34535 .45926 L .622 .547 .748 r
F
.34313 .46281 m .37916 .49064 L .38141 .4871 L F
.58422 .53639 m .61863 .56696 L .58181 .53885 L .763 .497 .531 r
F
.58422 .53639 m .62101 .56446 L .61863 .56696 L F
.66244 .58949 m .69948 .61772 L .69928 .6186 L 0 .374 .838 r
F
.66257 .58856 m .69948 .61772 L .66244 .58949 L F
.36948 .42849 m .40295 .45859 L .3668 .43083 L .763 .497 .531 r
F
.36948 .42849 m .40559 .45622 L .40295 .45859 L F
.46116 .61872 m .49756 .64705 L .49775 .64787 L 0 .291 .77 r
F
.4609 .61784 m .49756 .64705 L .46116 .61872 L F
.75488 .85602 m .79222 .88511 L .79184 .88547 L F
.75519 .85561 m .79222 .88511 L .75488 .85602 L F
.37018 .50475 m .40857 .52921 L .37242 .50123 L .622 .547 .748 r
F
.37018 .50475 m .4063 .53272 L .40857 .52921 L F
.45486 .47213 m .48872 .50243 L .45229 .47452 L .763 .497 .531 r
F
.45486 .47213 m .49126 .5 L .48872 .50243 L F
.3183 .41731 m .35649 .44144 L .3205 .41373 L .622 .547 .748 r
F
.3183 .41731 m .35426 .44501 L .35649 .44144 L F
.84608 .73771 m .88371 .76642 L .88315 .76701 L 0 .374 .838 r
F
.84656 .73706 m .88371 .76642 L .84608 .73771 L F
.64474 .76695 m .68173 .79576 L .68157 .79629 L 0 .291 .77 r
F
.64483 .76636 m .68173 .79576 L .64474 .76695 L F
.39724 .54672 m .43575 .57135 L .3995 .54323 L .622 .547 .748 r
F
.39724 .54672 m .43346 .57483 L .43575 .57135 L F
.54029 .51578 m .57452 .54628 L .53782 .51822 L .763 .497 .531 r
F
.54029 .51578 m .57696 .5438 L .57452 .54628 L F
.73593 .6486 m .77322 .67704 L .77288 .6778 L 0 .374 .838 r
F
.73621 .64778 m .77322 .67704 L .73593 .6486 L F
.32544 .40783 m .35873 .43786 L .32271 .41014 L .763 .497 .531 r
F
.32544 .40783 m .36143 .43551 L .35873 .43786 L F
.53455 .67785 m .57121 .70638 L .57125 .70708 L 0 .291 .77 r
F
.53443 .67709 m .57121 .70638 L .53455 .67785 L F
.34535 .45926 m .38366 .48356 L .34757 .45571 L .622 .547 .748 r
F
.34535 .45926 m .38141 .4871 L .38366 .48356 L F
.62575 .55946 m .66037 .59016 L .62338 .56195 L .763 .497 .531 r
F
.62575 .55946 m .6627 .58762 L .66257 .58856 L 0 .374 .838 r
F
.62575 .55946 m .6627 .58762 L .66037 .59016 L .763 .497 .531 r
F
.41086 .45149 m .44453 .48171 L .40823 .45385 L F
.41086 .45149 m .44712 .47931 L .44453 .48171 L F
.42432 .58871 m .46064 .61696 L .4609 .61784 L 0 .291 .77 r
F
.42432 .58871 m .46295 .61351 L .4266 .58525 L .622 .547 .748 r
F
.42432 .58871 m .46064 .61696 L .46295 .61351 L F
.71825 .82618 m .7555 .85519 L .75519 .85561 L 0 .291 .77 r
F
.71849 .8257 m .7555 .85519 L .71825 .82618 L F
.37242 .50123 m .41085 .5257 L .37466 .49771 L .622 .547 .748 r
F
.37242 .50123 m .40857 .52921 L .41085 .5257 L F
.49631 .49516 m .53037 .52558 L .49379 .49758 L .763 .497 .531 r
F
.49631 .49516 m .53286 .52312 L .53037 .52558 L F
.3205 .41373 m .35873 .43786 L .32271 .41014 L .622 .547 .748 r
F
.3205 .41373 m .35649 .44144 L .35873 .43786 L F
.8095 .70777 m .84705 .73641 L .84656 .73706 L 0 .374 .838 r
F
.80992 .70707 m .84705 .73641 L .8095 .70777 L F
.60802 .73704 m .64493 .76577 L .64483 .76636 L 0 .291 .77 r
F
.60805 .73639 m .64493 .76577 L .60802 .73704 L F
.3995 .54323 m .43805 .56786 L .40177 .53973 L .622 .547 .748 r
F
.3995 .54323 m .43575 .57135 L .43805 .56786 L F
.58181 .53885 m .61625 .56948 L .57938 .54132 L .763 .497 .531 r
F
.58181 .53885 m .61863 .56696 L .61625 .56948 L F
.69928 .6186 m .73648 .64696 L .73621 .64778 L 0 .374 .838 r
F
.69948 .61772 m .73648 .64696 L .69928 .6186 L F
.3668 .43083 m .4003 .46098 L .36412 .43316 L .763 .497 .531 r
F
.3668 .43083 m .40295 .45859 L .4003 .46098 L F
.49775 .64787 m .53432 .67632 L .53443 .67709 L 0 .291 .77 r
F
.49756 .64705 m .53432 .67632 L .49775 .64787 L F
.34757 .45571 m .38592 .48001 L .3498 .45215 L .622 .547 .748 r
F
.34757 .45571 m .38366 .48356 L .38592 .48001 L F
.79184 .88547 m .82934 .91468 L .82889 .91498 L 0 .291 .77 r
F
.79222 .88511 m .82934 .91468 L .79184 .88547 L F
.45229 .47452 m .48617 .50486 L .44971 .47691 L .763 .497 .531 r
F
.45229 .47452 m .48872 .50243 L .48617 .50486 L F
.4266 .58525 m .46526 .61005 L .42889 .58178 L .622 .547 .748 r
F
.4266 .58525 m .46295 .61351 L .46526 .61005 L F
.88315 .76701 m .92094 .79585 L .92031 .79638 L 0 .374 .838 r
F
.88371 .76642 m .92094 .79585 L .88315 .76701 L F
.68157 .79629 m .71873 .82523 L .71849 .8257 L 0 .291 .77 r
F
.68173 .79576 m .71873 .82523 L .68157 .79629 L F
.37466 .49771 m .41313 .52218 L .37691 .49418 L .622 .547 .748 r
F
.37466 .49771 m .41085 .5257 L .41313 .52218 L F
.53782 .51822 m .57208 .54877 L .53534 .52067 L .763 .497 .531 r
F
.53782 .51822 m .57452 .54628 L .57208 .54877 L F
.77288 .6778 m .81033 .70636 L .80992 .70707 L 0 .374 .838 r
F
.77322 .67704 m .81033 .70636 L .77288 .6778 L F
.57125 .70708 m .60807 .73574 L .60805 .73639 L 0 .291 .77 r
F
.57121 .70638 m .60807 .73574 L .57125 .70708 L F
.40177 .53973 m .44035 .56437 L .40403 .53623 L .622 .547 .748 r
F
.40177 .53973 m .43805 .56786 L .44035 .56437 L F
.62338 .56195 m .65803 .5927 L .62101 .56446 L .763 .497 .531 r
F
.62338 .56195 m .66037 .59016 L .65803 .5927 L F
.66257 .58856 m .69968 .61684 L .69948 .61772 L 0 .374 .838 r
F
.6627 .58762 m .69968 .61684 L .66257 .58856 L F
.40823 .45385 m .44193 .48412 L .40559 .45622 L .763 .497 .531 r
F
.40823 .45385 m .44453 .48171 L .44193 .48412 L F
.4609 .61784 m .49737 .64622 L .49756 .64705 L 0 .291 .77 r
F
.46064 .61696 m .49737 .64622 L .4609 .61784 L F
.3498 .45215 m .38818 .47645 L .35203 .44858 L .622 .547 .748 r
F
.3498 .45215 m .38592 .48001 L .38818 .47645 L F
.75519 .85561 m .7926 .88475 L .79222 .88511 L 0 .291 .77 r
F
.7555 .85519 m .7926 .88475 L .75519 .85561 L F
.49379 .49758 m .52788 .52805 L .49126 .5 L .763 .497 .531 r
F
.49379 .49758 m .53037 .52558 L .52788 .52805 L F
.42889 .58178 m .46758 .60659 L .43117 .57831 L .622 .547 .748 r
F
.42889 .58178 m .46526 .61005 L .46758 .60659 L F
.84656 .73706 m .88426 .76583 L .88371 .76642 L 0 .374 .838 r
F
.84705 .73641 m .88426 .76583 L .84656 .73706 L F
.64483 .76636 m .6819 .79523 L .68173 .79576 L 0 .291 .77 r
F
.64493 .76577 m .6819 .79523 L .64483 .76636 L F
.37691 .49418 m .41541 .51865 L .37916 .49064 L .622 .547 .748 r
F
.37691 .49418 m .41313 .52218 L .41541 .51865 L F
.57938 .54132 m .61386 .57199 L .57696 .5438 L .763 .497 .531 r
F
.57938 .54132 m .61625 .56948 L .61386 .57199 L F
.73621 .64778 m .77357 .67627 L .77322 .67704 L 0 .374 .838 r
F
.73648 .64696 m .77357 .67627 L .73621 .64778 L F
.36412 .43316 m .39765 .46336 L .36143 .43551 L .763 .497 .531 r
F
.36412 .43316 m .4003 .46098 L .39765 .46336 L F
.53443 .67709 m .57116 .70567 L .57121 .70638 L 0 .291 .77 r
F
.53432 .67632 m .57116 .70567 L .53443 .67709 L F
.40403 .53623 m .44265 .56087 L .4063 .53272 L .622 .547 .748 r
F
.40403 .53623 m .44035 .56437 L .44265 .56087 L F
.44971 .47691 m .48362 .5073 L .44712 .47931 L .763 .497 .531 r
F
.44971 .47691 m .48617 .50486 L .48362 .5073 L F
.35203 .44858 m .39045 .47289 L .35426 .44501 L .622 .547 .748 r
F
.35203 .44858 m .38818 .47645 L .39045 .47289 L F
.71849 .8257 m .75581 .85477 L .7555 .85519 L 0 .291 .77 r
F
.71873 .82523 m .75581 .85477 L .71849 .8257 L F
.43117 .57831 m .46991 .60312 L .43346 .57483 L .622 .547 .748 r
F
.43117 .57831 m .46758 .60659 L .46991 .60312 L F
.53534 .52067 m .56964 .55127 L .53286 .52312 L .763 .497 .531 r
F
.53534 .52067 m .57208 .54877 L .56964 .55127 L F
.80992 .70707 m .84753 .73576 L .84705 .73641 L 0 .374 .838 r
F
.81033 .70636 m .84753 .73576 L .80992 .70707 L F
.60805 .73639 m .64502 .76518 L .64493 .76577 L 0 .291 .77 r
F
.60807 .73574 m .64502 .76518 L .60805 .73639 L F
.37916 .49064 m .41769 .51512 L .38141 .4871 L .622 .547 .748 r
F
.37916 .49064 m .41541 .51865 L .41769 .51512 L F
.62101 .56446 m .65569 .59525 L .61863 .56696 L .763 .497 .531 r
F
.62101 .56446 m .65803 .5927 L .65569 .59525 L F
.69948 .61772 m .73675 .64614 L .73648 .64696 L 0 .374 .838 r
F
.69968 .61684 m .73675 .64614 L .69948 .61772 L F
.40559 .45622 m .43933 .48654 L .40295 .45859 L .763 .497 .531 r
F
.40559 .45622 m .44193 .48412 L .43933 .48654 L F
.49756 .64705 m .5342 .67556 L .53432 .67632 L 0 .291 .77 r
F
.49737 .64622 m .5342 .67556 L .49756 .64705 L F
.79222 .88511 m .82979 .91437 L .82934 .91468 L F
.7926 .88475 m .82979 .91437 L .79222 .88511 L F
.4063 .53272 m .44496 .55737 L .40857 .52921 L .622 .547 .748 r
F
.4063 .53272 m .44265 .56087 L .44496 .55737 L F
.49126 .5 m .52538 .53052 L .48872 .50243 L .763 .497 .531 r
F
.49126 .5 m .52788 .52805 L .52538 .53052 L F
.35426 .44501 m .39272 .46933 L .35649 .44144 L .622 .547 .748 r
F
.35426 .44501 m .39045 .47289 L .39272 .46933 L F
.88371 .76642 m .92157 .79532 L .92094 .79585 L 0 .374 .838 r
F
.88426 .76583 m .92157 .79532 L .88371 .76642 L F
.68173 .79576 m .71896 .82475 L .71873 .82523 L 0 .291 .77 r
F
.6819 .79523 m .71896 .82475 L .68173 .79576 L F
.43346 .57483 m .47223 .59965 L .43575 .57135 L .622 .547 .748 r
F
.43346 .57483 m .46991 .60312 L .47223 .59965 L F
.57696 .5438 m .61146 .57452 L .57452 .54628 L .763 .497 .531 r
F
.57696 .5438 m .61386 .57199 L .61146 .57452 L F
.77322 .67704 m .81075 .70566 L .81033 .70636 L 0 .374 .838 r
F
.77357 .67627 m .81075 .70566 L .77322 .67704 L F
.36143 .43551 m .39499 .46575 L .35873 .43786 L .763 .497 .531 r
F
.36143 .43551 m .39765 .46336 L .39499 .46575 L F
.57121 .70638 m .60809 .73509 L .60807 .73574 L 0 .291 .77 r
F
.57116 .70567 m .60809 .73509 L .57121 .70638 L F
.38141 .4871 m .41998 .51158 L .38366 .48356 L .622 .547 .748 r
F
.38141 .4871 m .41769 .51512 L .41998 .51158 L F
.6627 .58762 m .69759 .61854 L .66037 .59016 L .763 .497 .531 r
F
.6627 .58762 m .69988 .61596 L .69968 .61684 L 0 .374 .838 r
F
.6627 .58762 m .69988 .61596 L .69759 .61854 L .763 .497 .531 r
F
.44712 .47931 m .48107 .50975 L .44453 .48171 L F
.44712 .47931 m .48362 .5073 L .48107 .50975 L F
.46064 .61696 m .49718 .6454 L .49737 .64622 L 0 .291 .77 r
F
.46064 .61696 m .49953 .64195 L .46295 .61351 L .622 .547 .748 r
F
.46064 .61696 m .49718 .6454 L .49953 .64195 L F
.7555 .85519 m .79298 .88438 L .7926 .88475 L 0 .291 .77 r
F
.75581 .85477 m .79298 .88438 L .7555 .85519 L F
.40857 .52921 m .44726 .55387 L .41085 .5257 L .622 .547 .748 r
F
.40857 .52921 m .44496 .55737 L .44726 .55387 L F
.53286 .52312 m .56719 .55377 L .53037 .52558 L .763 .497 .531 r
F
.53286 .52312 m .56964 .55127 L .56719 .55377 L F
.35649 .44144 m .39499 .46575 L .35873 .43786 L .622 .547 .748 r
F
.35649 .44144 m .39272 .46933 L .39499 .46575 L F
.84705 .73641 m .88482 .76524 L .88426 .76583 L 0 .374 .838 r
F
.84753 .73576 m .88482 .76524 L .84705 .73641 L F
.64493 .76577 m .68207 .79469 L .6819 .79523 L 0 .291 .77 r
F
.64502 .76518 m .68207 .79469 L .64493 .76577 L F
.43575 .57135 m .47456 .59617 L .43805 .56786 L .622 .547 .748 r
F
.43575 .57135 m .47223 .59965 L .47456 .59617 L F
.61863 .56696 m .65335 .59781 L .61625 .56948 L .763 .497 .531 r
F
.61863 .56696 m .65569 .59525 L .65335 .59781 L F
.73648 .64696 m .77391 .67551 L .77357 .67627 L 0 .374 .838 r
F
.73675 .64614 m .77391 .67551 L .73648 .64696 L F
.40295 .45859 m .43672 .48896 L .4003 .46098 L .763 .497 .531 r
F
.40295 .45859 m .43933 .48654 L .43672 .48896 L F
.53432 .67632 m .57111 .70496 L .57116 .70567 L 0 .291 .77 r
F
.5342 .67556 m .57111 .70496 L .53432 .67632 L F
.38366 .48356 m .42227 .50804 L .38592 .48001 L .622 .547 .748 r
F
.38366 .48356 m .41998 .51158 L .42227 .50804 L F
.48872 .50243 m .52287 .533 L .48617 .50486 L .763 .497 .531 r
F
.48872 .50243 m .52538 .53052 L .52287 .533 L F
.46295 .61351 m .50188 .63851 L .46526 .61005 L .622 .547 .748 r
F
.46295 .61351 m .49953 .64195 L .50188 .63851 L F
.71873 .82523 m .75612 .85435 L .75581 .85477 L 0 .291 .77 r
F
.71896 .82475 m .75612 .85435 L .71873 .82523 L F
.41085 .5257 m .44958 .55035 L .41313 .52218 L .622 .547 .748 r
F
.41085 .5257 m .44726 .55387 L .44958 .55035 L F
.57452 .54628 m .60906 .57705 L .57208 .54877 L .763 .497 .531 r
F
.57452 .54628 m .61146 .57452 L .60906 .57705 L F
.81033 .70636 m .84802 .73511 L .84753 .73576 L 0 .374 .838 r
F
.81075 .70566 m .84802 .73511 L .81033 .70636 L F
.60807 .73574 m .64512 .76458 L .64502 .76518 L 0 .291 .77 r
F
.60809 .73509 m .64512 .76458 L .60807 .73574 L F
.43805 .56786 m .47689 .59269 L .44035 .56437 L .622 .547 .748 r
F
.43805 .56786 m .47456 .59617 L .47689 .59269 L F
.66037 .59016 m .69529 .62113 L .65803 .5927 L .763 .497 .531 r
F
.66037 .59016 m .69759 .61854 L .69529 .62113 L F
.69968 .61684 m .73702 .64531 L .73675 .64614 L 0 .374 .838 r
F
.69988 .61596 m .73702 .64531 L .69968 .61684 L F
.44453 .48171 m .47851 .5122 L .44193 .48412 L .763 .497 .531 r
F
.44453 .48171 m .48107 .50975 L .47851 .5122 L F
.49737 .64622 m .53408 .67479 L .5342 .67556 L 0 .291 .77 r
F
.49718 .6454 m .53408 .67479 L .49737 .64622 L F
.38592 .48001 m .42457 .5045 L .38818 .47645 L .622 .547 .748 r
F
.38592 .48001 m .42227 .50804 L .42457 .5045 L F
.7926 .88475 m .83025 .91407 L .82979 .91437 L 0 .291 .77 r
F
.79298 .88438 m .83025 .91407 L .7926 .88475 L F
.53037 .52558 m .56473 .55628 L .52788 .52805 L .763 .497 .531 r
F
.53037 .52558 m .56719 .55377 L .56473 .55628 L F
.46526 .61005 m .50423 .63505 L .46758 .60659 L .622 .547 .748 r
F
.46526 .61005 m .50188 .63851 L .50423 .63505 L F
.88426 .76583 m .92221 .79478 L .92157 .79532 L 0 .374 .838 r
F
.88482 .76524 m .92221 .79478 L .88426 .76583 L F
.6819 .79523 m .7192 .82427 L .71896 .82475 L 0 .291 .77 r
F
.68207 .79469 m .7192 .82427 L .6819 .79523 L F
.41313 .52218 m .45189 .54684 L .41541 .51865 L .622 .547 .748 r
F
.41313 .52218 m .44958 .55035 L .45189 .54684 L F
.61625 .56948 m .651 .60037 L .61386 .57199 L .763 .497 .531 r
F
.61625 .56948 m .65335 .59781 L .651 .60037 L F
.77357 .67627 m .81117 .70494 L .81075 .70566 L 0 .374 .838 r
F
.77391 .67551 m .81117 .70494 L .77357 .67627 L F
.4003 .46098 m .4341 .49139 L .39765 .46336 L .763 .497 .531 r
F
.4003 .46098 m .43672 .48896 L .4341 .49139 L F
.57116 .70567 m .60812 .73444 L .60809 .73509 L 0 .291 .77 r
F
.57111 .70496 m .60812 .73444 L .57116 .70567 L F
.44035 .56437 m .47923 .5892 L .44265 .56087 L .622 .547 .748 r
F
.44035 .56437 m .47689 .59269 L .47923 .5892 L F
.48617 .50486 m .52036 .53548 L .48362 .5073 L .763 .497 .531 r
F
.48617 .50486 m .52287 .533 L .52036 .53548 L F
.38818 .47645 m .42687 .50094 L .39045 .47289 L .622 .547 .748 r
F
.38818 .47645 m .42457 .5045 L .42687 .50094 L F
.75581 .85477 m .79337 .88402 L .79298 .88438 L 0 .291 .77 r
F
.75612 .85435 m .79337 .88402 L .75581 .85477 L F
.46758 .60659 m .50658 .6316 L .46991 .60312 L .622 .547 .748 r
F
.46758 .60659 m .50423 .63505 L .50658 .6316 L F
.57208 .54877 m .60665 .57959 L .56964 .55127 L .763 .497 .531 r
F
.57208 .54877 m .60906 .57705 L .60665 .57959 L F
.84753 .73576 m .88539 .76464 L .88482 .76524 L 0 .374 .838 r
F
.84802 .73511 m .88539 .76464 L .84753 .73576 L F
.64502 .76518 m .68224 .79415 L .68207 .79469 L 0 .291 .77 r
F
.64512 .76458 m .68224 .79415 L .64502 .76518 L F
.41541 .51865 m .45421 .54332 L .41769 .51512 L .622 .547 .748 r
F
.41541 .51865 m .45189 .54684 L .45421 .54332 L F
.65803 .5927 m .69299 .62372 L .65569 .59525 L .763 .497 .531 r
F
.65803 .5927 m .69529 .62113 L .69299 .62372 L F
.73675 .64614 m .77426 .67473 L .77391 .67551 L 0 .374 .838 r
F
.73702 .64531 m .77426 .67473 L .73675 .64614 L F
.44193 .48412 m .47594 .51466 L .43933 .48654 L .763 .497 .531 r
F
.44193 .48412 m .47851 .5122 L .47594 .51466 L F
.5342 .67556 m .57106 .70425 L .57111 .70496 L 0 .291 .77 r
F
.53408 .67479 m .57106 .70425 L .5342 .67556 L F
.44265 .56087 m .48157 .58571 L .44496 .55737 L .622 .547 .748 r
F
.44265 .56087 m .47923 .5892 L .48157 .58571 L F
.52788 .52805 m .56227 .55879 L .52538 .53052 L .763 .497 .531 r
F
.52788 .52805 m .56473 .55628 L .56227 .55879 L F
.39045 .47289 m .42917 .49739 L .39272 .46933 L .622 .547 .748 r
F
.39045 .47289 m .42687 .50094 L .42917 .49739 L F
.71896 .82475 m .75643 .85393 L .75612 .85435 L 0 .291 .77 r
F
.7192 .82427 m .75643 .85393 L .71896 .82475 L F
.46991 .60312 m .50894 .62813 L .47223 .59965 L .622 .547 .748 r
F
.46991 .60312 m .50658 .6316 L .50894 .62813 L F
.61386 .57199 m .64864 .60294 L .61146 .57452 L .763 .497 .531 r
F
.61386 .57199 m .651 .60037 L .64864 .60294 L F
.81075 .70566 m .84851 .73446 L .84802 .73511 L 0 .374 .838 r
F
.81117 .70494 m .84851 .73446 L .81075 .70566 L F
.39765 .46336 m .43147 .49383 L .39499 .46575 L .763 .497 .531 r
F
.39765 .46336 m .4341 .49139 L .43147 .49383 L F
.60809 .73509 m .64522 .76399 L .64512 .76458 L 0 .291 .77 r
F
.60812 .73444 m .64522 .76399 L .60809 .73509 L F
.41769 .51512 m .45653 .53979 L .41998 .51158 L .622 .547 .748 r
F
.41769 .51512 m .45421 .54332 L .45653 .53979 L F
.69988 .61596 m .73505 .6471 L .69759 .61854 L .763 .497 .531 r
F
.69988 .61596 m .7373 .64448 L .73702 .64531 L 0 .374 .838 r
F
.69988 .61596 m .7373 .64448 L .73505 .6471 L .763 .497 .531 r
F
.48362 .5073 m .51784 .53797 L .48107 .50975 L F
.48362 .5073 m .52036 .53548 L .51784 .53797 L F
.49718 .6454 m .53396 .67401 L .53408 .67479 L 0 .291 .77 r
F
.49718 .6454 m .53634 .67058 L .49953 .64195 L .622 .547 .748 r
F
.49718 .6454 m .53396 .67401 L .53634 .67058 L F
.79298 .88438 m .8307 .91376 L .83025 .91407 L 0 .291 .77 r
F
.79337 .88402 m .8307 .91376 L .79298 .88438 L F
.44496 .55737 m .48391 .58221 L .44726 .55387 L .622 .547 .748 r
F
.44496 .55737 m .48157 .58571 L .48391 .58221 L F
.56964 .55127 m .60424 .58213 L .56719 .55377 L .763 .497 .531 r
F
.56964 .55127 m .60665 .57959 L .60424 .58213 L F
.39272 .46933 m .43147 .49383 L .39499 .46575 L .622 .547 .748 r
F
.39272 .46933 m .42917 .49739 L .43147 .49383 L F
.88482 .76524 m .92285 .79424 L .92221 .79478 L 0 .374 .838 r
F
.88539 .76464 m .92285 .79424 L .88482 .76524 L F
.68207 .79469 m .71945 .82379 L .7192 .82427 L 0 .291 .77 r
F
.68224 .79415 m .71945 .82379 L .68207 .79469 L F
.47223 .59965 m .51131 .62467 L .47456 .59617 L .622 .547 .748 r
F
.47223 .59965 m .50894 .62813 L .51131 .62467 L F
.65569 .59525 m .69068 .62632 L .65335 .59781 L .763 .497 .531 r
F
.65569 .59525 m .69299 .62372 L .69068 .62632 L F
.77391 .67551 m .81159 .70423 L .81117 .70494 L 0 .374 .838 r
F
.77426 .67473 m .81159 .70423 L .77391 .67551 L F
.43933 .48654 m .47336 .51713 L .43672 .48896 L .763 .497 .531 r
F
.43933 .48654 m .47594 .51466 L .47336 .51713 L F
.57111 .70496 m .60814 .73378 L .60812 .73444 L 0 .291 .77 r
F
.57106 .70425 m .60814 .73378 L .57111 .70496 L F
.41998 .51158 m .45886 .53626 L .42227 .50804 L .622 .547 .748 r
F
.41998 .51158 m .45653 .53979 L .45886 .53626 L F
.52538 .53052 m .5598 .56131 L .52287 .533 L .763 .497 .531 r
F
.52538 .53052 m .56227 .55879 L .5598 .56131 L F
.49953 .64195 m .53872 .66714 L .50188 .63851 L .622 .547 .748 r
F
.49953 .64195 m .53634 .67058 L .53872 .66714 L F
.75612 .85435 m .79375 .88365 L .79337 .88402 L 0 .291 .77 r
F
.75643 .85393 m .79375 .88365 L .75612 .85435 L F
.44726 .55387 m .48626 .57871 L .44958 .55035 L .622 .547 .748 r
F
.44726 .55387 m .48391 .58221 L .48626 .57871 L F
.61146 .57452 m .64627 .60551 L .60906 .57705 L .763 .497 .531 r
F
.61146 .57452 m .64864 .60294 L .64627 .60551 L F
.84802 .73511 m .88595 .76404 L .88539 .76464 L 0 .374 .838 r
F
.84851 .73446 m .88595 .76404 L .84802 .73511 L F
.64512 .76458 m .68241 .79361 L .68224 .79415 L 0 .291 .77 r
F
.64522 .76399 m .68241 .79361 L .64512 .76458 L F
.47456 .59617 m .51367 .62119 L .47689 .59269 L .622 .547 .748 r
F
.47456 .59617 m .51131 .62467 L .51367 .62119 L F
.69759 .61854 m .73279 .64973 L .69529 .62113 L .763 .497 .531 r
F
.69759 .61854 m .73505 .6471 L .73279 .64973 L F
.73702 .64531 m .77461 .67396 L .77426 .67473 L 0 .374 .838 r
F
.7373 .64448 m .77461 .67396 L .73702 .64531 L F
.48107 .50975 m .51531 .54046 L .47851 .5122 L .763 .497 .531 r
F
.48107 .50975 m .51784 .53797 L .51531 .54046 L F
.53408 .67479 m .57101 .70353 L .57106 .70425 L 0 .291 .77 r
F
.53396 .67401 m .57101 .70353 L .53408 .67479 L F
.42227 .50804 m .46119 .53272 L .42457 .5045 L .622 .547 .748 r
F
.42227 .50804 m .45886 .53626 L .46119 .53272 L F
.56719 .55377 m .60182 .58468 L .56473 .55628 L .763 .497 .531 r
F
.56719 .55377 m .60424 .58213 L .60182 .58468 L F
.50188 .63851 m .54111 .6637 L .50423 .63505 L .622 .547 .748 r
F
.50188 .63851 m .53872 .66714 L .54111 .6637 L F
.7192 .82427 m .75675 .8535 L .75643 .85393 L 0 .291 .77 r
F
.71945 .82379 m .75675 .8535 L .7192 .82427 L F
.44958 .55035 m .48861 .5752 L .45189 .54684 L .622 .547 .748 r
F
.44958 .55035 m .48626 .57871 L .48861 .5752 L F
.65335 .59781 m .68837 .62892 L .651 .60037 L .763 .497 .531 r
F
.65335 .59781 m .69068 .62632 L .68837 .62892 L F
.81117 .70494 m .84901 .7338 L .84851 .73446 L 0 .374 .838 r
F
.81159 .70423 m .84901 .7338 L .81117 .70494 L F
.43672 .48896 m .47078 .5196 L .4341 .49139 L .763 .497 .531 r
F
.43672 .48896 m .47336 .51713 L .47078 .5196 L F
.60812 .73444 m .64531 .76339 L .64522 .76399 L 0 .291 .77 r
F
.60814 .73378 m .64531 .76339 L .60812 .73444 L F
.47689 .59269 m .51604 .61771 L .47923 .5892 L .622 .547 .748 r
F
.47689 .59269 m .51367 .62119 L .51604 .61771 L F
.52287 .533 m .55732 .56384 L .52036 .53548 L .763 .497 .531 r
F
.52287 .533 m .5598 .56131 L .55732 .56384 L F
.42457 .5045 m .46352 .52918 L .42687 .50094 L .622 .547 .748 r
F
.42457 .5045 m .46119 .53272 L .46352 .52918 L F
.79337 .88402 m .83116 .91346 L .8307 .91376 L 0 .291 .77 r
F
.79375 .88365 m .83116 .91346 L .79337 .88402 L F
.50423 .63505 m .5435 .66025 L .50658 .6316 L .622 .547 .748 r
F
.50423 .63505 m .54111 .6637 L .5435 .66025 L F
.60906 .57705 m .64391 .60809 L .60665 .57959 L .763 .497 .531 r
F
.60906 .57705 m .64627 .60551 L .64391 .60809 L F
.88539 .76464 m .92348 .7937 L .92285 .79424 L 0 .374 .838 r
F
.88595 .76404 m .92348 .7937 L .88539 .76464 L F
.68224 .79415 m .71969 .82331 L .71945 .82379 L 0 .291 .77 r
F
.68241 .79361 m .71969 .82331 L .68224 .79415 L F
.45189 .54684 m .49096 .57169 L .45421 .54332 L .622 .547 .748 r
F
.45189 .54684 m .48861 .5752 L .49096 .57169 L F
.69529 .62113 m .73053 .65237 L .69299 .62372 L .763 .497 .531 r
F
.69529 .62113 m .73279 .64973 L .73053 .65237 L F
.77426 .67473 m .81201 .70351 L .81159 .70423 L 0 .374 .838 r
F
.77461 .67396 m .81201 .70351 L .77426 .67473 L F
.47851 .5122 m .51278 .54297 L .47594 .51466 L .763 .497 .531 r
F
.47851 .5122 m .51531 .54046 L .51278 .54297 L F
.57106 .70425 m .60817 .73312 L .60814 .73378 L 0 .291 .77 r
F
.57101 .70353 m .60817 .73312 L .57106 .70425 L F
.47923 .5892 m .51842 .61423 L .48157 .58571 L .622 .547 .748 r
F
.47923 .5892 m .51604 .61771 L .51842 .61423 L F
.56473 .55628 m .5994 .58724 L .56227 .55879 L .763 .497 .531 r
F
.56473 .55628 m .60182 .58468 L .5994 .58724 L F
.42687 .50094 m .46586 .52563 L .42917 .49739 L .622 .547 .748 r
F
.42687 .50094 m .46352 .52918 L .46586 .52563 L F
.75643 .85393 m .79414 .88329 L .79375 .88365 L 0 .291 .77 r
F
.75675 .8535 m .79414 .88329 L .75643 .85393 L F
.50658 .6316 m .54589 .6568 L .50894 .62813 L .622 .547 .748 r
F
.50658 .6316 m .5435 .66025 L .54589 .6568 L F
.651 .60037 m .68605 .63154 L .64864 .60294 L .763 .497 .531 r
F
.651 .60037 m .68837 .62892 L .68605 .63154 L F
.84851 .73446 m .88652 .76344 L .88595 .76404 L 0 .374 .838 r
F
.84901 .7338 m .88652 .76344 L .84851 .73446 L F
.4341 .49139 m .46819 .52208 L .43147 .49383 L .763 .497 .531 r
F
.4341 .49139 m .47078 .5196 L .46819 .52208 L F
.64522 .76399 m .68257 .79307 L .68241 .79361 L 0 .291 .77 r
F
.64531 .76339 m .68257 .79307 L .64522 .76399 L F
.45421 .54332 m .49332 .56817 L .45653 .53979 L .622 .547 .748 r
F
.45421 .54332 m .49096 .57169 L .49332 .56817 L F
.7373 .64448 m .77275 .67585 L .73505 .6471 L .763 .497 .531 r
F
.7373 .64448 m .77496 .67318 L .77461 .67396 L 0 .374 .838 r
F
.7373 .64448 m .77496 .67318 L .77275 .67585 L .763 .497 .531 r
F
.52036 .53548 m .55484 .56637 L .51784 .53797 L F
.52036 .53548 m .55732 .56384 L .55484 .56637 L F
.53396 .67401 m .57097 .70281 L .57101 .70353 L 0 .291 .77 r
F
.53396 .67401 m .57338 .69939 L .53634 .67058 L .622 .547 .748 r
F
.53396 .67401 m .57097 .70281 L .57338 .69939 L F
.48157 .58571 m .52079 .61074 L .48391 .58221 L F
.48157 .58571 m .51842 .61423 L .52079 .61074 L F
.60665 .57959 m .64153 .61068 L .60424 .58213 L .763 .497 .531 r
F
.60665 .57959 m .64391 .60809 L .64153 .61068 L F
.42917 .49739 m .46819 .52208 L .43147 .49383 L .622 .547 .748 r
F
.42917 .49739 m .46586 .52563 L .46819 .52208 L F
.71945 .82379 m .75706 .85308 L .75675 .8535 L 0 .291 .77 r
F
.71969 .82331 m .75706 .85308 L .71945 .82379 L F
.50894 .62813 m .54829 .65334 L .51131 .62467 L .622 .547 .748 r
F
.50894 .62813 m .54589 .6568 L .54829 .65334 L F
.69299 .62372 m .72826 .65501 L .69068 .62632 L .763 .497 .531 r
F
.69299 .62372 m .73053 .65237 L .72826 .65501 L F
.81159 .70423 m .8495 .73314 L .84901 .7338 L 0 .374 .838 r
F
.81201 .70351 m .8495 .73314 L .81159 .70423 L F
.47594 .51466 m .51024 .54547 L .47336 .51713 L .763 .497 .531 r
F
.47594 .51466 m .51278 .54297 L .51024 .54547 L F
.60814 .73378 m .64541 .76278 L .64531 .76339 L 0 .291 .77 r
F
.60817 .73312 m .64541 .76278 L .60814 .73378 L F
.45653 .53979 m .49568 .56465 L .45886 .53626 L .622 .547 .748 r
F
.45653 .53979 m .49332 .56817 L .49568 .56465 L F
.56227 .55879 m .59696 .5898 L .5598 .56131 L .763 .497 .531 r
F
.56227 .55879 m .5994 .58724 L .59696 .5898 L F
.53634 .67058 m .5758 .69596 L .53872 .66714 L .622 .547 .748 r
F
.53634 .67058 m .57338 .69939 L .5758 .69596 L F
.79375 .88365 m .83162 .91315 L .83116 .91346 L 0 .291 .77 r
F
.79414 .88329 m .83162 .91315 L .79375 .88365 L F
.48391 .58221 m .52317 .60725 L .48626 .57871 L .622 .547 .748 r
F
.48391 .58221 m .52079 .61074 L .52317 .60725 L F
.64864 .60294 m .68373 .63415 L .64627 .60551 L .763 .497 .531 r
F
.64864 .60294 m .68605 .63154 L .68373 .63415 L F
.88595 .76404 m .92413 .79316 L .92348 .7937 L 0 .374 .838 r
F
.88652 .76344 m .92413 .79316 L .88595 .76404 L F
.68241 .79361 m .71993 .82282 L .71969 .82331 L 0 .291 .77 r
F
.68257 .79307 m .71993 .82282 L .68241 .79361 L F
.51131 .62467 m .55069 .64988 L .51367 .62119 L .622 .547 .748 r
F
.51131 .62467 m .54829 .65334 L .55069 .64988 L F
.73505 .6471 m .77053 .67852 L .73279 .64973 L .763 .497 .531 r
F
.73505 .6471 m .77275 .67585 L .77053 .67852 L F
.77461 .67396 m .81243 .70279 L .81201 .70351 L 0 .374 .838 r
F
.77496 .67318 m .81243 .70279 L .77461 .67396 L F
.51784 .53797 m .55235 .56891 L .51531 .54046 L .763 .497 .531 r
F
.51784 .53797 m .55484 .56637 L .55235 .56891 L F
.57101 .70353 m .60819 .73246 L .60817 .73312 L 0 .291 .77 r
F
.57097 .70281 m .60819 .73246 L .57101 .70353 L F
.45886 .53626 m .49804 .56112 L .46119 .53272 L .622 .547 .748 r
F
.45886 .53626 m .49568 .56465 L .49804 .56112 L F
.60424 .58213 m .63915 .61327 L .60182 .58468 L .763 .497 .531 r
F
.60424 .58213 m .64153 .61068 L .63915 .61327 L F
.53872 .66714 m .57822 .69253 L .54111 .6637 L .622 .547 .748 r
F
.53872 .66714 m .5758 .69596 L .57822 .69253 L F
.75675 .8535 m .79453 .88292 L .79414 .88329 L 0 .291 .77 r
F
.75706 .85308 m .79453 .88292 L .75675 .8535 L F
.48626 .57871 m .52556 .60375 L .48861 .5752 L .622 .547 .748 r
F
.48626 .57871 m .52317 .60725 L .52556 .60375 L F
.69068 .62632 m .72598 .65766 L .68837 .62892 L .763 .497 .531 r
F
.69068 .62632 m .72826 .65501 L .72598 .65766 L F
.84901 .7338 m .88709 .76284 L .88652 .76344 L 0 .374 .838 r
F
.8495 .73314 m .88709 .76284 L .84901 .7338 L F
.47336 .51713 m .5077 .54799 L .47078 .5196 L .763 .497 .531 r
F
.47336 .51713 m .51024 .54547 L .5077 .54799 L F
.64531 .76339 m .68274 .79252 L .68257 .79307 L 0 .291 .77 r
F
.64541 .76278 m .68274 .79252 L .64531 .76339 L F
.51367 .62119 m .55309 .64641 L .51604 .61771 L .622 .547 .748 r
F
.51367 .62119 m .55069 .64988 L .55309 .64641 L F
.5598 .56131 m .59453 .59237 L .55732 .56384 L .763 .497 .531 r
F
.5598 .56131 m .59696 .5898 L .59453 .59237 L F
.46119 .53272 m .50041 .55759 L .46352 .52918 L .622 .547 .748 r
F
.46119 .53272 m .49804 .56112 L .50041 .55759 L F
.54111 .6637 m .58065 .68909 L .5435 .66025 L F
.54111 .6637 m .57822 .69253 L .58065 .68909 L F
.64627 .60551 m .68139 .63678 L .64391 .60809 L .763 .497 .531 r
F
.64627 .60551 m .68373 .63415 L .68139 .63678 L F
.71969 .82331 m .75738 .85265 L .75706 .85308 L 0 .291 .77 r
F
.71993 .82282 m .75738 .85265 L .71969 .82331 L F
.48861 .5752 m .52795 .60025 L .49096 .57169 L .622 .547 .748 r
F
.48861 .5752 m .52556 .60375 L .52795 .60025 L F
.73279 .64973 m .7683 .6812 L .73053 .65237 L .763 .497 .531 r
F
.73279 .64973 m .77053 .67852 L .7683 .6812 L F
.81201 .70351 m .85 .73248 L .8495 .73314 L 0 .374 .838 r
F
.81243 .70279 m .85 .73248 L .81201 .70351 L F
.51531 .54046 m .54986 .57145 L .51278 .54297 L .763 .497 .531 r
F
.51531 .54046 m .55235 .56891 L .54986 .57145 L F
.60817 .73312 m .64551 .76218 L .64541 .76278 L 0 .291 .77 r
F
.60819 .73246 m .64551 .76218 L .60817 .73312 L F
.51604 .61771 m .5555 .64293 L .51842 .61423 L .622 .547 .748 r
F
.51604 .61771 m .55309 .64641 L .5555 .64293 L F
.60182 .58468 m .63676 .61587 L .5994 .58724 L .763 .497 .531 r
F
.60182 .58468 m .63915 .61327 L .63676 .61587 L F
.46352 .52918 m .50278 .55405 L .46586 .52563 L .622 .547 .748 r
F
.46352 .52918 m .50041 .55759 L .50278 .55405 L F
.79414 .88329 m .83209 .91284 L .83162 .91315 L 0 .291 .77 r
F
.79453 .88292 m .83209 .91284 L .79414 .88329 L F
.5435 .66025 m .58307 .68565 L .54589 .6568 L .622 .547 .748 r
F
.5435 .66025 m .58065 .68909 L .58307 .68565 L F
.68837 .62892 m .7237 .66032 L .68605 .63154 L .763 .497 .531 r
F
.68837 .62892 m .72598 .65766 L .7237 .66032 L F
.88652 .76344 m .92477 .79261 L .92413 .79316 L 0 .374 .838 r
F
.88709 .76284 m .92477 .79261 L .88652 .76344 L F
.47078 .5196 m .50515 .55051 L .46819 .52208 L .763 .497 .531 r
F
.47078 .5196 m .5077 .54799 L .50515 .55051 L F
.68257 .79307 m .72017 .82233 L .71993 .82282 L 0 .291 .77 r
F
.68274 .79252 m .72017 .82233 L .68257 .79307 L F
.49096 .57169 m .53034 .59674 L .49332 .56817 L .622 .547 .748 r
F
.49096 .57169 m .52795 .60025 L .53034 .59674 L F
.77496 .67318 m .81068 .70478 L .77275 .67585 L .763 .497 .531 r
F
.77496 .67318 m .81286 .70207 L .81243 .70279 L 0 .374 .838 r
F
.77496 .67318 m .81286 .70207 L .81068 .70478 L .763 .497 .531 r
F
.55732 .56384 m .59208 .59495 L .55484 .56637 L F
.55732 .56384 m .59453 .59237 L .59208 .59495 L F
.57097 .70281 m .60821 .73179 L .60819 .73246 L 0 .291 .77 r
F
.57097 .70281 m .61066 .72838 L .57338 .69939 L .622 .547 .748 r
F
.57097 .70281 m .60821 .73179 L .61066 .72838 L F
.51842 .61423 m .55791 .63946 L .52079 .61074 L F
.51842 .61423 m .5555 .64293 L .55791 .63946 L F
.64391 .60809 m .67906 .63941 L .64153 .61068 L .763 .497 .531 r
F
.64391 .60809 m .68139 .63678 L .67906 .63941 L F
.46586 .52563 m .50515 .55051 L .46819 .52208 L .622 .547 .748 r
F
.46586 .52563 m .50278 .55405 L .50515 .55051 L F
.75706 .85308 m .79492 .88255 L .79453 .88292 L 0 .291 .77 r
F
.75738 .85265 m .79492 .88255 L .75706 .85308 L F
.54589 .6568 m .58551 .6822 L .54829 .65334 L .622 .547 .748 r
F
.54589 .6568 m .58307 .68565 L .58551 .6822 L F
.73053 .65237 m .76607 .68389 L .72826 .65501 L .763 .497 .531 r
F
.73053 .65237 m .7683 .6812 L .76607 .68389 L F
.8495 .73314 m .88766 .76223 L .88709 .76284 L 0 .374 .838 r
F
.85 .73248 m .88766 .76223 L .8495 .73314 L F
.51278 .54297 m .54736 .574 L .51024 .54547 L .763 .497 .531 r
F
.51278 .54297 m .54986 .57145 L .54736 .574 L F
.64541 .76278 m .68291 .79198 L .68274 .79252 L 0 .291 .77 r
F
.64551 .76218 m .68291 .79198 L .64541 .76278 L F
.49332 .56817 m .53273 .59323 L .49568 .56465 L .622 .547 .748 r
F
.49332 .56817 m .53034 .59674 L .53273 .59323 L F
.5994 .58724 m .63437 .61848 L .59696 .5898 L .763 .497 .531 r
F
.5994 .58724 m .63676 .61587 L .63437 .61848 L F
.57338 .69939 m .61312 .72496 L .5758 .69596 L .622 .547 .748 r
F
.57338 .69939 m .61066 .72838 L .61312 .72496 L F
.52079 .61074 m .56033 .63597 L .52317 .60725 L F
.52079 .61074 m .55791 .63946 L .56033 .63597 L F
.68605 .63154 m .72142 .66298 L .68373 .63415 L .763 .497 .531 r
F
.68605 .63154 m .7237 .66032 L .72142 .66298 L F
.71993 .82282 m .75769 .85222 L .75738 .85265 L 0 .291 .77 r
F
.72017 .82233 m .75769 .85222 L .71993 .82282 L F
.54829 .65334 m .58794 .67874 L .55069 .64988 L .622 .547 .748 r
F
.54829 .65334 m .58551 .6822 L .58794 .67874 L F
.77275 .67585 m .80851 .7075 L .77053 .67852 L .763 .497 .531 r
F
.77275 .67585 m .81068 .70478 L .80851 .7075 L F
.81243 .70279 m .8505 .73181 L .85 .73248 L 0 .374 .838 r
F
.81286 .70207 m .8505 .73181 L .81243 .70279 L F
.55484 .56637 m .58963 .59753 L .55235 .56891 L .763 .497 .531 r
F
.55484 .56637 m .59208 .59495 L .58963 .59753 L F
.60819 .73246 m .6456 .76157 L .64551 .76218 L 0 .291 .77 r
F
.60821 .73179 m .6456 .76157 L .60819 .73246 L F
.49568 .56465 m .53513 .58971 L .49804 .56112 L .622 .547 .748 r
F
.49568 .56465 m .53273 .59323 L .53513 .58971 L F
.5758 .69596 m .61557 .72154 L .57822 .69253 L F
.5758 .69596 m .61312 .72496 L .61557 .72154 L F
.64153 .61068 m .67672 .64205 L .63915 .61327 L .763 .497 .531 r
F
.64153 .61068 m .67906 .63941 L .67672 .64205 L F
.79453 .88292 m .83255 .91253 L .83209 .91284 L 0 .291 .77 r
F
.79492 .88255 m .83255 .91253 L .79453 .88292 L F
.52317 .60725 m .56275 .63248 L .52556 .60375 L .622 .547 .748 r
F
.52317 .60725 m .56033 .63597 L .56275 .63248 L F
.72826 .65501 m .76384 .68658 L .72598 .65766 L .763 .497 .531 r
F
.72826 .65501 m .76607 .68389 L .76384 .68658 L F
.88709 .76284 m .92542 .79206 L .92477 .79261 L 0 .374 .838 r
F
.88766 .76223 m .92542 .79206 L .88709 .76284 L F
.51024 .54547 m .54485 .57656 L .5077 .54799 L .763 .497 .531 r
F
.51024 .54547 m .54736 .574 L .54485 .57656 L F
.68274 .79252 m .72042 .82184 L .72017 .82233 L 0 .291 .77 r
F
.68291 .79198 m .72042 .82184 L .68274 .79252 L F
.55069 .64988 m .59038 .67529 L .55309 .64641 L .622 .547 .748 r
F
.55069 .64988 m .58794 .67874 L .59038 .67529 L F
.59696 .5898 m .63197 .62109 L .59453 .59237 L .763 .497 .531 r
F
.59696 .5898 m .63437 .61848 L .63197 .62109 L F
.49804 .56112 m .53753 .58619 L .50041 .55759 L .622 .547 .748 r
F
.49804 .56112 m .53513 .58971 L .53753 .58619 L F
.57822 .69253 m .61803 .71811 L .58065 .68909 L F
.57822 .69253 m .61557 .72154 L .61803 .71811 L F
.68373 .63415 m .71913 .66565 L .68139 .63678 L .763 .497 .531 r
F
.68373 .63415 m .72142 .66298 L .71913 .66565 L F
.75738 .85265 m .79531 .88218 L .79492 .88255 L 0 .291 .77 r
F
.75769 .85222 m .79531 .88218 L .75738 .85265 L F
.52556 .60375 m .56517 .62899 L .52795 .60025 L .622 .547 .748 r
F
.52556 .60375 m .56275 .63248 L .56517 .62899 L F
.77053 .67852 m .80632 .71022 L .7683 .6812 L .763 .497 .531 r
F
.77053 .67852 m .80851 .7075 L .80632 .71022 L F
.85 .73248 m .88824 .76162 L .88766 .76223 L 0 .374 .838 r
F
.8505 .73181 m .88824 .76162 L .85 .73248 L F
.55235 .56891 m .58718 .60012 L .54986 .57145 L .763 .497 .531 r
F
.55235 .56891 m .58963 .59753 L .58718 .60012 L F
.64551 .76218 m .68309 .79143 L .68291 .79198 L 0 .291 .77 r
F
.6456 .76157 m .68309 .79143 L .64551 .76218 L F
.55309 .64641 m .59282 .67182 L .5555 .64293 L .622 .547 .748 r
F
.55309 .64641 m .59038 .67529 L .59282 .67182 L F
.63915 .61327 m .67437 .64469 L .63676 .61587 L .763 .497 .531 r
F
.63915 .61327 m .67672 .64205 L .67437 .64469 L F
.50041 .55759 m .53993 .58266 L .50278 .55405 L .622 .547 .748 r
F
.50041 .55759 m .53753 .58619 L .53993 .58266 L F
.58065 .68909 m .6205 .71468 L .58307 .68565 L F
.58065 .68909 m .61803 .71811 L .6205 .71468 L F
.72598 .65766 m .7616 .68928 L .7237 .66032 L .763 .497 .531 r
F
.72598 .65766 m .76384 .68658 L .7616 .68928 L F
.5077 .54799 m .54234 .57912 L .50515 .55051 L F
.5077 .54799 m .54485 .57656 L .54234 .57912 L F
.72017 .82233 m .75801 .85179 L .75769 .85222 L 0 .291 .77 r
F
.72042 .82184 m .75801 .85179 L .72017 .82233 L F
.52795 .60025 m .56759 .62549 L .53034 .59674 L .622 .547 .748 r
F
.52795 .60025 m .56517 .62899 L .56759 .62549 L F
.81286 .70207 m .84887 .7339 L .81068 .70478 L .763 .497 .531 r
F
.81286 .70207 m .851 .73114 L .8505 .73181 L 0 .374 .838 r
F
.81286 .70207 m .851 .73114 L .84887 .7339 L .763 .497 .531 r
F
.59453 .59237 m .62957 .62371 L .59208 .59495 L F
.59453 .59237 m .63197 .62109 L .62957 .62371 L F
.60821 .73179 m .6457 .76096 L .6456 .76157 L 0 .291 .77 r
F
.60821 .73179 m .64819 .75756 L .61066 .72838 L .622 .547 .748 r
F
.60821 .73179 m .6457 .76096 L .64819 .75756 L F
.5555 .64293 m .59527 .66835 L .55791 .63946 L F
.5555 .64293 m .59282 .67182 L .59527 .66835 L F
.68139 .63678 m .71683 .66832 L .67906 .63941 L .763 .497 .531 r
F
.68139 .63678 m .71913 .66565 L .71683 .66832 L F
.50278 .55405 m .54234 .57912 L .50515 .55051 L .622 .547 .748 r
F
.50278 .55405 m .53993 .58266 L .54234 .57912 L F
.79492 .88255 m .83302 .91221 L .83255 .91253 L 0 .291 .77 r
F
.79531 .88218 m .83302 .91221 L .79492 .88255 L F
.58307 .68565 m .62296 .71124 L .58551 .6822 L .622 .547 .748 r
F
.58307 .68565 m .6205 .71468 L .62296 .71124 L F
.7683 .6812 m .80413 .71296 L .76607 .68389 L .763 .497 .531 r
F
.7683 .6812 m .80632 .71022 L .80413 .71296 L F
.88766 .76223 m .92607 .79151 L .92542 .79206 L 0 .374 .838 r
F
.88824 .76162 m .92607 .79151 L .88766 .76223 L F
.54986 .57145 m .58472 .60271 L .54736 .574 L .763 .497 .531 r
F
.54986 .57145 m .58718 .60012 L .58472 .60271 L F
.68291 .79198 m .72066 .82135 L .72042 .82184 L 0 .291 .77 r
F
.68309 .79143 m .72066 .82135 L .68291 .79198 L F
.53034 .59674 m .57002 .62199 L .53273 .59323 L .622 .547 .748 r
F
.53034 .59674 m .56759 .62549 L .57002 .62199 L F
.63676 .61587 m .67201 .64734 L .63437 .61848 L .763 .497 .531 r
F
.63676 .61587 m .67437 .64469 L .67201 .64734 L F
.61066 .72838 m .65067 .75415 L .61312 .72496 L .622 .547 .748 r
F
.61066 .72838 m .64819 .75756 L .65067 .75415 L F
.55791 .63946 m .59772 .66488 L .56033 .63597 L F
.55791 .63946 m .59527 .66835 L .59772 .66488 L F
.7237 .66032 m .75935 .69199 L .72142 .66298 L .763 .497 .531 r
F
.7237 .66032 m .7616 .68928 L .75935 .69199 L F
.75769 .85222 m .7957 .88181 L .79531 .88218 L 0 .291 .77 r
F
.75801 .85179 m .7957 .88181 L .75769 .85222 L F
.58551 .6822 m .62544 .7078 L .58794 .67874 L .622 .547 .748 r
F
.58551 .6822 m .62296 .71124 L .62544 .7078 L F
.81068 .70478 m .84673 .73666 L .80851 .7075 L .763 .497 .531 r
F
.81068 .70478 m .84887 .7339 L .84673 .73666 L F
.8505 .73181 m .88881 .76101 L .88824 .76162 L 0 .374 .838 r
F
.851 .73114 m .88881 .76101 L .8505 .73181 L F
.59208 .59495 m .62715 .62634 L .58963 .59753 L .763 .497 .531 r
F
.59208 .59495 m .62957 .62371 L .62715 .62634 L F
.6456 .76157 m .68326 .79087 L .68309 .79143 L 0 .291 .77 r
F
.6457 .76096 m .68326 .79087 L .6456 .76157 L F
.53273 .59323 m .57246 .61848 L .53513 .58971 L .622 .547 .748 r
F
.53273 .59323 m .57002 .62199 L .57246 .61848 L F
.67906 .63941 m .71453 .67101 L .67672 .64205 L .763 .497 .531 r
F
.67906 .63941 m .71683 .66832 L .71453 .67101 L F
.61312 .72496 m .65317 .75074 L .61557 .72154 L .622 .547 .748 r
F
.61312 .72496 m .65067 .75415 L .65317 .75074 L F
.56033 .63597 m .60018 .6614 L .56275 .63248 L F
.56033 .63597 m .59772 .66488 L .60018 .6614 L F
.76607 .68389 m .80194 .71569 L .76384 .68658 L .763 .497 .531 r
F
.76607 .68389 m .80413 .71296 L .80194 .71569 L F
.54736 .574 m .58225 .60532 L .54485 .57656 L F
.54736 .574 m .58472 .60271 L .58225 .60532 L F
.72042 .82184 m .75833 .85136 L .75801 .85179 L 0 .291 .77 r
F
.72066 .82135 m .75833 .85136 L .72042 .82184 L F
.58794 .67874 m .62791 .70435 L .59038 .67529 L .622 .547 .748 r
F
.58794 .67874 m .62544 .7078 L .62791 .70435 L F
.63437 .61848 m .66965 .65 L .63197 .62109 L .763 .497 .531 r
F
.63437 .61848 m .67201 .64734 L .66965 .65 L F
.53513 .58971 m .57489 .61497 L .53753 .58619 L .622 .547 .748 r
F
.53513 .58971 m .57246 .61848 L .57489 .61497 L F
.61557 .72154 m .65566 .74732 L .61803 .71811 L F
.61557 .72154 m .65317 .75074 L .65566 .74732 L F
.72142 .66298 m .7571 .69471 L .71913 .66565 L .763 .497 .531 r
F
.72142 .66298 m .75935 .69199 L .7571 .69471 L F
.79531 .88218 m .83348 .9119 L .83302 .91221 L 0 .291 .77 r
F
.7957 .88181 m .83348 .9119 L .79531 .88218 L F
.56275 .63248 m .60263 .65792 L .56517 .62899 L .622 .547 .748 r
F
.56275 .63248 m .60018 .6614 L .60263 .65792 L F
.80851 .7075 m .84459 .73943 L .80632 .71022 L .763 .497 .531 r
F
.80851 .7075 m .84673 .73666 L .84459 .73943 L F
.88824 .76162 m .92672 .79096 L .92607 .79151 L 0 .374 .838 r
F
.88881 .76101 m .92672 .79096 L .88824 .76162 L F
.58963 .59753 m .62474 .62897 L .58718 .60012 L .763 .497 .531 r
F
.58963 .59753 m .62715 .62634 L .62474 .62897 L F
.68309 .79143 m .72091 .82086 L .72066 .82135 L 0 .291 .77 r
F
.68326 .79087 m .72091 .82086 L .68309 .79143 L F
.59038 .67529 m .63039 .7009 L .59282 .67182 L .622 .547 .748 r
F
.59038 .67529 m .62791 .70435 L .63039 .7009 L F
.67672 .64205 m .71222 .6737 L .67437 .64469 L .763 .497 .531 r
F
.67672 .64205 m .71453 .67101 L .71222 .6737 L F
.53753 .58619 m .57733 .61145 L .53993 .58266 L .622 .547 .748 r
F
.53753 .58619 m .57489 .61497 L .57733 .61145 L F
.61803 .71811 m .65816 .7439 L .6205 .71468 L F
.61803 .71811 m .65566 .74732 L .65816 .7439 L F
.76384 .68658 m .79974 .71844 L .7616 .68928 L .763 .497 .531 r
F
.76384 .68658 m .80194 .71569 L .79974 .71844 L F
.54485 .57656 m .57978 .60792 L .54234 .57912 L F
.54485 .57656 m .58225 .60532 L .57978 .60792 L F
.75801 .85179 m .7961 .88143 L .7957 .88181 L 0 .291 .77 r
F
.75833 .85136 m .7961 .88143 L .75801 .85179 L F
.56517 .62899 m .60509 .65443 L .56759 .62549 L .622 .547 .748 r
F
.56517 .62899 m .60263 .65792 L .60509 .65443 L F
.851 .73114 m .8873 .7632 L .84887 .7339 L .763 .497 .531 r
F
.851 .73114 m .88939 .7604 L .88881 .76101 L 0 .374 .838 r
F
.88881 .76101 m .92737 .79041 L .92672 .79096 L F
.88939 .7604 m .92737 .79041 L .88881 .76101 L F
.851 .73114 m .88939 .7604 L .8873 .7632 L .763 .497 .531 r
F
.63197 .62109 m .66729 .65266 L .62957 .62371 L F
.63197 .62109 m .66965 .65 L .66729 .65266 L F
.6457 .76096 m .68343 .79032 L .68326 .79087 L 0 .291 .77 r
F
.6457 .76096 m .68595 .78693 L .64819 .75756 L .622 .547 .748 r
F
.6457 .76096 m .68343 .79032 L .68595 .78693 L F
.59282 .67182 m .63287 .69744 L .59527 .66835 L F
.59282 .67182 m .63039 .7009 L .63287 .69744 L F
.71913 .66565 m .75484 .69743 L .71683 .66832 L .763 .497 .531 r
F
.71913 .66565 m .7571 .69471 L .75484 .69743 L F
.53993 .58266 m .57978 .60792 L .54234 .57912 L .622 .547 .748 r
F
.53993 .58266 m .57733 .61145 L .57978 .60792 L F
.6205 .71468 m .66066 .74047 L .62296 .71124 L F
.6205 .71468 m .65816 .7439 L .66066 .74047 L F
.80632 .71022 m .84244 .74221 L .80413 .71296 L .763 .497 .531 r
F
.80632 .71022 m .84459 .73943 L .84244 .74221 L F
.58718 .60012 m .62232 .63161 L .58472 .60271 L F
.58718 .60012 m .62474 .62897 L .62232 .63161 L F
.72066 .82135 m .75865 .85092 L .75833 .85136 L 0 .291 .77 r
F
.72091 .82086 m .75865 .85092 L .72066 .82135 L F
.56759 .62549 m .60756 .65094 L .57002 .62199 L .622 .547 .748 r
F
.56759 .62549 m .60509 .65443 L .60756 .65094 L F
.67437 .64469 m .7099 .67639 L .67201 .64734 L .763 .497 .531 r
F
.67437 .64469 m .71222 .6737 L .7099 .67639 L F
.64819 .75756 m .68848 .78353 L .65067 .75415 L .622 .547 .748 r
F
.64819 .75756 m .68595 .78693 L .68848 .78353 L F
.59527 .66835 m .63536 .69397 L .59772 .66488 L F
.59527 .66835 m .63287 .69744 L .63536 .69397 L F
.7616 .68928 m .79753 .72119 L .75935 .69199 L .763 .497 .531 r
F
.7616 .68928 m .79974 .71844 L .79753 .72119 L F
.7957 .88181 m .83395 .91159 L .83348 .9119 L 0 .291 .77 r
F
.7961 .88143 m .83395 .91159 L .7957 .88181 L F
.62296 .71124 m .66317 .73704 L .62544 .7078 L .622 .547 .748 r
F
.62296 .71124 m .66066 .74047 L .66317 .73704 L F
.84887 .7339 m .8852 .76601 L .84673 .73666 L .763 .497 .531 r
F
.84887 .7339 m .8873 .7632 L .8852 .76601 L F
.62957 .62371 m .66492 .65533 L .62715 .62634 L F
.62957 .62371 m .66729 .65266 L .66492 .65533 L F
.68326 .79087 m .72116 .82037 L .72091 .82086 L 0 .291 .77 r
F
.68343 .79032 m .72116 .82037 L .68326 .79087 L F
.57002 .62199 m .61003 .64744 L .57246 .61848 L .622 .547 .748 r
F
.57002 .62199 m .60756 .65094 L .61003 .64744 L F
.71683 .66832 m .75258 .70015 L .71453 .67101 L .763 .497 .531 r
F
.71683 .66832 m .75484 .69743 L .75258 .70015 L F
.65067 .75415 m .691 .78013 L .65317 .75074 L .622 .547 .748 r
F
.65067 .75415 m .68848 .78353 L .691 .78013 L F
.59772 .66488 m .63785 .69051 L .60018 .6614 L F
.59772 .66488 m .63536 .69397 L .63785 .69051 L F
.80413 .71296 m .84028 .74499 L .80194 .71569 L .763 .497 .531 r
F
.80413 .71296 m .84244 .74221 L .84028 .74499 L F
.58472 .60271 m .61989 .63426 L .58225 .60532 L F
.58472 .60271 m .62232 .63161 L .61989 .63426 L F
.75833 .85136 m .79649 .88106 L .7961 .88143 L 0 .291 .77 r
F
.75865 .85092 m .79649 .88106 L .75833 .85136 L F
.62544 .7078 m .66568 .7336 L .62791 .70435 L .622 .547 .748 r
F
.62544 .7078 m .66317 .73704 L .66568 .7336 L F
.67201 .64734 m .70758 .67909 L .66965 .65 L .763 .497 .531 r
F
.67201 .64734 m .7099 .67639 L .70758 .67909 L F
.57246 .61848 m .6125 .64393 L .57489 .61497 L .622 .547 .748 r
F
.57246 .61848 m .61003 .64744 L .6125 .64393 L F
.65317 .75074 m .69353 .77672 L .65566 .74732 L F
.65317 .75074 m .691 .78013 L .69353 .77672 L F
.75935 .69199 m .79532 .72395 L .7571 .69471 L .763 .497 .531 r
F
.75935 .69199 m .79753 .72119 L .79532 .72395 L F
.60018 .6614 m .64034 .68703 L .60263 .65792 L .622 .547 .748 r
F
.60018 .6614 m .63785 .69051 L .64034 .68703 L F
.84673 .73666 m .8831 .76883 L .84459 .73943 L .763 .497 .531 r
F
.84673 .73666 m .8852 .76601 L .8831 .76883 L F
.62715 .62634 m .66254 .65801 L .62474 .62897 L F
.62715 .62634 m .66492 .65533 L .66254 .65801 L F
.72091 .82086 m .75898 .85049 L .75865 .85092 L 0 .291 .77 r
F
.72116 .82037 m .75898 .85049 L .72091 .82086 L F
.62791 .70435 m .6682 .73016 L .63039 .7009 L .622 .547 .748 r
F
.62791 .70435 m .66568 .7336 L .6682 .73016 L F
.71453 .67101 m .75031 .70289 L .71222 .6737 L .763 .497 .531 r
F
.71453 .67101 m .75258 .70015 L .75031 .70289 L F
.57489 .61497 m .61497 .64042 L .57733 .61145 L .622 .547 .748 r
F
.57489 .61497 m .6125 .64393 L .61497 .64042 L F
.65566 .74732 m .69607 .77331 L .65816 .7439 L F
.65566 .74732 m .69353 .77672 L .69607 .77331 L F
.80194 .71569 m .83812 .74778 L .79974 .71844 L .763 .497 .531 r
F
.80194 .71569 m .84028 .74499 L .83812 .74778 L F
.58225 .60532 m .61745 .63691 L .57978 .60792 L F
.58225 .60532 m .61989 .63426 L .61745 .63691 L F
.7961 .88143 m .83443 .91127 L .83395 .91159 L 0 .291 .77 r
F
.79649 .88106 m .83443 .91127 L .7961 .88143 L F
.60263 .65792 m .64283 .68355 L .60509 .65443 L .622 .547 .748 r
F
.60263 .65792 m .64034 .68703 L .64283 .68355 L F
.88939 .7604 m .92598 .7927 L .8873 .7632 L .763 .497 .531 r
F
.88939 .7604 m .92803 .78985 L .92737 .79041 L 0 .374 .838 r
F
.88939 .7604 m .92803 .78985 L .92598 .7927 L .763 .497 .531 r
F
.66965 .65 m .70526 .6818 L .66729 .65266 L F
.66965 .65 m .70758 .67909 L .70526 .6818 L F
.68343 .79032 m .7214 .81987 L .72116 .82037 L 0 .291 .77 r
F
.68343 .79032 m .72396 .81649 L .68595 .78693 L .622 .547 .748 r
F
.68343 .79032 m .7214 .81987 L .72396 .81649 L F
.63039 .7009 m .67071 .72671 L .63287 .69744 L F
.63039 .7009 m .6682 .73016 L .67071 .72671 L F
.7571 .69471 m .7931 .72672 L .75484 .69743 L .763 .497 .531 r
F
.7571 .69471 m .79532 .72395 L .7931 .72672 L F
.57733 .61145 m .61745 .63691 L .57978 .60792 L .622 .547 .748 r
F
.57733 .61145 m .61497 .64042 L .61745 .63691 L F
.65816 .7439 m .69861 .76989 L .66066 .74047 L F
.65816 .7439 m .69607 .77331 L .69861 .76989 L F
.84459 .73943 m .88099 .77165 L .84244 .74221 L .763 .497 .531 r
F
.84459 .73943 m .8831 .76883 L .88099 .77165 L F
.62474 .62897 m .66016 .6607 L .62232 .63161 L F
.62474 .62897 m .66254 .65801 L .66016 .6607 L F
.75865 .85092 m .79689 .88068 L .79649 .88106 L 0 .291 .77 r
F
.75898 .85049 m .79689 .88068 L .75865 .85092 L F
.60509 .65443 m .64533 .68007 L .60756 .65094 L .622 .547 .748 r
F
.60509 .65443 m .64283 .68355 L .64533 .68007 L F
.71222 .6737 m .74804 .70563 L .7099 .67639 L .763 .497 .531 r
F
.71222 .6737 m .75031 .70289 L .74804 .70563 L F
.68595 .78693 m .72652 .8131 L .68848 .78353 L .622 .547 .748 r
F
.68595 .78693 m .72396 .81649 L .72652 .8131 L F
.63287 .69744 m .67323 .72326 L .63536 .69397 L F
.63287 .69744 m .67071 .72671 L .67323 .72326 L F
.79974 .71844 m .83596 .75058 L .79753 .72119 L .763 .497 .531 r
F
.79974 .71844 m .83812 .74778 L .83596 .75058 L F
.66066 .74047 m .70115 .76647 L .66317 .73704 L .622 .547 .748 r
F
.66066 .74047 m .69861 .76989 L .70115 .76647 L F
.8873 .7632 m .92392 .79555 L .8852 .76601 L .763 .497 .531 r
F
.8873 .7632 m .92598 .7927 L .92392 .79555 L F
.66729 .65266 m .70293 .68452 L .66492 .65533 L F
.66729 .65266 m .70526 .6818 L .70293 .68452 L F
.72116 .82037 m .7593 .85005 L .75898 .85049 L 0 .291 .77 r
F
.7214 .81987 m .7593 .85005 L .72116 .82037 L F
.60756 .65094 m .64784 .67658 L .61003 .64744 L .622 .547 .748 r
F
.60756 .65094 m .64533 .68007 L .64784 .67658 L F
.68848 .78353 m .72908 .80971 L .691 .78013 L F
.68848 .78353 m .72652 .8131 L .72908 .80971 L F
.75484 .69743 m .79088 .72949 L .75258 .70015 L .763 .497 .531 r
F
.75484 .69743 m .7931 .72672 L .79088 .72949 L F
.63536 .69397 m .67576 .7198 L .63785 .69051 L .622 .547 .748 r
F
.63536 .69397 m .67323 .72326 L .67576 .7198 L F
.84244 .74221 m .87888 .77448 L .84028 .74499 L .763 .497 .531 r
F
.84244 .74221 m .88099 .77165 L .87888 .77448 L F
.62232 .63161 m .65777 .66339 L .61989 .63426 L F
.62232 .63161 m .66016 .6607 L .65777 .66339 L F
.79649 .88106 m .8349 .91095 L .83443 .91127 L 0 .291 .77 r
F
.79689 .88068 m .8349 .91095 L .79649 .88106 L F
.66317 .73704 m .7037 .76304 L .66568 .7336 L .622 .547 .748 r
F
.66317 .73704 m .70115 .76647 L .7037 .76304 L F
.7099 .67639 m .74576 .70837 L .70758 .67909 L .763 .497 .531 r
F
.7099 .67639 m .74804 .70563 L .74576 .70837 L F
.61003 .64744 m .65035 .67309 L .6125 .64393 L .622 .547 .748 r
F
.61003 .64744 m .64784 .67658 L .65035 .67309 L F
.691 .78013 m .73165 .80631 L .69353 .77672 L F
.691 .78013 m .72908 .80971 L .73165 .80631 L F
.79753 .72119 m .83379 .75338 L .79532 .72395 L .763 .497 .531 r
F
.79753 .72119 m .83596 .75058 L .83379 .75338 L F
.63785 .69051 m .67829 .71634 L .64034 .68703 L .622 .547 .748 r
F
.63785 .69051 m .67576 .7198 L .67829 .71634 L F
.8852 .76601 m .92186 .79841 L .8831 .76883 L .763 .497 .531 r
F
.8852 .76601 m .92392 .79555 L .92186 .79841 L F
.66492 .65533 m .70059 .68724 L .66254 .65801 L F
.66492 .65533 m .70293 .68452 L .70059 .68724 L F
.75898 .85049 m .79729 .8803 L .79689 .88068 L 0 .291 .77 r
F
.7593 .85005 m .79729 .8803 L .75898 .85049 L F
.66568 .7336 m .70625 .75961 L .6682 .73016 L .622 .547 .748 r
F
.66568 .7336 m .7037 .76304 L .70625 .75961 L F
.75258 .70015 m .78865 .73227 L .75031 .70289 L .763 .497 .531 r
F
.75258 .70015 m .79088 .72949 L .78865 .73227 L F
.6125 .64393 m .65286 .66959 L .61497 .64042 L .622 .547 .748 r
F
.6125 .64393 m .65035 .67309 L .65286 .66959 L F
.69353 .77672 m .73422 .80291 L .69607 .77331 L F
.69353 .77672 m .73165 .80631 L .73422 .80291 L F
.84028 .74499 m .87676 .77732 L .83812 .74778 L .763 .497 .531 r
F
.84028 .74499 m .87888 .77448 L .87676 .77732 L F
.61989 .63426 m .65537 .66608 L .61745 .63691 L F
.61989 .63426 m .65777 .66339 L .65537 .66608 L F
.64034 .68703 m .68082 .71287 L .64283 .68355 L .622 .547 .748 r
F
.64034 .68703 m .67829 .71634 L .68082 .71287 L F
.70758 .67909 m .74347 .71113 L .70526 .6818 L .763 .497 .531 r
F
.70758 .67909 m .74576 .70837 L .74347 .71113 L F
.7214 .81987 m .75962 .84961 L .7593 .85005 L 0 .291 .77 r
F
.7214 .81987 m .76222 .84624 L .72396 .81649 L .622 .547 .748 r
F
.7214 .81987 m .75962 .84961 L .76222 .84624 L F
.6682 .73016 m .7088 .75617 L .67071 .72671 L F
.6682 .73016 m .70625 .75961 L .7088 .75617 L F
.79532 .72395 m .83161 .7562 L .7931 .72672 L .763 .497 .531 r
F
.79532 .72395 m .83379 .75338 L .83161 .7562 L F
.61497 .64042 m .65537 .66608 L .61745 .63691 L .622 .547 .748 r
F
.61497 .64042 m .65286 .66959 L .65537 .66608 L F
.69607 .77331 m .7368 .7995 L .69861 .76989 L F
.69607 .77331 m .73422 .80291 L .7368 .7995 L F
.8831 .76883 m .9198 .80128 L .88099 .77165 L .763 .497 .531 r
F
.8831 .76883 m .92186 .79841 L .9198 .80128 L F
.66254 .65801 m .69824 .68997 L .66016 .6607 L F
.66254 .65801 m .70059 .68724 L .69824 .68997 L F
.79689 .88068 m .83538 .91063 L .8349 .91095 L 0 .291 .77 r
F
.79729 .8803 m .83538 .91063 L .79689 .88068 L F
.64283 .68355 m .68336 .70939 L .64533 .68007 L .622 .547 .748 r
F
.64283 .68355 m .68082 .71287 L .68336 .70939 L F
.75031 .70289 m .78642 .73505 L .74804 .70563 L .763 .497 .531 r
F
.75031 .70289 m .78865 .73227 L .78642 .73505 L F
.72396 .81649 m .76481 .84286 L .72652 .8131 L .622 .547 .748 r
F
.72396 .81649 m .76222 .84624 L .76481 .84286 L F
.67071 .72671 m .71136 .75273 L .67323 .72326 L F
.67071 .72671 m .7088 .75617 L .71136 .75273 L F
.83812 .74778 m .87464 .78016 L .83596 .75058 L .763 .497 .531 r
F
.83812 .74778 m .87676 .77732 L .87464 .78016 L F
.69861 .76989 m .73938 .79609 L .70115 .76647 L .622 .547 .748 r
F
.69861 .76989 m .7368 .7995 L .73938 .79609 L F
.70526 .6818 m .74118 .71389 L .70293 .68452 L .763 .497 .531 r
F
.70526 .6818 m .74347 .71113 L .74118 .71389 L F
.7593 .85005 m .79769 .87992 L .79729 .8803 L 0 .291 .77 r
F
.75962 .84961 m .79769 .87992 L .7593 .85005 L F
.64533 .68007 m .6859 .70592 L .64784 .67658 L .622 .547 .748 r
F
.64533 .68007 m .68336 .70939 L .6859 .70592 L F
.72652 .8131 m .76741 .83948 L .72908 .80971 L F
.72652 .8131 m .76481 .84286 L .76741 .83948 L F
.7931 .72672 m .82943 .75901 L .79088 .72949 L .763 .497 .531 r
F
.7931 .72672 m .83161 .7562 L .82943 .75901 L F
.67323 .72326 m .71392 .74928 L .67576 .7198 L .622 .547 .748 r
F
.67323 .72326 m .71136 .75273 L .71392 .74928 L F
.88099 .77165 m .91772 .80416 L .87888 .77448 L .763 .497 .531 r
F
.88099 .77165 m .9198 .80128 L .91772 .80416 L F
.66016 .6607 m .69589 .69271 L .65777 .66339 L F
.66016 .6607 m .69824 .68997 L .69589 .69271 L F
.70115 .76647 m .74196 .79268 L .7037 .76304 L .622 .547 .748 r
F
.70115 .76647 m .73938 .79609 L .74196 .79268 L F
.74804 .70563 m .78418 .73785 L .74576 .70837 L .763 .497 .531 r
F
.74804 .70563 m .78642 .73505 L .78418 .73785 L F
.64784 .67658 m .68844 .70243 L .65035 .67309 L .622 .547 .748 r
F
.64784 .67658 m .6859 .70592 L .68844 .70243 L F
.72908 .80971 m .77002 .8361 L .73165 .80631 L F
.72908 .80971 m .76741 .83948 L .77002 .8361 L F
.83596 .75058 m .87251 .78301 L .83379 .75338 L .763 .497 .531 r
F
.83596 .75058 m .87464 .78016 L .87251 .78301 L F
.67576 .7198 m .71649 .74583 L .67829 .71634 L .622 .547 .748 r
F
.67576 .7198 m .71392 .74928 L .71649 .74583 L F
.70293 .68452 m .73888 .71666 L .70059 .68724 L .763 .497 .531 r
F
.70293 .68452 m .74118 .71389 L .73888 .71666 L F
.79729 .8803 m .83585 .91031 L .83538 .91063 L 0 .291 .77 r
F
.79769 .87992 m .83585 .91031 L .79729 .8803 L F
.7037 .76304 m .74455 .78925 L .70625 .75961 L .622 .547 .748 r
F
.7037 .76304 m .74196 .79268 L .74455 .78925 L F
.79088 .72949 m .82724 .76184 L .78865 .73227 L .763 .497 .531 r
F
.79088 .72949 m .82943 .75901 L .82724 .76184 L F
.65035 .67309 m .69099 .69894 L .65286 .66959 L .622 .547 .748 r
F
.65035 .67309 m .68844 .70243 L .69099 .69894 L F
.73165 .80631 m .77263 .8327 L .73422 .80291 L F
.73165 .80631 m .77002 .8361 L .77263 .8327 L F
.87888 .77448 m .91565 .80704 L .87676 .77732 L .763 .497 .531 r
F
.87888 .77448 m .91772 .80416 L .91565 .80704 L F
.65777 .66339 m .69354 .69545 L .65537 .66608 L F
.65777 .66339 m .69589 .69271 L .69354 .69545 L F
.67829 .71634 m .71905 .74237 L .68082 .71287 L .622 .547 .748 r
F
.67829 .71634 m .71649 .74583 L .71905 .74237 L F
.74576 .70837 m .78194 .74065 L .74347 .71113 L .763 .497 .531 r
F
.74576 .70837 m .78418 .73785 L .78194 .74065 L F
.75962 .84961 m .79809 .87954 L .79769 .87992 L 0 .291 .77 r
F
.75962 .84961 m .80072 .87618 L .76222 .84624 L .622 .547 .748 r
F
.75962 .84961 m .79809 .87954 L .80072 .87618 L F
.70625 .75961 m .74714 .78583 L .7088 .75617 L F
.70625 .75961 m .74455 .78925 L .74714 .78583 L F
.83379 .75338 m .87037 .78587 L .83161 .7562 L .763 .497 .531 r
F
.83379 .75338 m .87251 .78301 L .87037 .78587 L F
.65286 .66959 m .69354 .69545 L .65537 .66608 L .622 .547 .748 r
F
.65286 .66959 m .69099 .69894 L .69354 .69545 L F
.73422 .80291 m .77524 .82931 L .7368 .7995 L F
.73422 .80291 m .77263 .8327 L .77524 .82931 L F
.70059 .68724 m .73658 .71943 L .69824 .68997 L .763 .497 .531 r
F
.70059 .68724 m .73888 .71666 L .73658 .71943 L F
.68082 .71287 m .72163 .73891 L .68336 .70939 L .622 .547 .748 r
F
.68082 .71287 m .71905 .74237 L .72163 .73891 L F
.78865 .73227 m .82505 .76467 L .78642 .73505 L .763 .497 .531 r
F
.78865 .73227 m .82724 .76184 L .82505 .76467 L F
.76222 .84624 m .80336 .87282 L .76481 .84286 L .622 .547 .748 r
F
.76222 .84624 m .80072 .87618 L .80336 .87282 L F
.7088 .75617 m .74973 .7824 L .71136 .75273 L F
.7088 .75617 m .74714 .78583 L .74973 .7824 L F
.87676 .77732 m .91357 .80993 L .87464 .78016 L .763 .497 .531 r
F
.87676 .77732 m .91565 .80704 L .91357 .80993 L F
.7368 .7995 m .77785 .82591 L .73938 .79609 L .622 .547 .748 r
F
.7368 .7995 m .77524 .82931 L .77785 .82591 L F
.74347 .71113 m .77969 .74346 L .74118 .71389 L .763 .497 .531 r
F
.74347 .71113 m .78194 .74065 L .77969 .74346 L F
.79769 .87992 m .83633 .90999 L .83585 .91031 L 0 .291 .77 r
F
.79809 .87954 m .83633 .90999 L .79769 .87992 L F
.68336 .70939 m .7242 .73544 L .6859 .70592 L .622 .547 .748 r
F
.68336 .70939 m .72163 .73891 L .7242 .73544 L F
.83161 .7562 m .86823 .78873 L .82943 .75901 L .763 .497 .531 r
F
.83161 .7562 m .87037 .78587 L .86823 .78873 L F
.76481 .84286 m .80599 .86945 L .76741 .83948 L .622 .547 .748 r
F
.76481 .84286 m .80336 .87282 L .80599 .86945 L F
.71136 .75273 m .75233 .77896 L .71392 .74928 L F
.71136 .75273 m .74973 .7824 L .75233 .77896 L F
.69824 .68997 m .73427 .72222 L .69589 .69271 L .763 .497 .531 r
F
.69824 .68997 m .73658 .71943 L .73427 .72222 L F
.73938 .79609 m .78047 .8225 L .74196 .79268 L .622 .547 .748 r
F
.73938 .79609 m .77785 .82591 L .78047 .8225 L F
.78642 .73505 m .82285 .76751 L .78418 .73785 L .763 .497 .531 r
F
.78642 .73505 m .82505 .76467 L .82285 .76751 L F
.6859 .70592 m .72678 .73197 L .68844 .70243 L .622 .547 .748 r
F
.6859 .70592 m .7242 .73544 L .72678 .73197 L F
.76741 .83948 m .80864 .86607 L .77002 .8361 L F
.76741 .83948 m .80599 .86945 L .80864 .86607 L F
.87464 .78016 m .91148 .81283 L .87251 .78301 L .763 .497 .531 r
F
.87464 .78016 m .91357 .80993 L .91148 .81283 L F
.71392 .74928 m .75493 .77552 L .71649 .74583 L .622 .547 .748 r
F
.71392 .74928 m .75233 .77896 L .75493 .77552 L F
.74118 .71389 m .77743 .74627 L .73888 .71666 L .763 .497 .531 r
F
.74118 .71389 m .77969 .74346 L .77743 .74627 L F
.74196 .79268 m .7831 .81909 L .74455 .78925 L .622 .547 .748 r
F
.74196 .79268 m .78047 .8225 L .7831 .81909 L F
.82943 .75901 m .86609 .79161 L .82724 .76184 L .763 .497 .531 r
F
.82943 .75901 m .86823 .78873 L .86609 .79161 L F
.68844 .70243 m .72937 .72849 L .69099 .69894 L .622 .547 .748 r
F
.68844 .70243 m .72678 .73197 L .72937 .72849 L F
.77002 .8361 m .81128 .86269 L .77263 .8327 L F
.77002 .8361 m .80864 .86607 L .81128 .86269 L F
.69589 .69271 m .73196 .72501 L .69354 .69545 L .763 .497 .531 r
F
.69589 .69271 m .73427 .72222 L .73196 .72501 L F
.71649 .74583 m .75754 .77207 L .71905 .74237 L .622 .547 .748 r
F
.71649 .74583 m .75493 .77552 L .75754 .77207 L F
.78418 .73785 m .82065 .77036 L .78194 .74065 L .763 .497 .531 r
F
.78418 .73785 m .82285 .76751 L .82065 .77036 L F
.79809 .87954 m .83681 .90967 L .83633 .90999 L 0 .291 .77 r
F
.79809 .87954 m .83948 .90632 L .80072 .87618 L .622 .547 .748 r
F
.79809 .87954 m .83681 .90967 L .83948 .90632 L F
.74455 .78925 m .78573 .81568 L .74714 .78583 L F
.74455 .78925 m .7831 .81909 L .78573 .81568 L F
.87251 .78301 m .90939 .81573 L .87037 .78587 L .763 .497 .531 r
F
.87251 .78301 m .91148 .81283 L .90939 .81573 L F
.69099 .69894 m .73196 .72501 L .69354 .69545 L .622 .547 .748 r
F
.69099 .69894 m .72937 .72849 L .73196 .72501 L F
.77263 .8327 m .81393 .85931 L .77524 .82931 L F
.77263 .8327 m .81128 .86269 L .81393 .85931 L F
.73888 .71666 m .77517 .74909 L .73658 .71943 L .763 .497 .531 r
F
.73888 .71666 m .77743 .74627 L .77517 .74909 L F
.71905 .74237 m .76015 .76862 L .72163 .73891 L .622 .547 .748 r
F
.71905 .74237 m .75754 .77207 L .76015 .76862 L F
.82724 .76184 m .86394 .79449 L .82505 .76467 L .763 .497 .531 r
F
.82724 .76184 m .86609 .79161 L .86394 .79449 L F
.80072 .87618 m .84215 .90297 L .80336 .87282 L .622 .547 .748 r
F
.80072 .87618 m .83948 .90632 L .84215 .90297 L F
.74714 .78583 m .78836 .81225 L .74973 .7824 L F
.74714 .78583 m .78573 .81568 L .78836 .81225 L F
.77524 .82931 m .81658 .85592 L .77785 .82591 L F
.77524 .82931 m .81393 .85931 L .81658 .85592 L F
.78194 .74065 m .81844 .77321 L .77969 .74346 L .763 .497 .531 r
F
.78194 .74065 m .82065 .77036 L .81844 .77321 L F
.72163 .73891 m .76276 .76516 L .7242 .73544 L .622 .547 .748 r
F
.72163 .73891 m .76015 .76862 L .76276 .76516 L F
.80336 .87282 m .84483 .89961 L .80599 .86945 L F
.80336 .87282 m .84215 .90297 L .84483 .89961 L F
.87037 .78587 m .90729 .81865 L .86823 .78873 L .763 .497 .531 r
F
.87037 .78587 m .90939 .81573 L .90729 .81865 L F
.74973 .7824 m .79099 .80883 L .75233 .77896 L .622 .547 .748 r
F
.74973 .7824 m .78836 .81225 L .79099 .80883 L F
.73658 .71943 m .7729 .75192 L .73427 .72222 L .763 .497 .531 r
F
.73658 .71943 m .77517 .74909 L .7729 .75192 L F
.77785 .82591 m .81924 .85252 L .78047 .8225 L .622 .547 .748 r
F
.77785 .82591 m .81658 .85592 L .81924 .85252 L F
.82505 .76467 m .86178 .79737 L .82285 .76751 L .763 .497 .531 r
F
.82505 .76467 m .86394 .79449 L .86178 .79737 L F
.7242 .73544 m .76538 .7617 L .72678 .73197 L .622 .547 .748 r
F
.7242 .73544 m .76276 .76516 L .76538 .7617 L F
.80599 .86945 m .84751 .89625 L .80864 .86607 L F
.80599 .86945 m .84483 .89961 L .84751 .89625 L F
.75233 .77896 m .79363 .8054 L .75493 .77552 L F
.75233 .77896 m .79099 .80883 L .79363 .8054 L F
.77969 .74346 m .81623 .77608 L .77743 .74627 L .763 .497 .531 r
F
.77969 .74346 m .81844 .77321 L .81623 .77608 L F
.78047 .8225 m .8219 .84912 L .7831 .81909 L .622 .547 .748 r
F
.78047 .8225 m .81924 .85252 L .8219 .84912 L F
.86823 .78873 m .90519 .82157 L .86609 .79161 L .763 .497 .531 r
F
.86823 .78873 m .90729 .81865 L .90519 .82157 L F
.72678 .73197 m .768 .75823 L .72937 .72849 L .622 .547 .748 r
F
.72678 .73197 m .76538 .7617 L .768 .75823 L F
.80864 .86607 m .85019 .89288 L .81128 .86269 L F
.80864 .86607 m .84751 .89625 L .85019 .89288 L F
.73427 .72222 m .77063 .75476 L .73196 .72501 L .763 .497 .531 r
F
.73427 .72222 m .7729 .75192 L .77063 .75476 L F
.75493 .77552 m .79628 .80196 L .75754 .77207 L .622 .547 .748 r
F
.75493 .77552 m .79363 .8054 L .79628 .80196 L F
.82285 .76751 m .85962 .80027 L .82065 .77036 L .763 .497 .531 r
F
.82285 .76751 m .86178 .79737 L .85962 .80027 L F
.7831 .81909 m .82457 .84572 L .78573 .81568 L .622 .547 .748 r
F
.7831 .81909 m .8219 .84912 L .82457 .84572 L F
.72937 .72849 m .77063 .75476 L .73196 .72501 L F
.72937 .72849 m .768 .75823 L .77063 .75476 L F
.81128 .86269 m .85288 .88951 L .81393 .85931 L F
.81128 .86269 m .85019 .89288 L .85288 .88951 L F
.77743 .74627 m .81401 .77894 L .77517 .74909 L .763 .497 .531 r
F
.77743 .74627 m .81623 .77608 L .81401 .77894 L F
.75754 .77207 m .79892 .79852 L .76015 .76862 L .622 .547 .748 r
F
.75754 .77207 m .79628 .80196 L .79892 .79852 L F
.86609 .79161 m .90308 .82449 L .86394 .79449 L .763 .497 .531 r
F
.86609 .79161 m .90519 .82157 L .90308 .82449 L F
.78573 .81568 m .82724 .84231 L .78836 .81225 L .622 .547 .748 r
F
.78573 .81568 m .82457 .84572 L .82724 .84231 L F
.81393 .85931 m .85557 .88613 L .81658 .85592 L F
.81393 .85931 m .85288 .88951 L .85557 .88613 L F
.82065 .77036 m .85745 .80317 L .81844 .77321 L .763 .497 .531 r
F
.82065 .77036 m .85962 .80027 L .85745 .80317 L F
.76015 .76862 m .80157 .79507 L .76276 .76516 L .622 .547 .748 r
F
.76015 .76862 m .79892 .79852 L .80157 .79507 L F
.78836 .81225 m .82991 .8389 L .79099 .80883 L F
.78836 .81225 m .82724 .84231 L .82991 .8389 L F
.77517 .74909 m .81178 .78182 L .7729 .75192 L .763 .497 .531 r
F
.77517 .74909 m .81401 .77894 L .81178 .78182 L F
.81658 .85592 m .85826 .88274 L .81924 .85252 L .622 .547 .748 r
F
.81658 .85592 m .85557 .88613 L .85826 .88274 L F
.86394 .79449 m .90097 .82743 L .86178 .79737 L .763 .497 .531 r
F
.86394 .79449 m .90308 .82449 L .90097 .82743 L F
.76276 .76516 m .80423 .79162 L .76538 .7617 L .622 .547 .748 r
F
.76276 .76516 m .80157 .79507 L .80423 .79162 L F
.79099 .80883 m .83259 .83548 L .79363 .8054 L F
.79099 .80883 m .82991 .8389 L .83259 .83548 L F
.81844 .77321 m .85528 .80608 L .81623 .77608 L .763 .497 .531 r
F
.81844 .77321 m .85745 .80317 L .85528 .80608 L F
.81924 .85252 m .86096 .87936 L .8219 .84912 L .622 .547 .748 r
F
.81924 .85252 m .85826 .88274 L .86096 .87936 L F
.76538 .7617 m .80689 .78817 L .768 .75823 L F
.76538 .7617 m .80423 .79162 L .80689 .78817 L F
.7729 .75192 m .80955 .7847 L .77063 .75476 L .763 .497 .531 r
F
.7729 .75192 m .81178 .78182 L .80955 .7847 L F
.79363 .8054 m .83527 .83205 L .79628 .80196 L .622 .547 .748 r
F
.79363 .8054 m .83259 .83548 L .83527 .83205 L F
.86178 .79737 m .89885 .83037 L .85962 .80027 L .763 .497 .531 r
F
.86178 .79737 m .90097 .82743 L .89885 .83037 L F
.8219 .84912 m .86366 .87596 L .82457 .84572 L .622 .547 .748 r
F
.8219 .84912 m .86096 .87936 L .86366 .87596 L F
.768 .75823 m .80955 .7847 L .77063 .75476 L F
.768 .75823 m .80689 .78817 L .80955 .7847 L F
.81623 .77608 m .8531 .80899 L .81401 .77894 L .763 .497 .531 r
F
.81623 .77608 m .85528 .80608 L .8531 .80899 L F
.79628 .80196 m .83795 .82862 L .79892 .79852 L .622 .547 .748 r
F
.79628 .80196 m .83527 .83205 L .83795 .82862 L F
.82457 .84572 m .86637 .87256 L .82724 .84231 L F
.82457 .84572 m .86366 .87596 L .86637 .87256 L F
.85962 .80027 m .89672 .83332 L .85745 .80317 L .763 .497 .531 r
F
.85962 .80027 m .89885 .83037 L .89672 .83332 L F
.79892 .79852 m .84064 .82519 L .80157 .79507 L .622 .547 .748 r
F
.79892 .79852 m .83795 .82862 L .84064 .82519 L F
.82724 .84231 m .86908 .86916 L .82991 .8389 L F
.82724 .84231 m .86637 .87256 L .86908 .86916 L F
.81401 .77894 m .85092 .81192 L .81178 .78182 L .763 .497 .531 r
F
.81401 .77894 m .8531 .80899 L .85092 .81192 L F
.80157 .79507 m .84333 .82174 L .80423 .79162 L .622 .547 .748 r
F
.80157 .79507 m .84064 .82519 L .84333 .82174 L F
.82991 .8389 m .8718 .86575 L .83259 .83548 L F
.82991 .8389 m .86908 .86916 L .8718 .86575 L F
.85745 .80317 m .89459 .83628 L .85528 .80608 L .763 .497 .531 r
F
.85745 .80317 m .89672 .83332 L .89459 .83628 L F
.80423 .79162 m .84603 .8183 L .80689 .78817 L .622 .547 .748 r
F
.80423 .79162 m .84333 .82174 L .84603 .8183 L F
.81178 .78182 m .84873 .81485 L .80955 .7847 L .763 .497 .531 r
F
.81178 .78182 m .85092 .81192 L .84873 .81485 L F
.83259 .83548 m .87452 .86234 L .83527 .83205 L .622 .547 .748 r
F
.83259 .83548 m .8718 .86575 L .87452 .86234 L F
.80689 .78817 m .84873 .81485 L .80955 .7847 L F
.80689 .78817 m .84603 .8183 L .84873 .81485 L F
.85528 .80608 m .89246 .83924 L .8531 .80899 L .763 .497 .531 r
F
.85528 .80608 m .89459 .83628 L .89246 .83924 L F
.83527 .83205 m .87724 .85892 L .83795 .82862 L .622 .547 .748 r
F
.83527 .83205 m .87452 .86234 L .87724 .85892 L F
.83795 .82862 m .87997 .8555 L .84064 .82519 L F
.83795 .82862 m .87724 .85892 L .87997 .8555 L F
.8531 .80899 m .89032 .84221 L .85092 .81192 L .763 .497 .531 r
F
.8531 .80899 m .89246 .83924 L .89032 .84221 L F
.84064 .82519 m .8827 .85207 L .84333 .82174 L .622 .547 .748 r
F
.84064 .82519 m .87997 .8555 L .8827 .85207 L F
.84333 .82174 m .88543 .84863 L .84603 .8183 L F
.84333 .82174 m .8827 .85207 L .88543 .84863 L F
.85092 .81192 m .88817 .84519 L .84873 .81485 L .763 .497 .531 r
F
.85092 .81192 m .89032 .84221 L .88817 .84519 L F
.84603 .8183 m .88817 .84519 L .84873 .81485 L .622 .547 .748 r
F
.84603 .8183 m .88543 .84863 L .88817 .84519 L F
0 g
.67245 0 m
.92713 .41497 L
s
.92713 .41497 m
1 .94814 L
s
1 .94814 m
.70644 .58546 L
s
.70644 .58546 m
.67245 0 L
s
.08846 .24555 m
0 .80374 L
s
0 .80374 m
.70644 .58546 L
s
.70644 .58546 m
.67245 0 L
s
.67245 0 m
.08846 .24555 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
 ImageSize->{265.313, 287.938},
 ImageMargins->{{43, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\
eJytnPtvVMcVxxe/sLGNbR4GbGMv2EAgPEMgJLxMgnmYZ3kmAQIuhEAjmpTS
RE2rpFWUJoqokipNWpJGkapKVVWp6n/QHyr+hf47NPfM7Hf27n7m7p3ASmuW
ueecz8zce2fmnHmcmLt36/U7c/duX5+rHr479/at29d/Xj301t3vk9rnVSrz
er7/TlQr2e9HlUrtz78rjx49ast+Xsx+VSr/UkKl3aX4zwX3v39m/7Trclvd
pX8oocsSTEo2zrtff5dQd1zob4IssIQOCXnBc+7HX2Ws3xI6c3I1o2fdr+9k
dKC18LeyvKghm9m3DdJOO8VvpLi0pOIpp/hnZW9ZmuJXIo6AUDuknXSKX4g4
lqb4BxEnQKgD0k44xc+kuAqEOiHtuFO8r6xOpil+KuJaEGp8TrPvMaf4sYhP
gdB8SJt1ih+J+HSa4odS3ARCjW9L9j3qFH+jrG5JU3xfxGdAqAfSjjjFX4n4
LAgtgLTDTvGXIj6XpviuFJ8HoV5IO+QU7ymru0GoD9JmnOJdEfeXJHrFt0Q8
UJJ40CneEfFgmuKbUjwEQv2Q9pJTvKWsHgGhhZD2olO8KeKxNMXrIp4AoQFI
c5VYmRPxNAgNQtq0U3xNxDNpipdFPA9CQ5DmHpTKq1K8mKZ4UVl9BYSoI9rn
FM+LeBmEFkPaXqd4RsTX0hRPizgHQksgbY9TPCnF6yBEfaZ7b92DZldeT1M8
KuLtkoovOMVDIr6ZpnhQxJ+C0DCkuUbNvSSm+DYI0bhgl1Pcr6zeTVPcK+Iv
QGg5pLmG2xXVrrwLQisgbadT3CXie2mKO6X4axCisc8Op7hdWX0/TXGbiL8F
oVFIc91hZbOIH4IQjba2O8WNIv4uTXGDFD8BoZWQ5rr8yjpl9VMQGoe0bU5x
jYi/T1NcLeJnIEQjyq1OsSriFyWJXnFcil+WJLqBlLvFduVPIFSFtM1OcYWI
X6cp+ld1uuI/2f++AXEaP2+qM2Hsv4DQakjbmGPrUvYhdksTTe4aVQIN5N2I
GVtIcoDopiSaJS/nK0ibgrQNcbPkA425+/LfDz7OLlz9ny7cA+E1kLY+ziMP
yJ7BroxHTXsigDwlu9ndUKCfgTC5X0/FeeQnWY/bm/Gok1sXTcOumrwbG+/0
ZwAqQSKAnBkbbQ5Cjd2J1g7VIvLII7GB+OKMRwORRAA5IAYdTgGsiQPIUbHb
tDwDUBWth7SpOID8EnvQRjMADfISAeS/1F7N7+7/x2589h3J/v4EhDdAmmvR
cExNvoS1aB0ZzkpFY14KTKyOU6IRsM6MMpZR3nh8Cjkb3SrGTbi6EdJWxQGN
adkNCQByKhIBvn2qWbwBIhTZqbbI8kJZ/DGIbIY0N6LBGrU8DsgiOW+JFi2P
Q7J4DUQoLDXewuJiWSTPdCukrYxbtLSlsnjlCVkclkVyu7dB2ljcor1lKzKL
1jpcSrNI76iljSqPFFOguN9oC4tjsvgyiGyHtJG4RWvBxgstUh5bWZxQy3Sh
ZB5XxC1ar71KFikaRGHQ5S0sZmmzD60Zyr5VVcK5xwcMxQBWAgqE7YA0N5rH
Xsae4LbMfqiYHz0hs+0yuzIzewrkdkLacNzsEjB7EuQoKL00btYudeQrgcKa
iWaH82YttxRm3RUrKZtdJrOrldtZkKMAu2uwMFo6oroNZo8+vtlRqITDIPcC
pC2Kmx2DSqCgeaLZcaiEmZhZ880Lij4BRX8p9li5pDBV2yKjVSj/iyD3rGyT
KzsUB6wqCdgqALl6HkDj6UkA0ETLJgHIMxqMA9YAYD/IbRCA/IoCwFoA7AO5
EJqj17kAsA4AewuqkgefBYCn8gB7Qml6raoSUCS5AGB+V2e+BPRKrhSAorEe
QLfnaQBQCzUiAMUXCwCboIqoH1gmAIX0CgCbAUDd4hIBKOQzEAdsyVeRAWgY
MiQA+fsFgG1QAhqaLRSAXMoCwDMAoNFkrwDk+xQAtkMVkSPRLQAN4T2Awh87
AEDeVKcAdIcKAM+piib1HlAltAlAD3EBYFceYCVo9Kuzj3WK1IYsjNt+Hmon
tMrUpBYY2w01sVbGKPy8Jw2wBwC13rKCEdwCAAXj9kF1jKkEFPBMBEzD+7Rc
ANJIBBwAQGi/qKNIBLyUB9g9GBSAPCnqN/vjgINQgtC8UMwwETCjmxwGh/MF
oG62AEAjoyMqQQC0C0DdbCLgaB4wXguH14nQRGciZRbqibrwRLPHoXZodjXR
7Al4bJ5AVZ8EszTfTU1lX9zsaf84eLPjagfKm6XZkTOQW1q6kGj2bEmzVLcF
Zs/lzVollH2/C8yel9nJfBP4eGYvgNn48p7SZl+GSiBnhW6Ze7KwX3oVzJKz
mWjWYqoNHSR1KolmL4NZGi0mmr2SNzuursSGStNpxiyI3pXPY+g2aHRDT0IB
4BpUQpu/jc0LwrMvdd0FgDkBJhUkNwl6Lgts03rY63nbw7Ldkf0qC1jQAlA/
4p19WGkXb5F43TEejYwTeNk3lK9fvL4Yj5ztlrz8uo9clVrB7PpQ9otuMLnf
iUX0c581aIfKORyDUgw1EdqRh9pFezrJQAGP4mA0h9jlX9vZhxPitWk0S9D4
WuvS0Pkq5IigXfmWpAS0Jw3aLehSdzvtbS+CUgCkAEq3c4Ee3EGVdFDVS1Zo
jiMR2iton6BLBKXW8wlA+1W93YIuV/WSQ0rBhUToQpW0XdCxQiiFhDyUKoYe
JBs72GyVPUNhtoZ48b0QpXkD/hWt1DXyUR6FhBJ5fXW8R03dMK1xo0J2p0F7
BA3vaTGUSpoI7RK0T9BQvQSNxuPKQ8M4ZrAkNL4RBwM9jYtPso+N8sJUYMOo
qsEAhewKeDdUiyNQIALEtyQhYE6ASn5qahR4DSKJZQn7O6KLLu0lnKrntSra
/Div5ptwk7eSy1cvQquKCnhhUwi54uOtefFtaMg7Jx75MBPiTWm9QoMIrWHz
PLpDYQsKOY6r8uUbqeNlv34ArxYT4Umv1cW87EtrAgt4Yd8KhUjCbKbV5wrg
xfcfIu+IeBRAmvphvK44b0Y8Cq+Fuc7JwOvI8Wpx9vLIF4WkObN1eeRyKKKt
wqbpMA+lJn2/nhtaCx5mRK1el8WgpFsA3aOS0l1ZXxJKa+ILoM8LSk3H0/nq
JWi7pjbKQ3cKSu3xppLQaho07AyiUUKYYZ1SVICgE2nQLXqQaGRbWxfhoUsB
2hmLZbvmHKM5YTUE+WVhJnayEEqR7gJomIujcMIzJaE0GVAADasmKIK1PX9P
lwC0KxYlL4BOCToNV3fk72kUSpvfCqBVPUi0OmhnvnoXA3R+LHBfAA0rLmg1
1nOtoRYJiu9hQWhYhUEL1sIU85SiaWWhrntpHKWuEI+W872QLyTxemJhe+YN
i0ebm3eX5FE8n3mL9OScBR3rdIIPOQS83lign3nBH6Yd0XvFs/INxng0A8C8
4A+/Cjq1nrwVj6YGmBdcYVpaPp2vT+JZHJYWDQRefWrwgq+BzoF8fQ4Ab0H2
l8b3zAsOMIV0wqR6lNcTq8/2Jl72Md+X9pQczFflwtirTo9Ke619+f5De29m
8tXWH2ulo5tuKo1H5tDem0OtKZ0tKDSooP0xYSY/irLxCy178CgafdNOmaP5
UvXxMJ8aKA+yxt9uDZmfzZvvhZJQY+ttk59OW2mOFVMyEaK4DsuFKKwEZDtM
8FsftaDOdk2Easfbphmaq5B2Ml8CexWoP42faVQJM4y07+Z0HmADCHoc6en1
AGrlaLNLWA1gKHsp4muREUUNHHUIYYWA3RzzmSg2SK2KRw2o2gjQMKlPczTU
OHrbVELqR8McvzWONN1FNeIpi1QCsn1Rtqvu3Shne56zTa8N7XKxLUo2UB53
LVazCKV5Cq2+oPFNWF0w6jqRJMqw6olsX5LtEdcXNovQqi5vm8biNCK8LMoy
NyJsFqE75CnhcAKyfUW2lzpnpVmEmiNvm2JONIa+Kspi5/w1i9Dz6yljKgHZ
vibbQ85vj5RgXpYyz/0ys+RTk8MxJ8CAizBFMt8EoEgB7ZWxHsSa2X4XNWsW
6UZAVRVDZsMyB79LtVlkPpqlEx9o18wNAXrcdEWzSBcCJpVvMntTZrvcSpiy
ZinER77yGwLYxukqiHQiYK3yTWZvyazNz1MtNpjlON80pNnYsst1Kc1XOxrN
UtB6P6TZJnhrganu2hvNhmNnyNgfIa2t0QRNh9DqmlLGNik/ZOJLX+X1aaYW
DNDEHS1M+cpXc31asELRRFr50XiASZ2JcPYQBeweND6N9qF4Ik3Zs/azIpLO
17pawVUWNLf7wD9MKoXpk6TdGatNP2anOqeJwc/9K1Yb5WOkkSLK90X0yxt3
K4Mk/onE/ZYcCi7STNSHyqDfmrlPHBL/QBy/IZnefTqJ5D1x/K512hNH8yzv
iOgPZwiHkJH4XYn7o0LorEJqku4og/7cnBlxSPy2OP4sJgo3UkN9Qxx/NNYR
cUj8mjj+RDTq8KkjuySOP9mOtuhS7PqiiP5ow+PKIImflbg/X5I2LtMI4aQy
6I/7PCUOic+K4095pe3cNJaaEcftK3f/hOULDeIHxPEnDpMjEF2abIrOXcRj
GWkovEsZvOoULyiD5FrtEMetBanQoQTkNGwV55ZTfEUcEt8ojjvaBr1gGsav
E8cdU4SHPtIYPez3fMcpXlEGSXxC4u6kPgw5UHBlRBl0B+65l8w4JD4sjjst
DwMoUdffOC464wa4xiHxfnHuO3EXauLxQK+EP3dpN3026oUrfg2RmXADFDeW
NHCImj5wl27r0rdefd7/AYF9SGc=\
\>"],
 ImageRangeCache->{{{0, 264.312}, {286.938, 0}} -> {0.0486402, -4.72903, \
0.00324458, 0.00324458}}],

Cell[BoxData[
 TagBox[
  RowBox[{"\[SkeletonIndicator]", "Graphics3D", "\[SkeletonIndicator]"}],
  False,
  Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"trescaplot", ",", " ", 
   RowBox[{"ViewPoint", " ", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{"1", ",", "4", ",", "2"}], "}"}]}]}], "]"}]], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1.12167 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.138397 1.20179 1.11022e-016 1.20179 [
[ 0 0 0 0 ]
[ 1 1.12167 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.70602 .4769 m
.72767 1.12167 L
s
.72767 1.12167 m
1 .85894 L
s
1 .85894 m
.94756 .11399 L
s
.94756 .11399 m
.70602 .4769 L
s
.03936 .39776 m
.15654 0 L
s
.15654 0 m
.12157 .77449 L
s
.12157 .77449 m
0 1.06516 L
s
0 1.06516 m
.03936 .39776 L
s
.70602 .4769 m
.72767 1.12167 L
s
.72767 1.12167 m
0 1.06516 L
s
0 1.06516 m
.03936 .39776 L
s
.03936 .39776 m
.70602 .4769 L
s
.94756 .11399 m
.15654 0 L
s
.15654 0 m
.12157 .77449 L
s
.12157 .77449 m
1 .85894 L
s
1 .85894 m
.94756 .11399 L
s
0 0 m
1 0 L
1 1.12167 L
0 1.12167 L
closepath
clip
newpath
.60275 .5643 m .58033 .57275 L .59866 .56305 L .667 .244 .231 r
F
.59734 .55875 m .58033 .57275 L .59866 .56305 L .91 .689 .591 r
F
.59734 .55875 m .57899 .56841 L .58033 .57275 L F
.59601 .55446 m .57899 .56841 L .59734 .55875 L F
.59601 .55446 m .57765 .56406 L .57899 .56841 L F
.59469 .55016 m .57765 .56406 L .59601 .55446 L F
.59469 .55016 m .5763 .55972 L .57765 .56406 L F
.59336 .54587 m .5763 .55972 L .59469 .55016 L F
.60275 .5643 m .58445 .57402 L .58033 .57275 L .667 .244 .231 r
F
.60683 .56555 m .58445 .57402 L .60275 .5643 L F
.59336 .54587 m .57496 .55537 L .5763 .55972 L .91 .689 .591 r
F
.59204 .54157 m .57496 .55537 L .59336 .54587 L F
.59204 .54157 m .57362 .55103 L .57496 .55537 L F
.59071 .53727 m .57362 .55103 L .59204 .54157 L F
.59071 .53727 m .57227 .54668 L .57362 .55103 L F
.58938 .53297 m .57227 .54668 L .59071 .53727 L F
.58938 .53297 m .57093 .54233 L .57227 .54668 L F
.58806 .52867 m .57093 .54233 L .58938 .53297 L F
.60683 .56555 m .58858 .57529 L .58445 .57402 L .667 .244 .231 r
F
.61092 .5668 m .58858 .57529 L .60683 .56555 L F
.58806 .52867 m .56958 .53798 L .57093 .54233 L .91 .689 .591 r
F
.58673 .52437 m .56958 .53798 L .58806 .52867 L F
.58673 .52437 m .56824 .53363 L .56958 .53798 L F
.5854 .52007 m .56824 .53363 L .58673 .52437 L F
.5854 .52007 m .56689 .52928 L .56824 .53363 L F
.58407 .51577 m .56689 .52928 L .5854 .52007 L F
.58407 .51577 m .56555 .52493 L .56689 .52928 L F
.58275 .51146 m .56555 .52493 L .58407 .51577 L F
.61092 .5668 m .59271 .57656 L .58858 .57529 L .667 .244 .231 r
F
.61502 .56806 m .59271 .57656 L .61092 .5668 L F
.58275 .51146 m .5642 .52058 L .56555 .52493 L .91 .689 .591 r
F
.58142 .50716 m .5642 .52058 L .58275 .51146 L F
.58142 .50716 m .56286 .51622 L .5642 .52058 L F
.58009 .50285 m .56286 .51622 L .58142 .50716 L F
.58009 .50285 m .56151 .51187 L .56286 .51622 L F
.57876 .49855 m .56151 .51187 L .58009 .50285 L F
.57876 .49855 m .56016 .50751 L .56151 .51187 L F
.57743 .49424 m .56016 .50751 L .57876 .49855 L F
.61502 .56806 m .59684 .57783 L .59271 .57656 L .667 .244 .231 r
F
.61911 .56931 m .59684 .57783 L .61502 .56806 L F
.57743 .49424 m .55882 .50315 L .56016 .50751 L .91 .689 .591 r
F
.5761 .48993 m .55882 .50315 L .57743 .49424 L F
.5761 .48993 m .55747 .4988 L .55882 .50315 L F
.57477 .48562 m .55747 .4988 L .5761 .48993 L F
.57477 .48562 m .55612 .49444 L .55747 .4988 L F
.57344 .48131 m .55612 .49444 L .57477 .48562 L F
.57344 .48131 m .55478 .49008 L .55612 .49444 L F
.57344 .48131 m .55755 .48695 L .57619 .47821 L .829 .997 .843 r
F
.57344 .48131 m .55478 .49008 L .55755 .48695 L F
.61911 .56931 m .60098 .57911 L .59684 .57783 L .667 .244 .231 r
F
.62321 .57057 m .60098 .57911 L .61911 .56931 L F
.62321 .57057 m .60512 .58038 L .60098 .57911 L F
.62732 .57182 m .60512 .58038 L .62321 .57057 L F
.57619 .47821 m .56032 .48382 L .57894 .47511 L .829 .997 .843 r
F
.57619 .47821 m .55755 .48695 L .56032 .48382 L F
.62732 .57182 m .60927 .58166 L .60512 .58038 L .667 .244 .231 r
F
.63143 .57308 m .60927 .58166 L .62732 .57182 L F
.57894 .47511 m .5631 .48068 L .5817 .47201 L .829 .997 .843 r
F
.57894 .47511 m .56032 .48382 L .5631 .48068 L F
.63143 .57308 m .61341 .58294 L .60927 .58166 L .667 .244 .231 r
F
.63554 .57434 m .61341 .58294 L .63143 .57308 L F
.5817 .47201 m .56588 .47754 L .58446 .4689 L .829 .997 .843 r
F
.5817 .47201 m .5631 .48068 L .56588 .47754 L F
.63554 .57434 m .61757 .58422 L .61341 .58294 L .667 .244 .231 r
F
.63966 .5756 m .61757 .58422 L .63554 .57434 L F
.58446 .4689 m .56866 .4744 L .58722 .46579 L .829 .997 .843 r
F
.58446 .4689 m .56588 .47754 L .56866 .4744 L F
.63966 .5756 m .62172 .5855 L .61757 .58422 L .667 .244 .231 r
F
.64378 .57687 m .62172 .5855 L .63966 .5756 L F
.64378 .57687 m .62588 .58678 L .62172 .5855 L F
.6479 .57813 m .62588 .58678 L .64378 .57687 L F
.58722 .46579 m .57145 .47125 L .58999 .46268 L .829 .997 .843 r
F
.58722 .46579 m .56866 .4744 L .57145 .47125 L F
.6479 .57813 m .63005 .58806 L .62588 .58678 L .667 .244 .231 r
F
.65203 .57939 m .63005 .58806 L .6479 .57813 L F
.58999 .46268 m .57424 .4681 L .59275 .45956 L .829 .997 .843 r
F
.58999 .46268 m .57145 .47125 L .57424 .4681 L F
.65203 .57939 m .63421 .58934 L .63005 .58806 L .667 .244 .231 r
F
.65616 .58066 m .63421 .58934 L .65203 .57939 L F
.59275 .45956 m .57703 .46495 L .59552 .45644 L .829 .997 .843 r
F
.59275 .45956 m .57424 .4681 L .57703 .46495 L F
.65616 .58066 m .63838 .59063 L .63421 .58934 L .667 .244 .231 r
F
.66029 .58192 m .63838 .59063 L .65616 .58066 L F
.59552 .45644 m .57983 .46179 L .5983 .45331 L .829 .997 .843 r
F
.59552 .45644 m .57703 .46495 L .57983 .46179 L F
.66029 .58192 m .64256 .59191 L .63838 .59063 L .667 .244 .231 r
F
.66443 .58319 m .64256 .59191 L .66029 .58192 L F
.66443 .58319 m .64674 .5932 L .64256 .59191 L F
.66857 .58446 m .64674 .5932 L .66443 .58319 L F
.5983 .45331 m .58263 .45863 L .60108 .45018 L .829 .997 .843 r
F
.5983 .45331 m .57983 .46179 L .58263 .45863 L F
.66857 .58446 m .65092 .59449 L .64674 .5932 L .667 .244 .231 r
F
.67272 .58573 m .65092 .59449 L .66857 .58446 L F
.60108 .45018 m .58543 .45547 L .60386 .44705 L .829 .997 .843 r
F
.60108 .45018 m .58263 .45863 L .58543 .45547 L F
.67272 .58573 m .65511 .59578 L .65092 .59449 L .667 .244 .231 r
F
.67687 .587 m .65511 .59578 L .67272 .58573 L F
.60386 .44705 m .58824 .4523 L .60664 .44392 L .829 .997 .843 r
F
.60386 .44705 m .58543 .45547 L .58824 .4523 L F
.67687 .587 m .6593 .59707 L .65511 .59578 L .667 .244 .231 r
F
.67687 .587 m .66215 .59398 L .67969 .58394 L .786 .997 .802 r
F
.67687 .587 m .6593 .59707 L .66215 .59398 L F
.60664 .44392 m .59105 .44913 L .60943 .44078 L .829 .997 .843 r
F
.60664 .44392 m .58824 .4523 L .59105 .44913 L F
.67969 .58394 m .665 .59089 L .68252 .58088 L .786 .997 .802 r
F
.67969 .58394 m .66215 .59398 L .665 .59089 L F
.60943 .44078 m .59386 .44596 L .61222 .43764 L .829 .997 .843 r
F
.60943 .44078 m .59105 .44913 L .59386 .44596 L F
.68252 .58088 m .66786 .5878 L .68535 .57782 L .786 .997 .802 r
F
.68252 .58088 m .665 .59089 L .66786 .5878 L F
.61222 .43764 m .59668 .44278 L .61501 .43449 L .829 .997 .843 r
F
.61222 .43764 m .59386 .44596 L .59668 .44278 L F
.68535 .57782 m .67071 .5847 L .68819 .57475 L .786 .997 .802 r
F
.68535 .57782 m .66786 .5878 L .67071 .5847 L F
.61501 .43449 m .59949 .43959 L .61781 .43134 L .829 .997 .843 r
F
.61501 .43449 m .59668 .44278 L .59949 .43959 L F
.68819 .57475 m .67358 .5816 L .69103 .57168 L .786 .997 .802 r
F
.68819 .57475 m .67071 .5847 L .67358 .5816 L F
.61781 .43134 m .60232 .43641 L .62061 .42819 L .829 .997 .843 r
F
.61781 .43134 m .59949 .43959 L .60232 .43641 L F
.69103 .57168 m .67644 .57849 L .69387 .56861 L .786 .997 .802 r
F
.69103 .57168 m .67358 .5816 L .67644 .57849 L F
.58445 .57402 m .56157 .58268 L .58033 .57275 L .667 .244 .231 r
F
.57899 .56841 m .56157 .58268 L .58033 .57275 L .91 .689 .591 r
F
.57899 .56841 m .56021 .57829 L .56157 .58268 L F
.57765 .56406 m .56021 .57829 L .57899 .56841 L F
.62061 .42819 m .60514 .43322 L .62341 .42503 L .829 .997 .843 r
F
.62061 .42819 m .60232 .43641 L .60514 .43322 L F
.57765 .56406 m .55885 .57389 L .56021 .57829 L .91 .689 .591 r
F
.5763 .55972 m .55885 .57389 L .57765 .56406 L F
.5763 .55972 m .55748 .5695 L .55885 .57389 L F
.57496 .55537 m .55748 .5695 L .5763 .55972 L F
.69387 .56861 m .67931 .57538 L .69672 .56553 L .786 .997 .802 r
F
.69387 .56861 m .67644 .57849 L .67931 .57538 L F
.58445 .57402 m .56573 .58397 L .56157 .58268 L .667 .244 .231 r
F
.58858 .57529 m .56573 .58397 L .58445 .57402 L F
.57496 .55537 m .55612 .5651 L .55748 .5695 L .91 .689 .591 r
F
.57362 .55103 m .55612 .5651 L .57496 .55537 L F
.57362 .55103 m .55476 .56071 L .55612 .5651 L F
.57227 .54668 m .55476 .56071 L .57362 .55103 L F
.57227 .54668 m .5534 .55631 L .55476 .56071 L F
.57093 .54233 m .5534 .55631 L .57227 .54668 L F
.62341 .42503 m .60797 .43003 L .62622 .42187 L .829 .997 .843 r
F
.62341 .42503 m .60514 .43322 L .60797 .43003 L F
.57093 .54233 m .55204 .55191 L .5534 .55631 L .91 .689 .591 r
F
.56958 .53798 m .55204 .55191 L .57093 .54233 L F
.58858 .57529 m .5699 .58526 L .56573 .58397 L .667 .244 .231 r
F
.59271 .57656 m .5699 .58526 L .58858 .57529 L F
.56958 .53798 m .55068 .54751 L .55204 .55191 L .91 .689 .591 r
F
.56824 .53363 m .55068 .54751 L .56958 .53798 L F
.69672 .56553 m .68218 .57227 L .69956 .56245 L .786 .997 .802 r
F
.69672 .56553 m .67931 .57538 L .68218 .57227 L F
.56824 .53363 m .54931 .54311 L .55068 .54751 L .91 .689 .591 r
F
.56689 .52928 m .54931 .54311 L .56824 .53363 L F
.56689 .52928 m .54795 .53871 L .54931 .54311 L F
.56555 .52493 m .54795 .53871 L .56689 .52928 L F
.56555 .52493 m .54659 .53431 L .54795 .53871 L F
.5642 .52058 m .54659 .53431 L .56555 .52493 L F
.63037 .42307 m .60797 .43003 L .62622 .42187 L .647 .194 .162 r
F
.59271 .57656 m .57407 .58655 L .5699 .58526 L .667 .244 .231 r
F
.59684 .57783 m .57407 .58655 L .59271 .57656 L F
.5642 .52058 m .54522 .5299 L .54659 .53431 L .91 .689 .591 r
F
.56286 .51622 m .54522 .5299 L .5642 .52058 L F
.56286 .51622 m .54386 .5255 L .54522 .5299 L F
.56151 .51187 m .54386 .5255 L .56286 .51622 L F
.69956 .56245 m .68506 .56916 L .70242 .55936 L .786 .997 .802 r
F
.69956 .56245 m .68218 .57227 L .68506 .56916 L F
.56151 .51187 m .54249 .52109 L .54386 .5255 L .91 .689 .591 r
F
.56016 .50751 m .54249 .52109 L .56151 .51187 L F
.56016 .50751 m .54113 .51669 L .54249 .52109 L F
.55882 .50315 m .54113 .51669 L .56016 .50751 L F
.63037 .42307 m .61216 .43125 L .60797 .43003 L .647 .194 .162 r
F
.63452 .42427 m .61216 .43125 L .63037 .42307 L F
.55882 .50315 m .53976 .51228 L .54113 .51669 L .91 .689 .591 r
F
.55747 .4988 m .53976 .51228 L .55882 .50315 L F
.59684 .57783 m .57824 .58784 L .57407 .58655 L .667 .244 .231 r
F
.60098 .57911 m .57824 .58784 L .59684 .57783 L F
.55747 .4988 m .5384 .50787 L .53976 .51228 L .91 .689 .591 r
F
.55612 .49444 m .5384 .50787 L .55747 .4988 L F
.55612 .49444 m .53703 .50346 L .5384 .50787 L F
.55478 .49008 m .53703 .50346 L .55612 .49444 L F
.70242 .55936 m .68794 .56604 L .70527 .55628 L .786 .997 .802 r
F
.70242 .55936 m .68506 .56916 L .68794 .56604 L F
.55478 .49008 m .53567 .49905 L .53703 .50346 L .91 .689 .591 r
F
.55478 .49008 m .53846 .49589 L .55755 .48695 L .829 .997 .843 r
F
.55478 .49008 m .53567 .49905 L .53846 .49589 L F
.63452 .42427 m .61635 .43247 L .61216 .43125 L .647 .194 .162 r
F
.63867 .42548 m .61635 .43247 L .63452 .42427 L F
.60098 .57911 m .58242 .58914 L .57824 .58784 L .667 .244 .231 r
F
.60512 .58038 m .58242 .58914 L .60098 .57911 L F
.70527 .55628 m .69082 .56291 L .70813 .55318 L .786 .997 .802 r
F
.70527 .55628 m .68794 .56604 L .69082 .56291 L F
.63867 .42548 m .62055 .43369 L .61635 .43247 L .647 .194 .162 r
F
.64283 .42668 m .62055 .43369 L .63867 .42548 L F
.60512 .58038 m .5866 .59043 L .58242 .58914 L .667 .244 .231 r
F
.60927 .58166 m .5866 .59043 L .60512 .58038 L F
.55755 .48695 m .54126 .49273 L .56032 .48382 L .829 .997 .843 r
F
.55755 .48695 m .53846 .49589 L .54126 .49273 L F
.64283 .42668 m .62475 .43491 L .62055 .43369 L .647 .194 .162 r
F
.647 .42789 m .62475 .43491 L .64283 .42668 L F
.60927 .58166 m .59078 .59173 L .5866 .59043 L .667 .244 .231 r
F
.61341 .58294 m .59078 .59173 L .60927 .58166 L F
.70813 .55318 m .69371 .55979 L .71099 .55009 L .786 .997 .802 r
F
.70813 .55318 m .69082 .56291 L .69371 .55979 L F
.56032 .48382 m .54405 .48956 L .5631 .48068 L .829 .997 .843 r
F
.56032 .48382 m .54126 .49273 L .54405 .48956 L F
.647 .42789 m .62896 .43614 L .62475 .43491 L .647 .194 .162 r
F
.65116 .4291 m .62896 .43614 L .647 .42789 L F
.61341 .58294 m .59497 .59303 L .59078 .59173 L .667 .244 .231 r
F
.61757 .58422 m .59497 .59303 L .61341 .58294 L F
.71099 .55009 m .69659 .55666 L .71386 .54699 L .786 .997 .802 r
F
.71099 .55009 m .69371 .55979 L .69659 .55666 L F
.5631 .48068 m .54686 .48639 L .56588 .47754 L .829 .997 .843 r
F
.5631 .48068 m .54405 .48956 L .54686 .48639 L F
.65116 .4291 m .63316 .43737 L .62896 .43614 L .647 .194 .162 r
F
.65533 .43031 m .63316 .43737 L .65116 .4291 L F
.61757 .58422 m .59917 .59433 L .59497 .59303 L .667 .244 .231 r
F
.62172 .5855 m .59917 .59433 L .61757 .58422 L F
.71386 .54699 m .69949 .55352 L .71672 .54389 L .786 .997 .802 r
F
.71386 .54699 m .69659 .55666 L .69949 .55352 L F
.56588 .47754 m .54966 .48321 L .56866 .4744 L .829 .997 .843 r
F
.56588 .47754 m .54686 .48639 L .54966 .48321 L F
.65533 .43031 m .63738 .43859 L .63316 .43737 L .647 .194 .162 r
F
.65951 .43152 m .63738 .43859 L .65533 .43031 L F
.62172 .5855 m .60336 .59563 L .59917 .59433 L .667 .244 .231 r
F
.62588 .58678 m .60336 .59563 L .62172 .5855 L F
.71672 .54389 m .70238 .55039 L .71959 .54078 L .786 .997 .802 r
F
.71672 .54389 m .69949 .55352 L .70238 .55039 L F
.65951 .43152 m .64159 .43982 L .63738 .43859 L .647 .194 .162 r
F
.66369 .43273 m .64159 .43982 L .65951 .43152 L F
.62588 .58678 m .60756 .59693 L .60336 .59563 L .667 .244 .231 r
F
.63005 .58806 m .60756 .59693 L .62588 .58678 L F
.56866 .4744 m .55247 .48003 L .57145 .47125 L .829 .997 .843 r
F
.56866 .4744 m .54966 .48321 L .55247 .48003 L F
.66369 .43273 m .64581 .44105 L .64159 .43982 L .647 .194 .162 r
F
.66787 .43394 m .64581 .44105 L .66369 .43273 L F
.63005 .58806 m .61177 .59823 L .60756 .59693 L .667 .244 .231 r
F
.63421 .58934 m .61177 .59823 L .63005 .58806 L F
.71959 .54078 m .70528 .54725 L .72247 .53767 L .786 .997 .802 r
F
.71959 .54078 m .70238 .55039 L .70528 .54725 L F
.57145 .47125 m .55528 .47685 L .57424 .4681 L .829 .997 .843 r
F
.57145 .47125 m .55247 .48003 L .55528 .47685 L F
.66787 .43394 m .65004 .44228 L .64581 .44105 L .647 .194 .162 r
F
.67206 .43516 m .65004 .44228 L .66787 .43394 L F
.63421 .58934 m .61598 .59953 L .61177 .59823 L .667 .244 .231 r
F
.63838 .59063 m .61598 .59953 L .63421 .58934 L F
.72247 .53767 m .70818 .5441 L .72535 .53456 L .786 .997 .802 r
F
.72247 .53767 m .70528 .54725 L .70818 .5441 L F
.57424 .4681 m .5581 .47367 L .57703 .46495 L .829 .997 .843 r
F
.57424 .4681 m .55528 .47685 L .5581 .47367 L F
.67206 .43516 m .65426 .44351 L .65004 .44228 L .647 .194 .162 r
F
.67625 .43637 m .65426 .44351 L .67206 .43516 L F
.63838 .59063 m .62019 .60084 L .61598 .59953 L .667 .244 .231 r
F
.64256 .59191 m .62019 .60084 L .63838 .59063 L F
.72535 .53456 m .71109 .54095 L .72823 .53144 L .786 .997 .802 r
F
.72535 .53456 m .70818 .5441 L .71109 .54095 L F
.57703 .46495 m .56092 .47048 L .57983 .46179 L .829 .997 .843 r
F
.57703 .46495 m .5581 .47367 L .56092 .47048 L F
.67625 .43637 m .6585 .44475 L .65426 .44351 L .647 .194 .162 r
F
.68044 .43759 m .6585 .44475 L .67625 .43637 L F
.64256 .59191 m .62441 .60214 L .62019 .60084 L .667 .244 .231 r
F
.64674 .5932 m .62441 .60214 L .64256 .59191 L F
.72823 .53144 m .714 .5378 L .73111 .52832 L .786 .997 .802 r
F
.72823 .53144 m .71109 .54095 L .714 .5378 L F
.68044 .43759 m .66273 .44598 L .6585 .44475 L .647 .194 .162 r
F
.68464 .4388 m .66273 .44598 L .68044 .43759 L F
.64674 .5932 m .62863 .60345 L .62441 .60214 L .667 .244 .231 r
F
.65092 .59449 m .62863 .60345 L .64674 .5932 L F
.57983 .46179 m .56374 .46728 L .58263 .45863 L .829 .997 .843 r
F
.57983 .46179 m .56092 .47048 L .56374 .46728 L F
.68464 .4388 m .66697 .44722 L .66273 .44598 L .647 .194 .162 r
F
.68884 .44002 m .66697 .44722 L .68464 .4388 L F
.65092 .59449 m .63285 .60476 L .62863 .60345 L .667 .244 .231 r
F
.65511 .59578 m .63285 .60476 L .65092 .59449 L F
.72978 .52394 m .714 .5378 L .73111 .52832 L .923 .695 .575 r
F
.58263 .45863 m .56657 .46409 L .58543 .45547 L .829 .997 .843 r
F
.58263 .45863 m .56374 .46728 L .56657 .46409 L F
.72978 .52394 m .71264 .53337 L .714 .5378 L .923 .695 .575 r
F
.72844 .51956 m .71264 .53337 L .72978 .52394 L F
.72844 .51956 m .71129 .52893 L .71264 .53337 L F
.72711 .51517 m .71129 .52893 L .72844 .51956 L F
.72711 .51517 m .70994 .5245 L .71129 .52893 L F
.72577 .51079 m .70994 .5245 L .72711 .51517 L F
.68884 .44002 m .67121 .44845 L .66697 .44722 L .647 .194 .162 r
F
.69305 .44124 m .67121 .44845 L .68884 .44002 L F
.65511 .59578 m .63708 .60607 L .63285 .60476 L .667 .244 .231 r
F
.6593 .59707 m .63708 .60607 L .65511 .59578 L F
.72577 .51079 m .70858 .52006 L .70994 .5245 L .923 .695 .575 r
F
.72443 .5064 m .70858 .52006 L .72577 .51079 L F
.72443 .5064 m .70723 .51563 L .70858 .52006 L F
.72309 .50202 m .70723 .51563 L .72443 .5064 L F
.58543 .45547 m .5694 .46089 L .58824 .4523 L .829 .997 .843 r
F
.58543 .45547 m .56657 .46409 L .5694 .46089 L F
.72309 .50202 m .70587 .51119 L .70723 .51563 L .923 .695 .575 r
F
.72176 .49763 m .70587 .51119 L .72309 .50202 L F
.72176 .49763 m .70452 .50675 L .70587 .51119 L F
.72042 .49324 m .70452 .50675 L .72176 .49763 L F
.69305 .44124 m .67546 .44969 L .67121 .44845 L .647 .194 .162 r
F
.69725 .44246 m .67546 .44969 L .69305 .44124 L F
.6593 .59707 m .64131 .60738 L .63708 .60607 L .667 .244 .231 r
F
.6593 .59707 m .64418 .60426 L .66215 .59398 L .786 .997 .802 r
F
.6593 .59707 m .64131 .60738 L .64418 .60426 L F
.72042 .49324 m .70316 .50231 L .70452 .50675 L .923 .695 .575 r
F
.71908 .48885 m .70316 .50231 L .72042 .49324 L F
.71908 .48885 m .7018 .49787 L .70316 .50231 L F
.71774 .48446 m .7018 .49787 L .71908 .48885 L F
.71774 .48446 m .70045 .49343 L .7018 .49787 L F
.7164 .48007 m .70045 .49343 L .71774 .48446 L F
.58824 .4523 m .57223 .45768 L .59105 .44913 L .829 .997 .843 r
F
.58824 .4523 m .5694 .46089 L .57223 .45768 L F
.7164 .48007 m .69909 .48899 L .70045 .49343 L .923 .695 .575 r
F
.71507 .47568 m .69909 .48899 L .7164 .48007 L F
.69725 .44246 m .67971 .45093 L .67546 .44969 L .647 .194 .162 r
F
.70147 .44368 m .67971 .45093 L .69725 .44246 L F
.71507 .47568 m .69773 .48454 L .69909 .48899 L .923 .695 .575 r
F
.71373 .47129 m .69773 .48454 L .71507 .47568 L F
.66215 .59398 m .64706 .60114 L .665 .59089 L .786 .997 .802 r
F
.66215 .59398 m .64418 .60426 L .64706 .60114 L F
.71373 .47129 m .69638 .4801 L .69773 .48454 L .923 .695 .575 r
F
.71239 .46689 m .69638 .4801 L .71373 .47129 L F
.71239 .46689 m .69502 .47565 L .69638 .4801 L F
.71105 .4625 m .69502 .47565 L .71239 .46689 L F
.71105 .4625 m .69366 .47121 L .69502 .47565 L F
.70971 .4581 m .69366 .47121 L .71105 .4625 L F
.70147 .44368 m .68397 .45217 L .67971 .45093 L .647 .194 .162 r
F
.70569 .44491 m .68397 .45217 L .70147 .44368 L F
.59105 .44913 m .57506 .45447 L .59386 .44596 L .829 .997 .843 r
F
.59105 .44913 m .57223 .45768 L .57506 .45447 L F
.70971 .4581 m .6923 .46676 L .69366 .47121 L .923 .695 .575 r
F
.70837 .4537 m .6923 .46676 L .70971 .4581 L F
.70837 .4537 m .69095 .46231 L .6923 .46676 L F
.70703 .4493 m .69095 .46231 L .70837 .4537 L F
.665 .59089 m .64994 .59801 L .66786 .5878 L .786 .997 .802 r
F
.665 .59089 m .64706 .60114 L .64994 .59801 L F
.70703 .4493 m .68959 .45786 L .69095 .46231 L .923 .695 .575 r
F
.70569 .44491 m .68959 .45786 L .70703 .4493 L F
.70569 .44491 m .68823 .45341 L .68959 .45786 L F
.70569 .44491 m .68823 .45341 L .68397 .45217 L .647 .194 .162 r
F
.59386 .44596 m .5779 .45126 L .59668 .44278 L .829 .997 .843 r
F
.59386 .44596 m .57506 .45447 L .5779 .45126 L F
.66786 .5878 m .65282 .59489 L .67071 .5847 L .786 .997 .802 r
F
.66786 .5878 m .64994 .59801 L .65282 .59489 L F
.59668 .44278 m .58074 .44805 L .59949 .43959 L .829 .997 .843 r
F
.59668 .44278 m .5779 .45126 L .58074 .44805 L F
.67071 .5847 m .65571 .59175 L .67358 .5816 L .786 .997 .802 r
F
.67071 .5847 m .65282 .59489 L .65571 .59175 L F
.59949 .43959 m .58359 .44483 L .60232 .43641 L .829 .997 .843 r
F
.59949 .43959 m .58074 .44805 L .58359 .44483 L F
.67358 .5816 m .6586 .58862 L .67644 .57849 L .786 .997 .802 r
F
.67358 .5816 m .65571 .59175 L .6586 .58862 L F
.56573 .58397 m .54235 .59285 L .56157 .58268 L .667 .244 .231 r
F
.56021 .57829 m .54235 .59285 L .56157 .58268 L .91 .689 .591 r
F
.56021 .57829 m .54097 .5884 L .54235 .59285 L F
.55885 .57389 m .54097 .5884 L .56021 .57829 L F
.60232 .43641 m .58644 .44161 L .60514 .43322 L .829 .997 .843 r
F
.60232 .43641 m .58359 .44483 L .58644 .44161 L F
.55885 .57389 m .53959 .58396 L .54097 .5884 L .91 .689 .591 r
F
.55748 .5695 m .53959 .58396 L .55885 .57389 L F
.55748 .5695 m .53822 .57951 L .53959 .58396 L F
.55612 .5651 m .53822 .57951 L .55748 .5695 L F
.67644 .57849 m .66149 .58548 L .67931 .57538 L .786 .997 .802 r
F
.67644 .57849 m .6586 .58862 L .66149 .58548 L F
.56573 .58397 m .54656 .59416 L .54235 .59285 L .667 .244 .231 r
F
.5699 .58526 m .54656 .59416 L .56573 .58397 L F
.55612 .5651 m .53684 .57507 L .53822 .57951 L .91 .689 .591 r
F
.55476 .56071 m .53684 .57507 L .55612 .5651 L F
.55476 .56071 m .53546 .57062 L .53684 .57507 L F
.5534 .55631 m .53546 .57062 L .55476 .56071 L F
.5534 .55631 m .53407 .56617 L .53546 .57062 L F
.55204 .55191 m .53407 .56617 L .5534 .55631 L F
.60514 .43322 m .58929 .43838 L .60797 .43003 L .829 .997 .843 r
F
.60514 .43322 m .58644 .44161 L .58929 .43838 L F
.55204 .55191 m .53269 .56172 L .53407 .56617 L .91 .689 .591 r
F
.55068 .54751 m .53269 .56172 L .55204 .55191 L F
.5699 .58526 m .55076 .59547 L .54656 .59416 L .667 .244 .231 r
F
.57407 .58655 m .55076 .59547 L .5699 .58526 L F
.55068 .54751 m .53131 .55727 L .53269 .56172 L .91 .689 .591 r
F
.54931 .54311 m .53131 .55727 L .55068 .54751 L F
.67931 .57538 m .66439 .58233 L .68218 .57227 L .786 .997 .802 r
F
.67931 .57538 m .66149 .58548 L .66439 .58233 L F
.54931 .54311 m .52993 .55282 L .53131 .55727 L .91 .689 .591 r
F
.54795 .53871 m .52993 .55282 L .54931 .54311 L F
.54795 .53871 m .52855 .54836 L .52993 .55282 L F
.54659 .53431 m .52855 .54836 L .54795 .53871 L F
.54659 .53431 m .52717 .54391 L .52855 .54836 L F
.54522 .5299 m .52717 .54391 L .54659 .53431 L F
.61216 .43125 m .58929 .43838 L .60797 .43003 L .647 .194 .162 r
F
.57407 .58655 m .55497 .59678 L .55076 .59547 L .667 .244 .231 r
F
.57824 .58784 m .55497 .59678 L .57407 .58655 L F
.54522 .5299 m .52578 .53945 L .52717 .54391 L .91 .689 .591 r
F
.54386 .5255 m .52578 .53945 L .54522 .5299 L F
.54386 .5255 m .5244 .535 L .52578 .53945 L F
.54249 .52109 m .5244 .535 L .54386 .5255 L F
.68218 .57227 m .66729 .57919 L .68506 .56916 L .786 .997 .802 r
F
.68218 .57227 m .66439 .58233 L .66729 .57919 L F
.54249 .52109 m .52302 .53054 L .5244 .535 L .91 .689 .591 r
F
.54113 .51669 m .52302 .53054 L .54249 .52109 L F
.54113 .51669 m .52164 .52608 L .52302 .53054 L F
.53976 .51228 m .52164 .52608 L .54113 .51669 L F
.61216 .43125 m .59352 .43962 L .58929 .43838 L .647 .194 .162 r
F
.61635 .43247 m .59352 .43962 L .61216 .43125 L F
.57824 .58784 m .55919 .59809 L .55497 .59678 L .667 .244 .231 r
F
.58242 .58914 m .55919 .59809 L .57824 .58784 L F
.53976 .51228 m .52025 .52162 L .52164 .52608 L .91 .689 .591 r
F
.5384 .50787 m .52025 .52162 L .53976 .51228 L F
.5384 .50787 m .51887 .51716 L .52025 .52162 L F
.53703 .50346 m .51887 .51716 L .5384 .50787 L F
.53703 .50346 m .51748 .5127 L .51887 .51716 L F
.53567 .49905 m .51748 .5127 L .53703 .50346 L F
.68506 .56916 m .67019 .57603 L .68794 .56604 L .786 .997 .802 r
F
.68506 .56916 m .66729 .57919 L .67019 .57603 L F
.53567 .49905 m .5161 .50824 L .51748 .5127 L .91 .689 .591 r
F
.53567 .49905 m .51891 .50505 L .53846 .49589 L .829 .997 .843 r
F
.53567 .49905 m .5161 .50824 L .51891 .50505 L F
.61635 .43247 m .59775 .44086 L .59352 .43962 L .647 .194 .162 r
F
.62055 .43369 m .59775 .44086 L .61635 .43247 L F
.58242 .58914 m .56341 .59941 L .55919 .59809 L .667 .244 .231 r
F
.5866 .59043 m .56341 .59941 L .58242 .58914 L F
.68794 .56604 m .67309 .57288 L .69082 .56291 L .786 .997 .802 r
F
.68794 .56604 m .67019 .57603 L .67309 .57288 L F
.62055 .43369 m .60199 .4421 L .59775 .44086 L .647 .194 .162 r
F
.62475 .43491 m .60199 .4421 L .62055 .43369 L F
.5866 .59043 m .56763 .60072 L .56341 .59941 L .667 .244 .231 r
F
.59078 .59173 m .56763 .60072 L .5866 .59043 L F
.53846 .49589 m .52173 .50185 L .54126 .49273 L .829 .997 .843 r
F
.53846 .49589 m .51891 .50505 L .52173 .50185 L F
.62475 .43491 m .60623 .44334 L .60199 .4421 L .647 .194 .162 r
F
.62896 .43614 m .60623 .44334 L .62475 .43491 L F
.59078 .59173 m .57186 .60204 L .56763 .60072 L .667 .244 .231 r
F
.59497 .59303 m .57186 .60204 L .59078 .59173 L F
.69082 .56291 m .676 .56972 L .69371 .55979 L .786 .997 .802 r
F
.69082 .56291 m .67309 .57288 L .676 .56972 L F
.54126 .49273 m .52455 .49865 L .54405 .48956 L .829 .997 .843 r
F
.54126 .49273 m .52173 .50185 L .52455 .49865 L F
.62896 .43614 m .61048 .44459 L .60623 .44334 L .647 .194 .162 r
F
.63316 .43737 m .61048 .44459 L .62896 .43614 L F
.59497 .59303 m .57609 .60336 L .57186 .60204 L .667 .244 .231 r
F
.59917 .59433 m .57609 .60336 L .59497 .59303 L F
.69371 .55979 m .67892 .56656 L .69659 .55666 L .786 .997 .802 r
F
.69371 .55979 m .676 .56972 L .67892 .56656 L F
.54405 .48956 m .52738 .49545 L .54686 .48639 L .829 .997 .843 r
F
.54405 .48956 m .52455 .49865 L .52738 .49545 L F
.63316 .43737 m .61473 .44583 L .61048 .44459 L .647 .194 .162 r
F
.63738 .43859 m .61473 .44583 L .63316 .43737 L F
.59917 .59433 m .58032 .60468 L .57609 .60336 L .667 .244 .231 r
F
.60336 .59563 m .58032 .60468 L .59917 .59433 L F
.69659 .55666 m .68183 .56339 L .69949 .55352 L .786 .997 .802 r
F
.69659 .55666 m .67892 .56656 L .68183 .56339 L F
.54686 .48639 m .53021 .49224 L .54966 .48321 L .829 .997 .843 r
F
.54686 .48639 m .52738 .49545 L .53021 .49224 L F
.63738 .43859 m .61899 .44708 L .61473 .44583 L .647 .194 .162 r
F
.64159 .43982 m .61899 .44708 L .63738 .43859 L F
.60336 .59563 m .58456 .606 L .58032 .60468 L .667 .244 .231 r
F
.60756 .59693 m .58456 .606 L .60336 .59563 L F
.69949 .55352 m .68475 .56022 L .70238 .55039 L .786 .997 .802 r
F
.69949 .55352 m .68183 .56339 L .68475 .56022 L F
.64159 .43982 m .62324 .44832 L .61899 .44708 L .647 .194 .162 r
F
.64581 .44105 m .62324 .44832 L .64159 .43982 L F
.60756 .59693 m .5888 .60732 L .58456 .606 L .667 .244 .231 r
F
.61177 .59823 m .5888 .60732 L .60756 .59693 L F
.54966 .48321 m .53304 .48903 L .55247 .48003 L .829 .997 .843 r
F
.54966 .48321 m .53021 .49224 L .53304 .48903 L F
.64581 .44105 m .62751 .44957 L .62324 .44832 L .647 .194 .162 r
F
.65004 .44228 m .62751 .44957 L .64581 .44105 L F
.61177 .59823 m .59305 .60864 L .5888 .60732 L .667 .244 .231 r
F
.61598 .59953 m .59305 .60864 L .61177 .59823 L F
.70238 .55039 m .68768 .55705 L .70528 .54725 L .786 .997 .802 r
F
.70238 .55039 m .68475 .56022 L .68768 .55705 L F
.55247 .48003 m .53587 .48581 L .55528 .47685 L .829 .997 .843 r
F
.55247 .48003 m .53304 .48903 L .53587 .48581 L F
.65004 .44228 m .63177 .45082 L .62751 .44957 L .647 .194 .162 r
F
.65426 .44351 m .63177 .45082 L .65004 .44228 L F
.61598 .59953 m .5973 .60997 L .59305 .60864 L .667 .244 .231 r
F
.62019 .60084 m .5973 .60997 L .61598 .59953 L F
.70528 .54725 m .6906 .55387 L .70818 .5441 L .786 .997 .802 r
F
.70528 .54725 m .68768 .55705 L .6906 .55387 L F
.55528 .47685 m .53871 .48259 L .5581 .47367 L .829 .997 .843 r
F
.55528 .47685 m .53587 .48581 L .53871 .48259 L F
.65426 .44351 m .63604 .45207 L .63177 .45082 L .647 .194 .162 r
F
.6585 .44475 m .63604 .45207 L .65426 .44351 L F
.62019 .60084 m .60156 .61129 L .5973 .60997 L .667 .244 .231 r
F
.62441 .60214 m .60156 .61129 L .62019 .60084 L F
.70818 .5441 m .69353 .55069 L .71109 .54095 L .786 .997 .802 r
F
.70818 .5441 m .6906 .55387 L .69353 .55069 L F
.5581 .47367 m .54155 .47937 L .56092 .47048 L .829 .997 .843 r
F
.5581 .47367 m .53871 .48259 L .54155 .47937 L F
.6585 .44475 m .64032 .45332 L .63604 .45207 L .647 .194 .162 r
F
.66273 .44598 m .64032 .45332 L .6585 .44475 L F
.62441 .60214 m .60581 .61262 L .60156 .61129 L .667 .244 .231 r
F
.62863 .60345 m .60581 .61262 L .62441 .60214 L F
.71109 .54095 m .69647 .54751 L .714 .5378 L .786 .997 .802 r
F
.71109 .54095 m .69353 .55069 L .69647 .54751 L F
.66273 .44598 m .64459 .45458 L .64032 .45332 L .647 .194 .162 r
F
.66697 .44722 m .64459 .45458 L .66273 .44598 L F
.62863 .60345 m .61008 .61395 L .60581 .61262 L .667 .244 .231 r
F
.63285 .60476 m .61008 .61395 L .62863 .60345 L F
.56092 .47048 m .5444 .47614 L .56374 .46728 L .829 .997 .843 r
F
.56092 .47048 m .54155 .47937 L .5444 .47614 L F
.66697 .44722 m .64888 .45583 L .64459 .45458 L .647 .194 .162 r
F
.67121 .44845 m .64888 .45583 L .66697 .44722 L F
.63285 .60476 m .61434 .61528 L .61008 .61395 L .667 .244 .231 r
F
.63708 .60607 m .61434 .61528 L .63285 .60476 L F
.71264 .53337 m .69647 .54751 L .714 .5378 L .923 .695 .575 r
F
.56374 .46728 m .54725 .47291 L .56657 .46409 L .829 .997 .843 r
F
.56374 .46728 m .5444 .47614 L .54725 .47291 L F
.71264 .53337 m .6951 .54302 L .69647 .54751 L .923 .695 .575 r
F
.71129 .52893 m .6951 .54302 L .71264 .53337 L F
.71129 .52893 m .69372 .53854 L .6951 .54302 L F
.70994 .5245 m .69372 .53854 L .71129 .52893 L F
.70994 .5245 m .69235 .53405 L .69372 .53854 L F
.70858 .52006 m .69235 .53405 L .70994 .5245 L F
.67121 .44845 m .65316 .45709 L .64888 .45583 L .647 .194 .162 r
F
.67546 .44969 m .65316 .45709 L .67121 .44845 L F
.63708 .60607 m .61861 .61661 L .61434 .61528 L .667 .244 .231 r
F
.64131 .60738 m .61861 .61661 L .63708 .60607 L F
.70858 .52006 m .69098 .52956 L .69235 .53405 L .923 .695 .575 r
F
.70723 .51563 m .69098 .52956 L .70858 .52006 L F
.70723 .51563 m .68961 .52508 L .69098 .52956 L F
.70587 .51119 m .68961 .52508 L .70723 .51563 L F
.56657 .46409 m .5501 .46968 L .5694 .46089 L .829 .997 .843 r
F
.56657 .46409 m .54725 .47291 L .5501 .46968 L F
.70587 .51119 m .68823 .52059 L .68961 .52508 L .923 .695 .575 r
F
.70452 .50675 m .68823 .52059 L .70587 .51119 L F
.70452 .50675 m .68686 .51609 L .68823 .52059 L F
.70316 .50231 m .68686 .51609 L .70452 .50675 L F
.67546 .44969 m .65745 .45834 L .65316 .45709 L .647 .194 .162 r
F
.67971 .45093 m .65745 .45834 L .67546 .44969 L F
.64131 .60738 m .62289 .61794 L .61861 .61661 L .667 .244 .231 r
F
.64131 .60738 m .62578 .61479 L .64418 .60426 L .786 .997 .802 r
F
.64131 .60738 m .62289 .61794 L .62578 .61479 L F
.70316 .50231 m .68548 .5116 L .68686 .51609 L .923 .695 .575 r
F
.7018 .49787 m .68548 .5116 L .70316 .50231 L F
.7018 .49787 m .68411 .50711 L .68548 .5116 L F
.70045 .49343 m .68411 .50711 L .7018 .49787 L F
.70045 .49343 m .68274 .50262 L .68411 .50711 L F
.69909 .48899 m .68274 .50262 L .70045 .49343 L F
.5694 .46089 m .55295 .46644 L .57223 .45768 L .829 .997 .843 r
F
.5694 .46089 m .5501 .46968 L .55295 .46644 L F
.69909 .48899 m .68136 .49812 L .68274 .50262 L .923 .695 .575 r
F
.69773 .48454 m .68136 .49812 L .69909 .48899 L F
.67971 .45093 m .66175 .4596 L .65745 .45834 L .647 .194 .162 r
F
.68397 .45217 m .66175 .4596 L .67971 .45093 L F
.69773 .48454 m .67998 .49362 L .68136 .49812 L .923 .695 .575 r
F
.69638 .4801 m .67998 .49362 L .69773 .48454 L F
.64418 .60426 m .62868 .61163 L .64706 .60114 L .786 .997 .802 r
F
.64418 .60426 m .62578 .61479 L .62868 .61163 L F
.69638 .4801 m .67861 .48913 L .67998 .49362 L .923 .695 .575 r
F
.69502 .47565 m .67861 .48913 L .69638 .4801 L F
.69502 .47565 m .67723 .48463 L .67861 .48913 L F
.69366 .47121 m .67723 .48463 L .69502 .47565 L F
.69366 .47121 m .67586 .48013 L .67723 .48463 L F
.6923 .46676 m .67586 .48013 L .69366 .47121 L F
.68397 .45217 m .66605 .46086 L .66175 .4596 L .647 .194 .162 r
F
.68823 .45341 m .66605 .46086 L .68397 .45217 L F
.57223 .45768 m .55581 .4632 L .57506 .45447 L .829 .997 .843 r
F
.57223 .45768 m .55295 .46644 L .55581 .4632 L F
.6923 .46676 m .67448 .47563 L .67586 .48013 L .923 .695 .575 r
F
.69095 .46231 m .67448 .47563 L .6923 .46676 L F
.69095 .46231 m .6731 .47113 L .67448 .47563 L F
.68959 .45786 m .6731 .47113 L .69095 .46231 L F
.64706 .60114 m .63159 .60848 L .64994 .59801 L .786 .997 .802 r
F
.64706 .60114 m .62868 .61163 L .63159 .60848 L F
.68959 .45786 m .67173 .46662 L .6731 .47113 L .923 .695 .575 r
F
.68823 .45341 m .67173 .46662 L .68959 .45786 L F
.68823 .45341 m .67035 .46212 L .67173 .46662 L F
.68823 .45341 m .67035 .46212 L .66605 .46086 L .647 .194 .162 r
F
.57506 .45447 m .55867 .45995 L .5779 .45126 L .829 .997 .843 r
F
.57506 .45447 m .55581 .4632 L .55867 .45995 L F
.64994 .59801 m .63449 .60532 L .65282 .59489 L .786 .997 .802 r
F
.64994 .59801 m .63159 .60848 L .63449 .60532 L F
.5779 .45126 m .56154 .4567 L .58074 .44805 L .829 .997 .843 r
F
.5779 .45126 m .55867 .45995 L .56154 .4567 L F
.65282 .59489 m .6374 .60215 L .65571 .59175 L .786 .997 .802 r
F
.65282 .59489 m .63449 .60532 L .6374 .60215 L F
.58074 .44805 m .56441 .45345 L .58359 .44483 L .829 .997 .843 r
F
.58074 .44805 m .56154 .4567 L .56441 .45345 L F
.65571 .59175 m .64032 .59898 L .6586 .58862 L .786 .997 .802 r
F
.65571 .59175 m .6374 .60215 L .64032 .59898 L F
.54097 .5884 m .52267 .60326 L .54235 .59285 L .91 .689 .591 r
F
.54656 .59416 m .52267 .60326 L .54235 .59285 L .667 .244 .231 r
F
.54097 .5884 m .52128 .59877 L .52267 .60326 L .91 .689 .591 r
F
.53959 .58396 m .52128 .59877 L .54097 .5884 L F
.58359 .44483 m .56728 .45019 L .58644 .44161 L .829 .997 .843 r
F
.58359 .44483 m .56441 .45345 L .56728 .45019 L F
.53959 .58396 m .51988 .59427 L .52128 .59877 L .91 .689 .591 r
F
.53822 .57951 m .51988 .59427 L .53959 .58396 L F
.53822 .57951 m .51848 .58977 L .51988 .59427 L F
.53684 .57507 m .51848 .58977 L .53822 .57951 L F
.6586 .58862 m .64324 .59581 L .66149 .58548 L .786 .997 .802 r
F
.6586 .58862 m .64032 .59898 L .64324 .59581 L F
.54656 .59416 m .52692 .60459 L .52267 .60326 L .667 .244 .231 r
F
.55076 .59547 m .52692 .60459 L .54656 .59416 L F
.53684 .57507 m .51708 .58527 L .51848 .58977 L .91 .689 .591 r
F
.53546 .57062 m .51708 .58527 L .53684 .57507 L F
.53546 .57062 m .51568 .58077 L .51708 .58527 L F
.53407 .56617 m .51568 .58077 L .53546 .57062 L F
.53407 .56617 m .51428 .57627 L .51568 .58077 L F
.53269 .56172 m .51428 .57627 L .53407 .56617 L F
.58644 .44161 m .57015 .44693 L .58929 .43838 L .829 .997 .843 r
F
.58644 .44161 m .56728 .45019 L .57015 .44693 L F
.53269 .56172 m .51288 .57177 L .51428 .57627 L .91 .689 .591 r
F
.53131 .55727 m .51288 .57177 L .53269 .56172 L F
.53131 .55727 m .51148 .56726 L .51288 .57177 L F
.52993 .55282 m .51148 .56726 L .53131 .55727 L F
.55076 .59547 m .53117 .60593 L .52692 .60459 L .667 .244 .231 r
F
.55497 .59678 m .53117 .60593 L .55076 .59547 L F
.66149 .58548 m .64616 .59264 L .66439 .58233 L .786 .997 .802 r
F
.66149 .58548 m .64324 .59581 L .64616 .59264 L F
.52993 .55282 m .51008 .56276 L .51148 .56726 L .91 .689 .591 r
F
.52855 .54836 m .51008 .56276 L .52993 .55282 L F
.52855 .54836 m .50868 .55825 L .51008 .56276 L F
.52717 .54391 m .50868 .55825 L .52855 .54836 L F
.52717 .54391 m .50728 .55374 L .50868 .55825 L F
.52578 .53945 m .50728 .55374 L .52717 .54391 L F
.59352 .43962 m .57015 .44693 L .58929 .43838 L .647 .194 .162 r
F
.55497 .59678 m .53542 .60726 L .53117 .60593 L .667 .244 .231 r
F
.55919 .59809 m .53542 .60726 L .55497 .59678 L F
.52578 .53945 m .50588 .54924 L .50728 .55374 L .91 .689 .591 r
F
.5244 .535 m .50588 .54924 L .52578 .53945 L F
.5244 .535 m .50447 .54473 L .50588 .54924 L F
.52302 .53054 m .50447 .54473 L .5244 .535 L F
.66439 .58233 m .64908 .58946 L .66729 .57919 L .786 .997 .802 r
F
.66439 .58233 m .64616 .59264 L .64908 .58946 L F
.52302 .53054 m .50307 .54022 L .50447 .54473 L .91 .689 .591 r
F
.52164 .52608 m .50307 .54022 L .52302 .53054 L F
.52164 .52608 m .50167 .53571 L .50307 .54022 L F
.52025 .52162 m .50167 .53571 L .52164 .52608 L F
.59352 .43962 m .57443 .44819 L .57015 .44693 L .647 .194 .162 r
F
.59775 .44086 m .57443 .44819 L .59352 .43962 L F
.55919 .59809 m .53968 .60859 L .53542 .60726 L .667 .244 .231 r
F
.56341 .59941 m .53968 .60859 L .55919 .59809 L F
.52025 .52162 m .50027 .53119 L .50167 .53571 L .91 .689 .591 r
F
.51887 .51716 m .50027 .53119 L .52025 .52162 L F
.51887 .51716 m .49886 .52668 L .50027 .53119 L F
.51748 .5127 m .49886 .52668 L .51887 .51716 L F
.51748 .5127 m .49746 .52217 L .49886 .52668 L F
.5161 .50824 m .49746 .52217 L .51748 .5127 L F
.66729 .57919 m .65201 .58627 L .67019 .57603 L .786 .997 .802 r
F
.66729 .57919 m .64908 .58946 L .65201 .58627 L F
.5161 .50824 m .49606 .51765 L .49746 .52217 L .91 .689 .591 r
F
.5161 .50824 m .49889 .51442 L .51891 .50505 L .829 .997 .843 r
F
.5161 .50824 m .49606 .51765 L .49889 .51442 L F
.59775 .44086 m .5787 .44945 L .57443 .44819 L .647 .194 .162 r
F
.60199 .4421 m .5787 .44945 L .59775 .44086 L F
.56341 .59941 m .54394 .60993 L .53968 .60859 L .667 .244 .231 r
F
.56763 .60072 m .54394 .60993 L .56341 .59941 L F
.67019 .57603 m .65494 .58309 L .67309 .57288 L .786 .997 .802 r
F
.67019 .57603 m .65201 .58627 L .65494 .58309 L F
.60199 .4421 m .58298 .45071 L .5787 .44945 L .647 .194 .162 r
F
.60623 .44334 m .58298 .45071 L .60199 .4421 L F
.56763 .60072 m .5482 .61126 L .54394 .60993 L .667 .244 .231 r
F
.57186 .60204 m .5482 .61126 L .56763 .60072 L F
.51891 .50505 m .50173 .51119 L .52173 .50185 L .829 .997 .843 r
F
.51891 .50505 m .49889 .51442 L .50173 .51119 L F
.60623 .44334 m .58727 .45197 L .58298 .45071 L .647 .194 .162 r
F
.61048 .44459 m .58727 .45197 L .60623 .44334 L F
.57186 .60204 m .55247 .6126 L .5482 .61126 L .667 .244 .231 r
F
.57609 .60336 m .55247 .6126 L .57186 .60204 L F
.67309 .57288 m .65787 .5799 L .676 .56972 L .786 .997 .802 r
F
.67309 .57288 m .65494 .58309 L .65787 .5799 L F
.52173 .50185 m .50458 .50796 L .52455 .49865 L .829 .997 .843 r
F
.52173 .50185 m .50173 .51119 L .50458 .50796 L F
.61048 .44459 m .59156 .45324 L .58727 .45197 L .647 .194 .162 r
F
.61473 .44583 m .59156 .45324 L .61048 .44459 L F
.57609 .60336 m .55674 .61394 L .55247 .6126 L .667 .244 .231 r
F
.58032 .60468 m .55674 .61394 L .57609 .60336 L F
.676 .56972 m .66081 .5767 L .67892 .56656 L .786 .997 .802 r
F
.676 .56972 m .65787 .5799 L .66081 .5767 L F
.52455 .49865 m .50743 .50472 L .52738 .49545 L .829 .997 .843 r
F
.52455 .49865 m .50458 .50796 L .50743 .50472 L F
.61473 .44583 m .59585 .4545 L .59156 .45324 L .647 .194 .162 r
F
.61899 .44708 m .59585 .4545 L .61473 .44583 L F
.58032 .60468 m .56102 .61528 L .55674 .61394 L .667 .244 .231 r
F
.58456 .606 m .56102 .61528 L .58032 .60468 L F
.67892 .56656 m .66375 .5735 L .68183 .56339 L .786 .997 .802 r
F
.67892 .56656 m .66081 .5767 L .66375 .5735 L F
.52738 .49545 m .51028 .50148 L .53021 .49224 L .829 .997 .843 r
F
.52738 .49545 m .50743 .50472 L .51028 .50148 L F
.61899 .44708 m .60015 .45577 L .59585 .4545 L .647 .194 .162 r
F
.62324 .44832 m .60015 .45577 L .61899 .44708 L F
.58456 .606 m .5653 .61662 L .56102 .61528 L .667 .244 .231 r
F
.5888 .60732 m .5653 .61662 L .58456 .606 L F
.68183 .56339 m .6667 .5703 L .68475 .56022 L .786 .997 .802 r
F
.68183 .56339 m .66375 .5735 L .6667 .5703 L F
.62324 .44832 m .60445 .45703 L .60015 .45577 L .647 .194 .162 r
F
.62751 .44957 m .60445 .45703 L .62324 .44832 L F
.5888 .60732 m .56959 .61797 L .5653 .61662 L .667 .244 .231 r
F
.59305 .60864 m .56959 .61797 L .5888 .60732 L F
.53021 .49224 m .51313 .49824 L .53304 .48903 L .829 .997 .843 r
F
.53021 .49224 m .51028 .50148 L .51313 .49824 L F
.62751 .44957 m .60875 .4583 L .60445 .45703 L .647 .194 .162 r
F
.63177 .45082 m .60875 .4583 L .62751 .44957 L F
.59305 .60864 m .57388 .61931 L .56959 .61797 L .667 .244 .231 r
F
.5973 .60997 m .57388 .61931 L .59305 .60864 L F
.68475 .56022 m .66965 .5671 L .68768 .55705 L .786 .997 .802 r
F
.68475 .56022 m .6667 .5703 L .66965 .5671 L F
.53304 .48903 m .51599 .49499 L .53587 .48581 L .829 .997 .843 r
F
.53304 .48903 m .51313 .49824 L .51599 .49499 L F
.63177 .45082 m .61306 .45957 L .60875 .4583 L .647 .194 .162 r
F
.63604 .45207 m .61306 .45957 L .63177 .45082 L F
.5973 .60997 m .57817 .62065 L .57388 .61931 L .667 .244 .231 r
F
.60156 .61129 m .57817 .62065 L .5973 .60997 L F
.68768 .55705 m .6726 .56389 L .6906 .55387 L .786 .997 .802 r
F
.68768 .55705 m .66965 .5671 L .6726 .56389 L F
.53587 .48581 m .51885 .49174 L .53871 .48259 L .829 .997 .843 r
F
.53587 .48581 m .51599 .49499 L .51885 .49174 L F
.63604 .45207 m .61738 .46084 L .61306 .45957 L .647 .194 .162 r
F
.64032 .45332 m .61738 .46084 L .63604 .45207 L F
.60156 .61129 m .58247 .622 L .57817 .62065 L .667 .244 .231 r
F
.60581 .61262 m .58247 .622 L .60156 .61129 L F
.6906 .55387 m .67555 .56067 L .69353 .55069 L .786 .997 .802 r
F
.6906 .55387 m .6726 .56389 L .67555 .56067 L F
.53871 .48259 m .52171 .48848 L .54155 .47937 L .829 .997 .843 r
F
.53871 .48259 m .51885 .49174 L .52171 .48848 L F
.64032 .45332 m .62169 .46211 L .61738 .46084 L .647 .194 .162 r
F
.64459 .45458 m .62169 .46211 L .64032 .45332 L F
.60581 .61262 m .58677 .62335 L .58247 .622 L .667 .244 .231 r
F
.61008 .61395 m .58677 .62335 L .60581 .61262 L F
.69353 .55069 m .67851 .55746 L .69647 .54751 L .786 .997 .802 r
F
.69353 .55069 m .67555 .56067 L .67851 .55746 L F
.64459 .45458 m .62602 .46338 L .62169 .46211 L .647 .194 .162 r
F
.64888 .45583 m .62602 .46338 L .64459 .45458 L F
.61008 .61395 m .59107 .6247 L .58677 .62335 L .667 .244 .231 r
F
.61434 .61528 m .59107 .6247 L .61008 .61395 L F
.54155 .47937 m .52458 .48522 L .5444 .47614 L .829 .997 .843 r
F
.54155 .47937 m .52171 .48848 L .52458 .48522 L F
.64888 .45583 m .63034 .46466 L .62602 .46338 L .647 .194 .162 r
F
.65316 .45709 m .63034 .46466 L .64888 .45583 L F
.61434 .61528 m .59538 .62605 L .59107 .6247 L .667 .244 .231 r
F
.61861 .61661 m .59538 .62605 L .61434 .61528 L F
.6951 .54302 m .67851 .55746 L .69647 .54751 L .923 .695 .575 r
F
.5444 .47614 m .52745 .48195 L .54725 .47291 L .829 .997 .843 r
F
.5444 .47614 m .52458 .48522 L .52745 .48195 L F
.6951 .54302 m .67712 .55292 L .67851 .55746 L .923 .695 .575 r
F
.69372 .53854 m .67712 .55292 L .6951 .54302 L F
.69372 .53854 m .67573 .54838 L .67712 .55292 L F
.69235 .53405 m .67573 .54838 L .69372 .53854 L F
.69235 .53405 m .67434 .54384 L .67573 .54838 L F
.69098 .52956 m .67434 .54384 L .69235 .53405 L F
.65316 .45709 m .63467 .46593 L .63034 .46466 L .647 .194 .162 r
F
.65745 .45834 m .63467 .46593 L .65316 .45709 L F
.61861 .61661 m .5997 .6274 L .59538 .62605 L .667 .244 .231 r
F
.62289 .61794 m .5997 .6274 L .61861 .61661 L F
.69098 .52956 m .67295 .5393 L .67434 .54384 L .923 .695 .575 r
F
.68961 .52508 m .67295 .5393 L .69098 .52956 L F
.68961 .52508 m .67155 .53475 L .67295 .5393 L F
.68823 .52059 m .67155 .53475 L .68961 .52508 L F
.54725 .47291 m .53033 .47869 L .5501 .46968 L .829 .997 .843 r
F
.54725 .47291 m .52745 .48195 L .53033 .47869 L F
.68823 .52059 m .67016 .53021 L .67155 .53475 L .923 .695 .575 r
F
.68686 .51609 m .67016 .53021 L .68823 .52059 L F
.65745 .45834 m .639 .46721 L .63467 .46593 L .647 .194 .162 r
F
.66175 .4596 m .639 .46721 L .65745 .45834 L F
.68686 .51609 m .66877 .52566 L .67016 .53021 L .923 .695 .575 r
F
.68548 .5116 m .66877 .52566 L .68686 .51609 L F
.62289 .61794 m .60401 .62875 L .5997 .6274 L .667 .244 .231 r
F
.62289 .61794 m .60694 .62557 L .62578 .61479 L .786 .997 .802 r
F
.62289 .61794 m .60401 .62875 L .60694 .62557 L F
.68548 .5116 m .66738 .52112 L .66877 .52566 L .923 .695 .575 r
F
.68411 .50711 m .66738 .52112 L .68548 .5116 L F
.68411 .50711 m .66598 .51657 L .66738 .52112 L F
.68274 .50262 m .66598 .51657 L .68411 .50711 L F
.68274 .50262 m .66459 .51202 L .66598 .51657 L F
.68136 .49812 m .66459 .51202 L .68274 .50262 L F
.5501 .46968 m .53321 .47541 L .55295 .46644 L .829 .997 .843 r
F
.5501 .46968 m .53033 .47869 L .53321 .47541 L F
.68136 .49812 m .6632 .50748 L .66459 .51202 L .923 .695 .575 r
F
.67998 .49362 m .6632 .50748 L .68136 .49812 L F
.66175 .4596 m .64334 .46849 L .639 .46721 L .647 .194 .162 r
F
.66605 .46086 m .64334 .46849 L .66175 .4596 L F
.67998 .49362 m .6618 .50292 L .6632 .50748 L .923 .695 .575 r
F
.67861 .48913 m .6618 .50292 L .67998 .49362 L F
.62578 .61479 m .60986 .62239 L .62868 .61163 L .786 .997 .802 r
F
.62578 .61479 m .60694 .62557 L .60986 .62239 L F
.67861 .48913 m .66041 .49837 L .6618 .50292 L .923 .695 .575 r
F
.67723 .48463 m .66041 .49837 L .67861 .48913 L F
.67723 .48463 m .65901 .49382 L .66041 .49837 L F
.67586 .48013 m .65901 .49382 L .67723 .48463 L F
.67586 .48013 m .65762 .48927 L .65901 .49382 L F
.67448 .47563 m .65762 .48927 L .67586 .48013 L F
.66605 .46086 m .64768 .46976 L .64334 .46849 L .647 .194 .162 r
F
.67035 .46212 m .64768 .46976 L .66605 .46086 L F
.55295 .46644 m .53609 .47214 L .55581 .4632 L .829 .997 .843 r
F
.55295 .46644 m .53321 .47541 L .53609 .47214 L F
.67448 .47563 m .65622 .48471 L .65762 .48927 L .923 .695 .575 r
F
.6731 .47113 m .65622 .48471 L .67448 .47563 L F
.6731 .47113 m .65482 .48016 L .65622 .48471 L F
.67173 .46662 m .65482 .48016 L .6731 .47113 L F
.62868 .61163 m .61279 .6192 L .63159 .60848 L .786 .997 .802 r
F
.62868 .61163 m .60986 .62239 L .61279 .6192 L F
.67173 .46662 m .65343 .4756 L .65482 .48016 L .923 .695 .575 r
F
.67035 .46212 m .65343 .4756 L .67173 .46662 L F
.67035 .46212 m .65203 .47104 L .65343 .4756 L F
.67035 .46212 m .65203 .47104 L .64768 .46976 L .647 .194 .162 r
F
.55581 .4632 m .53897 .46886 L .55867 .45995 L .829 .997 .843 r
F
.55581 .4632 m .53609 .47214 L .53897 .46886 L F
.63159 .60848 m .61572 .616 L .63449 .60532 L .786 .997 .802 r
F
.63159 .60848 m .61279 .6192 L .61572 .616 L F
.55867 .45995 m .54186 .46557 L .56154 .4567 L .829 .997 .843 r
F
.55867 .45995 m .53897 .46886 L .54186 .46557 L F
.63449 .60532 m .61865 .61281 L .6374 .60215 L .786 .997 .802 r
F
.63449 .60532 m .61572 .616 L .61865 .61281 L F
.56154 .4567 m .54475 .46229 L .56441 .45345 L .829 .997 .843 r
F
.56154 .4567 m .54186 .46557 L .54475 .46229 L F
.6374 .60215 m .62159 .60961 L .64032 .59898 L .786 .997 .802 r
F
.6374 .60215 m .61865 .61281 L .62159 .60961 L F
.52128 .59877 m .50251 .61393 L .52267 .60326 L .91 .689 .591 r
F
.52692 .60459 m .50251 .61393 L .52267 .60326 L .667 .244 .231 r
F
.52128 .59877 m .50109 .60938 L .50251 .61393 L .91 .689 .591 r
F
.51988 .59427 m .50109 .60938 L .52128 .59877 L F
.56441 .45345 m .54765 .459 L .56728 .45019 L .829 .997 .843 r
F
.56441 .45345 m .54475 .46229 L .54765 .459 L F
.51988 .59427 m .49968 .60483 L .50109 .60938 L .91 .689 .591 r
F
.51848 .58977 m .49968 .60483 L .51988 .59427 L F
.51848 .58977 m .49826 .60028 L .49968 .60483 L F
.51708 .58527 m .49826 .60028 L .51848 .58977 L F
.64032 .59898 m .62453 .6064 L .64324 .59581 L .786 .997 .802 r
F
.64032 .59898 m .62159 .60961 L .62453 .6064 L F
.52692 .60459 m .5068 .61529 L .50251 .61393 L .667 .244 .231 r
F
.53117 .60593 m .5068 .61529 L .52692 .60459 L F
.51708 .58527 m .49684 .59573 L .49826 .60028 L .91 .689 .591 r
F
.51568 .58077 m .49684 .59573 L .51708 .58527 L F
.51568 .58077 m .49542 .59117 L .49684 .59573 L F
.51428 .57627 m .49542 .59117 L .51568 .58077 L F
.51428 .57627 m .494 .58662 L .49542 .59117 L F
.51288 .57177 m .494 .58662 L .51428 .57627 L F
.56728 .45019 m .55055 .4557 L .57015 .44693 L .829 .997 .843 r
F
.56728 .45019 m .54765 .459 L .55055 .4557 L F
.51288 .57177 m .49258 .58206 L .494 .58662 L .91 .689 .591 r
F
.51148 .56726 m .49258 .58206 L .51288 .57177 L F
.53117 .60593 m .51109 .61664 L .5068 .61529 L .667 .244 .231 r
F
.53542 .60726 m .51109 .61664 L .53117 .60593 L F
.51148 .56726 m .49116 .5775 L .49258 .58206 L .91 .689 .591 r
F
.51008 .56276 m .49116 .5775 L .51148 .56726 L F
.64324 .59581 m .62748 .60319 L .64616 .59264 L .786 .997 .802 r
F
.64324 .59581 m .62453 .6064 L .62748 .60319 L F
.51008 .56276 m .48974 .57294 L .49116 .5775 L .91 .689 .591 r
F
.50868 .55825 m .48974 .57294 L .51008 .56276 L F
.50868 .55825 m .48832 .56838 L .48974 .57294 L F
.50728 .55374 m .48832 .56838 L .50868 .55825 L F
.50728 .55374 m .4869 .56382 L .48832 .56838 L F
.50588 .54924 m .4869 .56382 L .50728 .55374 L F
.57443 .44819 m .55055 .4557 L .57015 .44693 L .647 .194 .162 r
F
.53542 .60726 m .51539 .61799 L .51109 .61664 L .667 .244 .231 r
F
.53968 .60859 m .51539 .61799 L .53542 .60726 L F
.50588 .54924 m .48548 .55926 L .4869 .56382 L .91 .689 .591 r
F
.50447 .54473 m .48548 .55926 L .50588 .54924 L F
.50447 .54473 m .48406 .5547 L .48548 .55926 L F
.50307 .54022 m .48406 .5547 L .50447 .54473 L F
.64616 .59264 m .63043 .59998 L .64908 .58946 L .786 .997 .802 r
F
.64616 .59264 m .62748 .60319 L .63043 .59998 L F
.50307 .54022 m .48264 .55013 L .48406 .5547 L .91 .689 .591 r
F
.50167 .53571 m .48264 .55013 L .50307 .54022 L F
.50167 .53571 m .48121 .54557 L .48264 .55013 L F
.50027 .53119 m .48121 .54557 L .50167 .53571 L F
.57443 .44819 m .55486 .45698 L .55055 .4557 L .647 .194 .162 r
F
.5787 .44945 m .55486 .45698 L .57443 .44819 L F
.50027 .53119 m .47979 .541 L .48121 .54557 L .91 .689 .591 r
F
.49886 .52668 m .47979 .541 L .50027 .53119 L F
.53968 .60859 m .51968 .61935 L .51539 .61799 L .667 .244 .231 r
F
.54394 .60993 m .51968 .61935 L .53968 .60859 L F
.49886 .52668 m .47837 .53643 L .47979 .541 L .91 .689 .591 r
F
.49746 .52217 m .47837 .53643 L .49886 .52668 L F
.49746 .52217 m .47695 .53186 L .47837 .53643 L F
.49606 .51765 m .47695 .53186 L .49746 .52217 L F
.64908 .58946 m .63338 .59676 L .65201 .58627 L .786 .997 .802 r
F
.64908 .58946 m .63043 .59998 L .63338 .59676 L F
.49606 .51765 m .47552 .52729 L .47695 .53186 L .91 .689 .591 r
F
.49606 .51765 m .47838 .52403 L .49889 .51442 L .829 .997 .843 r
F
.49606 .51765 m .47552 .52729 L .47838 .52403 L F
.5787 .44945 m .55918 .45826 L .55486 .45698 L .647 .194 .162 r
F
.58298 .45071 m .55918 .45826 L .5787 .44945 L F
.54394 .60993 m .52399 .62071 L .51968 .61935 L .667 .244 .231 r
F
.5482 .61126 m .52399 .62071 L .54394 .60993 L F
.65201 .58627 m .63634 .59355 L .65494 .58309 L .786 .997 .802 r
F
.65201 .58627 m .63338 .59676 L .63634 .59355 L F
.58298 .45071 m .56351 .45954 L .55918 .45826 L .647 .194 .162 r
F
.58727 .45197 m .56351 .45954 L .58298 .45071 L F
.5482 .61126 m .5283 .62206 L .52399 .62071 L .667 .244 .231 r
F
.55247 .6126 m .5283 .62206 L .5482 .61126 L F
.49889 .51442 m .48125 .52077 L .50173 .51119 L .829 .997 .843 r
F
.49889 .51442 m .47838 .52403 L .48125 .52077 L F
.58727 .45197 m .56784 .46082 L .56351 .45954 L .647 .194 .162 r
F
.59156 .45324 m .56784 .46082 L .58727 .45197 L F
.55247 .6126 m .53261 .62342 L .5283 .62206 L .667 .244 .231 r
F
.55674 .61394 m .53261 .62342 L .55247 .6126 L F
.65494 .58309 m .6393 .59032 L .65787 .5799 L .786 .997 .802 r
F
.65494 .58309 m .63634 .59355 L .6393 .59032 L F
.50173 .51119 m .48411 .5175 L .50458 .50796 L .829 .997 .843 r
F
.50173 .51119 m .48125 .52077 L .48411 .5175 L F
.59156 .45324 m .57217 .4621 L .56784 .46082 L .647 .194 .162 r
F
.59585 .4545 m .57217 .4621 L .59156 .45324 L F
.55674 .61394 m .53692 .62478 L .53261 .62342 L .667 .244 .231 r
F
.56102 .61528 m .53692 .62478 L .55674 .61394 L F
.65787 .5799 m .64226 .58709 L .66081 .5767 L .786 .997 .802 r
F
.65787 .5799 m .6393 .59032 L .64226 .58709 L F
.50458 .50796 m .48698 .51423 L .50743 .50472 L .829 .997 .843 r
F
.50458 .50796 m .48411 .5175 L .48698 .51423 L F
.59585 .4545 m .5765 .46338 L .57217 .4621 L .647 .194 .162 r
F
.60015 .45577 m .5765 .46338 L .59585 .4545 L F
.56102 .61528 m .54124 .62615 L .53692 .62478 L .667 .244 .231 r
F
.5653 .61662 m .54124 .62615 L .56102 .61528 L F
.66081 .5767 m .64522 .58386 L .66375 .5735 L .786 .997 .802 r
F
.66081 .5767 m .64226 .58709 L .64522 .58386 L F
.50743 .50472 m .48986 .51095 L .51028 .50148 L .829 .997 .843 r
F
.50743 .50472 m .48698 .51423 L .48986 .51095 L F
.60015 .45577 m .58084 .46467 L .5765 .46338 L .647 .194 .162 r
F
.60445 .45703 m .58084 .46467 L .60015 .45577 L F
.5653 .61662 m .54557 .62751 L .54124 .62615 L .667 .244 .231 r
F
.56959 .61797 m .54557 .62751 L .5653 .61662 L F
.66375 .5735 m .64819 .58063 L .6667 .5703 L .786 .997 .802 r
F
.66375 .5735 m .64522 .58386 L .64819 .58063 L F
.60445 .45703 m .58519 .46596 L .58084 .46467 L .647 .194 .162 r
F
.60875 .4583 m .58519 .46596 L .60445 .45703 L F
.56959 .61797 m .5499 .62887 L .54557 .62751 L .667 .244 .231 r
F
.57388 .61931 m .5499 .62887 L .56959 .61797 L F
.51028 .50148 m .49273 .50768 L .51313 .49824 L .829 .997 .843 r
F
.51028 .50148 m .48986 .51095 L .49273 .50768 L F
.60875 .4583 m .58954 .46724 L .58519 .46596 L .647 .194 .162 r
F
.61306 .45957 m .58954 .46724 L .60875 .4583 L F
.57388 .61931 m .55423 .63024 L .5499 .62887 L .667 .244 .231 r
F
.57817 .62065 m .55423 .63024 L .57388 .61931 L F
.6667 .5703 m .65117 .57739 L .66965 .5671 L .786 .997 .802 r
F
.6667 .5703 m .64819 .58063 L .65117 .57739 L F
.51313 .49824 m .49561 .50439 L .51599 .49499 L .829 .997 .843 r
F
.51313 .49824 m .49273 .50768 L .49561 .50439 L F
.61306 .45957 m .59389 .46853 L .58954 .46724 L .647 .194 .162 r
F
.61738 .46084 m .59389 .46853 L .61306 .45957 L F
.57817 .62065 m .55857 .63161 L .55423 .63024 L .667 .244 .231 r
F
.58247 .622 m .55857 .63161 L .57817 .62065 L F
.66965 .5671 m .65415 .57414 L .6726 .56389 L .786 .997 .802 r
F
.66965 .5671 m .65117 .57739 L .65415 .57414 L F
.51599 .49499 m .4985 .5011 L .51885 .49174 L .829 .997 .843 r
F
.51599 .49499 m .49561 .50439 L .4985 .5011 L F
.61738 .46084 m .59825 .46982 L .59389 .46853 L .647 .194 .162 r
F
.62169 .46211 m .59825 .46982 L .61738 .46084 L F
.58247 .622 m .56291 .63297 L .55857 .63161 L .667 .244 .231 r
F
.58677 .62335 m .56291 .63297 L .58247 .622 L F
.6726 .56389 m .65713 .5709 L .67555 .56067 L .786 .997 .802 r
F
.6726 .56389 m .65415 .57414 L .65713 .5709 L F
.51885 .49174 m .50139 .49781 L .52171 .48848 L .829 .997 .843 r
F
.51885 .49174 m .4985 .5011 L .50139 .49781 L F
.62169 .46211 m .60261 .47111 L .59825 .46982 L .647 .194 .162 r
F
.62602 .46338 m .60261 .47111 L .62169 .46211 L F
.58677 .62335 m .56725 .63434 L .56291 .63297 L .667 .244 .231 r
F
.59107 .6247 m .56725 .63434 L .58677 .62335 L F
.67555 .56067 m .66011 .56765 L .67851 .55746 L .786 .997 .802 r
F
.67555 .56067 m .65713 .5709 L .66011 .56765 L F
.62602 .46338 m .60698 .47241 L .60261 .47111 L .647 .194 .162 r
F
.63034 .46466 m .60698 .47241 L .62602 .46338 L F
.52171 .48848 m .50428 .49452 L .52458 .48522 L .829 .997 .843 r
F
.52171 .48848 m .50139 .49781 L .50428 .49452 L F
.59107 .6247 m .5716 .63572 L .56725 .63434 L .667 .244 .231 r
F
.59538 .62605 m .5716 .63572 L .59107 .6247 L F
.63034 .46466 m .61135 .4737 L .60698 .47241 L .647 .194 .162 r
F
.63467 .46593 m .61135 .4737 L .63034 .46466 L F
.59538 .62605 m .57596 .63709 L .5716 .63572 L .667 .244 .231 r
F
.5997 .6274 m .57596 .63709 L .59538 .62605 L F
.67712 .55292 m .66011 .56765 L .67851 .55746 L .923 .695 .575 r
F
.52458 .48522 m .50717 .49122 L .52745 .48195 L .829 .997 .843 r
F
.52458 .48522 m .50428 .49452 L .50717 .49122 L F
.67712 .55292 m .6587 .56305 L .66011 .56765 L .923 .695 .575 r
F
.67573 .54838 m .6587 .56305 L .67712 .55292 L F
.67573 .54838 m .65729 .55846 L .6587 .56305 L F
.67434 .54384 m .65729 .55846 L .67573 .54838 L F
.67434 .54384 m .65588 .55386 L .65729 .55846 L F
.67295 .5393 m .65588 .55386 L .67434 .54384 L F
.63467 .46593 m .61572 .475 L .61135 .4737 L .647 .194 .162 r
F
.639 .46721 m .61572 .475 L .63467 .46593 L F
.5997 .6274 m .58031 .63846 L .57596 .63709 L .667 .244 .231 r
F
.60401 .62875 m .58031 .63846 L .5997 .6274 L F
.67295 .5393 m .65447 .54927 L .65588 .55386 L .923 .695 .575 r
F
.67155 .53475 m .65447 .54927 L .67295 .5393 L F
.67155 .53475 m .65306 .54467 L .65447 .54927 L F
.67016 .53021 m .65306 .54467 L .67155 .53475 L F
.52745 .48195 m .51007 .48792 L .53033 .47869 L .829 .997 .843 r
F
.52745 .48195 m .50717 .49122 L .51007 .48792 L F
.67016 .53021 m .65164 .54007 L .65306 .54467 L .923 .695 .575 r
F
.66877 .52566 m .65164 .54007 L .67016 .53021 L F
.66877 .52566 m .65023 .53547 L .65164 .54007 L F
.66738 .52112 m .65023 .53547 L .66877 .52566 L F
.639 .46721 m .6201 .47629 L .61572 .475 L .647 .194 .162 r
F
.64334 .46849 m .6201 .47629 L .639 .46721 L F
.60401 .62875 m .58467 .63984 L .58031 .63846 L .667 .244 .231 r
F
.60401 .62875 m .58762 .63662 L .60694 .62557 L .786 .997 .802 r
F
.60401 .62875 m .58467 .63984 L .58762 .63662 L F
.66738 .52112 m .64882 .53087 L .65023 .53547 L .923 .695 .575 r
F
.66598 .51657 m .64882 .53087 L .66738 .52112 L F
.66598 .51657 m .64741 .52627 L .64882 .53087 L F
.66459 .51202 m .64741 .52627 L .66598 .51657 L F
.66459 .51202 m .64599 .52167 L .64741 .52627 L F
.6632 .50748 m .64599 .52167 L .66459 .51202 L F
.53033 .47869 m .51297 .48461 L .53321 .47541 L .829 .997 .843 r
F
.53033 .47869 m .51007 .48792 L .51297 .48461 L F
.6632 .50748 m .64458 .51706 L .64599 .52167 L .923 .695 .575 r
F
.6618 .50292 m .64458 .51706 L .6632 .50748 L F
.64334 .46849 m .62448 .47759 L .6201 .47629 L .647 .194 .162 r
F
.64768 .46976 m .62448 .47759 L .64334 .46849 L F
.6618 .50292 m .64317 .51246 L .64458 .51706 L .923 .695 .575 r
F
.66041 .49837 m .64317 .51246 L .6618 .50292 L F
.60694 .62557 m .59057 .6334 L .60986 .62239 L .786 .997 .802 r
F
.60694 .62557 m .58762 .63662 L .59057 .6334 L F
.66041 .49837 m .64175 .50785 L .64317 .51246 L .923 .695 .575 r
F
.65901 .49382 m .64175 .50785 L .66041 .49837 L F
.65901 .49382 m .64034 .50324 L .64175 .50785 L F
.65762 .48927 m .64034 .50324 L .65901 .49382 L F
.65762 .48927 m .63892 .49863 L .64034 .50324 L F
.65622 .48471 m .63892 .49863 L .65762 .48927 L F
.64768 .46976 m .62887 .47889 L .62448 .47759 L .647 .194 .162 r
F
.65203 .47104 m .62887 .47889 L .64768 .46976 L F
.53321 .47541 m .51588 .4813 L .53609 .47214 L .829 .997 .843 r
F
.53321 .47541 m .51297 .48461 L .51588 .4813 L F
.65622 .48471 m .63751 .49402 L .63892 .49863 L .923 .695 .575 r
F
.65482 .48016 m .63751 .49402 L .65622 .48471 L F
.65482 .48016 m .63609 .48941 L .63751 .49402 L F
.65343 .4756 m .63609 .48941 L .65482 .48016 L F
.60986 .62239 m .59352 .63018 L .61279 .6192 L .786 .997 .802 r
F
.60986 .62239 m .59057 .6334 L .59352 .63018 L F
.65343 .4756 m .63468 .4848 L .63609 .48941 L .923 .695 .575 r
F
.65203 .47104 m .63468 .4848 L .65343 .4756 L F
.65203 .47104 m .63326 .48019 L .63468 .4848 L F
.65203 .47104 m .63326 .48019 L .62887 .47889 L .647 .194 .162 r
F
.53609 .47214 m .51878 .47798 L .53897 .46886 L .829 .997 .843 r
F
.53609 .47214 m .51588 .4813 L .51878 .47798 L F
.61279 .6192 m .59648 .62696 L .61572 .616 L .786 .997 .802 r
F
.61279 .6192 m .59352 .63018 L .59648 .62696 L F
.53897 .46886 m .5217 .47466 L .54186 .46557 L .829 .997 .843 r
F
.53897 .46886 m .51878 .47798 L .5217 .47466 L F
.61572 .616 m .59944 .62373 L .61865 .61281 L .786 .997 .802 r
F
.61572 .616 m .59648 .62696 L .59944 .62373 L F
.54186 .46557 m .52461 .47134 L .54475 .46229 L .829 .997 .843 r
F
.54186 .46557 m .5217 .47466 L .52461 .47134 L F
.61865 .61281 m .6024 .62049 L .62159 .60961 L .786 .997 .802 r
F
.61865 .61281 m .59944 .62373 L .6024 .62049 L F
.50109 .60938 m .48185 .62487 L .50251 .61393 L .91 .689 .591 r
F
.5068 .61529 m .48185 .62487 L .50251 .61393 L .667 .244 .231 r
F
.50109 .60938 m .48041 .62026 L .48185 .62487 L .91 .689 .591 r
F
.49968 .60483 m .48041 .62026 L .50109 .60938 L F
.54475 .46229 m .52753 .46801 L .54765 .459 L .829 .997 .843 r
F
.54475 .46229 m .52461 .47134 L .52753 .46801 L F
.49968 .60483 m .47897 .61566 L .48041 .62026 L .91 .689 .591 r
F
.49826 .60028 m .47897 .61566 L .49968 .60483 L F
.49826 .60028 m .47753 .61105 L .47897 .61566 L F
.49684 .59573 m .47753 .61105 L .49826 .60028 L F
.62159 .60961 m .60537 .61725 L .62453 .6064 L .786 .997 .802 r
F
.62159 .60961 m .6024 .62049 L .60537 .61725 L F
.49684 .59573 m .4761 .60644 L .47753 .61105 L .91 .689 .591 r
F
.49542 .59117 m .4761 .60644 L .49684 .59573 L F
.5068 .61529 m .48618 .62624 L .48185 .62487 L .667 .244 .231 r
F
.51109 .61664 m .48618 .62624 L .5068 .61529 L F
.49542 .59117 m .47466 .60183 L .4761 .60644 L .91 .689 .591 r
F
.494 .58662 m .47466 .60183 L .49542 .59117 L F
.494 .58662 m .47322 .59722 L .47466 .60183 L F
.49258 .58206 m .47322 .59722 L .494 .58662 L F
.54765 .459 m .53045 .46468 L .55055 .4557 L .829 .997 .843 r
F
.54765 .459 m .52753 .46801 L .53045 .46468 L F
.49258 .58206 m .47178 .59261 L .47322 .59722 L .91 .689 .591 r
F
.49116 .5775 m .47178 .59261 L .49258 .58206 L F
.51109 .61664 m .49051 .62762 L .48618 .62624 L .667 .244 .231 r
F
.51539 .61799 m .49051 .62762 L .51109 .61664 L F
.49116 .5775 m .47034 .588 L .47178 .59261 L .91 .689 .591 r
F
.48974 .57294 m .47034 .588 L .49116 .5775 L F
.62453 .6064 m .60834 .61401 L .62748 .60319 L .786 .997 .802 r
F
.62453 .6064 m .60537 .61725 L .60834 .61401 L F
.48974 .57294 m .4689 .58338 L .47034 .588 L .91 .689 .591 r
F
.48832 .56838 m .4689 .58338 L .48974 .57294 L F
.48832 .56838 m .46746 .57877 L .4689 .58338 L F
.4869 .56382 m .46746 .57877 L .48832 .56838 L F
.4869 .56382 m .46602 .57415 L .46746 .57877 L F
.48548 .55926 m .46602 .57415 L .4869 .56382 L F
.55486 .45698 m .53045 .46468 L .55055 .4557 L .647 .194 .162 r
F
.48548 .55926 m .46458 .56953 L .46602 .57415 L .91 .689 .591 r
F
.48406 .5547 m .46458 .56953 L .48548 .55926 L F
.51539 .61799 m .49485 .629 L .49051 .62762 L .667 .244 .231 r
F
.51968 .61935 m .49485 .629 L .51539 .61799 L F
.48406 .5547 m .46313 .56491 L .46458 .56953 L .91 .689 .591 r
F
.48264 .55013 m .46313 .56491 L .48406 .5547 L F
.62748 .60319 m .61131 .61077 L .63043 .59998 L .786 .997 .802 r
F
.62748 .60319 m .60834 .61401 L .61131 .61077 L F
.48264 .55013 m .46169 .56029 L .46313 .56491 L .91 .689 .591 r
F
.48121 .54557 m .46169 .56029 L .48264 .55013 L F
.48121 .54557 m .46025 .55567 L .46169 .56029 L F
.47979 .541 m .46025 .55567 L .48121 .54557 L F
.55486 .45698 m .53481 .46598 L .53045 .46468 L .647 .194 .162 r
F
.55918 .45826 m .53481 .46598 L .55486 .45698 L F
.51968 .61935 m .4992 .63037 L .49485 .629 L .667 .244 .231 r
F
.52399 .62071 m .4992 .63037 L .51968 .61935 L F
.47979 .541 m .45881 .55105 L .46025 .55567 L .91 .689 .591 r
F
.47837 .53643 m .45881 .55105 L .47979 .541 L F
.47837 .53643 m .45736 .54643 L .45881 .55105 L F
.47695 .53186 m .45736 .54643 L .47837 .53643 L F
.47695 .53186 m .45592 .5418 L .45736 .54643 L F
.47552 .52729 m .45592 .5418 L .47695 .53186 L F
.63043 .59998 m .61429 .60752 L .63338 .59676 L .786 .997 .802 r
F
.63043 .59998 m .61131 .61077 L .61429 .60752 L F
.47552 .52729 m .45448 .53718 L .45592 .5418 L .91 .689 .591 r
F
.47552 .52729 m .45736 .53388 L .47838 .52403 L .829 .997 .843 r
F
.47552 .52729 m .45448 .53718 L .45736 .53388 L F
.55918 .45826 m .53918 .46728 L .53481 .46598 L .647 .194 .162 r
F
.56351 .45954 m .53918 .46728 L .55918 .45826 L F
.52399 .62071 m .50354 .63175 L .4992 .63037 L .667 .244 .231 r
F
.5283 .62206 m .50354 .63175 L .52399 .62071 L F
.63338 .59676 m .61727 .60426 L .63634 .59355 L .786 .997 .802 r
F
.63338 .59676 m .61429 .60752 L .61727 .60426 L F
.56351 .45954 m .54355 .46858 L .53918 .46728 L .647 .194 .162 r
F
.56784 .46082 m .54355 .46858 L .56351 .45954 L F
.47838 .52403 m .46025 .53058 L .48125 .52077 L .829 .997 .843 r
F
.47838 .52403 m .45736 .53388 L .46025 .53058 L F
.5283 .62206 m .50789 .63313 L .50354 .63175 L .667 .244 .231 r
F
.53261 .62342 m .50789 .63313 L .5283 .62206 L F
.56784 .46082 m .54792 .46988 L .54355 .46858 L .647 .194 .162 r
F
.57217 .4621 m .54792 .46988 L .56784 .46082 L F
.53261 .62342 m .51225 .63451 L .50789 .63313 L .667 .244 .231 r
F
.53692 .62478 m .51225 .63451 L .53261 .62342 L F
.63634 .59355 m .62025 .60101 L .6393 .59032 L .786 .997 .802 r
F
.63634 .59355 m .61727 .60426 L .62025 .60101 L F
.48125 .52077 m .46314 .52728 L .48411 .5175 L .829 .997 .843 r
F
.48125 .52077 m .46025 .53058 L .46314 .52728 L F
.57217 .4621 m .55229 .47119 L .54792 .46988 L .647 .194 .162 r
F
.5765 .46338 m .55229 .47119 L .57217 .4621 L F
.53692 .62478 m .51661 .6359 L .51225 .63451 L .667 .244 .231 r
F
.54124 .62615 m .51661 .6359 L .53692 .62478 L F
.6393 .59032 m .62324 .59775 L .64226 .58709 L .786 .997 .802 r
F
.6393 .59032 m .62025 .60101 L .62324 .59775 L F
.48411 .5175 m .46603 .52397 L .48698 .51423 L .829 .997 .843 r
F
.48411 .5175 m .46314 .52728 L .46603 .52397 L F
.5765 .46338 m .55668 .47249 L .55229 .47119 L .647 .194 .162 r
F
.58084 .46467 m .55668 .47249 L .5765 .46338 L F
.54124 .62615 m .52097 .63728 L .51661 .6359 L .667 .244 .231 r
F
.54557 .62751 m .52097 .63728 L .54124 .62615 L F
.64226 .58709 m .62623 .59448 L .64522 .58386 L .786 .997 .802 r
F
.64226 .58709 m .62324 .59775 L .62623 .59448 L F
.48698 .51423 m .46893 .52066 L .48986 .51095 L .829 .997 .843 r
F
.48698 .51423 m .46603 .52397 L .46893 .52066 L F
.58084 .46467 m .56106 .4738 L .55668 .47249 L .647 .194 .162 r
F
.58519 .46596 m .56106 .4738 L .58084 .46467 L F
.54557 .62751 m .52534 .63867 L .52097 .63728 L .667 .244 .231 r
F
.5499 .62887 m .52534 .63867 L .54557 .62751 L F
.64522 .58386 m .62923 .59121 L .64819 .58063 L .786 .997 .802 r
F
.64522 .58386 m .62623 .59448 L .62923 .59121 L F
.58519 .46596 m .56545 .4751 L .56106 .4738 L .647 .194 .162 r
F
.58954 .46724 m .56545 .4751 L .58519 .46596 L F
.5499 .62887 m .52972 .64005 L .52534 .63867 L .667 .244 .231 r
F
.55423 .63024 m .52972 .64005 L .5499 .62887 L F
.48986 .51095 m .47183 .51735 L .49273 .50768 L .829 .997 .843 r
F
.48986 .51095 m .46893 .52066 L .47183 .51735 L F
.58954 .46724 m .56984 .47641 L .56545 .4751 L .647 .194 .162 r
F
.59389 .46853 m .56984 .47641 L .58954 .46724 L F
.55423 .63024 m .53409 .64144 L .52972 .64005 L .667 .244 .231 r
F
.55857 .63161 m .53409 .64144 L .55423 .63024 L F
.64819 .58063 m .63223 .58794 L .65117 .57739 L .786 .997 .802 r
F
.64819 .58063 m .62923 .59121 L .63223 .58794 L F
.49273 .50768 m .47473 .51403 L .49561 .50439 L .829 .997 .843 r
F
.49273 .50768 m .47183 .51735 L .47473 .51403 L F
.59389 .46853 m .57424 .47772 L .56984 .47641 L .647 .194 .162 r
F
.59825 .46982 m .57424 .47772 L .59389 .46853 L F
.55857 .63161 m .53847 .64283 L .53409 .64144 L .667 .244 .231 r
F
.56291 .63297 m .53847 .64283 L .55857 .63161 L F
.65117 .57739 m .63523 .58466 L .65415 .57414 L .786 .997 .802 r
F
.65117 .57739 m .63223 .58794 L .63523 .58466 L F
.49561 .50439 m .47764 .51071 L .4985 .5011 L .829 .997 .843 r
F
.49561 .50439 m .47473 .51403 L .47764 .51071 L F
.59825 .46982 m .57864 .47903 L .57424 .47772 L .647 .194 .162 r
F
.60261 .47111 m .57864 .47903 L .59825 .46982 L F
.56291 .63297 m .54286 .64422 L .53847 .64283 L .667 .244 .231 r
F
.56725 .63434 m .54286 .64422 L .56291 .63297 L F
.65415 .57414 m .63824 .58138 L .65713 .5709 L .786 .997 .802 r
F
.65415 .57414 m .63523 .58466 L .63824 .58138 L F
.4985 .5011 m .48055 .50738 L .50139 .49781 L .829 .997 .843 r
F
.4985 .5011 m .47764 .51071 L .48055 .50738 L F
.60261 .47111 m .58305 .48034 L .57864 .47903 L .647 .194 .162 r
F
.60698 .47241 m .58305 .48034 L .60261 .47111 L F
.56725 .63434 m .54725 .64562 L .54286 .64422 L .667 .244 .231 r
F
.5716 .63572 m .54725 .64562 L .56725 .63434 L F
.65713 .5709 m .64125 .57809 L .66011 .56765 L .786 .997 .802 r
F
.65713 .5709 m .63824 .58138 L .64125 .57809 L F
.60698 .47241 m .58746 .48166 L .58305 .48034 L .647 .194 .162 r
F
.61135 .4737 m .58746 .48166 L .60698 .47241 L F
.50139 .49781 m .48346 .50405 L .50428 .49452 L .829 .997 .843 r
F
.50139 .49781 m .48055 .50738 L .48346 .50405 L F
.5716 .63572 m .55164 .64701 L .54725 .64562 L .667 .244 .231 r
F
.57596 .63709 m .55164 .64701 L .5716 .63572 L F
.61135 .4737 m .59188 .48297 L .58746 .48166 L .647 .194 .162 r
F
.61572 .475 m .59188 .48297 L .61135 .4737 L F
.57596 .63709 m .55604 .6484 L .55164 .64701 L .667 .244 .231 r
F
.58031 .63846 m .55604 .6484 L .57596 .63709 L F
.6587 .56305 m .64125 .57809 L .66011 .56765 L .923 .695 .575 r
F
.50428 .49452 m .48638 .50072 L .50717 .49122 L .829 .997 .843 r
F
.50428 .49452 m .48346 .50405 L .48638 .50072 L F
.6587 .56305 m .63982 .57344 L .64125 .57809 L .923 .695 .575 r
F
.65729 .55846 m .63982 .57344 L .6587 .56305 L F
.65729 .55846 m .63839 .56879 L .63982 .57344 L F
.65588 .55386 m .63839 .56879 L .65729 .55846 L F
.65588 .55386 m .63696 .56414 L .63839 .56879 L F
.65447 .54927 m .63696 .56414 L .65588 .55386 L F
.61572 .475 m .5963 .48429 L .59188 .48297 L .647 .194 .162 r
F
.6201 .47629 m .5963 .48429 L .61572 .475 L F
.58031 .63846 m .56044 .6498 L .55604 .6484 L .667 .244 .231 r
F
.58467 .63984 m .56044 .6498 L .58031 .63846 L F
.65447 .54927 m .63553 .55949 L .63696 .56414 L .923 .695 .575 r
F
.65306 .54467 m .63553 .55949 L .65447 .54927 L F
.65306 .54467 m .6341 .55484 L .63553 .55949 L F
.65164 .54007 m .6341 .55484 L .65306 .54467 L F
.50717 .49122 m .4893 .49738 L .51007 .48792 L .829 .997 .843 r
F
.50717 .49122 m .48638 .50072 L .4893 .49738 L F
.65164 .54007 m .63266 .55018 L .6341 .55484 L .923 .695 .575 r
F
.65023 .53547 m .63266 .55018 L .65164 .54007 L F
.65023 .53547 m .63123 .54552 L .63266 .55018 L F
.64882 .53087 m .63123 .54552 L .65023 .53547 L F
.6201 .47629 m .60072 .4856 L .5963 .48429 L .647 .194 .162 r
F
.62448 .47759 m .60072 .4856 L .6201 .47629 L F
.58467 .63984 m .56485 .6512 L .56044 .6498 L .667 .244 .231 r
F
.58467 .63984 m .56782 .64795 L .58762 .63662 L .786 .997 .802 r
F
.58467 .63984 m .56485 .6512 L .56782 .64795 L F
.64882 .53087 m .6298 .54087 L .63123 .54552 L .923 .695 .575 r
F
.64741 .52627 m .6298 .54087 L .64882 .53087 L F
.64741 .52627 m .62837 .53621 L .6298 .54087 L F
.64599 .52167 m .62837 .53621 L .64741 .52627 L F
.64599 .52167 m .62693 .53155 L .62837 .53621 L F
.64458 .51706 m .62693 .53155 L .64599 .52167 L F
.51007 .48792 m .49223 .49404 L .51297 .48461 L .829 .997 .843 r
F
.51007 .48792 m .4893 .49738 L .49223 .49404 L F
.64458 .51706 m .6255 .52689 L .62693 .53155 L .923 .695 .575 r
F
.64317 .51246 m .6255 .52689 L .64458 .51706 L F
.62448 .47759 m .60515 .48692 L .60072 .4856 L .647 .194 .162 r
F
.62887 .47889 m .60515 .48692 L .62448 .47759 L F
.64317 .51246 m .62407 .52223 L .6255 .52689 L .923 .695 .575 r
F
.64175 .50785 m .62407 .52223 L .64317 .51246 L F
.58762 .63662 m .57079 .6447 L .59057 .6334 L .786 .997 .802 r
F
.58762 .63662 m .56782 .64795 L .57079 .6447 L F
.64175 .50785 m .62263 .51756 L .62407 .52223 L .923 .695 .575 r
F
.64034 .50324 m .62263 .51756 L .64175 .50785 L F
.64034 .50324 m .6212 .5129 L .62263 .51756 L F
.63892 .49863 m .6212 .5129 L .64034 .50324 L F
.62887 .47889 m .60958 .48824 L .60515 .48692 L .647 .194 .162 r
F
.63326 .48019 m .60958 .48824 L .62887 .47889 L F
.63892 .49863 m .61976 .50823 L .6212 .5129 L .923 .695 .575 r
F
.63751 .49402 m .61976 .50823 L .63892 .49863 L F
.51297 .48461 m .49516 .49069 L .51588 .4813 L .829 .997 .843 r
F
.51297 .48461 m .49223 .49404 L .49516 .49069 L F
.63751 .49402 m .61833 .50357 L .61976 .50823 L .923 .695 .575 r
F
.63609 .48941 m .61833 .50357 L .63751 .49402 L F
.63609 .48941 m .61689 .4989 L .61833 .50357 L F
.63468 .4848 m .61689 .4989 L .63609 .48941 L F
.59057 .6334 m .57377 .64144 L .59352 .63018 L .786 .997 .802 r
F
.59057 .6334 m .57079 .6447 L .57377 .64144 L F
.63468 .4848 m .61545 .49423 L .61689 .4989 L .923 .695 .575 r
F
.63326 .48019 m .61545 .49423 L .63468 .4848 L F
.63326 .48019 m .61402 .48956 L .61545 .49423 L F
.63326 .48019 m .61402 .48956 L .60958 .48824 L .647 .194 .162 r
F
.51588 .4813 m .49809 .48734 L .51878 .47798 L .829 .997 .843 r
F
.51588 .4813 m .49516 .49069 L .49809 .48734 L F
.59352 .63018 m .57675 .63818 L .59648 .62696 L .786 .997 .802 r
F
.59352 .63018 m .57377 .64144 L .57675 .63818 L F
.51878 .47798 m .50102 .48398 L .5217 .47466 L .829 .997 .843 r
F
.51878 .47798 m .49809 .48734 L .50102 .48398 L F
.59648 .62696 m .57974 .63492 L .59944 .62373 L .786 .997 .802 r
F
.59648 .62696 m .57675 .63818 L .57974 .63492 L F
.5217 .47466 m .50396 .48062 L .52461 .47134 L .829 .997 .843 r
F
.5217 .47466 m .50102 .48398 L .50396 .48062 L F
.59944 .62373 m .58273 .63165 L .6024 .62049 L .786 .997 .802 r
F
.59944 .62373 m .57974 .63492 L .58273 .63165 L F
.48618 .62624 m .46067 .63608 L .48185 .62487 L .667 .244 .231 r
F
.48041 .62026 m .46067 .63608 L .48185 .62487 L .91 .689 .591 r
F
.48041 .62026 m .45921 .63142 L .46067 .63608 L F
.47897 .61566 m .45921 .63142 L .48041 .62026 L F
.52461 .47134 m .50691 .47726 L .52753 .46801 L .829 .997 .843 r
F
.52461 .47134 m .50396 .48062 L .50691 .47726 L F
.47897 .61566 m .45775 .62676 L .45921 .63142 L .91 .689 .591 r
F
.47753 .61105 m .45775 .62676 L .47897 .61566 L F
.47753 .61105 m .45629 .62209 L .45775 .62676 L F
.4761 .60644 m .45629 .62209 L .47753 .61105 L F
.6024 .62049 m .58572 .62838 L .60537 .61725 L .786 .997 .802 r
F
.6024 .62049 m .58273 .63165 L .58572 .62838 L F
.48618 .62624 m .46504 .63748 L .46067 .63608 L .667 .244 .231 r
F
.49051 .62762 m .46504 .63748 L .48618 .62624 L F
.4761 .60644 m .45483 .61743 L .45629 .62209 L .91 .689 .591 r
F
.47466 .60183 m .45483 .61743 L .4761 .60644 L F
.47466 .60183 m .45337 .61276 L .45483 .61743 L F
.47322 .59722 m .45337 .61276 L .47466 .60183 L F
.47322 .59722 m .45191 .60809 L .45337 .61276 L F
.47178 .59261 m .45191 .60809 L .47322 .59722 L F
.52753 .46801 m .50985 .47389 L .53045 .46468 L .829 .997 .843 r
F
.52753 .46801 m .50691 .47726 L .50985 .47389 L F
.47178 .59261 m .45045 .60342 L .45191 .60809 L .91 .689 .591 r
F
.47034 .588 m .45045 .60342 L .47178 .59261 L F
.49051 .62762 m .46942 .63887 L .46504 .63748 L .667 .244 .231 r
F
.49485 .629 m .46942 .63887 L .49051 .62762 L F
.47034 .588 m .44899 .59875 L .45045 .60342 L .91 .689 .591 r
F
.4689 .58338 m .44899 .59875 L .47034 .588 L F
.60537 .61725 m .58871 .6251 L .60834 .61401 L .786 .997 .802 r
F
.60537 .61725 m .58572 .62838 L .58871 .6251 L F
.4689 .58338 m .44753 .59408 L .44899 .59875 L .91 .689 .591 r
F
.46746 .57877 m .44753 .59408 L .4689 .58338 L F
.46746 .57877 m .44607 .58941 L .44753 .59408 L F
.46602 .57415 m .44607 .58941 L .46746 .57877 L F
.46602 .57415 m .44461 .58474 L .44607 .58941 L F
.46458 .56953 m .44461 .58474 L .46602 .57415 L F
.53481 .46598 m .50985 .47389 L .53045 .46468 L .647 .194 .162 r
F
.49485 .629 m .4738 .64027 L .46942 .63887 L .667 .244 .231 r
F
.4992 .63037 m .4738 .64027 L .49485 .629 L F
.46458 .56953 m .44314 .58006 L .44461 .58474 L .91 .689 .591 r
F
.46313 .56491 m .44314 .58006 L .46458 .56953 L F
.46313 .56491 m .44168 .57539 L .44314 .58006 L F
.46169 .56029 m .44168 .57539 L .46313 .56491 L F
.60834 .61401 m .59171 .62182 L .61131 .61077 L .786 .997 .802 r
F
.60834 .61401 m .58871 .6251 L .59171 .62182 L F
.46169 .56029 m .44022 .57071 L .44168 .57539 L .91 .689 .591 r
F
.46025 .55567 m .44022 .57071 L .46169 .56029 L F
.46025 .55567 m .43876 .56603 L .44022 .57071 L F
.45881 .55105 m .43876 .56603 L .46025 .55567 L F
.53481 .46598 m .51426 .47521 L .50985 .47389 L .647 .194 .162 r
F
.53918 .46728 m .51426 .47521 L .53481 .46598 L F
.45881 .55105 m .43729 .56135 L .43876 .56603 L .91 .689 .591 r
F
.45736 .54643 m .43729 .56135 L .45881 .55105 L F
.4992 .63037 m .47819 .64167 L .4738 .64027 L .667 .244 .231 r
F
.50354 .63175 m .47819 .64167 L .4992 .63037 L F
.45736 .54643 m .43583 .55667 L .43729 .56135 L .91 .689 .591 r
F
.45592 .5418 m .43583 .55667 L .45736 .54643 L F
.45592 .5418 m .43436 .55199 L .43583 .55667 L F
.45448 .53718 m .43436 .55199 L .45592 .5418 L F
.61131 .61077 m .59472 .61854 L .61429 .60752 L .786 .997 .802 r
F
.61131 .61077 m .59171 .62182 L .59472 .61854 L F
.45448 .53718 m .4329 .54731 L .43436 .55199 L .91 .689 .591 r
F
.45448 .53718 m .43581 .54398 L .45736 .53388 L .829 .997 .843 r
F
.45448 .53718 m .4329 .54731 L .43581 .54398 L F
.53918 .46728 m .51867 .47653 L .51426 .47521 L .647 .194 .162 r
F
.54355 .46858 m .51867 .47653 L .53918 .46728 L F
.50354 .63175 m .48258 .64308 L .47819 .64167 L .667 .244 .231 r
F
.50789 .63313 m .48258 .64308 L .50354 .63175 L F
.61429 .60752 m .59772 .61525 L .61727 .60426 L .786 .997 .802 r
F
.61429 .60752 m .59472 .61854 L .59772 .61525 L F
.54355 .46858 m .52308 .47785 L .51867 .47653 L .647 .194 .162 r
F
.54792 .46988 m .52308 .47785 L .54355 .46858 L F
.50789 .63313 m .48698 .64448 L .48258 .64308 L .667 .244 .231 r
F
.51225 .63451 m .48698 .64448 L .50789 .63313 L F
.45736 .53388 m .43872 .54064 L .46025 .53058 L .829 .997 .843 r
F
.45736 .53388 m .43581 .54398 L .43872 .54064 L F
.54792 .46988 m .5275 .47918 L .52308 .47785 L .647 .194 .162 r
F
.55229 .47119 m .5275 .47918 L .54792 .46988 L F
.51225 .63451 m .49138 .64588 L .48698 .64448 L .667 .244 .231 r
F
.51661 .6359 m .49138 .64588 L .51225 .63451 L F
.61727 .60426 m .60073 .61196 L .62025 .60101 L .786 .997 .802 r
F
.61727 .60426 m .59772 .61525 L .60073 .61196 L F
.46025 .53058 m .44163 .53731 L .46314 .52728 L .829 .997 .843 r
F
.46025 .53058 m .43872 .54064 L .44163 .53731 L F
.55229 .47119 m .53192 .4805 L .5275 .47918 L .647 .194 .162 r
F
.55668 .47249 m .53192 .4805 L .55229 .47119 L F
.51661 .6359 m .49578 .64729 L .49138 .64588 L .667 .244 .231 r
F
.52097 .63728 m .49578 .64729 L .51661 .6359 L F
.62025 .60101 m .60375 .60867 L .62324 .59775 L .786 .997 .802 r
F
.62025 .60101 m .60073 .61196 L .60375 .60867 L F
.46314 .52728 m .44455 .53396 L .46603 .52397 L .829 .997 .843 r
F
.46314 .52728 m .44163 .53731 L .44455 .53396 L F
.55668 .47249 m .53635 .48183 L .53192 .4805 L .647 .194 .162 r
F
.56106 .4738 m .53635 .48183 L .55668 .47249 L F
.52097 .63728 m .50019 .6487 L .49578 .64729 L .667 .244 .231 r
F
.52534 .63867 m .50019 .6487 L .52097 .63728 L F
.62324 .59775 m .60676 .60537 L .62623 .59448 L .786 .997 .802 r
F
.62324 .59775 m .60375 .60867 L .60676 .60537 L F
.46603 .52397 m .44747 .53062 L .46893 .52066 L .829 .997 .843 r
F
.46603 .52397 m .44455 .53396 L .44747 .53062 L F
.56106 .4738 m .54078 .48315 L .53635 .48183 L .647 .194 .162 r
F
.56545 .4751 m .54078 .48315 L .56106 .4738 L F
.52534 .63867 m .50461 .65011 L .50019 .6487 L .667 .244 .231 r
F
.52972 .64005 m .50461 .65011 L .52534 .63867 L F
.62623 .59448 m .60979 .60206 L .62923 .59121 L .786 .997 .802 r
F
.62623 .59448 m .60676 .60537 L .60979 .60206 L F
.56545 .4751 m .54521 .48448 L .54078 .48315 L .647 .194 .162 r
F
.56984 .47641 m .54521 .48448 L .56545 .4751 L F
.52972 .64005 m .50902 .65152 L .50461 .65011 L .667 .244 .231 r
F
.53409 .64144 m .50902 .65152 L .52972 .64005 L F
.46893 .52066 m .45039 .52727 L .47183 .51735 L .829 .997 .843 r
F
.46893 .52066 m .44747 .53062 L .45039 .52727 L F
.56984 .47641 m .54965 .48581 L .54521 .48448 L .647 .194 .162 r
F
.57424 .47772 m .54965 .48581 L .56984 .47641 L F
.53409 .64144 m .51345 .65293 L .50902 .65152 L .667 .244 .231 r
F
.53847 .64283 m .51345 .65293 L .53409 .64144 L F
.62923 .59121 m .61281 .59875 L .63223 .58794 L .786 .997 .802 r
F
.62923 .59121 m .60979 .60206 L .61281 .59875 L F
.47183 .51735 m .45332 .52391 L .47473 .51403 L .829 .997 .843 r
F
.47183 .51735 m .45039 .52727 L .45332 .52391 L F
.57424 .47772 m .5541 .48714 L .54965 .48581 L .647 .194 .162 r
F
.57864 .47903 m .5541 .48714 L .57424 .47772 L F
.53847 .64283 m .51787 .65434 L .51345 .65293 L .667 .244 .231 r
F
.54286 .64422 m .51787 .65434 L .53847 .64283 L F
.63223 .58794 m .61584 .59544 L .63523 .58466 L .786 .997 .802 r
F
.63223 .58794 m .61281 .59875 L .61584 .59544 L F
.47473 .51403 m .45625 .52056 L .47764 .51071 L .829 .997 .843 r
F
.47473 .51403 m .45332 .52391 L .45625 .52056 L F
.57864 .47903 m .55854 .48847 L .5541 .48714 L .647 .194 .162 r
F
.58305 .48034 m .55854 .48847 L .57864 .47903 L F
.54286 .64422 m .5223 .65576 L .51787 .65434 L .667 .244 .231 r
F
.54725 .64562 m .5223 .65576 L .54286 .64422 L F
.63523 .58466 m .61887 .59213 L .63824 .58138 L .786 .997 .802 r
F
.63523 .58466 m .61584 .59544 L .61887 .59213 L F
.47764 .51071 m .45918 .51719 L .48055 .50738 L .829 .997 .843 r
F
.47764 .51071 m .45625 .52056 L .45918 .51719 L F
.58305 .48034 m .563 .48981 L .55854 .48847 L .647 .194 .162 r
F
.58746 .48166 m .563 .48981 L .58305 .48034 L F
.54725 .64562 m .52674 .65717 L .5223 .65576 L .667 .244 .231 r
F
.55164 .64701 m .52674 .65717 L .54725 .64562 L F
.63824 .58138 m .62191 .58881 L .64125 .57809 L .786 .997 .802 r
F
.63824 .58138 m .61887 .59213 L .62191 .58881 L F
.58746 .48166 m .56745 .49114 L .563 .48981 L .647 .194 .162 r
F
.59188 .48297 m .56745 .49114 L .58746 .48166 L F
.55164 .64701 m .53118 .65859 L .52674 .65717 L .667 .244 .231 r
F
.55604 .6484 m .53118 .65859 L .55164 .64701 L F
.48055 .50738 m .46212 .51383 L .48346 .50405 L .829 .997 .843 r
F
.48055 .50738 m .45918 .51719 L .46212 .51383 L F
.59188 .48297 m .57191 .49248 L .56745 .49114 L .647 .194 .162 r
F
.5963 .48429 m .57191 .49248 L .59188 .48297 L F
.55604 .6484 m .53562 .66001 L .53118 .65859 L .667 .244 .231 r
F
.56044 .6498 m .53562 .66001 L .55604 .6484 L F
.63982 .57344 m .62191 .58881 L .64125 .57809 L .923 .695 .575 r
F
.48346 .50405 m .46506 .51045 L .48638 .50072 L .829 .997 .843 r
F
.48346 .50405 m .46212 .51383 L .46506 .51045 L F
.63982 .57344 m .62046 .5841 L .62191 .58881 L .923 .695 .575 r
F
.63839 .56879 m .62046 .5841 L .63982 .57344 L F
.63839 .56879 m .61901 .57939 L .62046 .5841 L F
.63696 .56414 m .61901 .57939 L .63839 .56879 L F
.63696 .56414 m .61756 .57468 L .61901 .57939 L F
.63553 .55949 m .61756 .57468 L .63696 .56414 L F
.5963 .48429 m .57638 .49381 L .57191 .49248 L .647 .194 .162 r
F
.60072 .4856 m .57638 .49381 L .5963 .48429 L F
.56044 .6498 m .54007 .66143 L .53562 .66001 L .667 .244 .231 r
F
.56485 .6512 m .54007 .66143 L .56044 .6498 L F
.63553 .55949 m .61611 .56997 L .61756 .57468 L .923 .695 .575 r
F
.6341 .55484 m .61611 .56997 L .63553 .55949 L F
.6341 .55484 m .61465 .56526 L .61611 .56997 L F
.63266 .55018 m .61465 .56526 L .6341 .55484 L F
.48638 .50072 m .46801 .50708 L .4893 .49738 L .829 .997 .843 r
F
.48638 .50072 m .46506 .51045 L .46801 .50708 L F
.63266 .55018 m .6132 .56055 L .61465 .56526 L .923 .695 .575 r
F
.63123 .54552 m .6132 .56055 L .63266 .55018 L F
.63123 .54552 m .61175 .55583 L .6132 .56055 L F
.6298 .54087 m .61175 .55583 L .63123 .54552 L F
.60072 .4856 m .58085 .49515 L .57638 .49381 L .647 .194 .162 r
F
.60515 .48692 m .58085 .49515 L .60072 .4856 L F
.56485 .6512 m .54452 .66285 L .54007 .66143 L .667 .244 .231 r
F
.56485 .6512 m .54752 .65957 L .56782 .64795 L .786 .997 .802 r
F
.56485 .6512 m .54452 .66285 L .54752 .65957 L F
.6298 .54087 m .61029 .55112 L .61175 .55583 L .923 .695 .575 r
F
.62837 .53621 m .61029 .55112 L .6298 .54087 L F
.62837 .53621 m .60884 .5464 L .61029 .55112 L F
.62693 .53155 m .60884 .5464 L .62837 .53621 L F
.62693 .53155 m .60739 .54168 L .60884 .5464 L F
.6255 .52689 m .60739 .54168 L .62693 .53155 L F
.4893 .49738 m .47096 .5037 L .49223 .49404 L .829 .997 .843 r
F
.4893 .49738 m .46801 .50708 L .47096 .5037 L F
.6255 .52689 m .60593 .53697 L .60739 .54168 L .923 .695 .575 r
F
.62407 .52223 m .60593 .53697 L .6255 .52689 L F
.60515 .48692 m .58533 .49649 L .58085 .49515 L .647 .194 .162 r
F
.60958 .48824 m .58533 .49649 L .60515 .48692 L F
.62407 .52223 m .60448 .53225 L .60593 .53697 L .923 .695 .575 r
F
.62263 .51756 m .60448 .53225 L .62407 .52223 L F
.56782 .64795 m .55052 .65628 L .57079 .6447 L .786 .997 .802 r
F
.56782 .64795 m .54752 .65957 L .55052 .65628 L F
.62263 .51756 m .60302 .52752 L .60448 .53225 L .923 .695 .575 r
F
.6212 .5129 m .60302 .52752 L .62263 .51756 L F
.6212 .5129 m .60157 .5228 L .60302 .52752 L F
.61976 .50823 m .60157 .5228 L .6212 .5129 L F
.61976 .50823 m .60011 .51808 L .60157 .5228 L F
.61833 .50357 m .60011 .51808 L .61976 .50823 L F
.60958 .48824 m .5898 .49783 L .58533 .49649 L .647 .194 .162 r
F
.61402 .48956 m .5898 .49783 L .60958 .48824 L F
.49223 .49404 m .47391 .50032 L .49516 .49069 L .829 .997 .843 r
F
.49223 .49404 m .47096 .5037 L .47391 .50032 L F
.61833 .50357 m .59866 .51335 L .60011 .51808 L .923 .695 .575 r
F
.61689 .4989 m .59866 .51335 L .61833 .50357 L F
.61689 .4989 m .5972 .50863 L .59866 .51335 L F
.61545 .49423 m .5972 .50863 L .61689 .4989 L F
.57079 .6447 m .55352 .65299 L .57377 .64144 L .786 .997 .802 r
F
.57079 .6447 m .55052 .65628 L .55352 .65299 L F
.61545 .49423 m .59574 .5039 L .5972 .50863 L .923 .695 .575 r
F
.61402 .48956 m .59574 .5039 L .61545 .49423 L F
.61402 .48956 m .59429 .49917 L .59574 .5039 L F
.61402 .48956 m .59429 .49917 L .5898 .49783 L .647 .194 .162 r
F
.49516 .49069 m .47687 .49693 L .49809 .48734 L .829 .997 .843 r
F
.49516 .49069 m .47391 .50032 L .47687 .49693 L F
.57377 .64144 m .55653 .6497 L .57675 .63818 L .786 .997 .802 r
F
.57377 .64144 m .55352 .65299 L .55653 .6497 L F
.49809 .48734 m .47983 .49354 L .50102 .48398 L .829 .997 .843 r
F
.49809 .48734 m .47687 .49693 L .47983 .49354 L F
.57675 .63818 m .55954 .6464 L .57974 .63492 L .786 .997 .802 r
F
.57675 .63818 m .55653 .6497 L .55954 .6464 L F
.50102 .48398 m .48279 .49014 L .50396 .48062 L .829 .997 .843 r
F
.50102 .48398 m .47983 .49354 L .48279 .49014 L F
.57974 .63492 m .56255 .6431 L .58273 .63165 L .786 .997 .802 r
F
.57974 .63492 m .55954 .6464 L .56255 .6431 L F
.46504 .63748 m .43895 .64758 L .46067 .63608 L .667 .244 .231 r
F
.45921 .63142 m .43895 .64758 L .46067 .63608 L .91 .689 .591 r
F
.45921 .63142 m .43747 .64286 L .43895 .64758 L F
.45775 .62676 m .43747 .64286 L .45921 .63142 L F
.50396 .48062 m .48576 .48674 L .50691 .47726 L .829 .997 .843 r
F
.50396 .48062 m .48279 .49014 L .48576 .48674 L F
.45775 .62676 m .43599 .63814 L .43747 .64286 L .91 .689 .591 r
F
.45629 .62209 m .43599 .63814 L .45775 .62676 L F
.45629 .62209 m .43451 .63341 L .43599 .63814 L F
.45483 .61743 m .43451 .63341 L .45629 .62209 L F
.58273 .63165 m .56557 .63979 L .58572 .62838 L .786 .997 .802 r
F
.58273 .63165 m .56255 .6431 L .56557 .63979 L F
.46504 .63748 m .44336 .649 L .43895 .64758 L .667 .244 .231 r
F
.46942 .63887 m .44336 .649 L .46504 .63748 L F
.45483 .61743 m .43303 .62869 L .43451 .63341 L .91 .689 .591 r
F
.45337 .61276 m .43303 .62869 L .45483 .61743 L F
.45337 .61276 m .43154 .62397 L .43303 .62869 L F
.45191 .60809 m .43154 .62397 L .45337 .61276 L F
.45191 .60809 m .43006 .61924 L .43154 .62397 L F
.45045 .60342 m .43006 .61924 L .45191 .60809 L F
.50691 .47726 m .48873 .48334 L .50985 .47389 L .829 .997 .843 r
F
.50691 .47726 m .48576 .48674 L .48873 .48334 L F
.45045 .60342 m .42858 .61451 L .43006 .61924 L .91 .689 .591 r
F
.44899 .59875 m .42858 .61451 L .45045 .60342 L F
.46942 .63887 m .44779 .65042 L .44336 .649 L .667 .244 .231 r
F
.4738 .64027 m .44779 .65042 L .46942 .63887 L F
.44899 .59875 m .4271 .60978 L .42858 .61451 L .91 .689 .591 r
F
.44753 .59408 m .4271 .60978 L .44899 .59875 L F
.58572 .62838 m .56859 .63648 L .58871 .6251 L .786 .997 .802 r
F
.58572 .62838 m .56557 .63979 L .56859 .63648 L F
.44753 .59408 m .42562 .60506 L .4271 .60978 L .91 .689 .591 r
F
.44607 .58941 m .42562 .60506 L .44753 .59408 L F
.44607 .58941 m .42413 .60032 L .42562 .60506 L F
.44461 .58474 m .42413 .60032 L .44607 .58941 L F
.44461 .58474 m .42265 .59559 L .42413 .60032 L F
.44314 .58006 m .42265 .59559 L .44461 .58474 L F
.51426 .47521 m .48873 .48334 L .50985 .47389 L .647 .194 .162 r
F
.4738 .64027 m .45222 .65184 L .44779 .65042 L .667 .244 .231 r
F
.47819 .64167 m .45222 .65184 L .4738 .64027 L F
.44314 .58006 m .42117 .59086 L .42265 .59559 L .91 .689 .591 r
F
.44168 .57539 m .42117 .59086 L .44314 .58006 L F
.44168 .57539 m .41968 .58613 L .42117 .59086 L F
.44022 .57071 m .41968 .58613 L .44168 .57539 L F
.58871 .6251 m .57161 .63316 L .59171 .62182 L .786 .997 .802 r
F
.58871 .6251 m .56859 .63648 L .57161 .63316 L F
.44022 .57071 m .4182 .58139 L .41968 .58613 L .91 .689 .591 r
F
.43876 .56603 m .4182 .58139 L .44022 .57071 L F
.43876 .56603 m .41672 .57665 L .4182 .58139 L F
.43729 .56135 m .41672 .57665 L .43876 .56603 L F
.51426 .47521 m .49318 .48468 L .48873 .48334 L .647 .194 .162 r
F
.51867 .47653 m .49318 .48468 L .51426 .47521 L F
.47819 .64167 m .45665 .65326 L .45222 .65184 L .667 .244 .231 r
F
.48258 .64308 m .45665 .65326 L .47819 .64167 L F
.43729 .56135 m .41523 .57192 L .41672 .57665 L .91 .689 .591 r
F
.43583 .55667 m .41523 .57192 L .43729 .56135 L F
.43583 .55667 m .41374 .56718 L .41523 .57192 L F
.43436 .55199 m .41374 .56718 L .43583 .55667 L F
.43436 .55199 m .41226 .56244 L .41374 .56718 L F
.4329 .54731 m .41226 .56244 L .43436 .55199 L F
.59171 .62182 m .57464 .62985 L .59472 .61854 L .786 .997 .802 r
F
.59171 .62182 m .57161 .63316 L .57464 .62985 L F
.4329 .54731 m .41077 .5577 L .41226 .56244 L .91 .689 .591 r
F
.4329 .54731 m .4137 .55433 L .43581 .54398 L .829 .997 .843 r
F
.4329 .54731 m .41077 .5577 L .4137 .55433 L F
.51867 .47653 m .49764 .48602 L .49318 .48468 L .647 .194 .162 r
F
.52308 .47785 m .49764 .48602 L .51867 .47653 L F
.48258 .64308 m .46109 .65469 L .45665 .65326 L .667 .244 .231 r
F
.48698 .64448 m .46109 .65469 L .48258 .64308 L F
.52308 .47785 m .50209 .48736 L .49764 .48602 L .647 .194 .162 r
F
.5275 .47918 m .50209 .48736 L .52308 .47785 L F
.59472 .61854 m .57768 .62652 L .59772 .61525 L .786 .997 .802 r
F
.59472 .61854 m .57464 .62985 L .57768 .62652 L F
.48698 .64448 m .46553 .65612 L .46109 .65469 L .667 .244 .231 r
F
.49138 .64588 m .46553 .65612 L .48698 .64448 L F
.43581 .54398 m .41664 .55096 L .43872 .54064 L .829 .997 .843 r
F
.43581 .54398 m .4137 .55433 L .41664 .55096 L F
.5275 .47918 m .50656 .48871 L .50209 .48736 L .647 .194 .162 r
F
.53192 .4805 m .50656 .48871 L .5275 .47918 L F
.49138 .64588 m .46997 .65755 L .46553 .65612 L .667 .244 .231 r
F
.49578 .64729 m .46997 .65755 L .49138 .64588 L F
.59772 .61525 m .58071 .6232 L .60073 .61196 L .786 .997 .802 r
F
.59772 .61525 m .57768 .62652 L .58071 .6232 L F
.43872 .54064 m .41957 .54759 L .44163 .53731 L .829 .997 .843 r
F
.43872 .54064 m .41664 .55096 L .41957 .54759 L F
.53192 .4805 m .51103 .49005 L .50656 .48871 L .647 .194 .162 r
F
.53635 .48183 m .51103 .49005 L .53192 .4805 L F
.49578 .64729 m .47443 .65898 L .46997 .65755 L .667 .244 .231 r
F
.50019 .6487 m .47443 .65898 L .49578 .64729 L F
.60073 .61196 m .58375 .61987 L .60375 .60867 L .786 .997 .802 r
F
.60073 .61196 m .58071 .6232 L .58375 .61987 L F
.44163 .53731 m .42251 .54421 L .44455 .53396 L .829 .997 .843 r
F
.44163 .53731 m .41957 .54759 L .42251 .54421 L F
.53635 .48183 m .5155 .4914 L .51103 .49005 L .647 .194 .162 r
F
.54078 .48315 m .5155 .4914 L .53635 .48183 L F
.50019 .6487 m .47888 .66041 L .47443 .65898 L .667 .244 .231 r
F
.50461 .65011 m .47888 .66041 L .50019 .6487 L F
.60375 .60867 m .5868 .61653 L .60676 .60537 L .786 .997 .802 r
F
.60375 .60867 m .58375 .61987 L .5868 .61653 L F
.44455 .53396 m .42546 .54083 L .44747 .53062 L .829 .997 .843 r
F
.44455 .53396 m .42251 .54421 L .42546 .54083 L F
.54078 .48315 m .51998 .49275 L .5155 .4914 L .647 .194 .162 r
F
.54521 .48448 m .51998 .49275 L .54078 .48315 L F
.50461 .65011 m .48334 .66184 L .47888 .66041 L .667 .244 .231 r
F
.50902 .65152 m .48334 .66184 L .50461 .65011 L F
.60676 .60537 m .58984 .61319 L .60979 .60206 L .786 .997 .802 r
F
.60676 .60537 m .5868 .61653 L .58984 .61319 L F
.54521 .48448 m .52446 .4941 L .51998 .49275 L .647 .194 .162 r
F
.54965 .48581 m .52446 .4941 L .54521 .48448 L F
.50902 .65152 m .4878 .66327 L .48334 .66184 L .667 .244 .231 r
F
.51345 .65293 m .4878 .66327 L .50902 .65152 L F
.44747 .53062 m .4284 .53744 L .45039 .52727 L .829 .997 .843 r
F
.44747 .53062 m .42546 .54083 L .4284 .53744 L F
.54965 .48581 m .52894 .49545 L .52446 .4941 L .647 .194 .162 r
F
.5541 .48714 m .52894 .49545 L .54965 .48581 L F
.51345 .65293 m .49227 .66471 L .4878 .66327 L .667 .244 .231 r
F
.51787 .65434 m .49227 .66471 L .51345 .65293 L F
.60979 .60206 m .5929 .60985 L .61281 .59875 L .786 .997 .802 r
F
.60979 .60206 m .58984 .61319 L .5929 .60985 L F
.45039 .52727 m .43136 .53405 L .45332 .52391 L .829 .997 .843 r
F
.45039 .52727 m .4284 .53744 L .43136 .53405 L F
.5541 .48714 m .53343 .4968 L .52894 .49545 L .647 .194 .162 r
F
.55854 .48847 m .53343 .4968 L .5541 .48714 L F
.51787 .65434 m .49674 .66615 L .49227 .66471 L .667 .244 .231 r
F
.5223 .65576 m .49674 .66615 L .51787 .65434 L F
.61281 .59875 m .59595 .6065 L .61584 .59544 L .786 .997 .802 r
F
.61281 .59875 m .5929 .60985 L .59595 .6065 L F
.45332 .52391 m .43431 .53065 L .45625 .52056 L .829 .997 .843 r
F
.45332 .52391 m .43136 .53405 L .43431 .53065 L F
.55854 .48847 m .53793 .49816 L .53343 .4968 L .647 .194 .162 r
F
.563 .48981 m .53793 .49816 L .55854 .48847 L F
.5223 .65576 m .50122 .66758 L .49674 .66615 L .667 .244 .231 r
F
.52674 .65717 m .50122 .66758 L .5223 .65576 L F
.61584 .59544 m .59901 .60315 L .61887 .59213 L .786 .997 .802 r
F
.61584 .59544 m .59595 .6065 L .59901 .60315 L F
.45625 .52056 m .43727 .52725 L .45918 .51719 L .829 .997 .843 r
F
.45625 .52056 m .43431 .53065 L .43727 .52725 L F
.563 .48981 m .54243 .49951 L .53793 .49816 L .647 .194 .162 r
F
.56745 .49114 m .54243 .49951 L .563 .48981 L F
.52674 .65717 m .5057 .66902 L .50122 .66758 L .667 .244 .231 r
F
.53118 .65859 m .5057 .66902 L .52674 .65717 L F
.61887 .59213 m .60207 .59979 L .62191 .58881 L .786 .997 .802 r
F
.61887 .59213 m .59901 .60315 L .60207 .59979 L F
.56745 .49114 m .54693 .50087 L .54243 .49951 L .647 .194 .162 r
F
.57191 .49248 m .54693 .50087 L .56745 .49114 L F
.53118 .65859 m .51019 .67046 L .5057 .66902 L .667 .244 .231 r
F
.53562 .66001 m .51019 .67046 L .53118 .65859 L F
.45918 .51719 m .44023 .52385 L .46212 .51383 L .829 .997 .843 r
F
.45918 .51719 m .43727 .52725 L .44023 .52385 L F
.57191 .49248 m .55144 .50222 L .54693 .50087 L .647 .194 .162 r
F
.57638 .49381 m .55144 .50222 L .57191 .49248 L F
.53562 .66001 m .51468 .67191 L .51019 .67046 L .667 .244 .231 r
F
.54007 .66143 m .51468 .67191 L .53562 .66001 L F
.62046 .5841 m .60207 .59979 L .62191 .58881 L .923 .695 .575 r
F
.46212 .51383 m .4432 .52044 L .46506 .51045 L .829 .997 .843 r
F
.46212 .51383 m .44023 .52385 L .4432 .52044 L F
.62046 .5841 m .6006 .59503 L .60207 .59979 L .923 .695 .575 r
F
.61901 .57939 m .6006 .59503 L .62046 .5841 L F
.61901 .57939 m .59913 .59026 L .6006 .59503 L F
.61756 .57468 m .59913 .59026 L .61901 .57939 L F
.61756 .57468 m .59766 .58549 L .59913 .59026 L F
.61611 .56997 m .59766 .58549 L .61756 .57468 L F
.57638 .49381 m .55595 .50358 L .55144 .50222 L .647 .194 .162 r
F
.58085 .49515 m .55595 .50358 L .57638 .49381 L F
.54007 .66143 m .51917 .67335 L .51468 .67191 L .667 .244 .231 r
F
.54452 .66285 m .51917 .67335 L .54007 .66143 L F
.61611 .56997 m .59618 .58072 L .59766 .58549 L .923 .695 .575 r
F
.61465 .56526 m .59618 .58072 L .61611 .56997 L F
.61465 .56526 m .59471 .57595 L .59618 .58072 L F
.6132 .56055 m .59471 .57595 L .61465 .56526 L F
.46506 .51045 m .44617 .51703 L .46801 .50708 L .829 .997 .843 r
F
.46506 .51045 m .4432 .52044 L .44617 .51703 L F
.6132 .56055 m .59324 .57118 L .59471 .57595 L .923 .695 .575 r
F
.61175 .55583 m .59324 .57118 L .6132 .56055 L F
.61175 .55583 m .59176 .56641 L .59324 .57118 L F
.61029 .55112 m .59176 .56641 L .61175 .55583 L F
.58085 .49515 m .56047 .50494 L .55595 .50358 L .647 .194 .162 r
F
.58533 .49649 m .56047 .50494 L .58085 .49515 L F
.54452 .66285 m .52367 .6748 L .51917 .67335 L .667 .244 .231 r
F
.54452 .66285 m .52669 .67148 L .54752 .65957 L .786 .997 .802 r
F
.54452 .66285 m .52367 .6748 L .52669 .67148 L F
.61029 .55112 m .59029 .56163 L .59176 .56641 L .923 .695 .575 r
F
.60884 .5464 m .59029 .56163 L .61029 .55112 L F
.60884 .5464 m .58882 .55686 L .59029 .56163 L F
.60739 .54168 m .58882 .55686 L .60884 .5464 L F
.60739 .54168 m .58734 .55208 L .58882 .55686 L F
.60593 .53697 m .58734 .55208 L .60739 .54168 L F
.46801 .50708 m .44914 .51361 L .47096 .5037 L .829 .997 .843 r
F
.46801 .50708 m .44617 .51703 L .44914 .51361 L F
.60593 .53697 m .58586 .5473 L .58734 .55208 L .923 .695 .575 r
F
.60448 .53225 m .58586 .5473 L .60593 .53697 L F
.58533 .49649 m .56499 .50631 L .56047 .50494 L .647 .194 .162 r
F
.5898 .49783 m .56499 .50631 L .58533 .49649 L F
.60448 .53225 m .58439 .54252 L .58586 .5473 L .923 .695 .575 r
F
.60302 .52752 m .58439 .54252 L .60448 .53225 L F
.54752 .65957 m .52972 .66816 L .55052 .65628 L .786 .997 .802 r
F
.54752 .65957 m .52669 .67148 L .52972 .66816 L F
.60302 .52752 m .58291 .53774 L .58439 .54252 L .923 .695 .575 r
F
.60157 .5228 m .58291 .53774 L .60302 .52752 L F
.60157 .5228 m .58144 .53296 L .58291 .53774 L F
.60011 .51808 m .58144 .53296 L .60157 .5228 L F
.5898 .49783 m .56952 .50767 L .56499 .50631 L .647 .194 .162 r
F
.59429 .49917 m .56952 .50767 L .5898 .49783 L F
.60011 .51808 m .57996 .52818 L .58144 .53296 L .923 .695 .575 r
F
.59866 .51335 m .57996 .52818 L .60011 .51808 L F
.47096 .5037 m .45212 .51019 L .47391 .50032 L .829 .997 .843 r
F
.47096 .5037 m .44914 .51361 L .45212 .51019 L F
.59866 .51335 m .57848 .52339 L .57996 .52818 L .923 .695 .575 r
F
.5972 .50863 m .57848 .52339 L .59866 .51335 L F
.5972 .50863 m .577 .51861 L .57848 .52339 L F
.59574 .5039 m .577 .51861 L .5972 .50863 L F
.55052 .65628 m .53275 .66483 L .55352 .65299 L .786 .997 .802 r
F
.55052 .65628 m .52972 .66816 L .53275 .66483 L F
.59574 .5039 m .57553 .51382 L .577 .51861 L .923 .695 .575 r
F
.59429 .49917 m .57553 .51382 L .59574 .5039 L F
.59429 .49917 m .57405 .50903 L .57553 .51382 L F
.59429 .49917 m .57405 .50903 L .56952 .50767 L .647 .194 .162 r
F
.47391 .50032 m .4551 .50677 L .47687 .49693 L .829 .997 .843 r
F
.47391 .50032 m .45212 .51019 L .4551 .50677 L F
.55352 .65299 m .53578 .66151 L .55653 .6497 L .786 .997 .802 r
F
.55352 .65299 m .53275 .66483 L .53578 .66151 L F
.47687 .49693 m .45808 .50334 L .47983 .49354 L .829 .997 .843 r
F
.47687 .49693 m .4551 .50677 L .45808 .50334 L F
.55653 .6497 m .53881 .65817 L .55954 .6464 L .786 .997 .802 r
F
.55653 .6497 m .53578 .66151 L .53881 .65817 L F
.47983 .49354 m .46107 .49991 L .48279 .49014 L .829 .997 .843 r
F
.47983 .49354 m .45808 .50334 L .46107 .49991 L F
.55954 .6464 m .54185 .65483 L .56255 .6431 L .786 .997 .802 r
F
.55954 .6464 m .53881 .65817 L .54185 .65483 L F
.44336 .649 m .41666 .65937 L .43895 .64758 L .667 .244 .231 r
F
.43747 .64286 m .41666 .65937 L .43895 .64758 L .91 .689 .591 r
F
.43747 .64286 m .41516 .65459 L .41666 .65937 L F
.43599 .63814 m .41516 .65459 L .43747 .64286 L F
.48279 .49014 m .46406 .49647 L .48576 .48674 L .829 .997 .843 r
F
.48279 .49014 m .46107 .49991 L .46406 .49647 L F
.43599 .63814 m .41366 .64981 L .41516 .65459 L .91 .689 .591 r
F
.43451 .63341 m .41366 .64981 L .43599 .63814 L F
.43451 .63341 m .41216 .64503 L .41366 .64981 L F
.43303 .62869 m .41216 .64503 L .43451 .63341 L F
.56255 .6431 m .5449 .65149 L .56557 .63979 L .786 .997 .802 r
F
.56255 .6431 m .54185 .65483 L .5449 .65149 L F
.44336 .649 m .42113 .66081 L .41666 .65937 L .667 .244 .231 r
F
.44779 .65042 m .42113 .66081 L .44336 .649 L F
.43303 .62869 m .41066 .64024 L .41216 .64503 L .91 .689 .591 r
F
.43154 .62397 m .41066 .64024 L .43303 .62869 L F
.43154 .62397 m .40915 .63546 L .41066 .64024 L F
.43006 .61924 m .40915 .63546 L .43154 .62397 L F
.43006 .61924 m .40765 .63068 L .40915 .63546 L F
.42858 .61451 m .40765 .63068 L .43006 .61924 L F
.48576 .48674 m .46706 .49303 L .48873 .48334 L .829 .997 .843 r
F
.48576 .48674 m .46406 .49647 L .46706 .49303 L F
.42858 .61451 m .40615 .62589 L .40765 .63068 L .91 .689 .591 r
F
.4271 .60978 m .40615 .62589 L .42858 .61451 L F
.44779 .65042 m .4256 .66226 L .42113 .66081 L .667 .244 .231 r
F
.45222 .65184 m .4256 .66226 L .44779 .65042 L F
.4271 .60978 m .40464 .6211 L .40615 .62589 L .91 .689 .591 r
F
.42562 .60506 m .40464 .6211 L .4271 .60978 L F
.56557 .63979 m .54795 .64815 L .56859 .63648 L .786 .997 .802 r
F
.56557 .63979 m .5449 .65149 L .54795 .64815 L F
.42562 .60506 m .40314 .61631 L .40464 .6211 L .91 .689 .591 r
F
.42413 .60032 m .40314 .61631 L .42562 .60506 L F
.42413 .60032 m .40163 .61152 L .40314 .61631 L F
.42265 .59559 m .40163 .61152 L .42413 .60032 L F
.42265 .59559 m .40013 .60673 L .40163 .61152 L F
.42117 .59086 m .40013 .60673 L .42265 .59559 L F
.49318 .48468 m .46706 .49303 L .48873 .48334 L .647 .194 .162 r
F
.45222 .65184 m .43007 .66371 L .4256 .66226 L .667 .244 .231 r
F
.45665 .65326 m .43007 .66371 L .45222 .65184 L F
.42117 .59086 m .39862 .60194 L .40013 .60673 L .91 .689 .591 r
F
.41968 .58613 m .39862 .60194 L .42117 .59086 L F
.41968 .58613 m .39712 .59714 L .39862 .60194 L F
.4182 .58139 m .39712 .59714 L .41968 .58613 L F
.56859 .63648 m .551 .6448 L .57161 .63316 L .786 .997 .802 r
F
.56859 .63648 m .54795 .64815 L .551 .6448 L F
.4182 .58139 m .39561 .59235 L .39712 .59714 L .91 .689 .591 r
F
.41672 .57665 m .39561 .59235 L .4182 .58139 L F
.41672 .57665 m .3941 .58755 L .39561 .59235 L F
.41523 .57192 m .3941 .58755 L .41672 .57665 L F
.49318 .48468 m .47156 .49439 L .46706 .49303 L .647 .194 .162 r
F
.49764 .48602 m .47156 .49439 L .49318 .48468 L F
.45665 .65326 m .43455 .66515 L .43007 .66371 L .667 .244 .231 r
F
.46109 .65469 m .43455 .66515 L .45665 .65326 L F
.41523 .57192 m .3926 .58276 L .3941 .58755 L .91 .689 .591 r
F
.41374 .56718 m .3926 .58276 L .41523 .57192 L F
.41374 .56718 m .39109 .57796 L .3926 .58276 L F
.41226 .56244 m .39109 .57796 L .41374 .56718 L F
.41226 .56244 m .38958 .57316 L .39109 .57796 L F
.41077 .5577 m .38958 .57316 L .41226 .56244 L F
.57161 .63316 m .55405 .64144 L .57464 .62985 L .786 .997 .802 r
F
.57161 .63316 m .551 .6448 L .55405 .64144 L F
.41077 .5577 m .38807 .56836 L .38958 .57316 L .91 .689 .591 r
F
.41077 .5577 m .39103 .56495 L .4137 .55433 L .829 .997 .843 r
F
.41077 .5577 m .38807 .56836 L .39103 .56495 L F
.49764 .48602 m .47606 .49575 L .47156 .49439 L .647 .194 .162 r
F
.50209 .48736 m .47606 .49575 L .49764 .48602 L F
.46109 .65469 m .43904 .6666 L .43455 .66515 L .667 .244 .231 r
F
.46553 .65612 m .43904 .6666 L .46109 .65469 L F
.57464 .62985 m .55711 .63808 L .57768 .62652 L .786 .997 .802 r
F
.57464 .62985 m .55405 .64144 L .55711 .63808 L F
.50209 .48736 m .48056 .49712 L .47606 .49575 L .647 .194 .162 r
F
.50656 .48871 m .48056 .49712 L .50209 .48736 L F
.46553 .65612 m .44352 .66806 L .43904 .6666 L .667 .244 .231 r
F
.46997 .65755 m .44352 .66806 L .46553 .65612 L F
.4137 .55433 m .39398 .56155 L .41664 .55096 L .829 .997 .843 r
F
.4137 .55433 m .39103 .56495 L .39398 .56155 L F
.50656 .48871 m .48508 .49848 L .48056 .49712 L .647 .194 .162 r
F
.51103 .49005 m .48508 .49848 L .50656 .48871 L F
.46997 .65755 m .44802 .66951 L .44352 .66806 L .667 .244 .231 r
F
.47443 .65898 m .44802 .66951 L .46997 .65755 L F
.57768 .62652 m .56017 .63472 L .58071 .6232 L .786 .997 .802 r
F
.57768 .62652 m .55711 .63808 L .56017 .63472 L F
.41664 .55096 m .39694 .55814 L .41957 .54759 L .829 .997 .843 r
F
.41664 .55096 m .39398 .56155 L .39694 .55814 L F
.51103 .49005 m .48959 .49985 L .48508 .49848 L .647 .194 .162 r
F
.5155 .4914 m .48959 .49985 L .51103 .49005 L F
.47443 .65898 m .45251 .67096 L .44802 .66951 L .667 .244 .231 r
F
.47888 .66041 m .45251 .67096 L .47443 .65898 L F
.58071 .6232 m .56324 .63136 L .58375 .61987 L .786 .997 .802 r
F
.58071 .6232 m .56017 .63472 L .56324 .63136 L F
.41957 .54759 m .39991 .55472 L .42251 .54421 L .829 .997 .843 r
F
.41957 .54759 m .39694 .55814 L .39991 .55472 L F
.5155 .4914 m .49411 .50122 L .48959 .49985 L .647 .194 .162 r
F
.51998 .49275 m .49411 .50122 L .5155 .4914 L F
.47888 .66041 m .45701 .67242 L .45251 .67096 L .667 .244 .231 r
F
.48334 .66184 m .45701 .67242 L .47888 .66041 L F
.58375 .61987 m .56631 .62798 L .5868 .61653 L .786 .997 .802 r
F
.58375 .61987 m .56324 .63136 L .56631 .62798 L F
.42251 .54421 m .40288 .5513 L .42546 .54083 L .829 .997 .843 r
F
.42251 .54421 m .39991 .55472 L .40288 .5513 L F
.51998 .49275 m .49863 .50259 L .49411 .50122 L .647 .194 .162 r
F
.52446 .4941 m .49863 .50259 L .51998 .49275 L F
.48334 .66184 m .46152 .67388 L .45701 .67242 L .667 .244 .231 r
F
.4878 .66327 m .46152 .67388 L .48334 .66184 L F
.5868 .61653 m .56939 .62461 L .58984 .61319 L .786 .997 .802 r
F
.5868 .61653 m .56631 .62798 L .56939 .62461 L F
.52446 .4941 m .50316 .50396 L .49863 .50259 L .647 .194 .162 r
F
.52894 .49545 m .50316 .50396 L .52446 .4941 L F
.4878 .66327 m .46603 .67533 L .46152 .67388 L .667 .244 .231 r
F
.49227 .66471 m .46603 .67533 L .4878 .66327 L F
.42546 .54083 m .40585 .54788 L .4284 .53744 L .829 .997 .843 r
F
.42546 .54083 m .40288 .5513 L .40585 .54788 L F
.52894 .49545 m .5077 .50534 L .50316 .50396 L .647 .194 .162 r
F
.53343 .4968 m .5077 .50534 L .52894 .49545 L F
.49227 .66471 m .47055 .67679 L .46603 .67533 L .667 .244 .231 r
F
.49674 .66615 m .47055 .67679 L .49227 .66471 L F
.58984 .61319 m .57246 .62123 L .5929 .60985 L .786 .997 .802 r
F
.58984 .61319 m .56939 .62461 L .57246 .62123 L F
.4284 .53744 m .40882 .54445 L .43136 .53405 L .829 .997 .843 r
F
.4284 .53744 m .40585 .54788 L .40882 .54445 L F
.53343 .4968 m .51223 .50671 L .5077 .50534 L .647 .194 .162 r
F
.53793 .49816 m .51223 .50671 L .53343 .4968 L F
.49674 .66615 m .47507 .67826 L .47055 .67679 L .667 .244 .231 r
F
.50122 .66758 m .47507 .67826 L .49674 .66615 L F
.5929 .60985 m .57555 .61785 L .59595 .6065 L .786 .997 .802 r
F
.5929 .60985 m .57246 .62123 L .57555 .61785 L F
.43136 .53405 m .4118 .54102 L .43431 .53065 L .829 .997 .843 r
F
.43136 .53405 m .40882 .54445 L .4118 .54102 L F
.53793 .49816 m .51678 .50809 L .51223 .50671 L .647 .194 .162 r
F
.54243 .49951 m .51678 .50809 L .53793 .49816 L F
.50122 .66758 m .47959 .67972 L .47507 .67826 L .667 .244 .231 r
F
.5057 .66902 m .47959 .67972 L .50122 .66758 L F
.59595 .6065 m .57863 .61446 L .59901 .60315 L .786 .997 .802 r
F
.59595 .6065 m .57555 .61785 L .57863 .61446 L F
.43431 .53065 m .41479 .53758 L .43727 .52725 L .829 .997 .843 r
F
.43431 .53065 m .4118 .54102 L .41479 .53758 L F
.54243 .49951 m .52132 .50947 L .51678 .50809 L .647 .194 .162 r
F
.54693 .50087 m .52132 .50947 L .54243 .49951 L F
.5057 .66902 m .48412 .68118 L .47959 .67972 L .667 .244 .231 r
F
.51019 .67046 m .48412 .68118 L .5057 .66902 L F
.59901 .60315 m .58172 .61106 L .60207 .59979 L .786 .997 .802 r
F
.59901 .60315 m .57863 .61446 L .58172 .61106 L F
.54693 .50087 m .52588 .51085 L .52132 .50947 L .647 .194 .162 r
F
.55144 .50222 m .52588 .51085 L .54693 .50087 L F
.51019 .67046 m .48865 .68265 L .48412 .68118 L .667 .244 .231 r
F
.51468 .67191 m .48865 .68265 L .51019 .67046 L F
.43727 .52725 m .41777 .53414 L .44023 .52385 L .829 .997 .843 r
F
.43727 .52725 m .41479 .53758 L .41777 .53414 L F
.55144 .50222 m .53043 .51223 L .52588 .51085 L .647 .194 .162 r
F
.55595 .50358 m .53043 .51223 L .55144 .50222 L F
.51468 .67191 m .49319 .68412 L .48865 .68265 L .667 .244 .231 r
F
.51917 .67335 m .49319 .68412 L .51468 .67191 L F
.6006 .59503 m .58172 .61106 L .60207 .59979 L .923 .695 .575 r
F
.44023 .52385 m .42076 .53069 L .4432 .52044 L .829 .997 .843 r
F
.44023 .52385 m .41777 .53414 L .42076 .53069 L F
.6006 .59503 m .58023 .60624 L .58172 .61106 L .923 .695 .575 r
F
.59913 .59026 m .58023 .60624 L .6006 .59503 L F
.59913 .59026 m .57873 .60141 L .58023 .60624 L F
.59766 .58549 m .57873 .60141 L .59913 .59026 L F
.59766 .58549 m .57724 .59658 L .57873 .60141 L F
.59618 .58072 m .57724 .59658 L .59766 .58549 L F
.55595 .50358 m .53499 .51361 L .53043 .51223 L .647 .194 .162 r
F
.56047 .50494 m .53499 .51361 L .55595 .50358 L F
.51917 .67335 m .49773 .68559 L .49319 .68412 L .667 .244 .231 r
F
.52367 .6748 m .49773 .68559 L .51917 .67335 L F
.59618 .58072 m .57575 .59175 L .57724 .59658 L .923 .695 .575 r
F
.59471 .57595 m .57575 .59175 L .59618 .58072 L F
.59471 .57595 m .57425 .58692 L .57575 .59175 L F
.59324 .57118 m .57425 .58692 L .59471 .57595 L F
.4432 .52044 m .42376 .52724 L .44617 .51703 L .829 .997 .843 r
F
.4432 .52044 m .42076 .53069 L .42376 .52724 L F
.59324 .57118 m .57276 .58209 L .57425 .58692 L .923 .695 .575 r
F
.59176 .56641 m .57276 .58209 L .59324 .57118 L F
.59176 .56641 m .57126 .57725 L .57276 .58209 L F
.59029 .56163 m .57126 .57725 L .59176 .56641 L F
.56047 .50494 m .53956 .51499 L .53499 .51361 L .647 .194 .162 r
F
.56499 .50631 m .53956 .51499 L .56047 .50494 L F
.52367 .6748 m .50228 .68706 L .49773 .68559 L .667 .244 .231 r
F
.52367 .6748 m .50533 .6837 L .52669 .67148 L .786 .997 .802 r
F
.52367 .6748 m .50228 .68706 L .50533 .6837 L F
.59029 .56163 m .56976 .57242 L .57126 .57725 L .923 .695 .575 r
F
.58882 .55686 m .56976 .57242 L .59029 .56163 L F
.58882 .55686 m .56827 .56758 L .56976 .57242 L F
.58734 .55208 m .56827 .56758 L .58882 .55686 L F
.58734 .55208 m .56677 .56274 L .56827 .56758 L F
.58586 .5473 m .56677 .56274 L .58734 .55208 L F
.44617 .51703 m .42676 .52379 L .44914 .51361 L .829 .997 .843 r
F
.44617 .51703 m .42376 .52724 L .42676 .52379 L F
.58586 .5473 m .56527 .55791 L .56677 .56274 L .923 .695 .575 r
F
.58439 .54252 m .56527 .55791 L .58586 .5473 L F
.56499 .50631 m .54413 .51638 L .53956 .51499 L .647 .194 .162 r
F
.56952 .50767 m .54413 .51638 L .56499 .50631 L F
.58439 .54252 m .56378 .55307 L .56527 .55791 L .923 .695 .575 r
F
.58291 .53774 m .56378 .55307 L .58439 .54252 L F
.52669 .67148 m .50838 .68035 L .52972 .66816 L .786 .997 .802 r
F
.52669 .67148 m .50533 .6837 L .50838 .68035 L F
.58291 .53774 m .56228 .54822 L .56378 .55307 L .923 .695 .575 r
F
.58144 .53296 m .56228 .54822 L .58291 .53774 L F
.58144 .53296 m .56078 .54338 L .56228 .54822 L F
.57996 .52818 m .56078 .54338 L .58144 .53296 L F
.57996 .52818 m .55928 .53854 L .56078 .54338 L F
.57848 .52339 m .55928 .53854 L .57996 .52818 L F
.56952 .50767 m .5487 .51776 L .54413 .51638 L .647 .194 .162 r
F
.57405 .50903 m .5487 .51776 L .56952 .50767 L F
.44914 .51361 m .42976 .52033 L .45212 .51019 L .829 .997 .843 r
F
.44914 .51361 m .42676 .52379 L .42976 .52033 L F
.57848 .52339 m .55778 .53369 L .55928 .53854 L .923 .695 .575 r
F
.577 .51861 m .55778 .53369 L .57848 .52339 L F
.577 .51861 m .55628 .52885 L .55778 .53369 L F
.57553 .51382 m .55628 .52885 L .577 .51861 L F
.52972 .66816 m .51143 .67699 L .53275 .66483 L .786 .997 .802 r
F
.52972 .66816 m .50838 .68035 L .51143 .67699 L F
.57553 .51382 m .55478 .524 L .55628 .52885 L .923 .695 .575 r
F
.57405 .50903 m .55478 .524 L .57553 .51382 L F
.57405 .50903 m .55328 .51915 L .55478 .524 L F
.57405 .50903 m .55328 .51915 L .5487 .51776 L .647 .194 .162 r
F
.45212 .51019 m .43276 .51686 L .4551 .50677 L .829 .997 .843 r
F
.45212 .51019 m .42976 .52033 L .43276 .51686 L F
.53275 .66483 m .51449 .67362 L .53578 .66151 L .786 .997 .802 r
F
.53275 .66483 m .51143 .67699 L .51449 .67362 L F
.4551 .50677 m .43577 .5134 L .45808 .50334 L .829 .997 .843 r
F
.4551 .50677 m .43276 .51686 L .43577 .5134 L F
.53578 .66151 m .51755 .67025 L .53881 .65817 L .786 .997 .802 r
F
.53578 .66151 m .51449 .67362 L .51755 .67025 L F
.45808 .50334 m .43879 .50992 L .46107 .49991 L .829 .997 .843 r
F
.45808 .50334 m .43577 .5134 L .43879 .50992 L F
.53881 .65817 m .52062 .66688 L .54185 .65483 L .786 .997 .802 r
F
.53881 .65817 m .51755 .67025 L .52062 .66688 L F
.42113 .66081 m .3938 .67147 L .41666 .65937 L .667 .244 .231 r
F
.41516 .65459 m .3938 .67147 L .41666 .65937 L .91 .689 .591 r
F
.41516 .65459 m .39228 .66663 L .3938 .67147 L F
.41366 .64981 m .39228 .66663 L .41516 .65459 L F
.46107 .49991 m .4418 .50645 L .46406 .49647 L .829 .997 .843 r
F
.46107 .49991 m .43879 .50992 L .4418 .50645 L F
.41366 .64981 m .39075 .66179 L .39228 .66663 L .91 .689 .591 r
F
.41216 .64503 m .39075 .66179 L .41366 .64981 L F
.41216 .64503 m .38923 .65695 L .39075 .66179 L F
.41066 .64024 m .38923 .65695 L .41216 .64503 L F
.54185 .65483 m .52369 .6635 L .5449 .65149 L .786 .997 .802 r
F
.54185 .65483 m .52062 .66688 L .52369 .6635 L F
.42113 .66081 m .39831 .67294 L .3938 .67147 L .667 .244 .231 r
F
.4256 .66226 m .39831 .67294 L .42113 .66081 L F
.41066 .64024 m .3877 .6521 L .38923 .65695 L .91 .689 .591 r
F
.40915 .63546 m .3877 .6521 L .41066 .64024 L F
.40915 .63546 m .38618 .64726 L .3877 .6521 L F
.40765 .63068 m .38618 .64726 L .40915 .63546 L F
.40765 .63068 m .38465 .64241 L .38618 .64726 L F
.40615 .62589 m .38465 .64241 L .40765 .63068 L F
.46406 .49647 m .44482 .50297 L .46706 .49303 L .829 .997 .843 r
F
.46406 .49647 m .4418 .50645 L .44482 .50297 L F
.40615 .62589 m .38313 .63756 L .38465 .64241 L .91 .689 .591 r
F
.40464 .6211 m .38313 .63756 L .40615 .62589 L F
.4256 .66226 m .40283 .67441 L .39831 .67294 L .667 .244 .231 r
F
.43007 .66371 m .40283 .67441 L .4256 .66226 L F
.40464 .6211 m .3816 .63271 L .38313 .63756 L .91 .689 .591 r
F
.40314 .61631 m .3816 .63271 L .40464 .6211 L F
.5449 .65149 m .52676 .66012 L .54795 .64815 L .786 .997 .802 r
F
.5449 .65149 m .52369 .6635 L .52676 .66012 L F
.40314 .61631 m .38007 .62786 L .3816 .63271 L .91 .689 .591 r
F
.40163 .61152 m .38007 .62786 L .40314 .61631 L F
.40163 .61152 m .37854 .62301 L .38007 .62786 L F
.40013 .60673 m .37854 .62301 L .40163 .61152 L F
.40013 .60673 m .37702 .61816 L .37854 .62301 L F
.39862 .60194 m .37702 .61816 L .40013 .60673 L F
.47156 .49439 m .44482 .50297 L .46706 .49303 L .647 .194 .162 r
F
.43007 .66371 m .40735 .67588 L .40283 .67441 L .667 .244 .231 r
F
.43455 .66515 m .40735 .67588 L .43007 .66371 L F
.39862 .60194 m .37549 .61331 L .37702 .61816 L .91 .689 .591 r
F
.39712 .59714 m .37549 .61331 L .39862 .60194 L F
.39712 .59714 m .37396 .60845 L .37549 .61331 L F
.39561 .59235 m .37396 .60845 L .39712 .59714 L F
.54795 .64815 m .52984 .65673 L .551 .6448 L .786 .997 .802 r
F
.54795 .64815 m .52676 .66012 L .52984 .65673 L F
.39561 .59235 m .37243 .60359 L .37396 .60845 L .91 .689 .591 r
F
.3941 .58755 m .37243 .60359 L .39561 .59235 L F
.3941 .58755 m .3709 .59874 L .37243 .60359 L F
.3926 .58276 m .3709 .59874 L .3941 .58755 L F
.47156 .49439 m .44937 .50435 L .44482 .50297 L .647 .194 .162 r
F
.47606 .49575 m .44937 .50435 L .47156 .49439 L F
.43455 .66515 m .41188 .67735 L .40735 .67588 L .667 .244 .231 r
F
.43904 .6666 m .41188 .67735 L .43455 .66515 L F
.3926 .58276 m .36937 .59388 L .3709 .59874 L .91 .689 .591 r
F
.39109 .57796 m .36937 .59388 L .3926 .58276 L F
.39109 .57796 m .36784 .58902 L .36937 .59388 L F
.38958 .57316 m .36784 .58902 L .39109 .57796 L F
.38958 .57316 m .36631 .58416 L .36784 .58902 L F
.38807 .56836 m .36631 .58416 L .38958 .57316 L F
.551 .6448 m .53292 .65334 L .55405 .64144 L .786 .997 .802 r
F
.551 .6448 m .52984 .65673 L .53292 .65334 L F
.38807 .56836 m .36478 .57929 L .36631 .58416 L .91 .689 .591 r
F
.38807 .56836 m .36776 .57585 L .39103 .56495 L .829 .997 .843 r
F
.38807 .56836 m .36478 .57929 L .36776 .57585 L F
.47606 .49575 m .45392 .50574 L .44937 .50435 L .647 .194 .162 r
F
.48056 .49712 m .45392 .50574 L .47606 .49575 L F
.43904 .6666 m .41641 .67883 L .41188 .67735 L .667 .244 .231 r
F
.44352 .66806 m .41641 .67883 L .43904 .6666 L F
.48056 .49712 m .45847 .50713 L .45392 .50574 L .647 .194 .162 r
F
.48508 .49848 m .45847 .50713 L .48056 .49712 L F
.55405 .64144 m .53601 .64995 L .55711 .63808 L .786 .997 .802 r
F
.55405 .64144 m .53292 .65334 L .53601 .64995 L F
.39103 .56495 m .37074 .57241 L .39398 .56155 L .829 .997 .843 r
F
.39103 .56495 m .36776 .57585 L .37074 .57241 L F
.44352 .66806 m .42094 .68031 L .41641 .67883 L .667 .244 .231 r
F
.44802 .66951 m .42094 .68031 L .44352 .66806 L F
.48508 .49848 m .46303 .50852 L .45847 .50713 L .647 .194 .162 r
F
.48959 .49985 m .46303 .50852 L .48508 .49848 L F
.44802 .66951 m .42548 .68178 L .42094 .68031 L .667 .244 .231 r
F
.45251 .67096 m .42548 .68178 L .44802 .66951 L F
.55711 .63808 m .5391 .64655 L .56017 .63472 L .786 .997 .802 r
F
.55711 .63808 m .53601 .64995 L .5391 .64655 L F
.39398 .56155 m .37372 .56896 L .39694 .55814 L .829 .997 .843 r
F
.39398 .56155 m .37074 .57241 L .37372 .56896 L F
.48959 .49985 m .46759 .50991 L .46303 .50852 L .647 .194 .162 r
F
.49411 .50122 m .46759 .50991 L .48959 .49985 L F
.45251 .67096 m .43003 .68326 L .42548 .68178 L .667 .244 .231 r
F
.45701 .67242 m .43003 .68326 L .45251 .67096 L F
.56017 .63472 m .54219 .64315 L .56324 .63136 L .786 .997 .802 r
F
.56017 .63472 m .5391 .64655 L .54219 .64315 L F
.39694 .55814 m .37671 .56551 L .39991 .55472 L .829 .997 .843 r
F
.39694 .55814 m .37372 .56896 L .37671 .56551 L F
.49411 .50122 m .47216 .5113 L .46759 .50991 L .647 .194 .162 r
F
.49863 .50259 m .47216 .5113 L .49411 .50122 L F
.45701 .67242 m .43458 .68475 L .43003 .68326 L .667 .244 .231 r
F
.46152 .67388 m .43458 .68475 L .45701 .67242 L F
.56324 .63136 m .54529 .63974 L .56631 .62798 L .786 .997 .802 r
F
.56324 .63136 m .54219 .64315 L .54529 .63974 L F
.39991 .55472 m .3797 .56205 L .40288 .5513 L .829 .997 .843 r
F
.39991 .55472 m .37671 .56551 L .3797 .56205 L F
.49863 .50259 m .47673 .5127 L .47216 .5113 L .647 .194 .162 r
F
.50316 .50396 m .47673 .5127 L .49863 .50259 L F
.46152 .67388 m .43913 .68623 L .43458 .68475 L .667 .244 .231 r
F
.46603 .67533 m .43913 .68623 L .46152 .67388 L F
.56631 .62798 m .54839 .63633 L .56939 .62461 L .786 .997 .802 r
F
.56631 .62798 m .54529 .63974 L .54839 .63633 L F
.50316 .50396 m .48131 .51409 L .47673 .5127 L .647 .194 .162 r
F
.5077 .50534 m .48131 .51409 L .50316 .50396 L F
.46603 .67533 m .44369 .68771 L .43913 .68623 L .667 .244 .231 r
F
.47055 .67679 m .44369 .68771 L .46603 .67533 L F
.40288 .5513 m .3827 .55859 L .40585 .54788 L .829 .997 .843 r
F
.40288 .5513 m .3797 .56205 L .3827 .55859 L F
.5077 .50534 m .48589 .51549 L .48131 .51409 L .647 .194 .162 r
F
.51223 .50671 m .48589 .51549 L .5077 .50534 L F
.47055 .67679 m .44825 .6892 L .44369 .68771 L .667 .244 .231 r
F
.47507 .67826 m .44825 .6892 L .47055 .67679 L F
.56939 .62461 m .55149 .63291 L .57246 .62123 L .786 .997 .802 r
F
.56939 .62461 m .54839 .63633 L .55149 .63291 L F
.40585 .54788 m .3857 .55512 L .40882 .54445 L .829 .997 .843 r
F
.40585 .54788 m .3827 .55859 L .3857 .55512 L F
.51223 .50671 m .49048 .51689 L .48589 .51549 L .647 .194 .162 r
F
.51678 .50809 m .49048 .51689 L .51223 .50671 L F
.47507 .67826 m .45282 .69068 L .44825 .6892 L .667 .244 .231 r
F
.47959 .67972 m .45282 .69068 L .47507 .67826 L F
.57246 .62123 m .5546 .62949 L .57555 .61785 L .786 .997 .802 r
F
.57246 .62123 m .55149 .63291 L .5546 .62949 L F
.40882 .54445 m .3887 .55165 L .4118 .54102 L .829 .997 .843 r
F
.40882 .54445 m .3857 .55512 L .3887 .55165 L F
.51678 .50809 m .49507 .51829 L .49048 .51689 L .647 .194 .162 r
F
.52132 .50947 m .49507 .51829 L .51678 .50809 L F
.47959 .67972 m .45739 .69217 L .45282 .69068 L .667 .244 .231 r
F
.48412 .68118 m .45739 .69217 L .47959 .67972 L F
.57555 .61785 m .55772 .62606 L .57863 .61446 L .786 .997 .802 r
F
.57555 .61785 m .5546 .62949 L .55772 .62606 L F
.4118 .54102 m .39171 .54817 L .41479 .53758 L .829 .997 .843 r
F
.4118 .54102 m .3887 .55165 L .39171 .54817 L F
.52132 .50947 m .49966 .51969 L .49507 .51829 L .647 .194 .162 r
F
.52588 .51085 m .49966 .51969 L .52132 .50947 L F
.48412 .68118 m .46197 .69366 L .45739 .69217 L .667 .244 .231 r
F
.48865 .68265 m .46197 .69366 L .48412 .68118 L F
.57863 .61446 m .56083 .62263 L .58172 .61106 L .786 .997 .802 r
F
.57863 .61446 m .55772 .62606 L .56083 .62263 L F
.52588 .51085 m .50427 .52109 L .49966 .51969 L .647 .194 .162 r
F
.53043 .51223 m .50427 .52109 L .52588 .51085 L F
.41479 .53758 m .39472 .54469 L .41777 .53414 L .829 .997 .843 r
F
.41479 .53758 m .39171 .54817 L .39472 .54469 L F
.48865 .68265 m .46655 .69516 L .46197 .69366 L .667 .244 .231 r
F
.49319 .68412 m .46655 .69516 L .48865 .68265 L F
.53043 .51223 m .50887 .52249 L .50427 .52109 L .647 .194 .162 r
F
.53499 .51361 m .50887 .52249 L .53043 .51223 L F
.49319 .68412 m .47114 .69665 L .46655 .69516 L .667 .244 .231 r
F
.49773 .68559 m .47114 .69665 L .49319 .68412 L F
.58023 .60624 m .56083 .62263 L .58172 .61106 L .923 .695 .575 r
F
.41777 .53414 m .39774 .54121 L .42076 .53069 L .829 .997 .843 r
F
.41777 .53414 m .39472 .54469 L .39774 .54121 L F
.58023 .60624 m .55932 .61775 L .56083 .62263 L .923 .695 .575 r
F
.57873 .60141 m .55932 .61775 L .58023 .60624 L F
.57873 .60141 m .5578 .61286 L .55932 .61775 L F
.57724 .59658 m .5578 .61286 L .57873 .60141 L F
.57724 .59658 m .55628 .60796 L .5578 .61286 L F
.57575 .59175 m .55628 .60796 L .57724 .59658 L F
.53499 .51361 m .51348 .5239 L .50887 .52249 L .647 .194 .162 r
F
.53956 .51499 m .51348 .5239 L .53499 .51361 L F
.49773 .68559 m .47573 .69814 L .47114 .69665 L .667 .244 .231 r
F
.50228 .68706 m .47573 .69814 L .49773 .68559 L F
.57575 .59175 m .55477 .60307 L .55628 .60796 L .923 .695 .575 r
F
.57425 .58692 m .55477 .60307 L .57575 .59175 L F
.57425 .58692 m .55325 .59818 L .55477 .60307 L F
.57276 .58209 m .55325 .59818 L .57425 .58692 L F
.42076 .53069 m .40076 .53772 L .42376 .52724 L .829 .997 .843 r
F
.42076 .53069 m .39774 .54121 L .40076 .53772 L F
.57276 .58209 m .55173 .59328 L .55325 .59818 L .923 .695 .575 r
F
.57126 .57725 m .55173 .59328 L .57276 .58209 L F
.53956 .51499 m .5181 .52531 L .51348 .5239 L .647 .194 .162 r
F
.54413 .51638 m .5181 .52531 L .53956 .51499 L F
.57126 .57725 m .55022 .58839 L .55173 .59328 L .923 .695 .575 r
F
.56976 .57242 m .55022 .58839 L .57126 .57725 L F
.50228 .68706 m .48032 .69964 L .47573 .69814 L .667 .244 .231 r
F
.50228 .68706 m .4834 .69625 L .50533 .6837 L .786 .997 .802 r
F
.50228 .68706 m .48032 .69964 L .4834 .69625 L F
.56976 .57242 m .5487 .58349 L .55022 .58839 L .923 .695 .575 r
F
.56827 .56758 m .5487 .58349 L .56976 .57242 L F
.56827 .56758 m .54718 .57859 L .5487 .58349 L F
.56677 .56274 m .54718 .57859 L .56827 .56758 L F
.56677 .56274 m .54566 .57369 L .54718 .57859 L F
.56527 .55791 m .54566 .57369 L .56677 .56274 L F
.42376 .52724 m .40378 .53423 L .42676 .52379 L .829 .997 .843 r
F
.42376 .52724 m .40076 .53772 L .40378 .53423 L F
.56527 .55791 m .54414 .56879 L .54566 .57369 L .923 .695 .575 r
F
.56378 .55307 m .54414 .56879 L .56527 .55791 L F
.54413 .51638 m .52271 .52671 L .5181 .52531 L .647 .194 .162 r
F
.5487 .51776 m .52271 .52671 L .54413 .51638 L F
.56378 .55307 m .54262 .56389 L .54414 .56879 L .923 .695 .575 r
F
.56228 .54822 m .54262 .56389 L .56378 .55307 L F
.50533 .6837 m .48647 .69286 L .50838 .68035 L .786 .997 .802 r
F
.50533 .6837 m .4834 .69625 L .48647 .69286 L F
.56228 .54822 m .5411 .55898 L .54262 .56389 L .923 .695 .575 r
F
.56078 .54338 m .5411 .55898 L .56228 .54822 L F
.56078 .54338 m .53958 .55408 L .5411 .55898 L F
.55928 .53854 m .53958 .55408 L .56078 .54338 L F
.55928 .53854 m .53806 .54917 L .53958 .55408 L F
.55778 .53369 m .53806 .54917 L .55928 .53854 L F
.5487 .51776 m .52734 .52812 L .52271 .52671 L .647 .194 .162 r
F
.55328 .51915 m .52734 .52812 L .5487 .51776 L F
.42676 .52379 m .40681 .53073 L .42976 .52033 L .829 .997 .843 r
F
.42676 .52379 m .40378 .53423 L .40681 .53073 L F
.55778 .53369 m .53653 .54426 L .53806 .54917 L .923 .695 .575 r
F
.55628 .52885 m .53653 .54426 L .55778 .53369 L F
.55628 .52885 m .53501 .53936 L .53653 .54426 L F
.55478 .524 m .53501 .53936 L .55628 .52885 L F
.50838 .68035 m .48955 .68946 L .51143 .67699 L .786 .997 .802 r
F
.50838 .68035 m .48647 .69286 L .48955 .68946 L F
.55478 .524 m .53349 .53445 L .53501 .53936 L .923 .695 .575 r
F
.55328 .51915 m .53349 .53445 L .55478 .524 L F
.55328 .51915 m .53197 .52953 L .53349 .53445 L F
.55328 .51915 m .53197 .52953 L .52734 .52812 L .647 .194 .162 r
F
.42976 .52033 m .40984 .52723 L .43276 .51686 L .829 .997 .843 r
F
.42976 .52033 m .40681 .53073 L .40984 .52723 L F
.51143 .67699 m .49264 .68606 L .51449 .67362 L .786 .997 .802 r
F
.51143 .67699 m .48955 .68946 L .49264 .68606 L F
.43276 .51686 m .41287 .52372 L .43577 .5134 L .829 .997 .843 r
F
.43276 .51686 m .40984 .52723 L .41287 .52372 L F
.51449 .67362 m .49573 .68266 L .51755 .67025 L .786 .997 .802 r
F
.51449 .67362 m .49264 .68606 L .49573 .68266 L F
.43577 .5134 m .41591 .52021 L .43879 .50992 L .829 .997 .843 r
F
.43577 .5134 m .41287 .52372 L .41591 .52021 L F
.51755 .67025 m .49882 .67925 L .52062 .66688 L .786 .997 .802 r
F
.51755 .67025 m .49573 .68266 L .49882 .67925 L F
.39831 .67294 m .37033 .68389 L .3938 .67147 L .667 .244 .231 r
F
.39228 .66663 m .37033 .68389 L .3938 .67147 L .91 .689 .591 r
F
.39228 .66663 m .36879 .67899 L .37033 .68389 L F
.39075 .66179 m .36879 .67899 L .39228 .66663 L F
.43879 .50992 m .41895 .51669 L .4418 .50645 L .829 .997 .843 r
F
.43879 .50992 m .41591 .52021 L .41895 .51669 L F
.39075 .66179 m .36724 .67408 L .36879 .67899 L .91 .689 .591 r
F
.38923 .65695 m .36724 .67408 L .39075 .66179 L F
.38923 .65695 m .36569 .66918 L .36724 .67408 L F
.3877 .6521 m .36569 .66918 L .38923 .65695 L F
.52062 .66688 m .50192 .67583 L .52369 .6635 L .786 .997 .802 r
F
.52062 .66688 m .49882 .67925 L .50192 .67583 L F
.39831 .67294 m .37489 .68538 L .37033 .68389 L .667 .244 .231 r
F
.40283 .67441 m .37489 .68538 L .39831 .67294 L F
.3877 .6521 m .36414 .66427 L .36569 .66918 L .91 .689 .591 r
F
.38618 .64726 m .36414 .66427 L .3877 .6521 L F
.38618 .64726 m .36259 .65936 L .36414 .66427 L F
.38465 .64241 m .36259 .65936 L .38618 .64726 L F
.38465 .64241 m .36104 .65445 L .36259 .65936 L F
.38313 .63756 m .36104 .65445 L .38465 .64241 L F
.4418 .50645 m .422 .51317 L .44482 .50297 L .829 .997 .843 r
F
.4418 .50645 m .41895 .51669 L .422 .51317 L F
.38313 .63756 m .35949 .64954 L .36104 .65445 L .91 .689 .591 r
F
.3816 .63271 m .35949 .64954 L .38313 .63756 L F
.40283 .67441 m .37946 .68688 L .37489 .68538 L .667 .244 .231 r
F
.40735 .67588 m .37946 .68688 L .40283 .67441 L F
.3816 .63271 m .35794 .64463 L .35949 .64954 L .91 .689 .591 r
F
.38007 .62786 m .35794 .64463 L .3816 .63271 L F
.52369 .6635 m .50502 .67241 L .52676 .66012 L .786 .997 .802 r
F
.52369 .6635 m .50192 .67583 L .50502 .67241 L F
.38007 .62786 m .35639 .63972 L .35794 .64463 L .91 .689 .591 r
F
.37854 .62301 m .35639 .63972 L .38007 .62786 L F
.37854 .62301 m .35484 .63481 L .35639 .63972 L F
.37702 .61816 m .35484 .63481 L .37854 .62301 L F
.37702 .61816 m .35329 .62989 L .35484 .63481 L F
.37549 .61331 m .35329 .62989 L .37702 .61816 L F
.44937 .50435 m .422 .51317 L .44482 .50297 L .647 .194 .162 r
F
.40735 .67588 m .38403 .68838 L .37946 .68688 L .667 .244 .231 r
F
.41188 .67735 m .38403 .68838 L .40735 .67588 L F
.37549 .61331 m .35174 .62497 L .35329 .62989 L .91 .689 .591 r
F
.37396 .60845 m .35174 .62497 L .37549 .61331 L F
.37396 .60845 m .35019 .62006 L .35174 .62497 L F
.37243 .60359 m .35019 .62006 L .37396 .60845 L F
.52676 .66012 m .50812 .66899 L .52984 .65673 L .786 .997 .802 r
F
.52676 .66012 m .50502 .67241 L .50812 .66899 L F
.37243 .60359 m .34864 .61514 L .35019 .62006 L .91 .689 .591 r
F
.3709 .59874 m .34864 .61514 L .37243 .60359 L F
.3709 .59874 m .34708 .61022 L .34864 .61514 L F
.36937 .59388 m .34708 .61022 L .3709 .59874 L F
.44937 .50435 m .42659 .51458 L .422 .51317 L .647 .194 .162 r
F
.45392 .50574 m .42659 .51458 L .44937 .50435 L F
.41188 .67735 m .3886 .68988 L .38403 .68838 L .667 .244 .231 r
F
.41641 .67883 m .3886 .68988 L .41188 .67735 L F
.36937 .59388 m .34553 .6053 L .34708 .61022 L .91 .689 .591 r
F
.36784 .58902 m .34553 .6053 L .36937 .59388 L F
.36784 .58902 m .34398 .60037 L .34553 .6053 L F
.36631 .58416 m .34398 .60037 L .36784 .58902 L F
.36631 .58416 m .34242 .59545 L .34398 .60037 L F
.36478 .57929 m .34242 .59545 L .36631 .58416 L F
.52984 .65673 m .51123 .66556 L .53292 .65334 L .786 .997 .802 r
F
.52984 .65673 m .50812 .66899 L .51123 .66556 L F
.36478 .57929 m .34087 .59052 L .34242 .59545 L .91 .689 .591 r
F
.36478 .57929 m .34387 .58704 L .36776 .57585 L .829 .997 .843 r
F
.36478 .57929 m .34087 .59052 L .34387 .58704 L F
.45392 .50574 m .43119 .51599 L .42659 .51458 L .647 .194 .162 r
F
.45847 .50713 m .43119 .51599 L .45392 .50574 L F
.41641 .67883 m .39318 .69138 L .3886 .68988 L .667 .244 .231 r
F
.42094 .68031 m .39318 .69138 L .41641 .67883 L F
.53292 .65334 m .51434 .66213 L .53601 .64995 L .786 .997 .802 r
F
.53292 .65334 m .51123 .66556 L .51434 .66213 L F
.45847 .50713 m .43579 .5174 L .43119 .51599 L .647 .194 .162 r
F
.46303 .50852 m .43579 .5174 L .45847 .50713 L F
.42094 .68031 m .39776 .69288 L .39318 .69138 L .667 .244 .231 r
F
.42548 .68178 m .39776 .69288 L .42094 .68031 L F
.36776 .57585 m .34688 .58356 L .37074 .57241 L .829 .997 .843 r
F
.36776 .57585 m .34387 .58704 L .34688 .58356 L F
.46303 .50852 m .4404 .51882 L .43579 .5174 L .647 .194 .162 r
F
.46759 .50991 m .4404 .51882 L .46303 .50852 L F
.42548 .68178 m .40235 .69439 L .39776 .69288 L .667 .244 .231 r
F
.43003 .68326 m .40235 .69439 L .42548 .68178 L F
.53601 .64995 m .51746 .65869 L .5391 .64655 L .786 .997 .802 r
F
.53601 .64995 m .51434 .66213 L .51746 .65869 L F
.37074 .57241 m .34988 .58007 L .37372 .56896 L .829 .997 .843 r
F
.37074 .57241 m .34688 .58356 L .34988 .58007 L F
.46759 .50991 m .44501 .52023 L .4404 .51882 L .647 .194 .162 r
F
.47216 .5113 m .44501 .52023 L .46759 .50991 L F
.43003 .68326 m .40694 .69589 L .40235 .69439 L .667 .244 .231 r
F
.43458 .68475 m .40694 .69589 L .43003 .68326 L F
.5391 .64655 m .52058 .65525 L .54219 .64315 L .786 .997 .802 r
F
.5391 .64655 m .51746 .65869 L .52058 .65525 L F
.37372 .56896 m .3529 .57658 L .37671 .56551 L .829 .997 .843 r
F
.37372 .56896 m .34988 .58007 L .3529 .57658 L F
.47216 .5113 m .44963 .52165 L .44501 .52023 L .647 .194 .162 r
F
.47673 .5127 m .44963 .52165 L .47216 .5113 L F
.43458 .68475 m .41154 .6974 L .40694 .69589 L .667 .244 .231 r
F
.43913 .68623 m .41154 .6974 L .43458 .68475 L F
.54219 .64315 m .5237 .65181 L .54529 .63974 L .786 .997 .802 r
F
.54219 .64315 m .52058 .65525 L .5237 .65181 L F
.37671 .56551 m .35591 .57308 L .3797 .56205 L .829 .997 .843 r
F
.37671 .56551 m .3529 .57658 L .35591 .57308 L F
.47673 .5127 m .45425 .52307 L .44963 .52165 L .647 .194 .162 r
F
.48131 .51409 m .45425 .52307 L .47673 .5127 L F
.43913 .68623 m .41614 .69891 L .41154 .6974 L .667 .244 .231 r
F
.44369 .68771 m .41614 .69891 L .43913 .68623 L F
.54529 .63974 m .52683 .64836 L .54839 .63633 L .786 .997 .802 r
F
.54529 .63974 m .5237 .65181 L .52683 .64836 L F
.48131 .51409 m .45888 .52449 L .45425 .52307 L .647 .194 .162 r
F
.48589 .51549 m .45888 .52449 L .48131 .51409 L F
.44369 .68771 m .42075 .70042 L .41614 .69891 L .667 .244 .231 r
F
.44825 .6892 m .42075 .70042 L .44369 .68771 L F
.3797 .56205 m .35893 .56958 L .3827 .55859 L .829 .997 .843 r
F
.3797 .56205 m .35591 .57308 L .35893 .56958 L F
.48589 .51549 m .46351 .52591 L .45888 .52449 L .647 .194 .162 r
F
.49048 .51689 m .46351 .52591 L .48589 .51549 L F
.44825 .6892 m .42536 .70193 L .42075 .70042 L .667 .244 .231 r
F
.45282 .69068 m .42536 .70193 L .44825 .6892 L F
.54839 .63633 m .52996 .6449 L .55149 .63291 L .786 .997 .802 r
F
.54839 .63633 m .52683 .64836 L .52996 .6449 L F
.3827 .55859 m .36196 .56608 L .3857 .55512 L .829 .997 .843 r
F
.3827 .55859 m .35893 .56958 L .36196 .56608 L F
.49048 .51689 m .46814 .52733 L .46351 .52591 L .647 .194 .162 r
F
.49507 .51829 m .46814 .52733 L .49048 .51689 L F
.45282 .69068 m .42998 .70345 L .42536 .70193 L .667 .244 .231 r
F
.45739 .69217 m .42998 .70345 L .45282 .69068 L F
.55149 .63291 m .5331 .64144 L .5546 .62949 L .786 .997 .802 r
F
.55149 .63291 m .52996 .6449 L .5331 .64144 L F
.3857 .55512 m .36499 .56257 L .3887 .55165 L .829 .997 .843 r
F
.3857 .55512 m .36196 .56608 L .36499 .56257 L F
.49507 .51829 m .47278 .52875 L .46814 .52733 L .647 .194 .162 r
F
.49966 .51969 m .47278 .52875 L .49507 .51829 L F
.45739 .69217 m .4346 .70496 L .42998 .70345 L .667 .244 .231 r
F
.46197 .69366 m .4346 .70496 L .45739 .69217 L F
.5546 .62949 m .53624 .63798 L .55772 .62606 L .786 .997 .802 r
F
.5546 .62949 m .5331 .64144 L .53624 .63798 L F
.3887 .55165 m .36802 .55905 L .39171 .54817 L .829 .997 .843 r
F
.3887 .55165 m .36499 .56257 L .36802 .55905 L F
.49966 .51969 m .47743 .53018 L .47278 .52875 L .647 .194 .162 r
F
.50427 .52109 m .47743 .53018 L .49966 .51969 L F
.46197 .69366 m .43923 .70648 L .4346 .70496 L .667 .244 .231 r
F
.46655 .69516 m .43923 .70648 L .46197 .69366 L F
.55772 .62606 m .53939 .63451 L .56083 .62263 L .786 .997 .802 r
F
.55772 .62606 m .53624 .63798 L .53939 .63451 L F
.50427 .52109 m .48208 .5316 L .47743 .53018 L .647 .194 .162 r
F
.50887 .52249 m .48208 .5316 L .50427 .52109 L F
.46655 .69516 m .44386 .708 L .43923 .70648 L .667 .244 .231 r
F
.47114 .69665 m .44386 .708 L .46655 .69516 L F
.39171 .54817 m .37106 .55553 L .39472 .54469 L .829 .997 .843 r
F
.39171 .54817 m .36802 .55905 L .37106 .55553 L F
.50887 .52249 m .48673 .53303 L .48208 .5316 L .647 .194 .162 r
F
.51348 .5239 m .48673 .53303 L .50887 .52249 L F
.47114 .69665 m .44849 .70952 L .44386 .708 L .667 .244 .231 r
F
.47573 .69814 m .44849 .70952 L .47114 .69665 L F
.55932 .61775 m .53939 .63451 L .56083 .62263 L .923 .695 .575 r
F
.39472 .54469 m .3741 .55201 L .39774 .54121 L .829 .997 .843 r
F
.39472 .54469 m .37106 .55553 L .3741 .55201 L F
.55932 .61775 m .53785 .62956 L .53939 .63451 L .923 .695 .575 r
F
.5578 .61286 m .53785 .62956 L .55932 .61775 L F
.5578 .61286 m .53631 .62461 L .53785 .62956 L F
.55628 .60796 m .53631 .62461 L .5578 .61286 L F
.55628 .60796 m .53477 .61965 L .53631 .62461 L F
.55477 .60307 m .53477 .61965 L .55628 .60796 L F
.51348 .5239 m .49139 .53446 L .48673 .53303 L .647 .194 .162 r
F
.5181 .52531 m .49139 .53446 L .51348 .5239 L F
.47573 .69814 m .45313 .71104 L .44849 .70952 L .667 .244 .231 r
F
.48032 .69964 m .45313 .71104 L .47573 .69814 L F
.55477 .60307 m .53323 .6147 L .53477 .61965 L .923 .695 .575 r
F
.55325 .59818 m .53323 .6147 L .55477 .60307 L F
.55325 .59818 m .53169 .60974 L .53323 .6147 L F
.55173 .59328 m .53169 .60974 L .55325 .59818 L F
.39774 .54121 m .37714 .54848 L .40076 .53772 L .829 .997 .843 r
F
.39774 .54121 m .3741 .55201 L .37714 .54848 L F
.55173 .59328 m .53015 .60478 L .53169 .60974 L .923 .695 .575 r
F
.55022 .58839 m .53015 .60478 L .55173 .59328 L F
.55022 .58839 m .52861 .59982 L .53015 .60478 L F
.5487 .58349 m .52861 .59982 L .55022 .58839 L F
.5181 .52531 m .49606 .53589 L .49139 .53446 L .647 .194 .162 r
F
.52271 .52671 m .49606 .53589 L .5181 .52531 L F
.48032 .69964 m .45778 .71256 L .45313 .71104 L .667 .244 .231 r
F
.48032 .69964 m .46088 .70913 L .4834 .69625 L .786 .997 .802 r
F
.48032 .69964 m .45778 .71256 L .46088 .70913 L F
.5487 .58349 m .52707 .59486 L .52861 .59982 L .923 .695 .575 r
F
.54718 .57859 m .52707 .59486 L .5487 .58349 L F
.54718 .57859 m .52552 .58989 L .52707 .59486 L F
.54566 .57369 m .52552 .58989 L .54718 .57859 L F
.54566 .57369 m .52398 .58493 L .52552 .58989 L F
.54414 .56879 m .52398 .58493 L .54566 .57369 L F
.40076 .53772 m .38019 .54495 L .40378 .53423 L .829 .997 .843 r
F
.40076 .53772 m .37714 .54848 L .38019 .54495 L F
.54414 .56879 m .52244 .57997 L .52398 .58493 L .923 .695 .575 r
F
.54262 .56389 m .52244 .57997 L .54414 .56879 L F
.52271 .52671 m .50073 .53733 L .49606 .53589 L .647 .194 .162 r
F
.52734 .52812 m .50073 .53733 L .52271 .52671 L F
.54262 .56389 m .5209 .575 L .52244 .57997 L .923 .695 .575 r
F
.5411 .55898 m .5209 .575 L .54262 .56389 L F
.4834 .69625 m .46398 .70571 L .48647 .69286 L .786 .997 .802 r
F
.4834 .69625 m .46088 .70913 L .46398 .70571 L F
.5411 .55898 m .51935 .57003 L .5209 .575 L .923 .695 .575 r
F
.53958 .55408 m .51935 .57003 L .5411 .55898 L F
.53958 .55408 m .51781 .56506 L .51935 .57003 L F
.53806 .54917 m .51781 .56506 L .53958 .55408 L F
.53806 .54917 m .51626 .56009 L .51781 .56506 L F
.53653 .54426 m .51626 .56009 L .53806 .54917 L F
.52734 .52812 m .5054 .53876 L .50073 .53733 L .647 .194 .162 r
F
.53197 .52953 m .5054 .53876 L .52734 .52812 L F
.40378 .53423 m .38324 .54141 L .40681 .53073 L .829 .997 .843 r
F
.40378 .53423 m .38019 .54495 L .38324 .54141 L F
.53653 .54426 m .51472 .55512 L .51626 .56009 L .923 .695 .575 r
F
.53501 .53936 m .51472 .55512 L .53653 .54426 L F
.53501 .53936 m .51317 .55015 L .51472 .55512 L F
.53349 .53445 m .51317 .55015 L .53501 .53936 L F
.48647 .69286 m .46709 .70227 L .48955 .68946 L .786 .997 .802 r
F
.48647 .69286 m .46398 .70571 L .46709 .70227 L F
.53349 .53445 m .51163 .54517 L .51317 .55015 L .923 .695 .575 r
F
.53197 .52953 m .51163 .54517 L .53349 .53445 L F
.53197 .52953 m .51008 .5402 L .51163 .54517 L F
.53197 .52953 m .51008 .5402 L .5054 .53876 L .647 .194 .162 r
F
.40681 .53073 m .3863 .53787 L .40984 .52723 L .829 .997 .843 r
F
.40681 .53073 m .38324 .54141 L .3863 .53787 L F
.48955 .68946 m .4702 .69883 L .49264 .68606 L .786 .997 .802 r
F
.48955 .68946 m .46709 .70227 L .4702 .69883 L F
.40984 .52723 m .38936 .53432 L .41287 .52372 L .829 .997 .843 r
F
.40984 .52723 m .3863 .53787 L .38936 .53432 L F
.49264 .68606 m .47332 .69539 L .49573 .68266 L .786 .997 .802 r
F
.49264 .68606 m .4702 .69883 L .47332 .69539 L F
.41287 .52372 m .39242 .53077 L .41591 .52021 L .829 .997 .843 r
F
.41287 .52372 m .38936 .53432 L .39242 .53077 L F
.49573 .68266 m .47644 .69194 L .49882 .67925 L .786 .997 .802 r
F
.49573 .68266 m .47332 .69539 L .47644 .69194 L F
.36879 .67899 m .34623 .69664 L .37033 .68389 L .91 .689 .591 r
F
.37489 .68538 m .34623 .69664 L .37033 .68389 L .667 .244 .231 r
F
.36879 .67899 m .34466 .69168 L .34623 .69664 L .91 .689 .591 r
F
.36724 .67408 m .34466 .69168 L .36879 .67899 L F
.41591 .52021 m .39549 .52721 L .41895 .51669 L .829 .997 .843 r
F
.41591 .52021 m .39242 .53077 L .39549 .52721 L F
.36724 .67408 m .34309 .68671 L .34466 .69168 L .91 .689 .591 r
F
.36569 .66918 m .34309 .68671 L .36724 .67408 L F
.36569 .66918 m .34152 .68174 L .34309 .68671 L F
.36414 .66427 m .34152 .68174 L .36569 .66918 L F
.49882 .67925 m .47956 .68849 L .50192 .67583 L .786 .997 .802 r
F
.49882 .67925 m .47644 .69194 L .47956 .68849 L F
.37489 .68538 m .35084 .69817 L .34623 .69664 L .667 .244 .231 r
F
.37946 .68688 m .35084 .69817 L .37489 .68538 L F
.36414 .66427 m .33995 .67677 L .34152 .68174 L .91 .689 .591 r
F
.36259 .65936 m .33995 .67677 L .36414 .66427 L F
.36259 .65936 m .33838 .6718 L .33995 .67677 L F
.36104 .65445 m .33838 .6718 L .36259 .65936 L F
.36104 .65445 m .3368 .66682 L .33838 .6718 L F
.35949 .64954 m .3368 .66682 L .36104 .65445 L F
.41895 .51669 m .39856 .52365 L .422 .51317 L .829 .997 .843 r
F
.41895 .51669 m .39549 .52721 L .39856 .52365 L F
.35949 .64954 m .33523 .66185 L .3368 .66682 L .91 .689 .591 r
F
.35794 .64463 m .33523 .66185 L .35949 .64954 L F
.37946 .68688 m .35546 .69969 L .35084 .69817 L .667 .244 .231 r
F
.38403 .68838 m .35546 .69969 L .37946 .68688 L F
.35794 .64463 m .33366 .65687 L .33523 .66185 L .91 .689 .591 r
F
.35639 .63972 m .33366 .65687 L .35794 .64463 L F
.50192 .67583 m .48269 .68503 L .50502 .67241 L .786 .997 .802 r
F
.50192 .67583 m .47956 .68849 L .48269 .68503 L F
.35639 .63972 m .33208 .6519 L .33366 .65687 L .91 .689 .591 r
F
.35484 .63481 m .33208 .6519 L .35639 .63972 L F
.35484 .63481 m .33051 .64692 L .33208 .6519 L F
.35329 .62989 m .33051 .64692 L .35484 .63481 L F
.35329 .62989 m .32893 .64194 L .33051 .64692 L F
.35174 .62497 m .32893 .64194 L .35329 .62989 L F
.42659 .51458 m .39856 .52365 L .422 .51317 L .647 .194 .162 r
F
.38403 .68838 m .36007 .70121 L .35546 .69969 L .667 .244 .231 r
F
.3886 .68988 m .36007 .70121 L .38403 .68838 L F
.35174 .62497 m .32736 .63696 L .32893 .64194 L .91 .689 .591 r
F
.35019 .62006 m .32736 .63696 L .35174 .62497 L F
.35019 .62006 m .32578 .63197 L .32736 .63696 L F
.34864 .61514 m .32578 .63197 L .35019 .62006 L F
.50502 .67241 m .48582 .68157 L .50812 .66899 L .786 .997 .802 r
F
.50502 .67241 m .48269 .68503 L .48582 .68157 L F
.34864 .61514 m .3242 .62699 L .32578 .63197 L .91 .689 .591 r
F
.34708 .61022 m .3242 .62699 L .34864 .61514 L F
.34708 .61022 m .32263 .62201 L .3242 .62699 L F
.34553 .6053 m .32263 .62201 L .34708 .61022 L F
.42659 .51458 m .4032 .52509 L .39856 .52365 L .647 .194 .162 r
F
.43119 .51599 m .4032 .52509 L .42659 .51458 L F
.34553 .6053 m .32105 .61702 L .32263 .62201 L .91 .689 .591 r
F
.34398 .60037 m .32105 .61702 L .34553 .6053 L F
.3886 .68988 m .3647 .70274 L .36007 .70121 L .667 .244 .231 r
F
.39318 .69138 m .3647 .70274 L .3886 .68988 L F
.34398 .60037 m .31947 .61203 L .32105 .61702 L .91 .689 .591 r
F
.34242 .59545 m .31947 .61203 L .34398 .60037 L F
.34242 .59545 m .31789 .60704 L .31947 .61203 L F
.34087 .59052 m .31789 .60704 L .34242 .59545 L F
.50812 .66899 m .48895 .67811 L .51123 .66556 L .786 .997 .802 r
F
.50812 .66899 m .48582 .68157 L .48895 .67811 L F
.34087 .59052 m .31632 .60205 L .31789 .60704 L .91 .689 .591 r
F
.34087 .59052 m .31934 .59854 L .34387 .58704 L .829 .997 .843 r
F
.34087 .59052 m .31632 .60205 L .31934 .59854 L F
.43119 .51599 m .40785 .52652 L .4032 .52509 L .647 .194 .162 r
F
.43579 .5174 m .40785 .52652 L .43119 .51599 L F
.39318 .69138 m .36932 .70427 L .3647 .70274 L .667 .244 .231 r
F
.39776 .69288 m .36932 .70427 L .39318 .69138 L F
.51123 .66556 m .49209 .67464 L .51434 .66213 L .786 .997 .802 r
F
.51123 .66556 m .48895 .67811 L .49209 .67464 L F
.43579 .5174 m .4125 .52796 L .40785 .52652 L .647 .194 .162 r
F
.4404 .51882 m .4125 .52796 L .43579 .5174 L F
.39776 .69288 m .37396 .7058 L .36932 .70427 L .667 .244 .231 r
F
.40235 .69439 m .37396 .7058 L .39776 .69288 L F
.34387 .58704 m .32237 .59501 L .34688 .58356 L .829 .997 .843 r
F
.34387 .58704 m .31934 .59854 L .32237 .59501 L F
.4404 .51882 m .41716 .5294 L .4125 .52796 L .647 .194 .162 r
F
.44501 .52023 m .41716 .5294 L .4404 .51882 L F
.40235 .69439 m .37859 .70733 L .37396 .7058 L .667 .244 .231 r
F
.40694 .69589 m .37859 .70733 L .40235 .69439 L F
.51434 .66213 m .49524 .67116 L .51746 .65869 L .786 .997 .802 r
F
.51434 .66213 m .49209 .67464 L .49524 .67116 L F
.34688 .58356 m .3254 .59149 L .34988 .58007 L .829 .997 .843 r
F
.34688 .58356 m .32237 .59501 L .3254 .59149 L F
.44501 .52023 m .42182 .53083 L .41716 .5294 L .647 .194 .162 r
F
.44963 .52165 m .42182 .53083 L .44501 .52023 L F
.40694 .69589 m .38324 .70886 L .37859 .70733 L .667 .244 .231 r
F
.41154 .6974 m .38324 .70886 L .40694 .69589 L F
.51746 .65869 m .49839 .66768 L .52058 .65525 L .786 .997 .802 r
F
.51746 .65869 m .49524 .67116 L .49839 .66768 L F
.34988 .58007 m .32844 .58795 L .3529 .57658 L .829 .997 .843 r
F
.34988 .58007 m .3254 .59149 L .32844 .58795 L F
.44963 .52165 m .42649 .53228 L .42182 .53083 L .647 .194 .162 r
F
.45425 .52307 m .42649 .53228 L .44963 .52165 L F
.41154 .6974 m .38788 .7104 L .38324 .70886 L .667 .244 .231 r
F
.41614 .69891 m .38788 .7104 L .41154 .6974 L F
.52058 .65525 m .50154 .6642 L .5237 .65181 L .786 .997 .802 r
F
.52058 .65525 m .49839 .66768 L .50154 .6642 L F
.3529 .57658 m .33148 .58442 L .35591 .57308 L .829 .997 .843 r
F
.3529 .57658 m .32844 .58795 L .33148 .58442 L F
.45425 .52307 m .43116 .53372 L .42649 .53228 L .647 .194 .162 r
F
.45888 .52449 m .43116 .53372 L .45425 .52307 L F
.41614 .69891 m .39254 .71193 L .38788 .7104 L .667 .244 .231 r
F
.42075 .70042 m .39254 .71193 L .41614 .69891 L F
.5237 .65181 m .50469 .66071 L .52683 .64836 L .786 .997 .802 r
F
.5237 .65181 m .50154 .6642 L .50469 .66071 L F
.45888 .52449 m .43584 .53516 L .43116 .53372 L .647 .194 .162 r
F
.46351 .52591 m .43584 .53516 L .45888 .52449 L F
.42075 .70042 m .39719 .71347 L .39254 .71193 L .667 .244 .231 r
F
.42536 .70193 m .39719 .71347 L .42075 .70042 L F
.35591 .57308 m .33453 .58088 L .35893 .56958 L .829 .997 .843 r
F
.35591 .57308 m .33148 .58442 L .33453 .58088 L F
.46351 .52591 m .44052 .53661 L .43584 .53516 L .647 .194 .162 r
F
.46814 .52733 m .44052 .53661 L .46351 .52591 L F
.42536 .70193 m .40185 .71501 L .39719 .71347 L .667 .244 .231 r
F
.42998 .70345 m .40185 .71501 L .42536 .70193 L F
.52683 .64836 m .50785 .65722 L .52996 .6449 L .786 .997 .802 r
F
.52683 .64836 m .50469 .66071 L .50785 .65722 L F
.35893 .56958 m .33758 .57733 L .36196 .56608 L .829 .997 .843 r
F
.35893 .56958 m .33453 .58088 L .33758 .57733 L F
.46814 .52733 m .4452 .53805 L .44052 .53661 L .647 .194 .162 r
F
.47278 .52875 m .4452 .53805 L .46814 .52733 L F
.42998 .70345 m .40652 .71655 L .40185 .71501 L .667 .244 .231 r
F
.4346 .70496 m .40652 .71655 L .42998 .70345 L F
.52996 .6449 m .51102 .65372 L .5331 .64144 L .786 .997 .802 r
F
.52996 .6449 m .50785 .65722 L .51102 .65372 L F
.36196 .56608 m .34063 .57378 L .36499 .56257 L .829 .997 .843 r
F
.36196 .56608 m .33758 .57733 L .34063 .57378 L F
.47278 .52875 m .44989 .5395 L .4452 .53805 L .647 .194 .162 r
F
.47743 .53018 m .44989 .5395 L .47278 .52875 L F
.4346 .70496 m .41119 .71809 L .40652 .71655 L .667 .244 .231 r
F
.43923 .70648 m .41119 .71809 L .4346 .70496 L F
.5331 .64144 m .51419 .65022 L .53624 .63798 L .786 .997 .802 r
F
.5331 .64144 m .51102 .65372 L .51419 .65022 L F
.36499 .56257 m .34369 .57023 L .36802 .55905 L .829 .997 .843 r
F
.36499 .56257 m .34063 .57378 L .34369 .57023 L F
.47743 .53018 m .45459 .54095 L .44989 .5395 L .647 .194 .162 r
F
.48208 .5316 m .45459 .54095 L .47743 .53018 L F
.43923 .70648 m .41587 .71964 L .41119 .71809 L .667 .244 .231 r
F
.44386 .708 m .41587 .71964 L .43923 .70648 L F
.53624 .63798 m .51736 .64671 L .53939 .63451 L .786 .997 .802 r
F
.53624 .63798 m .51419 .65022 L .51736 .64671 L F
.48208 .5316 m .45929 .54241 L .45459 .54095 L .647 .194 .162 r
F
.48673 .53303 m .45929 .54241 L .48208 .5316 L F
.44386 .708 m .42055 .72118 L .41587 .71964 L .667 .244 .231 r
F
.44849 .70952 m .42055 .72118 L .44386 .708 L F
.36802 .55905 m .34675 .56667 L .37106 .55553 L .829 .997 .843 r
F
.36802 .55905 m .34369 .57023 L .34675 .56667 L F
.48673 .53303 m .464 .54386 L .45929 .54241 L .647 .194 .162 r
F
.49139 .53446 m .464 .54386 L .48673 .53303 L F
.44849 .70952 m .42524 .72273 L .42055 .72118 L .667 .244 .231 r
F
.45313 .71104 m .42524 .72273 L .44849 .70952 L F
.53785 .62956 m .51736 .64671 L .53939 .63451 L .923 .695 .575 r
F
.37106 .55553 m .34981 .5631 L .3741 .55201 L .829 .997 .843 r
F
.37106 .55553 m .34675 .56667 L .34981 .5631 L F
.53785 .62956 m .5158 .64169 L .51736 .64671 L .923 .695 .575 r
F
.53631 .62461 m .5158 .64169 L .53785 .62956 L F
.53631 .62461 m .51424 .63668 L .5158 .64169 L F
.53477 .61965 m .51424 .63668 L .53631 .62461 L F
.53477 .61965 m .51267 .63166 L .51424 .63668 L F
.53323 .6147 m .51267 .63166 L .53477 .61965 L F
.49139 .53446 m .46871 .54531 L .464 .54386 L .647 .194 .162 r
F
.49606 .53589 m .46871 .54531 L .49139 .53446 L F
.45313 .71104 m .42993 .72428 L .42524 .72273 L .667 .244 .231 r
F
.45778 .71256 m .42993 .72428 L .45313 .71104 L F
.53323 .6147 m .51111 .62663 L .51267 .63166 L .923 .695 .575 r
F
.53169 .60974 m .51111 .62663 L .53323 .6147 L F
.53169 .60974 m .50954 .62161 L .51111 .62663 L F
.53015 .60478 m .50954 .62161 L .53169 .60974 L F
.3741 .55201 m .35288 .55953 L .37714 .54848 L .829 .997 .843 r
F
.3741 .55201 m .34981 .5631 L .35288 .55953 L F
.53015 .60478 m .50798 .61659 L .50954 .62161 L .923 .695 .575 r
F
.52861 .59982 m .50798 .61659 L .53015 .60478 L F
.52861 .59982 m .50642 .61156 L .50798 .61659 L F
.52707 .59486 m .50642 .61156 L .52861 .59982 L F
.49606 .53589 m .47343 .54677 L .46871 .54531 L .647 .194 .162 r
F
.50073 .53733 m .47343 .54677 L .49606 .53589 L F
.45778 .71256 m .43462 .72583 L .42993 .72428 L .667 .244 .231 r
F
.45778 .71256 m .43775 .72237 L .46088 .70913 L .786 .997 .802 r
F
.45778 .71256 m .43462 .72583 L .43775 .72237 L F
.52707 .59486 m .50485 .60653 L .50642 .61156 L .923 .695 .575 r
F
.52552 .58989 m .50485 .60653 L .52707 .59486 L F
.52552 .58989 m .50328 .6015 L .50485 .60653 L F
.52398 .58493 m .50328 .6015 L .52552 .58989 L F
.52398 .58493 m .50172 .59647 L .50328 .6015 L F
.52244 .57997 m .50172 .59647 L .52398 .58493 L F
.37714 .54848 m .35596 .55596 L .38019 .54495 L .829 .997 .843 r
F
.37714 .54848 m .35288 .55953 L .35596 .55596 L F
.52244 .57997 m .50015 .59144 L .50172 .59647 L .923 .695 .575 r
F
.5209 .575 m .50015 .59144 L .52244 .57997 L F
.50073 .53733 m .47815 .54823 L .47343 .54677 L .647 .194 .162 r
F
.5054 .53876 m .47815 .54823 L .50073 .53733 L F
.5209 .575 m .49858 .58641 L .50015 .59144 L .923 .695 .575 r
F
.51935 .57003 m .49858 .58641 L .5209 .575 L F
.46088 .70913 m .44088 .7189 L .46398 .70571 L .786 .997 .802 r
F
.46088 .70913 m .43775 .72237 L .44088 .7189 L F
.51935 .57003 m .49702 .58138 L .49858 .58641 L .923 .695 .575 r
F
.51781 .56506 m .49702 .58138 L .51935 .57003 L F
.51781 .56506 m .49545 .57634 L .49702 .58138 L F
.51626 .56009 m .49545 .57634 L .51781 .56506 L F
.51626 .56009 m .49388 .57131 L .49545 .57634 L F
.51472 .55512 m .49388 .57131 L .51626 .56009 L F
.5054 .53876 m .48287 .54969 L .47815 .54823 L .647 .194 .162 r
F
.51008 .5402 m .48287 .54969 L .5054 .53876 L F
.38019 .54495 m .35903 .55238 L .38324 .54141 L .829 .997 .843 r
F
.38019 .54495 m .35596 .55596 L .35903 .55238 L F
.51472 .55512 m .49231 .56627 L .49388 .57131 L .923 .695 .575 r
F
.51317 .55015 m .49231 .56627 L .51472 .55512 L F
.51317 .55015 m .49074 .56123 L .49231 .56627 L F
.51163 .54517 m .49074 .56123 L .51317 .55015 L F
.46398 .70571 m .44401 .71543 L .46709 .70227 L .786 .997 .802 r
F
.46398 .70571 m .44088 .7189 L .44401 .71543 L F
.51163 .54517 m .48917 .55619 L .49074 .56123 L .923 .695 .575 r
F
.51008 .5402 m .48917 .55619 L .51163 .54517 L F
.51008 .5402 m .4876 .55115 L .48917 .55619 L F
.51008 .5402 m .4876 .55115 L .48287 .54969 L .647 .194 .162 r
F
.38324 .54141 m .36212 .5488 L .3863 .53787 L .829 .997 .843 r
F
.38324 .54141 m .35903 .55238 L .36212 .5488 L F
.46709 .70227 m .44715 .71195 L .4702 .69883 L .786 .997 .802 r
F
.46709 .70227 m .44401 .71543 L .44715 .71195 L F
.3863 .53787 m .3652 .54521 L .38936 .53432 L .829 .997 .843 r
F
.3863 .53787 m .36212 .5488 L .3652 .54521 L F
.4702 .69883 m .4503 .70847 L .47332 .69539 L .786 .997 .802 r
F
.4702 .69883 m .44715 .71195 L .4503 .70847 L F
.38936 .53432 m .36829 .54162 L .39242 .53077 L .829 .997 .843 r
F
.38936 .53432 m .3652 .54521 L .36829 .54162 L F
.47332 .69539 m .45344 .70498 L .47644 .69194 L .786 .997 .802 r
F
.47332 .69539 m .4503 .70847 L .45344 .70498 L F
.34466 .69168 m .32148 .70974 L .34623 .69664 L .91 .689 .591 r
F
.35084 .69817 m .32148 .70974 L .34623 .69664 L .667 .244 .231 r
F
.34466 .69168 m .31989 .70471 L .32148 .70974 L .91 .689 .591 r
F
.34309 .68671 m .31989 .70471 L .34466 .69168 L F
.39242 .53077 m .37138 .53802 L .39549 .52721 L .829 .997 .843 r
F
.39242 .53077 m .36829 .54162 L .37138 .53802 L F
.34309 .68671 m .31829 .69968 L .31989 .70471 L .91 .689 .591 r
F
.34152 .68174 m .31829 .69968 L .34309 .68671 L F
.34152 .68174 m .31669 .69464 L .31829 .69968 L F
.33995 .67677 m .31669 .69464 L .34152 .68174 L F
.47644 .69194 m .45659 .70149 L .47956 .68849 L .786 .997 .802 r
F
.47644 .69194 m .45344 .70498 L .45659 .70149 L F
.33995 .67677 m .3151 .68961 L .31669 .69464 L .91 .689 .591 r
F
.33838 .6718 m .3151 .68961 L .33995 .67677 L F
.35084 .69817 m .32614 .71129 L .32148 .70974 L .667 .244 .231 r
F
.35546 .69969 m .32614 .71129 L .35084 .69817 L F
.33838 .6718 m .3135 .68457 L .3151 .68961 L .91 .689 .591 r
F
.3368 .66682 m .3135 .68457 L .33838 .6718 L F
.3368 .66682 m .3119 .67953 L .3135 .68457 L F
.33523 .66185 m .3119 .67953 L .3368 .66682 L F
.39549 .52721 m .37448 .53442 L .39856 .52365 L .829 .997 .843 r
F
.39549 .52721 m .37138 .53802 L .37448 .53442 L F
.33523 .66185 m .3103 .67449 L .3119 .67953 L .91 .689 .591 r
F
.33366 .65687 m .3103 .67449 L .33523 .66185 L F
.35546 .69969 m .3308 .71284 L .32614 .71129 L .667 .244 .231 r
F
.36007 .70121 m .3308 .71284 L .35546 .69969 L F
.33366 .65687 m .3087 .66945 L .3103 .67449 L .91 .689 .591 r
F
.33208 .6519 m .3087 .66945 L .33366 .65687 L F
.47956 .68849 m .45975 .698 L .48269 .68503 L .786 .997 .802 r
F
.47956 .68849 m .45659 .70149 L .45975 .698 L F
.33208 .6519 m .30711 .6644 L .3087 .66945 L .91 .689 .591 r
F
.33051 .64692 m .30711 .6644 L .33208 .6519 L F
.33051 .64692 m .30551 .65936 L .30711 .6644 L F
.32893 .64194 m .30551 .65936 L .33051 .64692 L F
.32893 .64194 m .30391 .65431 L .30551 .65936 L F
.32736 .63696 m .30391 .65431 L .32893 .64194 L F
.4032 .52509 m .37448 .53442 L .39856 .52365 L .647 .194 .162 r
F
.36007 .70121 m .33547 .7144 L .3308 .71284 L .667 .244 .231 r
F
.3647 .70274 m .33547 .7144 L .36007 .70121 L F
.32736 .63696 m .30231 .64927 L .30391 .65431 L .91 .689 .591 r
F
.32578 .63197 m .30231 .64927 L .32736 .63696 L F
.32578 .63197 m .30071 .64422 L .30231 .64927 L F
.3242 .62699 m .30071 .64422 L .32578 .63197 L F
.48269 .68503 m .46291 .6945 L .48582 .68157 L .786 .997 .802 r
F
.48269 .68503 m .45975 .698 L .46291 .6945 L F
.3242 .62699 m .2991 .63917 L .30071 .64422 L .91 .689 .591 r
F
.32263 .62201 m .2991 .63917 L .3242 .62699 L F
.32263 .62201 m .2975 .63412 L .2991 .63917 L F
.32105 .61702 m .2975 .63412 L .32263 .62201 L F
.4032 .52509 m .37917 .53588 L .37448 .53442 L .647 .194 .162 r
F
.40785 .52652 m .37917 .53588 L .4032 .52509 L F
.3647 .70274 m .34014 .71595 L .33547 .7144 L .667 .244 .231 r
F
.36932 .70427 m .34014 .71595 L .3647 .70274 L F
.32105 .61702 m .2959 .62906 L .2975 .63412 L .91 .689 .591 r
F
.31947 .61203 m .2959 .62906 L .32105 .61702 L F
.31947 .61203 m .2943 .62401 L .2959 .62906 L F
.31789 .60704 m .2943 .62401 L .31947 .61203 L F
.31789 .60704 m .2927 .61895 L .2943 .62401 L F
.31632 .60205 m .2927 .61895 L .31789 .60704 L F
.48582 .68157 m .46607 .691 L .48895 .67811 L .786 .997 .802 r
F
.48582 .68157 m .46291 .6945 L .46607 .691 L F
.31632 .60205 m .29109 .6139 L .2927 .61895 L .91 .689 .591 r
F
.31632 .60205 m .29414 .61034 L .31934 .59854 L .829 .997 .843 r
F
.31632 .60205 m .29109 .6139 L .29414 .61034 L F
.40785 .52652 m .38387 .53734 L .37917 .53588 L .647 .194 .162 r
F
.4125 .52796 m .38387 .53734 L .40785 .52652 L F
.36932 .70427 m .34482 .71751 L .34014 .71595 L .667 .244 .231 r
F
.37396 .7058 m .34482 .71751 L .36932 .70427 L F
.4125 .52796 m .38858 .5388 L .38387 .53734 L .647 .194 .162 r
F
.41716 .5294 m .38858 .5388 L .4125 .52796 L F
.48895 .67811 m .46924 .68749 L .49209 .67464 L .786 .997 .802 r
F
.48895 .67811 m .46607 .691 L .46924 .68749 L F
.37396 .7058 m .3495 .71906 L .34482 .71751 L .667 .244 .231 r
F
.37859 .70733 m .3495 .71906 L .37396 .7058 L F
.31934 .59854 m .2972 .60678 L .32237 .59501 L .829 .997 .843 r
F
.31934 .59854 m .29414 .61034 L .2972 .60678 L F
.41716 .5294 m .39328 .54026 L .38858 .5388 L .647 .194 .162 r
F
.42182 .53083 m .39328 .54026 L .41716 .5294 L F
.37859 .70733 m .35419 .72062 L .3495 .71906 L .667 .244 .231 r
F
.38324 .70886 m .35419 .72062 L .37859 .70733 L F
.49209 .67464 m .47241 .68397 L .49524 .67116 L .786 .997 .802 r
F
.49209 .67464 m .46924 .68749 L .47241 .68397 L F
.32237 .59501 m .30025 .60321 L .3254 .59149 L .829 .997 .843 r
F
.32237 .59501 m .2972 .60678 L .30025 .60321 L F
.42182 .53083 m .398 .54173 L .39328 .54026 L .647 .194 .162 r
F
.42649 .53228 m .398 .54173 L .42182 .53083 L F
.38324 .70886 m .35888 .72218 L .35419 .72062 L .667 .244 .231 r
F
.38788 .7104 m .35888 .72218 L .38324 .70886 L F
.49524 .67116 m .47559 .68045 L .49839 .66768 L .786 .997 .802 r
F
.49524 .67116 m .47241 .68397 L .47559 .68045 L F
.3254 .59149 m .30332 .59964 L .32844 .58795 L .829 .997 .843 r
F
.3254 .59149 m .30025 .60321 L .30332 .59964 L F
.42649 .53228 m .40271 .54319 L .398 .54173 L .647 .194 .162 r
F
.43116 .53372 m .40271 .54319 L .42649 .53228 L F
.38788 .7104 m .36358 .72375 L .35888 .72218 L .667 .244 .231 r
F
.39254 .71193 m .36358 .72375 L .38788 .7104 L F
.49839 .66768 m .47877 .67693 L .50154 .6642 L .786 .997 .802 r
F
.49839 .66768 m .47559 .68045 L .47877 .67693 L F
.32844 .58795 m .30638 .59606 L .33148 .58442 L .829 .997 .843 r
F
.32844 .58795 m .30332 .59964 L .30638 .59606 L F
.43116 .53372 m .40744 .54466 L .40271 .54319 L .647 .194 .162 r
F
.43584 .53516 m .40744 .54466 L .43116 .53372 L F
.39254 .71193 m .36828 .72531 L .36358 .72375 L .667 .244 .231 r
F
.39719 .71347 m .36828 .72531 L .39254 .71193 L F
.50154 .6642 m .48195 .6734 L .50469 .66071 L .786 .997 .802 r
F
.50154 .6642 m .47877 .67693 L .48195 .6734 L F
.43584 .53516 m .41216 .54613 L .40744 .54466 L .647 .194 .162 r
F
.44052 .53661 m .41216 .54613 L .43584 .53516 L F
.39719 .71347 m .37299 .72688 L .36828 .72531 L .667 .244 .231 r
F
.40185 .71501 m .37299 .72688 L .39719 .71347 L F
.33148 .58442 m .30945 .59248 L .33453 .58088 L .829 .997 .843 r
F
.33148 .58442 m .30638 .59606 L .30945 .59248 L F
.44052 .53661 m .4169 .5476 L .41216 .54613 L .647 .194 .162 r
F
.4452 .53805 m .4169 .5476 L .44052 .53661 L F
.40185 .71501 m .3777 .72844 L .37299 .72688 L .667 .244 .231 r
F
.40652 .71655 m .3777 .72844 L .40185 .71501 L F
.50469 .66071 m .48514 .66987 L .50785 .65722 L .786 .997 .802 r
F
.50469 .66071 m .48195 .6734 L .48514 .66987 L F
.33453 .58088 m .31253 .58889 L .33758 .57733 L .829 .997 .843 r
F
.33453 .58088 m .30945 .59248 L .31253 .58889 L F
.4452 .53805 m .42164 .54907 L .4169 .5476 L .647 .194 .162 r
F
.44989 .5395 m .42164 .54907 L .4452 .53805 L F
.40652 .71655 m .38242 .73001 L .3777 .72844 L .667 .244 .231 r
F
.41119 .71809 m .38242 .73001 L .40652 .71655 L F
.50785 .65722 m .48833 .66634 L .51102 .65372 L .786 .997 .802 r
F
.50785 .65722 m .48514 .66987 L .48833 .66634 L F
.33758 .57733 m .31561 .5853 L .34063 .57378 L .829 .997 .843 r
F
.33758 .57733 m .31253 .58889 L .31561 .5853 L F
.44989 .5395 m .42638 .55055 L .42164 .54907 L .647 .194 .162 r
F
.45459 .54095 m .42638 .55055 L .44989 .5395 L F
.41119 .71809 m .38714 .73158 L .38242 .73001 L .667 .244 .231 r
F
.41587 .71964 m .38714 .73158 L .41119 .71809 L F
.51102 .65372 m .49153 .66279 L .51419 .65022 L .786 .997 .802 r
F
.51102 .65372 m .48833 .66634 L .49153 .66279 L F
.34063 .57378 m .31869 .5817 L .34369 .57023 L .829 .997 .843 r
F
.34063 .57378 m .31561 .5853 L .31869 .5817 L F
.45459 .54095 m .43113 .55202 L .42638 .55055 L .647 .194 .162 r
F
.45929 .54241 m .43113 .55202 L .45459 .54095 L F
.41587 .71964 m .39187 .73316 L .38714 .73158 L .667 .244 .231 r
F
.42055 .72118 m .39187 .73316 L .41587 .71964 L F
.51419 .65022 m .49473 .65925 L .51736 .64671 L .786 .997 .802 r
F
.51419 .65022 m .49153 .66279 L .49473 .65925 L F
.45929 .54241 m .43588 .5535 L .43113 .55202 L .647 .194 .162 r
F
.464 .54386 m .43588 .5535 L .45929 .54241 L F
.42055 .72118 m .39661 .73473 L .39187 .73316 L .667 .244 .231 r
F
.42524 .72273 m .39661 .73473 L .42055 .72118 L F
.34369 .57023 m .32177 .5781 L .34675 .56667 L .829 .997 .843 r
F
.34369 .57023 m .31869 .5817 L .32177 .5781 L F
.464 .54386 m .44064 .55498 L .43588 .5535 L .647 .194 .162 r
F
.46871 .54531 m .44064 .55498 L .464 .54386 L F
.42524 .72273 m .40134 .73631 L .39661 .73473 L .667 .244 .231 r
F
.42993 .72428 m .40134 .73631 L .42524 .72273 L F
.5158 .64169 m .49473 .65925 L .51736 .64671 L .923 .695 .575 r
F
.34675 .56667 m .32487 .5745 L .34981 .5631 L .829 .997 .843 r
F
.34675 .56667 m .32177 .5781 L .32487 .5745 L F
.5158 .64169 m .49314 .65416 L .49473 .65925 L .923 .695 .575 r
F
.51424 .63668 m .49314 .65416 L .5158 .64169 L F
.51424 .63668 m .49156 .64908 L .49314 .65416 L F
.51267 .63166 m .49156 .64908 L .51424 .63668 L F
.46871 .54531 m .4454 .55646 L .44064 .55498 L .647 .194 .162 r
F
.47343 .54677 m .4454 .55646 L .46871 .54531 L F
.51267 .63166 m .48997 .64399 L .49156 .64908 L .923 .695 .575 r
F
.51111 .62663 m .48997 .64399 L .51267 .63166 L F
.42993 .72428 m .40609 .73788 L .40134 .73631 L .667 .244 .231 r
F
.43462 .72583 m .40609 .73788 L .42993 .72428 L F
.51111 .62663 m .48838 .6389 L .48997 .64399 L .923 .695 .575 r
F
.50954 .62161 m .48838 .6389 L .51111 .62663 L F
.50954 .62161 m .48679 .63381 L .48838 .6389 L F
.50798 .61659 m .48679 .63381 L .50954 .62161 L F
.34981 .5631 m .32796 .57089 L .35288 .55953 L .829 .997 .843 r
F
.34981 .5631 m .32487 .5745 L .32796 .57089 L F
.50798 .61659 m .4852 .62872 L .48679 .63381 L .923 .695 .575 r
F
.50642 .61156 m .4852 .62872 L .50798 .61659 L F
.50642 .61156 m .48361 .62362 L .4852 .62872 L F
.50485 .60653 m .48361 .62362 L .50642 .61156 L F
.47343 .54677 m .45017 .55794 L .4454 .55646 L .647 .194 .162 r
F
.47815 .54823 m .45017 .55794 L .47343 .54677 L F
.43462 .72583 m .41083 .73946 L .40609 .73788 L .667 .244 .231 r
F
.43462 .72583 m .41399 .73596 L .43775 .72237 L .786 .997 .802 r
F
.43462 .72583 m .41083 .73946 L .41399 .73596 L F
.50485 .60653 m .48202 .61853 L .48361 .62362 L .923 .695 .575 r
F
.50328 .6015 m .48202 .61853 L .50485 .60653 L F
.50328 .6015 m .48043 .61343 L .48202 .61853 L F
.50172 .59647 m .48043 .61343 L .50328 .6015 L F
.50172 .59647 m .47884 .60834 L .48043 .61343 L F
.50015 .59144 m .47884 .60834 L .50172 .59647 L F
.35288 .55953 m .33106 .56727 L .35596 .55596 L .829 .997 .843 r
F
.35288 .55953 m .32796 .57089 L .33106 .56727 L F
.50015 .59144 m .47725 .60324 L .47884 .60834 L .923 .695 .575 r
F
.49858 .58641 m .47725 .60324 L .50015 .59144 L F
.47815 .54823 m .45494 .55943 L .45017 .55794 L .647 .194 .162 r
F
.48287 .54969 m .45494 .55943 L .47815 .54823 L F
.49858 .58641 m .47566 .59814 L .47725 .60324 L .923 .695 .575 r
F
.49702 .58138 m .47566 .59814 L .49858 .58641 L F
.43775 .72237 m .41714 .73246 L .44088 .7189 L .786 .997 .802 r
F
.43775 .72237 m .41399 .73596 L .41714 .73246 L F
.49702 .58138 m .47407 .59304 L .47566 .59814 L .923 .695 .575 r
F
.49545 .57634 m .47407 .59304 L .49702 .58138 L F
.49545 .57634 m .47247 .58793 L .47407 .59304 L F
.49388 .57131 m .47247 .58793 L .49545 .57634 L F
.49388 .57131 m .47088 .58283 L .47247 .58793 L F
.49231 .56627 m .47088 .58283 L .49388 .57131 L F
.48287 .54969 m .45972 .56091 L .45494 .55943 L .647 .194 .162 r
F
.4876 .55115 m .45972 .56091 L .48287 .54969 L F
.35596 .55596 m .33416 .56365 L .35903 .55238 L .829 .997 .843 r
F
.35596 .55596 m .33106 .56727 L .33416 .56365 L F
.49231 .56627 m .46929 .57772 L .47088 .58283 L .923 .695 .575 r
F
.49074 .56123 m .46929 .57772 L .49231 .56627 L F
.49074 .56123 m .46769 .57262 L .46929 .57772 L F
.48917 .55619 m .46769 .57262 L .49074 .56123 L F
.44088 .7189 m .42031 .72895 L .44401 .71543 L .786 .997 .802 r
F
.44088 .7189 m .41714 .73246 L .42031 .72895 L F
.48917 .55619 m .4661 .56751 L .46769 .57262 L .923 .695 .575 r
F
.4876 .55115 m .4661 .56751 L .48917 .55619 L F
.4876 .55115 m .46451 .5624 L .4661 .56751 L F
.4876 .55115 m .46451 .5624 L .45972 .56091 L .647 .194 .162 r
F
.35903 .55238 m .33727 .56003 L .36212 .5488 L .829 .997 .843 r
F
.35903 .55238 m .33416 .56365 L .33727 .56003 L F
.44401 .71543 m .42347 .72543 L .44715 .71195 L .786 .997 .802 r
F
.44401 .71543 m .42031 .72895 L .42347 .72543 L F
.36212 .5488 m .34038 .5564 L .3652 .54521 L .829 .997 .843 r
F
.36212 .5488 m .33727 .56003 L .34038 .5564 L F
.44715 .71195 m .42664 .72191 L .4503 .70847 L .786 .997 .802 r
F
.44715 .71195 m .42347 .72543 L .42664 .72191 L F
.3652 .54521 m .3435 .55276 L .36829 .54162 L .829 .997 .843 r
F
.3652 .54521 m .34038 .5564 L .3435 .55276 L F
.4503 .70847 m .42982 .71839 L .45344 .70498 L .786 .997 .802 r
F
.4503 .70847 m .42664 .72191 L .42982 .71839 L F
.31989 .70471 m .29605 .72321 L .32148 .70974 L .91 .689 .591 r
F
.32614 .71129 m .29605 .72321 L .32148 .70974 L .667 .244 .231 r
F
.31989 .70471 m .29442 .71811 L .29605 .72321 L .91 .689 .591 r
F
.31829 .69968 m .29442 .71811 L .31989 .70471 L F
.36829 .54162 m .34662 .54912 L .37138 .53802 L .829 .997 .843 r
F
.36829 .54162 m .3435 .55276 L .34662 .54912 L F
.31829 .69968 m .2928 .713 L .29442 .71811 L .91 .689 .591 r
F
.31669 .69464 m .2928 .713 L .31829 .69968 L F
.31669 .69464 m .29118 .7079 L .2928 .713 L F
.3151 .68961 m .29118 .7079 L .31669 .69464 L F
.45344 .70498 m .43299 .71486 L .45659 .70149 L .786 .997 .802 r
F
.45344 .70498 m .42982 .71839 L .43299 .71486 L F
.32614 .71129 m .30075 .72478 L .29605 .72321 L .667 .244 .231 r
F
.3308 .71284 m .30075 .72478 L .32614 .71129 L F
.3151 .68961 m .28956 .7028 L .29118 .7079 L .91 .689 .591 r
F
.3135 .68457 m .28956 .7028 L .3151 .68961 L F
.3135 .68457 m .28794 .69769 L .28956 .7028 L F
.3119 .67953 m .28794 .69769 L .3135 .68457 L F
.3119 .67953 m .28631 .69258 L .28794 .69769 L F
.3103 .67449 m .28631 .69258 L .3119 .67953 L F
.37138 .53802 m .34974 .54548 L .37448 .53442 L .829 .997 .843 r
F
.37138 .53802 m .34662 .54912 L .34974 .54548 L F
.3103 .67449 m .28469 .68748 L .28631 .69258 L .91 .689 .591 r
F
.3087 .66945 m .28469 .68748 L .3103 .67449 L F
.3308 .71284 m .30547 .72636 L .30075 .72478 L .667 .244 .231 r
F
.33547 .7144 m .30547 .72636 L .3308 .71284 L F
.3087 .66945 m .28307 .68237 L .28469 .68748 L .91 .689 .591 r
F
.30711 .6644 m .28307 .68237 L .3087 .66945 L F
.45659 .70149 m .43618 .71132 L .45975 .698 L .786 .997 .802 r
F
.45659 .70149 m .43299 .71486 L .43618 .71132 L F
.30711 .6644 m .28144 .67726 L .28307 .68237 L .91 .689 .591 r
F
.30551 .65936 m .28144 .67726 L .30711 .6644 L F
.30551 .65936 m .27982 .67214 L .28144 .67726 L F
.30391 .65431 m .27982 .67214 L .30551 .65936 L F
.30391 .65431 m .27819 .66703 L .27982 .67214 L F
.30231 .64927 m .27819 .66703 L .30391 .65431 L F
.37917 .53588 m .34974 .54548 L .37448 .53442 L .647 .194 .162 r
F
.33547 .7144 m .31019 .72794 L .30547 .72636 L .667 .244 .231 r
F
.34014 .71595 m .31019 .72794 L .33547 .7144 L F
.30231 .64927 m .27657 .66191 L .27819 .66703 L .91 .689 .591 r
F
.30071 .64422 m .27657 .66191 L .30231 .64927 L F
.30071 .64422 m .27494 .6568 L .27657 .66191 L F
.2991 .63917 m .27494 .6568 L .30071 .64422 L F
.45975 .698 m .43936 .70778 L .46291 .6945 L .786 .997 .802 r
F
.45975 .698 m .43618 .71132 L .43936 .70778 L F
.2991 .63917 m .27331 .65168 L .27494 .6568 L .91 .689 .591 r
F
.2975 .63412 m .27331 .65168 L .2991 .63917 L F
.2975 .63412 m .27169 .64656 L .27331 .65168 L F
.2959 .62906 m .27169 .64656 L .2975 .63412 L F
.37917 .53588 m .35448 .54696 L .34974 .54548 L .647 .194 .162 r
F
.38387 .53734 m .35448 .54696 L .37917 .53588 L F
.34014 .71595 m .31491 .72953 L .31019 .72794 L .667 .244 .231 r
F
.34482 .71751 m .31491 .72953 L .34014 .71595 L F
.2959 .62906 m .27006 .64144 L .27169 .64656 L .91 .689 .591 r
F
.2943 .62401 m .27006 .64144 L .2959 .62906 L F
.2943 .62401 m .26843 .63632 L .27006 .64144 L F
.2927 .61895 m .26843 .63632 L .2943 .62401 L F
.2927 .61895 m .2668 .63119 L .26843 .63632 L F
.29109 .6139 m .2668 .63119 L .2927 .61895 L F
.46291 .6945 m .44255 .70424 L .46607 .691 L .786 .997 .802 r
F
.46291 .6945 m .43936 .70778 L .44255 .70424 L F
.29109 .6139 m .26517 .62607 L .2668 .63119 L .91 .689 .591 r
F
.29109 .6139 m .26825 .62247 L .29414 .61034 L .829 .997 .843 r
F
.29109 .6139 m .26517 .62607 L .26825 .62247 L F
.38387 .53734 m .35923 .54845 L .35448 .54696 L .647 .194 .162 r
F
.38858 .5388 m .35923 .54845 L .38387 .53734 L F
.34482 .71751 m .31964 .73111 L .31491 .72953 L .667 .244 .231 r
F
.3495 .71906 m .31964 .73111 L .34482 .71751 L F
.46607 .691 m .44575 .70069 L .46924 .68749 L .786 .997 .802 r
F
.46607 .691 m .44255 .70424 L .44575 .70069 L F
.38858 .5388 m .36399 .54994 L .35923 .54845 L .647 .194 .162 r
F
.39328 .54026 m .36399 .54994 L .38858 .5388 L F
.3495 .71906 m .32437 .7327 L .31964 .73111 L .667 .244 .231 r
F
.35419 .72062 m .32437 .7327 L .3495 .71906 L F
.29414 .61034 m .27133 .61887 L .2972 .60678 L .829 .997 .843 r
F
.29414 .61034 m .26825 .62247 L .27133 .61887 L F
.39328 .54026 m .36875 .55143 L .36399 .54994 L .647 .194 .162 r
F
.398 .54173 m .36875 .55143 L .39328 .54026 L F
.35419 .72062 m .32911 .73429 L .32437 .7327 L .667 .244 .231 r
F
.35888 .72218 m .32911 .73429 L .35419 .72062 L F
.46924 .68749 m .44895 .69714 L .47241 .68397 L .786 .997 .802 r
F
.46924 .68749 m .44575 .70069 L .44895 .69714 L F
.2972 .60678 m .27441 .61526 L .30025 .60321 L .829 .997 .843 r
F
.2972 .60678 m .27133 .61887 L .27441 .61526 L F
.398 .54173 m .37351 .55292 L .36875 .55143 L .647 .194 .162 r
F
.40271 .54319 m .37351 .55292 L .398 .54173 L F
.35888 .72218 m .33386 .73588 L .32911 .73429 L .667 .244 .231 r
F
.36358 .72375 m .33386 .73588 L .35888 .72218 L F
.47241 .68397 m .45215 .69358 L .47559 .68045 L .786 .997 .802 r
F
.47241 .68397 m .44895 .69714 L .45215 .69358 L F
.30025 .60321 m .2775 .61164 L .30332 .59964 L .829 .997 .843 r
F
.30025 .60321 m .27441 .61526 L .2775 .61164 L F
.40271 .54319 m .37828 .55441 L .37351 .55292 L .647 .194 .162 r
F
.40744 .54466 m .37828 .55441 L .40271 .54319 L F
.36358 .72375 m .33861 .73747 L .33386 .73588 L .667 .244 .231 r
F
.36828 .72531 m .33861 .73747 L .36358 .72375 L F
.47559 .68045 m .45536 .69002 L .47877 .67693 L .786 .997 .802 r
F
.47559 .68045 m .45215 .69358 L .45536 .69002 L F
.30332 .59964 m .28059 .60803 L .30638 .59606 L .829 .997 .843 r
F
.30332 .59964 m .2775 .61164 L .28059 .60803 L F
.40744 .54466 m .38306 .55591 L .37828 .55441 L .647 .194 .162 r
F
.41216 .54613 m .38306 .55591 L .40744 .54466 L F
.36828 .72531 m .34336 .73906 L .33861 .73747 L .667 .244 .231 r
F
.37299 .72688 m .34336 .73906 L .36828 .72531 L F
.47877 .67693 m .45858 .68645 L .48195 .6734 L .786 .997 .802 r
F
.47877 .67693 m .45536 .69002 L .45858 .68645 L F
.41216 .54613 m .38784 .5574 L .38306 .55591 L .647 .194 .162 r
F
.4169 .5476 m .38784 .5574 L .41216 .54613 L F
.37299 .72688 m .34812 .74066 L .34336 .73906 L .667 .244 .231 r
F
.3777 .72844 m .34812 .74066 L .37299 .72688 L F
.30638 .59606 m .28368 .6044 L .30945 .59248 L .829 .997 .843 r
F
.30638 .59606 m .28059 .60803 L .28368 .6044 L F
.4169 .5476 m .39262 .5589 L .38784 .5574 L .647 .194 .162 r
F
.42164 .54907 m .39262 .5589 L .4169 .5476 L F
.3777 .72844 m .35288 .74225 L .34812 .74066 L .667 .244 .231 r
F
.38242 .73001 m .35288 .74225 L .3777 .72844 L F
.48195 .6734 m .46179 .68288 L .48514 .66987 L .786 .997 .802 r
F
.48195 .6734 m .45858 .68645 L .46179 .68288 L F
.30945 .59248 m .28678 .60077 L .31253 .58889 L .829 .997 .843 r
F
.30945 .59248 m .28368 .6044 L .28678 .60077 L F
.42164 .54907 m .39741 .5604 L .39262 .5589 L .647 .194 .162 r
F
.42638 .55055 m .39741 .5604 L .42164 .54907 L F
.38242 .73001 m .35765 .74385 L .35288 .74225 L .667 .244 .231 r
F
.38714 .73158 m .35765 .74385 L .38242 .73001 L F
.48514 .66987 m .46501 .6793 L .48833 .66634 L .786 .997 .802 r
F
.48514 .66987 m .46179 .68288 L .46501 .6793 L F
.31253 .58889 m .28989 .59714 L .31561 .5853 L .829 .997 .843 r
F
.31253 .58889 m .28678 .60077 L .28989 .59714 L F
.42638 .55055 m .40221 .5619 L .39741 .5604 L .647 .194 .162 r
F
.43113 .55202 m .40221 .5619 L .42638 .55055 L F
.38714 .73158 m .36243 .74545 L .35765 .74385 L .667 .244 .231 r
F
.39187 .73316 m .36243 .74545 L .38714 .73158 L F
.48833 .66634 m .46824 .67572 L .49153 .66279 L .786 .997 .802 r
F
.48833 .66634 m .46501 .6793 L .46824 .67572 L F
.31561 .5853 m .29299 .5935 L .31869 .5817 L .829 .997 .843 r
F
.31561 .5853 m .28989 .59714 L .29299 .5935 L F
.43113 .55202 m .40701 .5634 L .40221 .5619 L .647 .194 .162 r
F
.43588 .5535 m .40701 .5634 L .43113 .55202 L F
.39187 .73316 m .36721 .74705 L .36243 .74545 L .667 .244 .231 r
F
.39661 .73473 m .36721 .74705 L .39187 .73316 L F
.49153 .66279 m .47147 .67213 L .49473 .65925 L .786 .997 .802 r
F
.49153 .66279 m .46824 .67572 L .47147 .67213 L F
.43588 .5535 m .41182 .56491 L .40701 .5634 L .647 .194 .162 r
F
.44064 .55498 m .41182 .56491 L .43588 .5535 L F
.39661 .73473 m .37199 .74866 L .36721 .74705 L .667 .244 .231 r
F
.40134 .73631 m .37199 .74866 L .39661 .73473 L F
.31869 .5817 m .29611 .58986 L .32177 .5781 L .829 .997 .843 r
F
.31869 .5817 m .29299 .5935 L .29611 .58986 L F
.44064 .55498 m .41663 .56641 L .41182 .56491 L .647 .194 .162 r
F
.4454 .55646 m .41663 .56641 L .44064 .55498 L F
.40134 .73631 m .37678 .75026 L .37199 .74866 L .667 .244 .231 r
F
.40609 .73788 m .37678 .75026 L .40134 .73631 L F
.49314 .65416 m .47147 .67213 L .49473 .65925 L .923 .695 .575 r
F
.32177 .5781 m .29922 .58621 L .32487 .5745 L .829 .997 .843 r
F
.32177 .5781 m .29611 .58986 L .29922 .58621 L F
.49314 .65416 m .46986 .66698 L .47147 .67213 L .923 .695 .575 r
F
.49156 .64908 m .46986 .66698 L .49314 .65416 L F
.49156 .64908 m .46825 .66182 L .46986 .66698 L F
.48997 .64399 m .46825 .66182 L .49156 .64908 L F
.48997 .64399 m .46663 .65666 L .46825 .66182 L F
.48838 .6389 m .46663 .65666 L .48997 .64399 L F
.4454 .55646 m .42145 .56792 L .41663 .56641 L .647 .194 .162 r
F
.45017 .55794 m .42145 .56792 L .4454 .55646 L F
.40609 .73788 m .38158 .75187 L .37678 .75026 L .667 .244 .231 r
F
.41083 .73946 m .38158 .75187 L .40609 .73788 L F
.48838 .6389 m .46502 .65151 L .46663 .65666 L .923 .695 .575 r
F
.48679 .63381 m .46502 .65151 L .48838 .6389 L F
.48679 .63381 m .46341 .64635 L .46502 .65151 L F
.4852 .62872 m .46341 .64635 L .48679 .63381 L F
.32487 .5745 m .30234 .58256 L .32796 .57089 L .829 .997 .843 r
F
.32487 .5745 m .29922 .58621 L .30234 .58256 L F
.4852 .62872 m .46179 .64119 L .46341 .64635 L .923 .695 .575 r
F
.48361 .62362 m .46179 .64119 L .4852 .62872 L F
.48361 .62362 m .46018 .63602 L .46179 .64119 L F
.48202 .61853 m .46018 .63602 L .48361 .62362 L F
.45017 .55794 m .42627 .56943 L .42145 .56792 L .647 .194 .162 r
F
.45494 .55943 m .42627 .56943 L .45017 .55794 L F
.41083 .73946 m .38638 .75348 L .38158 .75187 L .667 .244 .231 r
F
.41083 .73946 m .38956 .74994 L .41399 .73596 L .786 .997 .802 r
F
.41083 .73946 m .38638 .75348 L .38956 .74994 L F
.48202 .61853 m .45856 .63086 L .46018 .63602 L .923 .695 .575 r
F
.48043 .61343 m .45856 .63086 L .48202 .61853 L F
.48043 .61343 m .45695 .62569 L .45856 .63086 L F
.47884 .60834 m .45695 .62569 L .48043 .61343 L F
.47884 .60834 m .45533 .62053 L .45695 .62569 L F
.47725 .60324 m .45533 .62053 L .47884 .60834 L F
.32796 .57089 m .30547 .5789 L .33106 .56727 L .829 .997 .843 r
F
.32796 .57089 m .30234 .58256 L .30547 .5789 L F
.47725 .60324 m .45371 .61536 L .45533 .62053 L .923 .695 .575 r
F
.47566 .59814 m .45371 .61536 L .47725 .60324 L F
.45494 .55943 m .43109 .57094 L .42627 .56943 L .647 .194 .162 r
F
.45972 .56091 m .43109 .57094 L .45494 .55943 L F
.47566 .59814 m .4521 .61019 L .45371 .61536 L .923 .695 .575 r
F
.47407 .59304 m .4521 .61019 L .47566 .59814 L F
.41399 .73596 m .39275 .74639 L .41714 .73246 L .786 .997 .802 r
F
.41399 .73596 m .38956 .74994 L .39275 .74639 L F
.47407 .59304 m .45048 .60502 L .4521 .61019 L .923 .695 .575 r
F
.47247 .58793 m .45048 .60502 L .47407 .59304 L F
.47247 .58793 m .44886 .59985 L .45048 .60502 L F
.47088 .58283 m .44886 .59985 L .47247 .58793 L F
.47088 .58283 m .44724 .59467 L .44886 .59985 L F
.46929 .57772 m .44724 .59467 L .47088 .58283 L F
.45972 .56091 m .43593 .57245 L .43109 .57094 L .647 .194 .162 r
F
.46451 .5624 m .43593 .57245 L .45972 .56091 L F
.33106 .56727 m .3086 .57524 L .33416 .56365 L .829 .997 .843 r
F
.33106 .56727 m .30547 .5789 L .3086 .57524 L F
.46929 .57772 m .44562 .5895 L .44724 .59467 L .923 .695 .575 r
F
.46769 .57262 m .44562 .5895 L .46929 .57772 L F
.46769 .57262 m .444 .58432 L .44562 .5895 L F
.4661 .56751 m .444 .58432 L .46769 .57262 L F
.41714 .73246 m .39594 .74284 L .42031 .72895 L .786 .997 .802 r
F
.41714 .73246 m .39275 .74639 L .39594 .74284 L F
.4661 .56751 m .44238 .57914 L .444 .58432 L .923 .695 .575 r
F
.46451 .5624 m .44238 .57914 L .4661 .56751 L F
.46451 .5624 m .44076 .57397 L .44238 .57914 L F
.46451 .5624 m .44076 .57397 L .43593 .57245 L .647 .194 .162 r
F
.33416 .56365 m .31173 .57157 L .33727 .56003 L .829 .997 .843 r
F
.33416 .56365 m .3086 .57524 L .31173 .57157 L F
.42031 .72895 m .39913 .73929 L .42347 .72543 L .786 .997 .802 r
F
.42031 .72895 m .39594 .74284 L .39913 .73929 L F
.33727 .56003 m .31487 .5679 L .34038 .5564 L .829 .997 .843 r
F
.33727 .56003 m .31173 .57157 L .31487 .5679 L F
.42347 .72543 m .40233 .73573 L .42664 .72191 L .786 .997 .802 r
F
.42347 .72543 m .39913 .73929 L .40233 .73573 L F
.34038 .5564 m .31801 .56422 L .3435 .55276 L .829 .997 .843 r
F
.34038 .5564 m .31487 .5679 L .31801 .56422 L F
.42664 .72191 m .40553 .73216 L .42982 .71839 L .786 .997 .802 r
F
.42664 .72191 m .40233 .73573 L .40553 .73216 L F
.30075 .72478 m .2699 .73704 L .29605 .72321 L .667 .244 .231 r
F
.29442 .71811 m .2699 .73704 L .29605 .72321 L .91 .689 .591 r
F
.29442 .71811 m .26825 .73187 L .2699 .73704 L F
.2928 .713 m .26825 .73187 L .29442 .71811 L F
.3435 .55276 m .32115 .56054 L .34662 .54912 L .829 .997 .843 r
F
.3435 .55276 m .31801 .56422 L .32115 .56054 L F
.2928 .713 m .2666 .7267 L .26825 .73187 L .91 .689 .591 r
F
.29118 .7079 m .2666 .7267 L .2928 .713 L F
.29118 .7079 m .26496 .72153 L .2666 .7267 L F
.28956 .7028 m .26496 .72153 L .29118 .7079 L F
.42982 .71839 m .40873 .72859 L .43299 .71486 L .786 .997 .802 r
F
.42982 .71839 m .40553 .73216 L .40873 .72859 L F
.28956 .7028 m .26331 .71636 L .26496 .72153 L .91 .689 .591 r
F
.28794 .69769 m .26331 .71636 L .28956 .7028 L F
.30075 .72478 m .27466 .73865 L .2699 .73704 L .667 .244 .231 r
F
.30547 .72636 m .27466 .73865 L .30075 .72478 L F
.28794 .69769 m .26166 .71118 L .26331 .71636 L .91 .689 .591 r
F
.28631 .69258 m .26166 .71118 L .28794 .69769 L F
.28631 .69258 m .26001 .70601 L .26166 .71118 L F
.28469 .68748 m .26001 .70601 L .28631 .69258 L F
.34662 .54912 m .32431 .55685 L .34974 .54548 L .829 .997 .843 r
F
.34662 .54912 m .32115 .56054 L .32431 .55685 L F
.28469 .68748 m .25836 .70083 L .26001 .70601 L .91 .689 .591 r
F
.28307 .68237 m .25836 .70083 L .28469 .68748 L F
.30547 .72636 m .27942 .74026 L .27466 .73865 L .667 .244 .231 r
F
.31019 .72794 m .27942 .74026 L .30547 .72636 L F
.28307 .68237 m .25671 .69565 L .25836 .70083 L .91 .689 .591 r
F
.28144 .67726 m .25671 .69565 L .28307 .68237 L F
.43299 .71486 m .41195 .72502 L .43618 .71132 L .786 .997 .802 r
F
.43299 .71486 m .40873 .72859 L .41195 .72502 L F
.28144 .67726 m .25506 .69047 L .25671 .69565 L .91 .689 .591 r
F
.27982 .67214 m .25506 .69047 L .28144 .67726 L F
.27982 .67214 m .25341 .68529 L .25506 .69047 L F
.27819 .66703 m .25341 .68529 L .27982 .67214 L F
.27819 .66703 m .25176 .6801 L .25341 .68529 L F
.27657 .66191 m .25176 .6801 L .27819 .66703 L F
.35448 .54696 m .32431 .55685 L .34974 .54548 L .647 .194 .162 r
F
.31019 .72794 m .2842 .74187 L .27942 .74026 L .667 .244 .231 r
F
.31491 .72953 m .2842 .74187 L .31019 .72794 L F
.27657 .66191 m .2501 .67492 L .25176 .6801 L .91 .689 .591 r
F
.27494 .6568 m .2501 .67492 L .27657 .66191 L F
.27494 .6568 m .24845 .66973 L .2501 .67492 L F
.27331 .65168 m .24845 .66973 L .27494 .6568 L F
.43618 .71132 m .41516 .72144 L .43936 .70778 L .786 .997 .802 r
F
.43618 .71132 m .41195 .72502 L .41516 .72144 L F
.27331 .65168 m .2468 .66454 L .24845 .66973 L .91 .689 .591 r
F
.27169 .64656 m .2468 .66454 L .27331 .65168 L F
.27169 .64656 m .24514 .65935 L .2468 .66454 L F
.27006 .64144 m .24514 .65935 L .27169 .64656 L F
.35448 .54696 m .3291 .55836 L .32431 .55685 L .647 .194 .162 r
F
.35923 .54845 m .3291 .55836 L .35448 .54696 L F
.31491 .72953 m .28897 .74348 L .2842 .74187 L .667 .244 .231 r
F
.31964 .73111 m .28897 .74348 L .31491 .72953 L F
.27006 .64144 m .24349 .65416 L .24514 .65935 L .91 .689 .591 r
F
.26843 .63632 m .24349 .65416 L .27006 .64144 L F
.26843 .63632 m .24184 .64897 L .24349 .65416 L F
.2668 .63119 m .24184 .64897 L .26843 .63632 L F
.2668 .63119 m .24018 .64378 L .24184 .64897 L F
.26517 .62607 m .24018 .64378 L .2668 .63119 L F
.43936 .70778 m .41838 .71786 L .44255 .70424 L .786 .997 .802 r
F
.43936 .70778 m .41516 .72144 L .41838 .71786 L F
.26517 .62607 m .23853 .63858 L .24018 .64378 L .91 .689 .591 r
F
.26517 .62607 m .24163 .63494 L .26825 .62247 L .829 .997 .843 r
F
.26517 .62607 m .23853 .63858 L .24163 .63494 L F
.35923 .54845 m .3339 .55988 L .3291 .55836 L .647 .194 .162 r
F
.36399 .54994 m .3339 .55988 L .35923 .54845 L F
.31964 .73111 m .29375 .7451 L .28897 .74348 L .667 .244 .231 r
F
.32437 .7327 m .29375 .7451 L .31964 .73111 L F
.44255 .70424 m .4216 .71427 L .44575 .70069 L .786 .997 .802 r
F
.44255 .70424 m .41838 .71786 L .4216 .71427 L F
.36399 .54994 m .33871 .56139 L .3339 .55988 L .647 .194 .162 r
F
.36875 .55143 m .33871 .56139 L .36399 .54994 L F
.32437 .7327 m .29854 .74671 L .29375 .7451 L .667 .244 .231 r
F
.32911 .73429 m .29854 .74671 L .32437 .7327 L F
.26825 .62247 m .24473 .6313 L .27133 .61887 L .829 .997 .843 r
F
.26825 .62247 m .24163 .63494 L .24473 .6313 L F
.36875 .55143 m .34352 .56291 L .33871 .56139 L .647 .194 .162 r
F
.37351 .55292 m .34352 .56291 L .36875 .55143 L F
.32911 .73429 m .30333 .74833 L .29854 .74671 L .667 .244 .231 r
F
.33386 .73588 m .30333 .74833 L .32911 .73429 L F
.44575 .70069 m .42483 .71067 L .44895 .69714 L .786 .997 .802 r
F
.44575 .70069 m .4216 .71427 L .42483 .71067 L F
.27133 .61887 m .24784 .62764 L .27441 .61526 L .829 .997 .843 r
F
.27133 .61887 m .24473 .6313 L .24784 .62764 L F
.37351 .55292 m .34834 .56443 L .34352 .56291 L .647 .194 .162 r
F
.37828 .55441 m .34834 .56443 L .37351 .55292 L F
.33386 .73588 m .30813 .74995 L .30333 .74833 L .667 .244 .231 r
F
.33861 .73747 m .30813 .74995 L .33386 .73588 L F
.44895 .69714 m .42806 .70707 L .45215 .69358 L .786 .997 .802 r
F
.44895 .69714 m .42483 .71067 L .42806 .70707 L F
.27441 .61526 m .25095 .62399 L .2775 .61164 L .829 .997 .843 r
F
.27441 .61526 m .24784 .62764 L .25095 .62399 L F
.37828 .55441 m .35317 .56595 L .34834 .56443 L .647 .194 .162 r
F
.38306 .55591 m .35317 .56595 L .37828 .55441 L F
.33861 .73747 m .31293 .75157 L .30813 .74995 L .667 .244 .231 r
F
.34336 .73906 m .31293 .75157 L .33861 .73747 L F
.45215 .69358 m .4313 .70347 L .45536 .69002 L .786 .997 .802 r
F
.45215 .69358 m .42806 .70707 L .4313 .70347 L F
.2775 .61164 m .25407 .62033 L .28059 .60803 L .829 .997 .843 r
F
.2775 .61164 m .25095 .62399 L .25407 .62033 L F
.38306 .55591 m .35799 .56747 L .35317 .56595 L .647 .194 .162 r
F
.38784 .5574 m .35799 .56747 L .38306 .55591 L F
.34336 .73906 m .31774 .7532 L .31293 .75157 L .667 .244 .231 r
F
.34812 .74066 m .31774 .7532 L .34336 .73906 L F
.45536 .69002 m .43454 .69986 L .45858 .68645 L .786 .997 .802 r
F
.45536 .69002 m .4313 .70347 L .43454 .69986 L F
.38784 .5574 m .36283 .56899 L .35799 .56747 L .647 .194 .162 r
F
.39262 .5589 m .36283 .56899 L .38784 .5574 L F
.28059 .60803 m .25719 .61666 L .28368 .6044 L .829 .997 .843 r
F
.28059 .60803 m .25407 .62033 L .25719 .61666 L F
.34812 .74066 m .32255 .75482 L .31774 .7532 L .667 .244 .231 r
F
.35288 .74225 m .32255 .75482 L .34812 .74066 L F
.39262 .5589 m .36767 .57052 L .36283 .56899 L .647 .194 .162 r
F
.39741 .5604 m .36767 .57052 L .39262 .5589 L F
.35288 .74225 m .32737 .75645 L .32255 .75482 L .667 .244 .231 r
F
.35765 .74385 m .32737 .75645 L .35288 .74225 L F
.45858 .68645 m .43779 .69625 L .46179 .68288 L .786 .997 .802 r
F
.45858 .68645 m .43454 .69986 L .43779 .69625 L F
.28368 .6044 m .26031 .61299 L .28678 .60077 L .829 .997 .843 r
F
.28368 .6044 m .25719 .61666 L .26031 .61299 L F
.39741 .5604 m .37251 .57204 L .36767 .57052 L .647 .194 .162 r
F
.40221 .5619 m .37251 .57204 L .39741 .5604 L F
.35765 .74385 m .33219 .75808 L .32737 .75645 L .667 .244 .231 r
F
.36243 .74545 m .33219 .75808 L .35765 .74385 L F
.46179 .68288 m .44104 .69263 L .46501 .6793 L .786 .997 .802 r
F
.46179 .68288 m .43779 .69625 L .44104 .69263 L F
.28678 .60077 m .26344 .60931 L .28989 .59714 L .829 .997 .843 r
F
.28678 .60077 m .26031 .61299 L .26344 .60931 L F
.40221 .5619 m .37736 .57357 L .37251 .57204 L .647 .194 .162 r
F
.40701 .5634 m .37736 .57357 L .40221 .5619 L F
.36243 .74545 m .33702 .75971 L .33219 .75808 L .667 .244 .231 r
F
.36721 .74705 m .33702 .75971 L .36243 .74545 L F
.46501 .6793 m .44429 .68901 L .46824 .67572 L .786 .997 .802 r
F
.46501 .6793 m .44104 .69263 L .44429 .68901 L F
.28989 .59714 m .26658 .60563 L .29299 .5935 L .829 .997 .843 r
F
.28989 .59714 m .26344 .60931 L .26658 .60563 L F
.40701 .5634 m .38222 .5751 L .37736 .57357 L .647 .194 .162 r
F
.41182 .56491 m .38222 .5751 L .40701 .5634 L F
.36721 .74705 m .34185 .76134 L .33702 .75971 L .667 .244 .231 r
F
.37199 .74866 m .34185 .76134 L .36721 .74705 L F
.46824 .67572 m .44755 .68538 L .47147 .67213 L .786 .997 .802 r
F
.46824 .67572 m .44429 .68901 L .44755 .68538 L F
.41182 .56491 m .38708 .57663 L .38222 .5751 L .647 .194 .162 r
F
.41663 .56641 m .38708 .57663 L .41182 .56491 L F
.29299 .5935 m .26971 .60195 L .29611 .58986 L .829 .997 .843 r
F
.29299 .5935 m .26658 .60563 L .26971 .60195 L F
.37199 .74866 m .34669 .76297 L .34185 .76134 L .667 .244 .231 r
F
.37678 .75026 m .34669 .76297 L .37199 .74866 L F
.41663 .56641 m .39194 .57817 L .38708 .57663 L .647 .194 .162 r
F
.42145 .56792 m .39194 .57817 L .41663 .56641 L F
.37678 .75026 m .35153 .76461 L .34669 .76297 L .667 .244 .231 r
F
.38158 .75187 m .35153 .76461 L .37678 .75026 L F
.46986 .66698 m .44755 .68538 L .47147 .67213 L .923 .695 .575 r
F
.29611 .58986 m .27286 .59826 L .29922 .58621 L .829 .997 .843 r
F
.29611 .58986 m .26971 .60195 L .27286 .59826 L F
.46986 .66698 m .44592 .68015 L .44755 .68538 L .923 .695 .575 r
F
.46825 .66182 m .44592 .68015 L .46986 .66698 L F
.46825 .66182 m .44428 .67493 L .44592 .68015 L F
.46663 .65666 m .44428 .67493 L .46825 .66182 L F
.42145 .56792 m .39681 .5797 L .39194 .57817 L .647 .194 .162 r
F
.42627 .56943 m .39681 .5797 L .42145 .56792 L F
.46663 .65666 m .44264 .6697 L .44428 .67493 L .923 .695 .575 r
F
.46502 .65151 m .44264 .6697 L .46663 .65666 L F
.38158 .75187 m .35638 .76625 L .35153 .76461 L .667 .244 .231 r
F
.38638 .75348 m .35638 .76625 L .38158 .75187 L F
.46502 .65151 m .441 .66447 L .44264 .6697 L .923 .695 .575 r
F
.46341 .64635 m .441 .66447 L .46502 .65151 L F
.46341 .64635 m .43936 .65924 L .441 .66447 L F
.46179 .64119 m .43936 .65924 L .46341 .64635 L F
.29922 .58621 m .276 .59456 L .30234 .58256 L .829 .997 .843 r
F
.29922 .58621 m .27286 .59826 L .276 .59456 L F
.46179 .64119 m .43772 .65401 L .43936 .65924 L .923 .695 .575 r
F
.46018 .63602 m .43772 .65401 L .46179 .64119 L F
.46018 .63602 m .43608 .64877 L .43772 .65401 L F
.45856 .63086 m .43608 .64877 L .46018 .63602 L F
.42627 .56943 m .40169 .58124 L .39681 .5797 L .647 .194 .162 r
F
.43109 .57094 m .40169 .58124 L .42627 .56943 L F
.38638 .75348 m .36124 .76789 L .35638 .76625 L .667 .244 .231 r
F
.38638 .75348 m .36445 .76431 L .38956 .74994 L .786 .997 .802 r
F
.38638 .75348 m .36124 .76789 L .36445 .76431 L F
.45856 .63086 m .43444 .64354 L .43608 .64877 L .923 .695 .575 r
F
.45695 .62569 m .43444 .64354 L .45856 .63086 L F
.45695 .62569 m .43279 .6383 L .43444 .64354 L F
.45533 .62053 m .43279 .6383 L .45695 .62569 L F
.45533 .62053 m .43115 .63306 L .43279 .6383 L F
.45371 .61536 m .43115 .63306 L .45533 .62053 L F
.30234 .58256 m .27915 .59086 L .30547 .5789 L .829 .997 .843 r
F
.30234 .58256 m .276 .59456 L .27915 .59086 L F
.45371 .61536 m .42951 .62782 L .43115 .63306 L .923 .695 .575 r
F
.4521 .61019 m .42951 .62782 L .45371 .61536 L F
.43109 .57094 m .40657 .58278 L .40169 .58124 L .647 .194 .162 r
F
.43593 .57245 m .40657 .58278 L .43109 .57094 L F
.4521 .61019 m .42787 .62258 L .42951 .62782 L .923 .695 .575 r
F
.45048 .60502 m .42787 .62258 L .4521 .61019 L F
.38956 .74994 m .36766 .76072 L .39275 .74639 L .786 .997 .802 r
F
.38956 .74994 m .36445 .76431 L .36766 .76072 L F
.45048 .60502 m .42622 .61734 L .42787 .62258 L .923 .695 .575 r
F
.44886 .59985 m .42622 .61734 L .45048 .60502 L F
.44886 .59985 m .42458 .6121 L .42622 .61734 L F
.44724 .59467 m .42458 .6121 L .44886 .59985 L F
.44724 .59467 m .42293 .60685 L .42458 .6121 L F
.44562 .5895 m .42293 .60685 L .44724 .59467 L F
.43593 .57245 m .41146 .58432 L .40657 .58278 L .647 .194 .162 r
F
.44076 .57397 m .41146 .58432 L .43593 .57245 L F
.30547 .5789 m .28231 .58715 L .3086 .57524 L .829 .997 .843 r
F
.30547 .5789 m .27915 .59086 L .28231 .58715 L F
.44562 .5895 m .42129 .60161 L .42293 .60685 L .923 .695 .575 r
F
.444 .58432 m .42129 .60161 L .44562 .5895 L F
.444 .58432 m .41964 .59636 L .42129 .60161 L F
.44238 .57914 m .41964 .59636 L .444 .58432 L F
.39275 .74639 m .37087 .75713 L .39594 .74284 L .786 .997 .802 r
F
.39275 .74639 m .36766 .76072 L .37087 .75713 L F
.44238 .57914 m .418 .59111 L .41964 .59636 L .923 .695 .575 r
F
.44076 .57397 m .418 .59111 L .44238 .57914 L F
.44076 .57397 m .41635 .58586 L .418 .59111 L F
.44076 .57397 m .41635 .58586 L .41146 .58432 L .647 .194 .162 r
F
.3086 .57524 m .28547 .58344 L .31173 .57157 L .829 .997 .843 r
F
.3086 .57524 m .28231 .58715 L .28547 .58344 L F
.39594 .74284 m .3741 .75353 L .39913 .73929 L .786 .997 .802 r
F
.39594 .74284 m .37087 .75713 L .3741 .75353 L F
.31173 .57157 m .28863 .57972 L .31487 .5679 L .829 .997 .843 r
F
.31173 .57157 m .28547 .58344 L .28863 .57972 L F
.39913 .73929 m .37732 .74993 L .40233 .73573 L .786 .997 .802 r
F
.39913 .73929 m .3741 .75353 L .37732 .74993 L F
.31487 .5679 m .2918 .576 L .31801 .56422 L .829 .997 .843 r
F
.31487 .5679 m .28863 .57972 L .2918 .576 L F
.40233 .73573 m .38055 .74633 L .40553 .73216 L .786 .997 .802 r
F
.40233 .73573 m .37732 .74993 L .38055 .74633 L F
.27466 .73865 m .24301 .75127 L .2699 .73704 L .667 .244 .231 r
F
.26825 .73187 m .24301 .75127 L .2699 .73704 L .91 .689 .591 r
F
.26825 .73187 m .24134 .74603 L .24301 .75127 L F
.2666 .7267 m .24134 .74603 L .26825 .73187 L F
.31801 .56422 m .29497 .57228 L .32115 .56054 L .829 .997 .843 r
F
.31801 .56422 m .2918 .576 L .29497 .57228 L F
.2666 .7267 m .23966 .74079 L .24134 .74603 L .91 .689 .591 r
F
.26496 .72153 m .23966 .74079 L .2666 .7267 L F
.26496 .72153 m .23799 .73555 L .23966 .74079 L F
.26331 .71636 m .23799 .73555 L .26496 .72153 L F
.40553 .73216 m .38379 .74272 L .40873 .72859 L .786 .997 .802 r
F
.40553 .73216 m .38055 .74633 L .38379 .74272 L F
.27466 .73865 m .24782 .75291 L .24301 .75127 L .667 .244 .231 r
F
.27942 .74026 m .24782 .75291 L .27466 .73865 L F
.26331 .71636 m .23631 .7303 L .23799 .73555 L .91 .689 .591 r
F
.26166 .71118 m .23631 .7303 L .26331 .71636 L F
.26166 .71118 m .23464 .72506 L .23631 .7303 L F
.26001 .70601 m .23464 .72506 L .26166 .71118 L F
.26001 .70601 m .23296 .71981 L .23464 .72506 L F
.25836 .70083 m .23296 .71981 L .26001 .70601 L F
.32115 .56054 m .29815 .56854 L .32431 .55685 L .829 .997 .843 r
F
.32115 .56054 m .29497 .57228 L .29815 .56854 L F
.25836 .70083 m .23128 .71456 L .23296 .71981 L .91 .689 .591 r
F
.25671 .69565 m .23128 .71456 L .25836 .70083 L F
.27942 .74026 m .25264 .75455 L .24782 .75291 L .667 .244 .231 r
F
.2842 .74187 m .25264 .75455 L .27942 .74026 L F
.25671 .69565 m .22961 .70931 L .23128 .71456 L .91 .689 .591 r
F
.25506 .69047 m .22961 .70931 L .25671 .69565 L F
.40873 .72859 m .38703 .7391 L .41195 .72502 L .786 .997 .802 r
F
.40873 .72859 m .38379 .74272 L .38703 .7391 L F
.25506 .69047 m .22793 .70405 L .22961 .70931 L .91 .689 .591 r
F
.25341 .68529 m .22793 .70405 L .25506 .69047 L F
.25341 .68529 m .22625 .6988 L .22793 .70405 L F
.25176 .6801 m .22625 .6988 L .25341 .68529 L F
.25176 .6801 m .22457 .69355 L .22625 .6988 L F
.2501 .67492 m .22457 .69355 L .25176 .6801 L F
.3291 .55836 m .29815 .56854 L .32431 .55685 L .647 .194 .162 r
F
.2842 .74187 m .25747 .75619 L .25264 .75455 L .667 .244 .231 r
F
.28897 .74348 m .25747 .75619 L .2842 .74187 L F
.2501 .67492 m .22289 .68829 L .22457 .69355 L .91 .689 .591 r
F
.24845 .66973 m .22289 .68829 L .2501 .67492 L F
.24845 .66973 m .22121 .68303 L .22289 .68829 L F
.2468 .66454 m .22121 .68303 L .24845 .66973 L F
.41195 .72502 m .39027 .73548 L .41516 .72144 L .786 .997 .802 r
F
.41195 .72502 m .38703 .7391 L .39027 .73548 L F
.2468 .66454 m .21953 .67777 L .22121 .68303 L .91 .689 .591 r
F
.24514 .65935 m .21953 .67777 L .2468 .66454 L F
.24514 .65935 m .21785 .67251 L .21953 .67777 L F
.24349 .65416 m .21785 .67251 L .24514 .65935 L F
.3291 .55836 m .303 .57008 L .29815 .56854 L .647 .194 .162 r
F
.3339 .55988 m .303 .57008 L .3291 .55836 L F
.28897 .74348 m .2623 .75784 L .25747 .75619 L .667 .244 .231 r
F
.29375 .7451 m .2623 .75784 L .28897 .74348 L F
.24349 .65416 m .21617 .66725 L .21785 .67251 L .91 .689 .591 r
F
.24184 .64897 m .21617 .66725 L .24349 .65416 L F
.24184 .64897 m .21449 .66198 L .21617 .66725 L F
.24018 .64378 m .21449 .66198 L .24184 .64897 L F
.24018 .64378 m .21281 .65672 L .21449 .66198 L F
.23853 .63858 m .21281 .65672 L .24018 .64378 L F
.41516 .72144 m .39352 .73186 L .41838 .71786 L .786 .997 .802 r
F
.41516 .72144 m .39027 .73548 L .39352 .73186 L F
.23853 .63858 m .21112 .65145 L .21281 .65672 L .91 .689 .591 r
F
.23853 .63858 m .21425 .64777 L .24163 .63494 L .829 .997 .843 r
F
.23853 .63858 m .21112 .65145 L .21425 .64777 L F
.3339 .55988 m .30786 .57163 L .303 .57008 L .647 .194 .162 r
F
.33871 .56139 m .30786 .57163 L .3339 .55988 L F
.29375 .7451 m .26713 .75948 L .2623 .75784 L .667 .244 .231 r
F
.29854 .74671 m .26713 .75948 L .29375 .7451 L F
.41838 .71786 m .39677 .72823 L .4216 .71427 L .786 .997 .802 r
F
.41838 .71786 m .39352 .73186 L .39677 .72823 L F
.33871 .56139 m .31272 .57317 L .30786 .57163 L .647 .194 .162 r
F
.34352 .56291 m .31272 .57317 L .33871 .56139 L F
.29854 .74671 m .27197 .76113 L .26713 .75948 L .667 .244 .231 r
F
.30333 .74833 m .27197 .76113 L .29854 .74671 L F
.24163 .63494 m .21738 .64408 L .24473 .6313 L .829 .997 .843 r
F
.24163 .63494 m .21425 .64777 L .21738 .64408 L F
.34352 .56291 m .31758 .57471 L .31272 .57317 L .647 .194 .162 r
F
.34834 .56443 m .31758 .57471 L .34352 .56291 L F
.30333 .74833 m .27681 .76278 L .27197 .76113 L .667 .244 .231 r
F
.30813 .74995 m .27681 .76278 L .30333 .74833 L F
.4216 .71427 m .40003 .72459 L .42483 .71067 L .786 .997 .802 r
F
.4216 .71427 m .39677 .72823 L .40003 .72459 L F
.24473 .6313 m .22051 .64038 L .24784 .62764 L .829 .997 .843 r
F
.24473 .6313 m .21738 .64408 L .22051 .64038 L F
.34834 .56443 m .32246 .57626 L .31758 .57471 L .647 .194 .162 r
F
.35317 .56595 m .32246 .57626 L .34834 .56443 L F
.30813 .74995 m .28166 .76443 L .27681 .76278 L .667 .244 .231 r
F
.31293 .75157 m .28166 .76443 L .30813 .74995 L F
.42483 .71067 m .40329 .72095 L .42806 .70707 L .786 .997 .802 r
F
.42483 .71067 m .40003 .72459 L .40329 .72095 L F
.24784 .62764 m .22365 .63668 L .25095 .62399 L .829 .997 .843 r
F
.24784 .62764 m .22051 .64038 L .22365 .63668 L F
.35317 .56595 m .32733 .57781 L .32246 .57626 L .647 .194 .162 r
F
.35799 .56747 m .32733 .57781 L .35317 .56595 L F
.31293 .75157 m .28652 .76608 L .28166 .76443 L .667 .244 .231 r
F
.31774 .7532 m .28652 .76608 L .31293 .75157 L F
.42806 .70707 m .40655 .71731 L .4313 .70347 L .786 .997 .802 r
F
.42806 .70707 m .40329 .72095 L .40655 .71731 L F
.25095 .62399 m .22679 .63298 L .25407 .62033 L .829 .997 .843 r
F
.25095 .62399 m .22365 .63668 L .22679 .63298 L F
.35799 .56747 m .33222 .57936 L .32733 .57781 L .647 .194 .162 r
F
.36283 .56899 m .33222 .57936 L .35799 .56747 L F
.31774 .7532 m .29138 .76774 L .28652 .76608 L .667 .244 .231 r
F
.32255 .75482 m .29138 .76774 L .31774 .7532 L F
.4313 .70347 m .40983 .71366 L .43454 .69986 L .786 .997 .802 r
F
.4313 .70347 m .40655 .71731 L .40983 .71366 L F
.36283 .56899 m .33711 .58091 L .33222 .57936 L .647 .194 .162 r
F
.36767 .57052 m .33711 .58091 L .36283 .56899 L F
.32255 .75482 m .29625 .76939 L .29138 .76774 L .667 .244 .231 r
F
.32737 .75645 m .29625 .76939 L .32255 .75482 L F
.25407 .62033 m .22994 .62927 L .25719 .61666 L .829 .997 .843 r
F
.25407 .62033 m .22679 .63298 L .22994 .62927 L F
.36767 .57052 m .342 .58246 L .33711 .58091 L .647 .194 .162 r
F
.37251 .57204 m .342 .58246 L .36767 .57052 L F
.32737 .75645 m .30112 .77105 L .29625 .76939 L .667 .244 .231 r
F
.33219 .75808 m .30112 .77105 L .32737 .75645 L F
.43454 .69986 m .4131 .71 L .43779 .69625 L .786 .997 .802 r
F
.43454 .69986 m .40983 .71366 L .4131 .71 L F
.25719 .61666 m .23309 .62556 L .26031 .61299 L .829 .997 .843 r
F
.25719 .61666 m .22994 .62927 L .23309 .62556 L F
.37251 .57204 m .3469 .58402 L .342 .58246 L .647 .194 .162 r
F
.37736 .57357 m .3469 .58402 L .37251 .57204 L F
.33219 .75808 m .306 .77271 L .30112 .77105 L .667 .244 .231 r
F
.33702 .75971 m .306 .77271 L .33219 .75808 L F
.43779 .69625 m .41638 .70634 L .44104 .69263 L .786 .997 .802 r
F
.43779 .69625 m .4131 .71 L .41638 .70634 L F
.26031 .61299 m .23624 .62184 L .26344 .60931 L .829 .997 .843 r
F
.26031 .61299 m .23309 .62556 L .23624 .62184 L F
.37736 .57357 m .3518 .58558 L .3469 .58402 L .647 .194 .162 r
F
.38222 .5751 m .3518 .58558 L .37736 .57357 L F
.33702 .75971 m .31088 .77437 L .306 .77271 L .667 .244 .231 r
F
.34185 .76134 m .31088 .77437 L .33702 .75971 L F
.44104 .69263 m .41966 .70267 L .44429 .68901 L .786 .997 .802 r
F
.44104 .69263 m .41638 .70634 L .41966 .70267 L F
.26344 .60931 m .2394 .61811 L .26658 .60563 L .829 .997 .843 r
F
.26344 .60931 m .23624 .62184 L .2394 .61811 L F
.38222 .5751 m .35671 .58713 L .3518 .58558 L .647 .194 .162 r
F
.38708 .57663 m .35671 .58713 L .38222 .5751 L F
.34185 .76134 m .31577 .77604 L .31088 .77437 L .667 .244 .231 r
F
.34669 .76297 m .31577 .77604 L .34185 .76134 L F
.44429 .68901 m .42295 .699 L .44755 .68538 L .786 .997 .802 r
F
.44429 .68901 m .41966 .70267 L .42295 .699 L F
.38708 .57663 m .36163 .58869 L .35671 .58713 L .647 .194 .162 r
F
.39194 .57817 m .36163 .58869 L .38708 .57663 L F
.34669 .76297 m .32066 .7777 L .31577 .77604 L .667 .244 .231 r
F
.35153 .76461 m .32066 .7777 L .34669 .76297 L F
.26658 .60563 m .24256 .61438 L .26971 .60195 L .829 .997 .843 r
F
.26658 .60563 m .2394 .61811 L .24256 .61438 L F
.39194 .57817 m .36655 .59026 L .36163 .58869 L .647 .194 .162 r
F
.39681 .5797 m .36655 .59026 L .39194 .57817 L F
.35153 .76461 m .32556 .77937 L .32066 .7777 L .667 .244 .231 r
F
.35638 .76625 m .32556 .77937 L .35153 .76461 L F
.44592 .68015 m .42295 .699 L .44755 .68538 L .923 .695 .575 r
F
.26971 .60195 m .24573 .61065 L .27286 .59826 L .829 .997 .843 r
F
.26971 .60195 m .24256 .61438 L .24573 .61065 L F
.44592 .68015 m .42129 .69371 L .42295 .699 L .923 .695 .575 r
F
.44428 .67493 m .42129 .69371 L .44592 .68015 L F
.44428 .67493 m .41962 .68841 L .42129 .69371 L F
.44264 .6697 m .41962 .68841 L .44428 .67493 L F
.44264 .6697 m .41796 .68311 L .41962 .68841 L F
.441 .66447 m .41796 .68311 L .44264 .6697 L F
.39681 .5797 m .37148 .59182 L .36655 .59026 L .647 .194 .162 r
F
.40169 .58124 m .37148 .59182 L .39681 .5797 L F
.35638 .76625 m .33046 .78104 L .32556 .77937 L .667 .244 .231 r
F
.36124 .76789 m .33046 .78104 L .35638 .76625 L F
.441 .66447 m .41629 .6778 L .41796 .68311 L .923 .695 .575 r
F
.43936 .65924 m .41629 .6778 L .441 .66447 L F
.43936 .65924 m .41462 .6725 L .41629 .6778 L F
.43772 .65401 m .41462 .6725 L .43936 .65924 L F
.27286 .59826 m .24891 .60691 L .276 .59456 L .829 .997 .843 r
F
.27286 .59826 m .24573 .61065 L .24891 .60691 L F
.43772 .65401 m .41296 .66719 L .41462 .6725 L .923 .695 .575 r
F
.43608 .64877 m .41296 .66719 L .43772 .65401 L F
.43608 .64877 m .41129 .66189 L .41296 .66719 L F
.43444 .64354 m .41129 .66189 L .43608 .64877 L F
.40169 .58124 m .37641 .59339 L .37148 .59182 L .647 .194 .162 r
F
.40657 .58278 m .37641 .59339 L .40169 .58124 L F
.36124 .76789 m .33537 .78271 L .33046 .78104 L .667 .244 .231 r
F
.36124 .76789 m .33861 .77909 L .36445 .76431 L .786 .997 .802 r
F
.36124 .76789 m .33537 .78271 L .33861 .77909 L F
.43444 .64354 m .40962 .65658 L .41129 .66189 L .923 .695 .575 r
F
.43279 .6383 m .40962 .65658 L .43444 .64354 L F
.43279 .6383 m .40795 .65127 L .40962 .65658 L F
.43115 .63306 m .40795 .65127 L .43279 .6383 L F
.43115 .63306 m .40628 .64596 L .40795 .65127 L F
.42951 .62782 m .40628 .64596 L .43115 .63306 L F
.276 .59456 m .25208 .60316 L .27915 .59086 L .829 .997 .843 r
F
.276 .59456 m .24891 .60691 L .25208 .60316 L F
.42951 .62782 m .40461 .64065 L .40628 .64596 L .923 .695 .575 r
F
.42787 .62258 m .40461 .64065 L .42951 .62782 L F
.40657 .58278 m .38135 .59495 L .37641 .59339 L .647 .194 .162 r
F
.41146 .58432 m .38135 .59495 L .40657 .58278 L F
.42787 .62258 m .40294 .63533 L .40461 .64065 L .923 .695 .575 r
F
.42622 .61734 m .40294 .63533 L .42787 .62258 L F
.36445 .76431 m .34185 .77546 L .36766 .76072 L .786 .997 .802 r
F
.36445 .76431 m .33861 .77909 L .34185 .77546 L F
.42622 .61734 m .40127 .63002 L .40294 .63533 L .923 .695 .575 r
F
.42458 .6121 m .40127 .63002 L .42622 .61734 L F
.42458 .6121 m .3996 .6247 L .40127 .63002 L F
.42293 .60685 m .3996 .6247 L .42458 .6121 L F
.42293 .60685 m .39793 .61938 L .3996 .6247 L F
.42129 .60161 m .39793 .61938 L .42293 .60685 L F
.41146 .58432 m .38629 .59652 L .38135 .59495 L .647 .194 .162 r
F
.41635 .58586 m .38629 .59652 L .41146 .58432 L F
.27915 .59086 m .25526 .59941 L .28231 .58715 L .829 .997 .843 r
F
.27915 .59086 m .25208 .60316 L .25526 .59941 L F
.42129 .60161 m .39626 .61406 L .39793 .61938 L .923 .695 .575 r
F
.41964 .59636 m .39626 .61406 L .42129 .60161 L F
.41964 .59636 m .39458 .60874 L .39626 .61406 L F
.418 .59111 m .39458 .60874 L .41964 .59636 L F
.36766 .76072 m .3451 .77183 L .37087 .75713 L .786 .997 .802 r
F
.36766 .76072 m .34185 .77546 L .3451 .77183 L F
.418 .59111 m .39291 .60342 L .39458 .60874 L .923 .695 .575 r
F
.41635 .58586 m .39291 .60342 L .418 .59111 L F
.41635 .58586 m .39124 .59809 L .39291 .60342 L F
.41635 .58586 m .39124 .59809 L .38629 .59652 L .647 .194 .162 r
F
.28231 .58715 m .25845 .59565 L .28547 .58344 L .829 .997 .843 r
F
.28231 .58715 m .25526 .59941 L .25845 .59565 L F
.37087 .75713 m .34834 .76819 L .3741 .75353 L .786 .997 .802 r
F
.37087 .75713 m .3451 .77183 L .34834 .76819 L F
.28547 .58344 m .26164 .59189 L .28863 .57972 L .829 .997 .843 r
F
.28547 .58344 m .25845 .59565 L .26164 .59189 L F
.3741 .75353 m .3516 .76455 L .37732 .74993 L .786 .997 .802 r
F
.3741 .75353 m .34834 .76819 L .3516 .76455 L F
.28863 .57972 m .26484 .58812 L .2918 .576 L .829 .997 .843 r
F
.28863 .57972 m .26164 .59189 L .26484 .58812 L F
.37732 .74993 m .35486 .7609 L .38055 .74633 L .786 .997 .802 r
F
.37732 .74993 m .3516 .76455 L .35486 .7609 L F
.24782 .75291 m .21535 .76591 L .24301 .75127 L .667 .244 .231 r
F
.24134 .74603 m .21535 .76591 L .24301 .75127 L .91 .689 .591 r
F
.24134 .74603 m .21365 .7606 L .21535 .76591 L F
.23966 .74079 m .21365 .7606 L .24134 .74603 L F
.2918 .576 m .26804 .58435 L .29497 .57228 L .829 .997 .843 r
F
.2918 .576 m .26484 .58812 L .26804 .58435 L F
.23966 .74079 m .21195 .75528 L .21365 .7606 L .91 .689 .591 r
F
.23799 .73555 m .21195 .75528 L .23966 .74079 L F
.23799 .73555 m .21024 .74997 L .21195 .75528 L F
.23631 .7303 m .21024 .74997 L .23799 .73555 L F
.38055 .74633 m .35812 .75725 L .38379 .74272 L .786 .997 .802 r
F
.38055 .74633 m .35486 .7609 L .35812 .75725 L F
.23631 .7303 m .20854 .74465 L .21024 .74997 L .91 .689 .591 r
F
.23464 .72506 m .20854 .74465 L .23631 .7303 L F
.24782 .75291 m .22022 .76758 L .21535 .76591 L .667 .244 .231 r
F
.25264 .75455 m .22022 .76758 L .24782 .75291 L F
.23464 .72506 m .20684 .73933 L .20854 .74465 L .91 .689 .591 r
F
.23296 .71981 m .20684 .73933 L .23464 .72506 L F
.23296 .71981 m .20513 .73401 L .20684 .73933 L F
.23128 .71456 m .20513 .73401 L .23296 .71981 L F
.29497 .57228 m .27124 .58058 L .29815 .56854 L .829 .997 .843 r
F
.29497 .57228 m .26804 .58435 L .27124 .58058 L F
.23128 .71456 m .20343 .72868 L .20513 .73401 L .91 .689 .591 r
F
.22961 .70931 m .20343 .72868 L .23128 .71456 L F
.25264 .75455 m .22509 .76925 L .22022 .76758 L .667 .244 .231 r
F
.25747 .75619 m .22509 .76925 L .25264 .75455 L F
.22961 .70931 m .20172 .72336 L .20343 .72868 L .91 .689 .591 r
F
.22793 .70405 m .20172 .72336 L .22961 .70931 L F
.38379 .74272 m .36139 .75359 L .38703 .7391 L .786 .997 .802 r
F
.38379 .74272 m .35812 .75725 L .36139 .75359 L F
.22793 .70405 m .20001 .71803 L .20172 .72336 L .91 .689 .591 r
F
.22625 .6988 m .20001 .71803 L .22793 .70405 L F
.22625 .6988 m .19831 .7127 L .20001 .71803 L F
.22457 .69355 m .19831 .7127 L .22625 .6988 L F
.22457 .69355 m .1966 .70738 L .19831 .7127 L F
.22289 .68829 m .1966 .70738 L .22457 .69355 L F
.303 .57008 m .27124 .58058 L .29815 .56854 L .647 .194 .162 r
F
.25747 .75619 m .22997 .77093 L .22509 .76925 L .667 .244 .231 r
F
.2623 .75784 m .22997 .77093 L .25747 .75619 L F
.22289 .68829 m .19489 .70205 L .1966 .70738 L .91 .689 .591 r
F
.22121 .68303 m .19489 .70205 L .22289 .68829 L F
.22121 .68303 m .19319 .69671 L .19489 .70205 L F
.21953 .67777 m .19319 .69671 L .22121 .68303 L F
.38703 .7391 m .36466 .74993 L .39027 .73548 L .786 .997 .802 r
F
.38703 .7391 m .36139 .75359 L .36466 .74993 L F
.21953 .67777 m .19148 .69138 L .19319 .69671 L .91 .689 .591 r
F
.21785 .67251 m .19148 .69138 L .21953 .67777 L F
.21785 .67251 m .18977 .68604 L .19148 .69138 L F
.21617 .66725 m .18977 .68604 L .21785 .67251 L F
.303 .57008 m .27614 .58214 L .27124 .58058 L .647 .194 .162 r
F
.30786 .57163 m .27614 .58214 L .303 .57008 L F
.21617 .66725 m .18806 .68071 L .18977 .68604 L .91 .689 .591 r
F
.21449 .66198 m .18806 .68071 L .21617 .66725 L F
.2623 .75784 m .23485 .7726 L .22997 .77093 L .667 .244 .231 r
F
.26713 .75948 m .23485 .7726 L .2623 .75784 L F
.21449 .66198 m .18635 .67537 L .18806 .68071 L .91 .689 .591 r
F
.21281 .65672 m .18635 .67537 L .21449 .66198 L F
.21281 .65672 m .18464 .67003 L .18635 .67537 L F
.21112 .65145 m .18464 .67003 L .21281 .65672 L F
.39027 .73548 m .36794 .74626 L .39352 .73186 L .786 .997 .802 r
F
.39027 .73548 m .36466 .74993 L .36794 .74626 L F
.21112 .65145 m .18293 .66469 L .18464 .67003 L .91 .689 .591 r
F
.21112 .65145 m .18608 .66096 L .21425 .64777 L .829 .997 .843 r
F
.21112 .65145 m .18293 .66469 L .18608 .66096 L F
.30786 .57163 m .28106 .58371 L .27614 .58214 L .647 .194 .162 r
F
.31272 .57317 m .28106 .58371 L .30786 .57163 L F
.26713 .75948 m .23974 .77428 L .23485 .7726 L .667 .244 .231 r
F
.27197 .76113 m .23974 .77428 L .26713 .75948 L F
.39352 .73186 m .37122 .74259 L .39677 .72823 L .786 .997 .802 r
F
.39352 .73186 m .36794 .74626 L .37122 .74259 L F
.31272 .57317 m .28597 .58529 L .28106 .58371 L .647 .194 .162 r
F
.31758 .57471 m .28597 .58529 L .31272 .57317 L F
.27197 .76113 m .24463 .77596 L .23974 .77428 L .667 .244 .231 r
F
.27681 .76278 m .24463 .77596 L .27197 .76113 L F
.21425 .64777 m .18923 .65723 L .21738 .64408 L .829 .997 .843 r
F
.21425 .64777 m .18608 .66096 L .18923 .65723 L F
.31758 .57471 m .29089 .58686 L .28597 .58529 L .647 .194 .162 r
F
.32246 .57626 m .29089 .58686 L .31758 .57471 L F
.27681 .76278 m .24953 .77764 L .24463 .77596 L .667 .244 .231 r
F
.28166 .76443 m .24953 .77764 L .27681 .76278 L F
.39677 .72823 m .37451 .73891 L .40003 .72459 L .786 .997 .802 r
F
.39677 .72823 m .37122 .74259 L .37451 .73891 L F
.21738 .64408 m .19239 .65349 L .22051 .64038 L .829 .997 .843 r
F
.21738 .64408 m .18923 .65723 L .19239 .65349 L F
.32246 .57626 m .29582 .58844 L .29089 .58686 L .647 .194 .162 r
F
.32733 .57781 m .29582 .58844 L .32246 .57626 L F
.28166 .76443 m .25444 .77932 L .24953 .77764 L .667 .244 .231 r
F
.28652 .76608 m .25444 .77932 L .28166 .76443 L F
.40003 .72459 m .3778 .73523 L .40329 .72095 L .786 .997 .802 r
F
.40003 .72459 m .37451 .73891 L .3778 .73523 L F
.22051 .64038 m .19556 .64975 L .22365 .63668 L .829 .997 .843 r
F
.22051 .64038 m .19239 .65349 L .19556 .64975 L F
.32733 .57781 m .30076 .59001 L .29582 .58844 L .647 .194 .162 r
F
.33222 .57936 m .30076 .59001 L .32733 .57781 L F
.28652 .76608 m .25935 .78101 L .25444 .77932 L .667 .244 .231 r
F
.29138 .76774 m .25935 .78101 L .28652 .76608 L F
.40329 .72095 m .38109 .73154 L .40655 .71731 L .786 .997 .802 r
F
.40329 .72095 m .3778 .73523 L .38109 .73154 L F
.22365 .63668 m .19872 .646 L .22679 .63298 L .829 .997 .843 r
F
.22365 .63668 m .19556 .64975 L .19872 .646 L F
.33222 .57936 m .30569 .59159 L .30076 .59001 L .647 .194 .162 r
F
.33711 .58091 m .30569 .59159 L .33222 .57936 L F
.29138 .76774 m .26426 .7827 L .25935 .78101 L .667 .244 .231 r
F
.29625 .76939 m .26426 .7827 L .29138 .76774 L F
.40655 .71731 m .38439 .72785 L .40983 .71366 L .786 .997 .802 r
F
.40655 .71731 m .38109 .73154 L .38439 .72785 L F
.33711 .58091 m .31064 .59317 L .30569 .59159 L .647 .194 .162 r
F
.342 .58246 m .31064 .59317 L .33711 .58091 L F
.22679 .63298 m .2019 .64224 L .22994 .62927 L .829 .997 .843 r
F
.22679 .63298 m .19872 .646 L .2019 .64224 L F
.29625 .76939 m .26919 .78438 L .26426 .7827 L .667 .244 .231 r
F
.30112 .77105 m .26919 .78438 L .29625 .76939 L F
.342 .58246 m .31559 .59476 L .31064 .59317 L .647 .194 .162 r
F
.3469 .58402 m .31559 .59476 L .342 .58246 L F
.30112 .77105 m .27411 .78608 L .26919 .78438 L .667 .244 .231 r
F
.306 .77271 m .27411 .78608 L .30112 .77105 L F
.40983 .71366 m .3877 .72415 L .4131 .71 L .786 .997 .802 r
F
.40983 .71366 m .38439 .72785 L .3877 .72415 L F
.22994 .62927 m .20507 .63849 L .23309 .62556 L .829 .997 .843 r
F
.22994 .62927 m .2019 .64224 L .20507 .63849 L F
.3469 .58402 m .32054 .59634 L .31559 .59476 L .647 .194 .162 r
F
.3518 .58558 m .32054 .59634 L .3469 .58402 L F
.306 .77271 m .27905 .78777 L .27411 .78608 L .667 .244 .231 r
F
.31088 .77437 m .27905 .78777 L .306 .77271 L F
.4131 .71 m .39101 .72045 L .41638 .70634 L .786 .997 .802 r
F
.4131 .71 m .3877 .72415 L .39101 .72045 L F
.23309 .62556 m .20825 .63472 L .23624 .62184 L .829 .997 .843 r
F
.23309 .62556 m .20507 .63849 L .20825 .63472 L F
.3518 .58558 m .3255 .59793 L .32054 .59634 L .647 .194 .162 r
F
.35671 .58713 m .3255 .59793 L .3518 .58558 L F
.31088 .77437 m .28398 .78946 L .27905 .78777 L .667 .244 .231 r
F
.31577 .77604 m .28398 .78946 L .31088 .77437 L F
.41638 .70634 m .39432 .71674 L .41966 .70267 L .786 .997 .802 r
F
.41638 .70634 m .39101 .72045 L .39432 .71674 L F
.23624 .62184 m .21144 .63095 L .2394 .61811 L .829 .997 .843 r
F
.23624 .62184 m .20825 .63472 L .21144 .63095 L F
.35671 .58713 m .33047 .59952 L .3255 .59793 L .647 .194 .162 r
F
.36163 .58869 m .33047 .59952 L .35671 .58713 L F
.31577 .77604 m .28893 .79116 L .28398 .78946 L .667 .244 .231 r
F
.32066 .7777 m .28893 .79116 L .31577 .77604 L F
.41966 .70267 m .39764 .71302 L .42295 .699 L .786 .997 .802 r
F
.41966 .70267 m .39432 .71674 L .39764 .71302 L F
.36163 .58869 m .33544 .60111 L .33047 .59952 L .647 .194 .162 r
F
.36655 .59026 m .33544 .60111 L .36163 .58869 L F
.32066 .7777 m .29388 .79286 L .28893 .79116 L .667 .244 .231 r
F
.32556 .77937 m .29388 .79286 L .32066 .7777 L F
.2394 .61811 m .21463 .62718 L .24256 .61438 L .829 .997 .843 r
F
.2394 .61811 m .21144 .63095 L .21463 .62718 L F
.36655 .59026 m .34042 .6027 L .33544 .60111 L .647 .194 .162 r
F
.37148 .59182 m .34042 .6027 L .36655 .59026 L F
.32556 .77937 m .29883 .79456 L .29388 .79286 L .667 .244 .231 r
F
.33046 .78104 m .29883 .79456 L .32556 .77937 L F
.42129 .69371 m .39764 .71302 L .42295 .699 L .923 .695 .575 r
F
.24256 .61438 m .21782 .6234 L .24573 .61065 L .829 .997 .843 r
F
.24256 .61438 m .21463 .62718 L .21782 .6234 L F
.42129 .69371 m .39595 .70765 L .39764 .71302 L .923 .695 .575 r
F
.41962 .68841 m .39595 .70765 L .42129 .69371 L F
.41962 .68841 m .39425 .70228 L .39595 .70765 L F
.41796 .68311 m .39425 .70228 L .41962 .68841 L F
.37148 .59182 m .3454 .60429 L .34042 .6027 L .647 .194 .162 r
F
.37641 .59339 m .3454 .60429 L .37148 .59182 L F
.41796 .68311 m .39256 .6969 L .39425 .70228 L .923 .695 .575 r
F
.41629 .6778 m .39256 .6969 L .41796 .68311 L F
.33046 .78104 m .30379 .79626 L .29883 .79456 L .667 .244 .231 r
F
.33537 .78271 m .30379 .79626 L .33046 .78104 L F
.41629 .6778 m .39086 .69152 L .39256 .6969 L .923 .695 .575 r
F
.41462 .6725 m .39086 .69152 L .41629 .6778 L F
.41462 .6725 m .38917 .68615 L .39086 .69152 L F
.41296 .66719 m .38917 .68615 L .41462 .6725 L F
.24573 .61065 m .22102 .61961 L .24891 .60691 L .829 .997 .843 r
F
.24573 .61065 m .21782 .6234 L .22102 .61961 L F
.41296 .66719 m .38747 .68077 L .38917 .68615 L .923 .695 .575 r
F
.41129 .66189 m .38747 .68077 L .41296 .66719 L F
.37641 .59339 m .35039 .60589 L .3454 .60429 L .647 .194 .162 r
F
.38135 .59495 m .35039 .60589 L .37641 .59339 L F
.41129 .66189 m .38578 .67538 L .38747 .68077 L .923 .695 .575 r
F
.40962 .65658 m .38578 .67538 L .41129 .66189 L F
.33537 .78271 m .30876 .79796 L .30379 .79626 L .667 .244 .231 r
F
.33537 .78271 m .31202 .7943 L .33861 .77909 L .786 .997 .802 r
F
.33537 .78271 m .30876 .79796 L .31202 .7943 L F
.40962 .65658 m .38408 .67 L .38578 .67538 L .923 .695 .575 r
F
.40795 .65127 m .38408 .67 L .40962 .65658 L F
.40795 .65127 m .38239 .66462 L .38408 .67 L F
.40628 .64596 m .38239 .66462 L .40795 .65127 L F
.40628 .64596 m .38069 .65923 L .38239 .66462 L F
.40461 .64065 m .38069 .65923 L .40628 .64596 L F
.24891 .60691 m .22423 .61582 L .25208 .60316 L .829 .997 .843 r
F
.24891 .60691 m .22102 .61961 L .22423 .61582 L F
.40461 .64065 m .37899 .65384 L .38069 .65923 L .923 .695 .575 r
F
.40294 .63533 m .37899 .65384 L .40461 .64065 L F
.38135 .59495 m .35539 .60748 L .35039 .60589 L .647 .194 .162 r
F
.38629 .59652 m .35539 .60748 L .38135 .59495 L F
.40294 .63533 m .37729 .64845 L .37899 .65384 L .923 .695 .575 r
F
.40127 .63002 m .37729 .64845 L .40294 .63533 L F
.33861 .77909 m .31529 .79063 L .34185 .77546 L .786 .997 .802 r
F
.33861 .77909 m .31202 .7943 L .31529 .79063 L F
.40127 .63002 m .3756 .64306 L .37729 .64845 L .923 .695 .575 r
F
.3996 .6247 m .3756 .64306 L .40127 .63002 L F
.3996 .6247 m .3739 .63767 L .3756 .64306 L F
.39793 .61938 m .3739 .63767 L .3996 .6247 L F
.39793 .61938 m .3722 .63227 L .3739 .63767 L F
.39626 .61406 m .3722 .63227 L .39793 .61938 L F
.38629 .59652 m .36039 .60908 L .35539 .60748 L .647 .194 .162 r
F
.39124 .59809 m .36039 .60908 L .38629 .59652 L F
.25208 .60316 m .22743 .61202 L .25526 .59941 L .829 .997 .843 r
F
.25208 .60316 m .22423 .61582 L .22743 .61202 L F
.39626 .61406 m .3705 .62688 L .3722 .63227 L .923 .695 .575 r
F
.39458 .60874 m .3705 .62688 L .39626 .61406 L F
.39458 .60874 m .3688 .62148 L .3705 .62688 L F
.39291 .60342 m .3688 .62148 L .39458 .60874 L F
.34185 .77546 m .31857 .78696 L .3451 .77183 L .786 .997 .802 r
F
.34185 .77546 m .31529 .79063 L .31857 .78696 L F
.39291 .60342 m .3671 .61608 L .3688 .62148 L .923 .695 .575 r
F
.39124 .59809 m .3671 .61608 L .39291 .60342 L F
.39124 .59809 m .36539 .61068 L .3671 .61608 L F
.39124 .59809 m .36539 .61068 L .36039 .60908 L .647 .194 .162 r
F
.25526 .59941 m .23065 .60822 L .25845 .59565 L .829 .997 .843 r
F
.25526 .59941 m .22743 .61202 L .23065 .60822 L F
.3451 .77183 m .32184 .78328 L .34834 .76819 L .786 .997 .802 r
F
.3451 .77183 m .31857 .78696 L .32184 .78328 L F
.25845 .59565 m .23386 .60441 L .26164 .59189 L .829 .997 .843 r
F
.25845 .59565 m .23065 .60822 L .23386 .60441 L F
.34834 .76819 m .32513 .77959 L .3516 .76455 L .786 .997 .802 r
F
.34834 .76819 m .32184 .78328 L .32513 .77959 L F
.26164 .59189 m .23709 .6006 L .26484 .58812 L .829 .997 .843 r
F
.26164 .59189 m .23386 .60441 L .23709 .6006 L F
.3516 .76455 m .32841 .7759 L .35486 .7609 L .786 .997 .802 r
F
.3516 .76455 m .32513 .77959 L .32841 .7759 L F
.22022 .76758 m .18688 .78098 L .21535 .76591 L .667 .244 .231 r
F
.21365 .7606 m .18688 .78098 L .21535 .76591 L .91 .689 .591 r
F
.21365 .7606 m .18515 .77559 L .18688 .78098 L F
.21195 .75528 m .18515 .77559 L .21365 .7606 L F
.26484 .58812 m .24031 .59678 L .26804 .58435 L .829 .997 .843 r
F
.26484 .58812 m .23709 .6006 L .24031 .59678 L F
.21195 .75528 m .18342 .7702 L .18515 .77559 L .91 .689 .591 r
F
.21024 .74997 m .18342 .7702 L .21195 .75528 L F
.21024 .74997 m .18169 .76481 L .18342 .7702 L F
.20854 .74465 m .18169 .76481 L .21024 .74997 L F
.35486 .7609 m .33171 .77221 L .35812 .75725 L .786 .997 .802 r
F
.35486 .7609 m .32841 .7759 L .33171 .77221 L F
.22022 .76758 m .19181 .78268 L .18688 .78098 L .667 .244 .231 r
F
.22509 .76925 m .19181 .78268 L .22022 .76758 L F
.20854 .74465 m .17996 .75941 L .18169 .76481 L .91 .689 .591 r
F
.20684 .73933 m .17996 .75941 L .20854 .74465 L F
.20684 .73933 m .17822 .75402 L .17996 .75941 L F
.20513 .73401 m .17822 .75402 L .20684 .73933 L F
.20513 .73401 m .17649 .74862 L .17822 .75402 L F
.20343 .72868 m .17649 .74862 L .20513 .73401 L F
.26804 .58435 m .24354 .59296 L .27124 .58058 L .829 .997 .843 r
F
.26804 .58435 m .24031 .59678 L .24354 .59296 L F
.20343 .72868 m .17476 .74322 L .17649 .74862 L .91 .689 .591 r
F
.20172 .72336 m .17476 .74322 L .20343 .72868 L F
.22509 .76925 m .19673 .78439 L .19181 .78268 L .667 .244 .231 r
F
.22997 .77093 m .19673 .78439 L .22509 .76925 L F
.20172 .72336 m .17302 .73782 L .17476 .74322 L .91 .689 .591 r
F
.20001 .71803 m .17302 .73782 L .20172 .72336 L F
.35812 .75725 m .335 .76851 L .36139 .75359 L .786 .997 .802 r
F
.35812 .75725 m .33171 .77221 L .335 .76851 L F
.20001 .71803 m .17129 .73242 L .17302 .73782 L .91 .689 .591 r
F
.19831 .7127 m .17129 .73242 L .20001 .71803 L F
.19831 .7127 m .16955 .72702 L .17129 .73242 L F
.1966 .70738 m .16955 .72702 L .19831 .7127 L F
.1966 .70738 m .16782 .72161 L .16955 .72702 L F
.19489 .70205 m .16782 .72161 L .1966 .70738 L F
.27614 .58214 m .24354 .59296 L .27124 .58058 L .647 .194 .162 r
F
.22997 .77093 m .20167 .78609 L .19673 .78439 L .667 .244 .231 r
F
.23485 .7726 m .20167 .78609 L .22997 .77093 L F
.19489 .70205 m .16608 .7162 L .16782 .72161 L .91 .689 .591 r
F
.19319 .69671 m .16608 .7162 L .19489 .70205 L F
.19319 .69671 m .16434 .7108 L .16608 .7162 L F
.19148 .69138 m .16434 .7108 L .19319 .69671 L F
.36139 .75359 m .3383 .7648 L .36466 .74993 L .786 .997 .802 r
F
.36139 .75359 m .335 .76851 L .3383 .7648 L F
.19148 .69138 m .1626 .70539 L .16434 .7108 L .91 .689 .591 r
F
.18977 .68604 m .1626 .70539 L .19148 .69138 L F
.18977 .68604 m .16087 .69998 L .1626 .70539 L F
.18806 .68071 m .16087 .69998 L .18977 .68604 L F
.27614 .58214 m .2485 .59456 L .24354 .59296 L .647 .194 .162 r
F
.28106 .58371 m .2485 .59456 L .27614 .58214 L F
.23485 .7726 m .2066 .7878 L .20167 .78609 L .667 .244 .231 r
F
.23974 .77428 m .2066 .7878 L .23485 .7726 L F
.18806 .68071 m .15913 .69456 L .16087 .69998 L .91 .689 .591 r
F
.18635 .67537 m .15913 .69456 L .18806 .68071 L F
.18635 .67537 m .15739 .68915 L .15913 .69456 L F
.18464 .67003 m .15739 .68915 L .18635 .67537 L F
.18464 .67003 m .15565 .68373 L .15739 .68915 L F
.18293 .66469 m .15565 .68373 L .18464 .67003 L F
.36466 .74993 m .34161 .76109 L .36794 .74626 L .786 .997 .802 r
F
.36466 .74993 m .3383 .7648 L .34161 .76109 L F
.18293 .66469 m .15391 .67832 L .15565 .68373 L .91 .689 .591 r
F
.18293 .66469 m .15709 .67454 L .18608 .66096 L .829 .997 .843 r
F
.18293 .66469 m .15391 .67832 L .15709 .67454 L F
.28106 .58371 m .25347 .59616 L .2485 .59456 L .647 .194 .162 r
F
.28597 .58529 m .25347 .59616 L .28106 .58371 L F
.23974 .77428 m .21155 .78951 L .2066 .7878 L .667 .244 .231 r
F
.24463 .77596 m .21155 .78951 L .23974 .77428 L F
.36794 .74626 m .34492 .75738 L .37122 .74259 L .786 .997 .802 r
F
.36794 .74626 m .34161 .76109 L .34492 .75738 L F
.28597 .58529 m .25844 .59776 L .25347 .59616 L .647 .194 .162 r
F
.29089 .58686 m .25844 .59776 L .28597 .58529 L F
.18608 .66096 m .16027 .67077 L .18923 .65723 L .829 .997 .843 r
F
.18608 .66096 m .15709 .67454 L .16027 .67077 L F
.24463 .77596 m .2165 .79122 L .21155 .78951 L .667 .244 .231 r
F
.24953 .77764 m .2165 .79122 L .24463 .77596 L F
.29089 .58686 m .26342 .59936 L .25844 .59776 L .647 .194 .162 r
F
.29582 .58844 m .26342 .59936 L .29089 .58686 L F
.24953 .77764 m .22145 .79294 L .2165 .79122 L .667 .244 .231 r
F
.25444 .77932 m .22145 .79294 L .24953 .77764 L F
.37122 .74259 m .34824 .75366 L .37451 .73891 L .786 .997 .802 r
F
.37122 .74259 m .34492 .75738 L .34824 .75366 L F
.18923 .65723 m .16345 .66698 L .19239 .65349 L .829 .997 .843 r
F
.18923 .65723 m .16027 .67077 L .16345 .66698 L F
.29582 .58844 m .26841 .60097 L .26342 .59936 L .647 .194 .162 r
F
.30076 .59001 m .26841 .60097 L .29582 .58844 L F
.25444 .77932 m .22641 .79466 L .22145 .79294 L .667 .244 .231 r
F
.25935 .78101 m .22641 .79466 L .25444 .77932 L F
.37451 .73891 m .35156 .74993 L .3778 .73523 L .786 .997 .802 r
F
.37451 .73891 m .34824 .75366 L .35156 .74993 L F
.19239 .65349 m .16664 .66319 L .19556 .64975 L .829 .997 .843 r
F
.19239 .65349 m .16345 .66698 L .16664 .66319 L F
.30076 .59001 m .2734 .60258 L .26841 .60097 L .647 .194 .162 r
F
.30569 .59159 m .2734 .60258 L .30076 .59001 L F
.25935 .78101 m .23138 .79637 L .22641 .79466 L .667 .244 .231 r
F
.26426 .7827 m .23138 .79637 L .25935 .78101 L F
.3778 .73523 m .35488 .7462 L .38109 .73154 L .786 .997 .802 r
F
.3778 .73523 m .35156 .74993 L .35488 .7462 L F
.19556 .64975 m .16983 .6594 L .19872 .646 L .829 .997 .843 r
F
.19556 .64975 m .16664 .66319 L .16983 .6594 L F
.30569 .59159 m .27839 .60419 L .2734 .60258 L .647 .194 .162 r
F
.31064 .59317 m .27839 .60419 L .30569 .59159 L F
.26426 .7827 m .23635 .79809 L .23138 .79637 L .667 .244 .231 r
F
.26919 .78438 m .23635 .79809 L .26426 .7827 L F
.38109 .73154 m .35821 .74246 L .38439 .72785 L .786 .997 .802 r
F
.38109 .73154 m .35488 .7462 L .35821 .74246 L F
.31064 .59317 m .28339 .6058 L .27839 .60419 L .647 .194 .162 r
F
.31559 .59476 m .28339 .6058 L .31064 .59317 L F
.26919 .78438 m .24133 .79982 L .23635 .79809 L .667 .244 .231 r
F
.27411 .78608 m .24133 .79982 L .26919 .78438 L F
.19872 .646 m .17303 .6556 L .2019 .64224 L .829 .997 .843 r
F
.19872 .646 m .16983 .6594 L .17303 .6556 L F
.31559 .59476 m .2884 .60741 L .28339 .6058 L .647 .194 .162 r
F
.32054 .59634 m .2884 .60741 L .31559 .59476 L F
.27411 .78608 m .24631 .80154 L .24133 .79982 L .667 .244 .231 r
F
.27905 .78777 m .24631 .80154 L .27411 .78608 L F
.38439 .72785 m .36155 .73872 L .3877 .72415 L .786 .997 .802 r
F
.38439 .72785 m .35821 .74246 L .36155 .73872 L F
.2019 .64224 m .17623 .6518 L .20507 .63849 L .829 .997 .843 r
F
.2019 .64224 m .17303 .6556 L .17623 .6518 L F
.32054 .59634 m .29341 .60903 L .2884 .60741 L .647 .194 .162 r
F
.3255 .59793 m .29341 .60903 L .32054 .59634 L F
.27905 .78777 m .2513 .80327 L .24631 .80154 L .667 .244 .231 r
F
.28398 .78946 m .2513 .80327 L .27905 .78777 L F
.3877 .72415 m .36489 .73497 L .39101 .72045 L .786 .997 .802 r
F
.3877 .72415 m .36155 .73872 L .36489 .73497 L F
.20507 .63849 m .17944 .64798 L .20825 .63472 L .829 .997 .843 r
F
.20507 .63849 m .17623 .6518 L .17944 .64798 L F
.3255 .59793 m .29843 .61064 L .29341 .60903 L .647 .194 .162 r
F
.33047 .59952 m .29843 .61064 L .3255 .59793 L F
.28398 .78946 m .2563 .805 L .2513 .80327 L .667 .244 .231 r
F
.28893 .79116 m .2563 .805 L .28398 .78946 L F
.39101 .72045 m .36823 .73122 L .39432 .71674 L .786 .997 .802 r
F
.39101 .72045 m .36489 .73497 L .36823 .73122 L F
.20825 .63472 m .18265 .64417 L .21144 .63095 L .829 .997 .843 r
F
.20825 .63472 m .17944 .64798 L .18265 .64417 L F
.33047 .59952 m .30346 .61226 L .29843 .61064 L .647 .194 .162 r
F
.33544 .60111 m .30346 .61226 L .33047 .59952 L F
.28893 .79116 m .2613 .80673 L .2563 .805 L .667 .244 .231 r
F
.29388 .79286 m .2613 .80673 L .28893 .79116 L F
.39432 .71674 m .37158 .72746 L .39764 .71302 L .786 .997 .802 r
F
.39432 .71674 m .36823 .73122 L .37158 .72746 L F
.33544 .60111 m .30849 .61388 L .30346 .61226 L .647 .194 .162 r
F
.34042 .6027 m .30849 .61388 L .33544 .60111 L F
.29388 .79286 m .2663 .80846 L .2613 .80673 L .667 .244 .231 r
F
.29883 .79456 m .2663 .80846 L .29388 .79286 L F
.21144 .63095 m .18587 .64035 L .21463 .62718 L .829 .997 .843 r
F
.21144 .63095 m .18265 .64417 L .18587 .64035 L F
.34042 .6027 m .31352 .61551 L .30849 .61388 L .647 .194 .162 r
F
.3454 .60429 m .31352 .61551 L .34042 .6027 L F
.29883 .79456 m .27132 .81019 L .2663 .80846 L .667 .244 .231 r
F
.30379 .79626 m .27132 .81019 L .29883 .79456 L F
.39595 .70765 m .37158 .72746 L .39764 .71302 L .923 .695 .575 r
F
.21463 .62718 m .18909 .63652 L .21782 .6234 L .829 .997 .843 r
F
.21463 .62718 m .18587 .64035 L .18909 .63652 L F
.39595 .70765 m .36986 .72201 L .37158 .72746 L .923 .695 .575 r
F
.39425 .70228 m .36986 .72201 L .39595 .70765 L F
.39425 .70228 m .36814 .71656 L .36986 .72201 L F
.39256 .6969 m .36814 .71656 L .39425 .70228 L F
.39256 .6969 m .36641 .7111 L .36814 .71656 L F
.39086 .69152 m .36641 .7111 L .39256 .6969 L F
.3454 .60429 m .31856 .61713 L .31352 .61551 L .647 .194 .162 r
F
.35039 .60589 m .31856 .61713 L .3454 .60429 L F
.30379 .79626 m .27633 .81193 L .27132 .81019 L .667 .244 .231 r
F
.30876 .79796 m .27633 .81193 L .30379 .79626 L F
.39086 .69152 m .36469 .70565 L .36641 .7111 L .923 .695 .575 r
F
.38917 .68615 m .36469 .70565 L .39086 .69152 L F
.38917 .68615 m .36297 .70019 L .36469 .70565 L F
.38747 .68077 m .36297 .70019 L .38917 .68615 L F
.21782 .6234 m .19232 .63269 L .22102 .61961 L .829 .997 .843 r
F
.21782 .6234 m .18909 .63652 L .19232 .63269 L F
.38747 .68077 m .36124 .69474 L .36297 .70019 L .923 .695 .575 r
F
.38578 .67538 m .36124 .69474 L .38747 .68077 L F
.35039 .60589 m .32361 .61876 L .31856 .61713 L .647 .194 .162 r
F
.35539 .60748 m .32361 .61876 L .35039 .60589 L F
.38578 .67538 m .35952 .68928 L .36124 .69474 L .923 .695 .575 r
F
.38408 .67 m .35952 .68928 L .38578 .67538 L F
.30876 .79796 m .28136 .81367 L .27633 .81193 L .667 .244 .231 r
F
.30876 .79796 m .28465 .80996 L .31202 .7943 L .786 .997 .802 r
F
.30876 .79796 m .28136 .81367 L .28465 .80996 L F
.38408 .67 m .35779 .68382 L .35952 .68928 L .923 .695 .575 r
F
.38239 .66462 m .35779 .68382 L .38408 .67 L F
.38239 .66462 m .35607 .67835 L .35779 .68382 L F
.38069 .65923 m .35607 .67835 L .38239 .66462 L F
.38069 .65923 m .35434 .67289 L .35607 .67835 L F
.37899 .65384 m .35434 .67289 L .38069 .65923 L F
.22102 .61961 m .19555 .62885 L .22423 .61582 L .829 .997 .843 r
F
.22102 .61961 m .19232 .63269 L .19555 .62885 L F
.37899 .65384 m .35262 .66743 L .35434 .67289 L .923 .695 .575 r
F
.37729 .64845 m .35262 .66743 L .37899 .65384 L F
.35539 .60748 m .32866 .62038 L .32361 .61876 L .647 .194 .162 r
F
.36039 .60908 m .32866 .62038 L .35539 .60748 L F
.37729 .64845 m .35089 .66196 L .35262 .66743 L .923 .695 .575 r
F
.3756 .64306 m .35089 .66196 L .37729 .64845 L F
.31202 .7943 m .28795 .80625 L .31529 .79063 L .786 .997 .802 r
F
.31202 .7943 m .28465 .80996 L .28795 .80625 L F
.3756 .64306 m .34916 .65649 L .35089 .66196 L .923 .695 .575 r
F
.3739 .63767 m .34916 .65649 L .3756 .64306 L F
.3739 .63767 m .34743 .65102 L .34916 .65649 L F
.3722 .63227 m .34743 .65102 L .3739 .63767 L F
.3722 .63227 m .3457 .64555 L .34743 .65102 L F
.3705 .62688 m .3457 .64555 L .3722 .63227 L F
.36039 .60908 m .33372 .62201 L .32866 .62038 L .647 .194 .162 r
F
.36539 .61068 m .33372 .62201 L .36039 .60908 L F
.22423 .61582 m .19878 .62501 L .22743 .61202 L .829 .997 .843 r
F
.22423 .61582 m .19555 .62885 L .19878 .62501 L F
.3705 .62688 m .34398 .64007 L .3457 .64555 L .923 .695 .575 r
F
.3688 .62148 m .34398 .64007 L .3705 .62688 L F
.3688 .62148 m .34225 .6346 L .34398 .64007 L F
.3671 .61608 m .34225 .6346 L .3688 .62148 L F
.31529 .79063 m .29125 .80253 L .31857 .78696 L .786 .997 .802 r
F
.31529 .79063 m .28795 .80625 L .29125 .80253 L F
.3671 .61608 m .34052 .62912 L .34225 .6346 L .923 .695 .575 r
F
.36539 .61068 m .34052 .62912 L .3671 .61608 L F
.36539 .61068 m .33879 .62365 L .34052 .62912 L F
.36539 .61068 m .33879 .62365 L .33372 .62201 L .647 .194 .162 r
F
.22743 .61202 m .20202 .62116 L .23065 .60822 L .829 .997 .843 r
F
.22743 .61202 m .19878 .62501 L .20202 .62116 L F
.31857 .78696 m .29456 .79881 L .32184 .78328 L .786 .997 .802 r
F
.31857 .78696 m .29125 .80253 L .29456 .79881 L F
.23065 .60822 m .20527 .6173 L .23386 .60441 L .829 .997 .843 r
F
.23065 .60822 m .20202 .62116 L .20527 .6173 L F
.32184 .78328 m .29787 .79508 L .32513 .77959 L .786 .997 .802 r
F
.32184 .78328 m .29456 .79881 L .29787 .79508 L F
.23386 .60441 m .20851 .61344 L .23709 .6006 L .829 .997 .843 r
F
.23386 .60441 m .20527 .6173 L .20851 .61344 L F
.32513 .77959 m .30119 .79135 L .32841 .7759 L .786 .997 .802 r
F
.32513 .77959 m .29787 .79508 L .30119 .79135 L F
.18515 .77559 m .15757 .79649 L .18688 .78098 L .91 .689 .591 r
F
.19181 .78268 m .15757 .79649 L .18688 .78098 L .667 .244 .231 r
F
.18515 .77559 m .15581 .79102 L .15757 .79649 L .91 .689 .591 r
F
.18342 .7702 m .15581 .79102 L .18515 .77559 L F
.23709 .6006 m .21177 .60958 L .24031 .59678 L .829 .997 .843 r
F
.23709 .6006 m .20851 .61344 L .21177 .60958 L F
.18342 .7702 m .15405 .78556 L .15581 .79102 L .91 .689 .591 r
F
.18169 .76481 m .15405 .78556 L .18342 .7702 L F
.18169 .76481 m .15229 .78009 L .15405 .78556 L F
.17996 .75941 m .15229 .78009 L .18169 .76481 L F
.32841 .7759 m .30451 .78761 L .33171 .77221 L .786 .997 .802 r
F
.32841 .7759 m .30119 .79135 L .30451 .78761 L F
.19181 .78268 m .16255 .79823 L .15757 .79649 L .667 .244 .231 r
F
.19673 .78439 m .16255 .79823 L .19181 .78268 L F
.17996 .75941 m .15053 .77461 L .15229 .78009 L .91 .689 .591 r
F
.17822 .75402 m .15053 .77461 L .17996 .75941 L F
.17822 .75402 m .14876 .76914 L .15053 .77461 L F
.17649 .74862 m .14876 .76914 L .17822 .75402 L F
.17649 .74862 m .147 .76367 L .14876 .76914 L F
.17476 .74322 m .147 .76367 L .17649 .74862 L F
.24031 .59678 m .21503 .60571 L .24354 .59296 L .829 .997 .843 r
F
.24031 .59678 m .21177 .60958 L .21503 .60571 L F
.17476 .74322 m .14524 .75819 L .147 .76367 L .91 .689 .591 r
F
.17302 .73782 m .14524 .75819 L .17476 .74322 L F
.19673 .78439 m .16753 .79997 L .16255 .79823 L .667 .244 .231 r
F
.20167 .78609 m .16753 .79997 L .19673 .78439 L F
.17302 .73782 m .14347 .75271 L .14524 .75819 L .91 .689 .591 r
F
.17129 .73242 m .14347 .75271 L .17302 .73782 L F
.33171 .77221 m .30783 .78387 L .335 .76851 L .786 .997 .802 r
F
.33171 .77221 m .30451 .78761 L .30783 .78387 L F
.17129 .73242 m .14171 .74723 L .14347 .75271 L .91 .689 .591 r
F
.16955 .72702 m .14171 .74723 L .17129 .73242 L F
.16955 .72702 m .13994 .74175 L .14171 .74723 L F
.16782 .72161 m .13994 .74175 L .16955 .72702 L F
.16782 .72161 m .13818 .73627 L .13994 .74175 L F
.16608 .7162 m .13818 .73627 L .16782 .72161 L F
.2485 .59456 m .21503 .60571 L .24354 .59296 L .647 .194 .162 r
F
.20167 .78609 m .17252 .80171 L .16753 .79997 L .667 .244 .231 r
F
.2066 .7878 m .17252 .80171 L .20167 .78609 L F
.16608 .7162 m .13641 .73078 L .13818 .73627 L .91 .689 .591 r
F
.16434 .7108 m .13641 .73078 L .16608 .7162 L F
.16434 .7108 m .13464 .7253 L .13641 .73078 L F
.1626 .70539 m .13464 .7253 L .16434 .7108 L F
.335 .76851 m .31116 .78012 L .3383 .7648 L .786 .997 .802 r
F
.335 .76851 m .30783 .78387 L .31116 .78012 L F
.1626 .70539 m .13288 .71981 L .13464 .7253 L .91 .689 .591 r
F
.16087 .69998 m .13288 .71981 L .1626 .70539 L F
.16087 .69998 m .13111 .71432 L .13288 .71981 L F
.15913 .69456 m .13111 .71432 L .16087 .69998 L F
.2485 .59456 m .22004 .60734 L .21503 .60571 L .647 .194 .162 r
F
.25347 .59616 m .22004 .60734 L .2485 .59456 L F
.2066 .7878 m .17752 .80345 L .17252 .80171 L .667 .244 .231 r
F
.21155 .78951 m .17752 .80345 L .2066 .7878 L F
.15913 .69456 m .12934 .70883 L .13111 .71432 L .91 .689 .591 r
F
.15739 .68915 m .12934 .70883 L .15913 .69456 L F
.15739 .68915 m .12757 .70334 L .12934 .70883 L F
.15565 .68373 m .12757 .70334 L .15739 .68915 L F
.15565 .68373 m .1258 .69784 L .12757 .70334 L F
.15391 .67832 m .1258 .69784 L .15565 .68373 L F
.3383 .7648 m .3145 .77636 L .34161 .76109 L .786 .997 .802 r
F
.3383 .7648 m .31116 .78012 L .3145 .77636 L F
.15391 .67832 m .12403 .69235 L .1258 .69784 L .91 .689 .591 r
F
.15391 .67832 m .12723 .68853 L .15709 .67454 L .829 .997 .843 r
F
.15391 .67832 m .12403 .69235 L .12723 .68853 L F
.25347 .59616 m .22507 .60897 L .22004 .60734 L .647 .194 .162 r
F
.25844 .59776 m .22507 .60897 L .25347 .59616 L F
.21155 .78951 m .18252 .8052 L .17752 .80345 L .667 .244 .231 r
F
.2165 .79122 m .18252 .8052 L .21155 .78951 L F
.34161 .76109 m .31784 .7726 L .34492 .75738 L .786 .997 .802 r
F
.34161 .76109 m .3145 .77636 L .31784 .7726 L F
.25844 .59776 m .2301 .6106 L .22507 .60897 L .647 .194 .162 r
F
.26342 .59936 m .2301 .6106 L .25844 .59776 L F
.2165 .79122 m .18753 .80694 L .18252 .8052 L .667 .244 .231 r
F
.22145 .79294 m .18753 .80694 L .2165 .79122 L F
.15709 .67454 m .13044 .6847 L .16027 .67077 L .829 .997 .843 r
F
.15709 .67454 m .12723 .68853 L .13044 .6847 L F
.26342 .59936 m .23514 .61224 L .2301 .6106 L .647 .194 .162 r
F
.26841 .60097 m .23514 .61224 L .26342 .59936 L F
.22145 .79294 m .19254 .80869 L .18753 .80694 L .667 .244 .231 r
F
.22641 .79466 m .19254 .80869 L .22145 .79294 L F
.34492 .75738 m .32119 .76884 L .34824 .75366 L .786 .997 .802 r
F
.34492 .75738 m .31784 .7726 L .32119 .76884 L F
.16027 .67077 m .13365 .68088 L .16345 .66698 L .829 .997 .843 r
F
.16027 .67077 m .13044 .6847 L .13365 .68088 L F
.26841 .60097 m .24018 .61388 L .23514 .61224 L .647 .194 .162 r
F
.2734 .60258 m .24018 .61388 L .26841 .60097 L F
.22641 .79466 m .19756 .81044 L .19254 .80869 L .667 .244 .231 r
F
.23138 .79637 m .19756 .81044 L .22641 .79466 L F
.34824 .75366 m .32454 .76506 L .35156 .74993 L .786 .997 .802 r
F
.34824 .75366 m .32119 .76884 L .32454 .76506 L F
.16345 .66698 m .13686 .67704 L .16664 .66319 L .829 .997 .843 r
F
.16345 .66698 m .13365 .68088 L .13686 .67704 L F
.2734 .60258 m .24523 .61551 L .24018 .61388 L .647 .194 .162 r
F
.27839 .60419 m .24523 .61551 L .2734 .60258 L F
.23138 .79637 m .20258 .8122 L .19756 .81044 L .667 .244 .231 r
F
.23635 .79809 m .20258 .8122 L .23138 .79637 L F
.35156 .74993 m .32789 .76129 L .35488 .7462 L .786 .997 .802 r
F
.35156 .74993 m .32454 .76506 L .32789 .76129 L F
.16664 .66319 m .14008 .6732 L .16983 .6594 L .829 .997 .843 r
F
.16664 .66319 m .13686 .67704 L .14008 .6732 L F
.27839 .60419 m .25028 .61716 L .24523 .61551 L .647 .194 .162 r
F
.28339 .6058 m .25028 .61716 L .27839 .60419 L F
.23635 .79809 m .20761 .81395 L .20258 .8122 L .667 .244 .231 r
F
.24133 .79982 m .20761 .81395 L .23635 .79809 L F
.28339 .6058 m .25534 .6188 L .25028 .61716 L .647 .194 .162 r
F
.2884 .60741 m .25534 .6188 L .28339 .6058 L F
.35488 .7462 m .33125 .75751 L .35821 .74246 L .786 .997 .802 r
F
.35488 .7462 m .32789 .76129 L .33125 .75751 L F
.24133 .79982 m .21264 .81571 L .20761 .81395 L .667 .244 .231 r
F
.24631 .80154 m .21264 .81571 L .24133 .79982 L F
.16983 .6594 m .14331 .66935 L .17303 .6556 L .829 .997 .843 r
F
.16983 .6594 m .14008 .6732 L .14331 .66935 L F
.2884 .60741 m .2604 .62044 L .25534 .6188 L .647 .194 .162 r
F
.29341 .60903 m .2604 .62044 L .2884 .60741 L F
.24631 .80154 m .21769 .81747 L .21264 .81571 L .667 .244 .231 r
F
.2513 .80327 m .21769 .81747 L .24631 .80154 L F
.35821 .74246 m .33462 .75372 L .36155 .73872 L .786 .997 .802 r
F
.35821 .74246 m .33125 .75751 L .33462 .75372 L F
.17303 .6556 m .14654 .6655 L .17623 .6518 L .829 .997 .843 r
F
.17303 .6556 m .14331 .66935 L .14654 .6655 L F
.29341 .60903 m .26547 .62209 L .2604 .62044 L .647 .194 .162 r
F
.29843 .61064 m .26547 .62209 L .29341 .60903 L F
.2513 .80327 m .22273 .81923 L .21769 .81747 L .667 .244 .231 r
F
.2563 .805 m .22273 .81923 L .2513 .80327 L F
.36155 .73872 m .33799 .74993 L .36489 .73497 L .786 .997 .802 r
F
.36155 .73872 m .33462 .75372 L .33799 .74993 L F
.17623 .6518 m .14977 .66164 L .17944 .64798 L .829 .997 .843 r
F
.17623 .6518 m .14654 .6655 L .14977 .66164 L F
.29843 .61064 m .27055 .62374 L .26547 .62209 L .647 .194 .162 r
F
.30346 .61226 m .27055 .62374 L .29843 .61064 L F
.2563 .805 m .22779 .82099 L .22273 .81923 L .667 .244 .231 r
F
.2613 .80673 m .22779 .82099 L .2563 .805 L F
.36489 .73497 m .34136 .74613 L .36823 .73122 L .786 .997 .802 r
F
.36489 .73497 m .33799 .74993 L .34136 .74613 L F
.17944 .64798 m .15301 .65778 L .18265 .64417 L .829 .997 .843 r
F
.17944 .64798 m .14977 .66164 L .15301 .65778 L F
.30346 .61226 m .27563 .62539 L .27055 .62374 L .647 .194 .162 r
F
.30849 .61388 m .27563 .62539 L .30346 .61226 L F
.2613 .80673 m .23284 .82276 L .22779 .82099 L .667 .244 .231 r
F
.2663 .80846 m .23284 .82276 L .2613 .80673 L F
.30849 .61388 m .28072 .62704 L .27563 .62539 L .647 .194 .162 r
F
.31352 .61551 m .28072 .62704 L .30849 .61388 L F
.36823 .73122 m .34474 .74232 L .37158 .72746 L .786 .997 .802 r
F
.36823 .73122 m .34136 .74613 L .34474 .74232 L F
.2663 .80846 m .23791 .82452 L .23284 .82276 L .667 .244 .231 r
F
.27132 .81019 m .23791 .82452 L .2663 .80846 L F
.18265 .64417 m .15625 .65391 L .18587 .64035 L .829 .997 .843 r
F
.18265 .64417 m .15301 .65778 L .15625 .65391 L F
.31352 .61551 m .28582 .6287 L .28072 .62704 L .647 .194 .162 r
F
.31856 .61713 m .28582 .6287 L .31352 .61551 L F
.27132 .81019 m .24298 .82629 L .23791 .82452 L .667 .244 .231 r
F
.27633 .81193 m .24298 .82629 L .27132 .81019 L F
.36986 .72201 m .34474 .74232 L .37158 .72746 L .923 .695 .575 r
F
.18587 .64035 m .1595 .65004 L .18909 .63652 L .829 .997 .843 r
F
.18587 .64035 m .15625 .65391 L .1595 .65004 L F
.36986 .72201 m .34299 .73679 L .34474 .74232 L .923 .695 .575 r
F
.36814 .71656 m .34299 .73679 L .36986 .72201 L F
.36814 .71656 m .34124 .73126 L .34299 .73679 L F
.36641 .7111 m .34124 .73126 L .36814 .71656 L F
.36641 .7111 m .33948 .72573 L .34124 .73126 L F
.36469 .70565 m .33948 .72573 L .36641 .7111 L F
.31856 .61713 m .29092 .63035 L .28582 .6287 L .647 .194 .162 r
F
.32361 .61876 m .29092 .63035 L .31856 .61713 L F
.27633 .81193 m .24806 .82806 L .24298 .82629 L .667 .244 .231 r
F
.28136 .81367 m .24806 .82806 L .27633 .81193 L F
.36469 .70565 m .33773 .7202 L .33948 .72573 L .923 .695 .575 r
F
.36297 .70019 m .33773 .7202 L .36469 .70565 L F
.36297 .70019 m .33598 .71466 L .33773 .7202 L F
.36124 .69474 m .33598 .71466 L .36297 .70019 L F
.18909 .63652 m .16275 .64616 L .19232 .63269 L .829 .997 .843 r
F
.18909 .63652 m .1595 .65004 L .16275 .64616 L F
.36124 .69474 m .33422 .70913 L .33598 .71466 L .923 .695 .575 r
F
.35952 .68928 m .33422 .70913 L .36124 .69474 L F
.32361 .61876 m .29603 .63201 L .29092 .63035 L .647 .194 .162 r
F
.32866 .62038 m .29603 .63201 L .32361 .61876 L F
.35952 .68928 m .33247 .70359 L .33422 .70913 L .923 .695 .575 r
F
.35779 .68382 m .33247 .70359 L .35952 .68928 L F
.28136 .81367 m .25314 .82984 L .24806 .82806 L .667 .244 .231 r
F
.28136 .81367 m .25646 .82609 L .28465 .80996 L .786 .997 .802 r
F
.28136 .81367 m .25314 .82984 L .25646 .82609 L F
.35779 .68382 m .33072 .69805 L .33247 .70359 L .923 .695 .575 r
F
.35607 .67835 m .33072 .69805 L .35779 .68382 L F
.35607 .67835 m .32896 .6925 L .33072 .69805 L F
.35434 .67289 m .32896 .6925 L .35607 .67835 L F
.35434 .67289 m .32721 .68696 L .32896 .6925 L F
.35262 .66743 m .32721 .68696 L .35434 .67289 L F
.19232 .63269 m .16601 .64227 L .19555 .62885 L .829 .997 .843 r
F
.19232 .63269 m .16275 .64616 L .16601 .64227 L F
.35262 .66743 m .32545 .68142 L .32721 .68696 L .923 .695 .575 r
F
.35089 .66196 m .32545 .68142 L .35262 .66743 L F
.32866 .62038 m .30114 .63367 L .29603 .63201 L .647 .194 .162 r
F
.33372 .62201 m .30114 .63367 L .32866 .62038 L F
.35089 .66196 m .32369 .67587 L .32545 .68142 L .923 .695 .575 r
F
.34916 .65649 m .32369 .67587 L .35089 .66196 L F
.28465 .80996 m .25979 .82233 L .28795 .80625 L .786 .997 .802 r
F
.28465 .80996 m .25646 .82609 L .25979 .82233 L F
.34916 .65649 m .32194 .67032 L .32369 .67587 L .923 .695 .575 r
F
.34743 .65102 m .32194 .67032 L .34916 .65649 L F
.34743 .65102 m .32018 .66477 L .32194 .67032 L F
.3457 .64555 m .32018 .66477 L .34743 .65102 L F
.3457 .64555 m .31842 .65922 L .32018 .66477 L F
.34398 .64007 m .31842 .65922 L .3457 .64555 L F
.33372 .62201 m .30626 .63533 L .30114 .63367 L .647 .194 .162 r
F
.33879 .62365 m .30626 .63533 L .33372 .62201 L F
.19555 .62885 m .16927 .63838 L .19878 .62501 L .829 .997 .843 r
F
.19555 .62885 m .16601 .64227 L .16927 .63838 L F
.34398 .64007 m .31666 .65367 L .31842 .65922 L .923 .695 .575 r
F
.34225 .6346 m .31666 .65367 L .34398 .64007 L F
.34225 .6346 m .3149 .64811 L .31666 .65367 L F
.34052 .62912 m .3149 .64811 L .34225 .6346 L F
.28795 .80625 m .26312 .81857 L .29125 .80253 L .786 .997 .802 r
F
.28795 .80625 m .25979 .82233 L .26312 .81857 L F
.34052 .62912 m .31314 .64255 L .3149 .64811 L .923 .695 .575 r
F
.33879 .62365 m .31314 .64255 L .34052 .62912 L F
.33879 .62365 m .31138 .637 L .31314 .64255 L F
.33879 .62365 m .31138 .637 L .30626 .63533 L .647 .194 .162 r
F
.19878 .62501 m .17254 .63449 L .20202 .62116 L .829 .997 .843 r
F
.19878 .62501 m .16927 .63838 L .17254 .63449 L F
.29125 .80253 m .26645 .81481 L .29456 .79881 L .786 .997 .802 r
F
.29125 .80253 m .26312 .81857 L .26645 .81481 L F
.20202 .62116 m .17581 .63058 L .20527 .6173 L .829 .997 .843 r
F
.20202 .62116 m .17254 .63449 L .17581 .63058 L F
.29456 .79881 m .26979 .81103 L .29787 .79508 L .786 .997 .802 r
F
.29456 .79881 m .26645 .81481 L .26979 .81103 L F
.20527 .6173 m .17908 .62667 L .20851 .61344 L .829 .997 .843 r
F
.20527 .6173 m .17581 .63058 L .17908 .62667 L F
.29787 .79508 m .27314 .80726 L .30119 .79135 L .786 .997 .802 r
F
.29787 .79508 m .26979 .81103 L .27314 .80726 L F
.20851 .61344 m .18237 .62276 L .21177 .60958 L .829 .997 .843 r
F
.20851 .61344 m .17908 .62667 L .18237 .62276 L F
.30119 .79135 m .27649 .80347 L .30451 .78761 L .786 .997 .802 r
F
.30119 .79135 m .27314 .80726 L .27649 .80347 L F
.21177 .60958 m .18565 .61884 L .21503 .60571 L .829 .997 .843 r
F
.21177 .60958 m .18237 .62276 L .18565 .61884 L F
.30451 .78761 m .27985 .79968 L .30783 .78387 L .786 .997 .802 r
F
.30451 .78761 m .27649 .80347 L .27985 .79968 L F
.22004 .60734 m .18565 .61884 L .21503 .60571 L .647 .194 .162 r
F
.30783 .78387 m .28321 .79589 L .31116 .78012 L .786 .997 .802 r
F
.30783 .78387 m .27985 .79968 L .28321 .79589 L F
.22004 .60734 m .19073 .6205 L .18565 .61884 L .647 .194 .162 r
F
.22507 .60897 m .19073 .6205 L .22004 .60734 L F
.31116 .78012 m .28657 .79209 L .3145 .77636 L .786 .997 .802 r
F
.31116 .78012 m .28321 .79589 L .28657 .79209 L F
.22507 .60897 m .19581 .62217 L .19073 .6205 L .647 .194 .162 r
F
.2301 .6106 m .19581 .62217 L .22507 .60897 L F
.3145 .77636 m .28994 .78829 L .31784 .7726 L .786 .997 .802 r
F
.3145 .77636 m .28657 .79209 L .28994 .78829 L F
.2301 .6106 m .2009 .62383 L .19581 .62217 L .647 .194 .162 r
F
.23514 .61224 m .2009 .62383 L .2301 .6106 L F
.23514 .61224 m .20599 .6255 L .2009 .62383 L F
.24018 .61388 m .20599 .6255 L .23514 .61224 L F
.31784 .7726 m .29332 .78447 L .32119 .76884 L .786 .997 .802 r
F
.31784 .7726 m .28994 .78829 L .29332 .78447 L F
.24018 .61388 m .2111 .62717 L .20599 .6255 L .647 .194 .162 r
F
.24523 .61551 m .2111 .62717 L .24018 .61388 L F
.32119 .76884 m .2967 .78066 L .32454 .76506 L .786 .997 .802 r
F
.32119 .76884 m .29332 .78447 L .2967 .78066 L F
.24523 .61551 m .2162 .62884 L .2111 .62717 L .647 .194 .162 r
F
.25028 .61716 m .2162 .62884 L .24523 .61551 L F
.32454 .76506 m .30008 .77684 L .32789 .76129 L .786 .997 .802 r
F
.32454 .76506 m .2967 .78066 L .30008 .77684 L F
.25028 .61716 m .22132 .63052 L .2162 .62884 L .647 .194 .162 r
F
.25534 .6188 m .22132 .63052 L .25028 .61716 L F
.25534 .6188 m .22643 .63219 L .22132 .63052 L F
.2604 .62044 m .22643 .63219 L .25534 .6188 L F
.32789 .76129 m .30347 .77301 L .33125 .75751 L .786 .997 .802 r
F
.32789 .76129 m .30008 .77684 L .30347 .77301 L F
.2604 .62044 m .23156 .63387 L .22643 .63219 L .647 .194 .162 r
F
.26547 .62209 m .23156 .63387 L .2604 .62044 L F
.33125 .75751 m .30687 .76917 L .33462 .75372 L .786 .997 .802 r
F
.33125 .75751 m .30347 .77301 L .30687 .76917 L F
.26547 .62209 m .23669 .63555 L .23156 .63387 L .647 .194 .162 r
F
.27055 .62374 m .23669 .63555 L .26547 .62209 L F
.33462 .75372 m .31027 .76534 L .33799 .74993 L .786 .997 .802 r
F
.33462 .75372 m .30687 .76917 L .31027 .76534 L F
.27055 .62374 m .24183 .63723 L .23669 .63555 L .647 .194 .162 r
F
.27563 .62539 m .24183 .63723 L .27055 .62374 L F
.33799 .74993 m .31367 .76149 L .34136 .74613 L .786 .997 .802 r
F
.33799 .74993 m .31027 .76534 L .31367 .76149 L F
.27563 .62539 m .24697 .63891 L .24183 .63723 L .647 .194 .162 r
F
.28072 .62704 m .24697 .63891 L .27563 .62539 L F
.34136 .74613 m .31709 .75764 L .34474 .74232 L .786 .997 .802 r
F
.34136 .74613 m .31367 .76149 L .31709 .75764 L F
.28072 .62704 m .25212 .6406 L .24697 .63891 L .647 .194 .162 r
F
.28582 .6287 m .25212 .6406 L .28072 .62704 L F
.28582 .6287 m .25727 .64229 L .25212 .6406 L F
.29092 .63035 m .25727 .64229 L .28582 .6287 L F
.34299 .73679 m .31709 .75764 L .34474 .74232 L .923 .695 .575 r
F
.34299 .73679 m .3153 .75203 L .31709 .75764 L F
.34124 .73126 m .3153 .75203 L .34299 .73679 L F
.34124 .73126 m .31352 .74642 L .3153 .75203 L F
.33948 .72573 m .31352 .74642 L .34124 .73126 L F
.33948 .72573 m .31174 .7408 L .31352 .74642 L F
.33773 .7202 m .31174 .7408 L .33948 .72573 L F
.29092 .63035 m .26244 .64398 L .25727 .64229 L .647 .194 .162 r
F
.29603 .63201 m .26244 .64398 L .29092 .63035 L F
.33773 .7202 m .30996 .73519 L .31174 .7408 L .923 .695 .575 r
F
.33598 .71466 m .30996 .73519 L .33773 .7202 L F
.33598 .71466 m .30817 .72957 L .30996 .73519 L F
.33422 .70913 m .30817 .72957 L .33598 .71466 L F
.33422 .70913 m .30639 .72395 L .30817 .72957 L F
.33247 .70359 m .30639 .72395 L .33422 .70913 L F
.29603 .63201 m .2676 .64567 L .26244 .64398 L .647 .194 .162 r
F
.30114 .63367 m .2676 .64567 L .29603 .63201 L F
.33247 .70359 m .3046 .71833 L .30639 .72395 L .923 .695 .575 r
F
.33072 .69805 m .3046 .71833 L .33247 .70359 L F
.33072 .69805 m .30282 .71271 L .3046 .71833 L F
.32896 .6925 m .30282 .71271 L .33072 .69805 L F
.32896 .6925 m .30103 .70708 L .30282 .71271 L F
.32721 .68696 m .30103 .70708 L .32896 .6925 L F
.32721 .68696 m .29924 .70146 L .30103 .70708 L F
.32545 .68142 m .29924 .70146 L .32721 .68696 L F
.32545 .68142 m .29746 .69583 L .29924 .70146 L F
.32369 .67587 m .29746 .69583 L .32545 .68142 L F
.30114 .63367 m .27278 .64736 L .2676 .64567 L .647 .194 .162 r
F
.30626 .63533 m .27278 .64736 L .30114 .63367 L F
.32369 .67587 m .29567 .6902 L .29746 .69583 L .923 .695 .575 r
F
.32194 .67032 m .29567 .6902 L .32369 .67587 L F
.32194 .67032 m .29388 .68457 L .29567 .6902 L F
.32018 .66477 m .29388 .68457 L .32194 .67032 L F
.32018 .66477 m .29209 .67894 L .29388 .68457 L F
.31842 .65922 m .29209 .67894 L .32018 .66477 L F
.30626 .63533 m .27796 .64906 L .27278 .64736 L .647 .194 .162 r
F
.31138 .637 m .27796 .64906 L .30626 .63533 L F
.31842 .65922 m .2903 .67331 L .29209 .67894 L .923 .695 .575 r
F
.31666 .65367 m .2903 .67331 L .31842 .65922 L F
.31666 .65367 m .28851 .66767 L .2903 .67331 L F
.3149 .64811 m .28851 .66767 L .31666 .65367 L F
.3149 .64811 m .28672 .66203 L .28851 .66767 L F
.31314 .64255 m .28672 .66203 L .3149 .64811 L F
.31314 .64255 m .28493 .65639 L .28672 .66203 L F
.31138 .637 m .28493 .65639 L .31314 .64255 L F
.31138 .637 m .28314 .65075 L .28493 .65639 L F
.31138 .637 m .28314 .65075 L .27796 .64906 L .647 .194 .162 r
F
0 g
.03936 .39776 m
.15654 0 L
s
.15654 0 m
.12157 .77449 L
s
.12157 .77449 m
0 1.06516 L
s
0 1.06516 m
.03936 .39776 L
s
.94756 .11399 m
.15654 0 L
s
.15654 0 m
.12157 .77449 L
s
.12157 .77449 m
1 .85894 L
s
1 .85894 m
.94756 .11399 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
 ImageSize->{256.75, 287.938},
 ImageMargins->{{43, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],
 ImageRangeCache->{{{0, 255.75}, {286.938, 0}} -> {0.115155, -0.000119188, \
0.00325357, 0.00325357}}],

Cell[BoxData[
 TagBox[
  RowBox[{"\[SkeletonIndicator]", "Graphics3D", "\[SkeletonIndicator]"}],
  False,
  Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["trescalist"], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         FractionBox["2", "3"]]}], "3"], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "-", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         FractionBox["2", "3"]], "3"]}], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "+", 
      RowBox[{
       FractionBox["2", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         FractionBox["2", "3"]], "3"]}], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "-", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         FractionBox["2", "3"]], "3"]}], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "+", 
      RowBox[{
       FractionBox["2", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         FractionBox["2", "3"]]}], "3"], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "-", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         FractionBox["2", "3"]], "3"]}], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "-", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         FractionBox["2", "3"]]}], "3"], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "-", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         FractionBox["2", "3"]], "3"]}], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "-", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         FractionBox["2", "3"]], "3"]}], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "+", 
      RowBox[{
       FractionBox["2", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         FractionBox["2", "3"]], "3"]}], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "+", 
      RowBox[{
       FractionBox["2", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         FractionBox["2", "3"]], "3"]}], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "-", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         FractionBox["2", "3"]]}], "3"], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "-", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         FractionBox["2", "3"]], "3"]}], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "-", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         FractionBox["2", "3"]]}], "3"], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "-", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         FractionBox["2", "3"]], "3"]}], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "+", 
      RowBox[{
       FractionBox["2", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         FractionBox["2", "3"]], "3"]}], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "-", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         FractionBox["2", "3"]], "3"]}], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "+", 
      RowBox[{
       FractionBox["2", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         FractionBox["2", "3"]]}], "3"], "+", 
      FractionBox["p", 
       SqrtBox["3"]], "-", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SqrtBox[
        FractionBox["2", "3"]], " ", "t"}]}]}], "}"}]}], "}"}]], "Output"]
}, Open  ]]
},
WindowSize->{648, 457},
WindowMargins->{{2, Automatic}, {Automatic, 8}},
DockedCells->(FrontEndExecute[{
   FrontEnd`NotebookApply[
    FrontEnd`InputNotebook[], #, Placeholder]}]& ),
FrontEndVersion->"6.0 for Linux x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 837, 14, 309, "Input"],
Cell[CellGroupData[{
Cell[1430, 39, 2095, 60, 179, "Input"],
Cell[3528, 101, 212, 9, 61, "Output"],
Cell[3743, 112, 176, 7, 52, "Output"],
Cell[3922, 121, 592, 21, 61, "Output"],
Cell[4517, 144, 227, 5, 65, "Message"],
Cell[4747, 151, 70279, 3392, 466, 57699, 3182, "GraphicsData", "PostScript", \
"Graphics"],
Cell[75029, 3545, 136, 4, 29, "Output"],
Cell[75168, 3551, 489, 18, 53, "Output"],
Cell[75660, 3571, 227, 5, 42, "Message"],
Cell[75890, 3578, 8834, 445, 261, 5363, 385, "GraphicsData", "PostScript", \
"Graphics"],
Cell[84727, 4025, 134, 4, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[84898, 4034, 829, 23, 70, "Input"],
Cell[85730, 4059, 489, 18, 53, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86256, 4082, 27, 0, 30, "Input"],
Cell[86286, 4084, 7956, 431, 186, 5363, 385, "GraphicsData", "PostScript", \
"Graphics"],
Cell[94245, 4517, 134, 4, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[94416, 4526, 1049, 32, 119, "Input"],
Cell[95468, 4560, 260, 8, 29, "Output"],
Cell[95731, 4570, 191, 8, 46, "Output"],
Cell[95925, 4580, 608, 23, 42, "Output"],
Cell[96536, 4605, 1085, 44, 133, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[97658, 4654, 2270, 58, 255, "Input"],
Cell[99931, 4714, 252614, 6591, 296, 247509, 6504, "GraphicsData", \
"PostScript", "Graphics"],
Cell[352548, 11307, 136, 4, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[352721, 11316, 203, 5, 30, "Input"],
Cell[352927, 11323, 250739, 6386, 296, 246678, 6316, "GraphicsData", \
"PostScript", "Graphics"],
Cell[603669, 17711, 136, 4, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[603842, 17720, 36, 0, 30, "Input"],
Cell[603881, 17722, 5519, 212, 426, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

