(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     87494,       3996]
NotebookOptionsPosition[     85575,       3935]
NotebookOutlinePosition[     86414,       3962]
CellTagsIndexPosition[     86371,       3959]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "This notebook forms part of the supporting material for the book\n\n",
 StyleBox["Elasticity with Mathematica (r)\nby A. Constantinescu and A.M. \
Korsunsky\npublished by Cambridge University Press, 2007\n(ISBN-13: \
9780521842013)\n",
  FontSlant->"Italic"],
 "\nCopyright (c) 2007 A. Constantinescu and A.M. Korsunsky\n\nPlease \
acknowledge the use of this material in teaching, research and \nfurther \
development.\n\nAuthors accept no responsibility for the results obtained and \
\nconclusions drawn on the basis of using this material."
}], "Text",
 CellChangeTimes->{{3.402067937883517*^9, 3.402067938554608*^9}, {
  3.402067978596741*^9, 3.402067984940596*^9}, {3.402068090073731*^9, 
  3.402068091731965*^9}}],

Cell[CellGroupData[{

Cell["\<\
The Saint Venant Solution - equivalent torsional vector field\
\>", "Section",
 FontFamily->"Courier"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "SetDirectory", "[", "\"\<D:\\AMK04\\elastica\\ElasticaBook\\Packages\>\"",
     "]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
  "SetDirectory", "[", "\"\</local/constant/ElasticaBook/Packages\>\"", 
   "]"}]}]], "Input"],

Cell[BoxData["\<\"/local/constant/ElasticaBook/Packages\"\>"], "Output"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"<<", "Graphics`PlotField`"}]], "Input"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["The coordinate system",
 FontFamily->"Courier"]], "Subsection"],

Cell[BoxData[""], "Input"],

Cell[BoxData[""], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"v1", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "y"}], ",", " ", "x", ",", " ", "0"}], "}"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"PlotVectorField", "[", 
    RowBox[{
     RowBox[{"Drop", "[", " ", 
      RowBox[{"v1", ",", " ", 
       RowBox[{"-", "1"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", " ", 
     RowBox[{"Frame", " ", "\[Rule]", " ", "True"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Integrate", "[", 
    RowBox[{"v1", ",", " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"Cross", "[", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "}"}], ",", " ", "v1"}], 
      "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "y"}], ",", "x", ",", "0"}], "}"}]], "Output"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.432501 0.5 0.432501 [
[.0675 -0.0125 -6 -9 ]
[.0675 -0.0125 6 0 ]
[.28375 -0.0125 -12 -9 ]
[.28375 -0.0125 12 0 ]
[.5 -0.0125 -3 -9 ]
[.5 -0.0125 3 0 ]
[.71625 -0.0125 -9 -9 ]
[.71625 -0.0125 9 0 ]
[.9325 -0.0125 -3 -9 ]
[.9325 -0.0125 3 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .0675 -12 -4.5 ]
[-0.0125 .0675 0 4.5 ]
[-0.0125 .28375 -24 -4.5 ]
[-0.0125 .28375 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .71625 -18 -4.5 ]
[-0.0125 .71625 0 4.5 ]
[-0.0125 .9325 -6 -4.5 ]
[-0.0125 .9325 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.0675 0 m
.0675 .00625 L
s
[(-1)] .0675 -0.0125 0 1 Mshowa
.28375 0 m
.28375 .00625 L
s
[(-0.5)] .28375 -0.0125 0 1 Mshowa
.5 0 m
.5 .00625 L
s
[(0)] .5 -0.0125 0 1 Mshowa
.71625 0 m
.71625 .00625 L
s
[(0.5)] .71625 -0.0125 0 1 Mshowa
.9325 0 m
.9325 .00625 L
s
[(1)] .9325 -0.0125 0 1 Mshowa
.125 Mabswid
.11075 0 m
.11075 .00375 L
s
.154 0 m
.154 .00375 L
s
.19725 0 m
.19725 .00375 L
s
.2405 0 m
.2405 .00375 L
s
.327 0 m
.327 .00375 L
s
.37025 0 m
.37025 .00375 L
s
.4135 0 m
.4135 .00375 L
s
.45675 0 m
.45675 .00375 L
s
.54325 0 m
.54325 .00375 L
s
.5865 0 m
.5865 .00375 L
s
.62975 0 m
.62975 .00375 L
s
.673 0 m
.673 .00375 L
s
.7595 0 m
.7595 .00375 L
s
.80275 0 m
.80275 .00375 L
s
.846 0 m
.846 .00375 L
s
.88925 0 m
.88925 .00375 L
s
.02425 0 m
.02425 .00375 L
s
.97575 0 m
.97575 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .0675 m
.00625 .0675 L
s
[(-1)] -0.0125 .0675 1 0 Mshowa
0 .28375 m
.00625 .28375 L
s
[(-0.5)] -0.0125 .28375 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .71625 m
.00625 .71625 L
s
[(0.5)] -0.0125 .71625 1 0 Mshowa
0 .9325 m
.00625 .9325 L
s
[(1)] -0.0125 .9325 1 0 Mshowa
.125 Mabswid
0 .11075 m
.00375 .11075 L
s
0 .154 m
.00375 .154 L
s
0 .19725 m
.00375 .19725 L
s
0 .2405 m
.00375 .2405 L
s
0 .327 m
.00375 .327 L
s
0 .37025 m
.00375 .37025 L
s
0 .4135 m
.00375 .4135 L
s
0 .45675 m
.00375 .45675 L
s
0 .54325 m
.00375 .54325 L
s
0 .5865 m
.00375 .5865 L
s
0 .62975 m
.00375 .62975 L
s
0 .673 m
.00375 .673 L
s
0 .7595 m
.00375 .7595 L
s
0 .80275 m
.00375 .80275 L
s
0 .846 m
.00375 .846 L
s
0 .88925 m
.00375 .88925 L
s
0 .02425 m
.00375 .02425 L
s
0 .97575 m
.00375 .97575 L
s
.25 Mabswid
0 0 m
0 1 L
s
.0675 .99375 m
.0675 1 L
s
.28375 .99375 m
.28375 1 L
s
.5 .99375 m
.5 1 L
s
.71625 .99375 m
.71625 1 L
s
.9325 .99375 m
.9325 1 L
s
.125 Mabswid
.11075 .99625 m
.11075 1 L
s
.154 .99625 m
.154 1 L
s
.19725 .99625 m
.19725 1 L
s
.2405 .99625 m
.2405 1 L
s
.327 .99625 m
.327 1 L
s
.37025 .99625 m
.37025 1 L
s
.4135 .99625 m
.4135 1 L
s
.45675 .99625 m
.45675 1 L
s
.54325 .99625 m
.54325 1 L
s
.5865 .99625 m
.5865 1 L
s
.62975 .99625 m
.62975 1 L
s
.673 .99625 m
.673 1 L
s
.7595 .99625 m
.7595 1 L
s
.80275 .99625 m
.80275 1 L
s
.846 .99625 m
.846 1 L
s
.88925 .99625 m
.88925 1 L
s
.02425 .99625 m
.02425 1 L
s
.97575 .99625 m
.97575 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .0675 m
1 .0675 L
s
.99375 .28375 m
1 .28375 L
s
.99375 .5 m
1 .5 L
s
.99375 .71625 m
1 .71625 L
s
.99375 .9325 m
1 .9325 L
s
.125 Mabswid
.99625 .11075 m
1 .11075 L
s
.99625 .154 m
1 .154 L
s
.99625 .19725 m
1 .19725 L
s
.99625 .2405 m
1 .2405 L
s
.99625 .327 m
1 .327 L
s
.99625 .37025 m
1 .37025 L
s
.99625 .4135 m
1 .4135 L
s
.99625 .45675 m
1 .45675 L
s
.99625 .54325 m
1 .54325 L
s
.99625 .5865 m
1 .5865 L
s
.99625 .62975 m
1 .62975 L
s
.99625 .673 m
1 .673 L
s
.99625 .7595 m
1 .7595 L
s
.99625 .80275 m
1 .80275 L
s
.99625 .846 m
1 .846 L
s
.99625 .88925 m
1 .88925 L
s
.99625 .02425 m
1 .02425 L
s
.99625 .97575 m
1 .97575 L
s
.25 Mabswid
1 0 m
1 1 L
s
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-0.02 0.005 moveto 0 0 lineto
-0.02 -0.005 lineto fill
-0.02 0.005 moveto 0 0 lineto
-0.02 -0.005 lineto
-0.02 0.005 lineto stroke
} ifelse
grestore
} def
/MAarrowzero1 {
gsave
mathtops translate
0 0 Mdot
grestore
} def
% End of user PostScript
.0001 w
.0675 .0675 m
.11119 .02381 L
s
% Start of user PostScript
-1. -1. -0.898985 -1.10102 MAarrowhead1
% End of user PostScript
.0675 .12928 m
.10495 .0856 L
s
% Start of user PostScript
-1. -0.857143 -0.913415 -0.958158 MAarrowhead1
% End of user PostScript
.0675 .19107 m
.09871 .14738 L
s
% Start of user PostScript
-1. -0.714286 -0.927846 -0.815301 MAarrowhead1
% End of user PostScript
.0675 .25286 m
.09246 .20917 L
s
% Start of user PostScript
-1. -0.571429 -0.942277 -0.672444 MAarrowhead1
% End of user PostScript
.0675 .31464 m
.08622 .27095 L
s
% Start of user PostScript
-1. -0.428571 -0.956708 -0.529587 MAarrowhead1
% End of user PostScript
.0675 .37643 m
.07998 .33274 L
s
% Start of user PostScript
-1. -0.285714 -0.971138 -0.38673 MAarrowhead1
% End of user PostScript
.0675 .43821 m
.07374 .39452 L
s
% Start of user PostScript
-1. -0.142857 -0.985569 -0.243872 MAarrowhead1
% End of user PostScript
.0675 .5 m
.0675 .45631 L
s
% Start of user PostScript
-1. 0 -1. -0.101015 MAarrowhead1
% End of user PostScript
.0675 .56179 m
.06126 .5181 L
s
% Start of user PostScript
-1. 0.142857 -1.01443 0.0418419 MAarrowhead1
% End of user PostScript
.0675 .62357 m
.05502 .57988 L
s
% Start of user PostScript
-1. 0.285714 -1.02886 0.184699 MAarrowhead1
% End of user PostScript
.0675 .68536 m
.04877 .64167 L
s
% Start of user PostScript
-1. 0.428571 -1.04329 0.327556 MAarrowhead1
% End of user PostScript
.0675 .74714 m
.04253 .70345 L
s
% Start of user PostScript
-1. 0.571429 -1.05772 0.470413 MAarrowhead1
% End of user PostScript
.0675 .80893 m
.03629 .76524 L
s
% Start of user PostScript
-1. 0.714286 -1.07215 0.61327 MAarrowhead1
% End of user PostScript
.0675 .87072 m
.03005 .82703 L
s
% Start of user PostScript
-1. 0.857143 -1.08658 0.756128 MAarrowhead1
% End of user PostScript
.0675 .9325 m
.02381 .88881 L
s
% Start of user PostScript
-1. 1. -1.10102 0.898985 MAarrowhead1
% End of user PostScript
.12928 .0675 m
.17297 .03005 L
s
% Start of user PostScript
-0.857143 -1. -0.756128 -1.08658 MAarrowhead1
% End of user PostScript
.12928 .12928 m
.16673 .09184 L
s
% Start of user PostScript
-0.857143 -0.857143 -0.770558 -0.943727 MAarrowhead1
% End of user PostScript
.12928 .19107 m
.16049 .15362 L
s
% Start of user PostScript
-0.857143 -0.714286 -0.784989 -0.80087 MAarrowhead1
% End of user PostScript
.12928 .25286 m
.15425 .21541 L
s
% Start of user PostScript
-0.857143 -0.571429 -0.79942 -0.658013 MAarrowhead1
% End of user PostScript
.12928 .31464 m
.14801 .27719 L
s
% Start of user PostScript
-0.857143 -0.428571 -0.813851 -0.515156 MAarrowhead1
% End of user PostScript
.12928 .37643 m
.14177 .33898 L
s
% Start of user PostScript
-0.857143 -0.285714 -0.828281 -0.372299 MAarrowhead1
% End of user PostScript
.12928 .43821 m
.13553 .40077 L
s
% Start of user PostScript
-0.857143 -0.142857 -0.842712 -0.229442 MAarrowhead1
% End of user PostScript
.12928 .5 m
.12928 .46255 L
s
% Start of user PostScript
-0.857143 0 -0.857143 -0.0865845 MAarrowhead1
% End of user PostScript
.12928 .56179 m
.12304 .52434 L
s
% Start of user PostScript
-0.857143 0.142857 -0.871574 0.0562726 MAarrowhead1
% End of user PostScript
.12928 .62357 m
.1168 .58612 L
s
% Start of user PostScript
-0.857143 0.285714 -0.886004 0.19913 MAarrowhead1
% End of user PostScript
.12928 .68536 m
.11056 .64791 L
s
% Start of user PostScript
-0.857143 0.428571 -0.900435 0.341987 MAarrowhead1
% End of user PostScript
.12928 .74714 m
.10432 .7097 L
s
% Start of user PostScript
-0.857143 0.571429 -0.914866 0.484844 MAarrowhead1
% End of user PostScript
.12928 .80893 m
.09808 .77148 L
s
% Start of user PostScript
-0.857143 0.714286 -0.929297 0.627701 MAarrowhead1
% End of user PostScript
.12928 .87072 m
.09184 .83327 L
s
% Start of user PostScript
-0.857143 0.857143 -0.943727 0.770558 MAarrowhead1
% End of user PostScript
.12928 .9325 m
.0856 .89505 L
s
% Start of user PostScript
-0.857143 1. -0.958158 0.913415 MAarrowhead1
% End of user PostScript
.19107 .0675 m
.23476 .03629 L
s
% Start of user PostScript
-0.714286 -1. -0.61327 -1.07215 MAarrowhead1
% End of user PostScript
.19107 .12928 m
.22852 .09808 L
s
% Start of user PostScript
-0.714286 -0.857143 -0.627701 -0.929297 MAarrowhead1
% End of user PostScript
.19107 .19107 m
.22228 .15986 L
s
% Start of user PostScript
-0.714286 -0.714286 -0.642132 -0.786439 MAarrowhead1
% End of user PostScript
.19107 .25286 m
.21604 .22165 L
s
% Start of user PostScript
-0.714286 -0.571429 -0.656563 -0.643582 MAarrowhead1
% End of user PostScript
.19107 .31464 m
.20979 .28344 L
s
% Start of user PostScript
-0.714286 -0.428571 -0.670993 -0.500725 MAarrowhead1
% End of user PostScript
.19107 .37643 m
.20355 .34522 L
s
% Start of user PostScript
-0.714286 -0.285714 -0.685424 -0.357868 MAarrowhead1
% End of user PostScript
.19107 .43821 m
.19731 .40701 L
s
% Start of user PostScript
-0.714286 -0.142857 -0.699855 -0.215011 MAarrowhead1
% End of user PostScript
.19107 .5 m
.19107 .46879 L
s
% Start of user PostScript
-0.714286 0 -0.714286 -0.0721538 MAarrowhead1
% End of user PostScript
.19107 .56179 m
.18483 .53058 L
s
% Start of user PostScript
-0.714286 0.142857 -0.728716 0.0707034 MAarrowhead1
% End of user PostScript
.19107 .62357 m
.17859 .59237 L
s
% Start of user PostScript
-0.714286 0.285714 -0.743147 0.213561 MAarrowhead1
% End of user PostScript
.19107 .68536 m
.17235 .65415 L
s
% Start of user PostScript
-0.714286 0.428571 -0.757578 0.356418 MAarrowhead1
% End of user PostScript
.19107 .74714 m
.16611 .71594 L
s
% Start of user PostScript
-0.714286 0.571429 -0.772009 0.499275 MAarrowhead1
% End of user PostScript
.19107 .80893 m
.15986 .77772 L
s
% Start of user PostScript
-0.714286 0.714286 -0.786439 0.642132 MAarrowhead1
% End of user PostScript
.19107 .87072 m
.15362 .83951 L
s
% Start of user PostScript
-0.714286 0.857143 -0.80087 0.784989 MAarrowhead1
% End of user PostScript
.19107 .9325 m
.14738 .90129 L
s
% Start of user PostScript
-0.714286 1. -0.815301 0.927846 MAarrowhead1
% End of user PostScript
.25286 .0675 m
.29655 .04253 L
s
% Start of user PostScript
-0.571429 -1. -0.470413 -1.05772 MAarrowhead1
% End of user PostScript
.25286 .12928 m
.2903 .10432 L
s
% Start of user PostScript
-0.571429 -0.857143 -0.484844 -0.914866 MAarrowhead1
% End of user PostScript
.25286 .19107 m
.28406 .16611 L
s
% Start of user PostScript
-0.571429 -0.714286 -0.499275 -0.772009 MAarrowhead1
% End of user PostScript
.25286 .25286 m
.27782 .22789 L
s
% Start of user PostScript
-0.571429 -0.571429 -0.513706 -0.629152 MAarrowhead1
% End of user PostScript
.25286 .31464 m
.27158 .28968 L
s
% Start of user PostScript
-0.571429 -0.428571 -0.528136 -0.486294 MAarrowhead1
% End of user PostScript
.25286 .37643 m
.26534 .35146 L
s
% Start of user PostScript
-0.571429 -0.285714 -0.542567 -0.343437 MAarrowhead1
% End of user PostScript
.25286 .43821 m
.2591 .41325 L
s
% Start of user PostScript
-0.571429 -0.142857 -0.556998 -0.20058 MAarrowhead1
% End of user PostScript
.25286 .5 m
.25286 .47503 L
s
% Start of user PostScript
-0.571429 0 -0.571429 -0.057723 MAarrowhead1
% End of user PostScript
.25286 .56179 m
.24662 .53682 L
s
% Start of user PostScript
-0.571429 0.142857 -0.585859 0.0851341 MAarrowhead1
% End of user PostScript
.25286 .62357 m
.24037 .59861 L
s
% Start of user PostScript
-0.571429 0.285714 -0.60029 0.227991 MAarrowhead1
% End of user PostScript
.25286 .68536 m
.23413 .66039 L
s
% Start of user PostScript
-0.571429 0.428571 -0.614721 0.370848 MAarrowhead1
% End of user PostScript
.25286 .74714 m
.22789 .72218 L
s
% Start of user PostScript
-0.571429 0.571429 -0.629152 0.513706 MAarrowhead1
% End of user PostScript
.25286 .80893 m
.22165 .78396 L
s
% Start of user PostScript
-0.571429 0.714286 -0.643582 0.656563 MAarrowhead1
% End of user PostScript
.25286 .87072 m
.21541 .84575 L
s
% Start of user PostScript
-0.571429 0.857143 -0.658013 0.79942 MAarrowhead1
% End of user PostScript
.25286 .9325 m
.20917 .90754 L
s
% Start of user PostScript
-0.571429 1. -0.672444 0.942277 MAarrowhead1
% End of user PostScript
.31464 .0675 m
.35833 .04877 L
s
% Start of user PostScript
-0.428571 -1. -0.327556 -1.04329 MAarrowhead1
% End of user PostScript
.31464 .12928 m
.35209 .11056 L
s
% Start of user PostScript
-0.428571 -0.857143 -0.341987 -0.900435 MAarrowhead1
% End of user PostScript
.31464 .19107 m
.34585 .17235 L
s
% Start of user PostScript
-0.428571 -0.714286 -0.356418 -0.757578 MAarrowhead1
% End of user PostScript
.31464 .25286 m
.33961 .23413 L
s
% Start of user PostScript
-0.428571 -0.571429 -0.370848 -0.614721 MAarrowhead1
% End of user PostScript
.31464 .31464 m
.33337 .29592 L
s
% Start of user PostScript
-0.428571 -0.428571 -0.385279 -0.471864 MAarrowhead1
% End of user PostScript
.31464 .37643 m
.32712 .3577 L
s
% Start of user PostScript
-0.428571 -0.285714 -0.39971 -0.329007 MAarrowhead1
% End of user PostScript
.31464 .43821 m
.32088 .41949 L
s
% Start of user PostScript
-0.428571 -0.142857 -0.414141 -0.186149 MAarrowhead1
% End of user PostScript
.31464 .5 m
.31464 .48128 L
s
% Start of user PostScript
-0.428571 0 -0.428571 -0.0432923 MAarrowhead1
% End of user PostScript
.31464 .56179 m
.3084 .54306 L
s
% Start of user PostScript
-0.428571 0.142857 -0.443002 0.0995649 MAarrowhead1
% End of user PostScript
.31464 .62357 m
.30216 .60485 L
s
% Start of user PostScript
-0.428571 0.285714 -0.457433 0.242422 MAarrowhead1
% End of user PostScript
.31464 .68536 m
.29592 .66663 L
s
% Start of user PostScript
-0.428571 0.428571 -0.471864 0.385279 MAarrowhead1
% End of user PostScript
.31464 .74714 m
.28968 .72842 L
s
% Start of user PostScript
-0.428571 0.571429 -0.486294 0.528136 MAarrowhead1
% End of user PostScript
.31464 .80893 m
.28344 .79021 L
s
% Start of user PostScript
-0.428571 0.714286 -0.500725 0.670993 MAarrowhead1
% End of user PostScript
.31464 .87072 m
.27719 .85199 L
s
% Start of user PostScript
-0.428571 0.857143 -0.515156 0.813851 MAarrowhead1
% End of user PostScript
.31464 .9325 m
.27095 .91378 L
s
% Start of user PostScript
-0.428571 1. -0.529587 0.956708 MAarrowhead1
% End of user PostScript
.37643 .0675 m
.42012 .05502 L
s
% Start of user PostScript
-0.285714 -1. -0.184699 -1.02886 MAarrowhead1
% End of user PostScript
.37643 .12928 m
.41388 .1168 L
s
% Start of user PostScript
-0.285714 -0.857143 -0.19913 -0.886004 MAarrowhead1
% End of user PostScript
.37643 .19107 m
.40763 .17859 L
s
% Start of user PostScript
-0.285714 -0.714286 -0.213561 -0.743147 MAarrowhead1
% End of user PostScript
.37643 .25286 m
.40139 .24037 L
s
% Start of user PostScript
-0.285714 -0.571429 -0.227991 -0.60029 MAarrowhead1
% End of user PostScript
.37643 .31464 m
.39515 .30216 L
s
% Start of user PostScript
-0.285714 -0.428571 -0.242422 -0.457433 MAarrowhead1
% End of user PostScript
.37643 .37643 m
.38891 .36395 L
s
% Start of user PostScript
-0.285714 -0.285714 -0.256853 -0.314576 MAarrowhead1
% End of user PostScript
.37643 .43821 m
.38267 .42573 L
s
% Start of user PostScript
-0.285714 -0.142857 -0.271284 -0.171719 MAarrowhead1
% End of user PostScript
.37643 .5 m
.37643 .48752 L
s
% Start of user PostScript
-0.285714 0 -0.285714 -0.0288615 MAarrowhead1
% End of user PostScript
.37643 .56179 m
.37019 .5493 L
s
% Start of user PostScript
-0.285714 0.142857 -0.300145 0.113996 MAarrowhead1
% End of user PostScript
.37643 .62357 m
.36395 .61109 L
s
% Start of user PostScript
-0.285714 0.285714 -0.314576 0.256853 MAarrowhead1
% End of user PostScript
.37643 .68536 m
.3577 .67288 L
s
% Start of user PostScript
-0.285714 0.428571 -0.329007 0.39971 MAarrowhead1
% End of user PostScript
.37643 .74714 m
.35146 .73466 L
s
% Start of user PostScript
-0.285714 0.571429 -0.343437 0.542567 MAarrowhead1
% End of user PostScript
.37643 .80893 m
.34522 .79645 L
s
% Start of user PostScript
-0.285714 0.714286 -0.357868 0.685424 MAarrowhead1
% End of user PostScript
.37643 .87072 m
.33898 .85823 L
s
% Start of user PostScript
-0.285714 0.857143 -0.372299 0.828281 MAarrowhead1
% End of user PostScript
.37643 .9325 m
.33274 .92002 L
s
% Start of user PostScript
-0.285714 1. -0.38673 0.971138 MAarrowhead1
% End of user PostScript
.43821 .0675 m
.4819 .06126 L
s
% Start of user PostScript
-0.142857 -1. -0.0418419 -1.01443 MAarrowhead1
% End of user PostScript
.43821 .12928 m
.47566 .12304 L
s
% Start of user PostScript
-0.142857 -0.857143 -0.0562726 -0.871574 MAarrowhead1
% End of user PostScript
.43821 .19107 m
.46942 .18483 L
s
% Start of user PostScript
-0.142857 -0.714286 -0.0707034 -0.728716 MAarrowhead1
% End of user PostScript
.43821 .25286 m
.46318 .24662 L
s
% Start of user PostScript
-0.142857 -0.571429 -0.0851341 -0.585859 MAarrowhead1
% End of user PostScript
.43821 .31464 m
.45694 .3084 L
s
% Start of user PostScript
-0.142857 -0.428571 -0.0995649 -0.443002 MAarrowhead1
% End of user PostScript
.43821 .37643 m
.4507 .37019 L
s
% Start of user PostScript
-0.142857 -0.285714 -0.113996 -0.300145 MAarrowhead1
% End of user PostScript
.43821 .43821 m
.44446 .43197 L
s
% Start of user PostScript
-0.142857 -0.142857 -0.128426 -0.157288 MAarrowhead1
% End of user PostScript
.43821 .5 m
.43821 .49376 L
s
% Start of user PostScript
-0.142857 0 -0.142857 -0.0144308 MAarrowhead1
% End of user PostScript
.43821 .56179 m
.43197 .55554 L
s
% Start of user PostScript
-0.142857 0.142857 -0.157288 0.128426 MAarrowhead1
% End of user PostScript
.43821 .62357 m
.42573 .61733 L
s
% Start of user PostScript
-0.142857 0.285714 -0.171719 0.271284 MAarrowhead1
% End of user PostScript
.43821 .68536 m
.41949 .67912 L
s
% Start of user PostScript
-0.142857 0.428571 -0.186149 0.414141 MAarrowhead1
% End of user PostScript
.43821 .74714 m
.41325 .7409 L
s
% Start of user PostScript
-0.142857 0.571429 -0.20058 0.556998 MAarrowhead1
% End of user PostScript
.43821 .80893 m
.40701 .80269 L
s
% Start of user PostScript
-0.142857 0.714286 -0.215011 0.699855 MAarrowhead1
% End of user PostScript
.43821 .87072 m
.40077 .86447 L
s
% Start of user PostScript
-0.142857 0.857143 -0.229442 0.842712 MAarrowhead1
% End of user PostScript
.43821 .9325 m
.39452 .92626 L
s
% Start of user PostScript
-0.142857 1. -0.243872 0.985569 MAarrowhead1
% End of user PostScript
.5 .0675 m
.54369 .0675 L
s
% Start of user PostScript
0 -1. 0.101015 -1. MAarrowhead1
% End of user PostScript
.5 .12928 m
.53745 .12928 L
s
% Start of user PostScript
0 -0.857143 0.0865845 -0.857143 MAarrowhead1
% End of user PostScript
.5 .19107 m
.53121 .19107 L
s
% Start of user PostScript
0 -0.714286 0.0721538 -0.714286 MAarrowhead1
% End of user PostScript
.5 .25286 m
.52497 .25286 L
s
% Start of user PostScript
0 -0.571429 0.057723 -0.571429 MAarrowhead1
% End of user PostScript
.5 .31464 m
.51872 .31464 L
s
% Start of user PostScript
0 -0.428571 0.0432923 -0.428571 MAarrowhead1
% End of user PostScript
.5 .37643 m
.51248 .37643 L
s
% Start of user PostScript
0 -0.285714 0.0288615 -0.285714 MAarrowhead1
% End of user PostScript
.5 .43821 m
.50624 .43821 L
s
% Start of user PostScript
0 -0.142857 0.0144308 -0.142857 MAarrowhead1
% End of user PostScript
.5 .5 m
.5 .5 L
s
% Start of user PostScript
0 0 MAarrowzero1
% End of user PostScript
.5 .56179 m
.49376 .56179 L
s
% Start of user PostScript
0 0.142857 -0.0144308 0.142857 MAarrowhead1
% End of user PostScript
.5 .62357 m
.48752 .62357 L
s
% Start of user PostScript
0 0.285714 -0.0288615 0.285714 MAarrowhead1
% End of user PostScript
.5 .68536 m
.48128 .68536 L
s
% Start of user PostScript
0 0.428571 -0.0432923 0.428571 MAarrowhead1
% End of user PostScript
.5 .74714 m
.47503 .74714 L
s
% Start of user PostScript
0 0.571429 -0.057723 0.571429 MAarrowhead1
% End of user PostScript
.5 .80893 m
.46879 .80893 L
s
% Start of user PostScript
0 0.714286 -0.0721538 0.714286 MAarrowhead1
% End of user PostScript
.5 .87072 m
.46255 .87072 L
s
% Start of user PostScript
0 0.857143 -0.0865845 0.857143 MAarrowhead1
% End of user PostScript
.5 .9325 m
.45631 .9325 L
s
% Start of user PostScript
0 1. -0.101015 1. MAarrowhead1
% End of user PostScript
.56179 .0675 m
.60548 .07374 L
s
% Start of user PostScript
0.142857 -1. 0.243872 -0.985569 MAarrowhead1
% End of user PostScript
.56179 .12928 m
.59923 .13553 L
s
% Start of user PostScript
0.142857 -0.857143 0.229442 -0.842712 MAarrowhead1
% End of user PostScript
.56179 .19107 m
.59299 .19731 L
s
% Start of user PostScript
0.142857 -0.714286 0.215011 -0.699855 MAarrowhead1
% End of user PostScript
.56179 .25286 m
.58675 .2591 L
s
% Start of user PostScript
0.142857 -0.571429 0.20058 -0.556998 MAarrowhead1
% End of user PostScript
.56179 .31464 m
.58051 .32088 L
s
% Start of user PostScript
0.142857 -0.428571 0.186149 -0.414141 MAarrowhead1
% End of user PostScript
.56179 .37643 m
.57427 .38267 L
s
% Start of user PostScript
0.142857 -0.285714 0.171719 -0.271284 MAarrowhead1
% End of user PostScript
.56179 .43821 m
.56803 .44446 L
s
% Start of user PostScript
0.142857 -0.142857 0.157288 -0.128426 MAarrowhead1
% End of user PostScript
.56179 .5 m
.56179 .50624 L
s
% Start of user PostScript
0.142857 0 0.142857 0.0144308 MAarrowhead1
% End of user PostScript
.56179 .56179 m
.55554 .56803 L
s
% Start of user PostScript
0.142857 0.142857 0.128426 0.157288 MAarrowhead1
% End of user PostScript
.56179 .62357 m
.5493 .62981 L
s
% Start of user PostScript
0.142857 0.285714 0.113996 0.300145 MAarrowhead1
% End of user PostScript
.56179 .68536 m
.54306 .6916 L
s
% Start of user PostScript
0.142857 0.428571 0.0995649 0.443002 MAarrowhead1
% End of user PostScript
.56179 .74714 m
.53682 .75338 L
s
% Start of user PostScript
0.142857 0.571429 0.0851341 0.585859 MAarrowhead1
% End of user PostScript
.56179 .80893 m
.53058 .81517 L
s
% Start of user PostScript
0.142857 0.714286 0.0707034 0.728716 MAarrowhead1
% End of user PostScript
.56179 .87072 m
.52434 .87696 L
s
% Start of user PostScript
0.142857 0.857143 0.0562726 0.871574 MAarrowhead1
% End of user PostScript
.56179 .9325 m
.5181 .93874 L
s
% Start of user PostScript
0.142857 1. 0.0418419 1.01443 MAarrowhead1
% End of user PostScript
.62357 .0675 m
.66726 .07998 L
s
% Start of user PostScript
0.285714 -1. 0.38673 -0.971138 MAarrowhead1
% End of user PostScript
.62357 .12928 m
.66102 .14177 L
s
% Start of user PostScript
0.285714 -0.857143 0.372299 -0.828281 MAarrowhead1
% End of user PostScript
.62357 .19107 m
.65478 .20355 L
s
% Start of user PostScript
0.285714 -0.714286 0.357868 -0.685424 MAarrowhead1
% End of user PostScript
.62357 .25286 m
.64854 .26534 L
s
% Start of user PostScript
0.285714 -0.571429 0.343437 -0.542567 MAarrowhead1
% End of user PostScript
.62357 .31464 m
.6423 .32712 L
s
% Start of user PostScript
0.285714 -0.428571 0.329007 -0.39971 MAarrowhead1
% End of user PostScript
.62357 .37643 m
.63605 .38891 L
s
% Start of user PostScript
0.285714 -0.285714 0.314576 -0.256853 MAarrowhead1
% End of user PostScript
.62357 .43821 m
.62981 .4507 L
s
% Start of user PostScript
0.285714 -0.142857 0.300145 -0.113996 MAarrowhead1
% End of user PostScript
.62357 .5 m
.62357 .51248 L
s
% Start of user PostScript
0.285714 0 0.285714 0.0288615 MAarrowhead1
% End of user PostScript
.62357 .56179 m
.61733 .57427 L
s
% Start of user PostScript
0.285714 0.142857 0.271284 0.171719 MAarrowhead1
% End of user PostScript
.62357 .62357 m
.61109 .63605 L
s
% Start of user PostScript
0.285714 0.285714 0.256853 0.314576 MAarrowhead1
% End of user PostScript
.62357 .68536 m
.60485 .69784 L
s
% Start of user PostScript
0.285714 0.428571 0.242422 0.457433 MAarrowhead1
% End of user PostScript
.62357 .74714 m
.59861 .75963 L
s
% Start of user PostScript
0.285714 0.571429 0.227991 0.60029 MAarrowhead1
% End of user PostScript
.62357 .80893 m
.59237 .82141 L
s
% Start of user PostScript
0.285714 0.714286 0.213561 0.743147 MAarrowhead1
% End of user PostScript
.62357 .87072 m
.58612 .8832 L
s
% Start of user PostScript
0.285714 0.857143 0.19913 0.886004 MAarrowhead1
% End of user PostScript
.62357 .9325 m
.57988 .94498 L
s
% Start of user PostScript
0.285714 1. 0.184699 1.02886 MAarrowhead1
% End of user PostScript
.68536 .0675 m
.72905 .08622 L
s
% Start of user PostScript
0.428571 -1. 0.529587 -0.956708 MAarrowhead1
% End of user PostScript
.68536 .12928 m
.72281 .14801 L
s
% Start of user PostScript
0.428571 -0.857143 0.515156 -0.813851 MAarrowhead1
% End of user PostScript
.68536 .19107 m
.71656 .20979 L
s
% Start of user PostScript
0.428571 -0.714286 0.500725 -0.670993 MAarrowhead1
% End of user PostScript
.68536 .25286 m
.71032 .27158 L
s
% Start of user PostScript
0.428571 -0.571429 0.486294 -0.528136 MAarrowhead1
% End of user PostScript
.68536 .31464 m
.70408 .33337 L
s
% Start of user PostScript
0.428571 -0.428571 0.471864 -0.385279 MAarrowhead1
% End of user PostScript
.68536 .37643 m
.69784 .39515 L
s
% Start of user PostScript
0.428571 -0.285714 0.457433 -0.242422 MAarrowhead1
% End of user PostScript
.68536 .43821 m
.6916 .45694 L
s
% Start of user PostScript
0.428571 -0.142857 0.443002 -0.0995649 MAarrowhead1
% End of user PostScript
.68536 .5 m
.68536 .51872 L
s
% Start of user PostScript
0.428571 0 0.428571 0.0432923 MAarrowhead1
% End of user PostScript
.68536 .56179 m
.67912 .58051 L
s
% Start of user PostScript
0.428571 0.142857 0.414141 0.186149 MAarrowhead1
% End of user PostScript
.68536 .62357 m
.67288 .6423 L
s
% Start of user PostScript
0.428571 0.285714 0.39971 0.329007 MAarrowhead1
% End of user PostScript
.68536 .68536 m
.66663 .70408 L
s
% Start of user PostScript
0.428571 0.428571 0.385279 0.471864 MAarrowhead1
% End of user PostScript
.68536 .74714 m
.66039 .76587 L
s
% Start of user PostScript
0.428571 0.571429 0.370848 0.614721 MAarrowhead1
% End of user PostScript
.68536 .80893 m
.65415 .82765 L
s
% Start of user PostScript
0.428571 0.714286 0.356418 0.757578 MAarrowhead1
% End of user PostScript
.68536 .87072 m
.64791 .88944 L
s
% Start of user PostScript
0.428571 0.857143 0.341987 0.900435 MAarrowhead1
% End of user PostScript
.68536 .9325 m
.64167 .95123 L
s
% Start of user PostScript
0.428571 1. 0.327556 1.04329 MAarrowhead1
% End of user PostScript
.74714 .0675 m
.79083 .09246 L
s
% Start of user PostScript
0.571429 -1. 0.672444 -0.942277 MAarrowhead1
% End of user PostScript
.74714 .12928 m
.78459 .15425 L
s
% Start of user PostScript
0.571429 -0.857143 0.658013 -0.79942 MAarrowhead1
% End of user PostScript
.74714 .19107 m
.77835 .21604 L
s
% Start of user PostScript
0.571429 -0.714286 0.643582 -0.656563 MAarrowhead1
% End of user PostScript
.74714 .25286 m
.77211 .27782 L
s
% Start of user PostScript
0.571429 -0.571429 0.629152 -0.513706 MAarrowhead1
% End of user PostScript
.74714 .31464 m
.76587 .33961 L
s
% Start of user PostScript
0.571429 -0.428571 0.614721 -0.370848 MAarrowhead1
% End of user PostScript
.74714 .37643 m
.75963 .40139 L
s
% Start of user PostScript
0.571429 -0.285714 0.60029 -0.227991 MAarrowhead1
% End of user PostScript
.74714 .43821 m
.75338 .46318 L
s
% Start of user PostScript
0.571429 -0.142857 0.585859 -0.0851341 MAarrowhead1
% End of user PostScript
.74714 .5 m
.74714 .52497 L
s
% Start of user PostScript
0.571429 0 0.571429 0.057723 MAarrowhead1
% End of user PostScript
.74714 .56179 m
.7409 .58675 L
s
% Start of user PostScript
0.571429 0.142857 0.556998 0.20058 MAarrowhead1
% End of user PostScript
.74714 .62357 m
.73466 .64854 L
s
% Start of user PostScript
0.571429 0.285714 0.542567 0.343437 MAarrowhead1
% End of user PostScript
.74714 .68536 m
.72842 .71032 L
s
% Start of user PostScript
0.571429 0.428571 0.528136 0.486294 MAarrowhead1
% End of user PostScript
.74714 .74714 m
.72218 .77211 L
s
% Start of user PostScript
0.571429 0.571429 0.513706 0.629152 MAarrowhead1
% End of user PostScript
.74714 .80893 m
.71594 .83389 L
s
% Start of user PostScript
0.571429 0.714286 0.499275 0.772009 MAarrowhead1
% End of user PostScript
.74714 .87072 m
.7097 .89568 L
s
% Start of user PostScript
0.571429 0.857143 0.484844 0.914866 MAarrowhead1
% End of user PostScript
.74714 .9325 m
.70345 .95747 L
s
% Start of user PostScript
0.571429 1. 0.470413 1.05772 MAarrowhead1
% End of user PostScript
.80893 .0675 m
.85262 .09871 L
s
% Start of user PostScript
0.714286 -1. 0.815301 -0.927846 MAarrowhead1
% End of user PostScript
.80893 .12928 m
.84638 .16049 L
s
% Start of user PostScript
0.714286 -0.857143 0.80087 -0.784989 MAarrowhead1
% End of user PostScript
.80893 .19107 m
.84014 .22228 L
s
% Start of user PostScript
0.714286 -0.714286 0.786439 -0.642132 MAarrowhead1
% End of user PostScript
.80893 .25286 m
.83389 .28406 L
s
% Start of user PostScript
0.714286 -0.571429 0.772009 -0.499275 MAarrowhead1
% End of user PostScript
.80893 .31464 m
.82765 .34585 L
s
% Start of user PostScript
0.714286 -0.428571 0.757578 -0.356418 MAarrowhead1
% End of user PostScript
.80893 .37643 m
.82141 .40763 L
s
% Start of user PostScript
0.714286 -0.285714 0.743147 -0.213561 MAarrowhead1
% End of user PostScript
.80893 .43821 m
.81517 .46942 L
s
% Start of user PostScript
0.714286 -0.142857 0.728716 -0.0707034 MAarrowhead1
% End of user PostScript
.80893 .5 m
.80893 .53121 L
s
% Start of user PostScript
0.714286 0 0.714286 0.0721538 MAarrowhead1
% End of user PostScript
.80893 .56179 m
.80269 .59299 L
s
% Start of user PostScript
0.714286 0.142857 0.699855 0.215011 MAarrowhead1
% End of user PostScript
.80893 .62357 m
.79645 .65478 L
s
% Start of user PostScript
0.714286 0.285714 0.685424 0.357868 MAarrowhead1
% End of user PostScript
.80893 .68536 m
.79021 .71656 L
s
% Start of user PostScript
0.714286 0.428571 0.670993 0.500725 MAarrowhead1
% End of user PostScript
.80893 .74714 m
.78396 .77835 L
s
% Start of user PostScript
0.714286 0.571429 0.656563 0.643582 MAarrowhead1
% End of user PostScript
.80893 .80893 m
.77772 .84014 L
s
% Start of user PostScript
0.714286 0.714286 0.642132 0.786439 MAarrowhead1
% End of user PostScript
.80893 .87072 m
.77148 .90192 L
s
% Start of user PostScript
0.714286 0.857143 0.627701 0.929297 MAarrowhead1
% End of user PostScript
.80893 .9325 m
.76524 .96371 L
s
% Start of user PostScript
0.714286 1. 0.61327 1.07215 MAarrowhead1
% End of user PostScript
.87072 .0675 m
.9144 .10495 L
s
% Start of user PostScript
0.857143 -1. 0.958158 -0.913415 MAarrowhead1
% End of user PostScript
.87072 .12928 m
.90816 .16673 L
s
% Start of user PostScript
0.857143 -0.857143 0.943727 -0.770558 MAarrowhead1
% End of user PostScript
.87072 .19107 m
.90192 .22852 L
s
% Start of user PostScript
0.857143 -0.714286 0.929297 -0.627701 MAarrowhead1
% End of user PostScript
.87072 .25286 m
.89568 .2903 L
s
% Start of user PostScript
0.857143 -0.571429 0.914866 -0.484844 MAarrowhead1
% End of user PostScript
.87072 .31464 m
.88944 .35209 L
s
% Start of user PostScript
0.857143 -0.428571 0.900435 -0.341987 MAarrowhead1
% End of user PostScript
.87072 .37643 m
.8832 .41388 L
s
% Start of user PostScript
0.857143 -0.285714 0.886004 -0.19913 MAarrowhead1
% End of user PostScript
.87072 .43821 m
.87696 .47566 L
s
% Start of user PostScript
0.857143 -0.142857 0.871574 -0.0562726 MAarrowhead1
% End of user PostScript
.87072 .5 m
.87072 .53745 L
s
% Start of user PostScript
0.857143 0 0.857143 0.0865845 MAarrowhead1
% End of user PostScript
.87072 .56179 m
.86447 .59923 L
s
% Start of user PostScript
0.857143 0.142857 0.842712 0.229442 MAarrowhead1
% End of user PostScript
.87072 .62357 m
.85823 .66102 L
s
% Start of user PostScript
0.857143 0.285714 0.828281 0.372299 MAarrowhead1
% End of user PostScript
.87072 .68536 m
.85199 .72281 L
s
% Start of user PostScript
0.857143 0.428571 0.813851 0.515156 MAarrowhead1
% End of user PostScript
.87072 .74714 m
.84575 .78459 L
s
% Start of user PostScript
0.857143 0.571429 0.79942 0.658013 MAarrowhead1
% End of user PostScript
.87072 .80893 m
.83951 .84638 L
s
% Start of user PostScript
0.857143 0.714286 0.784989 0.80087 MAarrowhead1
% End of user PostScript
.87072 .87072 m
.83327 .90816 L
s
% Start of user PostScript
0.857143 0.857143 0.770558 0.943727 MAarrowhead1
% End of user PostScript
.87072 .9325 m
.82703 .96995 L
s
% Start of user PostScript
0.857143 1. 0.756128 1.08658 MAarrowhead1
% End of user PostScript
.9325 .0675 m
.97619 .11119 L
s
% Start of user PostScript
1. -1. 1.10102 -0.898985 MAarrowhead1
% End of user PostScript
.9325 .12928 m
.96995 .17297 L
s
% Start of user PostScript
1. -0.857143 1.08658 -0.756128 MAarrowhead1
% End of user PostScript
.9325 .19107 m
.96371 .23476 L
s
% Start of user PostScript
1. -0.714286 1.07215 -0.61327 MAarrowhead1
% End of user PostScript
.9325 .25286 m
.95747 .29655 L
s
% Start of user PostScript
1. -0.571429 1.05772 -0.470413 MAarrowhead1
% End of user PostScript
.9325 .31464 m
.95123 .35833 L
s
% Start of user PostScript
1. -0.428571 1.04329 -0.327556 MAarrowhead1
% End of user PostScript
.9325 .37643 m
.94498 .42012 L
s
% Start of user PostScript
1. -0.285714 1.02886 -0.184699 MAarrowhead1
% End of user PostScript
.9325 .43821 m
.93874 .4819 L
s
% Start of user PostScript
1. -0.142857 1.01443 -0.0418419 MAarrowhead1
% End of user PostScript
.9325 .5 m
.9325 .54369 L
s
% Start of user PostScript
1. 0 1. 0.101015 MAarrowhead1
% End of user PostScript
.9325 .56179 m
.92626 .60548 L
s
% Start of user PostScript
1. 0.142857 0.985569 0.243872 MAarrowhead1
% End of user PostScript
.9325 .62357 m
.92002 .66726 L
s
% Start of user PostScript
1. 0.285714 0.971138 0.38673 MAarrowhead1
% End of user PostScript
.9325 .68536 m
.91378 .72905 L
s
% Start of user PostScript
1. 0.428571 0.956708 0.529587 MAarrowhead1
% End of user PostScript
.9325 .74714 m
.90754 .79083 L
s
% Start of user PostScript
1. 0.571429 0.942277 0.672444 MAarrowhead1
% End of user PostScript
.9325 .80893 m
.90129 .85262 L
s
% Start of user PostScript
1. 0.714286 0.927846 0.815301 MAarrowhead1
% End of user PostScript
.9325 .87072 m
.89505 .9144 L
s
% Start of user PostScript
1. 0.857143 0.913415 0.958158 MAarrowhead1
% End of user PostScript
.9325 .9325 m
.88881 .97619 L
s
% Start of user PostScript
1. 1. 0.898985 1.10102 MAarrowhead1
% End of user PostScript
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
 ImageSize->{288, 288},
 ImageMargins->{{43, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],
 ImageRangeCache->{{{0, 287}, {287, 0}} -> {-1.39871, -1.33248, 0.0089056, \
0.0089056}}],

Cell[BoxData[
 TagBox[
  RowBox[{"\[SkeletonIndicator]", "Graphics", "\[SkeletonIndicator]"}],
  False,
  Editable->False]], "Output"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0"}], "}"}]], "Output"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", 
   FractionBox["8", "3"]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"v2", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "0"}], "}"}], "+", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "y"}], ",", "x", ",", " ", "0"}], "}"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"PlotVectorField", "[", 
    RowBox[{
     RowBox[{"Drop", "[", " ", 
      RowBox[{"v2", ",", " ", 
       RowBox[{"-", "1"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", " ", 
     RowBox[{"Frame", " ", "\[Rule]", " ", "True"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Integrate", "[", 
    RowBox[{"v2", ",", " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"Cross", "[", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "}"}], ",", " ", "v2"}], 
      "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"x", "-", "y"}], ",", 
   RowBox[{"x", "+", "y"}], ",", "0"}], "}"}]], "Output"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.416667 0.5 0.416667 [
[.08333 -0.0125 -6 -9 ]
[.08333 -0.0125 6 0 ]
[.29167 -0.0125 -12 -9 ]
[.29167 -0.0125 12 0 ]
[.5 -0.0125 -3 -9 ]
[.5 -0.0125 3 0 ]
[.70833 -0.0125 -9 -9 ]
[.70833 -0.0125 9 0 ]
[.91667 -0.0125 -3 -9 ]
[.91667 -0.0125 3 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .08333 -12 -4.5 ]
[-0.0125 .08333 0 4.5 ]
[-0.0125 .29167 -24 -4.5 ]
[-0.0125 .29167 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .70833 -18 -4.5 ]
[-0.0125 .70833 0 4.5 ]
[-0.0125 .91667 -6 -4.5 ]
[-0.0125 .91667 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.08333 0 m
.08333 .00625 L
s
[(-1)] .08333 -0.0125 0 1 Mshowa
.29167 0 m
.29167 .00625 L
s
[(-0.5)] .29167 -0.0125 0 1 Mshowa
.5 0 m
.5 .00625 L
s
[(0)] .5 -0.0125 0 1 Mshowa
.70833 0 m
.70833 .00625 L
s
[(0.5)] .70833 -0.0125 0 1 Mshowa
.91667 0 m
.91667 .00625 L
s
[(1)] .91667 -0.0125 0 1 Mshowa
.125 Mabswid
.125 0 m
.125 .00375 L
s
.16667 0 m
.16667 .00375 L
s
.20833 0 m
.20833 .00375 L
s
.25 0 m
.25 .00375 L
s
.33333 0 m
.33333 .00375 L
s
.375 0 m
.375 .00375 L
s
.41667 0 m
.41667 .00375 L
s
.45833 0 m
.45833 .00375 L
s
.54167 0 m
.54167 .00375 L
s
.58333 0 m
.58333 .00375 L
s
.625 0 m
.625 .00375 L
s
.66667 0 m
.66667 .00375 L
s
.75 0 m
.75 .00375 L
s
.79167 0 m
.79167 .00375 L
s
.83333 0 m
.83333 .00375 L
s
.875 0 m
.875 .00375 L
s
.04167 0 m
.04167 .00375 L
s
.95833 0 m
.95833 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .08333 m
.00625 .08333 L
s
[(-1)] -0.0125 .08333 1 0 Mshowa
0 .29167 m
.00625 .29167 L
s
[(-0.5)] -0.0125 .29167 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .70833 m
.00625 .70833 L
s
[(0.5)] -0.0125 .70833 1 0 Mshowa
0 .91667 m
.00625 .91667 L
s
[(1)] -0.0125 .91667 1 0 Mshowa
.125 Mabswid
0 .125 m
.00375 .125 L
s
0 .16667 m
.00375 .16667 L
s
0 .20833 m
.00375 .20833 L
s
0 .25 m
.00375 .25 L
s
0 .33333 m
.00375 .33333 L
s
0 .375 m
.00375 .375 L
s
0 .41667 m
.00375 .41667 L
s
0 .45833 m
.00375 .45833 L
s
0 .54167 m
.00375 .54167 L
s
0 .58333 m
.00375 .58333 L
s
0 .625 m
.00375 .625 L
s
0 .66667 m
.00375 .66667 L
s
0 .75 m
.00375 .75 L
s
0 .79167 m
.00375 .79167 L
s
0 .83333 m
.00375 .83333 L
s
0 .875 m
.00375 .875 L
s
0 .04167 m
.00375 .04167 L
s
0 .95833 m
.00375 .95833 L
s
.25 Mabswid
0 0 m
0 1 L
s
.08333 .99375 m
.08333 1 L
s
.29167 .99375 m
.29167 1 L
s
.5 .99375 m
.5 1 L
s
.70833 .99375 m
.70833 1 L
s
.91667 .99375 m
.91667 1 L
s
.125 Mabswid
.125 .99625 m
.125 1 L
s
.16667 .99625 m
.16667 1 L
s
.20833 .99625 m
.20833 1 L
s
.25 .99625 m
.25 1 L
s
.33333 .99625 m
.33333 1 L
s
.375 .99625 m
.375 1 L
s
.41667 .99625 m
.41667 1 L
s
.45833 .99625 m
.45833 1 L
s
.54167 .99625 m
.54167 1 L
s
.58333 .99625 m
.58333 1 L
s
.625 .99625 m
.625 1 L
s
.66667 .99625 m
.66667 1 L
s
.75 .99625 m
.75 1 L
s
.79167 .99625 m
.79167 1 L
s
.83333 .99625 m
.83333 1 L
s
.875 .99625 m
.875 1 L
s
.04167 .99625 m
.04167 1 L
s
.95833 .99625 m
.95833 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .08333 m
1 .08333 L
s
.99375 .29167 m
1 .29167 L
s
.99375 .5 m
1 .5 L
s
.99375 .70833 m
1 .70833 L
s
.99375 .91667 m
1 .91667 L
s
.125 Mabswid
.99625 .125 m
1 .125 L
s
.99625 .16667 m
1 .16667 L
s
.99625 .20833 m
1 .20833 L
s
.99625 .25 m
1 .25 L
s
.99625 .33333 m
1 .33333 L
s
.99625 .375 m
1 .375 L
s
.99625 .41667 m
1 .41667 L
s
.99625 .45833 m
1 .45833 L
s
.99625 .54167 m
1 .54167 L
s
.99625 .58333 m
1 .58333 L
s
.99625 .625 m
1 .625 L
s
.99625 .66667 m
1 .66667 L
s
.99625 .75 m
1 .75 L
s
.99625 .79167 m
1 .79167 L
s
.99625 .83333 m
1 .83333 L
s
.99625 .875 m
1 .875 L
s
.99625 .04167 m
1 .04167 L
s
.99625 .95833 m
1 .95833 L
s
.25 Mabswid
1 0 m
1 1 L
s
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-0.02 0.005 moveto 0 0 lineto
-0.02 -0.005 lineto fill
-0.02 0.005 moveto 0 0 lineto
-0.02 -0.005 lineto
-0.02 0.005 lineto stroke
} ifelse
grestore
} def
/MAarrowzero1 {
gsave
mathtops translate
0 0 Mdot
grestore
} def
% End of user PostScript
.0001 w
.08333 .08333 m
.08333 .02381 L
s
% Start of user PostScript
-1. -1. -1. -1.14286 MAarrowhead1
% End of user PostScript
.08333 .14286 m
.07908 .08759 L
s
% Start of user PostScript
-1. -0.857143 -1.0102 -0.989796 MAarrowhead1
% End of user PostScript
.08333 .20238 m
.07483 .15136 L
s
% Start of user PostScript
-1. -0.714286 -1.02041 -0.836735 MAarrowhead1
% End of user PostScript
.08333 .2619 m
.07058 .21514 L
s
% Start of user PostScript
-1. -0.571429 -1.03061 -0.683673 MAarrowhead1
% End of user PostScript
.08333 .32143 m
.06633 .27891 L
s
% Start of user PostScript
-1. -0.428571 -1.04082 -0.530612 MAarrowhead1
% End of user PostScript
.08333 .38095 m
.06207 .34269 L
s
% Start of user PostScript
-1. -0.285714 -1.05102 -0.377551 MAarrowhead1
% End of user PostScript
.08333 .44048 m
.05782 .40646 L
s
% Start of user PostScript
-1. -0.142857 -1.06122 -0.22449 MAarrowhead1
% End of user PostScript
.08333 .5 m
.05357 .47024 L
s
% Start of user PostScript
-1. 0 -1.07143 -0.0714286 MAarrowhead1
% End of user PostScript
.08333 .55952 m
.04932 .53401 L
s
% Start of user PostScript
-1. 0.142857 -1.08163 0.0816327 MAarrowhead1
% End of user PostScript
.08333 .61905 m
.04507 .59779 L
s
% Start of user PostScript
-1. 0.285714 -1.09184 0.234694 MAarrowhead1
% End of user PostScript
.08333 .67857 m
.04082 .66156 L
s
% Start of user PostScript
-1. 0.428571 -1.10204 0.387755 MAarrowhead1
% End of user PostScript
.08333 .7381 m
.03656 .72534 L
s
% Start of user PostScript
-1. 0.571429 -1.11224 0.540816 MAarrowhead1
% End of user PostScript
.08333 .79762 m
.03231 .78912 L
s
% Start of user PostScript
-1. 0.714286 -1.12245 0.693878 MAarrowhead1
% End of user PostScript
.08333 .85714 m
.02806 .85289 L
s
% Start of user PostScript
-1. 0.857143 -1.13265 0.846939 MAarrowhead1
% End of user PostScript
.08333 .91667 m
.02381 .91667 L
s
% Start of user PostScript
-1. 1. -1.14286 1. MAarrowhead1
% End of user PostScript
.14286 .08333 m
.14711 .02806 L
s
% Start of user PostScript
-0.857143 -1. -0.846939 -1.13265 MAarrowhead1
% End of user PostScript
.14286 .14286 m
.14286 .09184 L
s
% Start of user PostScript
-0.857143 -0.857143 -0.857143 -0.979592 MAarrowhead1
% End of user PostScript
.14286 .20238 m
.13861 .15561 L
s
% Start of user PostScript
-0.857143 -0.714286 -0.867347 -0.826531 MAarrowhead1
% End of user PostScript
.14286 .2619 m
.13435 .21939 L
s
% Start of user PostScript
-0.857143 -0.571429 -0.877551 -0.673469 MAarrowhead1
% End of user PostScript
.14286 .32143 m
.1301 .28316 L
s
% Start of user PostScript
-0.857143 -0.428571 -0.887755 -0.520408 MAarrowhead1
% End of user PostScript
.14286 .38095 m
.12585 .34694 L
s
% Start of user PostScript
-0.857143 -0.285714 -0.897959 -0.367347 MAarrowhead1
% End of user PostScript
.14286 .44048 m
.1216 .41071 L
s
% Start of user PostScript
-0.857143 -0.142857 -0.908163 -0.214286 MAarrowhead1
% End of user PostScript
.14286 .5 m
.11735 .47449 L
s
% Start of user PostScript
-0.857143 0 -0.918367 -0.0612245 MAarrowhead1
% End of user PostScript
.14286 .55952 m
.1131 .53827 L
s
% Start of user PostScript
-0.857143 0.142857 -0.928571 0.0918367 MAarrowhead1
% End of user PostScript
.14286 .61905 m
.10884 .60204 L
s
% Start of user PostScript
-0.857143 0.285714 -0.938776 0.244898 MAarrowhead1
% End of user PostScript
.14286 .67857 m
.10459 .66582 L
s
% Start of user PostScript
-0.857143 0.428571 -0.94898 0.397959 MAarrowhead1
% End of user PostScript
.14286 .7381 m
.10034 .72959 L
s
% Start of user PostScript
-0.857143 0.571429 -0.959184 0.55102 MAarrowhead1
% End of user PostScript
.14286 .79762 m
.09609 .79337 L
s
% Start of user PostScript
-0.857143 0.714286 -0.969388 0.704082 MAarrowhead1
% End of user PostScript
.14286 .85714 m
.09184 .85714 L
s
% Start of user PostScript
-0.857143 0.857143 -0.979592 0.857143 MAarrowhead1
% End of user PostScript
.14286 .91667 m
.08759 .92092 L
s
% Start of user PostScript
-0.857143 1. -0.989796 1.0102 MAarrowhead1
% End of user PostScript
.20238 .08333 m
.21088 .03231 L
s
% Start of user PostScript
-0.714286 -1. -0.693878 -1.12245 MAarrowhead1
% End of user PostScript
.20238 .14286 m
.20663 .09609 L
s
% Start of user PostScript
-0.714286 -0.857143 -0.704082 -0.969388 MAarrowhead1
% End of user PostScript
.20238 .20238 m
.20238 .15986 L
s
% Start of user PostScript
-0.714286 -0.714286 -0.714286 -0.816327 MAarrowhead1
% End of user PostScript
.20238 .2619 m
.19813 .22364 L
s
% Start of user PostScript
-0.714286 -0.571429 -0.72449 -0.663265 MAarrowhead1
% End of user PostScript
.20238 .32143 m
.19388 .28741 L
s
% Start of user PostScript
-0.714286 -0.428571 -0.734694 -0.510204 MAarrowhead1
% End of user PostScript
.20238 .38095 m
.18963 .35119 L
s
% Start of user PostScript
-0.714286 -0.285714 -0.744898 -0.357143 MAarrowhead1
% End of user PostScript
.20238 .44048 m
.18537 .41497 L
s
% Start of user PostScript
-0.714286 -0.142857 -0.755102 -0.204082 MAarrowhead1
% End of user PostScript
.20238 .5 m
.18112 .47874 L
s
% Start of user PostScript
-0.714286 0 -0.765306 -0.0510204 MAarrowhead1
% End of user PostScript
.20238 .55952 m
.17687 .54252 L
s
% Start of user PostScript
-0.714286 0.142857 -0.77551 0.102041 MAarrowhead1
% End of user PostScript
.20238 .61905 m
.17262 .60629 L
s
% Start of user PostScript
-0.714286 0.285714 -0.785714 0.255102 MAarrowhead1
% End of user PostScript
.20238 .67857 m
.16837 .67007 L
s
% Start of user PostScript
-0.714286 0.428571 -0.795918 0.408163 MAarrowhead1
% End of user PostScript
.20238 .7381 m
.16412 .73384 L
s
% Start of user PostScript
-0.714286 0.571429 -0.806122 0.561224 MAarrowhead1
% End of user PostScript
.20238 .79762 m
.15986 .79762 L
s
% Start of user PostScript
-0.714286 0.714286 -0.816327 0.714286 MAarrowhead1
% End of user PostScript
.20238 .85714 m
.15561 .86139 L
s
% Start of user PostScript
-0.714286 0.857143 -0.826531 0.867347 MAarrowhead1
% End of user PostScript
.20238 .91667 m
.15136 .92517 L
s
% Start of user PostScript
-0.714286 1. -0.836735 1.02041 MAarrowhead1
% End of user PostScript
.2619 .08333 m
.27466 .03656 L
s
% Start of user PostScript
-0.571429 -1. -0.540816 -1.11224 MAarrowhead1
% End of user PostScript
.2619 .14286 m
.27041 .10034 L
s
% Start of user PostScript
-0.571429 -0.857143 -0.55102 -0.959184 MAarrowhead1
% End of user PostScript
.2619 .20238 m
.26616 .16412 L
s
% Start of user PostScript
-0.571429 -0.714286 -0.561224 -0.806122 MAarrowhead1
% End of user PostScript
.2619 .2619 m
.2619 .22789 L
s
% Start of user PostScript
-0.571429 -0.571429 -0.571429 -0.653061 MAarrowhead1
% End of user PostScript
.2619 .32143 m
.25765 .29167 L
s
% Start of user PostScript
-0.571429 -0.428571 -0.581633 -0.5 MAarrowhead1
% End of user PostScript
.2619 .38095 m
.2534 .35544 L
s
% Start of user PostScript
-0.571429 -0.285714 -0.591837 -0.346939 MAarrowhead1
% End of user PostScript
.2619 .44048 m
.24915 .41922 L
s
% Start of user PostScript
-0.571429 -0.142857 -0.602041 -0.193878 MAarrowhead1
% End of user PostScript
.2619 .5 m
.2449 .48299 L
s
% Start of user PostScript
-0.571429 0 -0.612245 -0.0408163 MAarrowhead1
% End of user PostScript
.2619 .55952 m
.24065 .54677 L
s
% Start of user PostScript
-0.571429 0.142857 -0.622449 0.112245 MAarrowhead1
% End of user PostScript
.2619 .61905 m
.23639 .61054 L
s
% Start of user PostScript
-0.571429 0.285714 -0.632653 0.265306 MAarrowhead1
% End of user PostScript
.2619 .67857 m
.23214 .67432 L
s
% Start of user PostScript
-0.571429 0.428571 -0.642857 0.418367 MAarrowhead1
% End of user PostScript
.2619 .7381 m
.22789 .7381 L
s
% Start of user PostScript
-0.571429 0.571429 -0.653061 0.571429 MAarrowhead1
% End of user PostScript
.2619 .79762 m
.22364 .80187 L
s
% Start of user PostScript
-0.571429 0.714286 -0.663265 0.72449 MAarrowhead1
% End of user PostScript
.2619 .85714 m
.21939 .86565 L
s
% Start of user PostScript
-0.571429 0.857143 -0.673469 0.877551 MAarrowhead1
% End of user PostScript
.2619 .91667 m
.21514 .92942 L
s
% Start of user PostScript
-0.571429 1. -0.683673 1.03061 MAarrowhead1
% End of user PostScript
.32143 .08333 m
.33844 .04082 L
s
% Start of user PostScript
-0.428571 -1. -0.387755 -1.10204 MAarrowhead1
% End of user PostScript
.32143 .14286 m
.33418 .10459 L
s
% Start of user PostScript
-0.428571 -0.857143 -0.397959 -0.94898 MAarrowhead1
% End of user PostScript
.32143 .20238 m
.32993 .16837 L
s
% Start of user PostScript
-0.428571 -0.714286 -0.408163 -0.795918 MAarrowhead1
% End of user PostScript
.32143 .2619 m
.32568 .23214 L
s
% Start of user PostScript
-0.428571 -0.571429 -0.418367 -0.642857 MAarrowhead1
% End of user PostScript
.32143 .32143 m
.32143 .29592 L
s
% Start of user PostScript
-0.428571 -0.428571 -0.428571 -0.489796 MAarrowhead1
% End of user PostScript
.32143 .38095 m
.31718 .35969 L
s
% Start of user PostScript
-0.428571 -0.285714 -0.438776 -0.336735 MAarrowhead1
% End of user PostScript
.32143 .44048 m
.31293 .42347 L
s
% Start of user PostScript
-0.428571 -0.142857 -0.44898 -0.183673 MAarrowhead1
% End of user PostScript
.32143 .5 m
.30867 .48724 L
s
% Start of user PostScript
-0.428571 0 -0.459184 -0.0306122 MAarrowhead1
% End of user PostScript
.32143 .55952 m
.30442 .55102 L
s
% Start of user PostScript
-0.428571 0.142857 -0.469388 0.122449 MAarrowhead1
% End of user PostScript
.32143 .61905 m
.30017 .6148 L
s
% Start of user PostScript
-0.428571 0.285714 -0.479592 0.27551 MAarrowhead1
% End of user PostScript
.32143 .67857 m
.29592 .67857 L
s
% Start of user PostScript
-0.428571 0.428571 -0.489796 0.428571 MAarrowhead1
% End of user PostScript
.32143 .7381 m
.29167 .74235 L
s
% Start of user PostScript
-0.428571 0.571429 -0.5 0.581633 MAarrowhead1
% End of user PostScript
.32143 .79762 m
.28741 .80612 L
s
% Start of user PostScript
-0.428571 0.714286 -0.510204 0.734694 MAarrowhead1
% End of user PostScript
.32143 .85714 m
.28316 .8699 L
s
% Start of user PostScript
-0.428571 0.857143 -0.520408 0.887755 MAarrowhead1
% End of user PostScript
.32143 .91667 m
.27891 .93367 L
s
% Start of user PostScript
-0.428571 1. -0.530612 1.04082 MAarrowhead1
% End of user PostScript
.38095 .08333 m
.40221 .04507 L
s
% Start of user PostScript
-0.285714 -1. -0.234694 -1.09184 MAarrowhead1
% End of user PostScript
.38095 .14286 m
.39796 .10884 L
s
% Start of user PostScript
-0.285714 -0.857143 -0.244898 -0.938776 MAarrowhead1
% End of user PostScript
.38095 .20238 m
.39371 .17262 L
s
% Start of user PostScript
-0.285714 -0.714286 -0.255102 -0.785714 MAarrowhead1
% End of user PostScript
.38095 .2619 m
.38946 .23639 L
s
% Start of user PostScript
-0.285714 -0.571429 -0.265306 -0.632653 MAarrowhead1
% End of user PostScript
.38095 .32143 m
.3852 .30017 L
s
% Start of user PostScript
-0.285714 -0.428571 -0.27551 -0.479592 MAarrowhead1
% End of user PostScript
.38095 .38095 m
.38095 .36395 L
s
% Start of user PostScript
-0.285714 -0.285714 -0.285714 -0.326531 MAarrowhead1
% End of user PostScript
.38095 .44048 m
.3767 .42772 L
s
% Start of user PostScript
-0.285714 -0.142857 -0.295918 -0.173469 MAarrowhead1
% End of user PostScript
.38095 .5 m
.37245 .4915 L
s
% Start of user PostScript
-0.285714 0 -0.306122 -0.0204082 MAarrowhead1
% End of user PostScript
.38095 .55952 m
.3682 .55527 L
s
% Start of user PostScript
-0.285714 0.142857 -0.316327 0.132653 MAarrowhead1
% End of user PostScript
.38095 .61905 m
.36395 .61905 L
s
% Start of user PostScript
-0.285714 0.285714 -0.326531 0.285714 MAarrowhead1
% End of user PostScript
.38095 .67857 m
.35969 .68282 L
s
% Start of user PostScript
-0.285714 0.428571 -0.336735 0.438776 MAarrowhead1
% End of user PostScript
.38095 .7381 m
.35544 .7466 L
s
% Start of user PostScript
-0.285714 0.571429 -0.346939 0.591837 MAarrowhead1
% End of user PostScript
.38095 .79762 m
.35119 .81037 L
s
% Start of user PostScript
-0.285714 0.714286 -0.357143 0.744898 MAarrowhead1
% End of user PostScript
.38095 .85714 m
.34694 .87415 L
s
% Start of user PostScript
-0.285714 0.857143 -0.367347 0.897959 MAarrowhead1
% End of user PostScript
.38095 .91667 m
.34269 .93793 L
s
% Start of user PostScript
-0.285714 1. -0.377551 1.05102 MAarrowhead1
% End of user PostScript
.44048 .08333 m
.46599 .04932 L
s
% Start of user PostScript
-0.142857 -1. -0.0816327 -1.08163 MAarrowhead1
% End of user PostScript
.44048 .14286 m
.46173 .1131 L
s
% Start of user PostScript
-0.142857 -0.857143 -0.0918367 -0.928571 MAarrowhead1
% End of user PostScript
.44048 .20238 m
.45748 .17687 L
s
% Start of user PostScript
-0.142857 -0.714286 -0.102041 -0.77551 MAarrowhead1
% End of user PostScript
.44048 .2619 m
.45323 .24065 L
s
% Start of user PostScript
-0.142857 -0.571429 -0.112245 -0.622449 MAarrowhead1
% End of user PostScript
.44048 .32143 m
.44898 .30442 L
s
% Start of user PostScript
-0.142857 -0.428571 -0.122449 -0.469388 MAarrowhead1
% End of user PostScript
.44048 .38095 m
.44473 .3682 L
s
% Start of user PostScript
-0.142857 -0.285714 -0.132653 -0.316327 MAarrowhead1
% End of user PostScript
.44048 .44048 m
.44048 .43197 L
s
% Start of user PostScript
-0.142857 -0.142857 -0.142857 -0.163265 MAarrowhead1
% End of user PostScript
.44048 .5 m
.43622 .49575 L
s
% Start of user PostScript
-0.142857 0 -0.153061 -0.0102041 MAarrowhead1
% End of user PostScript
.44048 .55952 m
.43197 .55952 L
s
% Start of user PostScript
-0.142857 0.142857 -0.163265 0.142857 MAarrowhead1
% End of user PostScript
.44048 .61905 m
.42772 .6233 L
s
% Start of user PostScript
-0.142857 0.285714 -0.173469 0.295918 MAarrowhead1
% End of user PostScript
.44048 .67857 m
.42347 .68707 L
s
% Start of user PostScript
-0.142857 0.428571 -0.183673 0.44898 MAarrowhead1
% End of user PostScript
.44048 .7381 m
.41922 .75085 L
s
% Start of user PostScript
-0.142857 0.571429 -0.193878 0.602041 MAarrowhead1
% End of user PostScript
.44048 .79762 m
.41497 .81463 L
s
% Start of user PostScript
-0.142857 0.714286 -0.204082 0.755102 MAarrowhead1
% End of user PostScript
.44048 .85714 m
.41071 .8784 L
s
% Start of user PostScript
-0.142857 0.857143 -0.214286 0.908163 MAarrowhead1
% End of user PostScript
.44048 .91667 m
.40646 .94218 L
s
% Start of user PostScript
-0.142857 1. -0.22449 1.06122 MAarrowhead1
% End of user PostScript
.5 .08333 m
.52976 .05357 L
s
% Start of user PostScript
0 -1. 0.0714286 -1.07143 MAarrowhead1
% End of user PostScript
.5 .14286 m
.52551 .11735 L
s
% Start of user PostScript
0 -0.857143 0.0612245 -0.918367 MAarrowhead1
% End of user PostScript
.5 .20238 m
.52126 .18112 L
s
% Start of user PostScript
0 -0.714286 0.0510204 -0.765306 MAarrowhead1
% End of user PostScript
.5 .2619 m
.51701 .2449 L
s
% Start of user PostScript
0 -0.571429 0.0408163 -0.612245 MAarrowhead1
% End of user PostScript
.5 .32143 m
.51276 .30867 L
s
% Start of user PostScript
0 -0.428571 0.0306122 -0.459184 MAarrowhead1
% End of user PostScript
.5 .38095 m
.5085 .37245 L
s
% Start of user PostScript
0 -0.285714 0.0204082 -0.306122 MAarrowhead1
% End of user PostScript
.5 .44048 m
.50425 .43622 L
s
% Start of user PostScript
0 -0.142857 0.0102041 -0.153061 MAarrowhead1
% End of user PostScript
.5 .5 m
.5 .5 L
s
% Start of user PostScript
0 0 MAarrowzero1
% End of user PostScript
.5 .55952 m
.49575 .56378 L
s
% Start of user PostScript
0 0.142857 -0.0102041 0.153061 MAarrowhead1
% End of user PostScript
.5 .61905 m
.4915 .62755 L
s
% Start of user PostScript
0 0.285714 -0.0204082 0.306122 MAarrowhead1
% End of user PostScript
.5 .67857 m
.48724 .69133 L
s
% Start of user PostScript
0 0.428571 -0.0306122 0.459184 MAarrowhead1
% End of user PostScript
.5 .7381 m
.48299 .7551 L
s
% Start of user PostScript
0 0.571429 -0.0408163 0.612245 MAarrowhead1
% End of user PostScript
.5 .79762 m
.47874 .81888 L
s
% Start of user PostScript
0 0.714286 -0.0510204 0.765306 MAarrowhead1
% End of user PostScript
.5 .85714 m
.47449 .88265 L
s
% Start of user PostScript
0 0.857143 -0.0612245 0.918367 MAarrowhead1
% End of user PostScript
.5 .91667 m
.47024 .94643 L
s
% Start of user PostScript
0 1. -0.0714286 1.07143 MAarrowhead1
% End of user PostScript
.55952 .08333 m
.59354 .05782 L
s
% Start of user PostScript
0.142857 -1. 0.22449 -1.06122 MAarrowhead1
% End of user PostScript
.55952 .14286 m
.58929 .1216 L
s
% Start of user PostScript
0.142857 -0.857143 0.214286 -0.908163 MAarrowhead1
% End of user PostScript
.55952 .20238 m
.58503 .18537 L
s
% Start of user PostScript
0.142857 -0.714286 0.204082 -0.755102 MAarrowhead1
% End of user PostScript
.55952 .2619 m
.58078 .24915 L
s
% Start of user PostScript
0.142857 -0.571429 0.193878 -0.602041 MAarrowhead1
% End of user PostScript
.55952 .32143 m
.57653 .31293 L
s
% Start of user PostScript
0.142857 -0.428571 0.183673 -0.44898 MAarrowhead1
% End of user PostScript
.55952 .38095 m
.57228 .3767 L
s
% Start of user PostScript
0.142857 -0.285714 0.173469 -0.295918 MAarrowhead1
% End of user PostScript
.55952 .44048 m
.56803 .44048 L
s
% Start of user PostScript
0.142857 -0.142857 0.163265 -0.142857 MAarrowhead1
% End of user PostScript
.55952 .5 m
.56378 .50425 L
s
% Start of user PostScript
0.142857 0 0.153061 0.0102041 MAarrowhead1
% End of user PostScript
.55952 .55952 m
.55952 .56803 L
s
% Start of user PostScript
0.142857 0.142857 0.142857 0.163265 MAarrowhead1
% End of user PostScript
.55952 .61905 m
.55527 .6318 L
s
% Start of user PostScript
0.142857 0.285714 0.132653 0.316327 MAarrowhead1
% End of user PostScript
.55952 .67857 m
.55102 .69558 L
s
% Start of user PostScript
0.142857 0.428571 0.122449 0.469388 MAarrowhead1
% End of user PostScript
.55952 .7381 m
.54677 .75935 L
s
% Start of user PostScript
0.142857 0.571429 0.112245 0.622449 MAarrowhead1
% End of user PostScript
.55952 .79762 m
.54252 .82313 L
s
% Start of user PostScript
0.142857 0.714286 0.102041 0.77551 MAarrowhead1
% End of user PostScript
.55952 .85714 m
.53827 .8869 L
s
% Start of user PostScript
0.142857 0.857143 0.0918367 0.928571 MAarrowhead1
% End of user PostScript
.55952 .91667 m
.53401 .95068 L
s
% Start of user PostScript
0.142857 1. 0.0816327 1.08163 MAarrowhead1
% End of user PostScript
.61905 .08333 m
.65731 .06207 L
s
% Start of user PostScript
0.285714 -1. 0.377551 -1.05102 MAarrowhead1
% End of user PostScript
.61905 .14286 m
.65306 .12585 L
s
% Start of user PostScript
0.285714 -0.857143 0.367347 -0.897959 MAarrowhead1
% End of user PostScript
.61905 .20238 m
.64881 .18963 L
s
% Start of user PostScript
0.285714 -0.714286 0.357143 -0.744898 MAarrowhead1
% End of user PostScript
.61905 .2619 m
.64456 .2534 L
s
% Start of user PostScript
0.285714 -0.571429 0.346939 -0.591837 MAarrowhead1
% End of user PostScript
.61905 .32143 m
.64031 .31718 L
s
% Start of user PostScript
0.285714 -0.428571 0.336735 -0.438776 MAarrowhead1
% End of user PostScript
.61905 .38095 m
.63605 .38095 L
s
% Start of user PostScript
0.285714 -0.285714 0.326531 -0.285714 MAarrowhead1
% End of user PostScript
.61905 .44048 m
.6318 .44473 L
s
% Start of user PostScript
0.285714 -0.142857 0.316327 -0.132653 MAarrowhead1
% End of user PostScript
.61905 .5 m
.62755 .5085 L
s
% Start of user PostScript
0.285714 0 0.306122 0.0204082 MAarrowhead1
% End of user PostScript
.61905 .55952 m
.6233 .57228 L
s
% Start of user PostScript
0.285714 0.142857 0.295918 0.173469 MAarrowhead1
% End of user PostScript
.61905 .61905 m
.61905 .63605 L
s
% Start of user PostScript
0.285714 0.285714 0.285714 0.326531 MAarrowhead1
% End of user PostScript
.61905 .67857 m
.6148 .69983 L
s
% Start of user PostScript
0.285714 0.428571 0.27551 0.479592 MAarrowhead1
% End of user PostScript
.61905 .7381 m
.61054 .76361 L
s
% Start of user PostScript
0.285714 0.571429 0.265306 0.632653 MAarrowhead1
% End of user PostScript
.61905 .79762 m
.60629 .82738 L
s
% Start of user PostScript
0.285714 0.714286 0.255102 0.785714 MAarrowhead1
% End of user PostScript
.61905 .85714 m
.60204 .89116 L
s
% Start of user PostScript
0.285714 0.857143 0.244898 0.938776 MAarrowhead1
% End of user PostScript
.61905 .91667 m
.59779 .95493 L
s
% Start of user PostScript
0.285714 1. 0.234694 1.09184 MAarrowhead1
% End of user PostScript
.67857 .08333 m
.72109 .06633 L
s
% Start of user PostScript
0.428571 -1. 0.530612 -1.04082 MAarrowhead1
% End of user PostScript
.67857 .14286 m
.71684 .1301 L
s
% Start of user PostScript
0.428571 -0.857143 0.520408 -0.887755 MAarrowhead1
% End of user PostScript
.67857 .20238 m
.71259 .19388 L
s
% Start of user PostScript
0.428571 -0.714286 0.510204 -0.734694 MAarrowhead1
% End of user PostScript
.67857 .2619 m
.70833 .25765 L
s
% Start of user PostScript
0.428571 -0.571429 0.5 -0.581633 MAarrowhead1
% End of user PostScript
.67857 .32143 m
.70408 .32143 L
s
% Start of user PostScript
0.428571 -0.428571 0.489796 -0.428571 MAarrowhead1
% End of user PostScript
.67857 .38095 m
.69983 .3852 L
s
% Start of user PostScript
0.428571 -0.285714 0.479592 -0.27551 MAarrowhead1
% End of user PostScript
.67857 .44048 m
.69558 .44898 L
s
% Start of user PostScript
0.428571 -0.142857 0.469388 -0.122449 MAarrowhead1
% End of user PostScript
.67857 .5 m
.69133 .51276 L
s
% Start of user PostScript
0.428571 0 0.459184 0.0306122 MAarrowhead1
% End of user PostScript
.67857 .55952 m
.68707 .57653 L
s
% Start of user PostScript
0.428571 0.142857 0.44898 0.183673 MAarrowhead1
% End of user PostScript
.67857 .61905 m
.68282 .64031 L
s
% Start of user PostScript
0.428571 0.285714 0.438776 0.336735 MAarrowhead1
% End of user PostScript
.67857 .67857 m
.67857 .70408 L
s
% Start of user PostScript
0.428571 0.428571 0.428571 0.489796 MAarrowhead1
% End of user PostScript
.67857 .7381 m
.67432 .76786 L
s
% Start of user PostScript
0.428571 0.571429 0.418367 0.642857 MAarrowhead1
% End of user PostScript
.67857 .79762 m
.67007 .83163 L
s
% Start of user PostScript
0.428571 0.714286 0.408163 0.795918 MAarrowhead1
% End of user PostScript
.67857 .85714 m
.66582 .89541 L
s
% Start of user PostScript
0.428571 0.857143 0.397959 0.94898 MAarrowhead1
% End of user PostScript
.67857 .91667 m
.66156 .95918 L
s
% Start of user PostScript
0.428571 1. 0.387755 1.10204 MAarrowhead1
% End of user PostScript
.7381 .08333 m
.78486 .07058 L
s
% Start of user PostScript
0.571429 -1. 0.683673 -1.03061 MAarrowhead1
% End of user PostScript
.7381 .14286 m
.78061 .13435 L
s
% Start of user PostScript
0.571429 -0.857143 0.673469 -0.877551 MAarrowhead1
% End of user PostScript
.7381 .20238 m
.77636 .19813 L
s
% Start of user PostScript
0.571429 -0.714286 0.663265 -0.72449 MAarrowhead1
% End of user PostScript
.7381 .2619 m
.77211 .2619 L
s
% Start of user PostScript
0.571429 -0.571429 0.653061 -0.571429 MAarrowhead1
% End of user PostScript
.7381 .32143 m
.76786 .32568 L
s
% Start of user PostScript
0.571429 -0.428571 0.642857 -0.418367 MAarrowhead1
% End of user PostScript
.7381 .38095 m
.76361 .38946 L
s
% Start of user PostScript
0.571429 -0.285714 0.632653 -0.265306 MAarrowhead1
% End of user PostScript
.7381 .44048 m
.75935 .45323 L
s
% Start of user PostScript
0.571429 -0.142857 0.622449 -0.112245 MAarrowhead1
% End of user PostScript
.7381 .5 m
.7551 .51701 L
s
% Start of user PostScript
0.571429 0 0.612245 0.0408163 MAarrowhead1
% End of user PostScript
.7381 .55952 m
.75085 .58078 L
s
% Start of user PostScript
0.571429 0.142857 0.602041 0.193878 MAarrowhead1
% End of user PostScript
.7381 .61905 m
.7466 .64456 L
s
% Start of user PostScript
0.571429 0.285714 0.591837 0.346939 MAarrowhead1
% End of user PostScript
.7381 .67857 m
.74235 .70833 L
s
% Start of user PostScript
0.571429 0.428571 0.581633 0.5 MAarrowhead1
% End of user PostScript
.7381 .7381 m
.7381 .77211 L
s
% Start of user PostScript
0.571429 0.571429 0.571429 0.653061 MAarrowhead1
% End of user PostScript
.7381 .79762 m
.73384 .83588 L
s
% Start of user PostScript
0.571429 0.714286 0.561224 0.806122 MAarrowhead1
% End of user PostScript
.7381 .85714 m
.72959 .89966 L
s
% Start of user PostScript
0.571429 0.857143 0.55102 0.959184 MAarrowhead1
% End of user PostScript
.7381 .91667 m
.72534 .96344 L
s
% Start of user PostScript
0.571429 1. 0.540816 1.11224 MAarrowhead1
% End of user PostScript
.79762 .08333 m
.84864 .07483 L
s
% Start of user PostScript
0.714286 -1. 0.836735 -1.02041 MAarrowhead1
% End of user PostScript
.79762 .14286 m
.84439 .13861 L
s
% Start of user PostScript
0.714286 -0.857143 0.826531 -0.867347 MAarrowhead1
% End of user PostScript
.79762 .20238 m
.84014 .20238 L
s
% Start of user PostScript
0.714286 -0.714286 0.816327 -0.714286 MAarrowhead1
% End of user PostScript
.79762 .2619 m
.83588 .26616 L
s
% Start of user PostScript
0.714286 -0.571429 0.806122 -0.561224 MAarrowhead1
% End of user PostScript
.79762 .32143 m
.83163 .32993 L
s
% Start of user PostScript
0.714286 -0.428571 0.795918 -0.408163 MAarrowhead1
% End of user PostScript
.79762 .38095 m
.82738 .39371 L
s
% Start of user PostScript
0.714286 -0.285714 0.785714 -0.255102 MAarrowhead1
% End of user PostScript
.79762 .44048 m
.82313 .45748 L
s
% Start of user PostScript
0.714286 -0.142857 0.77551 -0.102041 MAarrowhead1
% End of user PostScript
.79762 .5 m
.81888 .52126 L
s
% Start of user PostScript
0.714286 0 0.765306 0.0510204 MAarrowhead1
% End of user PostScript
.79762 .55952 m
.81463 .58503 L
s
% Start of user PostScript
0.714286 0.142857 0.755102 0.204082 MAarrowhead1
% End of user PostScript
.79762 .61905 m
.81037 .64881 L
s
% Start of user PostScript
0.714286 0.285714 0.744898 0.357143 MAarrowhead1
% End of user PostScript
.79762 .67857 m
.80612 .71259 L
s
% Start of user PostScript
0.714286 0.428571 0.734694 0.510204 MAarrowhead1
% End of user PostScript
.79762 .7381 m
.80187 .77636 L
s
% Start of user PostScript
0.714286 0.571429 0.72449 0.663265 MAarrowhead1
% End of user PostScript
.79762 .79762 m
.79762 .84014 L
s
% Start of user PostScript
0.714286 0.714286 0.714286 0.816327 MAarrowhead1
% End of user PostScript
.79762 .85714 m
.79337 .90391 L
s
% Start of user PostScript
0.714286 0.857143 0.704082 0.969388 MAarrowhead1
% End of user PostScript
.79762 .91667 m
.78912 .96769 L
s
% Start of user PostScript
0.714286 1. 0.693878 1.12245 MAarrowhead1
% End of user PostScript
.85714 .08333 m
.91241 .07908 L
s
% Start of user PostScript
0.857143 -1. 0.989796 -1.0102 MAarrowhead1
% End of user PostScript
.85714 .14286 m
.90816 .14286 L
s
% Start of user PostScript
0.857143 -0.857143 0.979592 -0.857143 MAarrowhead1
% End of user PostScript
.85714 .20238 m
.90391 .20663 L
s
% Start of user PostScript
0.857143 -0.714286 0.969388 -0.704082 MAarrowhead1
% End of user PostScript
.85714 .2619 m
.89966 .27041 L
s
% Start of user PostScript
0.857143 -0.571429 0.959184 -0.55102 MAarrowhead1
% End of user PostScript
.85714 .32143 m
.89541 .33418 L
s
% Start of user PostScript
0.857143 -0.428571 0.94898 -0.397959 MAarrowhead1
% End of user PostScript
.85714 .38095 m
.89116 .39796 L
s
% Start of user PostScript
0.857143 -0.285714 0.938776 -0.244898 MAarrowhead1
% End of user PostScript
.85714 .44048 m
.8869 .46173 L
s
% Start of user PostScript
0.857143 -0.142857 0.928571 -0.0918367 MAarrowhead1
% End of user PostScript
.85714 .5 m
.88265 .52551 L
s
% Start of user PostScript
0.857143 0 0.918367 0.0612245 MAarrowhead1
% End of user PostScript
.85714 .55952 m
.8784 .58929 L
s
% Start of user PostScript
0.857143 0.142857 0.908163 0.214286 MAarrowhead1
% End of user PostScript
.85714 .61905 m
.87415 .65306 L
s
% Start of user PostScript
0.857143 0.285714 0.897959 0.367347 MAarrowhead1
% End of user PostScript
.85714 .67857 m
.8699 .71684 L
s
% Start of user PostScript
0.857143 0.428571 0.887755 0.520408 MAarrowhead1
% End of user PostScript
.85714 .7381 m
.86565 .78061 L
s
% Start of user PostScript
0.857143 0.571429 0.877551 0.673469 MAarrowhead1
% End of user PostScript
.85714 .79762 m
.86139 .84439 L
s
% Start of user PostScript
0.857143 0.714286 0.867347 0.826531 MAarrowhead1
% End of user PostScript
.85714 .85714 m
.85714 .90816 L
s
% Start of user PostScript
0.857143 0.857143 0.857143 0.979592 MAarrowhead1
% End of user PostScript
.85714 .91667 m
.85289 .97194 L
s
% Start of user PostScript
0.857143 1. 0.846939 1.13265 MAarrowhead1
% End of user PostScript
.91667 .08333 m
.97619 .08333 L
s
% Start of user PostScript
1. -1. 1.14286 -1. MAarrowhead1
% End of user PostScript
.91667 .14286 m
.97194 .14711 L
s
% Start of user PostScript
1. -0.857143 1.13265 -0.846939 MAarrowhead1
% End of user PostScript
.91667 .20238 m
.96769 .21088 L
s
% Start of user PostScript
1. -0.714286 1.12245 -0.693878 MAarrowhead1
% End of user PostScript
.91667 .2619 m
.96344 .27466 L
s
% Start of user PostScript
1. -0.571429 1.11224 -0.540816 MAarrowhead1
% End of user PostScript
.91667 .32143 m
.95918 .33844 L
s
% Start of user PostScript
1. -0.428571 1.10204 -0.387755 MAarrowhead1
% End of user PostScript
.91667 .38095 m
.95493 .40221 L
s
% Start of user PostScript
1. -0.285714 1.09184 -0.234694 MAarrowhead1
% End of user PostScript
.91667 .44048 m
.95068 .46599 L
s
% Start of user PostScript
1. -0.142857 1.08163 -0.0816327 MAarrowhead1
% End of user PostScript
.91667 .5 m
.94643 .52976 L
s
% Start of user PostScript
1. 0 1.07143 0.0714286 MAarrowhead1
% End of user PostScript
.91667 .55952 m
.94218 .59354 L
s
% Start of user PostScript
1. 0.142857 1.06122 0.22449 MAarrowhead1
% End of user PostScript
.91667 .61905 m
.93793 .65731 L
s
% Start of user PostScript
1. 0.285714 1.05102 0.377551 MAarrowhead1
% End of user PostScript
.91667 .67857 m
.93367 .72109 L
s
% Start of user PostScript
1. 0.428571 1.04082 0.530612 MAarrowhead1
% End of user PostScript
.91667 .7381 m
.92942 .78486 L
s
% Start of user PostScript
1. 0.571429 1.03061 0.683673 MAarrowhead1
% End of user PostScript
.91667 .79762 m
.92517 .84864 L
s
% Start of user PostScript
1. 0.714286 1.02041 0.836735 MAarrowhead1
% End of user PostScript
.91667 .85714 m
.92092 .91241 L
s
% Start of user PostScript
1. 0.857143 1.0102 0.989796 MAarrowhead1
% End of user PostScript
.91667 .91667 m
.91667 .97619 L
s
% Start of user PostScript
1. 1. 1. 1.14286 MAarrowhead1
% End of user PostScript
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
 ImageSize->{288, 288},
 ImageMargins->{{43, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],
 ImageRangeCache->{{{0, 287}, {287, 0}} -> {-1.45187, -1.38312, 0.00924402, \
0.00924402}}],

Cell[BoxData[
 TagBox[
  RowBox[{"\[SkeletonIndicator]", "Graphics", "\[SkeletonIndicator]"}],
  False,
  Editable->False]], "Output"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0"}], "}"}]], "Output"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", 
   FractionBox["8", "3"]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Export", "[", 
  RowBox[{"\"\<v1.eps\>\"", ",", " ", "%29"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<v2.eps\>\"", ",", " ", "%37"}], "]"}]}], "Input"],

Cell[BoxData["\<\"v1.eps\"\>"], "Output"],

Cell[BoxData["\<\"v2.eps\"\>"], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
PrintingStyleEnvironment->"Condensed",
WindowSize->{1192, 821},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
DockedCells->(FrontEndExecute[{
   FrontEnd`NotebookApply[
    FrontEnd`InputNotebook[], #, Placeholder]}]& ),
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "local", 
   "constant", "Oxford", "Tex", "ElasticaBook", 
   "C04_CompleteElasticityProblem", "NB"}, "st_venant.nb.ps", 
  CharacterEncoding -> "iso8859-1"]},
FrontEndVersion->"6.0 for Linux x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 738, 13, 291, "Text"],
Cell[CellGroupData[{
Cell[1331, 38, 112, 3, 73, "Section"],
Cell[CellGroupData[{
Cell[1468, 45, 291, 8, 55, "Input"],
Cell[1762, 55, 72, 0, 31, "Output"]
}, Open  ]],
Cell[1849, 58, 63, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[1937, 63, 87, 1, 39, "Subsection"],
Cell[2027, 66, 26, 0, 32, "Input"],
Cell[2056, 68, 26, 0, 32, "Input"],
Cell[CellGroupData[{
Cell[2107, 72, 1351, 42, 99, "Input"],
Cell[3461, 116, 102, 3, 31, "Output"],
Cell[3566, 121, 39843, 1856, 296, 34749, 1769, "GraphicsData", "PostScript", \
"Graphics"],
Cell[43412, 1979, 134, 4, 31, "Output"],
Cell[43549, 1985, 83, 2, 31, "Output"],
Cell[43635, 1989, 105, 3, 46, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43777, 1997, 1437, 45, 75, "Input"],
Cell[45217, 2044, 131, 4, 27, "Output"],
Cell[45351, 2050, 39521, 1852, 296, 34705, 1769, "GraphicsData", \
"PostScript", "Graphics"],
Cell[84875, 3904, 134, 4, 27, "Output"],
Cell[85012, 3910, 83, 2, 27, "Output"],
Cell[85098, 3914, 105, 3, 44, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[85240, 3922, 207, 4, 43, "Input"],
Cell[85450, 3928, 41, 0, 27, "Output"],
Cell[85494, 3930, 41, 0, 27, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

